/* DUPLICATOR MYSQL SCRIPT CREATED ON : June 14, 2013, 7:47 pm */

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_duplicator` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `packname` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `zipname` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `zipsize` int(11) DEFAULT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) COLLATE utf8_unicode_ci NOT NULL,
  `settings` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_exaz_carts` (
  `cid` bigint(20) NOT NULL AUTO_INCREMENT,
  `ccartid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `chmac` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `cexpires` int(11) NOT NULL,
  `cip` varchar(29) COLLATE utf8_unicode_ci NOT NULL,
  `cassocid` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `ccountry` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`cid`),
  KEY `ccartid` (`ccartid`),
  KEY `cexpires` (`cexpires`),
  KEY `cip` (`cip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(64) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=MyISAM AUTO_INCREMENT=538 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=MyISAM AUTO_INCREMENT=3689 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8_unicode_ci NOT NULL,
  `post_title` text COLLATE utf8_unicode_ci NOT NULL,
  `post_excerpt` text COLLATE utf8_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8_unicode_ci NOT NULL,
  `pinged` text COLLATE utf8_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=MyISAM AUTO_INCREMENT=540 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=MyISAM AUTO_INCREMENT=811 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `slug` (`slug`),
  KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=811 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(64) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(60) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


/* INSERT TABLE DATA: wp_links */
INSERT INTO `wp_links` VALUES("1", "http://codex.wordpress.org/", "Documentation", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("2", "http://wordpress.org/news/", "WordPress Blog", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "http://wordpress.org/news/feed/");
INSERT INTO `wp_links` VALUES("3", "http://wordpress.org/extend/ideas/", "Suggest Ideas", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("4", "http://wordpress.org/support/", "Support Forum", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("5", "http://wordpress.org/extend/plugins/", "Plugins", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("6", "http://wordpress.org/extend/themes/", "Themes", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("7", "http://planet.wordpress.org/", "WordPress Planet", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("3", "siteurl", "http://blogsforsales.com/kayak", "yes");
INSERT INTO `wp_options` VALUES("4", "blogname", "Kayaks", "yes");
INSERT INTO `wp_options` VALUES("5", "blogdescription", "", "yes");
INSERT INTO `wp_options` VALUES("6", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("7", "admin_email", "support@herbalcuresandremedies.info", "yes");
INSERT INTO `wp_options` VALUES("8", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("9", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("10", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("13", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("14", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("18", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("19", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("20", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("22", "default_pingback_flag", "1", "yes");
INSERT INTO `wp_options` VALUES("24", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("25", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("26", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("27", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("28", "links_recently_updated_prepend", "<em>", "yes");
INSERT INTO `wp_options` VALUES("29", "links_recently_updated_append", "</em>", "yes");
INSERT INTO `wp_options` VALUES("30", "links_recently_updated_time", "120", "yes");
INSERT INTO `wp_options` VALUES("31", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("33", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("34", "gzipcompression", "0", "yes");
INSERT INTO `wp_options` VALUES("35", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("36", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("37", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("38", "active_plugins", "a:3:{i:0;s:39:\"associate_goliath/associate_goliath.php\";i:1;s:25:\"duplicator/duplicator.php\";i:2;s:25:\"extendazon/extendazon.php\";}", "yes");
INSERT INTO `wp_options` VALUES("39", "home", "http://blogsforsales.com/kayak", "yes");
INSERT INTO `wp_options` VALUES("40", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("41", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("42", "advanced_edit", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("44", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("46", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("47", "template", "thunderzon", "yes");
INSERT INTO `wp_options` VALUES("48", "stylesheet", "thunderzon", "yes");
INSERT INTO `wp_options` VALUES("49", "comment_whitelist", "1", "yes");
INSERT INTO `wp_options` VALUES("50", "blacklist_keys", "", "no");
INSERT INTO `wp_options` VALUES("51", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("53", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("54", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("55", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("56", "db_version", "22441", "yes");
INSERT INTO `wp_options` VALUES("57", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("58", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("59", "blog_public", "1", "yes");
INSERT INTO `wp_options` VALUES("60", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("61", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("62", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("63", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("64", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("65", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("66", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("67", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("68", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("69", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("70", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("71", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("74", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("75", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("76", "image_default_link_type", "file", "yes");
INSERT INTO `wp_options` VALUES("77", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("78", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("79", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("80", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("81", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("82", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("83", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("85", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("86", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("87", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("88", "widget_categories", "a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("89", "widget_text", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("90", "widget_rss", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("91", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("92", "embed_autourls", "1", "yes");
INSERT INTO `wp_options` VALUES("93", "embed_size_w", "", "yes");
INSERT INTO `wp_options` VALUES("94", "embed_size_h", "600", "yes");
INSERT INTO `wp_options` VALUES("95", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("96", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("97", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("98", "initial_db_version", "19470", "yes");
INSERT INTO `wp_options` VALUES("99", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:9:\"add_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("100", "widget_search", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("101", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("416", "widget_tpllatestwidget", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("102", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("103", "widget_archives", "a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "sidebars_widgets", "a:6:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:4:{i:0;s:8:\"search-2\";i:1;s:12:\"categories-2\";i:2;s:10:\"archives-2\";i:3;s:17:\"tpllatestwidget-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}s:9:\"sidebar-4\";a:0:{}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("207", "current_theme", "Thunderzon", "yes");
INSERT INTO `wp_options` VALUES("153", "cron", "a:103:{i:1371279730;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1371280253;a:1:{s:38:\"check_plugin_updates-associate_goliath\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:12:\"every12hours\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1371280283;a:1:{s:43:\"check_plugin_updates-associate_goliath_beta\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:12:\"every12hours\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1371293989;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"93c5e193a85e6226eb6e2a2c6233aaaf\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:354;}}}}i:1371301538;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"29d499e2e93f2c2d5ac868f95aed5669\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:355;}}}}i:1371306614;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"be41084cd653a0f8e52f935ca46cf57d\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:356;}}}}i:1371316222;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"0788f78fe69d70d1d4752e57aa22b566\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:357;}}}}i:1371322950;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1371380424;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"f69ca2a244e86e4c29242128df8e8956\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:358;}}}}i:1371387959;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"563efdbbb2f307dfb80c1d496d0109b2\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:359;}}}}i:1371396405;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"32a99f765d2b1a63b1790ee770c3fb21\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:360;}}}}i:1371403375;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"b38b5612eda53935294cecdea3a7c5a5\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:361;}}}}i:1371467342;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"0628b58519ecd345206060be2f797793\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:362;}}}}i:1371473270;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"3a6107ef5566dfca72f89c2bc970f679\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:363;}}}}i:1371476248;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"87d5c2bed03f93ab1e6bc7534f9ae953\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:364;}}}}i:1371483640;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"c983ccae97f3b17642ecbd11f1d15836\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:365;}}}}i:1371490471;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"ec3bf8e1ebfa248da1d9617dc7aeaa4a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:366;}}}}i:1371554487;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"e30b25f19d01ffe1bc074eff8ea84128\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:367;}}}}i:1371569556;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"ad411cbc1eca82d78d755e3af46a28e3\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:368;}}}}i:1371638567;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"7a5317f6dd953d4d8ba37213607e7957\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:369;}}}}i:1371643836;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"8ef130f34d72a43800797b0f295710c8\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:370;}}}}i:1371646964;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"247f1aae5f06c95ea518d54ead797fc4\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:371;}}}}i:1371652850;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"74b27c1e3a5e75cc54265c4ecb9e57bd\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:372;}}}}i:1371658494;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"e999a5227454c6da77efb81c96bfdf8d\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:373;}}}}i:1371662345;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"be1bd64f0065c03316a8233bc1b68871\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:374;}}}}i:1371724607;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"e287ef120dcd45b3be4a4896ee74b8b6\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:375;}}}}i:1371729952;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"e180de93d77317f6708a530cdb4598dd\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:376;}}}}i:1371737797;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"c33762d6155d2443f3fde37800c399bd\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:377;}}}}i:1371742590;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"b1d68dedc4c35134700de73563a6212f\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:378;}}}}i:1371749080;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"1ca6dcee23313557cd9ce9f5e8af8e85\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:379;}}}}i:1371812899;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"7e3df1e078b6abaaf43b695af3212b08\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:380;}}}}i:1371818330;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"b4f0611533ee736d9330b6b75c67c8b9\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:381;}}}}i:1371827307;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"28cbe3cb391933e20853a3142d91a5ba\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:382;}}}}i:1371832242;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"812f75b43693c82f52b0cc845573a88a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:383;}}}}i:1371897478;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"cf3bf0095998fbef2dc1c051c09da4bd\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:384;}}}}i:1371905190;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"8eb88ee243c0740c170a4b8428282306\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:385;}}}}i:1371910266;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"537818a4e9c5a83e4ba6b15f427b357a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:386;}}}}i:1371916258;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"01bbd2e22c3cac0799192c16216506cd\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:387;}}}}i:1371922102;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"c6666a597c745ea92355f13e63480aca\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:388;}}}}i:1371983640;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"1bdef2eca7cc17978b5ce9a3c73868b2\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:389;}}}}i:1371989025;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"300f659783186798c43d557783ae6849\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:390;}}}}i:1371997335;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"81b6924d96ed1021c55caaaf34ceda64\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:391;}}}}i:1372000476;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"de6ff48364f2275c1a48e05da638b15b\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:392;}}}}i:1372007775;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"7613b95161fd3e8a8d4fcf5b7af32409\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:393;}}}}i:1372073891;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"63bbc81723067e76cb38bef94fa45ef0\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:394;}}}}i:1372083326;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"31fae7b9d80aaa02697cf489579f5e6a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:395;}}}}i:1372093133;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"6ad0f61affdb0695e8ffbaedf77f6532\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:396;}}}}i:1372158567;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"65be33c1ff5952f65966d1b2c90bbe3b\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:397;}}}}i:1372169782;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"3bbb241800f4385e25d0b85428eb0803\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:398;}}}}i:1372180743;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"115e5791e1fc44f8d708a8aeb144b45a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:399;}}}}i:1372243697;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"c4228deec934fdea2c74e38ce7609fdb\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:400;}}}}i:1372248893;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"3334f6868304caa77656d8d06db9e66f\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:401;}}}}i:1372254462;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"ffa2e1ee0fb61c307d64b0aa8ba26a88\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:402;}}}}i:1372260430;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"e9eb7eb0e3fa6608b1af41953a5d47d5\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:403;}}}}i:1372266497;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"3918759891cd55e0443b04d76a56cacb\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:404;}}}}i:1372328639;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"9ecbb76241983f2f3a53c668cebe9258\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:405;}}}}i:1372333373;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"debf8c985724b8a64dc1b2546db47abc\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:406;}}}}i:1372339000;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"34dec8f95226fc056fdc34476f155649\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:407;}}}}i:1372344944;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"a2d3adc0480eee1814d77efcb2a7a354\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:408;}}}}i:1372349580;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"028063ab95543658ae7b840262b00bec\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:409;}}}}i:1372353459;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"c31ab6b0ff1ec72896b0aba5eacd86d7\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:410;}}}}i:1372417363;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"9d461072a061255a236ff5c567980d2e\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:411;}}}}i:1372428222;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"32c98a398ae0f14890bd1f36272ecfa8\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:412;}}}}i:1372438295;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"6b29ec2cc3fc8031fa07b220dd1c9df7\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:413;}}}}i:1372502589;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"930e6531ffdca63fd548307107f6af98\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:414;}}}}i:1372512090;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"a0de4201975fdd871166ff8b1c41b3a3\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:415;}}}}i:1372524710;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"3eebc08ea11e188c1823226882bc6f93\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:416;}}}}i:1372590160;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"5529aca770ad101e39806865e7a624b0\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:417;}}}}i:1372600008;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"b11dc093a3c58c689dd3398e27c5b27e\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:418;}}}}i:1372608337;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"ea48b8664a21f14180939d9e565b8d93\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:419;}}}}i:1372675343;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"8b34a5eec517c57dff51e6f52f7f8ee3\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:420;}}}}i:1372681173;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"1e305401c211f65667c4594c48ec5947\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:421;}}}}i:1372687162;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"81b7d9df249c86ac4799639cea7762cb\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:422;}}}}i:1372692315;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"7f350d15baaf32ef9010de532a0c5f74\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:423;}}}}i:1372697949;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"aba114bd6b2f873e341267e5a5c12cce\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:424;}}}}i:1372764341;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"823467340e8c09a79a1bc47be76287d8\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:425;}}}}i:1372770217;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"556f9b06121dc0373b6dedb3bf14949d\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:426;}}}}i:1372778203;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"b4a6a64411ece0ed35ce29b483fcd208\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:427;}}}}i:1372784662;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"07098c187c5752f3165a460cfed567e2\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:428;}}}}i:1372848016;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"45a3d3fe2adb608ea531d591edb8f10e\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:429;}}}}i:1372853077;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"eae5b09895c26f296eeac5f8db636140\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:430;}}}}i:1372856847;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"69cd55e9c6c76d8633f6e9aad378df0c\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:431;}}}}i:1372861641;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"8f2a9bb15937fd1dd5a5796b4888f7a1\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:432;}}}}i:1372866634;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"28bc13f0a07c4f6e182ab06c309d6b27\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:433;}}}}i:1372872338;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"39d95fbbb63216d743ad5081a528fe37\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:434;}}}}i:1372934050;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"b0b0f7a2f5640ba0c97f9ab1b8144e68\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:435;}}}}i:1372944569;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"b78096f72594a88395d4721166607c8c\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:436;}}}}i:1372948410;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"09545e3d02ba1eb8465e7d7c71190d57\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:437;}}}}i:1372955434;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"91966ddb5f0f3be5d459131277015d4b\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:438;}}}}i:1373020724;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"1cbcb3bd015ce02a90345fe3ac722515\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:439;}}}}i:1373026185;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"2ad2c092693979bbf9f0dff61c834fe7\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:440;}}}}i:1373033211;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"f7f091069e303c65832711a334fb015b\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:441;}}}}i:1373038152;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"5adc9acaf906ab0c2c1c995e9d6a8841\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:442;}}}}i:1373044944;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"ddf4f95fed6865015d62e0d35e5eab7d\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:443;}}}}i:1373107413;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"a88e27f85eb5038b8c72e56afc2bee3b\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:444;}}}}i:1373112299;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"a751551defc128daf8b95482f251845a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:445;}}}}i:1373120272;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"95e72bd7f15e9e9da709072faec696a0\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:446;}}}}i:1373125223;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"14f2eb6d85850860096a38ab33bd5d62\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:447;}}}}i:1373130341;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"83d7ac1e795f00116565779104e03d5c\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:448;}}}}i:1373196061;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"01ad76e831c19b1b60ecce04bce653fe\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:449;}}}}i:1373206372;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"db00d9970893406b3be49a364f070fb4\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:450;}}}}i:1373214526;a:1:{s:19:\"publish_future_post\";a:1:{s:32:\"38767e0b88f555941079654eb2a4e59c\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:451;}}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("431", "_site_transient_timeout_browser_26ca8ea8e60136335e5e56fd8bbfc4d6", "1371840076", "yes");
INSERT INTO `wp_options` VALUES("432", "_site_transient_browser_26ca8ea8e60136335e5e56fd8bbfc4d6", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:17:\"Internet Explorer\";s:7:\"version\";s:4:\"10.0\";s:10:\"update_url\";s:51:\"http://www.microsoft.com/windows/internet-explorer/\";s:7:\"img_src\";s:45:\"http://s.wordpress.org/images/browsers/ie.png\";s:11:\"img_src_ssl\";s:44:\"https://wordpress.org/images/browsers/ie.png\";s:15:\"current_version\";s:1:\"9\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("433", "_transient_timeout_feed_774c3c8b44b57fe1d836b7d763a093bd", "1371278476", "no");
INSERT INTO `wp_options` VALUES("434", "_transient_feed_774c3c8b44b57fe1d836b7d763a093bd", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:35:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"ExtendAzon» News | ExtendAzon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://extendazon.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"Amazon Store Plugin for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 May 2013 15:28:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"http://wordpress.org/?v=3.5.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:5:{i:0;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"Learn secrets from an Amazon affiliate site-flipping expert!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"http://extendazon.com/learn-secrets-amazon-affiliate-site-flipping-expert/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"http://extendazon.com/learn-secrets-amazon-affiliate-site-flipping-expert/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 May 2013 15:28:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://extendazon.com/?p=168\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:390:\"Get hours of video training from a site-flipping expert to learn how to make easy minisites and flip for quick cash. She often sells a site or more every day with minimal effort, so just imagine the possibilities. Take a &#8230; <a class=\"more-link\" href=\"http://extendazon.com/learn-secrets-amazon-affiliate-site-flipping-expert/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"admin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2232:\"<p>Get hours of video training from a site-flipping expert to learn how to make easy minisites and flip for quick cash. She often sells a site or more every day with minimal effort, so just imagine the possibilities. Take a look: <a href=\"http://jvz9.com/c/39754/41997\" target=\"_blank\" rel=\"nofollow\">Get Amazon Minisites Mega-Riches Here!</a></p>\n<p>Whether you’re an experienced marketer or totally new to internet marketing, it’s hard to get started on any one business model without solid, actionable steps, right? More often than not, when a ton of info is thrown at you, information overload takes over and paralyzes you!</p>\n<p>I have a friend – Lisa Gergets – who is an internet marketing coach, and one of her main business models is building and selling Amazon minisites, and teaching others to do the same. So you may be asking, “Why Amazon minisites?” Well here are just a few of the reasons this particular business model is so profitable:</p>\n<p>    Amazon is the largest online retailer in the world – they literally have everything!<br />\n    Creating these minisites is quick and easy and you don’t need any technical knowledge at all!<br />\n    You don’t need to promote the sites – simply build them, and sell them. This is great if, like Lisa, you’re not crazy about the site promotion game.</p>\n<p>Lisa has created Amazon Minisite MEGAProfits – a 30+ video series outlining every single step to the system that she, herself, takes to research, create, and then sell these sites! And she sells between 5 and 10 of these each week. Imagine what that could do for your bottom line!</p>\n<p><a href=\"http://jvz9.com/c/39754/41997\" target=\"_blank\" rel=\"nofollow\">Get Amazon Minisites Mega-Riches</a></p>\n<p>Now, Lisa normally sells this course for $97, but she’s agreed to lower the price to just $9.95 – but only for a limited time.</p>\n<p>Listen, if you could convince a site-flipping expert to give you hours of their time for less than ten bucks, wouldn’t you owe it to yourself to do that? Get in on Amazon Minisite MEGAProfits now before it goes back up to $97!<br />\n<a href=\"http://jvz9.com/c/39754/41997\" target=\"_blank\" rel=\"nofollow\">Buy Amazon Minisites Mega-Riches!</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"http://extendazon.com/learn-secrets-amazon-affiliate-site-flipping-expert/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"Coupons for Amazon Affiliates in WordPress? Oh Yes!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"http://extendazon.com/coupons-amazon-affiliates-wordpress-yes/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"http://extendazon.com/coupons-amazon-affiliates-wordpress-yes/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 07 Mar 2013 07:10:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://extendazon.com/?p=158\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:391:\"A new WordPress plugin called Coupon Azon allows you to tap into the power of discount coupon codes with your Amazon affiliate sites. Get Coupon Azon. Customers love to shop online with coupon codes. In fact, people will often figure &#8230; <a class=\"more-link\" href=\"http://extendazon.com/coupons-amazon-affiliates-wordpress-yes/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"admin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1760:\"<p>A new WordPress plugin called <a href=\"http://jvz6.com/c/39754/31853\" target=\"_blank\" rel=\"nofollow\">Coupon Azon</a> allows you to tap into the power of discount coupon codes with your Amazon affiliate sites. <a href=\"http://jvz6.com/c/39754/31853\" target=\"_blank\" rel=\"nofollow\">Get Coupon Azon</a>.</p>\n<p>Customers love to shop online with coupon codes. In fact, people will often figure out what they want to buy and where they want to buy it from and then go out to find a code to use with their purchase.</p>\n<p>I&#8217;ve been promoting things as an affiliate for a wide variety of networks for a long time now. Even though Amazon is a favorite of mine, there has always been one specific thing about them that has bugged me &#8211; the fact that they don&#8217;t have coupon codes (or so I thought until now).</p>\n<p>I have always had a minor focus on a few other networks that I won&#8217;t mention here simply because they had coupons that affiliates could use. Thanks to Coupon Azon, I can now stick with Amazon even in this one area that I typically found to be their weak point!</p>\n<p>There is one more thing worth mentioning about this plugin now &#8211; the legalities. We all hate worrying about whether a marketing strategy is actually allowed by an affiliate network or not, so the developer of this product has gone ahead and saved you the time. Edwin Boiten has actually verified with Amazon that using this plugin is in compliance with their terms of service and that using their coupon codes is allowed for affiliates.</p>\n<p>If you haven&#8217;t done so already, be sure to grab your copy of Coupon Azon now through the link below:<br />\n<a href=\"http://jvz6.com/c/39754/31853\" target=\"_blank\" rel=\"nofollow\">Get Coupon Azon</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"http://extendazon.com/coupons-amazon-affiliates-wordpress-yes/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:51:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"Plugin Customer Loyalty Pre-Launch Sale\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"http://extendazon.com/plugin-customer-loyalty-pre-launch-sale/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"http://extendazon.com/plugin-customer-loyalty-pre-launch-sale/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Jan 2013 12:49:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"ryan stevenson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"seo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:16:\"wordpress plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://extendazon.com/?p=155\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:373:\"My latest WordPress plugin, WP Semantic, will be launching publicly in two weeks, but I am offering it at a discounted price to my existing plugin customers until the end of Monday (1/21) for as low as $3.99! Get WP &#8230; <a class=\"more-link\" href=\"http://extendazon.com/plugin-customer-loyalty-pre-launch-sale/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"admin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:336:\"<p>My latest WordPress plugin, WP Semantic, will be launching publicly in two weeks, but I am offering it at a discounted price to my existing plugin customers until the end of Monday (1/21) for as low as $3.99! Get WP Semantic Here: <a href=\"http://wpsemantic.com/early-bird/\" target=\"_blank\">http://wpsemantic.com/early-bird/</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"http://extendazon.com/plugin-customer-loyalty-pre-launch-sale/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"Add Special Offers To Your Amazon Affiliate Sites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://extendazon.com/add-special-offers-amazon-affiliate-sites/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"http://extendazon.com/add-special-offers-amazon-affiliate-sites/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 05 Dec 2012 12:48:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://extendazon.com/?p=145\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:394:\"My brand new Amazon WP plugin, Daily Deal Azon, allows you to add special offers with urgency that features a live deal expiration countdown timer to your Amazon affiliate sites. Grab my plugin at a special pre-launch price only until &#8230; <a class=\"more-link\" href=\"http://extendazon.com/add-special-offers-amazon-affiliate-sites/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"admin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:341:\"<p>My brand new Amazon WP plugin, Daily Deal Azon, allows you to add special offers with urgency that features a live deal expiration countdown timer to your Amazon affiliate sites. Grab my plugin at a special pre-launch price only until Dec 8 here: <a href=\"http://dailydealazon.com/early-bird/\" target=\"_blank\">Get Daily Deal Azon</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://extendazon.com/add-special-offers-amazon-affiliate-sites/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"Two Great Amazon Plugins For One Low Price!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"http://extendazon.com/great-amazon-plugins/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"http://extendazon.com/great-amazon-plugins/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 06 Nov 2012 02:26:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://extendazon.com/?p=139\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:362:\"A new Amazon affiliate plugin has been released by George Katsoudas. Read my review on this plugin here: Azon Profit Poster Plugin Review I am also offering one of my Amazon plugins as a free bonus for anyone that purchases &#8230; <a class=\"more-link\" href=\"http://extendazon.com/great-amazon-plugins/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"admin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:714:\"<p>A new Amazon affiliate plugin has been released by George Katsoudas.</p>\n<p>Read my review on this plugin here:<br />\n<a href=\"http://ryanstevensonplugins.com/azon-profit-poster-bonus-amazon-wp-plugin/\" target=\"_blank\">Azon Profit Poster Plugin Review</a></p>\n<p>I am also offering one of my Amazon plugins as a free bonus for anyone that purchases Azon Profit Poster through the link on my review page. <a href=\"http://extendazon.com/\" target=\"_blank\">ExtendAzon</a> is offered as the bonus plugin on the review page, but I will also allow <a href=\"http://upsellazon.com/\" target=\"_blank\">UpsellAzon</a> or <a href=\"http://localazon.com/\" target=\"_blank\">Local Azon</a> to be claimed as the bonus instead.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://extendazon.com/great-amazon-plugins/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:41:\"http://extendazon.com/category/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:10:{s:4:\"date\";s:29:\"Fri, 14 Jun 2013 18:41:16 GMT\";s:6:\"server\";s:118:\"Apache/2.2.24 (Unix) mod_ssl/2.2.24 OpenSSL/1.0.0-fips mod_auth_passthrough/2.1 mod_bwlimited/1.4 FrontPage/5.0.2.2635\";s:7:\"expires\";s:29:\"Wed, 11 Jan 1984 05:00:00 GMT\";s:13:\"cache-control\";s:36:\"no-cache, must-revalidate, max-age=0\";s:6:\"pragma\";s:8:\"no-cache\";s:10:\"x-pingback\";s:32:\"http://extendazon.com/xmlrpc.php\";s:4:\"etag\";s:34:\"\"e86abad0d428a0c3e6e3f54448277698\"\";s:13:\"last-modified\";s:29:\"Tue, 28 May 2013 15:28:44 GMT\";s:10:\"connection\";s:5:\"close\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";}s:5:\"build\";s:14:\"20130614183844\";}", "no");
INSERT INTO `wp_options` VALUES("422", "_site_transient_update_core", "O:8:\"stdClass\":3:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":9:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:40:\"http://wordpress.org/wordpress-3.5.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":4:{s:4:\"full\";s:40:\"http://wordpress.org/wordpress-3.5.1.zip\";s:10:\"no_content\";s:51:\"http://wordpress.org/wordpress-3.5.1-no-content.zip\";s:11:\"new_bundled\";s:52:\"http://wordpress.org/wordpress-3.5.1-new-bundled.zip\";s:7:\"partial\";b:0;}s:7:\"current\";s:5:\"3.5.1\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"3.5\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1371238140;s:15:\"version_checked\";s:5:\"3.5.1\";}", "yes");
INSERT INTO `wp_options` VALUES("250", "uninstall_plugins", "a:1:{s:25:\"duplicator/duplicator.php\";s:20:\"duplicator_uninstall\";}", "no");
INSERT INTO `wp_options` VALUES("251", "link_manager_enabled", "1", "yes");
INSERT INTO `wp_options` VALUES("246", "asg_version", "04.01.00", "yes");
INSERT INTO `wp_options` VALUES("418", "duplicator_settings", "a:3:{s:7:\"version\";s:5:\"0.4.4\";s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("419", "duplicator_version_plugin", "0.4.4", "yes");
INSERT INTO `wp_options` VALUES("248", "external_updates-associate_goliath_beta", "O:8:\"stdClass\":3:{s:9:\"lastCheck\";i:1371235162;s:14:\"checkedVersion\";s:3:\"4.0\";s:6:\"update\";O:8:\"stdClass\":6:{s:2:\"id\";i:0;s:4:\"slug\";s:22:\"associate_goliath_beta\";s:7:\"version\";s:3:\"4.1\";s:8:\"homepage\";s:27:\"http://associategoliath.com\";s:12:\"download_url\";s:85:\"http://www.georgekatsoudas.com/aup/update-download.php?product=associate_goliath_beta\";s:14:\"upgrade_notice\";s:36:\"Get latest bugfixes and improvements\";}}", "yes");
INSERT INTO `wp_options` VALUES("162", "dashboard_widget_options", "a:5:{s:25:\"dashboard_recent_comments\";a:1:{s:5:\"items\";i:5;}s:24:\"dashboard_incoming_links\";a:5:{s:4:\"home\";s:30:\"http://blogsforsales.com/kayak\";s:4:\"link\";s:106:\"http://blogsearch.google.com/blogsearch?scoring=d&partner=wordpress&q=link:http://blogsforsales.com/kayak/\";s:3:\"url\";s:139:\"http://blogsearch.google.com/blogsearch_feeds?scoring=d&ie=utf-8&num=10&output=rss&partner=wordpress&q=link:http://blogsforsales.com/kayak/\";s:5:\"items\";i:10;s:9:\"show_date\";b:0;}s:17:\"dashboard_primary\";a:7:{s:4:\"link\";s:26:\"http://wordpress.org/news/\";s:3:\"url\";s:31:\"http://wordpress.org/news/feed/\";s:5:\"title\";s:14:\"WordPress Blog\";s:5:\"items\";i:2;s:12:\"show_summary\";i:1;s:11:\"show_author\";i:0;s:9:\"show_date\";i:1;}s:19:\"dashboard_secondary\";a:7:{s:4:\"link\";s:28:\"http://planet.wordpress.org/\";s:3:\"url\";s:33:\"http://planet.wordpress.org/feed/\";s:5:\"title\";s:20:\"Other WordPress News\";s:5:\"items\";i:5;s:12:\"show_summary\";i:0;s:11:\"show_author\";i:0;s:9:\"show_date\";i:0;}s:20:\"extendazon_dashboard\";a:7:{s:4:\"link\";s:22:\"http://extendazon.com/\";s:3:\"url\";s:41:\"http://extendazon.com/category/news/feed/\";s:5:\"title\";s:22:\"ExtendAzon Plugin News\";s:5:\"items\";i:5;s:12:\"show_summary\";i:1;s:11:\"show_author\";i:1;s:9:\"show_date\";i:1;}}", "yes");
INSERT INTO `wp_options` VALUES("461", "_transient_timeout_feed_mod_a5420c83891a9c88ad2a4f04584a5efc", "1371278481", "no");
INSERT INTO `wp_options` VALUES("462", "_transient_feed_mod_a5420c83891a9c88ad2a4f04584a5efc", "1371235281", "no");
INSERT INTO `wp_options` VALUES("463", "_transient_timeout_feed_57bc725ad6568758915363af670fd8bc", "1371278481", "no");
INSERT INTO `wp_options` VALUES("464", "_transient_feed_57bc725ad6568758915363af670fd8bc", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n	\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n		\n				\n\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress Plugins » View: Newest\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"http://wordpress.org/plugins/browse/new/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress Plugins » View: Newest\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Jun 2013 18:13:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"http://bbpress.org/?v=1.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:15:{i:0;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Social Share Boost\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/social-share-boost/#post-54346\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 09 Jun 2013 09:59:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54346@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"Shows social sharing buttons in post excerpts, post content, pages and via shortcodes.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Vasu Chawla\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"Logos des partis politiques francais\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"http://wordpress.org/plugins/logo-des-partis-politiques-francais/#post-54306\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Jun 2013 13:58:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54306@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"Widget to display logos and make a link to major french political movements\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Bastien Ho\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"dlb&#039;s Send-A-Link\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"http://wordpress.org/plugins/dlbs-send-a-link/#post-54352\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 09 Jun 2013 19:36:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54352@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"Send-A-Link allows visitors to send someone an email containing a link to the post or page and some comments.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Dave\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"DeMomentSomTres Export\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"http://wordpress.org/plugins/demomentsomtres-wp-export/#post-54322\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 08 Jun 2013 05:55:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54322@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:155:\"Version: 1.0\n\nDeMomentSomTres Export was build because DeMomentSomTres&#124;http://demomentsomtres.com had a customer with a very big blog that had to be i\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"Marc Queralt i Bassa\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"DeMomentSomTres Address\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://wordpress.org/plugins/demomentsomtres-wine-catalog/#post-54323\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 08 Jun 2013 05:59:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54323@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"Version: 1.2\n\nDeMomentSomTres Catalog shows your product portfolio in the website.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"Marc Queralt i Bassa\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"WP DPLA\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://wordpress.org/plugins/wp-dpla/#post-54376\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 10 Jun 2013 16:53:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54376@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"Display related items from the Digital Public Library of America on your WP posts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Boone Gorges\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"WP Headmaster\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://wordpress.org/plugins/wp-headmaster/#post-53812\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 May 2013 12:55:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"53812@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"A simple plugin for adding, enqueuing and organising common items into the Head tag without hard-coding.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"bavington\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"Timely Booking Button\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"http://wordpress.org/plugins/timely-booking-button/#post-54340\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 09 Jun 2013 00:38:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54340@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:192:\"Adds a &#34;Book Now&#34; button for the Timely appointment management system to your WordPress site. More info: <a href=\"http://www.gettimely.com\" rel=\"nofollow\">http://www.gettimely.com</a>.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Timely\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WP Audiofanzine News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"http://wordpress.org/plugins/wp-audiofanzine-news/#post-54310\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Jun 2013 14:47:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54310@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"Displays Audiofanzine.com&#039;s latest news in your sidebar.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Audiofanzine\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WP Local SEO\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"http://wordpress.org/plugins/dh-local-seo/#post-54305\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Jun 2013 13:50:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54305@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:147:\"WP Local SEO improves your visibility by adding location information in Schema.org format to your posts and creates a sitemap with geo information.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Oliver Fuhrmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Diagnostic Tool\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"http://wordpress.org/plugins/diagnostic-tool/#post-54345\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 09 Jun 2013 09:58:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54345@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"Non Invasive Email, Network &#38; File System Diagnostics Tool\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Richard Bevan\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"UmanIT Update URLs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/umanit-update-urls/#post-54234\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Jun 2013 07:43:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54234@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"Updates all URLs in the database after moving your site from one domain to another.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Vincent Robic\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Site Users\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"http://wordpress.org/plugins/site-user/#post-53659\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 May 2013 08:17:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"53659@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"This plugin allows you to create users which are not default wp_users by generating a Registration/Login functionality on frontend\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"nethues\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"Guerrilla&#039;s Facebook Like Box Widget\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://wordpress.org/plugins/guerrillas-facebook-like-box/#post-54341\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 09 Jun 2013 04:15:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54341@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"This is a plugin that adds a widget that you can use to show a Facebook like box in the sidebar of your WordPress powered website.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"madebyguerrilla\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Google App Engine for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://wordpress.org/plugins/google-app-engine/#post-54263\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Jun 2013 02:57:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"54263@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"Optimize your WordPress installation for the Google App Engine platform.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"slangley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:41:\"http://wordpress.org/plugins/rss/view/new\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:10:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 14 Jun 2013 18:41:21 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:7:\"expires\";s:29:\"Fri, 14 Jun 2013 18:48:31 GMT\";s:13:\"cache-control\";s:0:\"\";s:6:\"pragma\";s:0:\"\";s:13:\"last-modified\";s:31:\"Fri, 14 Jun 2013 18:13:31 +0000\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}s:5:\"build\";s:14:\"20130614183844\";}", "no");
INSERT INTO `wp_options` VALUES("465", "_transient_timeout_feed_mod_57bc725ad6568758915363af670fd8bc", "1371278481", "no");
INSERT INTO `wp_options` VALUES("466", "_transient_feed_mod_57bc725ad6568758915363af670fd8bc", "1371235281", "no");
INSERT INTO `wp_options` VALUES("467", "_transient_timeout_plugin_slugs", "1371321841", "no");
INSERT INTO `wp_options` VALUES("468", "_transient_plugin_slugs", "a:5:{i:0;s:19:\"akismet/akismet.php\";i:1;s:39:\"associate_goliath/associate_goliath.php\";i:2;s:25:\"duplicator/duplicator.php\";i:3;s:25:\"extendazon/extendazon.php\";i:4;s:9:\"hello.php\";}", "no");
INSERT INTO `wp_options` VALUES("469", "_transient_timeout_dash_de3249c4736ad3bd2cd29147c4a0d43e", "1371278481", "no");
INSERT INTO `wp_options` VALUES("470", "_transient_dash_de3249c4736ad3bd2cd29147c4a0d43e", "<h4>Most Popular</h4>\n<h5><a href=\'http://wordpress.org/plugins/wordpress-importer/\'>WordPress Importer</a></h5>&nbsp;<span>(<a href=\'plugin-install.php?tab=plugin-information&amp;plugin=wordpress-importer&amp;_wpnonce=e1ce6f8073&amp;TB_iframe=true&amp;width=600&amp;height=800\' class=\'thickbox\' title=\'WordPress Importer\'>Install</a>)</span>\n<p>Import posts, pages, comments, custom fields, categories, tags and more from a WordPress export file.</p>\n<h4>Newest Plugins</h4>\n<h5><a href=\'http://wordpress.org/plugins/diagnostic-tool/\'>Diagnostic Tool</a></h5>&nbsp;<span>(<a href=\'plugin-install.php?tab=plugin-information&amp;plugin=diagnostic-tool&amp;_wpnonce=f16aa9354e&amp;TB_iframe=true&amp;width=600&amp;height=800\' class=\'thickbox\' title=\'Diagnostic Tool\'>Install</a>)</span>\n<p>Non Invasive Email, Network &amp; File System Diagnostics Tool</p>\n", "no");
INSERT INTO `wp_options` VALUES("455", "_transient_timeout_feed_mod_867bd5c64f85878d03a060509cd2f92c", "1371278480", "no");
INSERT INTO `wp_options` VALUES("456", "_transient_feed_mod_867bd5c64f85878d03a060509cd2f92c", "1371235280", "no");
INSERT INTO `wp_options` VALUES("457", "_transient_timeout_dash_aa95765b5cc111c56d5993d476b1c2f0", "1371278481", "no");
INSERT INTO `wp_options` VALUES("458", "_transient_dash_aa95765b5cc111c56d5993d476b1c2f0", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'http://wordpress.tv/2013/06/14/michelle-blais-5-ways-to-maintain-brand-consistency-in-your-wordpress-theme/\' title=\' [&hellip;]\'>WordPress.tv: Michelle Blais: 5 Ways to Maintain Brand Consistency in Your WordPress Theme</a></li><li><a class=\'rsswidget\' href=\'http://wordpress.tv/2013/06/14/al-caldarone-circle-gets-the-square-harnessing-the-power-of-wordpress-and-making-it-work-for-you/\' title=\' [&hellip;]\'>WordPress.tv: Al Caldarone: Circle Gets the Square: Harnessing the Power of WordPress and Making it Work for You…</a></li><li><a class=\'rsswidget\' href=\'http://feedproxy.google.com/~r/WordpressTavern/~3/1aN6wZQjnf4/theme-review-americanaura\' title=\'Custom post types are one of those things in WordPress that’s been difficult for me to figure out. However, after reviewing the Americanaura theme combined with the AudioTheme framework, I have a better understanding of why custom post types are so cool. Unlike a traditional theme framework, the majority of the functionality is located in the AudioTheme Plug [&hellip;]\'>WPTavern: Theme Review – Americanaura</a></li><li><a class=\'rsswidget\' href=\'http://feedproxy.google.com/~r/WordpressTavern/~3/c2TvkfWm2CQ/whats-going-on-with-the-wordpress-importer\' title=\'A few days ago, I received an email informing me that the WordPress importer plugin was having issues and was at the brink of receiving as many 1 star ratings as it had 5. It’s never a good sign when you see support forum stats like this: 0 of 10 support threads in the last two months have been resolved. But considering the topic creator has to mark the topi [&hellip;]\'>WPTavern: What’s Going On With The WordPress Importer?</a></li><li><a class=\'rsswidget\' href=\'http://buddypress.org/2013/06/buddypress-1-8-beta1-is-now-available/\' title=\'Ladies and gentlemen, start your testing engines: BuddyPress 1.8-beta1 is ready for a lap around the track. If you develop BuddyPress themes or plugins, or if you run a BP-powered community site, now is the time to start testing the next major version of BuddyPress in your development environments. BP 1.8 will feature a large number of fixes and enhancements [&hellip;]\'>BuddyPress: BuddyPress 1.8-beta1 is now available</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("459", "_transient_timeout_feed_a5420c83891a9c88ad2a4f04584a5efc", "1371278481", "no");
INSERT INTO `wp_options` VALUES("460", "_transient_feed_a5420c83891a9c88ad2a4f04584a5efc", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n	\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n		\n				\n\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress Plugins » View: Most Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"http://wordpress.org/plugins/browse/popular/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress Plugins » View: Most Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Jun 2013 18:22:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"http://bbpress.org/?v=1.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:15:{i:0;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Contact Form 7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://wordpress.org/plugins/contact-form-7/#post-2141\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Aug 2007 12:45:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2141@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Just another contact form plugin. Simple but flexible.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Takayuki Miyoshi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"All in One SEO Pack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://wordpress.org/plugins/all-in-one-seo-pack/#post-753\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 30 Mar 2007 20:08:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"753@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"WordPress SEO plugin to automatically optimize your Wordpress blog for Search Engines.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"uberdose\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"WordPress Importer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/wordpress-importer/#post-18101\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 May 2010 17:42:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"18101@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"Import posts, pages, comments, custom fields, categories, tags and more from a WordPress export file.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brian Colinger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Jetpack by WordPress.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://wordpress.org/plugins/jetpack/#post-23862\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Jan 2011 02:21:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"23862@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"Supercharge your WordPress site with powerful features previously only available to WordPress.com users.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Michael Adams (mdawaffe)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"NextGEN Gallery\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://wordpress.org/plugins/nextgen-gallery/#post-1169\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 23 Apr 2007 20:08:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"1169@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:120:\"The most popular WordPress gallery plugin and one of the most popular plugins of all time with over 6 million downloads.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Alex Rabe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"WordPress SEO by Yoast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"http://wordpress.org/plugins/wordpress-seo/#post-8321\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Jan 2009 20:34:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"8321@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"Improve your WordPress SEO: Write better content and have a fully optimized WordPress site using the WordPress SEO plugin by Yoast.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Joost de Valk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Akismet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"http://wordpress.org/plugins/akismet/#post-15\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:11:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"15@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"Akismet checks your comments against the Akismet web service to see if they look like spam or not.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Google XML Sitemaps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"http://wordpress.org/plugins/google-sitemap-generator/#post-132\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:31:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"132@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"This plugin will generate a special XML sitemap which will help search engines to better index your blog.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Arnee\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Broken Link Checker\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/broken-link-checker/#post-2441\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Oct 2007 21:35:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2441@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"This plugin will check your posts, comments and other content for broken links and missing images, and notify you if any are found.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Janis Elsts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"W3 Total Cache\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://wordpress.org/plugins/w3-total-cache/#post-12073\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Jul 2009 18:46:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"12073@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:132:\"Easy Web Performance Optimization (WPO) using caching: browser, page, object, database, minify and content delivery network support.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Frederick Townes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"Advanced Custom Fields\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"http://wordpress.org/plugins/advanced-custom-fields/#post-25254\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Mar 2011 04:07:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"25254@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:150:\"Fully customise WordPress edit screens with powerful fields. Boasting a professional interface and a powerfull API, it’s a must have for any web dev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"elliotcondon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WooCommerce - excelling eCommerce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"http://wordpress.org/plugins/woocommerce/#post-29860\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Sep 2011 08:13:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"29860@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WooCommerce is a powerful, extendable eCommerce plugin that helps you sell anything. Beautifully.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"WooThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WP Super Cache\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://wordpress.org/plugins/wp-super-cache/#post-2572\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Nov 2007 11:40:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2572@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"A very fast caching engine for WordPress that produces static html files.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Donncha O Caoimh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"Google Analytics for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"http://wordpress.org/plugins/google-analytics-for-wordpress/#post-2316\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Sep 2007 12:15:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2316@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:145:\"Track your WordPress site easily and with lots of metadata: views per author &#38; category, automatic tracking of outbound clicks and pageviews.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Joost de Valk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Captcha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://wordpress.org/plugins/captcha/#post-26129\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Apr 2011 05:53:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"26129@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"This plugin allows you to implement super security captcha form into web forms.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"bestwebsoft\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:45:\"http://wordpress.org/plugins/rss/view/popular\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:10:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 14 Jun 2013 18:41:21 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:7:\"expires\";s:29:\"Fri, 14 Jun 2013 18:57:32 GMT\";s:13:\"cache-control\";s:0:\"\";s:6:\"pragma\";s:0:\"\";s:13:\"last-modified\";s:31:\"Fri, 14 Jun 2013 18:22:32 +0000\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}s:5:\"build\";s:14:\"20130614183844\";}", "no");
INSERT INTO `wp_options` VALUES("449", "_transient_timeout_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1371278480", "no");
INSERT INTO `wp_options` VALUES("450", "_transient_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1371235280", "no");
INSERT INTO `wp_options` VALUES("451", "_transient_timeout_dash_4077549d03da2e451c8b5f002294ff51", "1371278480", "no");
INSERT INTO `wp_options` VALUES("452", "_transient_dash_4077549d03da2e451c8b5f002294ff51", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'http://wordpress.org/news/2013/05/ten-good-years/\' title=\'It’s been ten years since we started this thing, and what a long way we’ve come. From a discussion between myself and Mike Little about forking our favorite blogging software, to powering 18% of the web. It’s been a crazy, exciting, journey, and one that won’t stop any time soon. At ten years, it’s fun […] [&hellip;]\'>Ten Good Years</a> <span class=\"rss-date\">May 31, 2013</span><div class=\'rssSummary\'>It’s been ten years since we started this thing, and what a long way we’ve come. From a discussion between myself and Mike Little about forking our favorite blogging software, to powering 18% of the web. It’s been a crazy, exciting, journey, and one that won’t stop any time soon. At ten years, it’s fun […] [&hellip;]</div></li><li><a class=\'rsswidget\' href=\'http://wordpress.org/news/2013/05/the-next-10-starts-now/\' title=\'All around the globe today, people are celebrating the 10th anniversary of the first WordPress release, affectionately known as #wp10. Watching the feed of photos, tweets, and posts from Auckland to Zambia is incredible; from first-time bloggers to successful WordPress-based business owners, people are coming out in droves to raise a glass and share the […] [&hellip;]\'>The Next 10 Starts Now</a> <span class=\"rss-date\">May 27, 2013</span><div class=\'rssSummary\'>All around the globe today, people are celebrating the 10th anniversary of the first WordPress release, affectionately known as #wp10. Watching the feed of photos, tweets, and posts from Auckland to Zambia is incredible; from first-time bloggers to successful WordPress-based business owners, people are coming out in droves to raise a glass and share the […] [&hellip;]</div></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("453", "_transient_timeout_feed_867bd5c64f85878d03a060509cd2f92c", "1371278480", "no");
INSERT INTO `wp_options` VALUES("454", "_transient_feed_867bd5c64f85878d03a060509cd2f92c", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"WordPress.tv: Michelle Blais: 5 Ways to Maintain Brand Consistency in Your WordPress Theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19708\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"http://wordpress.tv/2013/06/14/michelle-blais-5-ways-to-maintain-brand-consistency-in-your-wordpress-theme/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:730:\"<div id=\"v-52G8xHwU-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19708/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19708/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19708&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/14/michelle-blais-5-ways-to-maintain-brand-consistency-in-your-wordpress-theme/\"><img alt=\"Michelle Blais: 5 Ways to Maintain Brand Consistency in Your WordPress Theme\" src=\"http://videos.videopress.com/52G8xHwU/video-a7f78d56b6_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Jun 2013 17:18:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"WordPress.tv: Al Caldarone: Circle Gets the Square: Harnessing the Power of WordPress and Making it Work for You…\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19655\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"http://wordpress.tv/2013/06/14/al-caldarone-circle-gets-the-square-harnessing-the-power-of-wordpress-and-making-it-work-for-you/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:776:\"<div id=\"v-KvSoTeLe-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19655/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19655/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19655&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/14/al-caldarone-circle-gets-the-square-harnessing-the-power-of-wordpress-and-making-it-work-for-you/\"><img alt=\"Al Caldarone: Circle Gets the Square: Harnessing the Power of WordPress and Making it Work for You…\" src=\"http://videos.videopress.com/KvSoTeLe/video-97b9250316_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Jun 2013 17:13:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WPTavern: Theme Review – Americanaura\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7320\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://feedproxy.google.com/~r/WordpressTavern/~3/1aN6wZQjnf4/theme-review-americanaura\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5425:\"<p><a href=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/AudioThemeLogo.jpg\" rel=\"thumbnail\"><img class=\"alignright size-full wp-image-7321\" alt=\"AudioTheme Logo\" src=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/AudioThemeLogo.jpg?resize=91%2C57\" /></a>Custom post types are one of those things in WordPress that&#8217;s been difficult for me to figure out. However, after reviewing the <a title=\"http://demo.audiotheme.com/americanaura/\" href=\"http://demo.audiotheme.com/americanaura/\">Americanaura theme</a> combined with the <a title=\"https://audiotheme.com/view/audiotheme/\" href=\"https://audiotheme.com/view/audiotheme/\">AudioTheme framework</a>, I have a better understanding of why custom post types are so cool.</p>\n<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/AudioThemeTips.jpg\" rel=\"thumbnail\"><img class=\"aligncenter size-large wp-image-7322\" alt=\"AudioTheme Tips\" src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/AudioThemeTips.jpg?resize=500%2C285\" /></a></p>\n<p>Unlike a traditional theme framework, the majority of the functionality is located in the AudioTheme Plugin. Without this plugin, AudioTheme themes will not function. This setup enables the separation between code and design. The nuts and bolts behind this theme are the custom post types. There are three primary post types, <strong>Gigs, Discography, and Videos</strong>. Each one has a set of custom meta boxes like record details, or ticket prices. While the screenshot shows off a tool-tip, I would like to see more of these added. For example, when adding a new gig, there is a custom meta box for Tickets. One of the fields is for configuring a tickets URL. It&#8217;s not obvious if this URL is something within the theme or a URL to an outside source such as TicketMaster. A simple tool-tip could explain exactly what that field is for. However, most of the theme is self-explanatory.</p>\n<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/AudioThemeVolumeControl.jpg\" rel=\"thumbnail\"><img class=\"aligncenter size-full wp-image-7324\" alt=\"AudioTheme Volume Slider\" src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/AudioThemeVolumeControl.jpg?resize=303%2C159\" /></a></p>\n<p>One of the coolest features within this framework is the jukebox. The source of music can come from a record or a list of tracks. Once the jukebox is set up, a media player will show up at the bottom of the browser window giving visitors the option to browse through tracks, stop/play, click to a specific point in the music timeline, and volume control. While it&#8217;s a small nitpick, I found the volume control confusing. In most media players, moving the slider<em> down to up</em> or<em> left to right</em> will increase volume. In the jukebox, moving from left to right will increase the volume but the way it&#8217;s displayed makes it look as though the volume is being lowered. A simple color switch would solve this problem.</p>\n<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/AudioThemeJukebox.jpg\" rel=\"thumbnail\"><img class=\"aligncenter size-full wp-image-7323\" alt=\"AudioTheme\" src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/AudioThemeJukebox.jpg?resize=560%2C192\" /></a></p>\n<p>Both the themes and the plugin framework are licensed under the GPLv2, the same license as WordPress. While checking out, you&#8217;ll notice text that stipulates how many sites you can use the framework on. This is related to how many sites can receive support and is not a restriction of use. Because of the separation between theme and plugin, each has its own price tag. If you&#8217;re a theme developer, you&#8217;ll probably want to look at purchasing only the AudioTheme framework and design around it. But for non-coders, you&#8217;ll most likely need to buy both a theme <strong>and</strong> the framework. However, the website states that any theme purchase will come with a personal license to use the framework.</p>\n<p>It&#8217;s not the most user-friendly setup but I like the versatility it provides them as a company. By keeping the framework separate, AudioThemes can work with other  companies to build designs around their plugin as they did with <a title=\"https://audiotheme.com/view/blocco/\" href=\"https://audiotheme.com/view/blocco/\">Press75</a>. I&#8217;m hoping that in the future, they have a ton of designs to choose from.</p>\n<h2>Conclusion:</h2>\n<p>Overall, the theme I reviewed along with the framework was not only easy to install, but easy to use as well. I remember 5-8 years ago that some of the features that come standard with the AudioTheme Framework and with WordPress were very hard to come by in any other CMS. Take the Jukebox for example. Something like the Jukebox 5-8 years ago would involve installing hacks or using some sort of third-party service. This example of utilizing custom post types has taught me why their versatility is such an exciting component of WordPress. Based on this theme and some other examples I&#8217;ve seen, when a good design is paired with custom post types, magical things happen. I can&#8217;t wait to come across indie or established artists utilizing AudioTheme to get their music to the world, without the need for a middle man.</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/1aN6wZQjnf4\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Jun 2013 07:04:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"WPTavern: What’s Going On With The WordPress Importer?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7313\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"http://feedproxy.google.com/~r/WordpressTavern/~3/c2TvkfWm2CQ/whats-going-on-with-the-wordpress-importer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3612:\"<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WPImporterRatings.jpg\" rel=\"thumbnail\"><img src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WPImporterRatings.jpg?resize=164%2C181\" alt=\"WordPress Importer Ratings\" class=\"alignright size-full wp-image-7317\" /></a>A few days ago, I received an email informing me that the <a href=\"http://wordpress.org/plugins/wordpress-importer/\" title=\"http://wordpress.org/plugins/wordpress-importer/\">WordPress importer</a> plugin was having issues and was at the brink of receiving as many 1 star ratings as it had 5. It&#8217;s never a good sign when you see support forum stats like this: <em>0 of 10 support threads in the last two months have been resolved</em>. But considering the topic creator has to mark the topic as resolved, this is not a fool-proof method of determining if a plugin is broken. From what I can tell, most of the issues are surround partial imports and the <a href=\"http://wordpress.org/support/topic/does-not-import-images-file-attachements\" title=\"http://wordpress.org/support/topic/does-not-import-images-file-attachements\">importing of images</a>. </p>\n<p>I used the importer to move all the content from WPTavern.com to a local install of WordPress. I chose to do a full export/import. The WXR file was around 17 megs but WordPress seemed to take forever to process the file, even on my local machine. While all the images were imported properly, they were not attached to the proper posts. The images that were displayed on the local site were linked to the ones within the media library on WPTavern.com. After dropping all the tables from the database and starting over, I tried to import my files again with the same results. Just to see what would happen, I exported only my posts with attachments to see if both would be imported correctly. While the posts were imported correctly, none of the media attachments were brought over into the media library. As illustrated in the support forum post I linked above, the only way to move media attachments from one site to another is to export/import <strong>EVERYTHING</strong>. If I select attachments to be downloaded and exported, then that&#8217;s what should happen no matter which variety of ways I export the content. </p>\n<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/NoMediaAttachments.jpg\" rel=\"thumbnail\"><img src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/NoMediaAttachments.jpg?resize=328%2C240\" alt=\"No Media Attachments\" class=\"aligncenter size-full wp-image-7315\" /></a></p>\n<p>It&#8217;s been a long time since I&#8217;ve exported/imported content from one WordPress site to another so I don&#8217;t remember how the process is suppose to play out but if the behavior I described above is considered normal, the import process is definitely not as painless as it should be. After all, exporting/importing from WordPress to WordPress should be as easy as counting 1,2,3. Unlike other plugins that have a specific author, this one is developed by the <a href=\"http://profiles.wordpress.org/wordpressdotorg/\" title=\"http://profiles.wordpress.org/wordpressdotorg/\">WordPressdotorg</a> team so it&#8217;s not clear who to contact. </p>\n<p>If you have used the WordPress export/import plugin within the past few weeks and have also run into problems, I&#8217;d love for you to chime in on the comments. I&#8217;d especially like to hear from those that export/import sites on a routine basis. </p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/c2TvkfWm2CQ\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 13 Jun 2013 23:51:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"BuddyPress: BuddyPress 1.8-beta1 is now available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://buddypress.org/?p=165934\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"http://buddypress.org/2013/06/buddypress-1-8-beta1-is-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:27844:\"<p>Ladies and gentlemen, start your testing engines: BuddyPress 1.8-beta1 is ready for a lap around the track.</p>\n<p>If you develop BuddyPress themes or plugins, or if you run a BP-powered community site, now is the time to start testing the next major version of BuddyPress in your development environments. BP 1.8 will feature a large number of fixes and enhancements. For the full list, see <a href=\"http://buddypress.trac.wordpress.org/query?status=closed&group=resolution&milestone=1.8\">the 1.8 milestone in Trac</a>. Here is a short list of major changes, areas where you may want to focus your testing energies:</p>\n<ul>\n<li><strong><code>BP_Group_Extension</code></strong> has been largely rewritten, with the goal of making Group Extension plugins faster and more consistent to write (<a href=\"http://buddypress.trac.wordpress.org/ticket/4955\">#4955</a>). We&#8217;ve worked hard to make sure that existing <code>BP_Group_Extension</code> plugins will continue to work as before, but we encourage you to verify your own plugins. In the upcoming days, I&#8217;ll be writing updated Codex documentation for the Group Extension API, so you can see how the new features in BP 1.8 will make writing group extension plugins radically simpler. Watch <a href=\"http://bpdevel.wordpress.com\">bpdevel.wordpress.com</a> for updates.</li>\n<li>The <strong>group administration panels</strong> in the Dashboard have seen some improvements &#8211; in particular, to the way that the Manage Members section works (<a href=\"http://buddypress.trac.wordpress.org/ticket/4482\">#4482</a>, <a href=\"http://buddypress.trac.wordpress.org/ticket/4977\">#4977</a>). Pagination support has been added to the member lists in these panels, as well as the <code>bp_group_has_members()</code> stack that underpins the panels.</li>\n<li>The <strong>bp-legacy stylesheet</strong> has undergone a process of &#8220;detheming&#8221; (<a href=\"http://buddypress.trac.wordpress.org/ticket/4953\">#4953</a>). We&#8217;ve combed through the bp-legacy CSS &#8211; which provides BP-specific styling on themes that don&#8217;t have native support for BP &#8211; and removed some of the lingering stylistic remnants of the bp-default theme. Now, things like font faces, buttons, and form element styling will be inherited from your WordPress theme in a much more graceful way.</li>\n<li>We&#8217;ve introduced a new <strong>template hierarchy layer for top-level templates</strong> (<a href=\"http://buddypress.trac.wordpress.org/ticket/4639\">#4639</a>). Similar to <a href=\"http://codex.wordpress.org/Template_Hierarchy\">WordPress&#8217;s template hierarchy</a>, this new feature allows themes to provide top-level template files that are specific to a component or item. For example, if your theme contains a template at <code>groups/index-directory.php</code>, it&#8217;ll be used instead of <code>buddypress.php</code> or <code>page.php</code> when viewing the Groups directory. See <a href=\"http://buddypress.trac.wordpress.org/changeset/7212\">r7212</a> for more details on the hierarchy, and watch the <a href=\"http://codex.buddypress.org\">Codex</a> and <a href=\"http://bpdevel.wordpress.com\">bpdevel</a> for documentation between now and the 1.8 release.</li>\n<li><code>bp_has_groups()</code> and <code>bp_has_activities()</code> now accept a <strong><code>meta_query</code> parameter</strong> (<a href=\"http://buddypress.trac.wordpress.org/ticket/3521\">#3521</a>). This means you can filter a group or activity query based on groupmeta or activitymeta, using the very same <code>meta_query</code> syntax familiar from <a href=\"http://codex.wordpress.org/Class_Reference/WP_Query#Custom_Field_Parameters\">WP_Query</a>.</li>\n<li><strong>@-mentions can now be disabled</strong> (<a href=\"http://buddypress.trac.wordpress.org/ticket/3388\">#3388</a>), by adding <code>add_filter( \'bp_activity_do_mentions\', \'__return_false\' );</code> to your bp-custom.php file.</li>\n<li><strong>RSS feeds for activity streams</strong> have been overhauled (<a href=\"http://buddypress.trac.wordpress.org/ticket/5020\">#5020</a>). Our RSS implementation has been brought more in line with best practices for feed construction. And feed-building logic has been abstracted from myriad standalone feed templates into a single <code>BP_Activity_Feed</code> class, which makes the creation of custom feeds a breeze.</li>\n</ul>\n<p>Remember that BuddyPress 1.8-beta1 is beta software, and we don&#8217;t recommend running it on a production site quite yet.</p>\n<p>Get 1.8-beta1 via svn, or by downloading <a href=\"http://downloads.wordpress.org/plugin/buddypress.1.8-beta1.zip\">the zip file from wordpress.org</a>. Find a bug or have a question? Check out our <a href=\"http://buddypress.org/support\">support community</a>, or visit <a href=\"http://buddypress.trac.wordpress.org\">our development tracker</a>.</p>\n<p><span id=\"more-165934\"></span></p>\n<h2>Discussion</h2>\n\n<div id=\"bbpress-forums\">\n\n	\n	\n		\n		\n			\n\n<div class=\"bbp-pagination\">\n	<div class=\"bbp-pagination-count\">\n\n		Viewing 15 posts - 1 through 15 (of 15 total)\n	</div>\n\n	<div class=\"bbp-pagination-links\">\n\n		\n	</div>\n</div>\n\n\n			\n<ul id=\"topic-165940-replies\" class=\"forums bbp-replies\">\n\n	<li class=\"bbp-body\">\n\n		\n			\n<div id=\"post-165940\" class=\"post-165940 topic type-topic status-publish hentry odd bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-1 user-id-2881701 topic-author\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/boonebgorges/\" title=\"View Boone Gorges\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/9cf7c4541a582729a5fc7ae484786c0c?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-2881701-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Boone Gorges\" /></a><br /><a href=\"http://buddypress.org/community/members/boonebgorges/\" title=\"View Boone Gorges\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Boone Gorges</a><br /><div class=\"bbp-author-role\">Keymaster</div>\n		<p class=\"bbp-user-nicename\">@boonebgorges</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165940\" title=\"#165940\" class=\"bbp-reply-permalink\">1 day, 2 hours ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>BP 1.8-beta1 is now available. If you&#8217;re a BP developer, translator, or site admin, this is a good time to start testing the next major release in your dev environments. Read more about it here: <a href=\"http://buddypress.org/2013/06/buddypress-1-8-beta1-is-now-available/\" rel=\"nofollow\">http://buddypress.org/2013/06/buddypress-1-8-beta1-is-now-available/</a></p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165940 -->\n\n		\n			\n<div id=\"post-165942\" class=\"post-165942 reply type-reply status-publish hentry even bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-2 user-id-11701205\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/bphelp/\" title=\"View bp-help\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/4beef603f70f7692207c777daecff500?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-11701205-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of bp-help\" /></a><br /><a href=\"http://buddypress.org/community/members/bphelp/\" title=\"View bp-help\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">bp-help</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@bphelp</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165942\" title=\"#165942\" class=\"bbp-reply-permalink\">1 day, 2 hours ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p><a href=\"http://buddypress.org/community/members/boonebgorges/\" rel=\"nofollow\">@boonebgorges</a><br />\nAwesome job to the entire Development team!</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165942 -->\n\n		\n			\n<div id=\"post-165945\" class=\"post-165945 reply type-reply status-publish hentry odd bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-3 user-id-3251590\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/unsalkorkmaz/\" title=\"View Unsal Korkmaz\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/bcf3949b251f8d78246d5f7049f7c241?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-3251590-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Ünsal Korkmaz\" /></a><br /><a href=\"http://buddypress.org/community/members/unsalkorkmaz/\" title=\"View Unsal Korkmaz\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Unsal Korkmaz</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@unsalkorkmaz</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165945\" title=\"#165945\" class=\"bbp-reply-permalink\">1 day, 1 hour ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Uhm.. Getting this error:<br />\n<code>Warning: require(C:\\wamp\\www/wp-content/plugins/buddypress/bp-core/deprecated/1.2.php): failed to open stream: No such file or directory in C:\\wamp\\www\\wp-content\\plugins\\buddypress\\bp-loader.php on line 443</code></p>\n<p>Should i open a ticket?</p>\n<p>I will try to check files but is there any special changes that theme authors have to change their theme?</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165945 -->\n\n		\n			\n<div id=\"post-165950\" class=\"post-165950 reply type-reply status-publish hentry even bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-4 user-id-8106645\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/qrahaman/\" title=\"View Quint\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/039cca948f05a874bc3453014e0b6c24?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-8106645-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Quint\" /></a><br /><a href=\"http://buddypress.org/community/members/qrahaman/\" title=\"View Quint\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Quint</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@qrahaman</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165950\" title=\"#165950\" class=\"bbp-reply-permalink\">1 day, 1 hour ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Same activation error as Unsal&#8230; this is probably not the site to report the bug but I can&#8217;t remember where I should report it.</p>\n<p>[13-Jun-2013 16:43:50 UTC] PHP Fatal error:  require(): Failed opening required &#8216;/htdocs/wp-content/plugins/buddypress/bp-core/deprecated/1.2.php&#8217; (include_path=&#8217;/:.&#8217;) in /htdocs/wp-content/plugins/buddypress/bp-loader.php on line 443</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165950 -->\n\n		\n			\n<div id=\"post-165951\" class=\"post-165951 reply type-reply status-publish hentry odd bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-5 user-id-3251590\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/unsalkorkmaz/\" title=\"View Unsal Korkmaz\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/bcf3949b251f8d78246d5f7049f7c241?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-3251590-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Ünsal Korkmaz\" /></a><br /><a href=\"http://buddypress.org/community/members/unsalkorkmaz/\" title=\"View Unsal Korkmaz\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Unsal Korkmaz</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@unsalkorkmaz</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165951\" title=\"#165951\" class=\"bbp-reply-permalink\">1 day, 1 hour ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Solution: just remove or comment-out that line.</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165951 -->\n\n		\n			\n<div id=\"post-165953\" class=\"post-165953 reply type-reply status-publish hentry even bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-6 user-id-187497\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/mercime/\" title=\"View @mercime\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/fae451be6708241627983570a1a1817a?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-187497-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of @mercime\" /></a><br /><a href=\"http://buddypress.org/community/members/mercime/\" title=\"View @mercime\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">@mercime</a><br /><div class=\"bbp-author-role\">Keymaster</div>\n		<p class=\"bbp-user-nicename\">@mercime</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165953\" title=\"#165953\" class=\"bbp-reply-permalink\">1 day, 1 hour ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p><a href=\"http://buddypress.org/community/members/unsalkorkmaz/\" rel=\"nofollow\">@unsalkorkmaz</a> trac ticket please</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165953 -->\n\n		\n			\n<div id=\"post-165956\" class=\"post-165956 reply type-reply status-publish hentry odd bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-6 user-id-2881701 topic-author\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/boonebgorges/\" title=\"View Boone Gorges\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/9cf7c4541a582729a5fc7ae484786c0c?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-2881701-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Boone Gorges\" /></a><br /><a href=\"http://buddypress.org/community/members/boonebgorges/\" title=\"View Boone Gorges\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Boone Gorges</a><br /><div class=\"bbp-author-role\">Keymaster</div>\n		<p class=\"bbp-user-nicename\">@boonebgorges</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165956\" title=\"#165956\" class=\"bbp-reply-permalink\">1 day, 1 hour ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Looks like I made an error in the way I built the zip file. Please re-download and try again. And thanks for the report.</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165956 -->\n\n		\n			\n<div id=\"post-165957\" class=\"post-165957 reply type-reply status-publish hentry even bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-8 user-id-8106645\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/qrahaman/\" title=\"View Quint\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/039cca948f05a874bc3453014e0b6c24?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-8106645-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Quint\" /></a><br /><a href=\"http://buddypress.org/community/members/qrahaman/\" title=\"View Quint\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Quint</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@qrahaman</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165957\" title=\"#165957\" class=\"bbp-reply-permalink\">1 day, 1 hour ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Thanks&#8230; activation successful using the latest zip.</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165957 -->\n\n		\n			\n<div id=\"post-165977\" class=\"post-165977 reply type-reply status-publish hentry odd bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-9 user-id-7349734\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/ubernaut/\" title=\"View @ubernaut\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/e715c0ee9082add252b5246f7af712ac?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-7349734-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of @ubernaut\" /></a><br /><a href=\"http://buddypress.org/community/members/ubernaut/\" title=\"View @ubernaut\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">@ubernaut</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@ubernaut</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165977\" title=\"#165977\" class=\"bbp-reply-permalink\">23 hours, 22 minutes ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>so is this site already using the beta? i&#8217;ve noticed that not only are the comments for this post showing up in the rss feed but also that the forum topic and the comments for this post seem to be one in the same thing as well. that seems new to me.</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165977 -->\n\n		\n			\n<div id=\"post-165978\" class=\"post-165978 reply type-reply status-publish hentry even bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-10 user-id-9764778\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/mgkoller/\" title=\"View mgkoller\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/b9d2beeae0ee940de08d6512902c7ebf?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-9764778-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of mgkoller\" /></a><br /><a href=\"http://buddypress.org/community/members/mgkoller/\" title=\"View mgkoller\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">mgkoller</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@mgkoller</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165978\" title=\"#165978\" class=\"bbp-reply-permalink\">23 hours, 14 minutes ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Testing this on WordPress 3.6-beta, works / looks really nice with the twenty thirteen theme.</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165978 -->\n\n		\n			\n<div id=\"post-165983\" class=\"post-165983 reply type-reply status-publish hentry odd bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-11 user-id-9664517\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/synaptic/\" title=\"View Asynaptic\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/e0ac655eaefb453834dd1190cd1de480?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-9664517-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Asynaptic\" /></a><br /><a href=\"http://buddypress.org/community/members/synaptic/\" title=\"View Asynaptic\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Asynaptic</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@synaptic</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-165983\" title=\"#165983\" class=\"bbp-reply-permalink\">21 hours, 24 minutes ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p><a href=\"http://buddypress.org/community/members/ubernaut/\" rel=\"nofollow\">@ubernaut</a> I think the only place the latest is tested is <a href=\"http://testbp.org/\" rel=\"nofollow\">http://testbp.org/</a> but someone correct me if I&#8217;m wrong!</p>\n<p>ps thank you to the dev team for the new beta! <img src=\"http://buddypress.org/wp-includes/images/smilies/icon_smile.gif\" alt=\":)\" class=\"wp-smiley\" /> </p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-165983 -->\n\n		\n			\n<div id=\"post-166008\" class=\"post-166008 reply type-reply status-publish hentry even bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-12 user-id-5462728\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/themightymo/\" title=\"View Toby Cryns (@themightymo)\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/6bb015a651cf984d63d9f0389de8a246?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-5462728-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Toby Cryns (@themightymo)\" /></a><br /><a href=\"http://buddypress.org/community/members/themightymo/\" title=\"View Toby Cryns (@themightymo)\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Toby Cryns (@themightymo)</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@themightymo</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-166008\" title=\"#166008\" class=\"bbp-reply-permalink\">13 hours, 11 minutes ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Wonderful work, team!!  Thank you!</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-166008 -->\n\n		\n			\n<div id=\"post-166022\" class=\"post-166022 reply type-reply status-publish hentry odd bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-13 user-id-10340144\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/henrywright-1/\" title=\"View Henry\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/2483dea09cf47105cea2a295fe5fd0a0?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-10340144-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Henry Wright\" /></a><br /><a href=\"http://buddypress.org/community/members/henrywright-1/\" title=\"View Henry\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Henry</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@henrywright-1</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-166022\" title=\"#166022\" class=\"bbp-reply-permalink\">11 hours, 27 minutes ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Great work, lots of thanks to everyone involved for making such a great product! </p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-166022 -->\n\n		\n			\n<div id=\"post-166037\" class=\"post-166037 reply type-reply status-publish hentry even bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-14 user-id-327624\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/lenasterg/\" title=\"View lenasterg\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/fad6cb26417a2ff5b794ecab3c9b1036?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-327624-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of lenasterg\" /></a><br /><a href=\"http://buddypress.org/community/members/lenasterg/\" title=\"View lenasterg\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">lenasterg</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@lenasterg</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-166037\" title=\"#166037\" class=\"bbp-reply-permalink\">7 hours, 49 minutes ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Hi, I tested my plugin BP Group Documents (download link <a href=\"http://blogs.sch.gr/stergatu/files/2013/06/buddypress-group-documents0_6.zip\" rel=\"nofollow\">http://blogs.sch.gr/stergatu/files/2013/06/buddypress-group-documents0_6.zip</a>) against BP 1.8 beta-1, wp 3.5.1.<br />\nThe plugin extends BP_Group_Extension and uses the _construct, edit_screen, display() etc functions.<br />\nI noticed the following strange behaviour.<br />\nGroup create step screen OK<br />\nAdmin group page screen OK<br />\nEdit group page screen OK<br />\nDisplay screen and nav tab of plugin NOT showing at all.<br />\nI don&#8217;t get any error log or debug messages with wp_debug.</p>\n<p>Any clues / directions?</p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-166037 -->\n\n		\n			\n<div id=\"post-166049\" class=\"post-166049 reply type-reply status-publish hentry odd bbp-parent-forum-2074 bbp-parent-topic-165940 bbp-reply-position-15 user-id-2011996\">\n\n	<div class=\"bbp-reply-author\">\n\n		\n		<a href=\"http://buddypress.org/community/members/sbrajesh/\" title=\"View Brajesh Singh\'s profile\" class=\"bbp-author-avatar\" rel=\"nofollow\"><img src=\"http://gravatar.com/avatar/2106622ee90d53d15ac1402806616aca?d=http://buddypress.org/wp-content/plugins/buddypress/bp-core/images/mystery-man.jpg&s=100&r=G\" class=\"avatar user-2011996-avatar avatar-100 photo\" width=\"100\" height=\"100\" alt=\"Avatar of Brajesh Singh\" /></a><br /><a href=\"http://buddypress.org/community/members/sbrajesh/\" title=\"View Brajesh Singh\'s profile\" class=\"bbp-author-name\" rel=\"nofollow\">Brajesh Singh</a><br /><div class=\"bbp-author-role\">Participant</div>\n		<p class=\"bbp-user-nicename\">@sbrajesh</p>\n		<p class=\"bbp-reply-post-date\"><a href=\"http://buddypress.org/support/topic/buddypress-1-8-beta1-is-now-available/#post-166049\" title=\"#166049\" class=\"bbp-reply-permalink\">3 hours, 38 minutes ago</a></p>\n\n		\n		\n	</div><!-- .bbp-reply-author -->\n\n	<div class=\"bbp-reply-content\">\n\n		\n		<p>Awesome work guys! Loved the new enhancements in Group/Activity fetching. Opens a lot of possibilities.</p>\n<p>Thank you dev team for all the hard work <img src=\"http://buddypress.org/wp-includes/images/smilies/icon_smile.gif\" alt=\":)\" class=\"wp-smiley\" /> </p>\n\n		\n	</div><!-- .bbp-reply-content -->\n\n	\n</div><!-- #post-166049 -->\n\n		\n	</li><!-- .bbp-body -->\n\n</ul><!-- #topic-165940-replies -->\n\n\n			\n\n<div class=\"bbp-pagination\">\n	<div class=\"bbp-pagination-count\">\n\n		Viewing 15 posts - 1 through 15 (of 15 total)\n	</div>\n\n	<div class=\"bbp-pagination-links\">\n\n		\n	</div>\n</div>\n\n\n		\n		\n\n\n	<div id=\"no-reply-165940\" class=\"bbp-no-reply\">\n		<div class=\"bbp-template-notice\">\n			<p>You must be logged in to reply to this topic.</p>\n		</div>\n	</div>\n\n\n\n	\n	\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 13 Jun 2013 16:06:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Boone Gorges\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WordPress.tv: Ben Doherty: OOP for Theme Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19729\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://wordpress.tv/2013/06/13/ben-doherty-oop-for-theme-development/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:660:\"<div id=\"v-NwnVQdQI-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19729/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19729/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19729&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/13/ben-doherty-oop-for-theme-development/\"><img alt=\"Ben Doherty: OOP for Theme Development\" src=\"http://videos.videopress.com/NwnVQdQI/video-e644971d75_scruberthumbnail_3.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 13 Jun 2013 15:50:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"WordPress.tv: Brad Parbs: Responsive Design Primer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19701\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://wordpress.tv/2013/06/12/brad-parbs-responsive-design-primer-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:652:\"<div id=\"v-xO68kHri-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19701/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19701/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19701&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/12/brad-parbs-responsive-design-primer-2/\"><img alt=\"Brad Parbs: Responsive Design Primer\" src=\"http://videos.videopress.com/xO68kHri/video-a588e174ae_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 13 Jun 2013 15:00:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress.tv: Chris Becker: Custom Theming Power\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19705\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"http://wordpress.tv/2013/06/13/chris-becker-custom-theming-power/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:652:\"<div id=\"v-9vgyw8Ox-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19705/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19705/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19705&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/13/chris-becker-custom-theming-power/\"><img alt=\"Chris Becker: Custom Theming Power\" src=\"http://videos.videopress.com/9vgyw8Ox/video-9c76bfdecd_scruberthumbnail_0.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 13 Jun 2013 14:58:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"Alex King: Customer vs. Product Support\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://alexking.org/?p=16291\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"http://alexking.org/blog/2013/06/12/customer-vs-product-support\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4478:\"<p>How to best provide support for the software you create is an interesting point of deliberation. I&#8217;ve gone through various stages and iterations, all different as circumstances have evolved, but all driven by the same question:</p>\n<blockquote><p>\n  How can I create the best experience for the user in a way that is sustainable?\n</p></blockquote>\n<p>On a podcast a while back I said something to this effect:</p>\n<blockquote><p>\n  Free support is only sustainable on either end of the spectrum. Either you have so many users that you&#8217;re able to well monetize them to the point that you have a dedicated support team tasked with making sure they are well cared for; or you have so few users that the drain on your time is negligible and can easily be handled along with other day-to-day tasks. The tricky stuff lies in the middle.\n</p></blockquote>\n<p>When I first started writing hacks for b2 and plugins and themes for WordPress, my life looked a lot different than it does now. I had a day job which paid all my bills, a wife that also worked long hours, and the work I did on my own site was what generated most of the code I released to the community.</p>\n<p>The community was also much smaller and had a different profile back then. A handful of hackers that would use each other&#8217;s code, send each other suggestions, and generally collaborate as peers.</p>\n<p>Nowdays the profile of the average WordPress user is far different. WordPress has become a tool for business users that do not need to have technical experience to make WordPress work for them. This is awesome, but it fundamentally changes the nature of the support requests I see.</p>\n<p>My station in life has changed quite a bit too. I have a daughter, I run a great team of 15 people and I&#8217;m dealing with some <a href=\"https://alexking.org/blog/2013/05/31/cancer\">medical issues</a>. I don&#8217;t have the time that I used to, and what time I do have I&#8217;d rather spend building something than responding to emails.</p>\n<p>How I<sup id=\"fnref:1\"><a href=\"http://alexking.org/blog/topic/wordpress/feed#fn:1\" rel=\"footnote\">1</a></sup> handle support today is to break it down into two types of support:</p>\n<ol>\n<li>User Support</li>\n<li>Product Support</li>\n</ol>\n<p>With <strong>User Support</strong>, we provide one-on-one attention and do our best to solve whatever issues the user might be experiencing. This can even extend to troubleshooting plugin conflicts and server configuration issues. We reserve this level of support for our paid products (<a href=\"http://crowdfavorite.com/wordpress/ramp/\">RAMP</a>, <a href=\"http://crowdfavorite.com/wordpress/carrington-build/\">Carrington Build</a>, etc.).</p>\n<p>For our free products, we provide <strong>Product Support</strong>. This means we listen and pay attention to bug reports and try to fix anything that appears to have a reproducible use case. However we do not provide one-on-one support for users and do not dive deeply into one-off reports of edge cases.</p>\n<p>I feel that this is a reasonable compromise, and I believe that most of the users of my products agree. There will always be people who believe they can make unreasonable demands on your time, but luckily there&#8217;s a handy button on those emails (or even voicemails, yikes!) for resolving them with minimal effort.</p>\n<hr />\n<p>A few years back I had the idea that the collective support burden on WordPress plugin developers had grown to the point that we should all outsource it to a 3rd party. To support this, I created WP HelpCenter and tried to partner with plugin and theme developers through a referral program.</p>\n<p>This ended up being a flop, for a few reasons. The main on was users that actually needed support were typically unwilling to pay for it. From their perspective the plugin/theme wasn&#8217;t working and they were doing the developer a favor by reporting a bug. They certainly weren&#8217;t going to pay anything for it. What users are willing to pay for is customization, and that&#8217;s an entirely different beast.</p>\n<p>I still think something like WP HelpCenter could work, but it would be a lot of work and would need real buy-in from all parts of the community.</p>\n<div class=\"footnotes\">\n<hr />\n<ol>\n<li id=\"fn:1\">\n<a href=\"http://crowdfavorite.com\">Crowd Favorite</a> uses the same approach.&#160;<a href=\"http://alexking.org/blog/topic/wordpress/feed#fnref:1\" rev=\"footnote\">&#8617;</a>\n</li>\n</ol>\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Jun 2013 19:46:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Alex\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WPTavern: I’ll Be On DradCast Tonight\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7306\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"http://feedproxy.google.com/~r/WordpressTavern/~3/lbXLV2LPKVU/ill-be-on-dradcast-tonight\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:920:\"<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/dradcastlogo.jpg\" rel=\"thumbnail\"><img src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/dradcastlogo.jpg?resize=150%2C150\" alt=\"Dradcast Logo\" class=\"alignright size-thumbnail wp-image-7307\" /></a> I have the pleasure of being the guest host for <a href=\"http://dradcast.com/\" title=\"http://dradcast.com/\">episode 16 of DradCast</a> tonight at 8PM Eastern time. I invite you to tune into the live video stream as we talk about WPTavern, the news of the week and whatever else pops up during the show. It&#8217;s an hour long so it won&#8217;t take up too much of your time. If you have any questions you&#8217;d like me to answer, post them in the comments and I&#8217;ll try to get to as many as I can near the end of the show. </p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/lbXLV2LPKVU\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Jun 2013 18:21:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WPTavern: Global Notices Plugin For bbPress Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7302\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"http://feedproxy.google.com/~r/WordpressTavern/~3/wc4m1gN1Zq8/global-notices-plugin-for-bbpress-released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:756:\"<p><a href=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/bbPressNotices.jpg\" rel=\"thumbnail\"><img src=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/bbPressNotices.jpg?resize=150%2C150\" alt=\"bbPress Notices\" class=\"alignright size-thumbnail wp-image-7303\" /></a>Pippin has released a simple <a href=\"http://pippinsplugins.com/bbpress-notices/\" title=\"http://pippinsplugins.com/bbpress-notices/\">bbPress notices plugin</a> that allows you to place forum notices that will be seen across the entire forum. By default, the notices appear at the top of the forum and use the default bbPress styling making integration painless. </p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/wc4m1gN1Zq8\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Jun 2013 17:10:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"Alex King: Twitter Tools 3.0.4: Twitter v1.1 API Compatibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://alexking.org/?p=17215\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://alexking.org/blog/2013/06/12/twitter-tools-3-0-4-v1-1-api\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1385:\".threads-post-notice {\n	background: #e8e8e8;\n	padding: 10px;\n}\n.threads-post-notice a {\n	font-weight: bold;\n}\n\n<p>I&#8217;ve released Twitter Tools version 3.0.4 which now uses the Twitter v1.1 API. Since Twitter has turned off the 1.0 API, this is pretty much a &#8220;must upgrade&#8221; situation.</p>\n<p>If Twitter Tools has been active for you over the last few days, you&#8217;ll need to do a little cleanup:</p>\n<ol>\n<li><a href=\"http://d.pr/i/qoaN\">enable the Tweet admin screens</a></li>\n<li><a href=\"http://d.pr/i/kK4K\">delete anything you don&#8217;t want (all of those &#8220;(no title)&#8221; ones, probably)</a></li>\n</ol>\n<p>Grab the code from <a href=\"https://github.com/crowdfavorite/wp-twitter-tools\">GitHub</a> where active development occurs, or from <a href=\"http://wordpress.org/plugins/twitter-tools/\">WordPress.org</a> where it is distributed.</p>\n<p>That should do it. As always post any weirdness you see in the <a href=\"http://wordpress.org/support/plugin/twitter-tools\">support forums</a>. While I can&#8217;t provide individual support, I do look for any issues and reports that would indicate a bug that I can fix.</p>\n<p class=\"threads-post-notice\">This post is part of the thread: <a href=\"http://alexking.org/blog/thread/twitter-tools\">Twitter Tools</a> &#8211; an ongoing story on this site. View the thread timeline for more context on this post.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Jun 2013 15:11:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Alex\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WordPress.tv: Dr. Renee Hobbs: The Implementation Of WordPress in The Academia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19695\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"http://wordpress.tv/2013/06/12/dr-renee-hobbs-the-implementation-of-wordpress-in-the-academia/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:705:\"<div id=\"v-m5p7LDci-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19695/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19695/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19695&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/12/dr-renee-hobbs-the-implementation-of-wordpress-in-the-academia/\"><img alt=\"Dr. Renee Hobbs: The Implementation Of WordPress in The Academia\" src=\"http://videos.videopress.com/m5p7LDci/video-5b1324f57b_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Jun 2013 13:09:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"WordPress.tv: John Caserta: WordPress for Teachers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19692\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"http://wordpress.tv/2013/06/11/john-caserta-wordpress-for-teachers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:650:\"<div id=\"v-6zDe6iau-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19692/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19692/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19692&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/11/john-caserta-wordpress-for-teachers/\"><img alt=\"John Caserta: WordPress for Teachers\" src=\"http://videos.videopress.com/6zDe6iau/video-8a99df7f02_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Jun 2013 05:07:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"WordPress.tv: Jonathan Friesem, Kari Lukovics, Daniel Klotz: Educational Use of WordPress at Harrington\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19688\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"http://wordpress.tv/2013/06/11/jonathan-friesem-kari-lukovics-daniel-klotz-educational-use-of-wordpress-at-harrington/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:754:\"<div id=\"v-qUK9EYg9-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19688/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19688/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19688&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/11/jonathan-friesem-kari-lukovics-daniel-klotz-educational-use-of-wordpress-at-harrington/\"><img alt=\"Jonathan Friesem, Kari Lukovics, Daniel Klotz: Educational Use of WordPress at Harrington\" src=\"http://videos.videopress.com/qUK9EYg9/video-da4ac6c057_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 11 Jun 2013 23:44:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"WPTavern: Interview With Brand New Theme Club – TeslaThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7292\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"http://feedproxy.google.com/~r/WordpressTavern/~3/Z4Euz_XasNc/interview-with-brand-new-theme-club-teslathemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9200:\"<p><a href=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemeslogo.jpg\" rel=\"thumbnail\"><img class=\"alignright size-full wp-image-7293\" alt=\"TeslaThemes Logo\" src=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemeslogo.jpg?resize=128%2C106\" /></a>I&#8217;ve made it a habit to read WordPress related Press Releases despite how boring most of them are. Occasionally, I&#8217;ll come across something that is pretty interesting such as <a title=\"http://teslathemes.com/\" href=\"http://teslathemes.com/\">TeslaThemes</a>. TeslaThemes is a brand new theme club with the goal of producing one theme per month. In particular, I thought their <a title=\"http://teslathemes.com/wp-themes/coolstuff/\" href=\"http://teslathemes.com/wp-themes/coolstuff/\">Cool Stuff theme</a> introduced a unique way of displaying content via Post Formats and a timeline. After browsing around the site, I decided to get in touch with TeslaThemes to find out how they plan on surviving the WordPress theme market, especially as a theme club. <span id=\"more-7292\"></span></p>\n<p><strong>In an ever growing crowd of companies, what do you think will set TeslaThemes apart from the competition?</strong></p>\n<p>We are aware of this very fast growing market, and especially this makes us very confident in what we do and how we do. At this moment income is not a priority, we’re mainly focused on delivering really useful themes to end-users, we do not want to create this “<em>plastic</em>”, “<em>industrial</em>”, “<em>copy paste</em>” WordPress templates as so many do. The market is over saturated with themes and templates and they all look the same. People need something unique, that can stand out of the crowd. We have a very loyal group of followers that give us the boost and confidence for what we have planned.</p>\n<div id=\"attachment_7294\" class=\"wp-caption aligncenter\"><a href=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemesPricing.jpg\" rel=\"thumbnail\"><img src=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemesPricing.jpg?resize=500%2C187\" alt=\"Tesla Themes Pricing\" class=\"size-large wp-image-7294\" /></a><p class=\"wp-caption-text\">These prices will be changing soon</p></div>\n<p><strong>In your opinion, what makes a good WordPress theme?</strong></p>\n<p>Depends on who is asked. For many, they say 90% is design and 10% code, for others vice versa. We want to merge it to a golden middle, creating handcrafted design interface plus very intuitive customization process for the user, so that he enjoys personalizing his own website, without headache or paying additional developers for that. At the end of the day, when everything is done, what the rest see the design, its usability and navigation, how clean and understandable is it. For sure everyone appreciates it. No one has time to search on the page, our eyes must catch everything from a single glance. To resume, important is the design, the concept, perfect code and very intelligent and user friendly framework that will guide anyone.</p>\n<p><strong>Why have you chosen to develop commercial themes for WordPress instead of Joomla, or Drupal?</strong></p>\n<p>Frankly, we do not stop on WordPress, at this very minute we have 5 templates in the queue, where 1 is ecommerce. However, the main course is WordPress indeed. Our research shows that more and more people are opting for a simple yet complex blog or website based on WordPress, this is already both a trend and necessity. If at the beginning WordPress was meant for blogs, now it&#8217;s escalated to pretty big web applications that are using it. At TeslaThemes we can adapt any theme to any needs.</p>\n<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemesWordPress.jpg\" rel=\"thumbnail\"><img src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemesWordPress.jpg?resize=389%2C146\" alt=\"Tesla Themes WordPress\" class=\"aligncenter size-full wp-image-7295\" /></a></p>\n<p><strong>What is the Tesla Framework?</strong></p>\n<p>Tesla Framework is another one of our proud products. The decision to develop it was unanimous and instant. There are many reason why, first of all we were thinking about our customers who are purchasing our Premium Templates. We’ve noticed that not very many have any technical background, the tickets we were receiving at the time were related rather to lack of technical experience and WordPress knowledge than some technical problems of the theme. At a certain point we had a huge data base of Q&#038;A and decided to build our own Framework, adapting and combining all the issues we’ve got during our daily activity. The end result, without modesty is a brilliant tool that helps anyone to customize its template in a very simple and fun way. We noticed an 85% drop for tickets, since we launched it and all the feedback we get from our customers is just great. Another strong reason to make it was the technical aspect, it increased our theme development up to 40%. Now any Tesla developer can work on any of our themes without any problem, switching whenever is needed, it is a unique platform that saves time and development costs. At the end of the day Tesla Framework was a very inspired decision both for end-users and our developers.</p>\n<p><a href=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemesFramework.jpg\" rel=\"thumbnail\"><img src=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemesFramework.jpg?resize=500%2C201\" alt=\"TeslaThemes Framework\" class=\"aligncenter size-large wp-image-7296\" /></a></p>\n<p><strong>Theme clubs are a tough way to do business. Many have come and gone. Why have you decided to go with the club route instead of charging $60-$70 per theme?</strong></p>\n<p>That’s correct, Jeff. For sure we will not go for too long with club way. The reason we have so affordable prices for single themes and annual subscription, is lack of financial priority at the moment. Of course we are not Red Cross, we also have bills and want to drive nice cars and nice vacations. All the prices for sure will go up in the next few months. Our design and development department are working now on 5 templates that must come up by middle of July, 2013. The 24/7 support we have, the handcrafted design, uniqueness, they all cost money and I am sure, people want to have really the best and they will buy our themes. </p>\n<p><strong>One of my favorite designs from TeslaThemes is the Cool Stuff theme. What was the inspiration behind the timeline display of content?</strong></p>\n<p>That’s right, Cool Stuff is one of our best sellers. It is very simple and has a modern layout. The idea behind it was very simple, inspired by flat design trend we decided to create our first flat design theme. It was rather from fun, but turned out to be a success. As a matter of fact, 4 out of 5 themes we have in the queue, are flat. The timeline display gives a faster navigation thru the page, saves user’s time and keeps a higher focus on the content. And content is king!</p>\n<div id=\"attachment_7297\" class=\"wp-caption aligncenter\"><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemesTimeline.jpg\" rel=\"thumbnail\"><img src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/TeslaThemesTimeline.jpg?resize=500%2C297\" alt=\"Tesla Themes Timeline\" class=\"size-large wp-image-7297\" /></a><p class=\"wp-caption-text\">Cool way of displaying content via post formats and a timeline</p></div>\n<p><strong>Do you have any opinions on themes bundling plugins whether they are commercial or free?</strong></p>\n<p>I think that bundling plugins (whether they are commercial or free) is not good for the end user. By nature, plugins need to be detached from the framework, because in case something goes wrong the plugin can be deactivated and the user can maintain a working website without losing traffic. On the other side, bundling plugins with a theme means to compel a user to use only one plugin for a given enhancement, when the user could have used another plugin, giving the same functionality, but which the user knows better how to use.</p>\n<p><strong>Why did you decide to license the themes under the same license WordPress has? (GPL V2)</strong></p>\n<p>Because adopting this kind of license for our themes is better than writing our own, and limit what our users can do with their themes. GPL gives a sense of freedom, and clients love to hear that they have the freedom to do whatever they want with their themes after they buy it. In addition, having this license gives us some advantages, like the opportunity to promote our marketplace on WordPress.org </p>\n<p><strong>Anything you would like to say to the WordPress Community?</strong></p>\n<p>To keep up and continue to innovate. Inspiration and satisfaction. The tough market is a risk indeed but let’s see it rather as an opportunity to stand out of the crowd with great service and products. The competition develops and brings real value for everyone.</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/Z4Euz_XasNc\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 11 Jun 2013 22:19:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"WPTavern: Experimental Plugin Review – Inline Preview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7284\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"http://feedproxy.google.com/~r/WordpressTavern/~3/IqjqafuFxhs/experimental-plugin-review-inline-preview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2162:\"<p><a title=\"http://www.chrisfinke.com/2013/06/11/inline-preview-plugin-for-wordpress/\" href=\"http://www.chrisfinke.com/2013/06/11/inline-preview-plugin-for-wordpress/\">Inline Preview</a> is a brand new plugin being developed by Christopher Finke. Instead of previewing posts in a new browser tab, this plugin adds an editor to the right of the post within the same tab enabling you to see what the post will look like.</p>\n<div id=\"attachment_7288\" class=\"wp-caption aligncenter\"><a href=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/InlinePreview1.jpg\" rel=\"thumbnail\"><img class=\"size-full wp-image-7288\" alt=\"Inline Preview\" src=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/InlinePreview1.jpg?resize=500%2C375\" /></a><p class=\"wp-caption-text\">Editor And Post In The Same Tab</p></div>\n<p>If you end up giving this plugin a try, be warned that once you click the preview button, the only way to close the inline preview area is to either reload the page or save the draft. Once I saw a screenshot of this plugin in action, I was initially excited because this is one of the features I saw in Ghost that intrigued me. However, this plugin is only at the experimental level and I&#8217;m not sure how far Chris is going to take it. But if he plans on putting more development time into it, here are a couple things on my checklist I&#8217;d like to see.</p>\n<ul>\n<li>Have the inline preview only show the content area of the website, no sidebar, no footer, none of the unnecessary details. Since my content area is only 600 pixels wide, it would make better use of my screen real estate.</li>\n<li>Real-time editing so that as I type or add images, I can see how those changes would look on the site.</li>\n<li>The ability to change the width of the post editor and the inline preview so that I can apply a size that works best for my monitor.</li>\n<li>An easy way to close the inline editor without having to reload the entire page.</li>\n</ul>\n<p>Anything else you can think of that would make a plugin like this useful to you?</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/IqjqafuFxhs\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 11 Jun 2013 20:31:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WP Android: You’ve Got Notifications!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"http://android.wordpress.org/?p=847\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://android.wordpress.org/2013/06/11/notifications/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3864:\"<p><a href=\"http://android.wordpress.org\"><img src=\"http://wpandroid.files.wordpress.com/2013/05/wordpress-for-android-2-4-wordpress-com-notifications.jpg?w=242&h=491\" alt=\"Version 2.4 of WordPress for Android: Notifications panel on a Samsung Galaxy S3\" width=\"242\" height=\"491\" class=\"alignright size-medium wp-image-861\" /></a>Need to get your WordPress.com or Jetpack notifications on the go? With version 2.4 of <a href=\"https://play.google.com/store/apps/details?id=org.wordpress.android&hl=en\">WordPress for Android</a> you&#8217;ll see all your Notifications right on your Android device.</p>\n<h3 id=\"scroll_to_here\">Step away yet stay connected</h3>\n<p>With the new streamlined Notifications view, you can step away from your computer but still stay connected to your readers. With just a few taps you can:</p>\n<ul>\n<li>Read comments and reply.</li>\n<li>Moderate new pending comments.</li>\n<li>Get stats highlights.</li>\n<li>See your new followers and follow them back.</li>\n<li>See who liked your posts.</li>\n</ul>\n<p>Don’t need so many notifications? You can turn off specific notification types (for example &#8220;Likes&#8221;) in the Settings panel. You can also mute entire blogs if it gets too noisy.</p>\n<p>Self-hosted WordPress.org blogs get to join the party, too! Simply connect your blog using the <a href=\"http://jetpack.me\">Jetpack plugin</a> and your self-hosted blog&#8217;s notifications will appear. Already have Jetpack set up? Then you don&#8217;t need to do a thing.</p>\n<div id=\"attachment_867\" class=\"wp-caption aligncenter\"><a href=\"http://wpandroid.files.wordpress.com/2013/05/wordpress-for-android-notification-center-pending.png\"><img src=\"http://wpandroid.files.wordpress.com/2013/05/wordpress-for-android-notification-center-pending.png?w=300&h=78\" alt=\"Pending notifications in the notification center\" width=\"300\" height=\"78\" class=\"size-medium wp-image-867\" /></a><p class=\"wp-caption-text\">See what&#8217;s going on with your blog quickly.</p></div>\n<div id=\"attachment_868\" class=\"wp-caption aligncenter\"><a href=\"http://wpandroid.files.wordpress.com/2013/05/wordpress-for-android-reply-to-comment-from-notification-center.png\"><img src=\"http://wpandroid.files.wordpress.com/2013/05/wordpress-for-android-reply-to-comment-from-notification-center.png?w=300&h=132\" alt=\"Replying to comments from the notification center\" width=\"300\" height=\"132\" class=\"size-medium wp-image-868\" /></a><p class=\"wp-caption-text\">Reply to comments with ease.</p></div>\n<h3>Additional improvements and bug fixes</h3>\n<p>We also added a few more nifty features in this release:</p>\n<ul>\n<li>A new menu icon has been added that matches up with the latest &#8216;Holo&#8217; design guidelines.</li>\n<li>Settings and Sign out options have been added to the overflow menu for easier access.</li>\n<li>New fonts added for easier readability.</li>\n<li>&#8230; and many more small bug fixes and reliability improvements.</li>\n</ul>\n<h3>What&#8217;s next?</h3>\n<p>We&#8217;ve got some great new features in the works including improvements to Media, Account Setup, and the Reader.</p>\n<p>A huge thanks to the contributors that worked on this release: <a href=\"http://wordpress.org/support/profile/beaucollins\">beaucollins</a>, <a href=\"http://wordpress.org/support/profile/daniloercoli\">daniloercoli</a>, <a href=\"http://wordpress.org/support/profile/mrroundhill\">mrroundhill</a>, <a href=\"http://wordpress.org/support/profile/isaackeyet\">isaackeyet</a>, and <a href=\"http://wordpress.org/support/profile/aagam94\">aagam94</a>.</p>\n<p>How do you like the new Notifications? Drop a comment here or follow us <a href=\"http://twitter.com/wpandroid\">@WPAndroid</a> to let us know!</p>\n<br />  <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=android.wordpress.org&blog=9426921&post=847&subd=wpandroid&ref=&feed=1\" width=\"1\" height=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 11 Jun 2013 19:28:10 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"Dan\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"WPTavern: Interview With Internet Marketer Kevin Muldoon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7269\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"http://feedproxy.google.com/~r/WordpressTavern/~3/BHMHzDo53Fg/interview-with-internet-marketer-kevin-muldoon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:12146:\"<p><strong>Tell us who you are and how long you&#8217;ve been using WordPress.</strong></p>\n<p>My name is Kevin Muldoon. I am a writer, blogger and internet marketer. I am from Scotland but for the last two years I have been living in South America.</p>\n<p>I first tried WordPress in 2006. During that year I had tried just about every blogging script out there. The one I chose to use for my travel blog was Serendipity. I had been using CMS&#8217;s for several years so I started looking more into using blogging platforms to create small content websites. Eventually, that led me to WordPress and I have used it ever since. <span id=\"more-7269\"></span></p>\n<p><strong>I discovered you through BloggingTips.com. Every time I see your name, it&#8217;s behind a different blog. Are you in the business of creating and selling websites?</strong></p>\n<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/BloggingtipsLogo.jpg\" rel=\"thumbnail\"><img class=\"aligncenter size-full wp-image-7271\" alt=\"BloggingTips Logo\" src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/BloggingtipsLogo.jpg?resize=285%2C100\" /></a></p>\n<p>I have sold hundreds of websites over the years, though it is not something I always set out to do. When I sold <a title=\"http://www.bloggingtips.com/\" href=\"http://www.bloggingtips.com/\">BloggingTips</a> at the beginning of 2010, I had been working on it every day for 3 years. I was keen to do something else. My next blog, <a title=\"http://www.wphub.com\" href=\"http://www.wphub.com\">WP Mods</a>, was sold in part because of an upcoming trip throughout South America and partly to free up more time to work on other websites I was developing.</p>\n<p>To date I have over $200k worth of sales on Flippa, but I wouldn&#8217;t consider myself a website flipper. All of the websites I have sold have been developed from scratch by me.</p>\n<p><strong>I understand you make a substantial amount of your income from your work online. From your experience, which revenue generating technique has garnered the most cash?</strong></p>\n<p>I make 100% of my income online. I started working online in 2000. I was working in Finance at the time and would work on websites at night. I probably made a few hundred dollars a month, which was never enough to leave my full time job. I did make a few good sales from domains. One time in 2002 I bought a domain name at work at 8.30am and sold it at 12.00pm for around $300-$400. I had bigger sales but that was probably the most satisfying due to how quickly I turned a profit.</p>\n<p>Around 2004 I started making enough to work full time online. All of my money was coming from affiliate commissions. At the height of the gambling craze I was making over $20,000 a month. That helped pay off some debts from university and allowed some fun trips around the world.</p>\n<p>Today, I still make most of my money from affiliate referrals, adsense and banner ad sales. I am starting to make money from selling books and I earn money from freelance writing too.</p>\n<p><strong>Back in May of 2009, you and Sarah started a WordPress theme club titled appropriately enough, <a title=\"http://www.blogthemesclub.com/\" href=\"http://www.blogthemesclub.com/\">BlogThemesClub.com</a>. Whatever happened to the club and what valuable lessons did you learn from that experience?</strong></p>\n<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/BlogThemesClubLogo.jpg\" rel=\"thumbnail\"><img class=\"aligncenter size-full wp-image-7272\" alt=\"blogthemesclub\" src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/BlogThemesClubLogo.jpg?resize=444%2C111\" /></a></p>\n<p>haha We sold that one too :)</p>\n<p>That site developed out of BloggingTips.com. Through that site I had released several WordPress themes to the community free. We then looked into releasing premium designs to blog readers but later decided that it would be better long term to sell themes from a new domain.</p>\n<p>I am primarily a writer/marketer and Sarah is primarily a coder. Due to this, we had to outsource all the design work. This was not without its difficulties. Looking back, we probably should have brought in a designer as a partner from the start. That would have allowed us to develop themes quicker. I am sure we could have made it a success if we stuck to it though we decided to cut our losses and move on as we were spending a lot of time on it.</p>\n<p>It was a good experience and I did learn a lot from running a membership driven website and with working with a partner, so it is not something look back on with regret.</p>\n<p><strong>Do you find it difficult to generate content for your various sites or does it come natural?</strong></p>\n<p>No. That is something that I have never had a problem with. Never have, never will. I am always reading other blogs and I buy books regularly too, so I am never short of ideas. My personal blog <a title=\"http://www.kevinmuldoon.com\" href=\"http://www.kevinmuldoon.com\">KevinMuldoon.com</a> currently has 125 draft posts, all of which are partly written or have details of what needs to be written.</p>\n<p>The main problem is time to actually write. Over the next few months I need to greatly reduce my own writing responsibilities and bring in others to help me maintain my websites and blogs.</p>\n<p><strong>Obviously you&#8217;re only one person. What tips can you provide for those looking to hire people to write for their site?</strong></p>\n<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WPModsLogo.jpg\" rel=\"thumbnail\"><img class=\"aligncenter size-full wp-image-7273\" alt=\"WPMods Logo\" src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WPModsLogo.jpg?resize=258%2C69\" /></a></p>\n<p>Unless you want your website or blog to always remain at the same level, you need to bring people in to help you. With BloggingTips.com I had over a dozen people writing regularly. By the time I sold WPMods.com I had two or three people helping me write articles.</p>\n<p>Obviously, getting the right people is key. It can be tempting to just get the cheapest writers but you need to remember that sometimes a badly written post is worse than having no post published at all. At the start it can be a balancing act trying to keep writing costs down and turn a profit, but long term it is worth it. Generally speaking, I would rather spend money on hiring good writers than spending money on an advertising campaign or some SEO service.</p>\n<p>As you rightly point out, there is only one of me, so for me to move on and do other things, I need to hire other people. There is no other way round it. The old idiom &#8220;<strong>hire people smarter than you</strong>&#8221; definitely runs true, and once they know what you are looking for, you should feel comfortable letting them get on with their job. Spending too much time micro-managing them can be counter-productive.</p>\n<p><strong>What is it about WordPress that has you using it for just about every site you create?</strong></p>\n<p>Possibility.</p>\n<p>No other platform out there, blogging or otherwise, comes even close to offering the same level of customization that WordPress does. Can you think of any other platform that offers thousands and thousands of free and premium plugins and themes?</p>\n<p><strong>What is your biggest pet peeve with WordPress?</strong></p>\n<p>I would say it is that every plugin developer out there wants to hijack my admin area and place a large menu link on my admin sidebar. There are plugins that only take two minutes to set up and then you never need to configure them again, yet they hog my sidebar. All major plugin developers, including Automattic, seem to be doing this.</p>\n<p>I am aware that there are plugins out there that let me remove links from the main menu and put them somewhere else, however I do not feel that WordPress users should need to do this. Why should we have to go to the hassle of cleaning up their mess?</p>\n<p><strong>Where would you like to see WordPress 5 years from now?</strong></p>\n<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2009/02/wordpresslogo.png\" rel=\"thumbnail\"><img src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2009/02/wordpresslogo.png?resize=150%2C150\" alt=\"wordpresslogo\" class=\"aligncenter size-thumbnail wp-image-422\" /></a></p>\n<p>I like the fact that WordPress has started removing things like blogrolls and adding them back as plugins. The core version should not be too bloated.</p>\n<p>The problem is that there is so much functionality lacking from the core that you end up installing lots of plugins, thereby slowing down your site. Take commenting for example, WordPress blogs suffer from spam so badly that you need to install Akismet right off the bat. Then you need to install at least one additional plugin to reduce spam, whether it be to add a CAPTCHA field or trick bots into thinking they have completed all fields.</p>\n<p>Many people have turned to third-party commenting systems to address this, though they are not always ideal either. So, like many people, I have started using Jetpack for my comments. It works great, but using that plugin means that I a need to install many other things that I do not want installed.</p>\n<p>The same thing can be said about security. I have had a few of my blogs infected with malware over the last year so I now install security plugins on every WordPress website I own. It would be better if WordPress tackled this problem head on and make the product more secure. I understand that WordPress is always going to be targeted more than other platforms due to its popularity, though when it comes to the point of needing to install anti-spam and anti-malware plugins every time they use WordPress, you need to step back and think about whether the core product needs to be upgraded.</p>\n<p>Today, I have over a dozen plugins that I install on every website. I review the plugins I have installed regularly, though a quick check on my personal blog shows that I have 37 activated plugins. Many of these plugins address problems with other plugins or problems with the core. For example, I have&nbsp;Manual Control for Jetpack to stop the Jetpack plugin automatically enabling new modules they add and I have&nbsp;WP Missed Schedule installed to stop WordPress not publishing my articles on time (and never sending me an email to notify me of this).</p>\n<p>Last but not least, I think that WordPress is starting to look dated in some respects. Without doubt it is functional, but along the way it has lost its style. I use the WordPress iOS app regularly and it works great, however accessing WordPress through my browser seems clunky at times.</p>\n<p>WordPress has become the number one content management system in the world, though I think there is a danger of it losing its title as the best blogging platform. New blog platforms such as SquareSpace and Ghost are simplifying the whole process of blogging and allowing people to focus more on content instead of worrying about spam, viruses and configuring cache plugins.</p>\n<p>Competition is good and I hope that WordPress can take the best features of these new platforms and integrate it into their own platform.</p>\n<p><strong>Anything you&#8217;d like to say to the entire WordPress community?</strong></p>\n<p>I would encourage people to support plugin and theme developers where they can; whether it be telling others of their good work, making a donation or upgrading to their premium products. That being said, I also think WordPress users are allowed to be critical, even of those who release products for free. As a content producer, I understand why many developers get touchy about criticism, though it is essential to their products, and WordPress as a whole, getting better.</p>\n<p>So be supportive and be critical about something if you need to be, though make sure you are polite and professional when you do so. Those who complain for the sake of complaining deserve to be ignored :)</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/BHMHzDo53Fg\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 11 Jun 2013 16:48:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"WPTavern: Recap Of WordCamp Milwaukee 2013\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7264\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"http://feedproxy.google.com/~r/WordpressTavern/~3/JbJHpoCeOY4/recap-of-wordcamp-milwaukee-2013\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:850:\"<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WordCampMilwaukee2013Logo.jpg\" rel=\"thumbnail\"><img src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WordCampMilwaukee2013Logo.jpg?resize=216%2C108\" alt=\"WordCamp Milwaukee 2013 Logo\" class=\"alignright size-full wp-image-7265\" /></a>This past weekend, WordCamp Milwaukee 2013 took place. If you missed it, Brad Parbs has a <a href=\"http://snowdaygroup.com/wordcamp-milwaukee-2013-recap/\" title=\"http://snowdaygroup.com/wordcamp-milwaukee-2013-recap/\">short recap of the event</a> complete with links to a bunch of different slides from presentations. With over 300 attendees this go around, I congratulate the event organizers on another successful WordCamp. </p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/JbJHpoCeOY4\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 11 Jun 2013 01:18:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:136:\"WordPress.tv: John Botte, Jason Narciso, Michael Chevalier, Lindsay Logan, Valerie: Panel on Developer/Designer/Strategist Communication\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19685\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:147:\"http://wordpress.tv/2013/06/10/john-botte-jason-narciso-michael-chevalier-lindsay-logan-valerie-panel-on-developerdesignerstrategist-communication/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:816:\"<div id=\"v-9XodB73t-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19685/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19685/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19685&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/10/john-botte-jason-narciso-michael-chevalier-lindsay-logan-valerie-panel-on-developerdesignerstrategist-communication/\"><img alt=\"John Botte, Jason Narciso, Michael Chevalier, Lindsay Logan, Valerie: Panel on Developer/Designer/Strategist Communication\" src=\"http://videos.videopress.com/9XodB73t/video-6718bc6c03_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 10 Jun 2013 23:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WordPress.tv: Kylie Gusset: Dis [content] – A Panel on Blog Content\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19578\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"http://wordpress.tv/2013/06/10/kylie-gusset-dis-content-a-panel-on-blog-content/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:686:\"<div id=\"v-Qx2au1Vr-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19578/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19578/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19578&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/10/kylie-gusset-dis-content-a-panel-on-blog-content/\"><img alt=\"Kylie Gusset: Dis [content] &#8211; A Panel on Blog Content\" src=\"http://videos.videopress.com/Qx2au1Vr/video-b3f9e95ecd_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 10 Jun 2013 18:35:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WordPress.tv: Aaron Ware: From Employee to Freelance\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19675\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://wordpress.tv/2013/06/09/aaron-ware-from-employee-to-freelance/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:654:\"<div id=\"v-7CYfHYk0-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19675/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19675/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19675&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/09/aaron-ware-from-employee-to-freelance/\"><img alt=\"Aaron Ware: From Employee to Freelance\" src=\"http://videos.videopress.com/7CYfHYk0/video-4058fa5bdf_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 10 Jun 2013 18:15:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: When Commercial Themes Bundle Commercial Plugins, Users Lose\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7255\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://feedproxy.google.com/~r/WordpressTavern/~3/0ZyY80tRsrU/when-commercial-themes-bundle-commercial-plugins-users-lose\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6543:\"<p>Coen Jacobs developer for WooThemes has used his personal site to vent about <a title=\"http://coenjacobs.me/en/dont-buy-bundled-premium-plugins/\" href=\"http://coenjacobs.me/en/dont-buy-bundled-premium-plugins/\">commercial themes bundling commercial plugins</a>. There were at least two themes hosted on the ThemeForest marketplace that were bundling commercial WooThemes plugins along with a copy of GravityForms. Those themes have been <a title=\"http://themeforest.net/forums/thread/bundling-premium-gpl-plugins-on-themeforest-themes/100141\" href=\"http://themeforest.net/forums/thread/bundling-premium-gpl-plugins-on-themeforest-themes/100141\">temporarily hidden from view by ThemeForest</a> until they comply with revised guidelines. This is a great article filled with a number of great points but the comments are just as good.</p>\n<p><strong>It&#8217;s Just A Bad Idea</strong> &#8211; Bundling plugins with themes is already a bad practice but when those plugins have a commercial nature to them and need API access keys to work properly, it becomes an incredibly bad idea.</p>\n<p><strong>Support Nightmare</strong> &#8211; I love the infinite loop for support described by Coen so much, I&#8217;m just going to paste it here as it clearly illustrates how bad it can be for users to get support.</p>\n<ol>\n<li>The author of the plugin is WooThemes. “They should help me, right?”</li>\n<li>Wrong, they can’t help you. You haven’t purchased the plugin from WooThemes, so they can’t support you. This is not just because you haven’t purchased it from them, but they also have no way of knowing what’s been done with the code. This makes it virtually impossible to support the code.</li>\n<li>The WooThemes support crew will probably tell you to ask the theme author.</li>\n<li>The theme author has no real ways of supporting the plugins they bundle with the theme, simply because they didn’t write the plugin.</li>\n<li>The initial response of the theme author is often to contact the author of the plugin. Resume these steps at #1, infinite loop!</li>\n</ol>\n<p><strong>GPL</strong> &#8211; People are still confused when they see a theme or plugin licensed under the <a title=\"http://wordpress.org/about/gpl/\" href=\"http://wordpress.org/about/gpl/\">GPL</a> and then see licenses that specify the number of websites the plugin can be used on. Being licensed under the GPLv2 means the code is freely available and can be modified or redistributed. During the checkout process, if the word <em>restrict</em> is in the description it generates <em>red flags</em>. It&#8217;s important to note that most commercial GPL theme/plugin licenses deal strictly with how many sites will be supported by them based on which support license you buy. In some instances such as GravityForms, you&#8217;re not only purchasing a support license, but also an API access key that provides access to updates and other functionality. The API aspects of GravityForms have nothing to do with GPL. As <a title=\"http://coenjacobs.me/en/dont-buy-bundled-premium-plugins/#comment-9401\" href=\"http://coenjacobs.me/en/dont-buy-bundled-premium-plugins/#comment-9401\">Carl Hancock points out</a>, look at Akismet, VaultPress, or WordPress.com as good examples of plugins that are GPL but the features they offer are through an API/service which is not accessible because it&#8217;s a software as a service model.</p>\n<p>It&#8217;s important to note that redistributing any themes or plugins licensed under the GPL commercial or not for free or for a price is completely within the confines of the license as long as proper attribution is maintained and the copyright notice is left in tact. What the two themes on ThemeForest were doing was not illegal.</p>\n<p><strong>Abuse Of The Unlimited Sites License</strong> &#8211; This is an interesting one. Using GravityForms as an example, if you buy the unlimited sites option, you&#8217;ll have support for unlimited sites, support multi-site, have unlimited forms, unlimited entries, 1 year of updates, etc. <a title=\"http://coenjacobs.me/en/dont-buy-bundled-premium-plugins/#comment-9296\" href=\"http://coenjacobs.me/en/dont-buy-bundled-premium-plugins/#comment-9296\">According to Simone</a>, team leader of Your Inspiration Themes, they had purchased a Developer License granting them the ability to install GravityForms on an unlimited amount of sites. They were bundling GravityForms with their themes but in order for customers to receive upgrades, they would push out a new theme update which included the newest version of GravityForms.</p>\n<p>I have to give Simone credit for coming up with a somewhat creative way of being able to offer GForms updates without their theme customers needing to have an individual access key. However, because of how GravityForms works, they have the ability to turn off keys if they discover they  are used in such a way that <a title=\"http://www.gravityforms.com/terms-and-conditions/\" href=\"http://www.gravityforms.com/terms-and-conditions/\">violates their TOS</a>.</p>\n<p><strong>Not Getting What You Paid For</strong> &#8211; According to Simone, by bundling plugins like GForms in their themes, they are offering value. In reality, the are offering headaches. The following paragraph in Simone&#8217;s response is important to take note of.</p>\n<blockquote><p>Keep in mind that we are not re-selling the plugins and above all we don’t provide key licenses to our customers. When an update of those plugins is released, we will as soon as possible release a new theme update with the new version of the plugin. We know how important is to keep updated the WordPress installation.</p></blockquote>\n<p>When customers buy their themes, they&#8217;re not actually buying the plugins that are bundled with them. If that&#8217;s the case, why bother bundling the plugins at all? The only conclusion I can come to is that they are ripping off GravityForms and others while providing so called value to their customers.</p>\n<h2>Conclusion:</h2>\n<p>I hope YIT and ThemeForest have both learned their lesson in this ordeal. ThemeForest needs to tighten up its theme reviewing process. YIT needs to remove the commercial plugins until they can strike a unique reseller deal with both GForms and WooThemes. Since Simone claims their themes sold well without having any plugins, I hope they remove them because the overall practice of bundling plugins with themes is stupid.</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/0ZyY80tRsrU\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 10 Jun 2013 16:11:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"WordPress.tv: Brian Casel: Building Your Niche Freelance Business With WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19665\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"http://wordpress.tv/2013/06/09/brian-casel-building-your-niche-freelance-business-with-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:710:\"<div id=\"v-feHnr6Fp-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19665/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19665/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19665&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/09/brian-casel-building-your-niche-freelance-business-with-wordpress/\"><img alt=\"Brian Casel: Building Your Niche Freelance Business With WordPress\" src=\"http://videos.videopress.com/feHnr6Fp/video-85c225c8b6_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 09 Jun 2013 13:26:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WordPress.tv: Michael McKinnon: Hackers Ahoy! Batten Down The Hatches\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19600\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"http://wordpress.tv/2013/06/08/michael-mckinnon-hackers-ahoy-batten-down-the-hatches/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:693:\"<div id=\"v-tEjvFYy4-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19600/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19600/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19600&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/08/michael-mckinnon-hackers-ahoy-batten-down-the-hatches/\"><img alt=\"Michael McKinnon: Hackers Ahoy! Batten Down The Hatches\" src=\"http://videos.videopress.com/tEjvFYy4/video-15d63849f6_scruberthumbnail_0.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 09 Jun 2013 03:52:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"WordPress.tv: Jordan Gillman: Know Enough to Be Dangerous – Tweaking your WordPress Site\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19574\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"http://wordpress.tv/2013/06/08/jordan-gillman-know-enough-to-be-dangerous-tweaking-your-wordpress-site/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:730:\"<div id=\"v-3Sn0CBOx-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19574/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19574/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19574&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/08/jordan-gillman-know-enough-to-be-dangerous-tweaking-your-wordpress-site/\"><img alt=\"Jordan Gillman: Know Enough to Be Dangerous &#8211; Tweaking your WordPress Site\" src=\"http://videos.videopress.com/3Sn0CBOx/video-9a58d82171_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 08 Jun 2013 12:38:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WPTavern: Pretty WordPress Template Hierarchy Diagram\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7248\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"http://feedproxy.google.com/~r/WordpressTavern/~3/S8mjpUAuI8M/pretty-wordpress-template-hierarchy-diagram\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2171:\"<p>If there has been one graphical element that has seen some changes over the years, it&#8217;s the template hierarchy diagram. The <a title=\"http://codex.wordpress.org/Template_Hierarchy\" href=\"http://codex.wordpress.org/Template_Hierarchy\">original diagram</a> is located on the Codex and while it provides a graphical representation as to how Templates work within WordPress, it&#8217;s not pretty. I remember in 2008 when Michael Castilla took the original concept and simply <a title=\"http://wpcandy.com/teaches/wordpress-template-hierarchy-diagram/\" href=\"http://wpcandy.com/teaches/wordpress-template-hierarchy-diagram/\">added some style</a> to it. A few years later, Chip Bennett <a title=\"http://www.chipbennett.net/themes/template-hierarchy/wordpresstemplatehierarchy-rev-8/\" href=\"http://www.chipbennett.net/themes/template-hierarchy/wordpresstemplatehierarchy-rev-8/\">added detailed information</a> to the diagram. Just last month, <a title=\"http://wpdaily.co/wp-template-hierarchy-chart/\" href=\"http://wpdaily.co/wp-template-hierarchy-chart/\">Michelle created</a> a colorful version of the diagram.</p>\n<p>That brings us to the current day where Rami Abraham has taken Michelle&#8217;s colorful design and has not only been given its <a title=\"http://wphierarchy.com/\" href=\"http://wphierarchy.com/\">own domain name</a>, but has also made it interactive.</p>\n<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/PrettyTemplateHierarchy.jpg\" rel=\"thumbnail\"><img class=\"aligncenter size-large wp-image-7249\" alt=\"WordPress Template Hierarchy\" src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/PrettyTemplateHierarchy.jpg?resize=500%2C218\" /></a></p>\n<p>The core information remains the same but now if you click on any one of the various parts of the diagram, it will take you to the appropriate Codex page. Between the various diagrams and the Codex, there is no way of <strong>not</strong> knowing what goes on within the WordPress template process.</p>\n<p>Which template hierarchy resource do you find the most useful?</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/S8mjpUAuI8M\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Jun 2013 15:34:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WPTavern: How To Adopt A Plugin Or Put It Up For Adoption\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7244\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"http://feedproxy.google.com/~r/WordpressTavern/~3/GXyv4sYRk-s/how-to-adopt-a-plugin-or-put-it-up-for-adoption\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5272:\"<p>The other day, I was performing a plugin search for something to help me remove all the Post Revisions I had accumulated over the past few months as part of my clean-up process. Unfortunately, the plugin I used in the past was no longer available but it&#8217;s how I found that out that was the interesting thing. While the plugin was listed, the description said the plugin was empty and no long available. Just for giggles, I tried to install the plugin and nothing happened. Upon looking at the <a href=\"http://plugins.trac.wordpress.org/changeset/431935/delete-post-revisions\" title=\"http://plugins.trac.wordpress.org/changeset/431935/delete-post-revisions\">Trac changes for the plugin</a>, the last thing the plugin author did was delete all the files. After getting in touch with Otto about the plugin showing up in search results, he removed it but told me it wasn&#8217;t the proper way to go about closing a plugin down. So what is the proper way?</p>\n<h2>How To Orphan A Plugin:</h2>\n<p>Plugin authors have the ability to not only add other authors to the commit team but also hand over the entire plugin to someone else. Removing all the code related to the plugin is frowned upon because someone else could use that code either as a fork or the foundation for a similar type of plugin. But if you really want to have your plugin removed from the repository, sending an email to plugins@wordpress.org with your request should do the trick. If a plugin author decides to orphan a plugin that I&#8217;m using, I would really appreciate it if in the last update, somewhere within the readme or change log it stated that it would be the last version released and that it would no longer be supported. This would give ample opportunity for me to look at alternative plugins. </p>\n<h2>Adopting A Plugin:</h2>\n<p>There currently is no official way to adopt someone&#8217;s plugin. There has been some discussion in the past about creating an orphaned plugin program but those ideas never materialized. One of the reasons why the program never saw the light of day is because there were so few people wanting to adopt a plugin. Otto recommends trying to contact the author, and if that fails, email the plugins team plugins@wordpress.org. Show that you have code changes already made, as a good will thing, because what we don&#8217;t want is somebody taking over a plugin and making just superficial changes while putting their own name on it, sort of thing. So the plugins team verifies the code, tries to contact the original author, wait a reasonable time, etc. </p>\n<h2>WP Recycle:</h2>\n<p>There used to be a third party site that dealt exclusively with abandoned plugins called <a href=\"http://www.noupe.com/wordpress/wp-recycle-fresh-perpectives-for-starving-wordpress-plugins-73451.html\" title=\"http://www.noupe.com/wordpress/wp-recycle-fresh-perpectives-for-starving-wordpress-plugins-73451.html\">WPRecycle</a>. It was an offshoot of Pluginchief.com but it looks like the website has since gone offline. I&#8217;m going to try to get in touch with those behind WPRecycle to figure out why the program failed or why the site has gone offline. </p>\n<p>While researching for this post, I came across <a href=\"http://digwp.com/2012/10/abandoned-plugin-adoption-program/\" title=\"http://digwp.com/2012/10/abandoned-plugin-adoption-program/\">an article</a> published by Matt Jones on the Digwp website. Even though it was a pitch for the WPRecycle program, he <a href=\"http://digwp.com/wp-content/uploads/2012/10/infographic-abandoned-wp-plugins.jpg\" title=\"http://digwp.com/wp-content/uploads/2012/10/infographic-abandoned-wp-plugins.jpg\">came up with a stat that</a> showed 1/3 of the plugin repository at that time had the 2 year update warning. I wonder what those numbers are like today with 25,369 plugins in the repository.</p>\n<p>It&#8217;s worth noting that a plugin update can occur with no code changes taking place. If only a readme file of a plugin was changed this would count as an update and would reset the 2 year warning. </p>\n<h2>Just What Is Abandonment?</h2>\n<p>It&#8217;s hard to talk about plugin abandonment because there are no hard set rules that dictate when a plugin is officially abandoned. This was one of the biggest problems the core team faced when they discussed the requirements needed for a plugin to reach this status. A plugin with good code that doesn&#8217;t need to be updated for extended periods of time could be considered abandoned even though it wouldn&#8217;t be. </p>\n<p>Do you think orphaned plugins is a growing concern or is there a natural process in place that prevents this from ever becoming a serious problem? I would only consider it a serious problem if we reach a statistic where 50% or more of the plugins in the repository are abandoned. However, what if the total amount of plugins in the repository is 50,000 and 50% of those are dead? That still leaves us with 25,000 active plugins. What would the numbers have to be for a tipping point of users not finding the extensibility that has helped make WordPress as popular as it is today?</p>\n<p>Let&#8217;s continue this conversation in the comments. </p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/GXyv4sYRk-s\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Jun 2013 13:26:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"WordPress.tv: David Jenyns: WordPress and Video SEO\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19568\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"http://wordpress.tv/2013/06/07/david-jenyns-wordpress-and-video-seo/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:652:\"<div id=\"v-Bwuk5oEB-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19568/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19568/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19568&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/07/david-jenyns-wordpress-and-video-seo/\"><img alt=\"David Jenyns: WordPress and Video SEO\" src=\"http://videos.videopress.com/Bwuk5oEB/video-e4875b0ed4_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Jun 2013 11:46:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"WordPress.tv: Warren Denley: WordPress 101\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19562\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.tv/2013/06/07/warren-denley-wordpress-101/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:634:\"<div id=\"v-vrBc5nsT-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19562/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19562/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19562&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/07/warren-denley-wordpress-101/\"><img alt=\"Warren Denley: WordPress 101\" src=\"http://videos.videopress.com/vrBc5nsT/video-ce94ba4e3b_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Jun 2013 11:07:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Lorelle on WP: Help Spread the Word – Writing for the Web Class\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"http://lorelle.wordpress.com/?p=8785\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://lorelle.wordpress.com/2013/06/06/help-spread-the-word-writing-for-the-web-class/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:506:\"There is still room available in my Writing for the Web course at Clark College Corporate and Continuing Education in Vancouver, Washington, just across the river from Portland, Oregon. This professional development course runs from June 11 &#8211; 27, 2013 on Tuesdays and Thursdays from 9AM &#8211; Noon. The class size is limited so there [&#8230;]<img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=lorelle.wordpress.com&blog=72&post=8785&subd=lorelle&ref=&feed=1\" width=\"1\" height=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Jun 2013 20:32:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Lorelle VanFossen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WPTavern: Where Are They Now? – Len Kutchma Of WPCanada\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7234\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"http://feedproxy.google.com/~r/WordpressTavern/~3/oPB4PctF8rc/where-are-they-now-len-kutchma-of-wpcanada\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8524:\"<p>Since launching WPTavern.com, I&#8217;ve had the distinct pleasure to watch people become a part of this community with very little WordPress knowledge and within a few years, either work for themselves or for an established WordPress centric company. This new series will highlight folks that have been a part of the WPTavern community since the beginning to find out what they&#8217;re up to and what role, if any, WPTavern played in their success.  </p>\n<h2>The Interview:</h2>\n<p><strong>First off Len, can you tell us a little bit about yourself and what you&#8217;re up to these days?</strong></p>\n<p>I was born in Winnipeg back in &#8217;64 (yes, I&#8217;m that old) and moved to a small town in my late teens. I returned to Winnipeg about 30 years later, which is where I am now. I&#8217;ve worked in various fields including being self-employed for 13 years.</p>\n<p>I&#8217;ve been online in some form since 1999-2000. I started out by building my own static HTML sites. Like so many others I soon moved on to GeoCities and Tripod etc eventually settling on Blogger when it was still owned by Pyra Labs.</p>\n<p>I think it was 2006 when I quite accidentally discovered WordPress while surfing the web. I believe it was v2.0.4 and I was hooked! I immediately bought a hosting package, set up WordPress and haven&#8217;t looked back since.</p>\n<p>I was always on the search for new WordPress-centric sites and would pursue the Codex everyday in my search for knowledge. Before I knew it I started to help out in the WordPress support forums.</p>\n<p>These days I&#8217;m employed in the roofing/construction field although I would really like to move on to something else, what that is I have no idea. I still blog although not as often as I would like. Life keeps getting in the way.</p>\n<p><strong>Why did you decide to join the WPTavern forum in 2009?</strong></p>\n<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/LenKutchmaJoinDate.jpg\" rel=\"thumbnail\"><img src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/LenKutchmaJoinDate.jpg?resize=243%2C137\" alt=\"Len Kutchma Join Date\" class=\"aligncenter size-full wp-image-7236\" /></a></p>\n<p>I decided to join WPTavern back in 2009 for 2 reasons: a) I was eager to learn as much about WordPress as I could and b) I could see that the Tavern was going to become a thriving community and a rich source of information.</p>\n<p><strong>How did the WPTavern community help you progress with WordPress in the past 4 years?</strong></p>\n<p>This ties into my previous answer. When you&#8217;re passionate about something be it software or whatever else you can learn so much more by rubbing elbows and hanging out with others who share your passion. The Tavern forum quickly grew into a huge database of knowledge as I knew it would. Because of the social aspect of forums you just learn so much by reading various threads and by participating in discussions. More importantly the atmosphere was laid back and fun as opposed to a support forum. When you&#8217;re having fun you learn much more quickly.</p>\n<p><strong>What was your involvement with WeblogToolsCollection.com? </strong></p>\n<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/LenKutchmaWeblogToolsCollection.jpg\" rel=\"thumbnail\"><img src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/LenKutchmaWeblogToolsCollection.jpg?resize=500%2C124\" alt=\"Len Helping Out On Weblogtoolscollection\" class=\"aligncenter size-large wp-image-7237\" /></a></p>\n<p>My involvement with <a title=\"http://weblogtoolscollection.com/\" href=\"http://weblogtoolscollection.com/\">WeblogToolsCollection.com</a>. As I said earlier, I stumbled upon WordPress back in 2006 and started to search for WordPress-centric sites. That search led me to WeblogToolsCollection.com which at that time was the première WordPress-centric site. I visited the site every day including the forum. I soon gained an interest in WordPress themes. I started to help out in the WLTC forums by meticulously inspecting the various theme submissions. Mark Ghosh noticed my efforts and eventually made me an administrator in the forum. Prior to a new theme release being published on the main site it had to first pass my inspection in the forum where it was initially submitted. Of course I had help, there were a few others doing what I did, I was not alone.</p>\n<p>After some time I began to fill in as an author on the main site here and there when the regulars were on vacation etc.</p>\n<p>After a few years my involvement with the site began to wane, not because I lost interest, but because real life began to take over. My increasingly busy schedule in the real world left little to no time for the virtual one.</p>\n<p><strong>You have your own WordPress centric site now called WPCanada.ca is the site still active and what are your plans with it?</strong></p>\n<p><a href=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/LenKutchmaWPCanada.jpg\" rel=\"thumbnail\"><img src=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/LenKutchmaWPCanada.jpg?resize=321%2C112\" alt=\"WPCanada Logo\" class=\"aligncenter size-full wp-image-7238\" /></a></p>\n<p>I have my own WordPress-centric site at <a title=\"http://WPCanada.ca\" href=\"http://WPCanada.ca\">WPCanada.ca</a> as well as a personal blog at <a title=\"http://lenkutchma.com/\" href=\"http://lenkutchma.com/\">LenKutchma.com</a>. Additionally I use WordPress multisite to showcase the various child themes I&#8217;ve built for the Genesis framework by StudioPress.&nbsp; <a href=\"http://demo.wpcanada.ca/\">http://demo.wpcanada.ca/</a></p>\n<p>The site is still active although I haven&#8217;t done much blogging lately. It&#8217;s been some time since I released a new Genesis child theme as well. The reason for this is, as I have stated above, is my busy schedule. When I get home at 8pm after putting in a 12 hour day it&#8217;s already 9pm by the time I have a shower and eat dinner. By then I&#8217;m exhausted and blogging or building a theme is the furthest thing from my mind.</p>\n<p>I plan to keep on blogging and building themes because I enjoy it. However I can only do so as time allows. It&#8217;s that darn &#8220;real life getting in the way&#8221; thing again.</p>\n<p><strong>Have you had a chance to attend a Canadian WordCamp? What&#8217;s the enthusiasm like up there for WordPress?</strong></p>\n<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WordCampWinnipegLogo2013.jpg\" rel=\"thumbnail\"><img src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WordCampWinnipegLogo2013.jpg?resize=500%2C118\" alt=\"WordCamp Winnipeg2013 Logo\" class=\"aligncenter size-large wp-image-7239\" /></a></p>\n<p>I&#8217;ve never been to a WordCamp. Ironically we had a WordCamp up here in my hometown of Winnipeg this past weekend. It was the first time Winnipeg has played host to a WordCamp. Unfortunately I was out of town for a few days in Ontario and could not make it. It was organized by Automattician and fellow Winnipegger Ian Stewart and from what I understand he did a fabulous job!</p>\n<p>There is a large and active WordPress community up here as evidenced by the regular local WordPress Meetups. The first time I attended a local meetup I was surprised by how many people shared my passion for WordPress.</p>\n<p><strong>Is there anything you&#8217;d like to say to the general WordPress Community?</strong></p>\n<p>What would I like to say to the General WordPress Community? I suppose this is where I say something deep and profound but alas that is not the case. Although I think the software is great I think the community that has developed around it is greater. I&#8217;ve had the chance to meet some wonderful people and make some cool friends. It is the community that makes WordPress what it is. You can develop the greatest product or service known to man but if no one notices or is interested it is destined to fail. In the WordPress Community I see people going out of their way to help others. In the end that is what life is about.</p>\n<p>Whether you are a theme author, plugin developer, doc writer, core contributor, forum helper, WordPress news publisher etc, the contributions are what make WordPress what it is. And it is these people who make the WordPress Community the most awesome community I&#8217;ve ever been involved with. To everyone I say thank you!</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/oPB4PctF8rc\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Jun 2013 18:25:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Alex King: Social 2.9.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://alexking.org/?p=17083\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://alexking.org/blog/2013/06/06/social-2-9-1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1853:\".threads-post-notice {\n	background: #e8e8e8;\n	padding: 10px;\n}\n.threads-post-notice a {\n	font-weight: bold;\n}\n\n<p>We&#8217;ve released version 2.9.1 of <a href=\"http://wordpress.org/plugins/social\">Social</a>; a WordPress plugin from <a href=\"http://mailchimp.com\">MailChimp</a> that gives you these great features:</p>\n<ol>\n<li>broadcasting your posts to Facebook and Twitter</li>\n<li>allows commenters on your site to log in with Facebook or Twitter</li>\n<li>allows comments on your site to be broadcast to Facebook or Twitter</li>\n<li>pulls in reactions from Facebook and Twitter as comments on your blog posts</li>\n</ol>\n<p>The thing I love most about Social is the way it allows me to post on my site (and own my data), but still interact with my friends on Facebook and Twitter.</p>\n<p>All of these features are optional and can be enabled/disabled as necessary. Set-up is nice and easy &#8211; there is no need to log in as a developer and create a Facebook or Twitter app; you just log in and go.</p>\n<p>Version 2.9.1 brings the following changes:</p>\n<ul>\n<li>Support for threaded comments on Facebook pages</li>\n<li>New setting for which post types Social&#8217;s broadcasting should be enabled for</li>\n<li>Likes and RTs are no longer auto-approved (can be re-enabled if desired, see the <a href=\"http://wordpress.org/plugins/social/faq/\">FAQ</a>)</li>\n<li>Load avatars from Facebook and Twitter via https</li>\n<li>Address issues with high byte characters</li>\n<li>Work around a bug in the Local Avatars plugin</li>\n<li>Add a few language localizations</li>\n</ul>\n<p>It&#8217;s a great update, give it a try. Enjoy!</p>\n<p class=\"threads-post-notice\">This post is part of the thread: <a href=\"http://alexking.org/blog/thread/social\">Social</a> &#8211; an ongoing story on this site. View the thread timeline for more context on this post.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Jun 2013 15:14:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Alex\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.tv: Travis Hensgen: Introducing MasterPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19227\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"http://wordpress.tv/2013/06/06/travis-hensgen-introducing-masterpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:662:\"<div id=\"v-tj9fBObc-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19227/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19227/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19227&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/06/travis-hensgen-introducing-masterpress/\"><img alt=\"Travis Hensgen: Introducing MasterPress\" src=\"http://videos.videopress.com/tj9fBObc/video-4fb1c645b8_scruberthumbnail_0.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Jun 2013 14:37:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WordPress.tv: Vlad Lasky: Beating Spam on your Blog or Website\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19559\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"http://wordpress.tv/2013/06/06/vlad-lasky-beating-spam-on-your-blog-or-website/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:674:\"<div id=\"v-Vf0Zxz7R-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19559/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19559/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19559&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/06/vlad-lasky-beating-spam-on-your-blog-or-website/\"><img alt=\"Vlad Lasky: Beating SPAM on your Blog or Website\" src=\"http://videos.videopress.com/Vf0Zxz7R/video-a7f72f34f5_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Jun 2013 10:38:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"WordPress.tv: Kathy Alice Brown: Demystifying WordPress SEO\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19386\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"http://wordpress.tv/2013/06/05/kathy-alice-brown-demystifying-wordpress-seo/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:668:\"<div id=\"v-vFk1jfkw-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19386/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19386/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19386&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/05/kathy-alice-brown-demystifying-wordpress-seo/\"><img alt=\"Kathy Alice Brown: Demystifying WordPress SEO\" src=\"http://videos.videopress.com/vFk1jfkw/video-db8a577aca_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Jun 2013 03:55:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WordPress.tv: Dylan Kuhn: Mad Mashups with WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19394\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://wordpress.tv/2013/06/05/dylan-kuhn-mad-mashups-with-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:654:\"<div id=\"v-QBT0cX3o-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19394/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19394/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19394&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/05/dylan-kuhn-mad-mashups-with-wordpress/\"><img alt=\"Dylan Kuhn: Mad Mashups with WordPress\" src=\"http://videos.videopress.com/QBT0cX3o/video-db63f2ad8f_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Jun 2013 02:48:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"WPTavern: Plugin Developers – Use Uninstall.php Please\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7227\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"http://feedproxy.google.com/~r/WordpressTavern/~3/0EGMgxgR6eU/plugin-developers-use-uninstall-php-please\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9610:\"<h2>A Bit Of History First:</h2>\n<p>On January 7th, 2008 I <a title=\"http://weblogtoolscollection.com/archives/2008/01/07/uninstall-is-there-such-a-thing/\" href=\"http://weblogtoolscollection.com/archives/2008/01/07/uninstall-is-there-such-a-thing/\">published an article</a> that brought up a subject not many in the community at the time knew about. At the time, I had only used WordPress for a little over 7 months. I decided to venture into the database WordPress was installed in and discovered several discrepancies such as information from plugins I had recently deactivated and deleted from my installation were still inside the database. It turned out that some plugins were leaving their data, settings, or tables behind. This was a big deal at the time because it was occurring without users ever being aware of the problem. The post generated a great discussion on how this problem could be solved and <a title=\"http://weblogtoolscollection.com/archives/2008/01/12/uninstalling-conundrum-part-2/\" href=\"http://weblogtoolscollection.com/archives/2008/01/12/uninstalling-conundrum-part-2/\">I highlighted some of the best responses</a> in a follow-up post.</p>\n<p>At least some plugin authors were already ahead of the game by providing uninstallation features that would remove every trace of the plugin upon deactivation but that created yet another issue. We decided that there should be a clear distinction between <strong>deactivation</strong> and <strong>uninstallation</strong>. Deactivating would leave all settings and data in tact while uninstallation would remove everything. We as a community proposed the idea of an uninstall function being created to keep the separation between the two actions. I had also proposed that guidelines on the WordPress plugin repository be tightened up to the point where plugins were required to have an uninstall option but that idea was shot down because of the proposal of more restrictions. The following idea was <a title=\"http://weblogtoolscollection.com/archives/2008/01/12/uninstalling-conundrum-part-2/#comment-1208816\" href=\"http://weblogtoolscollection.com/archives/2008/01/12/uninstalling-conundrum-part-2/#comment-1208816\">first proposed</a> by Alex:</p>\n<blockquote><p>The WP core should have an API hook for uninstalling a plugin. A plugin can register a certain function to this hook, if that function is called, the plugin will uninstall all its customizations. Then, if a plugin registered an uninstall function, add a link on the plugins page for the plugin to be uninstalled, e.g. right underneath “Deactive”. (Of course, uninstalling implies deactivitating.) Additionally, a plugin must have the ability to return if it was successful, and if it wasn’t, it must have a defined possibility to issue a message (e.g. steps to be performed manually).</p></blockquote>\n<p>Otto <a title=\"http://weblogtoolscollection.com/archives/2008/01/12/uninstalling-conundrum-part-2/#comment-1209547\" href=\"http://weblogtoolscollection.com/archives/2008/01/12/uninstalling-conundrum-part-2/#comment-1209547\">agreed with Alex</a>.</p>\n<blockquote><p>Just like there are register_activation_hook and register_deactivation_hook functions, there needs to be a register_uninstall_hook function.</p>\n<p>Having such a registered hook would allow the plugin page to create an uninstall link for that plugin. This link would only be available if the plugin was already inactive. This leads to a natural two step process: deactivate then remove. We don’t want an implied deactivation, since this forces plugin authors to consider two different approaches to deactivation and uninstallation. Keep it simple.</p>\n<p>The uninstall button will call the uninstall hook for the plugin, which would take appropriate action to remove its options and tables and such.</p>\n<p>Seems like the best solution and keeps the interface clean and easy.</p></blockquote>\n<h2>The Implementation:</h2>\n<p>That discussion took place at the beginning of 2008. At the end of 2008, <a title=\"http://wordpress.org/news/2008/12/coltrane/\" href=\"http://wordpress.org/news/2008/12/coltrane/\">WordPress 2.7 &#8220;Coltrane&#8221;</a> was released to the world. The two biggest changes in WordPress 2.7 was the user interface redesign and the addition of auto-upgrades. But there was one more important addition in 2.7 that didn&#8217;t garner very much attention, <a title=\"http://codex.wordpress.org/Function_Reference/register_uninstall_hook\" href=\"http://codex.wordpress.org/Function_Reference/register_uninstall_hook\">register uninstall hook</a>. This hook as well as uninstall.php allowed the deactivation and uninstallation of plugins to be separate processes.</p>\n<p>Despite the presence of the uninstall hook, the <strong>emphasis is put on using the uninstall.php method</strong>. Not knowing why, I reached out to a guy that has over 50 plugins tied to his name, <a title=\"http://profiles.wordpress.org/coffee2code\" href=\"http://profiles.wordpress.org/coffee2code\" target=\"_blank\">Scott Reilly</a>. The following is our conversation which provides a clearer understanding of why one method is better than the other.</p>\n<p><em><strong>Jeff</strong> &#8211; Can you please explain why the uninstall.php method is the preferred method of uninstalling a plugin and its data versus using the uninstall hook?</em></p>\n<p><em><strong>Scott</strong> &#8211; It prevents the main plugin file from being run during uninstall, which can be problematic if the plugin runs code in the global space. It&#8217;s also better in that the uninstall code is centralized.</em></p>\n<p><em><strong>Jeff</strong> &#8211; Ok. Uninstall.php contains the uninstallation process while the hook can cause trouble. So as a plugin author, I would have control over and know exactly what is going to happen when using uninstall.php but if I were to rely on the hook, I wouldn&#8217;t exactly know what will happen, until the process occurs? Is my thinking correct?</em></p>\n<p><em><strong>Scott</strong> &#8211; Yes. If uninstall.php is present, that will be run when the plugin is uninstalled. If not present, then the main plugin file is run to check for the hook usage. depending on how the plugin is coded, it can cause problems if code is run in the global space (i.e. evaluated when the file is executed rather than properly wrapped into functions/classes that are called as needed). If you know what you&#8217;re doing, the hook can be used without ill effect. It&#8217;s safer to use uninstall.php, and a simpler recommendation to give most people.</em></p>\n<p>Plugin authors will need to first verify that <strong>register_uninstall_hook</strong> function exists because it didn&#8217;t prior to WordPress 2.7. Next, you&#8217;ll call your custom uninstall function to properly uninstall your plugin options. <strong>If you add uninstall functionality to your plugin, please add a warning of some type so that users will know that all data will be lost once the uninstallation process finishes.</strong></p>\n<h2>Still A Problem:</h2>\n<p>While cleaning up my database trying to figure out my <a title=\"http://www.wptavern.com/my-performance-woes\" href=\"http://www.wptavern.com/my-performance-woes\" target=\"_blank\">performance problems</a>, I noticed that there were a few tables created by plugins I had deleted a few years ago. Some of the tables contained a number of entries while others were just empty, but their unneeded presence annoyed me. This tells me that five years after the necessary functions were added to WordPress to uninstall plugins, plugin authors are still not utilizing them.</p>\n<p>This is my polite as can be request for authors of plugins that create, add or manipulate the database in any way to give end users the opportunity to restore their WordPress installation back to the way it was before they installed your plugin. To this day, users don&#8217;t have any idea about what is really going on in their database without actually going inside via phpMyAdmin which is always risky. I place this responsibility solely on the backs of plugin authors.</p>\n<h2>Further Reading:</h2>\n<p>Jacob Santos <a title=\"http://jacobsantos.com/blog/2008/general/wordpress-27-plugin-uninstall-methods\" href=\"http://jacobsantos.com/blog/2008/general/wordpress-27-plugin-uninstall-methods\" target=\"_blank\">published a detailed post</a> explaining the different plugin uninstallation methods.</p>\n<p><a title=\"http://lists.automattic.com/pipermail/wp-hackers/2010-May/031811.html\" href=\"http://lists.automattic.com/pipermail/wp-hackers/2010-May/031811.html\" target=\"_blank\">WordPress Hackers discussion in 2010</a> that discussed both options for uninstalling plugins. Be warned though, not every post maybe relevant to the original topic.</p>\n<p>Last but not least, check out the <a title=\"http://wordpress.org/plugins/wpdbspringclean/\" href=\"http://wordpress.org/plugins/wpdbspringclean/\" target=\"_blank\">WPDB SpringClean plugin</a>. This plugin will identify unoptimized tables and will allow you to optimize them by deleting the allocated unused space within a particular table. The plugin also optionally allows you to specify search criteria such as the minimum amount of overhead per table and minimum unused space for a table. (Anytime you perform work that involves the database, you should <strong>ALWAYS</strong> back up before moving forward.) Hat tip to <a href=\"http://profiles.wordpress.org/williamsba1\" title=\"http://profiles.wordpress.org/williamsba1\">Brad Williams</a>.</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/0EGMgxgR6eU\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 05 Jun 2013 18:28:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"WordPress.tv: Mike Little, Simon Dickson: WordPress Co-founder Mike Little on The Birth of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19773\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"http://wordpress.tv/2013/06/04/mike-little-simon-dickson-wordpress-co-founder-mike-little-on-the-birth-of-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:749:\"<div id=\"v-evtysVF6-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19773/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19773/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19773&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/04/mike-little-simon-dickson-wordpress-co-founder-mike-little-on-the-birth-of-wordpress/\"><img alt=\"Mike Little, Simon Dickson: WordPress Co-founder Mike Little on The Birth of WordPress\" src=\"http://videos.videopress.com/evtysVF6/video-e6d3b09eb7_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 04 Jun 2013 21:02:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WordPress.tv: Bret Simmons: Social Business and Personal Branding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19406\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"http://wordpress.tv/2013/06/04/bret-simmons-social-business-and-personal-branding/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:680:\"<div id=\"v-qCr5gCVp-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19406/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19406/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19406&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/04/bret-simmons-social-business-and-personal-branding/\"><img alt=\"Bret Simmons: Social Business and Personal Branding\" src=\"http://videos.videopress.com/qCr5gCVp/video-ce6c59afec_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 04 Jun 2013 20:27:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"WPTavern: My Performance Woes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7223\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"http://feedproxy.google.com/~r/WordpressTavern/~3/BwFliL6tmuI/my-performance-woes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6373:\"<p>For some unknown reason, the performance of this website over the past 2-3 weeks has been terrible. While writing posts, I would routinely see a warning that said I was disconnected from the server while taking forever to reconnect. Navigating the back-end of the site was a major pain as each page seemed to take forever to load. I also saw Internal 500 Server errors as well as MySQL database timeouts. While trying to diagnose what the problem was, I used the <a title=\"http://developer.yahoo.com/yslow/\" href=\"http://developer.yahoo.com/yslow/\">YSlow FireFox Extension</a> with Firebug and saw GET requests taking 3-20 seconds to load.</p>\n<p><a href=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/longgetrequests.jpg\" rel=\"thumbnail\"><img class=\"aligncenter size-large wp-image-7224\" alt=\"Long Get Requests\" src=\"http://i0.wp.com/www.wptavern.com/wp-content/uploads/2013/06/longgetrequests.jpg?resize=500%2C137\" /></a></p>\n<p>Fed up with the performance, I created a trouble ticket with HostGator. I&#8217;ve never had a problem with this company in the two years I&#8217;ve used them and the support has been stellar. You can read their response to me in its <a title=\"http://pastebin.com/155jWya3\" href=\"http://pastebin.com/155jWya3\">entirety here</a> but the gist of their response was that certain plugins were creating such a load on the server that they were the source of my problems. They specifically mentioned these plugins:</p>\n<ul>\n<li>All related posts plugins (WordPress Related Posts, YARPP) can cause significantly high load in most cases.</li>\n<li>WPRobot3 and other auto-posters can also cause high load issues, and should be disabled if they are causing issues</li>\n<li>StatPress and other wordpress statistics software should also be disabled, as these too can consume too much CPU in certain cases. Use Google Analytics instead for statistics as well as Awstats which already comes by default on your account.</li>\n<li>WP Post Views is also a plugin that you&#8217;ll want to avoid as it causes significant resource usage.</li>\n<li>All In One SEO Pack has also been found to cause issues in many cases and we generally recommend using Greg&#8217;s High Performance SEO Pack in its place.</li>\n<li>Any other plugins that are not vital to your WordPress should be disabled.</li>\n</ul>\n<p>I knew at some point, YARPP was going to give me problems because of the resources it uses to create the relationships between posts. The weird thing is that my WordPress install has performed fine for a several weeks without a problem. All of the issues occurred suddenly. I wonder if YARPP reached the point where it was hitting the performance limits. Another plugin I&#8217;ve had problems with over the years is W3 Total Cache. Caching plugins have caused me so many problems that I&#8217;ve finally decided not to use them. In my opinion, using various techniques and optimizations, this site doesn&#8217;t need to use either to be fast. I only used one or the other because of the majority of WordPress literature that says you have to. </p>\n<p>So while I didn&#8217;t put a lot of thought and credibility into their response, I decided to go through my list of installed plugins and make the hard call on whether I needed them or not. It turns out I was able to axe about 6 plugins from my install. Those 6 did include W3 Total Cache and YARPP. I also took this opportunity to go inside of the database to drop and empty tables that were no longer necessary. While performing these tasks, I came across a few tables from plugins I had uninstalled about two years ago. <em>This will be a subject for another post.</em> After completing the spring cleanup, I&#8217;m happy to report that the site both on the front and back-ends is much more responsive. I&#8217;ve yet to run into a timeout or MySQL error. I can&#8217;t figure out which part of the clean-up process offered me the most benefit but I&#8217;d put money on the removal of both W3 and YARPP. </p>\n<p>After <a href=\"https://twitter.com/wptavern/status/341903935969320960\" title=\"https://twitter.com/wptavern/status/341903935969320960\">announcing the results on Twitter</a>, most people weren&#8217;t surprised to hear about YARPP possibly causing issues. It&#8217;s a shame because using Woopra to watch website traffic in real-time, I was able to see a bunch of people clicking on related posts through the YARPP widget. I&#8217;m now on the hunt for a service that can provide the horsepower to display related posts similar to <a href=\"http://www.wptavern.com/review-swiftype-search-plugin\" title=\"http://www.wptavern.com/review-swiftype-search-plugin\">how I use Swiftype</a> for search. The first service I&#8217;m going to try is called <a href=\"http://nrelate.com/\" title=\"http://nrelate.com/\">nRelate</a>. Look for a review in the near future. </p>\n<h2>Just Switch Hosts:</h2>\n<p>Why is it that at the first sign of trouble with a webhost, the first thing people tell you to do is move away to a different one? Have they not experienced what it&#8217;s like to move between webhosting companies? It&#8217;s not fun, at all. I use it as the nuclear option because the experience is so painful. This is a good time to reference an article I wrote in 2010, <a href=\"http://www.wptavern.com/14-things-to-consider-when-choosing-a-webhost-for-your-wordpress-powered-site\" title=\"http://www.wptavern.com/14-things-to-consider-when-choosing-a-webhost-for-your-wordpress-powered-site\">14 Things To Consider When Choosing A Webhost For Your WordPress Powered Site</a>. While there is a lot of great information in that post, the biggest take away is this:</p>\n<blockquote><p>Always type into Google “Name Of Webhosting Company Sucks” to get a grasp on the issues that have been reported with that particular webhost. When webhosting companies screw up, people are very vocal about it and will stop at nothing to complain to all who will listen. Unfortunately, the side effect to this research is that you’ll find out every webhosting company in existence, sucks. </p></blockquote>\n<p>It doesn&#8217;t matter which webhosting company I choose, someone out there will tell me how terrible they are and to switch to a different host. Talk about the ultimate feedback loop. </p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/BwFliL6tmuI\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 04 Jun 2013 20:23:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"WordPress.tv: Stephen Cronin: Actionable Analytics\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19484\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"http://wordpress.tv/2013/06/04/stephen-cronin-actionable-analytics/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:650:\"<div id=\"v-Lxp0c32u-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19484/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19484/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19484&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/04/stephen-cronin-actionable-analytics/\"><img alt=\"Stephen Cronin: Actionable Analytics\" src=\"http://videos.videopress.com/Lxp0c32u/video-2a97c3c593_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 04 Jun 2013 19:53:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WordPress.tv: Vikki Maver: How to Write for an Online Audience\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19487\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"http://wordpress.tv/2013/06/03/vikki-maver-how-to-write-for-an-online-audience/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:674:\"<div id=\"v-2NE7gIuV-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19487/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19487/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19487&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/03/vikki-maver-how-to-write-for-an-online-audience/\"><img alt=\"Vikki Maver: How to Write for an Online Audience\" src=\"http://videos.videopress.com/2NE7gIuV/video-c5da61b155_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Jun 2013 19:01:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"WPTavern: Matt Mullenweg Interviewed By CNN Money\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7203\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://feedproxy.google.com/~r/WordpressTavern/~3/9b8WI5yoA8o/matt-interviewed-by-cnn-money\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2103:\"<p>Matt Mullenweg was <a href=\"http://money.cnn.com/video/technology/2013/05/30/tech-co-wordpress-ceo-matt-mullenweg.cnnmoney\" title=\"http://money.cnn.com/video/technology/2013/05/30/tech-co-wordpress-ceo-matt-mullenweg.cnnmoney\">recently interviewed by CNN Money</a>. He had a couple of interesting answers for some of the questions asked. For example, when asked about being acquired, he responded that the only time he would consider being acquired is if he could run the company acquiring him. When asked about what they would be talking about 10 years from now, Matt said within the next 5 years, he believes the majority of WordPress usage will be from touch-driven devices. Last but not least, when he mentions failures, he believes that they didn&#8217;t embrace mobile soon enough because the open source community doesn&#8217;t like those closed platforms, but he still doesn&#8217;t feel like the mobile apps are really where they should be at. </p>\n<div class=\"aligncenter\"></div>\n<p>I find his comments on mobile apps especially interesting. I&#8217;ve used the WordPress for iOS app for some time now and while it&#8217;s definitely gotten better, some of the faults are not with the app itself, but with the device. I use an iPhone 4 and I&#8217;ve tried multiple times to write a blog post but each time I&#8217;ve given up in frustration. The auto-correct on the iPhone does more harm than good and the process for copying links from somewhere else to put inside the post just sucks. However, the app shines in comment notifications, post editing, and comment moderation. These three things are what makes the WordPress for iOS app the most useful to me. So what perplexes me is just how easy can the WordPress app make it to compose a post on the iPhone 4 before the device itself prevents any more improvements from happening? </p>\n<p>I want to hear from you on how you&#8217;re mobile experience has been with WordPress whether it&#8217;s with Blackberry, iPhone or Windows Phone 7?</p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/9b8WI5yoA8o\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Jun 2013 19:00:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"WordPress.tv: John McKenna &amp; Yan Zhang: How WordPress is Empowering Diversity\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19481\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"http://wordpress.tv/2013/06/03/john-mckenna-yan-zhang-how-wordpress-is-empowering-diversity/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:702:\"<div id=\"v-0WL7RbDa-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19481/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19481/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19481&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/03/john-mckenna-yan-zhang-how-wordpress-is-empowering-diversity/\"><img alt=\"John McKenna & Yan Zhang: How WordPress is Empowering Diversity\" src=\"http://videos.videopress.com/0WL7RbDa/video-bae9c50b7a_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Jun 2013 18:11:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"WPTavern: WordPress.com Makes Me Hulk Smash\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7208\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"http://feedproxy.google.com/~r/WordpressTavern/~3/52a8pPE_y38/wordpress-com-makes-me-hulk-smash\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3159:\"<p>Every now and then I&#8217;ll have a reason to visit <a href=\"http://www.wordpress.com\" title=\"http://www.wordpress.com\">WordPress.com</a>. I don&#8217;t visit the site often so occasionally, I&#8217;ll see redesigns that have occurred that throw me for a loop. This is one of those times. 99% of the time when I visit, it&#8217;s to login to the dashboard of my .com blog. The old design contained a series of Freshly Pressed posts, a navigation menu at the top and bottom of the website and was generally easy to navigate. However, when I log into WordPress.com in its current state, I&#8217;m greeted with a giant road block. This is when I begin the process of looking around the site to figure out where the link is to go straight to the dashboard of my website. The first place I look is the top area of the right-hand sidebar, clicking on links that I think will take me to where I need to go. </p>\n<p><a href=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WPdotComRightSidebar.jpg\" rel=\"thumbnail\"><img src=\"http://i2.wp.com/www.wptavern.com/wp-content/uploads/2013/06/WPdotComRightSidebar.jpg?resize=297%2C260\" alt=\"WordPress.com Right Hand Sidebar\" class=\"aligncenter size-full wp-image-7210\" /></a></p>\n<p>Nope, not there. I scroll down the website to find the footer with the links I need and nope, not there either. At this point, I&#8217;m frustrated, wanting the old WP.com design back. I start thinking that I&#8217;m on the wrong page. I find a way to logout, type WordPress.com into my address bar thinking I&#8217;m not on the correct site and once again, a blue page loads. After clicking on every other link on this page, I finally discover that the top menu has a link called My Blogs that has the dashboard login link I was looking for. What angers me about this experience is that I don&#8217;t use WordPress.com reader at all yet it&#8217;s the default active tab when I login. Most of my frustrations would disappear if instead, the My Blogs tab was activated by default. </p>\n<p><a href=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/ReaderTab.jpg\" rel=\"thumbnail\"><img src=\"http://i1.wp.com/www.wptavern.com/wp-content/uploads/2013/06/ReaderTab.jpg?resize=300%2C172\" alt=\"WordPress.com Reader Tab\" class=\"aligncenter size-medium wp-image-7211\" /></a></p>\n<p>It&#8217;s equally as frustrating trying to find the official WordPress.com blog. So many wasted clicks trying to find that one stupid link which should be at the footer of the site on every page. I&#8217;ve given up looking for it on the site. Instead, I end up going to Google to find it that way. I don&#8217;t know who&#8217;s idea it was to create some sort of gateway page that is completely separate from the original WordPress.com but it&#8217;s like a giant blue obstacle course. The original WordPress.com design was at least consistent. </p>\n<p>I want to know if I&#8217;m the only one with this type of routine experience with WordPress.com? One things for sure, WordPress.com does a great job at making me feel like an idiot. </p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/52a8pPE_y38\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Jun 2013 16:50:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"WPTavern: More In-Depth WordPress History\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://www.wptavern.com/?p=7199\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"http://feedproxy.google.com/~r/WordpressTavern/~3/NJ_4aTHoc3E/more-in-depth-wordpress-history\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1276:\"<p>Over the week-end, I had a chance to read <a title=\"http://wordpress.org/about/history/\" href=\"http://wordpress.org/about/history/\">chapter 3</a> of the WordPress history book which is an ongoing project by Siobhan McKeown. This is a fantastic project and one that I&#8217;m eagerly anticipating to read cover to cover. Chapter 3 is 37 pages long and covers the creation of WordPress from b2, b2++ into WordPress MU, how some of the earliest WordPress contributors became involved with the project, and perhaps most importantly, some of the core values that were developed early on that WordPress still tries to maintain to this day. Some of those values are:</p>\n<ul>\n<li>HTML Semantics and Web Standards Compliance</li>\n<li>Creating the lowest barrier to entry as possible</li>\n<li>Simplicity</li>\n<li>Unmatched User Experience</li>\n</ul>\n<p>In order to gauge where WordPress is going in the next 10 years, it&#8217;s important that we know what happened during the first 10. At one time, I thought I&#8217;d be the one writing the book on Matt and the history of WordPress but after reading Siobhan&#8217;s work, it&#8217;s clear that she is the right one for the job. </p>\n<img src=\"http://feeds.feedburner.com/~r/WordpressTavern/~4/NJ_4aTHoc3E\" height=\"1\" width=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Jun 2013 15:15:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Jeffro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"WordPress.tv: Narelle Hanratty: Recognizing the Cycles of Blogging\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19478\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"http://wordpress.tv/2013/06/02/narelle-hanratty-recognizing-the-cycles-of-blogging/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:682:\"<div id=\"v-rdKCeqE2-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19478/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19478/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19478&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/02/narelle-hanratty-recognizing-the-cycles-of-blogging/\"><img alt=\"Narelle Hanratty: Recognizing the Cycles of Blogging\" src=\"http://videos.videopress.com/rdKCeqE2/video-87650b4e1b_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 02 Jun 2013 18:10:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"WordPress.tv: Phil Steinke: 9 1/2 Free WordPress Plugins to Keep You Sane While Blogging\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wordpress.tv/?p=19471\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"http://wordpress.tv/2013/06/02/phil-steinke-9-12-free-wordpress-plugins-to-keep-you-sane-while-blogging/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:725:\"<div id=\"v-Orni3R7B-1\" class=\"video-player\">\n</div>\n<br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptv.wordpress.com/19471/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptv.wordpress.com/19471/\" /></a> <img alt=\"\" border=\"0\" src=\"http://stats.wordpress.com/b.gif?host=wordpress.tv&blog=5089392&post=19471&subd=wptv&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://wordpress.tv/2013/06/02/phil-steinke-9-12-free-wordpress-plugins-to-keep-you-sane-while-blogging/\"><img alt=\"Phil Steinke: 9 1/2 Free WordPress Plugins to Keep You Sane While Blogging\" src=\"http://videos.videopress.com/Orni3R7B/video-ac811a2795_std.original.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 02 Jun 2013 16:58:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"WordPress.tv\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 14 Jun 2013 18:41:20 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:14:\"content-length\";s:6:\"182168\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:13:\"last-modified\";s:29:\"Fri, 14 Jun 2013 18:30:31 GMT\";s:4:\"x-nc\";s:11:\"HIT lax 249\";s:13:\"accept-ranges\";s:5:\"bytes\";}s:5:\"build\";s:14:\"20130614183844\";}", "no");
INSERT INTO `wp_options` VALUES("206", "theme_mods_twentyeleven", "a:1:{s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1367348642;s:4:\"data\";a:6:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}s:9:\"sidebar-4\";a:0:{}s:9:\"sidebar-5\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("208", "theme_mods_thunderzon", "a:1:{i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("209", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("210", "up_themes_thunderzon", "a:42:{s:4:\"upfw\";s:10:\"ecce0828a4\";s:16:\"_wp_http_referer\";s:39:\"/kayak/wp-admin/admin.php?page=upthemes\";s:7:\"up_save\";s:0:\"\";s:11:\"colorscheme\";s:6:\"orange\";s:12:\"customsearch\";s:0:\"\";s:19:\"customsearchcountry\";s:0:\"\";s:5:\"affid\";s:10:\"freetos-20\";s:18:\"productreviewtitle\";s:0:\"\";s:16:\"custommorebutton\";s:0:\"\";s:7:\"favicon\";s:0:\"\";s:10:\"logoselect\";s:4:\"text\";s:10:\"logoupload\";s:0:\"\";s:10:\"customhead\";s:0:\"\";s:9:\"customcss\";s:0:\"\";s:8:\"ad728x90\";s:0:\"\";s:13:\"ad728x90field\";s:213:\"<iframe src=\'http://rcm.amazon.com/e/cm?t=freetos-20&o=1&p=48&l=ur1&category=kindlerotating&f=ifr\' width=\'728\' height=\'90\' scrolling=\'no\' border=\'0\' marginwidth=\'0\' style=\'border:none;\' frameborder=\'0\'></iframe>\r\n\";s:12:\"ad300x250top\";s:0:\"\";s:17:\"ad300x250fieldtop\";s:258:\"<iframe src=\'http://rcm.amazon.com/e/cm?t=freetos-20&o=1&p=12&l=ur1&category=amazonmp3freesongsspecialdeals&banner=0CR771DMNNKH84WJGYR2&f=ifr\' width=\'300\' height=\'250\' scrolling=\'no\' border=\'0\' marginwidth=\'0\' style=\'border:none;\' frameborder=\'0\'></iframe>\r\n\";s:9:\"ad300x250\";s:2:\"no\";s:14:\"ad300x250field\";s:0:\"\";s:6:\"slider\";s:0:\"\";s:9:\"slidercat\";s:5:\"boats\";s:13:\"sliderentries\";s:1:\"6\";s:11:\"slider_size\";s:3:\"297\";s:11:\"featuredbox\";s:0:\"\";s:14:\"featuredboxcat\";s:6:\"canoes\";s:16:\"featuredboxtitle\";s:17:\"Featured Products\";s:15:\"featuredboxlogo\";s:0:\"\";s:16:\"featuredboxbadge\";s:0:\"\";s:15:\"buybuttonsingle\";s:0:\"\";s:6:\"buynow\";s:0:\"\";s:12:\"customsocial\";s:0:\"\";s:13:\"single_bottom\";s:0:\"\";s:16:\"footerwidgetleft\";s:2:\"no\";s:18:\"footerwidgetcenter\";s:2:\"no\";s:17:\"footerwidgetright\";s:2:\"no\";s:9:\"copyright\";s:0:\"\";s:8:\"tracking\";s:0:\"\";s:12:\"amznlogoleft\";s:0:\"\";s:11:\"paymentlogo\";s:0:\"\";s:15:\"disclosure_name\";s:0:\"\";s:10:\"disclosure\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("211", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("215", "exaz_db_version_number_original", "1", "yes");
INSERT INTO `wp_options` VALUES("216", "exaz_version_available", "1.0.6", "yes");
INSERT INTO `wp_options` VALUES("217", "exaz_last_update", "1371235161", "yes");
INSERT INTO `wp_options` VALUES("218", "exaz_news_feed", "&lt;li&gt;&lt;div style=&quot;padding-left:5px;padding-right:5px;&quot;&gt;&lt;div style=&quot;font-family:Tahoma;font-weight:bold;color:red;font-size:12px;&quot;&gt;&lt;div style=&quot;color:black;&quot;&gt;&lt;a href=&quot;http://jvz6.com/c/39754/31853&quot; target=&quot;_blank&quot;&gt;Coupon Azon&lt;/div&gt;&lt;/div&gt;Coupons for Amazon affiliates? Oh Yes! Do not miss this new WordPress plugin that finally lets Amazon affiliates tap into the power of coupon codes. &lt;a href=&quot;http://jvz6.com/c/39754/31853&quot; target=&quot;_blank&quot;&gt;Get Coupon Azon&lt;/a&gt;&lt;/div&gt;&lt;/li&gt;&lt;li&gt;&lt;div style=&quot;padding-left:5px;padding-right:5px;&quot;&gt;&lt;div style=&quot;font-family:Tahoma;font-weight:bold;color:red;font-size:12px;&quot;&gt;&lt;div style=&quot;color:black;&quot;&gt;&lt;a href=&quot;http://wpsemantic.com/&quot; target=&quot;_blank&quot;&gt;WP Semantic&lt;/div&gt;&lt;/div&gt;My brand new plugin, WP Semantic, gives you access to hundreds of semantic keywords with any base keyword straight from your WP post/page editor. Now works in 8 languages! &lt;a href=&quot;http://wpsemantic.com/&quot; target=&quot;_blank&quot;&gt;Get WP Semantic&lt;/a&gt;&lt;/div&gt;&lt;/li&gt;&lt;li&gt;&lt;div style=&quot;padding-left:5px;padding-right:5px;&quot;&gt;&lt;div style=&quot;font-family:Tahoma;font-weight:bold;color:red;font-size:12px;&quot;&gt;&lt;div style=&quot;color:black;&quot;&gt;&lt;a href=&quot;http://dailydealazon.com/&quot; target=&quot;_blank&quot;&gt;Daily Deal Azon&lt;/div&gt;&lt;/div&gt;My new plugin, Daily Deal Azon, brings special offers and urgency to your Amazon affiliate sites with a live deal expiration countdown timer and automatically updating deal ads. &lt;a href=&quot;http://dailydealazon.com/&quot; target=&quot;_blank&quot;&gt;Get Daily Deal Azon&lt;/a&gt;&lt;/div&gt;&lt;/li&gt;&lt;li&gt;&lt;div style=&quot;padding-left:5px;padding-right:5px;&quot;&gt;&lt;div style=&quot;font-family:Tahoma;font-weight:bold;color:red;font-size:12px;&quot;&gt;&lt;div style=&quot;color:black;&quot;&gt;&lt;a href=&quot;http://www.warriorplus.com/w/a/ylb7q&quot; target=&quot;_blank&quot;&gt;New Plugin - Azon Profit Poster&lt;/a&gt;&lt;/div&gt;&lt;/div&gt;Get Azon Profit Poster through my link and get a second Amazon plugin free (UpsellAzon, LocalAzon, or WPgTranslate): &lt;a href=&quot;http://ryanstevensonplugins.com/azon-profit-poster-bonus-amazon-wp-plugin/&quot; target=&quot;_blank&quot;&gt;See Bonus Claim Details &amp; Read My Review Here&lt;/a&gt;&lt;/div&gt;&lt;/li&gt;&lt;li&gt;&lt;div style=&quot;padding-left:5px;padding-right:5px;&quot;&gt;&lt;div style=&quot;font-family:Tahoma;font-weight:bold;color:red;font-size:12px;&quot;&gt;&lt;div style=&quot;color:black;&quot;&gt;&lt;a href=&quot;http://localazon.com/&quot; target=&quot;_blank&quot;&gt;Automatic Amazon Link Localizer Plugin&lt;/div&gt;&lt;/div&gt;My new plugin Local Azon will maximize your earnings with your existing traffic and teach you how to be a better global affiliate. &lt;a href=&quot;http://localazon.com/&quot; target=&quot;_blank&quot;&gt;Get Local Azon Here&lt;/a&gt;&lt;/div&gt;&lt;/li&gt;&lt;li&gt;&lt;div style=&quot;padding-left:5px;padding-right:5px;&quot;&gt;&lt;div style=&quot;font-family:Tahoma;font-weight:bold;color:red;font-size:12px;&quot;&gt;&lt;div style=&quot;color:black;&quot;&gt;&lt;a href=&quot;http://upsellazon.com/&quot; target=&quot;_blank&quot;&gt;Automatic Amazon Accessory Ads&lt;/div&gt;&lt;/div&gt;My new plugin UpsellAzon is now available! &lt;a href=&quot;http://upsellazon.com/&quot; target=&quot;_blank&quot;&gt;Get UpsellAzon Here&lt;/a&gt;&lt;/div&gt;&lt;/li&gt;", "yes");
INSERT INTO `wp_options` VALUES("219", "exaz_db_version", "1.0.6", "yes");
INSERT INTO `wp_options` VALUES("220", "exaz_key", "6e45819122c8675c6ae1fa6bd22dfcd5", "yes");
INSERT INTO `wp_options` VALUES("221", "exaz_enable_store", "Yes", "yes");
INSERT INTO `wp_options` VALUES("222", "exaz_cart_poweredby", "No", "yes");
INSERT INTO `wp_options` VALUES("223", "exaz_cart_poweredby_message", "Powered by Amazon", "yes");
INSERT INTO `wp_options` VALUES("224", "exaz_cart_title", "Shopping Cart", "yes");
INSERT INTO `wp_options` VALUES("225", "exaz_cart_updating_message", "Updating Cart", "yes");
INSERT INTO `wp_options` VALUES("226", "exaz_cart_updating_error_message", "That item is currently out of stock or unavailable.", "yes");
INSERT INTO `wp_options` VALUES("227", "exaz_cart_remove_message", "Product(s) removed from cart.", "yes");
INSERT INTO `wp_options` VALUES("228", "exaz_cart_success_message", "Shopping cart updated successfully!", "yes");
INSERT INTO `wp_options` VALUES("229", "exaz_cart_empty_message", "No Products in Cart.<br /><br />Click the <b>Add to Cart</b> button next to any item to add it to your shopping cart.", "yes");
INSERT INTO `wp_options` VALUES("230", "exaz_cart_subtotal_message", "Sub-Total", "yes");
INSERT INTO `wp_options` VALUES("231", "exaz_cart_update_button_text", "Update", "yes");
INSERT INTO `wp_options` VALUES("232", "exaz_cart_updating_message_color", "F9B8A7", "yes");
INSERT INTO `wp_options` VALUES("233", "exaz_cart_other_message_color", "FCD7CD", "yes");
INSERT INTO `wp_options` VALUES("234", "exaz_checkout_button_color", "orange", "yes");
INSERT INTO `wp_options` VALUES("235", "exaz_upgrade_available_alert", "No", "yes");
INSERT INTO `wp_options` VALUES("236", "exaz_cart_failed_link_test", "Buy Direct From Amazon", "yes");
INSERT INTO `wp_options` VALUES("237", "exaz_use_soap", "Yes", "yes");
INSERT INTO `wp_options` VALUES("238", "exaz_setup_complete", "Yes", "yes");
INSERT INTO `wp_options` VALUES("239", "exaz_setup_amazonapi", "complete", "yes");
INSERT INTO `wp_options` VALUES("240", "exaz_setup_pluginlinks", "DirectCart", "yes");
INSERT INTO `wp_options` VALUES("241", "exaz_store_direct", "Yes", "yes");
INSERT INTO `wp_options` VALUES("242", "exaz_js_link_conversion", "Yes", "yes");
INSERT INTO `wp_options` VALUES("245", "external_updates-associate_goliath", "O:8:\"stdClass\":3:{s:9:\"lastCheck\";i:1371238140;s:14:\"checkedVersion\";s:3:\"4.1\";s:6:\"update\";O:8:\"stdClass\":6:{s:2:\"id\";i:0;s:4:\"slug\";s:17:\"associate_goliath\";s:7:\"version\";s:3:\"4.1\";s:8:\"homepage\";s:27:\"http://associategoliath.com\";s:12:\"download_url\";s:80:\"http://www.georgekatsoudas.com/aup/update-download.php?product=associate_goliath\";s:14:\"upgrade_notice\";s:36:\"Get latest bugfixes and improvements\";}}", "yes");
INSERT INTO `wp_options` VALUES("252", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("254", "can_compress_scripts", "1", "yes");
INSERT INTO `wp_options` VALUES("255", "exaz_aws_key", "AKIAJULJCU4YH7LDDYQA", "yes");
INSERT INTO `wp_options` VALUES("256", "exaz_aws_secret_key", "M/JT0I1yHRJSeB0BJE4hsz25snswQXaD6bLByZZ", "yes");
INSERT INTO `wp_options` VALUES("259", "asg_cache", "a:7:{s:26:\"amazon.categories.US._root\";a:2:{s:6:\"expire\";i:1371321859;s:5:\"value\";a:39:{i:2858778011;s:20:\"Amazon Instant Video\";i:2619525011;s:10:\"Appliances\";i:2350149011;s:16:\"Apps for Android\";i:2617941011;s:15:\"Arts and Crafts\";i:15690151;s:10:\"Automotive\";i:165796011;s:4:\"Baby\";i:11055981;s:6:\"Beauty\";i:1000;s:5:\"Books\";i:2335752011;s:25:\"Cell Phones & Accessories\";i:1036682;s:22:\"Clothing & Accessories\";i:541966;s:9:\"Computers\";i:130;s:3:\"DVD\";i:493964;s:11:\"Electronics\";i:2238192011;s:10:\"Gift Cards\";i:16310101;s:22:\"Grocery & Gourmet Food\";i:3760931;s:22:\"Health & Personal Care\";i:1063498;s:14:\"Home & Kitchen\";i:228239;s:10:\"Industrial\";i:16310091;s:23:\"Industrial & Scientific\";i:3880591;s:7:\"Jewelry\";i:133141011;s:12:\"Kindle Store\";i:599872;s:9:\"Magazines\";i:10304191;s:13:\"Miscellaneous\";i:2625373011;s:11:\"Movies & TV\";i:163856011;s:13:\"MP3 Downloads\";i:301668;s:5:\"Music\";i:11965861;s:19:\"Musical Instruments\";i:1084128;s:15:\"Office Products\";i:286168;s:20:\"Patio, Lawn & Garden\";i:2619533011;s:12:\"Pet Supplies\";i:672123011;s:5:\"Shoes\";i:409488;s:8:\"Software\";i:3375251;s:17:\"Sports & Outdoors\";i:468240;s:24:\"Tools & Home Improvement\";i:165793011;s:12:\"Toys & Games\";i:468642;s:11:\"Video Games\";i:377110011;s:7:\"Watches\";i:508494;s:8:\"Wireless\";i:13900851;s:20:\"Wireless Accessories\";}}s:27:\"amazon.categories.US.541966\";a:2:{s:6:\"expire\";i:1371321859;s:5:\"value\";a:20:{i:172456;s:20:\"Cables & Accessories\";i:193870011;s:19:\"Computer Components\";i:1292110011;s:12:\"Data Storage\";i:565098;s:8:\"Desktops\";i:3012292011;s:19:\"External Components\";i:172487;s:13:\"Game Hardware\";i:3011391011;s:37:\"Laptop & Netbook Computer Accessories\";i:565108;s:7:\"Laptops\";i:1292115011;s:8:\"Monitors\";i:172504;s:19:\"Networking Products\";i:2226256011;s:29:\"PDAs, Handhelds & Accessories\";i:172635;s:8:\"Printers\";i:300189;s:7:\"Routers\";i:172584;s:8:\"Scanners\";i:11036071;s:7:\"Servers\";i:1232597011;s:18:\"Tablets & Netbooks\";i:2348628011;s:31:\"Touch Screen Tablet Accessories\";i:300334;s:16:\"Video Projectors\";i:16285851;s:21:\"Warranties & Services\";i:172511;s:7:\"Webcams\";}}s:31:\"amazon.categories.US.1232597011\";a:2:{s:6:\"expire\";i:1371321859;s:5:\"value\";a:0:{}}s:28:\"amazon.categories.US.3375251\";a:2:{s:6:\"expire\";i:1371321884;s:5:\"value\";a:17:{i:3394801;s:11:\"Accessories\";i:706812011;s:13:\"Action Sports\";i:3421331;s:22:\"Boating & Water Sports\";i:2206626011;s:8:\"Clothing\";i:3403201;s:7:\"Cycling\";i:3407321;s:17:\"Equestrian Sports\";i:3407731;s:18:\"Exercise & Fitness\";i:3386071;s:8:\"Fan Shop\";i:3410851;s:4:\"Golf\";i:706813011;s:17:\"Hunting & Fishing\";i:706808011;s:22:\"Leisure Sports & Games\";i:706810011;s:12:\"Other Sports\";i:706814011;s:18:\"Outdoor Recreation\";i:706815011;s:19:\"Paintball & Airsoft\";i:706816011;s:14:\"Racquet Sports\";i:2204518011;s:11:\"Snow Sports\";i:706809011;s:11:\"Team Sports\";}}s:28:\"amazon.categories.US.3421331\";a:2:{s:6:\"expire\";i:1371321891;s:5:\"value\";a:12:{i:3397331;s:7:\"Boating\";i:2345540011;s:8:\"Canoeing\";i:3406281;s:19:\"Diving & Snorkeling\";i:2345546011;s:8:\"Kayaking\";i:3399161;s:7:\"Sailing\";i:3204434011;s:22:\"Standup Paddleboarding\";i:3418471;s:7:\"Surfing\";i:3418761;s:8:\"Swimming\";i:4201061;s:12:\"Wakeboarding\";i:13293061;s:11:\"Wakeskating\";i:4201151;s:23:\"Waterskiing & Towsports\";i:3421611;s:11:\"Windsurfing\";}}s:31:\"amazon.categories.US.2345546011\";a:2:{s:6:\"expire\";i:1371321895;s:5:\"value\";a:6:{i:3414051;s:6:\"Gloves\";i:3414231;s:14:\"Kayak Hardware\";i:3414281;s:6:\"Kayaks\";i:3414071;s:18:\"Paddle Accessories\";i:3414061;s:7:\"Paddles\";i:3414111;s:12:\"Spray Skirts\";}}s:28:\"amazon.categories.US.3397331\";a:2:{s:6:\"expire\";i:1371324941;s:5:\"value\";a:20:{i:3397621;s:11:\"Bimini Tops\";i:3397491;s:19:\"Boat Cabin Products\";i:3397361;s:14:\"Boat Compasses\";i:3397601;s:11:\"Boat Covers\";i:319574011;s:16:\"Boat Electronics\";i:3397741;s:17:\"Boat Engine Parts\";i:3397881;s:11:\"Boat Motors\";i:3397961;s:13:\"Boat Plumbing\";i:3398381;s:5:\"Boats\";i:3398181;s:24:\"Boat Trailer Accessories\";i:3488661;s:13:\"Boat Trailers\";i:3398531;s:29:\"Docking & Anchoring Equipment\";i:3414201;s:8:\"Dry Bags\";i:3398671;s:20:\"Electrical Equipment\";i:2348251011;s:8:\"Footwear\";i:3398841;s:8:\"Hardware\";i:3399081;s:5:\"Horns\";i:2347479011;s:20:\"Maintenance Supplies\";i:3399011;s:26:\"Safety & Flotation Devices\";i:3399621;s:18:\"Steering Equipment\";}}}", "yes");
INSERT INTO `wp_options` VALUES("260", "asg_announcement_cache", "a:2:{s:4:\"data\";s:177:\"<span style=\"background-color: #FFEBCC;\"><a href=\"http://www.georgekatsoudas.com/?p=1718\" target=\"_blank\">1 sneaky little secret to getting more traffic to your blog.</a></span>\";s:9:\"timestamp\";i:1371235459;}", "yes");
INSERT INTO `wp_options` VALUES("261", "asg_button_text", "View on Amazon", "yes");
INSERT INTO `wp_options` VALUES("262", "asg_addtocart_visible", "1", "yes");
INSERT INTO `wp_options` VALUES("263", "asg_addtocart_text", "Add to cart", "yes");
INSERT INTO `wp_options` VALUES("264", "asg_eye_candy_align", "left", "yes");
INSERT INTO `wp_options` VALUES("265", "asg_show_button_index", "1", "yes");
INSERT INTO `wp_options` VALUES("266", "asg_show_button_bottom", "1", "yes");
INSERT INTO `wp_options` VALUES("267", "asg_show_reviews", "1", "yes");
INSERT INTO `wp_options` VALUES("268", "asg_min_review_rating", "4", "yes");
INSERT INTO `wp_options` VALUES("269", "asg_US_affiliate_id", "freetos-20", "yes");
INSERT INTO `wp_options` VALUES("270", "asg_CA_affiliate_id", "", "yes");
INSERT INTO `wp_options` VALUES("271", "asg_UK_affiliate_id", "brooks-21", "yes");
INSERT INTO `wp_options` VALUES("272", "asg_DE_affiliate_id", "", "yes");
INSERT INTO `wp_options` VALUES("273", "asg_ES_affiliate_id", "", "yes");
INSERT INTO `wp_options` VALUES("274", "asg_amazon_key", "AKIAJULJCU4YH7LDDYQA", "yes");
INSERT INTO `wp_options` VALUES("275", "asg_amazon_secret_key", "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", "yes");
INSERT INTO `wp_options` VALUES("276", "asg_tracking_id", "", "yes");
INSERT INTO `wp_options` VALUES("277", "asg_cloak_enabled", "1", "yes");
INSERT INTO `wp_options` VALUES("278", "asg_cloak_dir", "recommends", "yes");
INSERT INTO `wp_options` VALUES("536", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("281", "asg_publish_type", "immediately", "yes");
INSERT INTO `wp_options` VALUES("282", "asg_posts_per_week", "30", "yes");
INSERT INTO `wp_options` VALUES("283", "asg_max_items", "36", "yes");
INSERT INTO `wp_options` VALUES("284", "asg_keywords_type", "keyword", "yes");
INSERT INTO `wp_options` VALUES("285", "asg_search_keywords", "Inflatable Rafts", "yes");
INSERT INTO `wp_options` VALUES("286", "asg_amazon_market", "US", "yes");
INSERT INTO `wp_options` VALUES("287", "asg_search_category", "a:3:{i:0;s:7:\"3375251\";i:1;s:7:\"3421331\";i:2;s:7:\"3397331\";}", "yes");
INSERT INTO `wp_options` VALUES("288", "asg_search_subcategory", "1232597011", "yes");
INSERT INTO `wp_options` VALUES("289", "asg_price_min", "", "yes");
INSERT INTO `wp_options` VALUES("290", "asg_price_max", "", "yes");
INSERT INTO `wp_options` VALUES("291", "asg_post_category", "a:1:{i:0;s:3:\"653\";}", "yes");
INSERT INTO `wp_options` VALUES("439", "_transient_timeout_feed_mod_363a08b743416ad0228cd305e529607a", "1371278477", "no");
INSERT INTO `wp_options` VALUES("440", "_transient_feed_mod_363a08b743416ad0228cd305e529607a", "1371235277", "no");
INSERT INTO `wp_options` VALUES("441", "_transient_timeout_feed_1122a4143b2ea8e29ad284f4200bf076", "1371278479", "no");
INSERT INTO `wp_options` VALUES("442", "_transient_feed_1122a4143b2ea8e29ad284f4200bf076", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:4:\"\n  \n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:33:\"\n    \n    \n    \n    \n    \n    \n  \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"link:http://blogsforsales.com/kayak/ - Google Blog Search\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"http://www.google.com/search?ie=utf-8&q=link:http://blogsforsales.com/kayak/&tbm=blg&tbs=sbd:1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"Your search - <b>link:http://blogsforsales.com/kayak/</b> - did not match any documents.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://a9.com/-/spec/opensearch/1.1/\";a:3:{s:12:\"totalResults\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:10:\"startIndex\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:12:\"itemsPerPage\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"10\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:9:{s:12:\"content-type\";s:28:\"text/xml; charset=ISO-8859-1\";s:4:\"date\";s:29:\"Fri, 14 Jun 2013 18:41:19 GMT\";s:7:\"expires\";s:2:\"-1\";s:13:\"cache-control\";s:18:\"private, max-age=0\";s:10:\"set-cookie\";a:2:{i:0;s:143:\"PREF=ID=f6ead76aaebd7bd3:FF=0:TM=1371235279:LM=1371235279:S=sC1dS4TD5o6Wtik6; expires=Sun, 14-Jun-2015 18:41:19 GMT; path=/; domain=.google.com\";i:1;s:212:\"NID=67=VmzrDhioX-LJAJXUnfhwPuflzMcQ8xE-grL03w1WIOXBMCflISZV9uSF-13tqJwEFOqWk9dyRMUwx-I8oJ4NFJ7vdGpQv07utjOEUcGwmlzamE_PdID8JXwxClki0q5a; expires=Sat, 14-Dec-2013 18:41:19 GMT; path=/; domain=.google.com; HttpOnly\";}s:3:\"p3p\";s:122:\"CP=\"This is not a P3P policy! See http://www.google.com/support/accounts/bin/answer.py?hl=en&answer=151657 for more info.\"\";s:6:\"server\";s:3:\"gws\";s:16:\"x-xss-protection\";s:13:\"1; mode=block\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";}s:5:\"build\";s:14:\"20130614183844\";}", "no");
INSERT INTO `wp_options` VALUES("443", "_transient_timeout_feed_mod_1122a4143b2ea8e29ad284f4200bf076", "1371278479", "no");
INSERT INTO `wp_options` VALUES("444", "_transient_feed_mod_1122a4143b2ea8e29ad284f4200bf076", "1371235279", "no");
INSERT INTO `wp_options` VALUES("445", "_transient_timeout_dash_20494a3d90a6669585674ed0eb8dcd8f", "1371278479", "no");
INSERT INTO `wp_options` VALUES("446", "_transient_dash_20494a3d90a6669585674ed0eb8dcd8f", "<p>This dashboard widget queries <a href=\"http://blogsearch.google.com/\">Google Blog Search</a> so that when another blog links to your site it will show up here. It has found no incoming links&hellip; yet. It&#8217;s okay &#8212; there is no rush.</p>\n", "no");
INSERT INTO `wp_options` VALUES("447", "_transient_timeout_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1371278480", "no");
INSERT INTO `wp_options` VALUES("448", "_transient_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:50:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"http://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 02 Jun 2013 02:32:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"http://wordpress.org/?v=3.6-beta3-24432\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Ten Good Years\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"http://wordpress.org/news/2013/05/ten-good-years/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://wordpress.org/news/2013/05/ten-good-years/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 31 May 2013 17:54:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Meta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2606\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:343:\"It&#8217;s been ten years since we started this thing, and what a long way we&#8217;ve come. From a discussion between myself and Mike Little about forking our favorite blogging software, to powering 18% of the web. It&#8217;s been a crazy, exciting, journey, and one that won&#8217;t stop any time soon. At ten years, it&#8217;s fun [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9852:\"<p><img class=\"alignright\" alt=\"\" align=\"right\" src=\"http://wpdotorg.files.wordpress.com/2013/05/wp10.jpg\" width=\"316\" height=\"164\" />It&#8217;s been ten years since we started this thing, and what a long way we&#8217;ve come. From a discussion between myself and <a href=\"http://mikelittle.org/\">Mike Little</a> about <a href=\"http://ma.tt/2003/01/the-blogging-software-dilemma/\">forking our favorite blogging software</a>, to powering 18% of the web. It&#8217;s been a crazy, exciting, journey, and one that won&#8217;t stop any time soon.</p>\n<p>At ten years, it&#8217;s fun to reflect on our beginnings. We launched WordPress on 27th May 2003, but that wasn&#8217;t inception. Go back far enough, and you can <a href=\"http://zengun.org/weblog/archives/2001/06/post1958/\">read a post by Michel Valdrighi</a> who, frustrated by the self-hosted blogging platforms available, decided to write his own software; &#8220;b2, a PHP+MySQL alternative to Blogger and GreyMatter.&#8221; b2 was easy to install, easy to configure, and easy for developers to extend. Of all the blogging platforms out there, <a href=\"http://cafelog.com\">b2</a> was the right one for me: I could write my content and get it on the web quickly and painlessly.</p>\n<p>Sometimes, however, life gets in the way. In 2002, Michel stopped maintaining b2. Over time, security flaws became apparent and updates were needed and, while the b2 community could write patches and fixes, no one was driving the software forward. We were lucky that Michel decided to release b2 under the GPL; the software may have been abandoned, but we weren&#8217;t without options. A fork was always a possibility. That was where it stood in January 2003, when <a href=\"http://ma.tt/2003/01/the-blogging-software-dilemma/\">I posted about forking b2</a> and <a href=\"http://ma.tt/2003/01/the-blogging-software-dilemma/#comment-445\">Mike responded</a>. The rest, as they say, is history.</p>\n<p>From the very beginning to the present day, I&#8217;ve been impressed by the thought, care, and dedication that WordPress&#8217; developers have demonstrated. Each one has brought his or her unique perspective, each individual has strengthened the whole. It would be impossible to thank each of them here individually, but their achievements speak for themselves. In WordPress 1.2 the new Plugin API made it easy for developers to extend WordPress. In the same release <code>gettext()</code> internationalization opened WordPress up to every language (hat tip: <a href=\"http://ryan.boren.me/\">Ryan Boren</a> for spending hours wrapping strings with gettext). In WordPress 1.5 our Theme system made it possible for WordPress users to quickly change their site&#8217;s design: there was huge resistance to the theme system from the wider community at the time, but can you imagine WordPress without it? Versions 2.7, 2.8, and 2.9 saw improvements that let users install and update their plugins and themes with one click. WordPress has seen a redesign by <a href=\"http://v2.happycog.com/create/wordpress/?p=design/wordpress/\">happycog</a> (2.3) and gone under extensive user testing and redesign (<a href=\"http://www.slideshare.net/edanzico/riding-the-crazyhorse-future-generation-wordpress-presentation\">Crazyhorse</a>, Liz Danzico and Jen Mylo, WordPress 2.5). In WordPress 3.0 we merged WordPress MU with WordPress &#8212; a huge job but 100% worth it. And in WordPress 3.5 we revamped the media uploader to make it easier for people to get their images, video, and media online.</p>\n<p>In sticking to our commitment to user experience, we&#8217;ve done a few things that have made us unpopular. The <a href=\"http://tech.gaeatimes.com/index.php/archive/wordpress-wysiwyg-editor-is-a-disaster/\">WYSIWYG editor</a> was hated by many, especially those who felt that if you have a blog you should know HTML. Some developers hated that we stuck with our code, refusing to rewrite, but it&#8217;s always been the users that matter: better a developer lose sleep than a site break for a user. Our code isn&#8217;t always beautiful, after all, when WordPress was created most of us were still learning PHP, but we try to make a flawless experience for users.</p>\n<p>It&#8217;s not all about developers. WordPress&#8217; strength lies in the diversity of its community. From the start, we wanted a low barrier to entry and we came up with our &#8220;famous 5 minute install&#8221;. This brought on board users from varied technical background: people who didn&#8217;t write code wanted to help make WordPress better. If you couldn&#8217;t write code, it didn&#8217;t matter: you could answer a question in the support forums, write documentation, translate WordPress, or build your friends and family a WordPress website. There is <a href=\"https://make.wordpress.org/\">space in the community</a> for anyone with a passion for WordPress.</p>\n<p>It&#8217;s been wonderful to see all of the people who have used WordPress to build their home on the internet. Early on <a href=\"http://wordpress.org/news/2004/04/switchers/\">we got excited</a> by <a href=\"http://wordpress.org/news/2004/04/more-switchers/\">switchers</a>. From a community of tinkerers we grew, as writers such as <a href=\"http://ma.tt/2004/05/om-malik/\">Om Malik</a>, <a href=\"http://dougal.gunters.org/blog/2004/05/15/mark-pilgrim-switches/\">Mark Pilgrim</a>, and <a href=\"http://ma.tt/2004/07/mollycom-switches/\">Molly Holzschlag</a> made the switch to WordPress. Our commitment to effortless publishing quickly paid off and has continued to do so: <strong>the WordPress 1.2 release saw 822 downloads per day, our latest release, WordPress 3.5, has seen 145,692 per day.</strong></p>\n<p>I&#8217;m continually amazed by what people have built with WordPress. I&#8217;ve seen <a href=\"http://justintimberlake.com/main/\">musicians</a> and <a href=\"http://ma.tt/2013/01/neil-leifer-on-wordpress/\">photographers</a>, magazines such as <a href=\"http://life.time.com/\">Life</a>, <a href=\"http://boingboing.net/\">BoingBoing</a>, and the <a href=\"http://observer.com/\">New York Observer</a>, <a href=\"http://www.compliance.gov/\">government websites</a>, a <a href=\"http://josephscott.org/archives/2011/05/pressfs-a-wordpress-filesystem/\">filesystem</a>, <a href=\"http://www.ymcanyc.org/association/pages/y-mvp\"> mobile applications</a>, and even <a href=\"http://www.viper007bond.com/2010/06/12/so-apparently-wordpress-can-guide-missiles/\">seen WordPress guide missiles</a>.</p>\n<p>As the web evolves, WordPress evolves. Factors outside of our control will always influence WordPress&#8217; development: today it&#8217;s mobile devices and retina display, tomorrow it could be Google Glass or technology not yet conceived. A lot can happen in ten years! As technology changes and advances, WordPress has to change with it while remaining true to its core values: making publishing online easy for everyone. How we rise to these challenges will be what defines WordPress over the coming ten years.</p>\n<p><strong>To celebrate ten years of WordPress, we&#8217;re working on a book about our history.</strong> We&#8217;re carrying out interviews with people who have involved with the community from the very beginning, those who are still around, and those who have left. It&#8217;s a huge project, but we wanted to have something to share with you on the 10th anniversary. To learn about the very early days of WordPress, just after Mike and I forked b2 <a href=\"http://wordpress.org/about/history/\">you can download Chapter 3 right here</a>. We&#8217;ll be releasing the rest of the book serially, so watch out as the story of the last ten years emerges.</p>\n<p>In the meantime, <a href=\"http://ma.tt/2013/05/dear-wordpress/\"> I penned my own letter to WordPress</a> and other community members have been sharing their thoughts:</p>\n<ul>\n<li><a href=\"http://zed1.com/journalized/archives/2013/01/25/wordpress-a-10-year-journey/\">Mike Little on our Ten Year Journey</a>.</li>\n<li>Core contributor Helen Hou-Sandi <a href=\"http://helen.wordpress.com/2013/05/27/happy-10th-wordpress-and-thanks-from-my-little-family/\">wishes WordPress happy birthday</a>.</li>\n<li>Peter Westwood on <a href=\"http://blog.ftwr.co.uk/archives/2013/05/27/a-decade-gone-more-to-come/\">a decade gone</a>.</li>\n<li>Support rep Mika Epstein <a href=\"http://ipstenu.org/2013/you-me-and-wp/\">on her WordPress journey</a>.</li>\n<li>Dougal Campbell <a href=\"http://dougal.gunters.org/blog/2013/05/27/instagram-my-wife-suzecampbell-and-i-celebrating-the-wordpress-10th-anniversary-with-bbq-in-our-wordpress-shirts-wp10/\">celebrating with his wife, Suze</a>.</li>\n<li>Otto on <a href=\"http://ottodestruct.com/blog/2013/how-wp-affected-me/\">how WordPress affected him</a>.</li>\n</ul>\n<p>You can see how WordPress&#8217; 10th Anniversary was celebrated all over the world <a href=\"http://wp10.wordpress.net/\">by visiting the wp10 website</a>, according to Meetup we had 4,999 celebrators.</p>\n<p>To finish, I just want to say thank you to everyone: to the developers who write the code, to the designers who make WordPress sing, to the worldwide community translating WordPress into so many languages, to volunteers who answer support questions, to those who make WordPress accessible, to the systems team and the plugin and theme reviewers, to documentation writers, event organisers, evangelists, detractors, supporters and friends. Thanks to the jazzers whose music inspired us and whose names are at the heart of WordPress. Thanks to everyone who uses WordPress to power their blog or website, and to everyone who will in the future. Thanks to WordPress and its community that I&#8217;m proud to be part of.</p>\n<p>Thank you. I can&#8217;t wait to see what the next ten years bring.</p>\n<p><em>Final thanks to <a href=\"http://siobhanmckeown.com/\">Siobhan McKeown</a> for help with this post.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://wordpress.org/news/2013/05/ten-good-years/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"The Next 10 Starts Now\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"http://wordpress.org/news/2013/05/the-next-10-starts-now/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"http://wordpress.org/news/2013/05/the-next-10-starts-now/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 May 2013 20:47:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2594\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:365:\"All around the globe today, people are celebrating the 10th anniversary of the first WordPress release, affectionately known as #wp10. Watching the feed of photos, tweets, and posts from Auckland to Zambia is incredible; from first-time bloggers to successful WordPress-based business owners, people are coming out in droves to raise a glass and share the [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Jen Mylo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3901:\"<p>All around the globe today, people are celebrating the 10th anniversary of the first WordPress release, affectionately known as #wp10. <a href=\"http://wp10.wordpress.net\">Watching the feed</a> of photos, tweets, and posts from Auckland to Zambia is incredible; from first-time bloggers to successful WordPress-based business owners, people are coming out in droves to raise a glass and share the &#8220;holiday&#8221; with their local communities. With hundreds of parties going on today, it&#8217;s more visible than ever just how popular WordPress has become.</p>\n<p><strong>Thank you to everyone who has ever contributed to this project: your labors of love made this day possible.</strong></p>\n<p>But today isn&#8217;t just about reflecting on how we got this far (though I thought <a href=\"http://ma.tt/2013/05/dear-wordpress/\">Matt&#8217;s reflection on the first ten years</a> was lovely). We are constantly moving forward. As each release cycle begins and ends (3.6 will be here soon, promise!), we always see an ebb and flow in the contributor pool. Part of ensuring the longevity of WordPress means mentoring new contributors, continually bringing new talent and fresh points of view to our family table.</p>\n<p>I am beyond pleased to announce that this summer we will be mentoring 8 interns, most of them new contributors, through <a href=\"http://www.google-melange.com/gsoc/homepage/google/gsoc2013\">Google Summer of Code</a> and the <a href=\"https://live.gnome.org/OutreachProgramForWomen/2013/JuneSeptember\">Gnome Outreach Program for Women</a>. Current contributors, who already volunteer their time working on WordPress, will provide the guidance and oversight for a variety of exciting projects  this summer. Here are the people/projects involved in the summer internships:</p>\n<ul>\n<li><strong><strong>Ryan McCue</strong>, </strong>from Australia, working on a JSON-based REST API. Mentors will be Bryan Petty and Eric Mann, with a reviewer assist from Andrew Norcross.</li>\n<li><strong>Kat Hagan</strong>, from the United States, working on a Post by Email plugin to replace the core function. Mentors will be Justin Shreve and George Stephanis, with an assist from Peter Westwood.</li>\n<li><strong>Siobhan Bamber</strong>, from Wales, working on a support (forums, training, documentation) internship. Mentors will be Mika Epstein and Hanni Ross.</li>\n<li><strong>Frederick Ding</strong>, from the United States, working on improving portability. Mentors will be Andrew Nacin and Mike Schroder.</li>\n<li><strong>Sayak Sakar</strong>, from India, working on porting WordPress for WebOS to Firefox OS. Mentor will be Eric Johnson.</li>\n<li><strong>Alex Höreth</strong>, from Germany, working on  adding WordPress native revisions to the theme and plugin code editors. Mentors will be Dominik Schilling and Aaron Campbell, with a reviewer assist from Daniel Bachhuber.</li>\n<li><strong>Mert Yazicioglu</strong>, from Turkey, working on ways to improve our community profiles at profiles.wordpress.org. Mentors will be Scott Reilly and Boone Gorges.</li>\n<li><strong>Daniele Maio</strong>, from Italy, working on a native WordPress app for Blackberry 10. Mentor will be Danilo Ercoli.</li>\n</ul>\n<p>Did you notice that our summer cohort is as international as the #wp10 parties going on today? I can only think that this is a good sign.</p>\n<p>It&#8217;s always a difficult process to decide which projects to mentor through these programs. There are always more applicants with interesting ideas with whom we&#8217;d like to work than there are opportunities. Luckily, WordPress is a free/libre open source software project, and anyone can begin contributing at any time. Is this the year for you? We&#8217;d love for you to join us as we work toward #wp20. <img src=\'http://wordpress.org/news/wp-includes/images/smilies/icon_wink.gif\' alt=\';)\' class=\'wp-smiley\' /> </p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"http://wordpress.org/news/2013/05/the-next-10-starts-now/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 3.6 Beta 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://wordpress.org/news/2013/05/wordpress-3-6-beta-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://wordpress.org/news/2013/05/wordpress-3-6-beta-3/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 11 May 2013 03:44:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2584\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:374:\"WordPress 3.6 Beta 3 is now available! This is software still in development and we really don’t recommend that you run it on a production site — set up a test site just to play with the new version. To test WordPress 3.6, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can download the beta here (zip). Beta [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mark Jaquith\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2452:\"<p>WordPress 3.6 Beta 3 is now available!</p>\n<p>This is software still in development and <strong>we <em>really</em> don’t recommend that you run it on a production site</strong> — set up a test site just to play with the new version. To test WordPress 3.6, try the <a href=\"http://wordpress.org/extend/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"http://wordpress.org/wordpress-3.6-beta3.zip\">download the beta here</a> (zip).</p>\n<p>Beta 3 contains about a hundred changes, including improvements to the image Post Format flow (yay, drag-and-drop image upload!), a more polished revision comparison screen, and a more quote-like quote format for Twenty Thirteen.</p>\n<p>As a bonus, we now have oEmbed support for the popular music-streaming services <a href=\"http://www.rdio.com/\">Rdio</a> and <a href=\"http://www.spotify.com/\">Spotify</a> (the latter of which kindly created an oEmbed endpoint a mere 24 hours after we lamented their lack of one). Here&#8217;s an album that&#8217;s been getting a lot of play as I&#8217;ve been working on WordPress 3.6:</p>\n<p><iframe width=\"500\" height=\"250\" src=\"https://rd.io/i/Qj5r8SE//?source=oembed\" frameborder=\"0\"></iframe></p>\n<p><iframe src=\"https://embed.spotify.com/?uri=spotify:album:6dJZDZMNdBPZrJcNv57bEq\" width=\"300\" height=\"380\" frameborder=\"0\" allowtransparency=\"true\"></iframe></p>\n<p>Plugin developers, theme developers, and WordPress hosts should be testing beta 3 extensively. The more you test the beta, the more stable our release candidates and our final release will be.</p>\n<p>As always, if you think you’ve found a bug, you can post to the <a href=\"http://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. Or, if you’re comfortable writing a reproducible bug report, <a href=\"http://core.trac.wordpress.org/\">file one on the WordPress Trac</a>. There, you can also find <a href=\"http://core.trac.wordpress.org/report/5\">a list of known bugs</a> and <a href=\"http://core.trac.wordpress.org/query?status=closed&amp;group=component&amp;milestone=3.6\">everything we&#8217;ve fixed</a> so far.</p>\n<p>We&#8217;re looking forward to your feedback. If you find a bug, please report it, and if you’re a developer, try to help us fix it. We&#8217;ve already had more than 150 contributors to version 3.6 — it&#8217;s not too late to join in!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"http://wordpress.org/news/2013/05/wordpress-3-6-beta-3/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 3.6 Beta 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://wordpress.org/news/2013/04/wordpress-3-6-beta-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://wordpress.org/news/2013/04/wordpress-3-6-beta-2/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 29 Apr 2013 22:48:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2579\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:373:\"WordPress 3.6 Beta 2 is now available! This is software still in development and we really don’t recommend that you run it on a production site — set up a test site just to play with the new version. To test WordPress 3.6, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can download the beta here (zip). The [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mark Jaquith\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2057:\"<p>WordPress 3.6 Beta 2 is now available!</p>\n<p>This is software still in development and <strong>we <em>really</em> don’t recommend that you run it on a production site</strong> — set up a test site just to play with the new version. To test WordPress 3.6, try the <a href=\"http://wordpress.org/extend/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"http://wordpress.org/wordpress-3.6-beta2.zip\">download the beta here</a> (zip).</p>\n<p>The longer-than-usual delay between beta 1 and beta 2 was due to poor user testing results with the Post Formats UI. Beta 2 contains a modified approach for format choosing and switching, which has done well in user testing. We&#8217;ve also made the Post Formats UI hide-able via Screen Options, and set a reasonable default based on what your theme supports.</p>\n<p>There were a lot of bug fixes and polishing tweaks done for beta 2 as well, so definitely check it out if you had an issues with beta 1.</p>\n<p>Plugin developers, theme developers, and WordPress hosts should be testing beta 2 extensively. The more you test the beta, the more stable our release candidates and our final release will be.</p>\n<p>As always, if you think you’ve found a bug, you can post to the <a href=\"http://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. Or, if you’re comfortable writing a reproducible bug report, <a href=\"http://core.trac.wordpress.org/\">file one on the WordPress Trac</a>. There, you can also find <a href=\"http://core.trac.wordpress.org/report/5\">a list of known bugs</a> and <a href=\"http://core.trac.wordpress.org/query?status=closed&amp;group=component&amp;milestone=3.6\">everything we&#8217;ve fixed</a> so far.</p>\n<p>We&#8217;re looking forward to your feedback. If you find a bug, please report it, and if you’re a developer, try to help us fix it. We&#8217;ve already had more than 150 contributors to version 3.6 — it&#8217;s not too late to join in!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"http://wordpress.org/news/2013/04/wordpress-3-6-beta-2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"Summer Mentorship Programs: GSoC and Gnome\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"http://wordpress.org/news/2013/04/summer-mentorship-programs-gsoc-and-gnome/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"http://wordpress.org/news/2013/04/summer-mentorship-programs-gsoc-and-gnome/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 25 Apr 2013 03:18:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2573\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:358:\"As an open source, free software project, WordPress depends on the contributions of hundreds of people from around the globe &#8212; contributions in areas like core code, documentation, answering questions in the support forums, translation, and all the other things it takes to make WordPress the best publishing platform it can be, with the most [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Jen Mylo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5071:\"<p>As an open source, free software project, WordPress depends on the contributions of hundreds of people from around the globe &#8212; contributions in areas like core code, documentation, answering questions in the support forums, translation, and all the other things it takes to make WordPress the best publishing platform it can be, with the most supportive community. This year, we&#8217;re happy to be participating as a mentoring organization with two respected summer internship programs: <a href=\"http://www.google-melange.com/gsoc/homepage/google/gsoc2013\">Google Summer of Code (GSoC)</a> and the Gnome Outreach Program for Women.</p>\n<h3>Google Summer of Code</h3>\n<p>GSoC is a summer internship program funded by Google specifically for college/university student developers to work on open source coding projects. We have participated in the Google Summer of Code program in the past, and have enjoyed the opportunity to work with students in this way. Some of our best core developers were GSoC students once upon a time!</p>\n<p><a href=\"http://codex.wordpress.org/GSoC2013#Mentors\">Our mentors</a>, almost 30 talented developers with experience developing WordPress, will provide students with guidance and feedback over the course of the summer, culminating in the release of finished projects at the end of the program if all goes well.</p>\n<p>Students who successfully complete the program earn $5,000 for their summer efforts. Interested, or know a college student (newly accepted to college counts, too) who should be? All the information you need about our participation in the program, projects, mentors, and the application process is available on the <a href=\"http://codex.wordpress.org/GSoC2013\">GSoC 2013 page in the Codex</a>.</p>\n<h3>Gnome Outreach Program for Women</h3>\n<p>It&#8217;s not news that women form a low percentage of contributors in most open source projects, and WordPress is no different. We have great women in the contributor community, including some in fairly visible roles, but we still have a lot of work to do to get a representative gender balance on par with our user base.</p>\n<p>The Gnome Outreach Program for Women aims to provide opportunities for women to participate in open source projects, and offers a similar stipend, but there are three key differences between GSoC and Gnome aside from the gender requirement for Gnome.</p>\n<ol>\n<li><span style=\"font-size: 13px;line-height: 19px\">The Gnome program allows intern projects in many areas of contribution, not just code. In other words, interns can propose projects like documentation, community management, design, translation, or pretty much any area in which we have people contributing (including code).</span></li>\n<li><span style=\"font-size: 13px;line-height: 19px\">The Gnome Outreach Program for Women doesn&#8217;t require interns to be college students, though students are definitely welcome to participate. This means that women in all stages of life and career can take the opportunity to try working with open source communities for the summer.</span></li>\n<li><span style=\"font-size: 13px;line-height: 19px\">We have to help raise the money to pay the interns. Google funds GSoC on its own, and we only have to provide our mentors&#8217; time. Gnome doesn&#8217;t have the same funding, so we need to pitch in to raise the money to cover our interns. If your company is interested in helping with this, please check out the program&#8217;s </span><a style=\"font-size: 13px;line-height: 19px\" href=\"https://live.gnome.org/OutreachProgramForWomen#For_Organizations_and_Companies\">sponsorship information</a><span style=\"font-size: 13px;line-height: 19px\"> and follow the contact instructions to get involved. You can earmark donations to support WordPress interns, or to support the program in general. (Pick us, pick us! <img src=\'http://wordpress.org/news/wp-includes/images/smilies/icon_smile.gif\' alt=\':)\' class=\'wp-smiley\' />  )</span></li>\n</ol>\n<p>The summer installment of the Gnome Outreach Program for Women follows the same schedule and general application format as GSoC, though there are more potential projects since it covers more areas of contribution. Women college students interested in doing a coding project are encouraged to apply for both programs to increase the odds of acceptance. All the information you need about our participation in the program, projects, mentors, and the application process is available on the <a href=\"http://codex.wordpress.org/Gnome_Summer_Program_for_Women\">Gnome Outreach Program for Women page in the Codex</a>.</p>\n<p>The application period just started, and it lasts another week (May 1 for Gnome, May 3 for GSoC), so if you think you qualify and are interested in getting involved, check out the information pages, get in touch, and apply… Good luck!</p>\n<p><a href=\"http://codex.wordpress.org/GSoC2013\">Google Summer of Code 2013 Information</a><br />\n<a href=\"http://codex.wordpress.org/Gnome_Summer_Program_for_Women\">Gnome Summer Outreach Program for Women 2013 Information</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"http://wordpress.org/news/2013/04/summer-mentorship-programs-gsoc-and-gnome/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:51:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"WordPress 10th Anniversary Tees\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"http://wordpress.org/news/2013/04/wordpress-10th-anniversary-tees/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"http://wordpress.org/news/2013/04/wordpress-10th-anniversary-tees/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 23 Apr 2013 16:40:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:6:\"Events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:5:\"Store\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"swag\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:4:\"wp10\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2561\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:338:\"In honor of the upcoming 10th anniversary celebrations, we&#8217;ve put a special 10th anniversary tshirt in the swag store at cost &#8212; $10 per shirt plus shipping. They&#8217;ll be on sale at this price until the anniversary on May 27, and they&#8217;ll start shipping out the week of April 29. Some people who are planning [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Jen Mylo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1943:\"<p><img class=\"alignleft wp-image-2562\" style=\"font-size: 13px;line-height: 19px;margin-right: 10px\" alt=\"WordPress 10th Anniversary logo\" src=\"http://wordpress.org/news/files/2013/04/wp10logo.jpg\" width=\"120\" height=\"119\" />In honor of the upcoming <a title=\"Save the Date: May 27\" href=\"http://wordpress.org/news/2013/04/save-the-date-may-27/\">10th anniversary celebrations</a>, we&#8217;ve put a special<a href=\"http://hellomerch.com/collections/wordpress/products/wordpress-10th-anniversary-t-shirt\"> 10th anniversary tshirt in the swag store</a> at cost &#8212; $10 per shirt plus shipping. They&#8217;ll be on sale at this price until the anniversary on May 27, and they&#8217;ll start shipping out the week of April 29.</p>\n<p>Some people who are planning parties or who organize meetups are already talking about doing group orders to save on shipping costs, which is a great idea &#8212; just make sure you allow enough shipping time. If you&#8217;re not sure if the tees could make it to you in time on your side of the world, use the contact options at the bottom of the store page to ask about shipping times. If they can&#8217;t reach you in time and you want to have a local printer do some for your group, we&#8217;ll post the vector file on the wp10 site within the next week (and this post will get updated accordingly). </p>\n<p>The shirts are available in black or silvery gray. Why silvery gray? Because of trivia: the traditional gift for 10th anniversaries is tin or aluminum. <img src=\'http://wordpress.org/news/wp-includes/images/smilies/icon_smile.gif\' alt=\':)\' class=\'wp-smiley\' /> </p>\n<p><a href=\"http://hellomerch.com/collections/wordpress/products/wordpress-10th-anniversary-t-shirt\"><img class=\"aligncenter size-full wp-image-2563\" alt=\"Silver and Black tshirts with WordPress 10th anniversary logo on them\" src=\"http://wordpress.org/news/files/2013/04/wp10shirtgrayblack.jpg\" width=\"643\" height=\"333\" /></a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"http://wordpress.org/news/2013/04/wordpress-10th-anniversary-tees/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"Save the Date: May 27\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://wordpress.org/news/2013/04/save-the-date-may-27/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://wordpress.org/news/2013/04/save-the-date-may-27/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 11 Apr 2013 13:48:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Uncategorized\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2555\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:329:\"What&#8217;s on May 27, you ask? May 27, 2013 is the 10th anniversary of the first WordPress release! We think this is worth celebrating, and we want WordPress fans all over the world to celebrate with us by throwing their own parties. We&#8217;re using Meetup Everywhere to coordinate, and will be putting up a website [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Jen Mylo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2102:\"<p>What&#8217;s on May 27, you ask?</p>\n<p>May 27, 2013 is the <strong>10th anniversary</strong> of the <a href=\"http://wordpress.org/news/2003/05/wordpress-now-available/\">first WordPress release</a>!</p>\n<p>We think this is worth celebrating, and we want WordPress fans all over the world to celebrate with us by throwing their own parties. <a href=\"http://www.meetup.com/WordPress/\">We&#8217;re using Meetup Everywhere</a> to coordinate, and will be putting up a website just for the 10th Anniversary so that we can collect photos, videos, tweets, and posts from all the parties.</p>\n<p>The rules are very simple:</p>\n<ol>\n<li><span style=\"line-height: 12.997159004211426px\">Pick a place to go where a bunch of people can be merry &#8212; a park, a bar, a backyard, whatever</span></li>\n<li>Spread the word to local meetups, tech groups, press, etc and get people to say they&#8217;ll come to your party</li>\n<li>If 50 or more people RSVP to your party, we&#8217;ll try to send you some WordPress stickers and buttons</li>\n<li>Have party attendees post photos, videos, and the like with the #wp10 hashtag</li>\n</ol>\n<p>We&#8217;ll be using Meetup Everywhere to coordinate parties all over the world, so get your city on the map and <a href=\"http://www.meetup.com/WordPress/\">register your party now</a> !</p>\n<p>We&#8217;ll follow up with registered organizers  over the next few weeks with some tips for how to publicize your party and to get addresses for swag packages. To that end, make sure you check the option that lets WordPress 10th Anniversary know your email, or we won&#8217;t be able to get in touch with you for these things or to give you access to the WP10 blog.</p>\n<p>Whose party will be the biggest? The most fun? The most inventive? Will it be yours?</p>\n<p><em>Note: If you already run a group on meetup.com, making your party an event in your group is great, but you still need to post it and have people RSVP at the <a href=\"http://www.meetup.com/WordPress/\">special party page</a>, because regular groups and Meetup Everywhere groups aren&#8217;t connected yet. </em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"http://wordpress.org/news/2013/04/save-the-date-may-27/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 3.6 Beta 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://wordpress.org/news/2013/04/wordpress-3-6-beta-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://wordpress.org/news/2013/04/wordpress-3-6-beta-1/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 04 Apr 2013 17:25:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Uncategorized\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2547\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:381:\"WordPress 3.6 Beta 1 is now available! This is software still in development and we really don’t recommend that you run it on a production site — set up a test site just to play with the new version. To test WordPress 3.6, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can download the beta here (zip). We&#8217;ve [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mark Jaquith\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4085:\"<p>WordPress 3.6 Beta 1 is now available!</p>\n<p>This is software still in development and <strong>we <em>really</em> don’t recommend that you run it on a production site</strong> — set up a test site just to play with the new version. To test WordPress 3.6, try the <a href=\"http://wordpress.org/extend/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"http://wordpress.org/wordpress-3.6-beta1.zip\">download the beta here</a> (zip).</p>\n<p>We&#8217;ve been working for nearly three months and have completed all the features that are slated for this release. This is a bit of a change from the betas of previous release cycles. I felt very strongly that we shouldn&#8217;t release a beta if we were still working on completing the main features. This beta is <strong>actually a beta</strong>, not an alpha that we&#8217;re calling a beta. If you are a WordPress plugin or theme developer, or a WordPress hosting provider, you should absolutely start testing your code against this new version <strong>now</strong>. More bugs will be fixed, and some of the features will get polished, but we&#8217;re not going to shove in some big new feature. We&#8217;re ready for you to test it, so jump in there! The more you test the beta, the more stable our release candidates and our final release will be.</p>\n<p>As always, if you think you’ve found a bug, you can post to the <a href=\"http://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. Or, if you’re comfortable writing a reproducible bug report, <a href=\"http://core.trac.wordpress.org/\">file one on the WordPress Trac</a>. There, you can also find <a href=\"http://core.trac.wordpress.org/report/5\">a list of known bugs</a> and <a href=\"http://core.trac.wordpress.org/query?status=closed&amp;group=component&amp;milestone=3.6\">everything we&#8217;ve fixed</a> so far.</p>\n<p>Here&#8217;s what&#8217;s new in 3.6:</p>\n<ul>\n<li><strong>Post Formats: </strong> Post Formats now have their own UI, and theme authors have access to templating functions to access the structured data.</li>\n<li><strong>Twenty Thirteen:</strong> We&#8217;re shipping this year&#8217;s default theme in our first release of the year. Twenty Thirteen is an opinionated, color-rich, blog-centric theme that makes full use of the new Post Formats support.</li>\n<li><strong>Audio/Video:</strong> You can embed audio and video files into your posts without relying on a plugin or a third party media hosting service.</li>\n<li><strong>Autosave: </strong> Posts are now autosaved locally. If your browser crashes, your computer dies, or the server goes offline as you&#8217;re saving, you won&#8217;t lose the your post.</li>\n<li><strong>Post Locking: </strong> See when someone is currently editing a post, and kick them out of it if they fall asleep at the keyboard.</li>\n<li><strong>Nav Menus: </strong> Nav menus have been simplified with an accordion-based UI, and a separate tab for  bulk-assigning menus to locations.</li>\n<li><strong>Revisions:</strong> The all-new revisions UI features avatars, a slider that &#8220;scrubs&#8221; through history, and two-slider range comparisons.</li>\n</ul>\n<p><strong>Developers: </strong> You make WordPress awesome(er). One of the things we strive to do with every release is be compatible with existing plugins and themes. But we need your help. <strong>Please test your plugins and themes against 3.6.</strong> If something isn&#8217;t quite right, please let us know. (Chances are, it wasn&#8217;t intentional.) If you&#8217;re a forward-thinking theme developer, you should be looking at implementing the new Post Format support in some of your themes (look to Twenty Thirteen for inspiration).</p>\n<p>We&#8217;re looking forward to your feedback. If you break it (i.e. find a bug), please report it, and if you’re a developer, try to help us fix it. We&#8217;ve already had more than 150 contributors to version 3.6 — it&#8217;s not too late to join the party!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"http://wordpress.org/news/2013/04/wordpress-3-6-beta-1/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress 3.5.1 Maintenance and Security Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"http://wordpress.org/news/2013/01/wordpress-3-5-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/news/2013/01/wordpress-3-5-1/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 24 Jan 2013 22:23:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2531\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:363:\"WordPress 3.5.1 is now available. Version 3.5.1 is the first maintenance release of 3.5, fixing 37 bugs. It is also a security release for all previous WordPress versions. For a full list of changes, consult the list of tickets and the changelog, which include: Editor: Prevent certain HTML elements from being unexpectedly removed or modified in rare [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Andrew Nacin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2499:\"<p>WordPress 3.5.1 is now available. Version 3.5.1 is the first maintenance release of 3.5, <a href=\"http://core.trac.wordpress.org/milestone/3.5.1\">fixing 37 bugs</a>. It is also a security release for all previous WordPress versions. For a full list of changes, consult the <a href=\"http://core.trac.wordpress.org/query?milestone=3.5.1\">list of tickets</a> and the <a href=\"http://core.trac.wordpress.org/log/branches/3.5?rev=23341&amp;stop_rev=23167\">changelog</a>, which include:</p>\n<ul>\n<li>Editor: Prevent certain HTML elements from being unexpectedly removed or modified in rare cases.</li>\n<li>Media: Fix a collection of minor workflow and compatibility issues in the new media manager.</li>\n<li>Networks: Suggest proper rewrite rules when creating a new network.</li>\n<li>Prevent scheduled posts from being stripped of certain HTML, such as video embeds, when they are published.</li>\n<li>Work around some misconfigurations that may have caused some JavaScript in the WordPress admin area to fail.</li>\n<li>Suppress some warnings that could occur when a plugin misused the database or user APIs.</li>\n</ul>\n<p>Additionally, a bug affecting Windows servers running IIS can prevent updating from 3.5 to 3.5.1. If you receive the error &#8220;Destination directory for file streaming does not exist or is not writable,&#8221; you will need to <a href=\"http://codex.wordpress.org/Version_3.5.1\">follow the steps outlined on the Codex</a>.</p>\n<p>WordPress 3.5.1 also addresses the following security issues:</p>\n<ul>\n<li>A server-side request forgery vulnerability and remote port scanning using pingbacks. This vulnerability, which could potentially be used to expose information and compromise a site, affects all previous WordPress versions. This was fixed by the WordPress security team. We&#8217;d like to thank security researchers <a href=\"http://codeseekah.com/\">Gennady Kovshenin</a> and <a href=\"http://www.ethicalhack3r.co.uk/\">Ryan Dewhurst</a> for reviewing our work.</li>\n<li>Two instances of cross-site scripting via shortcodes and post content. These issues were discovered by Jon Cave of the WordPress security team.</li>\n<li>A cross-site scripting vulnerability in the external library Plupload. Thanks to the Moxiecode team for working with us on this, and for releasing Plupload 1.5.5 to address this issue.</li>\n</ul>\n<p><strong><a href=\"http://wordpress.org/download/\">Download 3.5.1</a> or visit Dashboard → Updates in your site admin to update now.</strong></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://wordpress.org/news/2013/01/wordpress-3-5-1/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"2012: A Look Back\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"http://wordpress.org/news/2013/01/2012-a-look-back/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"http://wordpress.org/news/2013/01/2012-a-look-back/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Jan 2013 02:22:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Uncategorized\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=2525\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:344:\"Another year is coming to a close, and it&#8217;s time to look back and reflect on what we&#8217;ve accomplished in the past twelve months. The WordPress community is stronger than ever, and some of the accomplishments of the past year are definitely worth remembering. Software Releases We had two major releases of the WordPress web [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Jen Mylo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4441:\"<p>Another year is coming to a close, and it&#8217;s time to look back and reflect on what we&#8217;ve accomplished in the past twelve months. The WordPress community is stronger than ever, and some of the accomplishments of the past year are definitely worth remembering.</p>\n<h4>Software Releases</h4>\n<p>We had two major releases of the WordPress web application with versions <a href=\"http://wordpress.org/news/2012/06/green/\">3.4</a> and <a href=\"http://wordpress.org/news/2012/12/elvin/\">3.5</a>, as well as 5 security releases during 2012. 3.4 included the theme customizer, while 3.5 became the long awaited &#8220;media release&#8221; featuring a new uploader and gallery management tool. 3.5 contained code contributions from more people than ever, and we hope to continue growing the contributor ranks in the year ahead. We currently have native apps on 6 mobile platforms &#8212; <a href=\"http://ios.wordpress.org/\">iOS</a>, <a href=\"http://android.wordpress.org/\">Android</a>, <a href=\"http://blackberry.wordpress.org/\">Blackberry</a>, <a href=\"http://wpwindowsphone.wordpress.com/\">Windows Phone</a>, <a href=\"http://nokia.wordpress.org/\">Nokia</a>, and <a href=\"http://webos.wordpress.org/\">WebOS</a> &#8212; and saw several updates there as well.</p>\n<h4>Plugin Directory</h4>\n<p>A number of improvements were made to the Plugin Directory in 2012. More cosmetic  updates, like the introduction of branded plugin page headers, make it a nicer browsing experience, while functional changes like better-integrated support forums, plugin reviews, and a favorites system made the plugin directory even more useful as a resource.</p>\n<h4>The &#8220;Make&#8221; Network and Team Reps</h4>\n<p>2012 was the year that saw the creation of <a href=\"http://make.wordpress.org/\">Make.wordpress.org</a>, a network of sites for the teams of contributors responsible for the different areas of the WordPress project. Now anyone can follow along and get involved with the teams that work on <a href=\"http://make.wordpress.org/core/\">core</a>, <a href=\"http://make.wordpress.org/themes/\">theme review</a>, <a href=\"http://make.wordpress.org/support/\">forum support</a>, <a href=\"http://make.wordpress.org/docs/\">documentation</a>, and more. In 2013 we&#8217;ll work to improve these sites to make it easier to become a contributor. Each team also now has elected Team Reps, a new role that has already led to more cross-team communication. Team reps post each week to the <a href=\"https://make.wordpress.org/updates/\">Updates blog</a> so that the other reps can keep up with what&#8217;s going on in other teams.</p>\n<h4>WordPress Community Summit</h4>\n<p>At the end of October, about 100 of the most influential and respected members of the WordPress community attended an inaugural <a href=\"https://make.wordpress.org/summit\">summit</a> to discuss where we all stand, and to figure out where we go next with WordPress. A &#8220;conference of conversations,&#8221; this unconference made everyone an active participant, and while not every issue brought to the table was solved by the end of the event, the right questions were being asked.</p>\n<h4>Meetup.com</h4>\n<p>The WordPress Foundation now has a central account with Meetup.com. We&#8217;ve brought in a couple dozen existing meetup groups as a pilot to test the system, and are in the process of working with more existing meetups (as well as new ones) to join us so that local organizers won&#8217;t have to pay organizer dues and can get more support from the WordPress project.</p>\n<h4>Internet Blackout Day</h4>\n<p>We participated in the protest against SOPA/PIPA, Internet Blackout Day, on January 18. Though we usually stay out of politics, this campaign was important, and we not only participated in the blackout on WordPress.org, we encouraged our users to do so as well, and recommended plugins to provide blackout functionality. It was deemed the <a href=\"http://sopastrike.com/numbers/\">largest online protest in history</a>.</p>\n<h4>WordCamps</h4>\n<p>And finally, it wouldn&#8217;t be a recap without counting up the <a href=\"http://wordcamp.org\">WordCamps</a>! There were 67 WordCamps around the world in 2012, bringing together WordPress users, developers, and fans. If you didn&#8217;t make it to a WordCamp this year, maybe it can be one of your new year resolutions: <a href=\"http://central.wordcamp.org/schedule/\">check the schedule</a> to find one near you!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"http://wordpress.org/news/2013/01/2012-a-look-back/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:31:\"http://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 14 Jun 2013 18:41:20 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:10:\"x-pingback\";s:36:\"http://wordpress.org/news/xmlrpc.php\";s:13:\"last-modified\";s:29:\"Sun, 02 Jun 2013 02:32:53 GMT\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}s:5:\"build\";s:14:\"20130614183844\";}", "no");
INSERT INTO `wp_options` VALUES("532", "_site_transient_timeout_theme_roots", "1371239940", "yes");
INSERT INTO `wp_options` VALUES("533", "_site_transient_theme_roots", "a:4:{s:10:\"thunderzon\";s:7:\"/themes\";s:12:\"twentyeleven\";s:7:\"/themes\";s:9:\"twentyten\";s:7:\"/themes\";s:12:\"twentytwelve\";s:7:\"/themes\";}", "yes");
INSERT INTO `wp_options` VALUES("426", "_site_transient_update_themes", "O:8:\"stdClass\":3:{s:12:\"last_checked\";i:1371235162;s:7:\"checked\";a:4:{s:10:\"thunderzon\";s:3:\"1.0\";s:12:\"twentyeleven\";s:3:\"1.3\";s:9:\"twentyten\";s:3:\"1.3\";s:12:\"twentytwelve\";s:3:\"1.1\";}s:8:\"response\";a:2:{s:12:\"twentyeleven\";a:3:{s:11:\"new_version\";s:3:\"1.5\";s:3:\"url\";s:40:\"http://wordpress.org/themes/twentyeleven\";s:7:\"package\";s:57:\"http://wordpress.org/themes/download/twentyeleven.1.5.zip\";}s:9:\"twentyten\";a:3:{s:11:\"new_version\";s:3:\"1.5\";s:3:\"url\";s:37:\"http://wordpress.org/themes/twentyten\";s:7:\"package\";s:54:\"http://wordpress.org/themes/download/twentyten.1.5.zip\";}}}", "yes");
INSERT INTO `wp_options` VALUES("435", "_transient_timeout_feed_mod_774c3c8b44b57fe1d836b7d763a093bd", "1371278476", "no");
INSERT INTO `wp_options` VALUES("436", "_transient_feed_mod_774c3c8b44b57fe1d836b7d763a093bd", "1371235276", "no");
INSERT INTO `wp_options` VALUES("437", "_transient_timeout_feed_363a08b743416ad0228cd305e529607a", "1371278477", "no");
INSERT INTO `wp_options` VALUES("438", "_transient_feed_363a08b743416ad0228cd305e529607a", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:65:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"UpThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"http://upthemes.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"CSS3 and Retina-Ready WordPress Themes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 30 May 2013 15:52:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"http://wordpress.org/?v=3.5.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:15:{i:0;a:6:{s:4:\"data\";s:48:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"Responsive Web Design, The UpThemes Way\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"http://upthemes.com/blog/2013/02/responsive-web-design-the-upthemes-way/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"http://upthemes.com/blog/2013/02/responsive-web-design-the-upthemes-way/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Feb 2013 16:44:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:4:\"Tips\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:17:\"responsive design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:21:\"responsive web design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=3142\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:538:\"<p>At UpThemes, we care about making our products the best they can be and are committed to ensuring the themes we create are kept up to date with the ever-changing standards in web development. Responsive web design involves an approach to development that ultimately delivers a website that adapts to any medium you may be [...]</p><p>The post <a href=\"http://upthemes.com/blog/2013/02/responsive-web-design-the-upthemes-way/\">Responsive Web Design, The UpThemes Way</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Anthony\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2584:\"<p>At UpThemes, we care about making our products the best they can be and are committed to ensuring the themes we create are kept up to date with the ever-changing standards in web development. Responsive web design involves an approach to development that ultimately delivers a website that adapts to any medium you may be viewing it on, whether that be your phone, tablet, or desktop computer.</p>\n<p>While most themes sell responsive web design as a premium feature, we believe it to be not a feature at all, but a <strong>standard practice</strong> for every product we put out.</p>\n<p><span id=\"more-3142\"></span></p>\n<h2>Responsive web design in, old technology out</h2>\n<p>When adding responsive web design support to our existing themes, we start by assessing how to best improve the theme&#8217;s performance. For example, some of our themes were initially created when IE6 support was still necessary. We only have to go back a few years to find hacks and methods in our themes that were necessary then, but can now be removed or reworked. During this process, we also create mockups of how we would like each theme to respond to different devices. Then we turn those mockups into code. The final step is to test the theme with a variety of content to ensure that no matter what you have on your site, it will respond perfectly.</p>\n<p>We have already completed this update to a number of our older themes while making it standard on every new theme released. Our plan is to continue updating our collection until it&#8217;s completely responsive. We think it&#8217;s that important.</p>\n<p>We hope you&#8217;ll keep an eye on our blog for more theme releases that, like <a title=\"Personality\" href=\"http://upthemes.com/themes/personality/\" target=\"_blank\">Personality</a>, will always include the newest technology standard.</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Responsive Web Design, The UpThemes Way\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2013/02/responsive-web-design-the-upthemes-way/\">Responsive Web Design, The UpThemes Way</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"http://upthemes.com/blog/2013/02/responsive-web-design-the-upthemes-way/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:48:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"Add some Personality to your blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"http://upthemes.com/blog/2013/02/add-some-personality-to-your-blog/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"http://upthemes.com/blog/2013/02/add-some-personality-to-your-blog/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 06 Feb 2013 19:36:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:13:\"Theme Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:13:\"blog template\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:14:\"blogging theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=3260\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:588:\"<p>Personality is a simple, beautiful blogging theme that combines clean typography and a flexible layout, making it easy to blog about anything with great clarity. Our goal was to deliver a clean, crisp, elegant typography-based theme for bloggers. I think we succeeded. Offering multiple page layouts, Sass/Compass-powered styles, and integration with the WordPress Theme Customizer, [...]</p><p>The post <a href=\"http://upthemes.com/blog/2013/02/add-some-personality-to-your-blog/\">Add some Personality to your blog</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Chris Wallace\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2362:\"<p><a href=\"http://upthemes.com/wp-content/uploads/2013/02/personality_theme_promo.png\"><img class=\"aligncenter size-large wp-image-3257\" alt=\"Personality Theme\" src=\"http://upthemes.com/wp-content/uploads/2013/02/personality_theme_promo-640x600.png\" width=\"320\" height=\"300\" /></a></p>\n<p><a href=\"http://upthemes.com/themes/personality/\" title=\"Personality\">Personality</a> is a simple, beautiful blogging theme that combines clean typography and a flexible layout, making it easy to blog about anything with great clarity. Our goal was to deliver a clean, crisp, elegant typography-based theme for bloggers. I think we succeeded.</p>\n<p>Offering multiple page layouts, Sass/Compass-powered styles, and integration with the WordPress Theme Customizer, Personality makes it easy to get a custom look for your blog in just a couple minutes. If you&#8217;re looking for an easy to customize yet simple and elegant theme, Personality is for you.</p>\n<p>Personality is a responsive, fluid-width theme that looks great on any modern smartphone or tablet and makes it easy to share different types of content with your readers.</p>\n<p>This theme is <a href=\"http://upthemes.com/themes/personality/\">now available for a one-time cost of $39</a> with lifetime support and theme updates or can be downloaded through our <a href=\"http://upthemes.com/membership/\">Theme Club Membership for just $39/year</a>.</p>\n<hr />\n<h4 style=\"text-align:center;\"><a href=\"http://upthemes.com/themes/personality/\"><strong>View Theme Details</strong></a> or <strong><a href=\"http://demos.upthemes.com/personality/\">View Theme Demo</a></strong></h4>\n<hr />\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Add some Personality to your blog\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2013/02/add-some-personality-to-your-blog/\">Add some Personality to your blog</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"http://upthemes.com/blog/2013/02/add-some-personality-to-your-blog/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"Why We Use, Support &amp; Recommend Gravity Forms at UpThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"http://upthemes.com/blog/2013/01/why-we-use-gravity-forms-at-upthemes/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"http://upthemes.com/blog/2013/01/why-we-use-gravity-forms-at-upthemes/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 31 Jan 2013 03:39:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Business\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:4:\"Tips\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=3186\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:559:\"<p>If you&#8217;ve ever used a free WordPress form plugin like Contact Form 7 &#8211; you understand my pain. There have been many advances in the free theme world, but for the most part, full-featured plugins have really lagged behind. In my opinion, they always will. Enter Gravity Forms Gravity Forms is a breath of fresh [...]</p><p>The post <a href=\"http://upthemes.com/blog/2013/01/why-we-use-gravity-forms-at-upthemes/\">Why We Use, Support &#038; Recommend Gravity Forms at UpThemes</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Chris Wallace\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5266:\"<p>If you&#8217;ve ever used a free WordPress form plugin like Contact Form 7 &#8211; you understand my pain. There have been many advances in the free theme world, but for the most part, full-featured plugins have really lagged behind. In my opinion, they always will.</p>\n<p><span id=\"more-3186\"></span></p>\n<h3>Enter Gravity Forms</h3>\n<p>Gravity Forms is a breath of fresh air when you think about the other options out there. You could write your own custom PHP forms (hello, security/spam nightmares!), take your chances with <a href=\"http://wordpress.org/extend/plugins/contact-form-7/\">Contact Form 7</a>, or try <a href=\"http://wordpress.org/extend/plugins/formbuilder/\">FormBuilder</a>. There are a few decent plugins that come with a small price tag: <a href=\"http://formidablepro.com/\">Formidable Pro</a>, <a href=\"http://upthemes.com/ajax-contact-forms\">AJAX Contact Forms for WordPress</a>, and a few others.</p>\n<p>After trying a number of these plugins, we settled on <a href=\"http://upthemes.com/gravityforms\">Gravity Forms</a>. Here&#8217;s why.</p>\n<h3>It&#8217;s Like Having a Receptionist but Way Less Expensive</h3>\n<p>You may ask, &#8220;wait, are you telling me to fire Lisa?&#8221; No. What I&#8217;m saying is Gravity Forms acts as your <em>website&#8217;s receptionist</em>. Just like a receptionist routes calls to the various people in a company, Gravity Forms enables you to do the same thing with emails. In our case, we use Gravity Forms&#8217; built-in conditional logic for our single contact form that not only routes form submissions to the right people but also <strong>hides the form under certain conditions</strong>.</p>\n<p>Want to try it out? Go ahead and <a href=\"http://upthemes.com/contact/\">send us a message through our contact form</a>. You&#8217;ll notice that as you change the drop-down selections, it&#8217;ll change the form when you select &#8220;Support.&#8221; We don&#8217;t provide email support, except in very rare emergency situations, so instead of allowing users to send us support requests via email, we display a message directing them to the user forums. Easy peasy.</p>\n<h3>It Uses Akismet to Filter Out Spam Submissions</h3>\n<p>If you&#8217;re anything like me, you hate distracting, spammy, junk mail. It breaks your focus and destroys productivity, even if only for a short period of time. This is one of the primary reasons we use Gravity Forms. We like to avoid getting garbage emails and focus on <strong>real email</strong>. You know, stuff that we get from customers, partners, affiliates and other team members.</p>\n<p>If you have Akismet turned on, Gravity Forms will use it to filter out the junk submissions. We seriously get nearly ZERO spam submissions through our contact form. That, by itself, is reason enough for me to use Gravity Forms.</p>\n<p><a href=\"http://upthemes.com/wp-content/uploads/2013/01/Screen-Shot-2013-01-25-at-11.37.13-AM.png\"><img class=\"wp-image-3202 alignright\" alt=\"Advanced Form Builder\" src=\"http://upthemes.com/wp-content/uploads/2013/01/Screen-Shot-2013-01-25-at-11.37.13-AM-640x543.png\" width=\"384\" height=\"326\" /></a></p>\n<h3>Advanced Form Builder Is Easier Than Easy</h3>\n<p>Instead of dealing with HTML and form field codes like some contact form plugins, Gravity Forms allows us to simply drag and drop different types of fields into our forms. No complicated shortcode generators or modifying HTML and input types manually. You can even build custom purchasing forms with complex price calculations. If you&#8217;re selling a simple product with customizable options that affect price, instead of installing a complex e-commerce shop with SSL and all types of complicated requirements, you should definitely just <a href=\"http://upthemes.com/gravityforms\">try Gravity Forms</a>.</p>\n<h3>We&#8217;re Gravity Forms Fanatics &#8211; For Good Reason</h3>\n<p>We typically don&#8217;t support or even recommend third-party plugins to be used with our themes, but there are a few exceptions and Gravity Forms is one of them. Since we know and trust them as the best form plugin in the WordPress universe, we&#8217;re happy to support the usage of Gravity Forms with our themes. That means if there are any conflicts or styling issues, we&#8217;re happy to help resolve them because we know the product is solid and forms are extremely important for web businesses.</p>\n<p><a href=\"http://upthemes.com/gravityforms\">Learn more about Gravity Forms on their website</a>.</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Why We Use, Support &amp; Recommend Gravity Forms at UpThemes\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2013/01/why-we-use-gravity-forms-at-upthemes/\">Why We Use, Support &#038; Recommend Gravity Forms at UpThemes</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"http://upthemes.com/blog/2013/01/why-we-use-gravity-forms-at-upthemes/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"Free Theme Launch: Gallery\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://upthemes.com/blog/2013/01/free-theme-launch-gallery/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"http://upthemes.com/blog/2013/01/free-theme-launch-gallery/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Jan 2013 18:22:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:14:\"News & Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:13:\"Theme Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=3123\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:502:\"<p>Remember me telling you about the upcoming themes for January? I know, it&#8217;s probably been the longest week of your life. Well, as promised, we are excited to release Gallery into your capable hands today. As I said before, this is not the Gallery theme of old. We improved the codebase from the ground up. [...]</p><p>The post <a href=\"http://upthemes.com/blog/2013/01/free-theme-launch-gallery/\">Free Theme Launch: Gallery</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2869:\"<p>Remember me telling you about the <a title=\"Sneak Peek for January\" href=\"http://upthemes.com/blog/2013/01/sneak-peek-for-january/\">upcoming themes for January</a>? I know, it&#8217;s probably been the longest week of your life. Well, as promised, we are excited to release <a title=\"Gallery Theme\" href=\"http://upthemes.com/themes/gallery/\">Gallery</a> into your capable hands today.</p>\n<p><a href=\"http://upthemes.com/wp-content/uploads/2013/01/gallery_theme_responsive.png\"><img src=\"http://upthemes.com/wp-content/uploads/2013/01/gallery_theme_responsive-640x600.png\" alt=\"Gallery Theme\" width=\"640\" height=\"600\" class=\"aligncenter size-large wp-image-3125\" /></a></p>\n<p>As I said before, this is not the Gallery theme of old. We improved the codebase from the ground up. We made it responsive. Content types get their own unique touches like custom styling for all the new post types like &#8220;Status&#8221; and &#8220;Video&#8221; and a slick slider for the photo &#8220;Gallery&#8221; posts. We also put serious thought towards making theme customization easy. Incorporating SASS and Compass makes a completely different look only few color value changes away.  And the <a title=\"Features\" href=\"http://upthemes.com/themes/gallery/#features\">list goes on</a>.</p>\n<p><em id=\"__mceDel\"><span id=\"more-3123\"></span></em></p>\n<p>Now, that&#8217;s all well and good. But with a theme like Gallery, you can&#8217;t ignore the look and feel. So we brought Gallery into 2013. You could say it&#8217;s modern and contemporary. You could say it smells of rich mahogany. We say it&#8217;s flat-out classy.</p>\n<p>And here&#8217;s the best part: Gallery and all its enhancements is entirely free. If you&#8217;ve considered <a title=\"UpThemes Club Membership\" href=\"http://upthemes.com/membership/\">joining the UpThemes community</a>, but needed a dabble in our product first, this is your chance. If you fall in love with it, as we think you will, there&#8217;s a Pro version of the theme in months to come.</p>\n<p>You can <a title=\"Gallery\" href=\"http://upthemes.com/themes/gallery/\">download Gallery now</a> and install it on your WordPress site. Enjoy!</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Free Theme Launch: Gallery\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2013/01/free-theme-launch-gallery/\">Free Theme Launch: Gallery</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://upthemes.com/blog/2013/01/free-theme-launch-gallery/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"10\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:48:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"UpThemes Framework 2.3 Now Uses Iris Colorpicker &amp; New Media Uploader\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"http://upthemes.com/blog/2013/01/upthemes-framework-2-3-now-uses-iris-colorpicker-new-media-uploader/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"http://upthemes.com/blog/2013/01/upthemes-framework-2-3-now-uses-iris-colorpicker-new-media-uploader/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Jan 2013 18:10:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:14:\"News & Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"3.5 support\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:18:\"UpThemes Framework\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=3083\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:609:\"<p>I&#8217;m extremely excited to announce that the UpThemes Framework, our tiny little theme options framework, now uses the new WordPress 3.5 Iris colorpicker as well as the new media uploader. What Does This Mean for Users? Well, for one, it means you must upgrade to WordPress 3.5 before using the latest version of our themes. [...]</p><p>The post <a href=\"http://upthemes.com/blog/2013/01/upthemes-framework-2-3-now-uses-iris-colorpicker-new-media-uploader/\">UpThemes Framework 2.3 Now Uses Iris Colorpicker &#038; New Media Uploader</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Chris Wallace\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2859:\"<p>I&#8217;m extremely excited to announce that the UpThemes Framework, our tiny little theme options framework, now uses the new WordPress 3.5 Iris colorpicker as well as the new media uploader.</p>\n<h2>What Does This Mean for Users?</h2>\n<p>Well, for one, it means you <strong>must upgrade</strong> to WordPress 3.5 before using the latest version of our themes. The framework is no longer backwards-compatible with old versions of WordPress. Sorry, but we want you to be as secure and up-to-date as possible. </p>\n<p>For two, it means easy usage of the Live Theme Customizer to preview your theme modifications without tinkering with your live site until the changes are loaded in and ready for launch.</p>\n<h2>What Does It Mean for Developers?</h2>\n<p>Same stuff as above. No changes are required to the way you instantiate your theme options. Simply create your option arrays just like before and the new colorpicker and image uploader will work seamlessly out of the box.</p>\n<h2>Thank You!</h2>\n<p>I want to recognize two developers that helped (unknowingly) contribute to this update. Rachel Baker, wrote a lovely post on <a href=\"http://rachelbaker.me/how-to-use-the-new-wordpress-color-picker-in-a-plugin/\" target=\"_blank\">how to use the new WordPress color picker in a plugin</a>, which helped me out tremendously when implementing this new functionality for the UpThemes Framework. Also, <a href=\"http://thomasgriffinmedia.com\" target=\"_blank\">Thomas Griffin</a>, developer of the incredible <a href=\"http://soliloquywp.com/\" target=\"_blank\">Soliloquy plugin</a>, who wrote a well-documented and extremely simple plugin to help folks like me integrate the new WP media utility. Thanks Rachel and Thomas!</p>\n<h2>Questions? Let Us Know!</h2>\n<p>If you come across any issues, feel free to <a href=\"https://github.com/LiftUX/UpThemes-Framework\" title=\"UpThemes Framework on Github\" target=\"_blank\">help us out on Github</a>, where the UpThemes Framework is currently hosted and being actively developed.</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"UpThemes Framework 2.3 Now Uses Iris Colorpicker &amp; New Media Uploader\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2013/01/upthemes-framework-2-3-now-uses-iris-colorpicker-new-media-uploader/\">UpThemes Framework 2.3 Now Uses Iris Colorpicker &#038; New Media Uploader</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:106:\"http://upthemes.com/blog/2013/01/upthemes-framework-2-3-now-uses-iris-colorpicker-new-media-uploader/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Sneak Peek: Understated Theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"http://upthemes.com/blog/2013/01/preview-of-the-understated-theme/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"http://upthemes.com/blog/2013/01/preview-of-the-understated-theme/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 07 Jan 2013 18:22:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Teasers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=3039\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:532:\"<p>We&#8217;re releasing a new theme for both WordPress and Statamic (an awesome new CMS requiring no database). The theme was designed by Galen Gidman and is called &#8220;Understated&#8221; and focuses on beautiful typography with a pop of color. We decided to put together a short 30-second clip to share it with you all: The theme [...]</p><p>The post <a href=\"http://upthemes.com/blog/2013/01/preview-of-the-understated-theme/\">Sneak Peek: Understated Theme</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Chris Wallace\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1628:\"<p>We&#8217;re releasing a new theme for both WordPress and <a href=\"http://statamic.com\" title=\"Statamic\">Statamic </a> (an awesome new CMS requiring no database). The theme was designed by <a href=\"http://galengidman.com\" title=\"Galen Gidman\">Galen Gidman</a> and is called &#8220;Understated&#8221; and focuses on beautiful typography with a pop of color. We decided to put together a short 30-second clip to share it with you all:</p>\n<p><iframe src=\"http://player.vimeo.com/video/56927277\" width=\"500\" height=\"281\" frameborder=\"0\" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe></p>\n<p>The theme will be released in the upcoming Statamic Add-On Marketplace and will also be available in our Club Membership which is an amazing value at just $39 or $99/year. Learn more about our <a href=\"http://upthemes.com/membership/\" title=\"UpThemes Club Membership\">membership options here</a>.</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Sneak Peek: Understated Theme\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2013/01/preview-of-the-understated-theme/\">Sneak Peek: Understated Theme</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"http://upthemes.com/blog/2013/01/preview-of-the-understated-theme/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"Sneak Peek for January\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"http://upthemes.com/blog/2013/01/sneak-peek-for-january/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"http://upthemes.com/blog/2013/01/sneak-peek-for-january/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 07 Jan 2013 17:50:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Teasers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=3031\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:479:\"<p>Things are different in 2013. Can you feel it? If you so, it&#8217;s probably has something to do with the new things happening at UpThemes. Let&#8217;s start with a sneak peek at the new themes coming at you in January. The first is a major refresh of our popular Gallery theme. But there is so [...]</p><p>The post <a href=\"http://upthemes.com/blog/2013/01/sneak-peek-for-january/\">Sneak Peek for January</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2768:\"<p>Things are different in 2013. Can you feel it? If you so, it&#8217;s probably has something to do with the new things happening at UpThemes. Let&#8217;s start with a sneak peek at the new themes coming at you in January.</p>\n<p><a href=\"http://upthemes.com/blog/2013/01/sneak-peek-for-january/screen-shot-2013-01-07-at-11-25-34-am/\" rel=\"attachment wp-att-3032\"><img class=\"aligncenter size-full wp-image-3032\" title=\"Gallery Sneak Peek\" alt=\"\" src=\"http://upthemes.com/wp-content/uploads/2013/01/Screen-Shot-2013-01-07-at-11.25.34-AM.png\" width=\"640\" height=\"457\" /></a></p>\n<p><span id=\"more-3031\"></span></p>\n<p>The first is a major refresh of our popular Gallery theme. But there is so much fresh in this refresh, it&#8217;s like a new theme. We started with beautifully styled photo, video, and quote posts. Then, we brought in some immediacy from social media. Feel like updating us while you&#8217;re enjoying a hummus plate? Do it. The new Gallery supports the most popular <a title=\"WordPress Post Formats\" href=\"http://codex.wordpress.org/Post_Formats\">WordPress post formats</a> like &#8220;Status Update&#8221;.</p>\n<p>By the way, hummus rhymes with pumice. Let that sink in.</p>\n<p>And don&#8217;t forget, every new or re-released theme comes standard with responsive styles for those all those places and devices where you might be seen. Hey, speaking of brand new themes, read on.</p>\n<p>In the vein of our other simple content sharing themes like <a title=\"Mi Theme\" href=\"http://upthemes.com/themes/mi/\">Mi</a> and <a title=\"Micro\" href=\"http://upthemes.com/themes/micro/\">Micro</a>, we are releasing Chameleon – a beautiful addition to our minimalist line. We think you&#8217;ll love its ability to help you share your brilliance.</p>\n<p>So that&#8217;s January. Not too shabby. And there&#8217;s still eleven more months of new things this year. We&#8217;d tell you about it now, but <a href=\"http://media.tumblr.com/tumblr_lmpnlgKIep1qerr3g.gif\">things might explode</a>. And here at UpThemes, we&#8217;re all about safety. See you in February.</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Sneak Peek for January\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2013/01/sneak-peek-for-january/\">Sneak Peek for January</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"http://upthemes.com/blog/2013/01/sneak-peek-for-january/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Introducing the UpThemes WordPress Tips &amp; Tricks Newsletter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"http://upthemes.com/blog/2012/12/introducing-the-upthemes-wordpress-tips-and-tricks-newsletter/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"http://upthemes.com/blog/2012/12/introducing-the-upthemes-wordpress-tips-and-tricks-newsletter/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 18 Dec 2012 15:30:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:14:\"News & Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:4:\"code\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"newsletter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:4:\"tips\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:6:\"tricks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:9:\"wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=2895\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:590:\"<p>WordPress Tips &#38; Tricks For Everyone While browsing through the archives of the UpThemes blog, I noticed something interesting. There is a ton of good information there for people serious about getting the most out of WordPress. And you know what else? The people that write it know what they are talking about. They live [...]</p><p>The post <a href=\"http://upthemes.com/blog/2012/12/introducing-the-upthemes-wordpress-tips-and-tricks-newsletter/\">Introducing the UpThemes WordPress Tips &#038; Tricks Newsletter</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2606:\"<h2>WordPress Tips &amp; Tricks For Everyone</h2>\n<p>While browsing through the archives of the <a title=\"UpThemes Blog\" href=\"http://upthemes.com/blog/\">UpThemes blog</a>, I noticed something interesting. There is a ton of good information there for people serious about getting the most out of WordPress. And you know what else? The people that write it know what they are talking about. They live and breathe (a very advanced technique) WordPress  and want to share what they&#8217;ve learned.</p>\n<p><span id=\"more-2895\"></span></p>\n<p>Here&#8217;s the problem: we never know when inspiration (or a pesky problem) strikes that will inspire us to write another gem of WordPress knowledge. And if you are like me, you don&#8217;t go checking even your favorite blogs for updates. You want the updates to come to you, right? Exactly.</p>\n<h2>Enter the UpThemes WordPress Tips &amp; Tricks Newsletter</h2>\n<form id=\"subForm2\" style=\"border: 3px dashed #2fa2df; padding: 20px 20px 0 20px; float: right; margin-left: 20px; margin-bottom: 20px;\" action=\"http://liftux.createsend.com/t/r/s/jjxnk/\" method=\"post\">\n<h4 style=\"margin-bottom: 1em;\">Sign up for Tips &amp; Tricks here!</h4>\n<p><label for=\"name\"><input id=\"name\" type=\"text\" name=\"cm-name\" /></label> <label for=\"jjxnk-jjxnk\"><input id=\"jjxnk-jjxnk\" type=\"text\" name=\"cm-jjxnk-jjxnk\" /></label> <button class=\"btn-primary btn btn-small\" type=\"submit\">Subscribe</button></p>\n</form>\n<p>When you sign up for our WordPress Tips &amp; Tricks Newsletter, every one of those posts will be delivered to your inbox. No site checking and no RSS reader required. Simple, powerful, and incredibly useful, just like your favorite UpTheme.</p>\n<p>Sign up using the form on the right and join our growing community of WordPress aficionados.</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Introducing the UpThemes WordPress Tips &amp; Tricks Newsletter\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2012/12/introducing-the-upthemes-wordpress-tips-and-tricks-newsletter/\">Introducing the UpThemes WordPress Tips &#038; Tricks Newsletter</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"http://upthemes.com/blog/2012/12/introducing-the-upthemes-wordpress-tips-and-tricks-newsletter/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"Meet Mi, The Microblog WordPress Theme That’s All About You\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://upthemes.com/blog/2012/12/meet-mi-the-microblog-wordpress-theme-thats-all-about-you/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"http://upthemes.com/blog/2012/12/meet-mi-the-microblog-wordpress-theme-thats-all-about-you/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 13 Dec 2012 15:44:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:7:{i:0;a:5:{s:4:\"data\";s:13:\"Microblogging\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"News & Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:15:\"microblog theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:13:\"personal blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:12:\"theme launch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:13:\"theme release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:16:\"WordPress themes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=2876\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:621:\"<p>It&#8217;s dead-simple. It&#8217;s you. It&#8217;s Mi. In this crazy, mixed-up world of web this and mobile that, wouldn&#8217;t it be nice for a few pixels of the world to be all about you? That&#8217;s what we thought. And that&#8217;s why we created Mi, a beautifully uncluttered microblog WordPress theme that removes the distractions and puts the focus [...]</p><p>The post <a href=\"http://upthemes.com/blog/2012/12/meet-mi-the-microblog-wordpress-theme-thats-all-about-you/\">Meet Mi, The Microblog WordPress Theme That&#8217;s All About You</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2983:\"<h2><a href=\"http://upthemes.com/blog/2012/12/meet-mi-the-simplest-way-to-share-you/screen-shot-2012-12-13-at-9-23-53-am/\" rel=\"attachment wp-att-2877\"><img class=\"aligncenter size-large wp-image-2877\" title=\"Mi Theme\" src=\"http://upthemes.com/wp-content/uploads/2012/12/Screen-Shot-2012-12-13-at-9.23.53-AM-640x362.png\" alt=\"mi theme\" width=\"640\" height=\"362\" /></a></h2>\n<h2>It&#8217;s dead-simple. It&#8217;s you. It&#8217;s Mi.</h2>\n<p>In this crazy, mixed-up world of web this and mobile that, wouldn&#8217;t it be nice for a few pixels of the world to be all about you? That&#8217;s what we thought. And that&#8217;s why we created Mi, a beautifully uncluttered microblog WordPress theme that removes the distractions and puts the focus on your content.</p>\n<p><span id=\"more-2876\"></span></p>\n<p style=\"text-align: center;\"><a class=\"btn btn-primary btn-large\" title=\"Mi Theme Details\" href=\"http://upthemes.com/themes/mi/\">Mi Theme Details</a>   <a class=\"btn btn-secondary btn-large\" title=\"Yumblog Theme Demo\" href=\"http://demos.upthemes.com/#mi\">Mi Theme Demo</a></p>\n<h3>Features</h3>\n<ul>\n<li>Single-column design focuses in the important stuff: your content</li>\n<li>Any content – video, image, or quote – looks good with our custom post type styling</li>\n<li>Live changes are easy from the front-end with the WordPress Theme Customizer</li>\n<li>Make it even more yours with gorgeous fonts using our Typecase plugin</li>\n<li>And, of course, you look good on any device with our responsive design framework</li>\n</ul>\n<p>Lots of things are hard to do, like making the fifteenth Instagram of your Peppermint Mocha really pop. But Mi couldn&#8217;t be easier. Or more you. If you need a little primer on how to get started microblogging or exporting your Tumblr posts to a microblog WordPress theme, <a title=\"Your Guide to Using WordPress for Microblogging\" href=\"http://upthemes.com/blog/2012/05/your-guide-to-using-wordpress-for-microblogging/\">give our guide</a> a read</p>\n<p>You can buy the new <a title=\"Mi Theme\" href=\"http://upthemes.com/themes/mi/\">Mi Theme now</a> and get access to all our themes and unlimited support.</p>\n<p>&nbsp;</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Meet Mi, The Microblog WordPress Theme That&#039;s All About You \" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2012/12/meet-mi-the-microblog-wordpress-theme-thats-all-about-you/\">Meet Mi, The Microblog WordPress Theme That&#8217;s All About You</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"http://upthemes.com/blog/2012/12/meet-mi-the-microblog-wordpress-theme-thats-all-about-you/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:48:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"Yumblog, Our New Food Blog Theme for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"http://upthemes.com/blog/2012/12/yumblog-new-food-blog-theme-for-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://upthemes.com/blog/2012/12/yumblog-new-food-blog-theme-for-wordpress/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Dec 2012 16:39:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:14:\"News & Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:9:\"food blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:12:\"theme launch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=2794\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:522:\"<p>Your All-In-One Food Blog Theme Here at UpThemes, we&#8217;re fans of food. Big fans. But we looked around for a simple and and intuitive way to share our favorite recipes and came up as empty as search for good Pad Thai in El Paso (Nada. I&#8217;ve tried). So with the design help of the lovely [...]</p><p>The post <a href=\"http://upthemes.com/blog/2012/12/yumblog-new-food-blog-theme-for-wordpress/\">Yumblog, Our New Food Blog Theme for WordPress</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2877:\"<h2><a href=\"http://upthemes.com/blog/2012/12/yumblog-new-food-blog-theme-for-wordpress/yumblog-home/\" rel=\"attachment wp-att-2861\"><img class=\"aligncenter size-large wp-image-2861\" title=\"Yumblog Home\" src=\"http://upthemes.com/wp-content/uploads/2012/12/Yumblog-Home-640x405.png\" alt=\"yumblog home\" width=\"640\" height=\"405\" /></a></h2>\n<h2>Your All-In-One Food Blog Theme</h2>\n<p>Here at UpThemes, we&#8217;re fans of food. Big fans. But we looked around for a simple and and intuitive way to share our favorite recipes and came up as empty as search for good Pad Thai in El Paso (Nada. I&#8217;ve tried). So with the design help of the lovely and talented <a title=\"Gedy Rivera\" href=\"http://gedy.me/\">Gedy Rivera</a>, we did what we do best – made our own.</p>\n<p><span id=\"more-2794\"></span></p>\n<p style=\"text-align: center;\"><a class=\"btn btn-primary btn-large\" title=\"Yumblog Theme Details\" href=\"http://upthemes.com/themes/yumblog-theme/\">Yumblog Theme Details</a>   <a class=\"btn btn-secondary btn-large\" title=\"Yumblog Theme Demo\" href=\"http://demos.upthemes.com/#yumblog\">Yumblog Theme Demo</a></p>\n<p>If you think a good recipe is best shared, you&#8217;ll find all kinds of goodies stashed around this theme.  Check these out:</p>\n<ul>\n<li>Three, yes, three custom color schemes for the changing seasons of your content &#8211; Harvest, Winter, and Spring</li>\n<li>Printed recipes actually look like a real recipe card with our custom print style</li>\n<li>Easy Google Search Results Page recipe optimization with Yumblog&#8217;s integration with the Recipe Schema plugin</li>\n<li>Custom author archive pages that give your contributors and their recipes the attention they deserve</li>\n<li>And as with all our new themes, your recipes look tasty on any device with with our baked-in responsive design framework</li>\n</ul>\n<p>Getting a food blog cooking is as easy and elegant as it is fun with Yumblog. So easy, in fact, we think you&#8217;ll forget all the food puns in this post. <a title=\"Buy the Yumblog Theme\" href=\"http://upthemes.com/themes/yumblog-theme/\">Buy the Yumblog Theme Now!</a></p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Yumblog, Our New Food Blog Theme for WordPress\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2012/12/yumblog-new-food-blog-theme-for-wordpress/\">Yumblog, Our New Food Blog Theme for WordPress</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"http://upthemes.com/blog/2012/12/yumblog-new-food-blog-theme-for-wordpress/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"Formatting Large Sets of Migration Data with RegEx Matches\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"http://upthemes.com/blog/2012/12/formatting-large-sets-of-data-with-regex-matches/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://upthemes.com/blog/2012/12/formatting-large-sets-of-data-with-regex-matches/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Dec 2012 15:00:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Code Examples\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=2808\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:583:\"<p>Data migration is an essential task when converting static sites into WordPress themes. For simple static content sites, it&#8217;s just a few quick copy/pastes into the content area on a post/page and you&#8217;re finished. However, if you encounter a more complex site, you might find yourself with a lot of hard-coded data that is not [...]</p><p>The post <a href=\"http://upthemes.com/blog/2012/12/formatting-large-sets-of-data-with-regex-matches/\">Formatting Large Sets of Migration Data with RegEx Matches</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Brian Fegter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8972:\"<p>Data migration is an essential task when converting static sites into WordPress themes. For simple static content sites, it&#8217;s just a few quick copy/pastes into the content area on a post/page and you&#8217;re finished. However, if you encounter a more complex site, you might find yourself with a lot of hard-coded data that is not as easily imported. </p>\n<p><span id=\"more-2808\"></span></p>\n<p>More than a few times, I&#8217;ve encountered oodles of lines of hardcoded values from JavaScript that need to be inserted as a custom post type or an admin option value. One time, I received an email with a copy/paste from an Excel spreadsheet with values to import into WordPress. The original Excel file was no longer in existence and I was left with a blob of text that would take seemingly hours to format into PHP for processing within WP.</p>\n<p>It’s embarrassing to admit, but I used to spend hours formatting line-by-line. Then, I learned about regular expressions. I started replacing single expressions like ^\\n or \\t and that saved a lot of time. But, the lightbulb moment came when I learned about generating matches from within an expression. Instead of doing piecemeal replacements with single expressions, multiple matches in a greater expression could format my entire data set in mere minutes.</p>\n<p>In no way do I consider myself to be a regex expert, but I have learned to make my messy expressions work for data migration operations. There are a few steps that you need to take when your screen is filled up with data that is not formatted properly for migration. Certainly, you can process this text block via server-side code, but that’s not optimal. It’s best to format your data right in your text editor. I use Sublime Text 2.</p>\n<h2>Identify Patterns</h2>\n<p>The first thing to do when looking at a large set of seemingly insurmountable data as a whole is to find a pattern of delimiters. Typically, there is some sort of consistent separator to target for individual values within a single record. If your data is stored as values in another language, the patterns are generally obvious.</p>\n<p>Hardcoded JavaScript values:<br />\n<code lang=\"javascript\"></p><pre class=\"crayon-plain-tag\">var earthquakes = [];\n\nearthquakes[18] = {};\nearthquakes[18].Src = \'ci\';\nearthquakes[18].Equid = \'15262513\';\nearthquakes[18].Version = \'0\';\nearthquakes[18].Datetime = \'Tuesday, December 11, 2012 23:44:08 UTC\';\nearthquakes[18].Lat = \'33.4455\';\nearthquakes[18].Lon = \'-117.4315\';\nearthquakes[18].Magnitude = \'1.9\';\nearthquakes[18].Depth = \'15.20\';\nearthquakes[18].NST = \'18\';\nearthquakes[18].Region = \'Southern California\';\n\nearthquakes[16] = {};\nearthquakes[16].Src = \'ak\';\nearthquakes[16].Equid = \'10617595\';\nearthquakes[16].Version = \'1\';\nearthquakes[16].Datetime = \'Tuesday, December 11, 2012 23:44:04 UTC\';\nearthquakes[16].Lat = \'61.7527\';\nearthquakes[16].Lon = \'-146.9591\';\nearthquakes[16].Magnitude = \'1.6\';\nearthquakes[16].Depth = \'29.60\';\nearthquakes[16].NST = \'16\';\nearthquakes[16].Region = \'Southern Alaska\';\n...</pre><p></code></p>\n<p>The value delimiters for this example are the single quotes around the JS property values. </p>\n<h2>Identify Values Within The Patterns</h2>\n<p>The next step is to identify how many values are in a record and what they represent. I typically keep a separate text file open and notate these values there. For example:</p>\n<ol>\n<li>Source</li>\n<li>Earthquake ID (unique)</li>\n<li>API Version</li>\n<li>UNIX Date/Time</li>\n<li>Latitude</li>\n<li>Longitude</li>\n<li>Magnitude (BOOM!)</li>\n<li>Depth</li>\n<li>Number of Reporting Stations</li>\n<li>Region</li>\n</ol>\n<p>This list is a valuable legend of your data when building out your replacement template, especially if you have a few dozen values per record.</p>\n<h2>Create A Replacement Template</h2>\n<p>One of the less obvious things about Sublime Text 2 is that you can replace more than one line at a time. These multiple lines can be pre-formatted as well. Once I figured this out, I started building out visual replacement templates rather than inserting tab and newline characters in a single string.</p>\n<p>Since I&#8217;m converting all of this earthquake data to PHP for use in WordPress, I built out the following template. Each earthquake will become an array element that&#8217;s primed for iteration on the server-side.</p>\n<p><code></p><pre class=\"crayon-plain-tag\">$earthquakes[] = array(\n	\'source\'    =&gt; \'$1\',\n	\'eq_id\'     =&gt; \'$2\',\n	\'version\'   =&gt; \'$3\',\n	\'date_time\' =&gt; \'$4\',\n	\'latitude\'  =&gt; \'$5\',\n	\'longitude\' =&gt; \'$6\',\n	\'magnitude\' =&gt; \'$7\',\n	\'depth\'     =&gt; \'$8\',\n	\'nst\'       =&gt; \'$9\',\n	\'region\'    =&gt; \'$10\'\n);</pre><p></code></p>\n<p>The $N values correspond to the list I created in the previous step. These represent the matches generated by the expression. This preformatted string will serve as our replacement string. The dollar values will be dynamically replaced with the matches from the expression.</p>\n<h2>Write An Expression</h2>\n<p>This post is not about how to write regular expressions. There are quite a few great resources out there from which to learn by doing simple searches. However, if you don&#8217;t know how to produce specific matches within a greater expression, simply enclose a section of your regex with parentheses. Each parentheses will correlate incrementally with the dollar values in the replacement template.</p>\n<p>Here&#8217;s the regex I used to parse the earthquake data. This has ten specific value matches using &#8216;(.+)&#8217;. You will notice the matching expressions are nested within single quotes, the delimiters identified in the first step.</p>\n<p><code></p><pre class=\"crayon-plain-tag\">\\nearthquakes.+\\{\\};\\n.+\'(.+)\';\\n.+\'(.+)\';\\n.+\'(.+)\';\\n.+\'(.+)\';\\n.+\'(.+)\';\\n.+\'(.+)\';\\n.+\'(.+)\';\\n.+\'(.+)\';\\n.+\'(.+)\';\\n.+\'(.+)\';</pre><p></code></p>\n<p>Though this is messy and could be optimized a number of ways, it doesn&#8217;t matter. As long as it works, it&#8217;s fine since we&#8217;re not sending this regex to any sort of production code. I could easily match these values with a substantially shorter expression, but most text editors aren&#8217;t smart enough to identify complex matches. Hence, there are duplicate expressions for each value. </p>\n<p>This regex produces a match for each record of data and nested matches for our parenthetical expressions.<br />\n<a href=\"http://upthemes.com/wp-content/uploads/2012/12/regex-tutorial.png\"><img src=\"http://upthemes.com/wp-content/uploads/2012/12/regex-tutorial-640x393.png\" alt=\"\" class=\"alignnone size-large wp-image-2827\" /></a></p>\n<h2>Replace All</h2>\n<p>Once the data records have been properly matched, it&#8217;s time to replace each record with the template we created. I suggest clicking the replace field and selecting all to clear out any hidden multiple lines. Paste in the template. You will only see the last line, but don&#8217;t worry, it&#8217;s there. Hit Replace to replace one record and QA the result. Once everything looks good, hit Replace All and take five. You deserve a break.</p>\n<p><iframe width=\"500\" height=\"281\" src=\"http://www.youtube.com/embed/tcEdLsh3FQM?feature=oembed\" frameborder=\"0\" allowfullscreen></iframe></p>\n<p>Once I have all of the data formatted in PHP, I can build out a foreach loop that will insert the data into WordPress. This typically resides in a plugin that is only triggered by an obscure query string and disabled after the migration is completed.</p>\n<h2>Try It Yourself</h2>\n<p>In conclusion, it&#8217;s a good practice to save the regex, replacement template, and values legend in a separate file so you don&#8217;t have to redo all of this work later if you find a mistake. If you&#8217;re a bit shaky with regular expressions, head over to <a href=\"http://regexpal.com/\">regexpal</a> or <a href=\"http://refiddle.com/\">regex fiddle</a> and test your regex skills on-the-fly.</p>\n<p><strong>Downloads</strong></p>\n<ul>\n<li><a href=\'http://upthemes.com/wp-content/uploads/2012/12/earthquakes-find-replace.txt\'>Find/Replace Information</a></li>\n<li><a href=\'http://upthemes.com/wp-content/uploads/2012/12/earthquakes.js\'>Earthquakes Data</a></li>\n</ul>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Formatting Large Sets of Migration Data with RegEx Matches\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2012/12/formatting-large-sets-of-data-with-regex-matches/\">Formatting Large Sets of Migration Data with RegEx Matches</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://upthemes.com/blog/2012/12/formatting-large-sets-of-data-with-regex-matches/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Easy, conditional JavaScript for WordPress admin pages\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://upthemes.com/blog/2012/12/easy-conditional-javascript-for-wordpress-admin-pages/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"http://upthemes.com/blog/2012/12/easy-conditional-javascript-for-wordpress-admin-pages/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Dec 2012 15:00:10 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Code Examples\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=2728\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:613:\"<p>There are many ways to load conditional JavaScript for WordPress admin pages. When your plugin needs to run JavaScript on multiple admin pages, code can get messy and complicated very quickly. Here are a few examples of how to queue up scripts for different screens for a post type called &#8216;foo&#8217;. Server-side Conditional Examples admin_print_scripts-$hook [...]</p><p>The post <a href=\"http://upthemes.com/blog/2012/12/easy-conditional-javascript-for-wordpress-admin-pages/\">Easy, conditional JavaScript for WordPress admin pages</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Brian Fegter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5239:\"<p>There are many ways to load conditional JavaScript for WordPress admin pages. When your plugin needs to run JavaScript on multiple admin pages, code can get messy and complicated very quickly. Here are a few examples of how to queue up scripts for different screens for a post type called &#8216;foo&#8217;.</p>\n<h2><span id=\"more-2728\"></span>Server-side Conditional Examples</h2>\n<h3>admin_print_scripts-$hook</h3>\n<p>This granular action saves a step when loading only on a specific page as it&#8217;s baked right into the action name itself.</p>\n<p>&nbsp;</p><pre class=\"crayon-plain-tag\"><code> //Add a script for the posts edit screen add_action(\'admin_print_scripts-edit.php\', \'queue_foo_edit\'); function queue_foo_edit(){ //Check for post type \'foo\' if(\'foo\' === get_query_var(\'post_type\')){ //wp_enqueue_script... } } //Add a script for the single post edit screen add_action(\'admin_print_scripts-post.php\', \'queue_foo\'); //Don\'t forget new posts! add_action(\'admin_print_scripts-post-new.php\', \'queue_foo\'); function queue_foo(){ global $post; //Check for \'foo\' post type if(\'foo\' === $post-&gt;post_type){ //wp_enqueue_script... } } </code></pre><p>&nbsp;</p>\n<p><code></code></p>\n<p>-or-</p>\n<h3>admin_enqueue_scripts</h3>\n<p>With this action, we have to conditionally check the $hook variable within the callback. This just adds unnecessary lines to the codebase.</p>\n<p>&nbsp;</p><pre class=\"crayon-plain-tag\"><code> //Add a script for the posts edit screen add_action(\'admin_enqueue_scripts\', \'queue_foo_edit_1\'); function queue_foo_edit_1($hook){ //Bail out if we\'re not on the edit screen if(\'edit.php\' !== $hook) return; //Check for post type \'foo\' if(\'foo\' === get_query_var(\'post_type\')){ //wp_enqueue_script... } } //Add a script for the single post edit screen add_action(\'admin_enqueue_scripts\', \'queue_foo_1\'); function queue_foo_1($hook){ global $post; //Bail out if this is not a single post edit page if(\'post.php\' !== $hook || \'post-new.php\' !== $hook) return; //Check for \'foo\' post type if(\'foo\' === $post-&gt;post_type){ //wp_enqueue_script... } } </code></pre><p>&nbsp;</p>\n<p>&nbsp;</p>\n<p>&nbsp;</p>\n<p>You can see how a complex plugin can bloom into a large abstraction of JavaScript files for different admin pages and post type edit screens. Using server-side loading and abstraction of JS files is an accepted practice and some might call it a best practice. However, I prefer to use client-side conditionals.</p>\n<h2>Client-side Conditional Example</h2>\n<p>I typically enqueue only one custom admin Javascript file to save on HTTP requests.</p>\n<p>This is clean server-side code and doesn&#8217;t send future developers searching down a rabbit hole.<br />\n<code> </code></p><pre class=\"crayon-plain-tag\"><code>add_action(\'admin_enqueue_scripts\', \'queue_my_admin\'); function queue_my_admin(){ //wp_enqueue_script... } </code></pre><p>&nbsp;</p>\n<p>&nbsp;</p>\n<h3>WordPress Contextual Variables</h3>\n<p>WordPress has done some heavy lifting in wp-admin by defining contextual JavaScript variables. We can use these to conditionally run code client-side. Here is a list of what&#8217;s available client-side:</p>\n<ul>\n<li><code>pagenow</code> &#8211; nice context name with post type included &#8211; <em>(Example: edit-foo)</em></li>\n<li><code>adminpage</code> &#8211; literal file context <em>(Example: edit-php)</em></li>\n<li><code>typenow</code> &#8211; current post type</li>\n</ul>\n<h3>jQuery Example</h3>\n<p>Here&#8217;s a sample using jQuery to run JavaScript only where it&#8217;s needed within the admin panel.</p>\n<p>&nbsp;</p><pre class=\"crayon-plain-tag\"><code>jQuery(document).ready(function($){ //Isolate everything related to the \'foo\' post type if(\'foo\' === typenow){ //Single post edit screen if(\'foo\' === pagenow){ //Do something } //All posts edit screen if(\'edit-foo\' === pagenow){ //Do something } } //Isolate settings page else if(\'settings_page_foo_settings\' === adminpage){ //Do something } }); </code></pre><p>&nbsp;</p>\n<p>&nbsp;</p>\n<p>&nbsp;</p>\n<p>This method allows me to focus on the client-side code rather than worry about which file is loaded where on the back-end. It also reduces the complexity of the enqueue|print_scripts actions.</p>\n<h3>Caveat</h3>\n<p>I do realize some plugins/themes rely heavily on JavaScript and need to have quality abstraction. I use the above method only when it reduces complexity. If abstraction reduces complexity, then I will go that route.</p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Easy, conditional JavaScript for WordPress admin pages\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2012/12/easy-conditional-javascript-for-wordpress-admin-pages/\">Easy, conditional JavaScript for WordPress admin pages</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"http://upthemes.com/blog/2012/12/easy-conditional-javascript-for-wordpress-admin-pages/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"Black Friday Deal: 50% Off All Themes on Creative Market\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://upthemes.com/blog/2012/11/black-friday-deal-50-off-our-unreleased-yumblog-theme/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"http://upthemes.com/blog/2012/11/black-friday-deal-50-off-our-unreleased-yumblog-theme/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 23 Nov 2012 02:52:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Blogger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=2675\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:573:\"<p>For today only, get a huge 50% discount on any of our individual themes listed on Creative Market. Every theme is available at an amazing price of just $19 per theme. In addition, for Black Friday, we&#8217;ve released a brand new theme called Yumblog &#8211; a totally rad responsive food blogging theme. If you or someone [...]</p><p>The post <a href=\"http://upthemes.com/blog/2012/11/black-friday-deal-50-off-our-unreleased-yumblog-theme/\">Black Friday Deal: 50% Off All Themes on Creative Market</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Chris Wallace\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2000:\"<p>For today only, get a huge 50% discount on any of our individual themes listed on <a title=\"Creative Market\" href=\"https://creativemarket.com/upthemes\">Creative Market</a>. Every theme is available at an amazing price of <strong>just $19 per theme</strong>.</p>\n<p><a href=\"http://upthemes.com/wp-content/uploads/2012/11/Screen-Shot-2012-11-22-at-11.34.02-AM.png\"><img class=\"aligncenter size-large wp-image-2683\" title=\"Yumblog Theme\" src=\"http://upthemes.com/wp-content/uploads/2012/11/Screen-Shot-2012-11-22-at-11.34.02-AM-640x395.png\" alt=\"\" width=\"640\" height=\"395\" /></a></p>\n<p>In addition,<strong> for Black Friday</strong>, we&#8217;ve released a brand new theme called <a title=\"Yumblog\" href=\"http://upthemes.com/themes/yumblog-theme/\">Yumblog</a> &#8211; a totally rad responsive food blogging theme. If you or someone you know needs a way to share recipes, this theme is perfect in every way. Buy this theme now and gift it to a friend, use it for a customer, or give it to your mom. This theme is an excellent way to share recipes.</p>\n<p style=\"text-align: center;\"><strong><a title=\"UpThemes\" href=\"https://creativemarket.com/upthemes\">View All Themes on Creative Market</a></strong></p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Black Friday Deal: 50% Off All Themes on Creative Market\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2012/11/black-friday-deal-50-off-our-unreleased-yumblog-theme/\">Black Friday Deal: 50% Off All Themes on Creative Market</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"http://upthemes.com/blog/2012/11/black-friday-deal-50-off-our-unreleased-yumblog-theme/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"Say Hello To Our Newest Team Member\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"http://upthemes.com/blog/2012/11/our-newest-team-member-matt-riopelle/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"http://upthemes.com/blog/2012/11/our-newest-team-member-matt-riopelle/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 06 Nov 2012 01:06:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"News & Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=2568\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:520:\"<p>Today is the first day for our newest team member, Matt Riopelle. Matt comes to us with over 10 years experience in sales, project management, user strategy and marketing. We are extremely excited to have him join our small team of (now) 7 as our Product Advocate. His role will be to analyze everything about [...]</p><p>The post <a href=\"http://upthemes.com/blog/2012/11/our-newest-team-member-matt-riopelle/\">Say Hello To Our Newest Team Member</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Chris Wallace\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2719:\"<div id=\"attachment_2570\" class=\"wp-caption aligncenter\" style=\"width: 514px\"><a href=\"http://upthemes.com/wp-content/uploads/2012/11/Matt-in-the-dirt.png\"><img src=\"http://upthemes.com/wp-content/uploads/2012/11/Matt-in-the-dirt.png\" alt=\"\" title=\"Matt Riopelle\" width=\"504\" height=\"690\" class=\"size-full wp-image-2570\" /></a><p class=\"wp-caption-text\">Such a beefcake!</p></div>\n<p>Today is the first day for our newest team member, Matt Riopelle. Matt comes to us with over 10 years experience in sales, project management, user strategy and marketing. We are extremely excited to have him join our small team of (now) 7 as our Product Advocate. His role will be to analyze everything about UpThemes and constantly improve customer relations and overall product quality. Matt will be spending this week getting to know our products, customers, and affiliates so make sure to reach out to him and welcome him to the team!</p>\n<p>Got any questions for Matt? Hit him up on twitter! He can be found manning the <a href=\"http://twitter.com/upthemes\" title=\"UpThemes on Twitter\">@upthemes</a> twitter account or at <a href=\"http://twitter.com/mattriopelle\" title=\"Matt Riopelle on Twitter\">@mattriopelle</a>.</p>\n<p><a href=\"https://twitter.com/intent/tweet?screen_name=upthemes\" class=\"twitter-mention-button\" data-related=\"upthemes\">Tweet to @upthemes</a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=\"//platform.twitter.com/widgets.js\";fjs.parentNode.insertBefore(js,fjs);}}(document,\"script\",\"twitter-wjs\");</script> &nbsp; <a href=\"https://twitter.com/intent/tweet?screen_name=mattriopelle\" class=\"twitter-mention-button\">Tweet to @mattriopelle</a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=\"//platform.twitter.com/widgets.js\";fjs.parentNode.insertBefore(js,fjs);}}(document,\"script\",\"twitter-wjs\");</script></p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Say Hello To Our Newest Team Member\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2012/11/our-newest-team-member-matt-riopelle/\">Say Hello To Our Newest Team Member</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"http://upthemes.com/blog/2012/11/our-newest-team-member-matt-riopelle/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:51:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"Online Tools for Editing and Improving Your Photos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"http://upthemes.com/blog/2012/10/online-tools-editing-improving-your-photos/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"http://upthemes.com/blog/2012/10/online-tools-editing-improving-your-photos/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 22 Oct 2012 15:32:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:11:\"Photography\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"editing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"photography\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:5:\"tools\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"http://upthemes.com/?p=2277\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:573:\"<p>Photography is an art form that grew exponentially over the past decade. Like other arts, there are some basic lessons. Learning those basics and practicing them can dramatically improve your photographs. Have you ever looked at a stunning photo and wished you could take one like that? Wondered why even everyday objects look spectacular on [...]</p><p>The post <a href=\"http://upthemes.com/blog/2012/10/online-tools-editing-improving-your-photos/\">Online Tools for Editing and Improving Your Photos</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Siobhan\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11096:\"<p>Photography is an art form that grew exponentially over the past decade. Like other arts, there are some basic lessons. Learning those basics and practicing them can dramatically improve your photographs.</p>\n<p>Have you ever looked at a stunning photo and wished you could take one like that? Wondered why even everyday objects look spectacular on some photographs? They probably got their basics right. The route to being a good photographer is to know the technique and then shoot photos using those techniques. Lots of them.</p>\n<p><span id=\"more-2277\"></span></p>\n<p>Let’s get you equipped with all that you would ever need to create great photographs. Of course, you do need a camera and a willingness to try and improve your skills, but just the fact that you are reading this means that you probably have the latter taken care of!</p>\n<h2>Photography 101</h2>\n<p>The Internet is a great resource to learn about the science of Photography. You can meet amazing photographers on <a href=\"http://www.flickr.com/explore/\">Flickr</a> or <a href=\"http://500px.com/editors\">500px</a>, where you can learn and get inspired by their work. You could even get in touch with them and ask for suggestions and feedback on your shots.<br />\nThere are many amazing blogs where photographers share their knowledge and their work. Let’s take a look at a few of them from.</p>\n<h3 style=\"text-align: center;\"><a href=\"http://digital-photography-school.com/\">Digital Photography School</a></h3>\n<p><img class=\"alignnone size-full wp-image-2280 aligncenter\" title=\"dps\" src=\"http://upthemes.com/wp-content/uploads/2012/06/dps.png\" alt=\"a screenshot of digital photography school\" width=\"560\" height=\"330\" /></p>\n<p>Digital Photography School or DPS can be your perfect elementary school in photography. Authored chiefly by &#8216;ProBlogger&#8217; Darren Rowse, DPS has a huge collection of articles for all sorts of Photographers. DPS also features professional photographers who share their findings during their recent projects.</p>\n<p>The <a href=\"http://digital-photography-school.com/forum/critique/\"><em>Critique My Shot</em></a> forum on DPS, is an attraction for newbie and amateur photographers. You can post your pictures and have them reviewed by other photographers and improve upon their suggestions. Challenge yourself by taking part in a DPS weekly assignment and see how you stack up against other photographers in the community!</p>\n<h3 style=\"text-align: center;\"><a href=\"http://www.picturecorrect.com/\">PictureCorrect</a></h3>\n<p><img class=\"alignnone size-full wp-image-2279 aligncenter\" title=\"picturecorrect\" src=\"http://upthemes.com/wp-content/uploads/2012/06/picturecorrect.png\" alt=\"a screenshot of picturecorrect\" width=\"560\" height=\"330\" /></p>\n<p>Richard Schneider launched PictureCorrect in 2003 as a photo editing service, but soon converted it into a blog for sharing photography tips. Today, PictureCorrect has grown into a huge photography resource with many professional photographers sharing their insights and tips that you can make use of.</p>\n<p>PictureCorrect also has a social network for photographers &#8211; <a href=\"http://www.picturesocial.com/\">PictureSocial</a>. You can join in for free and connect with other photography enthusiasts and share your work. There is no better way to learn than to have your work critiqued by other photographers.</p>\n<h3 style=\"text-align: center;\"><a href=\"http://www.advancedphotography.net/\">Advanced Photography</a></h3>\n<p><img class=\"alignnone size-full wp-image-2278 aligncenter\" title=\"apn\" src=\"http://upthemes.com/wp-content/uploads/2012/06/apn.png\" alt=\"a screenshot of advanced photography net\" width=\"560\" height=\"330\" /></p>\n<p>Even though the name says &#8216;Advanced&#8217;, Advanced Photography or APN (N comes from the .net in the domain name), has a huge collection of tutorials that cater to all sorts of photographers; beginners, hobbyists and professionals. The author Shivanand Sharma, a serious hobby photographer, runs the blog with help from other contributors as well.</p>\n<h2>Tools of the Trade</h2>\n<p>When photos were taken using traditional film cameras, the films or negatives were sent to color labs for post-processing. The lab technicians adjusted the color and saturation of the photos so that they looked great once printed. Post-processing is inevitable for digital photography as well.</p>\n<p>Modern day digital cameras have amazing software built into the camera hardware, so that the picture looks great right out of the camera. However, this might not give you the result you had in mind. That means it’s time to process your images in an image editing software. Some cameras ship with post processing software on a CD; if your camera came with one, install it and learn to use it. Quite often, it is the post-processing that makes a picture sensational.</p>\n<p>Photoshop and Lightroom are the most popular choices for professional photographers when it comes to post-processing. Unless you have deep pockets, purchasing one of these might burn a hole in your pants.</p>\n<p>Lucky for us, there are many free photo-editing tools on the Internet. Lets take a look at a few of them here.</p>\n<h3 style=\"text-align: center;\"><a href=\"http://www.befunky.com/\">BeFunky</a></h3>\n<p><img class=\"alignnone size-full wp-image-2285 aligncenter\" title=\"befunky\" src=\"http://upthemes.com/wp-content/uploads/2012/06/befunky.png\" alt=\"a screenshot of befunky\" width=\"560\" height=\"330\" /></p>\n<p>&nbsp;</p>\n<p>BeFunky is a popular photo editing application that runs in your browser. It’s free to use and you do not have to go through the pain of creating an account! With BeFunky, you can do whole lot of editing like adjusting the hue and saturation, control exposure and lots more. And when you feel creative enough, you can apply special effects and some cute graphics. BeFunky also has iPhone and Android Apps, which you can download to your phone and edit the photos on your mobile.</p>\n<h3 style=\"text-align: center;\"><a href=\"http://vintagejs.com/\">VintageJS</a></h3>\n<p><img class=\"alignnone size-full wp-image-2284 aligncenter\" title=\"vintagejs\" src=\"http://upthemes.com/wp-content/uploads/2012/06/vintagejs.png\" alt=\"a screenshot of vintagejs\" width=\"560\" height=\"330\" /></p>\n<p>VintageJS does only one thing, it adds a retro-look to your photos. And it does it well. Similar to BeFunky, VintageJS works in your browser and doesn&#8217;t require you to create an account. Once you upload an image you can move some sliders and decide how old you want to make your picture look. The &#8216;Through The Viewfinder&#8217; switch adds the black grungy border to your picture making it look as if it was shot with a heavy vintage camera.</p>\n<h3 style=\"text-align: center;\"><a href=\"http://www.picmonkey.com/\">PicMonkey</a></h3>\n<p><img class=\"alignnone size-full wp-image-2283 aligncenter\" title=\"picmonkey\" src=\"http://upthemes.com/wp-content/uploads/2012/06/picmonkey.png\" alt=\"a screenshot of picmonkey\" width=\"560\" height=\"330\" /></p>\n<p>If you loved the editors discussed so far, then PicMonkey will blow your mind. To start with, the website itself is beautifully crafted and is a visual treat. At PicMonkey, you can either edit individual photos, or put them together into beautiful collages. The photo editor comes with a whole set of basic editing tools and filters. You can add text, graphic overlays and borders, all with a few clicks.<br />\nAn interesting section of PicMoney is its touch up tools. Want a picture that makes you look younger for your Facebook page? Now you know the secret! Talking about Facebook, the collage maker in PicMonkey has layouts for creating Facebook cover images too!</p>\n<h3 style=\"text-align: center;\"><a href=\"http://photofunia.com/\">PhotoFunia</a></h3>\n<p><img class=\"alignnone size-full wp-image-2282 aligncenter\" title=\"photofunia\" src=\"http://upthemes.com/wp-content/uploads/2012/06/photofunia.png\" alt=\"a screenshot of photofunia\" width=\"560\" height=\"330\" /></p>\n<p>If you ever wanted to be popular, this is your chance. PhotoFunia can get your photo printed on a huge billboard! Well, at least in a photo. This online tool comes with a huge collection of filters and creative effects for your photographs. You can convert your photos to sketches, appear to be painted on busy streets and huge advertising boards, and even show up as Mona Lisa. Try editing pictures with friends and you could end up having loads of fun!</p>\n<h3 style=\"text-align: center;\"><a href=\"http://pixlr.com/\">Pixlr</a> and <a href=\"http://pixlr.com/o-matic/\">Pixlr-o-matic</a></h3>\n<p><img class=\"alignnone size-full wp-image-2281 aligncenter\" title=\"pixlr\" src=\"http://upthemes.com/wp-content/uploads/2012/06/pixlr.png\" alt=\"a screenshot of pixlr o matic\" width=\"560\" height=\"330\" /></p>\n<p>Pixlr is more like Photoshop on your browser. Once you figure out how to handle the tools Pixlr has to offer, you have amazing artistic power in your hands. Pixlr, like Photoshop, supports layer based editing and even stores an editing history so that you can switch back to an earlier point in time. Unlike other tools, Pixlr takes some getting used to, but you have fine tuned control over the result. Or you can simply use Pixlr Express and go the easy route.</p>\n<p>Another fun offering from Pixlr is Pixlr-o-matic. Like some other tools mentioned here, Pixlr-o-matic has lots of interesting vintage and retro filters and useful effects. The images appear to be washed and cut in a darkroom, mimicking the development of traditional photographic film.</p>\n<p>Both Pixlr and Pixlr-o-matic provide desktop and mobile applications and browser extensions, all available for free download!</p>\n<h2>Let’s get started?</h2>\n<p>You have your camera and now you have to tools. Something’s missing, don&#8217;t you think? The photos! All of these will not make you a good photographer unless you shoot pictures, so get out there and start clicking. And do not forget to share your favorite shots with us. Happy snapping!</p>\n<p><em>We just recently launched the <a title=\"Photolia\" href=\"http://upthemes.com/themes/photolia/\">Photolia theme</a>, a WordPress theme that allows photographers to showcase their portfolio beautifully in a blog-style layout with awesome custom photo grids. </em></p>\n<div class=\"soma-buttons soma-alignleft-clear soma-valignbottom soma-horizontal\">\n  <a href=\"https://twitter.com/share\" class=\"twitter-share-button\" data-url=\"\" data-text=\"Online Tools for Editing and Improving Your Photos\" data-via=\"\" data-size=\"\" data-related=\"\" data-hashtags=\"\" data-count=\"horizontal\" data-counturl=\"\">Tweet</a>\n<g:plusone size=\"medium\" annotation=\"bubble\" href=\"\"></g:plusone>\n<div class=\"fb-like\" data-href=\"\" data-send=\"false\" data-layout=\"button_count\" data-width=\"50\" data-show-faces=\"false\" data-font=\"arial\"></div>\n</div>\n<p>The post <a href=\"http://upthemes.com/blog/2012/10/online-tools-editing-improving-your-photos/\">Online Tools for Editing and Improving Your Photos</a> appeared first on <a href=\"http://upthemes.com\">UpThemes</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"http://upthemes.com/blog/2012/10/online-tools-editing-improving-your-photos/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:25:\"http://upthemes.com/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:12:{s:6:\"server\";s:11:\"nginx/1.2.0\";s:4:\"date\";s:29:\"Fri, 14 Jun 2013 18:41:17 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:12:\"x-powered-by\";s:31:\"PHP/5.3.2-1ubuntu4.7ppa5~lucid1\";s:10:\"set-cookie\";s:44:\"PHPSESSID=sjgm1mum9b7usrmaji9uvsj037; path=/\";s:7:\"expires\";s:29:\"Thu, 19 Nov 1981 08:52:00 GMT\";s:13:\"cache-control\";s:62:\"no-store, no-cache, must-revalidate, post-check=0, pre-check=0\";s:6:\"pragma\";s:8:\"no-cache\";s:10:\"x-pingback\";s:33:\"http://upthemes.com/wp/xmlrpc.php\";s:13:\"last-modified\";s:29:\"Thu, 30 May 2013 15:52:26 GMT\";s:12:\"x-robots-tag\";s:14:\"noindex,follow\";}s:5:\"build\";s:14:\"20130614183844\";}", "no");
INSERT INTO `wp_options` VALUES("420", "duplicator_options", "s:217:\"a:9:{s:6:\"dbhost\";s:9:\"localhost\";s:6:\"dbname\";s:0:\"\";s:6:\"dbuser\";s:0:\"\";s:7:\"url_new\";s:0:\"\";s:8:\"email-me\";s:1:\"0\";s:12:\"email_others\";s:0:\"\";s:10:\"dir_bypass\";s:0:\"\";s:9:\"log_level\";s:1:\"0\";s:8:\"skip_ext\";s:0:\"\";}\";", "yes");
INSERT INTO `wp_options` VALUES("428", "rewrite_rules", "a:68:{s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:29:\"comments/page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)(/[0-9]+)?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:20:\"([^/]+)(/[0-9]+)?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("475", "_site_transient_update_plugins", "O:8:\"stdClass\":3:{s:12:\"last_checked\";i:1371235438;s:7:\"checked\";a:5:{s:19:\"akismet/akismet.php\";s:5:\"2.5.7\";s:39:\"associate_goliath/associate_goliath.php\";s:3:\"4.1\";s:25:\"duplicator/duplicator.php\";s:5:\"0.4.4\";s:25:\"extendazon/extendazon.php\";s:5:\"1.0.6\";s:9:\"hello.php\";s:3:\"1.6\";}s:8:\"response\";a:0:{}}", "yes");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("4", "5", "_wp_page_template", "amazon-policy.php");
INSERT INTO `wp_postmeta` VALUES("3552", "501", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00D6LHFSU\";}");
INSERT INTO `wp_postmeta` VALUES("3553", "501", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("3554", "501", "asg_last_refresh_attempt", "1371238612");
INSERT INTO `wp_postmeta` VALUES("3555", "501", "asg_update_timestamp", "1371238612");
INSERT INTO `wp_postmeta` VALUES("3556", "502", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3557", "502", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3558", "502", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3559", "502", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3560", "502", "asg_item_id", "B003171GDY");
INSERT INTO `wp_postmeta` VALUES("3561", "502", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003171GDY\";s:13:\"DetailPageURL\";s:220:\"http://www.amazon.com/Portable-Electric-Pump-Rechargeable-Inflatable/dp/B003171GDY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003171GDY\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:230:\"http://www.amazon.com/Portable-Electric-Pump-Rechargeable-Inflatable/dp/tech-data/B003171GDY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003171GDY\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003171GDY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003171GDY\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003171GDY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003171GDY\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003171GDY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003171GDY\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003171GDY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003171GDY\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003171GDY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003171GDY\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003171GDY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003171GDY\";}}}s:9:\"SalesRank\";s:6:\"142594\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:9:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51idxt0aYtL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/5108zSZeGhL._SL30_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/5108zSZeGhL._SL75_.jpg\";s:6:\"Height\";s:2:\"70\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/5108zSZeGhL._SL75_.jpg\";s:6:\"Height\";s:2:\"70\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/5108zSZeGhL._SL110_.jpg\";s:6:\"Height\";s:3:\"102\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/5108zSZeGhL._SL160_.jpg\";s:6:\"Height\";s:3:\"148\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/5108zSZeGhL.jpg\";s:6:\"Height\";s:3:\"464\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51P26fNGjjL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51P26fNGjjL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51P26fNGjjL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51P26fNGjjL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51P26fNGjjL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51P26fNGjjL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61Te-WaEF7L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"23\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61Te-WaEF7L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"58\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61Te-WaEF7L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"58\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/61Te-WaEF7L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"85\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/61Te-WaEF7L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"124\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/61Te-WaEF7L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"386\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51%2B0980Cj-L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"23\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51%2B0980Cj-L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"57\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51%2B0980Cj-L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"57\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51%2B0980Cj-L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"83\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51%2B0980Cj-L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"121\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/51%2B0980Cj-L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"379\";}}i:5;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Xsh8ZdugL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"25\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Xsh8ZdugL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"63\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Xsh8ZdugL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"63\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51Xsh8ZdugL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"92\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51Xsh8ZdugL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"134\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51Xsh8ZdugL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"418\";}}i:6;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51zwW5K8ohL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"24\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51zwW5K8ohL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"59\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51zwW5K8ohL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"59\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51zwW5K8ohL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"87\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51zwW5K8ohL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"126\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51zwW5K8ohL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"394\";}}i:7;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51AWEMH1uuL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"24\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51AWEMH1uuL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"60\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51AWEMH1uuL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"60\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51AWEMH1uuL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"88\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51AWEMH1uuL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"127\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51AWEMH1uuL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"398\";}}i:8;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qJb3ALPQL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"24\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qJb3ALPQL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"60\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qJb3ALPQL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"60\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qJb3ALPQL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"88\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qJb3ALPQL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"129\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51qJb3ALPQL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"402\";}}}}s:14:\"ItemAttributes\";a:19:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:6:\"SEAMAX\";s:3:\"EAN\";s:13:\"6935239520149\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"6935239520149\";}s:7:\"Feature\";a:5:{i:0;s:114:\"High volume stage: Max inlet air: 500L/ Min by turbo fan. High pressure stage: Dual cylinders by motor max 11 PSI.\";i:1;s:120:\"Built in 7AH sealed Lead-Acid battery, Free 10ft extension power jumping cord for emergent using with extension battery.\";i:2;s:119:\"Large working range: 0.2 PSI to 11 PSI; Chamber\'s pressure setting increments: Per 1 KPA (per 0.15PSI). . 6ft air hose.\";i:3;s:112:\"Real time pressure reading and dual pressure LCD display, Auto switch from Air Fan to Air Cylinder by 7Kpa/1 PSI\";i:4;s:189:\"LCD back light for night time operation; Support intake & outtake (inflate & deflate) dual actions. Free carrying bag. This Model Was Sold Out !   Order now, We will Ship out on May 8, 2013\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:3:\"800\";s:6:\"Weight\";s:4:\"1300\";s:5:\"Width\";s:4:\"1500\";}s:5:\"Label\";s:23:\"Seamax Marine & Outdoor\";s:12:\"Manufacturer\";s:23:\"Seamax Marine & Outdoor\";s:5:\"Model\";s:29:\"Seamax Electronic Pump / 80DB\";s:3:\"MPN\";s:4:\"80DB\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:4:\"1500\";s:6:\"Weight\";s:4:\"1400\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:4:\"80DB\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:23:\"Seamax Marine & Outdoor\";s:3:\"SKU\";s:12:\"YLS2SM360G03\";s:6:\"Studio\";s:23:\"Seamax Marine & Outdoor\";s:5:\"Title\";s:227:\"Portable 12V Electric Air Pump Built in 7AH Rechargeable Battery for Inflatable Boat, Digital Control Double Stage: High Volume Fan & High Pressure Cylinder, Achilles Zodiac Mercury Compatible, Free HR Valve Adaptor & Carry Bag\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"16800\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$168.00\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003171GDY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003171GDY\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:30:\"Seamax Marine Inflatable Boats\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:162:\"MjDyt%2BXmTiTPOejWMRh7V0GlAQY9ORnTmP7rpUVNHIdl79Yg5oACQruTxcq1be0JjgjoME3oh385C0FWBA4rTmmJnmEdDe1Keu046cX4IALyywRqCW0%2FSxC1sxN%2B03ELZq69Rq7qfykWMIPqVlsPOg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"16800\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$168.00\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003171GDY&atag=freetos-20&exp=2013-06-15T19%3A36%3A52Z&v=2&sig=V9tJOEQ5OLZ5ay1n1fsxOUv7A63mFHGKeKapERipU9Q%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1922:\"<b> Three Buttons Inflation Operating Instuctions</b><p>\n1. Choose the proper fitting for the air valve of your inflatable product. Put the valve at the inflation position. Attach the correct valve adaptor to the inflation hose that comes with your pump. Attach the other end to the pump (smooth round outlet on the pump)<p>\n2. Connect the 80D pump\'s terminals to the battery paying close attention to the polarity & properly connected. If you have the model with the built-in battery (80DB / 80DB-Li), please make sure the battery has been charged. Fully charged battery should last 30 minutes or more with regular use. <p>\n3. Turn on the POWER switch and enter the maximum desired pressure by using the two set pressure (UP / DOWN) buttons, the set pressure will be shown on the right hand side of LCD screen. The pump only provides Mode KPa as its pressure display. Factory default working pressure is set as 25KPa (3.6 PSI).This pressure is suitable for all chambers of most inflatable boats (10KPa = 100mbr = 1.45 PSI)<p>\n4. Press the POWER button to start. During inflation, the left hand side of LCD screen should show the pressure that the inflator has reached. As soon as the entered pressure has been reached, the inflator turns off automatically.  And the inflator can be turned off at any time by pressing the POWER button again. Take off the air hose from the chamber once the pump stops pumping. It is possible to stop the inflator at any time by pressing the (OFF) switch.<p>\n5. The inflator operates in two stages which can be identified by the noise of the turbine at the beginning followed by the piston. The inflator switches from turbine to piston automatically.  If the chamber pressure is over 7KPa / 1 PSI, the pump will start the 2nd stage only. If the set pressure is lower than the chamber\'s pressure, the pump won\'t turn on.<p>\n<b>Visit Seamax website for Electric Pump Full Instructions.</b><p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3413", "488", "asg_last_refresh_attempt", "1371238585");
INSERT INTO `wp_postmeta` VALUES("3414", "488", "asg_update_timestamp", "1371238585");
INSERT INTO `wp_postmeta` VALUES("3415", "489", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3416", "489", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3417", "489", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3418", "489", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3419", "489", "asg_item_id", "B004Y3B2AQ");
INSERT INTO `wp_postmeta` VALUES("3420", "489", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004Y3B2AQ\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/INTEX-Excursion-Inflatable-River-Lake/dp/B004Y3B2AQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004Y3B2AQ\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/INTEX-Excursion-Inflatable-River-Lake/dp/tech-data/B004Y3B2AQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004Y3B2AQ\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004Y3B2AQ%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004Y3B2AQ\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004Y3B2AQ%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004Y3B2AQ\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004Y3B2AQ%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004Y3B2AQ\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004Y3B2AQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004Y3B2AQ\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004Y3B2AQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004Y3B2AQ\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004Y3B2AQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004Y3B2AQ\";}}}s:9:\"SalesRank\";s:5:\"60069\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL160_.jpg\";s:6:\"Height\";s:2:\"98\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L.jpg\";s:6:\"Height\";s:3:\"306\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL110_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL160_.jpg\";s:6:\"Height\";s:2:\"98\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L.jpg\";s:6:\"Height\";s:3:\"306\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL110_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL160_.jpg\";s:6:\"Height\";s:3:\"109\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/518muKcADRL.jpg\";s:6:\"Height\";s:3:\"340\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL30_.jpg\";s:6:\"Height\";s:2:\"15\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL75_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL75_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL110_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL160_.jpg\";s:6:\"Height\";s:2:\"82\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL.jpg\";s:6:\"Height\";s:3:\"257\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:7:{s:7:\"Binding\";s:6:\"Sports\";s:7:\"Feature\";a:5:{i:0;s:33:\"Inflated Dimensions: 124\"x65\"x17\"\";i:1;s:40:\"Two oars and inflation pump are included\";i:2;s:80:\"Three air chambers including an auxiliary air chamber in hull for extra buoyancy\";i:3;s:67:\"Boston valve on two main hull chambers for quick-fill, fast-deflate\";i:4;s:43:\"Rugged 30 gauge (0.75mm) vinyl construction\";}s:15:\"PackageQuantity\";s:1:\"1\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:11:\"ABIS_SPORTS\";s:3:\"SKU\";s:22:\"AZDH-68324E-B004Y3B2AQ\";s:5:\"Title\";s:52:\"NEW INTEX Excursion 4 Inflatable River/Lake Raft Set\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"11995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$119.95\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004Y3B2AQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004Y3B2AQ\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"VMInnovations\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:164:\"cPzNd7rcMeVs2HbImzCNQ5kDrCnXkF5mpdEr6QuF4pj2kZDE5tYTTPofVXfJyuKsj321emGM7o5KXLsxE8iIBBRM6qgJZRq5bwiqpCKlMQj9NwVOqdQch6iN1EKk%2Ba%2Bt4OxMyL6csMJumkHqzQbjQNYTeEf6VHX6\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$119.95\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004Y3B2AQ&atag=freetos-20&exp=2013-06-15T19%3A36%3A25Z&v=2&sig=oGTwItUrvfAKYIDdq%2BxdquM8MYgkXIJ4QYMVjxI%2B9%2BU%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:525:\"Two oars and inflation pump are included\nInflated Dimensions: 124\"x65\"x17\"\nThree air chambers including an auxiliary air chamber in hull for extra buoyancy\nBoston valve on two main hull chambers for quick-fill, fast-deflate\nRugged 30 gauge (0.75mm) vinyl construction\nAll-around grab line\nInflatable I-beam floor for comfort and rigidity\nTwo fishing rod holders\nTwo inflatable seat cushions with backrest\nGear pouch\nGrab handles\nWelded oar locks\nOar holders\nU.S. Coast Guard I.D.\nTUV Approved\nRepair kit included\nItem # 68324\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3421", "489", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:9:\"51 pounds\";s:4:\"ASIN\";s:10:\"B004Y3B2AQ\";}");
INSERT INTO `wp_postmeta` VALUES("3422", "489", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("3423", "489", "asg_last_refresh_attempt", "1371238587");
INSERT INTO `wp_postmeta` VALUES("3424", "489", "asg_update_timestamp", "1371238587");
INSERT INTO `wp_postmeta` VALUES("3425", "490", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3426", "490", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3427", "490", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3428", "490", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3429", "490", "asg_item_id", "B00CMBJ1VE");
INSERT INTO `wp_postmeta` VALUES("3430", "490", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B00CMBJ1VE\";s:13:\"DetailPageURL\";s:204:\"http://www.amazon.com/Intex-Excursion-Boat-Set-Model/dp/B00CMBJ1VE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00CMBJ1VE\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:214:\"http://www.amazon.com/Intex-Excursion-Boat-Set-Model/dp/tech-data/B00CMBJ1VE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBJ1VE\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00CMBJ1VE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBJ1VE\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00CMBJ1VE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBJ1VE\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00CMBJ1VE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBJ1VE\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00CMBJ1VE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBJ1VE\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00CMBJ1VE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBJ1VE\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CMBJ1VE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBJ1VE\";}}}s:9:\"SalesRank\";s:4:\"1572\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL160_.jpg\";s:6:\"Height\";s:3:\"134\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL.jpg\";s:6:\"Height\";s:3:\"420\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL160_.jpg\";s:6:\"Height\";s:3:\"134\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL.jpg\";s:6:\"Height\";s:3:\"420\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL._SL160_.jpg\";s:6:\"Height\";s:3:\"134\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ylm7Tc6oL.jpg\";s:6:\"Height\";s:3:\"420\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51IS4QVLGZL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51IS4QVLGZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51IS4QVLGZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51IS4QVLGZL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51IS4QVLGZL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51IS4QVLGZL.jpg\";s:6:\"Height\";s:3:\"499\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61Yd72GSceL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61Yd72GSceL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61Yd72GSceL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/61Yd72GSceL._SL110_.jpg\";s:6:\"Height\";s:3:\"101\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/61Yd72GSceL._SL160_.jpg\";s:6:\"Height\";s:3:\"147\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/61Yd72GSceL.jpg\";s:6:\"Height\";s:3:\"458\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:19:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"68325EP-2013\";}s:5:\"Color\";s:4:\"Grey\";s:3:\"EAN\";s:13:\"0078257315024\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0078257315024\";}s:7:\"Feature\";a:5:{i:0;s:76:\"3 air chambers including an auxiliary air chamber in hull for extra buoyancy\";i:1;s:68:\"Boston valve on two main hull chambers for quick-fill & fast-deflate\";i:2;s:20:\"All around grab line\";i:3;s:48:\"Inflatable I-Beam floor for comfort and rigidity\";i:4;s:35:\"Has 2 welded oar locks on each side\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"16999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$169.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:4:\"5700\";s:5:\"Width\";s:4:\"2200\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:4:\"144\"\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:39:\"Intex Excursion 5 Boat Set - 2013 Model\";s:3:\"UPC\";s:12:\"078257315024\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"078257315024\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"12999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$129.99\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CMBJ1VE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBJ1VE\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"6%2B5B5jCuk4Dsy8yfYDnZ1jju2u07uckiYCZlgYklFKDFtrlX77DjroZojfEC0Yxv%2BWKjTxMcMjZS1dHA%2BJLZIvXWYcLOHB0IM06NjdIwtHSguFIdSeJzyA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"12999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$129.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"4000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$40.00\";}s:15:\"PercentageSaved\";s:2:\"24\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00CMBJ1VE&atag=freetos-20&exp=2013-06-15T19%3A36%3A27Z&v=2&sig=CgX3Cegr2qMRG2GH6MirPl%2B2eOuHieUBURMIvwIerLU%3D\";s:10:\"HasReviews\";s:4:\"true\";}}");
INSERT INTO `wp_postmeta` VALUES("3402", "487", "asg_last_refresh_attempt", "1371238583");
INSERT INTO `wp_postmeta` VALUES("3403", "487", "asg_update_timestamp", "1371238583");
INSERT INTO `wp_postmeta` VALUES("3404", "488", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3405", "488", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3406", "488", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3407", "488", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3408", "488", "asg_item_id", "B0006VC574");
INSERT INTO `wp_postmeta` VALUES("3409", "488", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0006VC574\";s:13:\"DetailPageURL\";s:212:\"http://www.amazon.com/Stansport-Cloud-Inflatable-Vinyl-Seats/dp/B0006VC574%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0006VC574\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:222:\"http://www.amazon.com/Stansport-Cloud-Inflatable-Vinyl-Seats/dp/tech-data/B0006VC574%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0006VC574\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0006VC574%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0006VC574\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0006VC574%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0006VC574\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0006VC574%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0006VC574\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0006VC574%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0006VC574\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0006VC574%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0006VC574\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0006VC574%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0006VC574\";}}}s:9:\"SalesRank\";s:6:\"200738\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL._SL75_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL._SL160_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL.jpg\";s:6:\"Height\";s:3:\"226\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL._SL30_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL._SL75_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL._SL75_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL._SL110_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL._SL160_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ElqhmnHKL.jpg\";s:6:\"Height\";s:3:\"226\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"StanSport\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"416-2\";}s:5:\"Color\";s:9:\"one color\";s:10:\"Department\";s:6:\"unisex\";s:3:\"EAN\";s:13:\"0011319433304\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0011319433304\";}s:7:\"Feature\";a:5:{i:0;s:65:\"Heavy weight vinyl with inflatable floor, 3 separate air chambers\";i:1;s:26:\"Self locking safety valves\";i:2;s:47:\"Includes repair kit, safety rope and 2 oarlocks\";i:3;s:32:\"Maximum weight capacity: 340 lbs\";i:4;s:21:\"Dimensions: 46\" x 78\"\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"1700\";s:6:\"Length\";s:4:\"1600\";s:5:\"Width\";s:3:\"400\";}s:5:\"Label\";s:9:\"Stansport\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$36.99\";}s:12:\"Manufacturer\";s:9:\"Stansport\";s:5:\"Model\";s:5:\"416-2\";s:3:\"MPN\";s:5:\"416-2\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"1730\";s:6:\"Weight\";s:3:\"330\";s:5:\"Width\";s:4:\"1530\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"416-2\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Stansport\";s:11:\"ReleaseDate\";s:10:\"2012-06-07\";s:4:\"Size\";s:10:\"Two people\";s:3:\"SKU\";s:6:\"319415\";s:6:\"Studio\";s:9:\"Stansport\";s:5:\"Title\";s:54:\"Stansport Sea Cloud Inflatable Vinyl Boat with 2 Seats\";s:3:\"UPC\";s:12:\"011319433304\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"011319433304\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"3117\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$31.17\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0006VC574%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0006VC574\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:134:\"04J2TADEsMU5bL3yes1C8K%2FXNzMPP07xt4Wi%2Fn3WOU3U4tTbH7ARXmN6GQdDB2DhQpfiO6%2FIPcu7J%2F%2B5j8hXbQ1fQVL3CE4W3UqPHzmg13HQZTJgKpVtvA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3181\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$31.81\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"518\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.18\";}s:15:\"PercentageSaved\";s:2:\"14\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0006VC574&atag=freetos-20&exp=2013-06-15T19%3A36%3A23Z&v=2&sig=A0EWw1RJNWj17QFmznw03YTE%2FNBsdAcc9zsW4uiTWlA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:432:\"The Stansport Sea Cloud 2-person Vinyl Boat is designed for recreational cruising. It features 3 separate air chambers and an inflatable floor, a safety rope and 2 oarlocks. Constructed of durable heavy weight vinyl with self locking safety valves. Includes repair kit and PVC carry bag. Measures 46\" x 78\" and has a maximum weight capacity of 340 lbs. Attractive yellow and blue two-tone combination. Oars and pump sold separately.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3410", "488", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:18:\"16 x 4 x 17 inches\";s:15:\"Shipping Weight\";s:10:\"3.3 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0006VC574\";s:17:\"Item model number\";s:5:\"416-2\";}");
INSERT INTO `wp_postmeta` VALUES("3411", "488", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("3412", "488", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:54:\"It\'s great for what it is, a casual lake or pool boat!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3CQV0WZ7Z25T1\";s:4:\"name\";s:15:\"backpacking nut\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2450:\"The strange thing about this item, is the way it\'s advertised, \"Stansport Sea Cloud Inflatable Vinyl Boat with 2 Seats.\" It does not have seats, they\'re talking about the fact that it seats two people. That was a little misleading.<br /><br />Unlike the Sevylor/Coleman equivalent (would be the Coleman HUI 200 or Sevylor K54, K55, or similar), there are no \"double hull\" chambers, or what is commonly referred to as \"DIN\" construction. There is only ONE air chamber for the main body of the boat (outer hull). There are TWO floor chambers. The boat may not pass most states\' requirements for a recreational boat in harbors etc, however it is EXCELLENT for what it is, a casual lake and pool boat. It may also be used in sheltered coves.<br /><br />We used it to ford Waipio stream; we strung 550 paracord from one end to the other, inflated the outer hull of the boat (left the floor chambers uninflated), strung another 550 paracord line, ran that thru the grabline grommets (i.e. took off the nylon grab line), and pulled our gear across, to keep it all dry. Sure, one person had to jump in and wade across in order to get the lines across, then pull the boat, but that\'s a far cry from having EVEYRONE\'S gear all wet.<br /><br />When we finally arrived at the Waimanu valley campsite, we paddled around in it a bit. It was fun to sit in, since there is a lack of seating and chairs in a typical wilderness camping situation. It was also fun to sit on the black sand beach and DREAM about taking the boat into the surf. No one was actually STUPID enough to do it, although the young boys all THOUGHT about it.<br /><br />Of course (i.e think about open ocean currents), this boat wouldn\'t (I would imagine) do too well in the surf; its small size and lack of safety chambers would make it, in my opinion, unsuited for such purpose. Life raft? Nope. Take on 3-5 ft waves at Waikiki? Probably dreaming. Cool, fun, hip, colorful pool toy for the kids? EXCELLENT. Nifty way to get gear across a stream and not having wet gear (provided you take adequate precautions and string sufficient ropes to guide it)? AWESOME.<br /><br />I was gonna knock off one star for the slightly misleading way it was advertised, kinda like \"boat with 2 seats,\" IMPLYING that it has two seats included, but...nah, I\'ll give them a break since the boat came in handy, was fun to use, and actually comfortable to sit in while camping, and just lounging around the campsite.\";}}");
INSERT INTO `wp_postmeta` VALUES("3336", "481", "asg_last_refresh_attempt", "1371238570");
INSERT INTO `wp_postmeta` VALUES("3337", "481", "asg_update_timestamp", "1371238570");
INSERT INTO `wp_postmeta` VALUES("3338", "482", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3339", "482", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3340", "482", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3341", "482", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3342", "482", "asg_item_id", "B000RZFBKW");
INSERT INTO `wp_postmeta` VALUES("3343", "482", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000RZFBKW\";s:13:\"DetailPageURL\";s:205:\"http://www.amazon.com/Intex-58330EP-Explorer-200-Boat/dp/B000RZFBKW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000RZFBKW\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:215:\"http://www.amazon.com/Intex-58330EP-Explorer-200-Boat/dp/tech-data/B000RZFBKW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000RZFBKW\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000RZFBKW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000RZFBKW\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000RZFBKW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000RZFBKW\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000RZFBKW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000RZFBKW\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000RZFBKW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000RZFBKW\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000RZFBKW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000RZFBKW\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000RZFBKW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000RZFBKW\";}}}s:9:\"SalesRank\";s:4:\"4955\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL.jpg\";s:6:\"Height\";s:3:\"292\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL._SL110_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41BxETYo2BL.jpg\";s:6:\"Height\";s:3:\"292\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:13:\"0078257583300\";i:1;s:7:\"58330EP\";}}s:5:\"Color\";s:6:\"Orange\";s:3:\"EAN\";s:13:\"0078257583300\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257583300\";i:1;s:13:\"0078257314737\";}}s:7:\"Feature\";a:5:{i:0;s:50:\"The Intex Explorer is perfect for the pool or lake\";i:1;s:41:\"Inflatable floor for comfort and rigidity\";i:2;s:58:\"Grab rope on bow ; Welded oar locks; U.S. Coast Guard I.D.\";i:3;s:56:\"2 air chambers with double valves; Repair patch included\";i:4;s:48:\"Measures 73\" x 37\" x 16\"; Weight capacity 210 lb\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1600\";s:6:\"Length\";s:4:\"3700\";s:6:\"Weight\";s:4:\"14.7\";s:5:\"Width\";s:4:\"7300\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$24.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"58330EP\";s:3:\"MPN\";s:7:\"58330EP\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"313\";s:6:\"Length\";s:4:\"1200\";s:6:\"Weight\";s:3:\"468\";s:5:\"Width\";s:4:\"1050\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"58330EP\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:11:\"73\"x37\"x16\"\";s:3:\"SKU\";s:12:\"LD-DD6Y-NH2W\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:23:\"Intex Explorer 200 Boat\";s:3:\"UPC\";s:12:\"078257583300\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257583300\";i:1;s:12:\"078257314737\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.99\";}s:8:\"TotalNew\";s:1:\"8\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000RZFBKW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000RZFBKW\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"VUllBB0QUwW%2BfSrgoj4PqWcDFoxbBLdD3ESjEaP8hkBBd%2FUil64TMGklXk6QtiPOF8AoIoOJAAPEw9v05OHaPiqEuVfFgFQrWKlGJoJcBiMSfy5dxzOn0w%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1512\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$15.12\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"987\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.87\";}s:15:\"PercentageSaved\";s:2:\"39\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000RZFBKW&atag=freetos-20&exp=2013-06-15T19%3A36%3A10Z&v=2&sig=FXH5roe%2BbialqnNZp%2Fj1g9tcncQDIPhh1LblEXQumxg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:107:\"Compact size boat with lots of features. U.S. Coast Guard ID. Perfect for the pool or small lakes & rivers.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:409:\"<p>The two-person Intex Explorer 200 inflatable boat is great for floating in lakes, rivers, and pools. Constructed from durable 13 gauge PVC plastic, the Explorer 200 can hold a maximum weight of 210 pounds. The boat features two air chambers with double valves for safety, an inflatable floor for comfort and rigidity, a grab rope on bow, and welded oar locks. It measures 78 x 46 inches when inflated. </p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3278", "476", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00DBLJOK2\";}");
INSERT INTO `wp_postmeta` VALUES("3279", "476", "asg_star_rating", "3.5");
INSERT INTO `wp_postmeta` VALUES("3280", "476", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:10:\"Canoe Cart\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2Q2CY2XKG8WAV\";s:4:\"name\";s:8:\"binns789\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1007:\"I purchased this item in early summer for my 100lb canoe which proved to almost kill me portaging to water before I ever casted out a pole... I am very pleased with this cart. It is well made and durable. If you can get it in the middle of your canoe it will basically balance itself and my 9 year old son can bring the canoe with >75lbs of gear on it.<br /><br />When you get the product ensure you really really tighten the bolts that hold the nerf bars the canoe sits on. I didn\'t tighten them enough my first time out and made it about 150 yards then one side collapsed sideways onto the wheel abruptly stopping my beautful day outside...<br /><br />The only thing that would make this produc t a little better is if it had an extendable arm that went with the length of the canoe. I have had the cart roll foward and bring me to a crashing halt one a couple occassions. It does come with a strap to wrap around the canoe, but it is pretty much worthless.<br /><br />I would purchase this product again.\";}i:1;a:5:{s:5:\"title\";s:13:\"Excelent cart\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1MPUOOM136YXZ\";s:4:\"name\";s:19:\"J. Richard Tamisiea\";s:7:\"address\";s:40:\"Wilmington, North Carolina United States\";}s:4:\"text\";s:532:\"I received the boat/kayak cart and am well pleased with it. It so easy to assemble and structurally well made. I especially like the kick stand which helps to balance it while loading my kayak. One item which I would have preferred were non-corrosive wheels since I will use it around salt water environment. However, I have substituted the original wheels for plastic ones I obtained from my bike shop. With the size of these wheels it is extremely easy to hand move my kayak several blocks to launch. This is an excellent product.\";}i:2;a:5:{s:5:\"title\";s:28:\"Great product, great service\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AO57F7TAXG9DO\";s:4:\"name\";s:6:\"Jimjoe\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:314:\"I was looking for a cart to transport my duck hunting skiff to the marsh over soft and irregular surfaces. The Seattle Sports ATC Cart does the job extremely well. It is very heavy duty, although not heavy in itself. It carries my 100# skiff with ease. The bicycle size tires roll over the terrain with no problem.\";}i:3;a:5:{s:5:\"title\";s:18:\"Awesome Canoe Cart\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJRZVXPKJE7H6\";s:4:\"name\";s:9:\"B. Camden\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1320:\"I have read all the reviews on different canoe carts prior to purchase and chose this cart, I must say I am more than happy with the cart and the purchase on Amazon. This cart is a snap to put togeather and is very easy to carry and store when not in use. I am 68 years old and I own a Town and Country Sportsman canoe that weighs 120 to 130 pounds without the 5 HP motor and it does a fantastic job of transporting the canoe with motor, gas tank and cooler with all rods and tackle. I have used this cart on rough terrain as well as the ramp areas of lakes and rivers. It works perfect in all areas due to the large tires and wheels and the well built construction. The Kick Stand is built to really work due to the \"U\" shape with a spring attached for storage or when in use. It is not just a single piece of metal for looks, like most carts. My wife is a small framed person and can push the cart with one hand with no problem as long as it is loaded and balanced correctly. I marked the canoe so that I can load it correctly each time. I would say the canoe would weigh about 200 + pounds when loaded and I am very happy with the performance of this cart and what it is built to do. I highly recommend buying this Seattle Sports ATC cart. I did not find a better one out there.<br />PADDLE FASTER, I HEAR BANJO MUSIC\";}i:4;a:5:{s:5:\"title\";s:19:\"It ain\'t a Cadillac\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:12:\"July 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26YNPXWCA4TDR\";s:4:\"name\";s:15:\"Dead Mule, John\";s:7:\"address\";s:9:\"San Diego\";}s:4:\"text\";s:1296:\"I bought this to shuttle my 55lb 14\' Merrimack around and I can\'t say it\'s lived up to expectations. Let me expound, if you will.<br />1. My greatest disappointment is that the strap hooks don\'t have a specific place to attach on the frame of the cart so just when you need it not to happen, they slide, the cart flips over on its face and you stand there using words that aren\'t considered socially acceptable even today trying to get your canoe resettled so you can get on the water and relax, which is what you came here for.<br />2. For the reason mentioned above, forget about rough terrain. Potholes at the boat ramp are enough to overturn your cart.<br />3. My canoe bottom is relatively flat so it doesn\'t really \"settle\" between the two pads which are spaced fairly close and it\'s a bit of a chore to make sure it\'s properly aligned so that when I\'m aiming for the water\'s edge the cart isn\'t tracking toward Tijuana.<br /><br />Maybe others have had better experiences with this thing, but it\'s not something I would recommend to a friend. My solution, for those of you who may have already purchased this, is to drill a hole on each side in the top rail and insert an i-bolt so the hooks won\'t be sliding up and down the frame.<br />Hope this helped someone out there. Enjoy the water.\";}i:5;a:5:{s:5:\"title\";s:18:\"Big Load, Big Cart\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A326STVEF5Z320\";s:4:\"name\";s:25:\"Hector Acuna \"Maniaverse\"\";s:7:\"address\";s:16:\"Phoenix, Arizona\";}s:4:\"text\";s:1725:\"This is my second cart. I had been using a smaller cart for my 70 pound, 16.5 foot canoe. While it did the job, it was always a chore load and strap my tub onto it, often collapsing it and having to start over. Even before choosing the Seattle Sports ATC Cart I knew my next cart needed to have three improved features. First, a more stable platform for loading the canoe atop. Second, larger and easier to service wheels. Third, folding for storage. All three were satisfied by the Seattle Sports ATC Cart. The cart has a super-stable parking stand which keeps the cart in place while for loading. Often I paddle solo to fish and aside from the canoe I have to haul all my equipment down to the put-in site. The larger cart allows me to load all my stuff onto the canoe and transport everything at once without worries of tipping it over. The cart uses bicycle type wheels. Easy to service. I had trouble with my previous cart in finding an air pump nozzle that would fit in a very tight wheel space. Not the case with this cart, big air valve with plenty of clearance for any type of air pump. Replacement tubes are available at most department stores that have a bike section. The unit fords nicely to storage. This cart weighs more than my previous cart yet I still canoe with it on solo trips. I\'ve also used a bicycle cable lock and locked it up near the dock when I needed the extra space in the boat. Good on most surfaces, with most difficulty in very soft sand but still capable. If your rolling over lots of rocks or branches I recommend adding another tie strap to keep the boat and cart together. Big wheels roll over obstacles easily. This design is well suited for larger craft, canoes or heavy fishing kayaks.\";}i:6;a:5:{s:5:\"title\";s:15:\"Our first cart.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 22, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A4RSFWMCDHXXN\";s:4:\"name\";s:8:\"Rob Buck\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1269:\"We got our first canoe a year ago and the only thing stoping us from using it was the walk to the lake. I looked at reviews for many carts and thought that the Seattle Sports cart would suit us well. We live about four blocks from farrington lake in new jersey, one block being a rock and root trail that is rather bumpy and down hill. We load the cart and then the canoe with coolers fishing gear, whatever we think we will want and need for the day. My girlfriend or I can wheel it down alone with no problem. The strap that comes with the cart works, but it helps to have two straps to secure the canoe to the cart. One trip to harbor frieght spendig less than ten bucks solved the problem. We have not had any rust issues, but we take it out in fresh water and store the cart in the garage. Our canoe is a 16 ft. old town camper and the cats kickstand works great when you figure out how to balance it right(it took us a few time but now it is second nature). All in all I would say it\'s a good buy. We saw the same cart at L.L. Bean for a few bucks more(like a tank of gas more) and we are glad we got it here. We saw one and it was the same, it just had a different name. Hope this review helps, we are very happy they should just have to give you an extra strap.\";}i:7;a:5:{s:5:\"title\";s:43:\"This kayak cart did exactly what we needed.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"October 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2I1KIG32OEKLZ\";s:4:\"name\";s:16:\"John G. Hartline\";s:7:\"address\";s:14:\"Cave Creek, AZ\";}s:4:\"text\";s:1460:\"I read all the reviews for this product and turned away from it twice before deciding to ignore the reviews and give it a try. I am certainly glad I did. This cart was exactly what we were looking for. We kayak in Arizona so the majority of locations we would need to portage are rocky or gravel roads. The bicycle wheels on this cart made it a breeze to overcome rock ledges and large gravel. Our most recent trip involved taking our two 50 pound kayaks and another 50 pounds of camping gear down a quarter mile incline that dropped about 500 feet. The track was large gravel, sand and rock ledges. We decided to load the first boat on the cart, fill it with all of our gear and then strap the second boat upside down on top of the first kayak. We strapped the first one down, loaded it, placed the second one on top and strapped it to the first boat with ratchet straps. The trip worked like a charm. Nothing came loose, nothing shifted and we arrived at the bottom of the slope with relative ease. We took the boats back up one at a time due to the level of slope we had to negotiate, but again, absolutely no problems.<br /><br />The only reason I gave this cart a 4 rating instead of 5 is because it is difficult to find a good place to strap to the frame. What we wound up doing was using a ratchet style strap and wrapping it all the way around, through the frame and tightening it down. The boats didn\'t move an inch over some reasonably rough terrain.\";}i:8;a:5:{s:5:\"title\";s:21:\"through the woods, NO\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 22, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ASR2KNKMEEHKS\";s:4:\"name\";s:14:\"mamamak \"mama\"\";s:7:\"address\";s:6:\"NY USA\";}s:4:\"text\";s:566:\"We had a group of six doing the Lowes Lake Oswegotchie traverse. 3.5 miles. All carts new. Started, within two hundred yards two of the carts bent wheels on the uneven trail. EMPTY We made one cart out of three. two miles in the bearing went on the third cart. Long story short, if you need a cart to transport a canoe across a parking lot buy it. If you need to depend on it in a wilderness situation on a portage trail. DON\'T Bearings are as cheap as you can buy. (I took the wheel apart.) The spokes are made for a little kids bike. I think I\'m going to make one.\";}i:9;a:5:{s:5:\"title\";s:15:\"LOVE this cart!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3MV5E62U15UWG\";s:4:\"name\";s:6:\"sastle\";s:7:\"address\";s:10:\"Boston, MA\";}s:4:\"text\";s:792:\"We love this cart! We have an old aluminum canoe that weighs quite a bit. It would be too heavy for me to carry down to the water (about 250 yards away). We put the middle of the canoe on the cart and strap it down with the strap they provide and off we go. Very easy to pull up and down our fairly steep paved road. It also does well when we get down to the beach. It goes smoothly over the grass and bumps. The bike tires make it very easy. You will need a pump though so that you can keep them filled with air. We use the cart at the lake, and it gets stored in the garage so we haven\'t had a problem with rust as of yet. I would caution, when you first get it, it does stink like rubber. Make sure you have somewhere to put it where it off gasses. We would definitely recommend this cart!\";}}");
INSERT INTO `wp_postmeta` VALUES("3270", "475", "asg_last_refresh_attempt", "1371238331");
INSERT INTO `wp_postmeta` VALUES("3271", "475", "asg_update_timestamp", "1371238331");
INSERT INTO `wp_postmeta` VALUES("3274", "476", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3275", "476", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3276", "476", "asg_item_id", "B00DBLJOK2");
INSERT INTO `wp_postmeta` VALUES("3277", "476", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00DBLJOK2\";s:10:\"ParentASIN\";s:10:\"B00DBLJOK2\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Paddleboy-Terrain-Center-Boat-Cart/dp/B00DBLJOK2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00DBLJOK2\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Paddleboy-Terrain-Center-Boat-Cart/dp/tech-data/B00DBLJOK2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00DBLJOK2\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00DBLJOK2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00DBLJOK2\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00DBLJOK2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00DBLJOK2\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00DBLJOK2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00DBLJOK2\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00DBLJOK2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00DBLJOK2\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00DBLJOK2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00DBLJOK2\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00DBLJOK2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00DBLJOK2\";}}}s:9:\"SalesRank\";s:4:\"8852\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31IpsbxhCAL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:12:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:9:\"Paddleboy\";s:7:\"Feature\";a:2:{i:0;s:54:\"Designed for: Kayaks, Canoes, John Boats, Larger Craft\";i:1;s:35:\"Carrying Capacity: Up to 300 pounds\";}s:5:\"Label\";s:9:\"Paddleboy\";s:12:\"Manufacturer\";s:9:\"Paddleboy\";s:3:\"MPN\";s:5:\"61105\";s:10:\"PartNumber\";s:5:\"61105\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Paddleboy\";s:6:\"Studio\";s:9:\"Paddleboy\";s:5:\"Title\";s:42:\"Paddleboy ATC All Terrain Center Boat Cart\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"9090\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$90.90\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"14995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$149.95\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B003CRNYTC\";s:10:\"ParentASIN\";s:10:\"B00DBLJOK2\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL160_.jpg\";s:6:\"Height\";s:3:\"108\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL.jpg\";s:6:\"Height\";s:3:\"338\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL110_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL160_.jpg\";s:6:\"Height\";s:3:\"108\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL.jpg\";s:6:\"Height\";s:3:\"338\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL110_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL._SL160_.jpg\";s:6:\"Height\";s:3:\"108\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41FPHnr1kyL.jpg\";s:6:\"Height\";s:3:\"338\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/414sExzhB4L._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/414sExzhB4L._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/414sExzhB4L._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/414sExzhB4L._SL110_.jpg\";s:6:\"Height\";s:2:\"84\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/414sExzhB4L._SL160_.jpg\";s:6:\"Height\";s:3:\"122\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/414sExzhB4L.jpg\";s:6:\"Height\";s:3:\"381\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51o1KI4M0LL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51o1KI4M0LL._SL75_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51o1KI4M0LL._SL75_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51o1KI4M0LL._SL110_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51o1KI4M0LL._SL160_.jpg\";s:6:\"Height\";s:2:\"83\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51o1KI4M0LL.jpg\";s:6:\"Height\";s:3:\"259\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:5:\"61105\";i:1;s:6:\"061105\";}}s:5:\"Color\";s:4:\"Grey\";s:10:\"Department\";s:11:\"Kayak Carts\";s:3:\"EAN\";s:13:\"0780292611053\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0780292611053\";}s:7:\"Feature\";a:5:{i:0;s:70:\"ATC Cart designed to haul kayaks, canoes, John boats, and larger craft\";i:1;s:91:\"Rugged 16-inch bike tires goes easily over rutted paths and quickly on flat, paved surfaces\";i:2;s:78:\"Heavy-duty power-coated steel frame breaks down for easy storage and transport\";i:3;s:37:\"Spring-loaded, super stable kickstand\";i:4;s:47:\"Hauls up to 300 pounds; 19 by 33 inches (H x W)\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"750\";s:6:\"Length\";s:4:\"3100\";s:6:\"Weight\";s:4:\"1690\";s:5:\"Width\";s:4:\"1800\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"14995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$149.95\";}s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:5:\"Model\";s:6:\"061105\";s:3:\"MPN\";s:5:\"61105\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"830\";s:6:\"Length\";s:4:\"3040\";s:6:\"Weight\";s:4:\"1955\";s:5:\"Width\";s:4:\"1800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"61105\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:11:\"ReleaseDate\";s:10:\"2010-02-01\";s:3:\"SKU\";s:11:\"BIB-61105--\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:23:\"Seattle Sports ATC Cart\";s:3:\"UPC\";s:12:\"780292611053\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"780292611053\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:4:\"Grey\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"PFzFquT%2BrbkV6NMN%2Bl%2BzgaiFl2EcfOoFw7wN376RdSLuJKYBo8jW2rlZMIG4fOpFKZpS9ey5AQ2pG9kfSnYWnj3ezbVcXcmzJ8fxMGTLFzhwXc1ihlZBQQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"12237\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$122.37\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"2758\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.58\";}s:15:\"PercentageSaved\";s:2:\"18\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:200:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00DBLJOK2&atag=freetos-20&exp=2013-06-15T19%3A32%3A11Z&v=2&sig=i%2BGNxh1TBOcuSn9e8iEzH%2F3w9%2FTJIoLJQLH%2Fjnd4TbU%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:649:\"With large 16\" bike tire wheels, the ATC is great for going over rutted paths that cause difficulty for smaller wheeled carts, and it\'s faster over paved, flat surfaces. For many users, the large wheels will also offer a more natural height for pulling or pushing. The ATC is perfect for heavy-loaded canoe portages, john-boats and other larger craft, including dinghies and Lasers. It easily transports all kayaks. The heavy-duty powder-coated steel frame breaks down nicely for low-profile storage. A spring-loaded, super stable kickstand, adjustable top pad bars, and included cinch straps complete this super heavy-duty cart. 300 pound capacity.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3203", "469", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00C6AEEEA\";}");
INSERT INTO `wp_postmeta` VALUES("3204", "469", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("3205", "469", "asg_last_refresh_attempt", "1371238316");
INSERT INTO `wp_postmeta` VALUES("3206", "469", "asg_update_timestamp", "1371238316");
INSERT INTO `wp_postmeta` VALUES("3209", "470", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3210", "470", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3211", "470", "asg_item_id", "B003JGYPWG");
INSERT INTO `wp_postmeta` VALUES("3212", "470", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B003JGYPWG\";s:10:\"ParentASIN\";s:10:\"B003JGYPWG\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Old-Town-Canoes-Kayaks-Recreational/dp/B003JGYPWG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003JGYPWG\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Old-Town-Canoes-Kayaks-Recreational/dp/tech-data/B003JGYPWG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYPWG\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003JGYPWG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYPWG\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003JGYPWG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYPWG\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003JGYPWG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYPWG\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003JGYPWG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYPWG\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003JGYPWG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYPWG\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003JGYPWG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYPWG\";}}}s:9:\"SalesRank\";s:5:\"64340\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"109\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"159\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL.jpg\";s:6:\"Height\";s:3:\"166\";s:5:\"Width\";s:3:\"165\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:9:\"01-Recrea\";}s:7:\"Feature\";a:5:{i:0;s:57:\"Sporty kayak designed to provide stable, comfortable ride\";i:1;s:67:\"Maneuverable body is ideal for lakes, ponds, and slow-moving rivers\";i:2;s:84:\"Comfort Flex seat with padded seat back, adjustable foot braces, and soft thigh pads\";i:3;s:54:\"Molded-in cockpit tray with cup holder; stern day well\";i:4;s:62:\"Molded-in paddle rest; measures 12 feet long; weighs 54 pounds\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"55900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$559.00\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:9:\"01-Recrea\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1700\";s:6:\"Length\";s:5:\"14800\";s:6:\"Weight\";s:4:\"5600\";s:5:\"Width\";s:4:\"3000\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:55:\"Old Town Canoes and Kayaks 12S Vapor Recreational Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"49900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.00\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"2\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:2:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B001NRWLFG\";s:10:\"ParentASIN\";s:10:\"B003JGYPWG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"109\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"159\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL.jpg\";s:6:\"Height\";s:3:\"166\";s:5:\"Width\";s:3:\"165\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.6440.0003\";}s:5:\"Color\";s:7:\"Sunrise\";s:10:\"Department\";s:6:\"Kayaks\";s:3:\"EAN\";s:13:\"0759239251621\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239251621\";}s:7:\"Feature\";a:5:{i:0;s:88:\"Single-user kayak great for quiet water paddling on lakes, ponds, and slow moving rivers\";i:1;s:57:\"Made from highly durable single layer linear polyethylene\";i:2;s:94:\"Adjustable Comfort Flex padded seat for all day paddling comfort and a cockpit rim paddle-rest\";i:3;s:77:\"Comfortable thigh/knee pads and adjustable foot pegs for good fit and control\";i:4;s:98:\"Stern Day Well provides easy access to day-use items without storing them in the bilge of the boat\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:12:\"01.6440.0003\";s:3:\"MPN\";s:12:\"01.6440.0003\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:5:\"14400\";s:6:\"Weight\";s:4:\"7500\";s:5:\"Width\";s:4:\"3600\";}s:10:\"PartNumber\";s:12:\"01.6440.0003\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:8:\"12 -Feet\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:64:\"Old Town Canoes and Kayaks 12S Vapor Recreational Kayak, Sunrise\";s:3:\"UPC\";s:12:\"759239251621\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239251621\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:7:\"Sunrise\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"12 -Feet\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:128:\"cB4gSNHHbPG%2FCoODqU4laFAGvrmMiWqRTXxx88A7PjXj6wvoklHpQIVDnzGlIrTwdNr4NUfMVTuckohsa0lTJq%2FaVphARG9RdCkO67ioRWEcgWxmV2gQoA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B001QUCWVS\";s:10:\"ParentASIN\";s:10:\"B003JGYPWG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31lU8Sj0NVL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"109\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"159\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/115Cx-jluRL.jpg\";s:6:\"Height\";s:3:\"166\";s:5:\"Width\";s:3:\"165\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.6440.0001\";}s:5:\"Color\";s:5:\"Cloud\";s:3:\"EAN\";s:13:\"0759239251607\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239251607\";}s:7:\"Feature\";a:5:{i:0;s:88:\"Single-user kayak great for quiet water paddling on lakes, ponds, and slow moving rivers\";i:1;s:57:\"Made from highly durable single layer linear polyethylene\";i:2;s:94:\"Adjustable Comfort Flex padded seat for all day paddling comfort and a cockpit rim paddle-rest\";i:3;s:77:\"Comfortable thigh/knee pads and adjustable foot pegs for good fit and control\";i:4;s:98:\"Stern Day Well provides easy access to day-use items without storing them in the bilge of the boat\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:12:\"01.6440.0001\";s:3:\"MPN\";s:12:\"01.6440.0001\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:5:\"14400\";s:6:\"Weight\";s:4:\"2500\";s:5:\"Width\";s:4:\"2600\";}s:10:\"PartNumber\";s:12:\"01.6440.0001\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:8:\"12 -Feet\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:62:\"Old Town Canoes and Kayaks 12S Vapor Recreational Kayak, Cloud\";s:3:\"UPC\";s:12:\"759239251607\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239251607\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Cloud\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"12 -Feet\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:128:\"H2nEuSAi1e%2BxXeTnL7BIz50LBK4Cp26W2Kr0J5Ggrj6yNiAQrPhvJ59FZK4LHITP4plh%2FQ7hKw2h1rCB0zyA2s58fgT53BDBExOUgS7UxCU1qSdvMOsL3g%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003JGYPWG&atag=freetos-20&exp=2013-06-15T19%3A31%3A56Z&v=2&sig=%2FaIHEgWAIIE416E01IPS3hrPAYy1TDys4QPfpTQ0vMk%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1568:\"The Vapor 12s is one of Old Town’s newest get-in-and-go kayaks. This sporty kayak offers a stable efficient, and comfortable ride and is designed to cover a wide variety of paddling activities.  Ideal for lakes, estuaries and protected waters, The Vapor 12s goes way beyond the basics with features. With the adjustable Comfort Flex seat with a padded seat, adjustable foot braces, and thigh pads, you get a secure and comfortable paddling position.  The molded-in paddle rest gives you a place for your paddle while you’re eating of shooting photographs of your friends.  The cockpit dash offers a cup holder and storage for small items.  Built in sturdy grab handles make loading and unloading a breeze.  Like other Vapor series models, the truly revolutionary design feature of the Vapor 12s is the stern Day Well.  The outer edges of the Day Well are higher than the cockpit rim and well above the water; your lunch and other items stay dry above the waves and out of the dripped-in and tracked-in mud and water in the bilge of the kayak.  Also available are the Old Town Vapor 10XT and 12XTS models which include a cover on the Day Well to keep your belongings out of the sun and rain, a bungee to hold your paddle in the paddle-park, additional seat and seat-back padding, and a bungees iPad storage area for your portable elctronics. Made in USA. <br><br><b> Specifications:</b> Length 12\' / 3.7 m, Width 27.5\" / 69.9 cm, Cockpit 19.5\" x 47\" / 49.5 x 119.4 cm, Depth 16.25\" / 41.3 cm, Weight 54 lbs / 24.5 kg, Max Load Range 275 - 325 lbs / 124.7 - 147.4 kg\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:3081:\"The sporty Vapor 12S kayak is Old Town\'s latest get-in-and-go boat, with a stable, maneuverable body that\'s ideal for paddling on lakes, ponds, and slow-moving rivers. <table align=right width=500 cellpadding=10> <tr><td><img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B001S6W9V8.jpg\" border=0 align=top><br><br><small><i><b>The basic features of an Old Town kayak design.</b></i></small></td></tr></table> Specifically designed to go in and out of the water quickly, the Vapor 12S goes way beyond the basics, with such relaxed features as an adjustable Comfort Flex seat with a padded seat and seat back, adjustable foot braces, and soft thigh pads, all of which combine to provide a secure and comfortable paddling position. The kayak also includes a molded-in cockpit tray with a cup holder, so you have a place to store your water or energy drink while paddling. <p> Like other Vapor series models, the kayak\'s truly revolutionary design feature, however, is the stern day well. The outer edges of the day well are higher than the cockpit rim and well above the water; this keeps your lunch and other items dry above the waves and out of the dripped-in and tracked-in mud and water in the bilge. Other features include a molded-in paddle rest and built-in carrying handles. Made of single-layer polyethylene, the Vapor 12S is available in such colors as sunrise and cloud. <p> <b>Specifications:</b><ul> <table align=right width=350 cellpadding=10> <tr><td><img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B003JGYPWG-1.jpg\" border=0 align=top><br><br><small><i><b>The Vapor 12S is ideal for lakes, ponds, and slow-moving rivers.</b></i></small></td></tr></table> <li>Length: 12 feet <li>Width: 27.5 inches <li>Cockpit: 19.5 by 47 inches <li>Depth: 16.25 inches <li>Weight: 54 pounds <li>Max load range: 275 to 325 pounds </ul><p> <b>About Old Town</b><br> Tradition and technology have had a long and comfortable marriage at Old Town. The company built its first wood and canvas canoe in 1898, with a blueprint that was more durable and easier to maintain that the Native American birch canoe that inspired it. The company followed a similar path in 1940, converting the traditional sealskin kayak design into a more durable wood and canvas version. The same spirit of innovation led Old Town to introduce lightweight fiberglass kayaks and canoes in the 1950s and \'60s, and to employ such lightweight, cutting-edge materials as PolyLink3 and SuperLink3 in the 21st century. Despite the advances in materials, consumers can rest assured that the boats are built with the same attention to detail as the originals. Old Town\'s kayaks and canoes are still hand-shaped on the same cedar forms that were used more than 100 years ago, and they\'re still manufactured to the same quality standards in Old Town, Maine. And though the original Old Town artisans aren\'t building the canoes and kayaks, their grandchildren and great-grandchildren may be carrying on the tradition, as the company has employed generations of family members at its plant.<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3174", "466", "asg_last_refresh_attempt", "1371238309");
INSERT INTO `wp_postmeta` VALUES("3175", "466", "asg_update_timestamp", "1371238309");
INSERT INTO `wp_postmeta` VALUES("3178", "467", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3179", "467", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3180", "467", "asg_item_id", "B00C1V4H5K");
INSERT INTO `wp_postmeta` VALUES("3181", "467", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00C1V4H5K\";s:10:\"ParentASIN\";s:10:\"B00C1V4H5K\";s:13:\"DetailPageURL\";s:198:\"http://www.amazon.com/Harmony-Kayak-Canoe-Cart/dp/B00C1V4H5K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00C1V4H5K\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:208:\"http://www.amazon.com/Harmony-Kayak-Canoe-Cart/dp/tech-data/B00C1V4H5K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1V4H5K\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00C1V4H5K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1V4H5K\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00C1V4H5K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1V4H5K\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00C1V4H5K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1V4H5K\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00C1V4H5K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1V4H5K\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00C1V4H5K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1V4H5K\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00C1V4H5K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1V4H5K\";}}}s:9:\"SalesRank\";s:6:\"251063\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Harmony\";s:5:\"Label\";s:7:\"Harmony\";s:12:\"Manufacturer\";s:7:\"Harmony\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"497\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Harmony\";s:6:\"Studio\";s:7:\"Harmony\";s:5:\"Title\";s:24:\"Harmony Kayak/Canoe Cart\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B00C29T69S\";s:10:\"ParentASIN\";s:10:\"B00C1V4H5K\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SuNP4OIRL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:20:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Harmony\";s:5:\"Color\";s:9:\"One Color\";s:10:\"Department\";s:17:\"Kayak Accessories\";s:3:\"EAN\";s:13:\"0729282050694\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0729282050694\";}s:5:\"Label\";s:7:\"Harmony\";s:12:\"Manufacturer\";s:7:\"Harmony\";s:5:\"Model\";s:7:\"8023502\";s:3:\"MPN\";s:7:\"8023502\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"497\";}s:10:\"PartNumber\";s:7:\"8023502\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Harmony\";s:4:\"Size\";s:18:\"All Terrain Wheels\";s:6:\"Studio\";s:7:\"Harmony\";s:5:\"Title\";s:54:\"Harmony Kayak/Canoe Cart One Color, All Terrain Wheels\";s:3:\"UPC\";s:12:\"729282050694\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"729282050694\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:9:\"One Color\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:18:\"All Terrain Wheels\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:152:\"8GYH33MqD21%2F8FSDYMAYIksaIPmZkgmeTTCBgmlGmhBPfWx7TZCqOG%2B%2FW9NVjrBw8eREC%2BbxbmvuVb11KqqCghep3vZb9xz7wI4ZDcLMkFXZt5uzUMFy%2FFcoxH2YQtI6Ovr6RhPAYvg%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00C1V4H5K&atag=freetos-20&exp=2013-06-15T19%3A31%3A49Z&v=2&sig=hdcW4izRbs%2BAOwd4hTI3AXLJN7lAXuQ3b%2BehnVUIotI%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:865:\"If youAAAve ever had to call off a day on the water because you strained you back getting your kayak from the car to the water, or find that you spend an inordinate amount of time and effort shuttling the boat and all your gear back and forth, youAAAll appreciate the beauty of the Harmony Boat Cart. Simply pull this folding aluminum carrier from the car, set up the kickstand for easy loading, and strap your boat on to the padded frame (straps included). Then youAAAre on your way over sand, mud, or rough trails, easily pulling your boatAAAand your gear for the dayAAAbehind you. Got that picture in mind? Now imagine your usual drill. Case closed.<br /><br /><b>Product Features</b><ul style=\"list-style-type: disc; margin-left: 25px;\"><li>Material: </li><li>Lengths: </li><li>Claimed Weight: </li><li>Recommended Use: </li><li>Manufacturer Warranty:</li></ul>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3134", "462", "asg_update_timestamp", "1371238299");
INSERT INTO `wp_postmeta` VALUES("3137", "463", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3138", "463", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3139", "463", "asg_item_id", "B008OO8FTM");
INSERT INTO `wp_postmeta` VALUES("3140", "463", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B008OO8FTM\";s:13:\"DetailPageURL\";s:205:\"http://www.amazon.com/Suspenz-11-8801-Flat-Canoe-Rack/dp/B008OO8FTM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB008OO8FTM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:215:\"http://www.amazon.com/Suspenz-11-8801-Flat-Canoe-Rack/dp/tech-data/B008OO8FTM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO8FTM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB008OO8FTM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO8FTM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB008OO8FTM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO8FTM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB008OO8FTM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO8FTM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B008OO8FTM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO8FTM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B008OO8FTM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO8FTM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B008OO8FTM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO8FTM\";}}}s:9:\"SalesRank\";s:6:\"135843\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL75_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL160_.jpg\";s:6:\"Height\";s:3:\"146\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"458\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL75_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL75_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL110_.jpg\";s:6:\"Height\";s:3:\"100\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL160_.jpg\";s:6:\"Height\";s:3:\"146\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"458\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL75_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL75_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL110_.jpg\";s:6:\"Height\";s:3:\"100\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL._SL160_.jpg\";s:6:\"Height\";s:3:\"146\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ngjIXf4QL.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"458\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Suspenz\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"11-8801\";}s:3:\"EAN\";s:13:\"0670541930922\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0670541930922\";}s:7:\"Feature\";a:5:{i:0;s:71:\"Use as flat storage of canoes, larger size kayaks and Sport Cargo boxes\";i:1;s:95:\"Suspends boats on heavy duty UV-resistant webbing to protect hulls from scratches and abrasions\";i:2;s:58:\"Reinforced safety straps securely hold your boats in place\";i:3;s:34:\"Extends only 36-Inch from the wall\";i:4;s:22:\"Holds up to 100 Pounds\";}s:5:\"Label\";s:7:\"Suspenz\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"7995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.95\";}s:12:\"Manufacturer\";s:7:\"Suspenz\";s:5:\"Model\";s:7:\"11-8801\";s:3:\"MPN\";s:7:\"11-8801\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"450\";s:6:\"Length\";s:4:\"3540\";s:6:\"Weight\";s:4:\"1215\";s:5:\"Width\";s:4:\"1570\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"11-8801\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Suspenz\";s:11:\"ReleaseDate\";s:10:\"2012-06-16\";s:6:\"Studio\";s:7:\"Suspenz\";s:5:\"Title\";s:23:\"Suspenz Flat Canoe Rack\";s:3:\"UPC\";s:12:\"670541930922\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"670541930922\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"7995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.95\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B008OO8FTM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO8FTM\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:134:\"LcTY6p6WDlkzY1QTYCFG%2BFnHuh%2B%2BtfQhCl1PfNWsCD87O2JHKBCFc4ICKuFATiVoR%2FtJOLzWb0kAulBP%2FGmjoKOPOTMFSavFFx8LwQpSxuIvdxBfxdJVXQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.95\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B008OO8FTM&atag=freetos-20&exp=2013-06-15T19%3A31%3A40Z&v=2&sig=sepzmNKQ%2FacAh271hg5aNIc29Wgqv3Yqydv5bpnSm4U%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:166:\"The FLAT Rack is a great way to store just about anything including your boat. This rack can work on our Free-Standing Storage Systems with optional mounting bracket.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3133", "462", "asg_last_refresh_attempt", "1371238299");
INSERT INTO `wp_postmeta` VALUES("3046", "454", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:37:\"18.1 x 16.1 x 10.4 inches ; 17 pounds\";s:15:\"Shipping Weight\";s:11:\"41.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0032GRD72\";s:17:\"Item model number\";s:10:\"2000003631\";}");
INSERT INTO `wp_postmeta` VALUES("3047", "454", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("3048", "454", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:50:\"Would have given it a 5 if it had Boston Vavles!!!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2WSHHYSUB45FN\";s:4:\"name\";s:12:\"ZootSuitWolf\";s:7:\"address\";s:15:\"L.A., CA, U.S.A\";}s:4:\"text\";s:4823:\"I ordered the Colorado for recreational paddling and fishing. I read other reviews and there seemed to a be consistent positive feedback. The price seemed right, so I ordered it. Right away after receiving the item, there were 2 things that disappointed me about the Kayak/Canoe. First, it was advertised that it came with a repair kit. If you consider 2 pieces of rubber without, even a tube of glue, an adequate repair kit then this is a non-issue. The second issue, which might be a deal killer for some of you, was that this model no longer came with \"Boston Valves\". After Sevylor was purchased by Coleman, they replaced the Boston valves with Double Lock/Mini Double Lock valves, \"a proprietary valve used in the Coleman\'s Airbed line, purported to be easier to inflate and deflate. The \"mini\" replaces the pinch valve. Coleman claims this give a 14% better retention than the Boston valve.\" If you buy what Coleman has to say, then again, this is a non-issue. As for the rest of the boat, it seemed to be a quality product. Keep in mind, I\'ve owned Avons and Zodiacs so I do have a grasp as to what quality is when it comes to inflatable boats. For the price, this boat was not bad!!! The seats that came with it seem to be well made. One thing, if you don\'t want to support Chinese industry, bad news... This Model is made in the land of the sleeping dragon. Yes, the double lock valves bugged me, but I thought I give it a chance on the local lake.<br /><br />Took my Colorado out for the first time and even did a little fishing on it. The new Coleman valves had me rubbing my face, Curly (3 Stooges) style, when my Sevylor Double pump\'s nozzle kept on popping out. I put a bit of electrical tape on the pump nozzle to thicken it and it solved the problem. After taking it out on the lake, I found that the cheesy Coleman airbed valves did okay. There didn\'t seem to be any noticeable air loss at all. Tracking was okay... didn\'t expect it to be great to begin with, being that it is an inflatable... It tracked better than I expected. When the wind hit, it blew me all over the place... again, something I expected from an inflatable. A bit of advice, if you want to stay in one place to soak up some sun or to fish, get yourself a 2 to 5 pound anchor and it will do fine... I\'ll be getting one. Another bit of advise, one trick I\'ve learned and tested out was that if you are going to use this solo and are of hefty size like me, put the front seat in backwards and use the Colorado back end as the front. This puts you more in the center and it actually works better when paddling solo. One important thing to remember is that after you play, you have to clean up and this by far, is the worse part of this canoe. After my idiot buddy tipped my Colorado, messing around, the canoe seemed to have very if little water in it. To my surprise, there was quite a bit of water flowing out of the drainage hole after we stood it up on end. There is no way to completely dry it with towels. Be prepared to leave it out for a day to completely dry. I would advise you to bring a nylon tarp with you so that you can wrap it up, haul it home, clean and dry it there, then put it back in it\'s bag when it is completely dry. If you\'re thinking of drying it right out of the lake, get out your camping gear cause it\'s gonna take about a day to completely dry.<br /><br />AND THE VERDICT... LOVED IT (for what it was)!!! If you can, buy a hard shell Kayak or Canoe, they perform better and are easier to clean up after using. On the other hand, if you want an inflatable for portability purposes, This is the one to get. Hardcore Yakers might boast of how much better the hard shell is but try sticking a traditional kayak in the trunk of your Honda Civic on a long road trip because you \"MIGHT\" run into a lake you \"MAYBE\" would like to explore. Not to mension finding a place to store a 10 foot plus Yak or Canoe in your apartment or in the hotel room because your paranoid that someone might steal it off the roof of your car... (GET THE PICTURE?) As for the product itself, Yes, I was a bit annoyed at the Boston Valve Issue, but given the price and quality, this inflatable hit the spot. Why pay more for the alternatives, like Advance Elements, Aire, Bic, Sea Eagle... They all will be just as much of a pain to clean and dry out after playing with. Bang for the buck, I would say, the Colorado is my choice. I paid a couple of bucks short of $300 for my boat so do your shopping!!! Also, consider the season you buy these types of products. Summer will influence supply and demand, thus causing prices to vary, so you might pay a bit more than me who purchased my canoe at the dawn of spring. Good Luck and Happy shopping!!! Hey, I just realized I have a cargo van... Now, I\'m off to get me a hard-shell Kayak next :oD\";}i:1;a:5:{s:5:\"title\";s:7:\"Love it\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 30, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AAL7FXFHYSLV7\";s:4:\"name\";s:12:\"Jorge \"JorZ\"\";s:7:\"address\";s:19:\"Warrenville, Il USA\";}s:4:\"text\";s:3182:\"I bought two of these boats (Rio and Colorado) for moderate whitewater. They are the same boat and only differ in length to accommodate the number of paddlers. I have now ran 20 miles of mild rivers (Class I and II) with them without any issues. My wife paddles the Rio solo and I paddle the Colorado with my daughter in the front. I am very pleased with both the engineering and material of the boats but need to use them more to see how durable they are. I chose these over the Aire Tomcats because of price and so far I think I made the right choice. I expect the Aires to be better boats but for family use these should work great. If it is needed we will upgrade later on but based on reviews with some reasonable care we should be able to use these for many years. These are very stable but I suspect their limit to be rapids III+ or IV. We will do our first III run this weekend!<br /><br />So far we have got these stuck in rocks several times (low water levels) with no visible sign of wear. The bottom of the boats is a very tough plastic and seems to be doing its job. As some other reviewers commented these are not really designed for flat water so paddling in flat water or slow moving rivers is manageable but tedious. They track reasonably well in flat water for an inflatable but if you expect hardshell kayak tracking you will be disappointed. The paddle choices depends on the number of paddlers. Two paddlers could handle the Colorado with canoe paddles but I would not want to paddle the Colorado solo or the Rio with a canoe paddle. If paddling the Colorado solo or with a child (my daughter weight 50lbs) you want to invert the seats and paddle backwards as this helps balance the boat lengthwise. It tracks much better this way. If you will only inflate one of these boat you can do with a manual pump but if you have two you definitely want to use an electric pump initially and finish the inflation with a manual pump. Inflating these to the correct pressure without a pressure gauge is extremely difficult so I recommend to invest in a pressure gauge. I bought a \"Bravo\" and rigged it to my Coleman dual action pump which is a great combo.<br /><br />The correct kayak paddle length for paddlers irrespective of height is 240cms because of the fat and high side tubes. The problem with this was that paddles this long could not be found locally so we had to order online and wait for the delivery. If you insist in buying shorter paddles locally definitely don\'t go shorter than 230cms or you will not reach the water comfortably.<br /><br />My operating procedure for these boats is the following: 1) unfold, 2) inflate main chambers for volume with a 12v pump quickpump, 3) inflate main chambers for pressure with a manual pump with pressure gauge , 4) Inflate seats with the manual pump, 5) tie seats, 6) launch.<br /><br />After kayaking: 1) take out of water, 2) unplug drainage valve, 3) lift kayak to drain water, 4) dry with camp towel, 5) deflate manually, 6) deflate with pump, 7) dry again with camp towel, 8) unfasten seats, 9) fold, 10) drive home, 11) inflate for volume main chambers, 12) let dry for a day, 13) deflate with pump, 14) fold.\";}i:2;a:5:{s:5:\"title\";s:19:\"the best canoe ever\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 21, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AHQ46F1UR0AX4\";s:4:\"name\";s:5:\"jason\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:305:\"The canoe is light and easy to inflate, this canoe gets me my wife our 3yr old daughter and our 70lb chocolate lab around any lake no problem, its easy to carry with 1 person or 2, it comes with a patch kit but i dont think i will ever need it unless im really careless with it. You wont be disapointed...\";}i:3;a:5:{s:5:\"title\";s:23:\"A little dissappointing\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 22, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2IFQ78RIPB16T\";s:4:\"name\";s:13:\"StanleyManley\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3381:\"After reading all the positive reviews, I was quite excited to get this inflatable and try it out. I got it primarily for fishing with my 10 year old son. We took it out for the first time yesterday.<br /><br />On the positive side, the canoe is very well made. The material seems rugged and durable. Inflating it was relatively easy using the Coleman dual action pump. I also got a Coleman 12 Volt electric pump. That did a nice job of inflating it quickly, but it didn\'t deliver quite enough pressure, so you still need the manual pump to get it fully inflated. The documentation says to inflate to 1.5 PSI, but unless you have a pressure gauge, it is hard to tell exactly where that is. There are plenty of attachment points around the perimeter of the boat for attaching anchor, bait bucket, paddle leash, etc.<br /><br />My biggest complaint about the canoe is the seat. It might just be a personal thing, but I was not able to get fully comfortable. I tried adjusting the straps to get a better angle for the back, but after a couple of hours I ended up with an achy back.<br /><br />Also, with 2 passengers, there really isn\'t much space for a tackle box or cooler, or other supplies. There is a cargo area in the back of the canoe, but it is not easy to access since it is behind the back seat so it requires getting up and turning around.<br /><br />There is a paddle holder on each side of the canoe. Each one consists of a short bungee cord with a hook. It works fine, but you need two people to use it -- the front person to hook and unhook the front, and the back person to do the back. You really cannot reach the front hook from the back, or vice versa.<br /><br />Tracking was pretty good, but it would be a chore to paddle any great distance. Perhaps because of the cramped conditions, or maybe the less than ideal back rest, I didn\'t feel like paddling very far so our fishing was confined to a relatively small part of the lake.<br /><br />Overall, I cannot be too critical since it seems like a well made product and the price is reasonable. If I were fishing alone, and if the back rest were more comfortable, this canoe might be great. But for a 2 person fishing vessel, it left me wishing for a John boat or something with a bit more space.<br /><br />-----------------<br /><br />[edit] After using this canoe a few times, I am really starting to like it. For a 1 person fishing vessel, it is great. It\'s just too small for 2 people.<br /><br />I ordered the Coleman battery operated air pump which is a big help. No need to have the car nearby and plug it in. I would highly recommend a power pump to get the canoe inflated to 1 PSI. It only takes a few more pumps with a manual pump to get it to 1.5. Without the automatic pump, it is a bit of a chore to pump it up and also deflate it.<br /><br />I also ordered the Sevylor pump with built in pressure gauge. That allows me to get the pressure to 1.5 PSI and know when the pressure is right.<br /><br />And I got GTS Elite seat, which is a lot more comfy than the original seat. I took it out for 3 hours last week and my back was fine. It came with a brass clamp which I attached to the side handle on the canoe with a carabiner.<br /><br />I do not use the paddle holders; instead, I got some paddle leashes and use them to leash down my paddle as well as tackle box, and fishing rods. They work great.\";}i:4;a:5:{s:5:\"title\";s:16:\"Sevylor Colorado\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1Q7KTL7A2293X\";s:4:\"name\";s:8:\"VEZscope\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:690:\"Bought it together with 2 life vests, a dual action Coleman pump, one Sevylor paddle (a bit steep at $52+) and a cheaper one that works pretty well for <$24 and finally 2 kits of parts. Total $530 - Great boat, very stable and feels safe. Very confortable seats. Tried it on Spruce Run lake NJ first. Quickly inflates/deflates. Excellent quality, tracks well. Fast for an inflated kayak. If I had one little negative thing to say, it would be about the valves 4 and 5 under the seats that are difficult to reach for inflation and deconnection. Other main valves (#1 for bottom, #2 & 3 for sides) work great and are easy to deal with. Nice to have such good boat fit in a (large) duffle bag.\";}i:5;a:5:{s:5:\"title\";s:21:\"I Love My First Canoe\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"August 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2KSRNPPUEID0E\";s:4:\"name\";s:13:\"Montia Garcia\";s:7:\"address\";s:10:\"California\";}s:4:\"text\";s:959:\"- Does NOT include paddles, pump, pump adapter, pressure gauge.<br /><br />- Does include patch kit and seats.<br /><br />- The Colorado has two types of valves: the basic valve you\'d find on a inflatable beach ball and also the patented \"Double Lock Valve.\"<br /><br />- The Coleman \"Large Dual Action QuickPump\" works fantastic with this boat. It is able to inflate both types of valves and (quite fast!)<br /><br />- I\'ve only taken the Colorado out once so I can\'t speak for it\'s durability over time, but it feels sturdy and well made.<br /><br />- Sevylor\'s website is really lacking in helpful information about compatibility between their products and accessories. So I had a hard time finding the right pump. Their customer service is also hit and miss. They even recommended the wrong pump at first.<br /><br />- Overall, I am happy with this product. But 4 stars for needing to purchase a special pump because of the \"Double Lock Valve\" technology.\";}i:6;a:5:{s:5:\"title\";s:44:\"Hunting boat, built for comfort, versatility\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"January 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1VMMFU5EXTSUQ\";s:4:\"name\";s:12:\"Mark Higuera\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1224:\"I considered many options for a duck hunting boat. My favorite hunting area is in tidal marshland, and I need to be able to carry gear, and set the boat up as a blind. This boat is a tremendous value, and very versatile. As others have said, it\'s wonderfully portable. I can transport it in my Honda Civic either in the trunk or the back seat. I can use it alone with a lot of gear, or with another person and less gear. I find it really easy to launch, even if I have to drop a few feet down a bank; the bounciness of an inflatable has advantages here, because I can easily jump into the boat.<br /><br />Stability has been great. I have never come close to tipping it over. Because it accommodates two people, I anticipate using this for recreational canoeing with my family also. I would feel great using it in lakes, rivers, or the ocean, where it could serve as a pleasure vessel or a fishing or diving platform.<br /><br />The seats are adjustable and really comfortable, both for paddling and for sitting and waiting for ducks. It\'s built for comfort, not for speed as they say; I have to paddle harder to keep up with my buddies in hard shell kayaks, but for the price, the flexibility and the comfort, I don\'t mind.\";}i:7;a:5:{s:5:\"title\";s:10:\"Nice Canoe\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 2, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/APF6NM5R8CZTA\";s:4:\"name\";s:5:\"Barry\";s:7:\"address\";s:7:\"Florida\";}s:4:\"text\";s:292:\"As an amateur, I have to say this is a fun canoe to piddle around with. I got it to take my kids fishing in the bay behind my house, and it\'s been perfect for that. Add a little Sevylor 18SBM motor to it and you\'re good to go w/o kayak paddles or oars (at least for an hour or so). Fun stuff!\";}i:8;a:5:{s:5:\"title\";s:18:\"Outstanding Canoe!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 19, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AU7H283EX5VS6\";s:4:\"name\";s:16:\"Joseph D. Bryant\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1161:\"I had spent hours surfing the internet looking for the right canoe. I found this canoe and after reading the high ratings & in depth reviews I knew this is what I had been looking for. I took it out fishing today for the first time and needless to say I was highly impressed. I was out on the lake for five hours and had no issues with comfort as the seat has plenty of back support when adjusted properly. With all inflatable canoes you tend to lose a little speed when paddling but it makes up for it with great stability. Tracking during windy conditions can be challenging but that is something to be expected with all inflatable canoes. It is also perfect for people like me who live in an apartment where storage space can be limited. When stowed in it\'s convenient nylon bag it can easily fit in the trunk of a car. This canoe is a bit small for two people but it\'s perfect for one person. It has plenty of room for fishing gear and other things that you might want to bring along for a day on the water. In conclusion, I LOVE IT! My expectations in quality, durability, and easy set up were exceeded. I can\'t wait for another fun filled day on the lake!\";}i:9;a:5:{s:5:\"title\";s:31:\"Lengen.....................Dary\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A18FHSIVI3I36S\";s:4:\"name\";s:18:\"Mark A. Miller Jr.\";s:7:\"address\";s:7:\"Indiana\";}s:4:\"text\";s:112:\"This is awesome. Durable and easy to use. Get an 8\' kayak paddle to use with because doesn\'t come with a paddle.\";}}");
INSERT INTO `wp_postmeta` VALUES("3008", "450", "asg_last_refresh_attempt", "1371235767");
INSERT INTO `wp_postmeta` VALUES("3009", "450", "asg_update_timestamp", "1371235767");
INSERT INTO `wp_postmeta` VALUES("3010", "451", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3011", "451", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3012", "451", "asg_item_id", "B002616H6W");
INSERT INTO `wp_postmeta` VALUES("3013", "451", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B002616H6W\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Malone-Saddle-Universal-Kayak-Carrier/dp/B002616H6W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB002616H6W\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Malone-Saddle-Universal-Kayak-Carrier/dp/tech-data/B002616H6W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002616H6W\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB002616H6W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002616H6W\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB002616H6W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002616H6W\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB002616H6W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002616H6W\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B002616H6W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002616H6W\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B002616H6W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002616H6W\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B002616H6W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002616H6W\";}}}s:9:\"SalesRank\";s:6:\"126633\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL.jpg\";s:6:\"Height\";s:3:\"331\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41GzZ7TEhaL.jpg\";s:6:\"Height\";s:3:\"331\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51conTdhPsL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"26\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51conTdhPsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"66\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51conTdhPsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"66\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51conTdhPsL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"97\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51conTdhPsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"140\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51conTdhPsL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"439\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41Or8ZM%2BWvL._SL30_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41Or8ZM%2BWvL._SL75_.jpg\";s:6:\"Height\";s:2:\"35\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41Or8ZM%2BWvL._SL75_.jpg\";s:6:\"Height\";s:2:\"35\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41Or8ZM%2BWvL._SL110_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41Or8ZM%2BWvL._SL160_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41Or8ZM%2BWvL.jpg\";s:6:\"Height\";s:3:\"233\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Malone\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"MPG110MD\";}s:3:\"EAN\";s:13:\"0859557001509\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0859557001509\";}s:7:\"Feature\";a:5:{i:0;s:51:\"Saddles adjust to find the right fit for your kayak\";i:1;s:60:\"Solid nylon platform guarantees boat safety during transport\";i:2;s:59:\"Great for larger sit on top recreational and fishing kayaks\";i:3;s:72:\"JAWZ? mounting hardware fits round, square and factory oval cross rails.\";i:4;s:71:\"Includes bow & stern safety tie-downs and 2 - 12 foot cam buckle straps\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1280\";s:6:\"Length\";s:4:\"1500\";s:6:\"Weight\";s:1:\"9\";s:5:\"Width\";s:4:\"1460\";}s:5:\"Label\";s:6:\"Malone\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"15995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$159.95\";}s:12:\"Manufacturer\";s:6:\"Malone\";s:5:\"Model\";s:8:\"MPG110MD\";s:3:\"MPN\";s:8:\"MPG110MD\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"900\";s:6:\"Length\";s:4:\"1200\";s:6:\"Weight\";s:3:\"460\";s:5:\"Width\";s:4:\"1050\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"MPG110MD\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:6:\"Malone\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:7:\"CW37449\";s:6:\"Studio\";s:6:\"Malone\";s:5:\"Title\";s:89:\"Malone Saddle Up Pro Universal Car Rack Kayak Carrier (Set of 4) with Bow and Stern Lines\";s:3:\"UPC\";s:12:\"859557001509\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"859557001509\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"14395\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$143.95\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B002616H6W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002616H6W\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"oZD28Y0sbMSyMUMG0ViJ5jF2klJRCtQaPdxclZHEZ1A90NXVr9zpmvq6O3nZUP2PM5MVX3gus%2BVYW8mVMRVFkgCBV8s6HPNga9igyx7qzlzLui7%2FN6FyYQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"14395\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$143.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1600\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.00\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B002616H6W&atag=freetos-20&exp=2013-06-15T18%3A49%3A27Z&v=2&sig=3OD0Z9sdjqGgqxF3nZWU7GJlca0%2FX%2Bu8EKU024VGiB8%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:286:\"The Malone Saddle Up Pro universal car rack kayak carrier is the perfect option when considering transport for one kayak. The loading saddles allow the boat to nestle into the flexible profile of the cradles.  This carrier is ideal for larger sit on top recreational and fishing kayaks.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3014", "451", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:23:\"15 x 14.6 x 12.8 inches\";s:15:\"Shipping Weight\";s:10:\"4.6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B002616H6W\";s:17:\"Item model number\";s:8:\"MPG110MD\";}");
INSERT INTO `wp_postmeta` VALUES("3015", "451", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("3016", "451", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:16:\"Best of the best\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1B3NVO946I99F\";s:4:\"name\";s:7:\"Q. Wang\";s:7:\"address\";s:15:\"Seattle, WA USA\";}s:4:\"text\";s:1213:\"I recently bought a 3-person family kayak, the Old Town 15-Feet 3-Inch Dirigo Tandem Plus Recreational Double Kayak. The kayak is about 80 lbs. I want to take the kayak to camping trips. I certainly need a good kayak carrier. I have done many research and even ordered a L-shape carrier. But the L-shape is not well designed in my opinion(It has lots of good reviews). I finally decided to give this carrier a try, even it has no review yet.<br /><br />The material is very well made. The bolts and screws are strong and smooth. The design is well-thought. My 80-lb kayak sits on the carrier snugly, not moving a bit while I am driving and turning. The pieces are solid, I feel it is like a person sitting in a coach. The carrier and kayak are a perfect match.<br /><br />I went to hardware store and bought two tie-downs that with the tension faster($10 total), so I didn\'t use the stripes that comes with the carrier. I feel any cargo on the car roof needs that type of tie-downs. That\'s just my recommendation.<br /><br />Overall, the carrier is very reliable, well-design and well-made. It is my best investment along with the kayak. If you have a good size kayak like what I have, you will like this carrier.\";}i:1;a:5:{s:5:\"title\";s:17:\"Very good product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3QJCHCZU0U9BS\";s:4:\"name\";s:10:\"Kayak Fred\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:253:\"We transported our 60 Lb. fishing kayak from Mich to SW Florida. Drove freeways under windy conditions most of the way. No problems and very low level noise. They are very well designed and are real Quality product. Just follow the product instructions.\";}}");
INSERT INTO `wp_postmeta` VALUES("3017", "451", "asg_last_refresh_attempt", "1371235769");
INSERT INTO `wp_postmeta` VALUES("3018", "451", "asg_update_timestamp", "1371235769");
INSERT INTO `wp_postmeta` VALUES("3043", "454", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3021", "452", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3022", "452", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3023", "452", "asg_item_id", "B000SXN90C");
INSERT INTO `wp_postmeta` VALUES("3024", "452", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000SXN90C\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Malone-Standard-Block-Universal-Carrier/dp/B000SXN90C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000SXN90C\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Malone-Standard-Block-Universal-Carrier/dp/tech-data/B000SXN90C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SXN90C\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000SXN90C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SXN90C\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000SXN90C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SXN90C\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000SXN90C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SXN90C\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000SXN90C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SXN90C\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000SXN90C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SXN90C\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000SXN90C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SXN90C\";}}}s:9:\"SalesRank\";s:4:\"5988\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL._SL160_.jpg\";s:6:\"Height\";s:3:\"132\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL.jpg\";s:6:\"Height\";s:3:\"414\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL._SL110_.jpg\";s:6:\"Height\";s:2:\"91\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL._SL160_.jpg\";s:6:\"Height\";s:3:\"132\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Q9de99jVL.jpg\";s:6:\"Height\";s:3:\"414\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Malone\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"MPG156\";}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:9:\"Roof Rack\";s:3:\"EAN\";s:13:\"0859557001066\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0859557001066\";}s:7:\"Feature\";a:5:{i:0;s:60:\"Standard canoe kit for hauling single canoes short distances\";i:1;s:49:\"4 universal-fit, 6-inch, non-skid EVA foam blocks\";i:2;s:61:\"2 bow and stern tie-downs attach to front and rear of vehicle\";i:3;s:61:\"Pair of 15-foot side tie-down cords; 15-foot heavy-duty strap\";i:4;s:65:\"Includes 4 S-hooks; re-usable storage container and carrying case\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:4:\"1200\";s:6:\"Weight\";s:3:\"150\";s:5:\"Width\";s:4:\"1100\";}s:5:\"Label\";s:6:\"Malone\";s:15:\"LegalDisclaimer\";s:104:\"This is a Stearns product, Canoe Carrier & Tie Down Kit.  Purchased, ropes cut to length but never used.\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3895\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$38.95\";}s:12:\"Manufacturer\";s:6:\"Malone\";s:5:\"Model\";s:6:\"MPG156\";s:3:\"MPN\";s:6:\"MPG156\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:4:\"1440\";s:6:\"Weight\";s:3:\"160\";s:5:\"Width\";s:4:\"1070\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"MPG156\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:6:\"Malone\";s:3:\"SKU\";s:10:\"MAL-MPG156\";s:6:\"Studio\";s:6:\"Malone\";s:5:\"Title\";s:62:\"Malone Standard Foam Block Universal Car Top Canoe Carrier Kit\";s:3:\"UPC\";s:12:\"859557001066\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"859557001066\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.95\";}s:8:\"TotalNew\";s:1:\"6\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000SXN90C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SXN90C\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"mLGBKF1UUm3Hi5TClZ8XiLwkmGGGmbfbY%2BaDFS3nHntU9qsiYcHYLUZqiQB8C%2B5gOcXc9YL%2FIUiuhQ%2FeMKGhUPEZCkPPTAeonKmKetBuWe2Ffnrmnx1fYg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3604\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$36.04\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"291\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.91\";}s:15:\"PercentageSaved\";s:1:\"7\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000SXN90C&atag=freetos-20&exp=2013-06-15T19%3A31%3A16Z&v=2&sig=SEH2NKCGkV1%2FaUMPxWdL4%2BKHmgyjNyva9MlOLDGq%2F50%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:478:\"Malone foam block car top canoe carrier kits & blocks offer an affordable transport system for your canoe. We use high quality EVA closed cell foam. All of our blocks are produced with state of the art computer fabrication to insure total quality. The Standard Canoe Kit includes everything you will need to safely transport one canoe. We included two polypropylene over-hull straps and bow and tern lines to insure a safe transport for your boat and fellow drivers on the road.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1398:\"An ideal budget option for canoeists, the Malone standard canoe kit includes everything you need to haul a single canoe on short trips. The canoe kit comes with four 6-inch non-skid universal foam blocks to hold the canoe in place, along with two 15-foot tie-down cords, a 15-foot heavy-duty strap, a set of bow and stern safety tie-downs, and four S-hooks. The blocks are made of high-quality EVA closed-cell foam, ensuring a soft ride for your canoe. The tie-downs, meanwhile, fit to the front, rear, and sides of your vehicle for maximum safety. (The kit also fits round, square, or factory oval cross rails.) Finally, the kit comes with a re-usable storage container and carrying case. <p> <b>About Malone Auto Racks</b><br> Malone is the fastest-growing rack accessory company in North America, with a track record of more than 10 years of industry leadership and innovation. The company\'s products are sold in more than 1,500 outdoor online and retail stores throughout the U.S., Canada, Australia, and Europe. Malone operates from the coast of Maine, helping the company stay true to its mission and values. Everything Malone sells must be \"simple to sell, simple to install, and simple to use.\" The company is built to enhance its customers\' enjoyment of rivers, lakes, and oceans while minimizing their carbon footprint through aerodynamic transport design and complete material recycling.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2963", "445", "asg_last_refresh_attempt", "1371235756");
INSERT INTO `wp_postmeta` VALUES("2964", "445", "asg_update_timestamp", "1371235756");
INSERT INTO `wp_postmeta` VALUES("2965", "446", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2966", "446", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2967", "446", "asg_item_id", "B00BLDY1IM");
INSERT INTO `wp_postmeta` VALUES("2968", "446", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00BLDY1IM\";s:13:\"DetailPageURL\";s:204:\"http://www.amazon.com/Nylon-Kayak-Loops-Black-Pieces/dp/B00BLDY1IM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00BLDY1IM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:214:\"http://www.amazon.com/Nylon-Kayak-Loops-Black-Pieces/dp/tech-data/B00BLDY1IM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BLDY1IM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00BLDY1IM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BLDY1IM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00BLDY1IM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BLDY1IM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00BLDY1IM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BLDY1IM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00BLDY1IM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BLDY1IM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00BLDY1IM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BLDY1IM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BLDY1IM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BLDY1IM\";}}}s:9:\"SalesRank\";s:4:\"3155\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41vroHqeePL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41vroHqeePL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41vroHqeePL.jpg\";s:6:\"Height\";s:3:\"405\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41vroHqeePL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41vroHqeePL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41vroHqeePL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41vroHqeePL._SL110_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41vroHqeePL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41vroHqeePL.jpg\";s:6:\"Height\";s:3:\"405\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41mI3eCmOfL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41mI3eCmOfL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41mI3eCmOfL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41mI3eCmOfL._SL110_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41mI3eCmOfL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41mI3eCmOfL.jpg\";s:6:\"Height\";s:3:\"406\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41FjgPPq%2BEL._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41FjgPPq%2BEL._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41FjgPPq%2BEL._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41FjgPPq%2BEL._SL110_.jpg\";s:6:\"Height\";s:2:\"83\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41FjgPPq%2BEL._SL160_.jpg\";s:6:\"Height\";s:3:\"121\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41FjgPPq%2BEL.jpg\";s:6:\"Height\";s:3:\"378\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:6:{s:5:\"Brand\";s:23:\"Northwest Tarp & Canvas\";s:7:\"Feature\";a:4:{i:0;s:13:\"Nylon Pad Eye\";i:1;s:15:\"Kayak Deck Loop\";i:2;s:14:\"3/8\" Deck Loop\";i:3;s:30:\"For Rope & Lanyards Up To 3/8\"\";}s:15:\"PackageQuantity\";s:2:\"10\";s:12:\"ProductGroup\";s:23:\"Single Detail Page Misc\";s:15:\"ProductTypeName\";s:10:\"MISC_OTHER\";s:5:\"Title\";s:70:\"Nylon Deck Loop, Pad Eye, Tie Down, Kayak Deck Loops, Black, 10 Pieces\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BLDY1IM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BLDY1IM\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:23:\"Northwest Tarp & Canvas\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:164:\"7PleN9G4WHt3OKEwONWyrT%2B5QwaGDuAljcwBSu5hrdo%2BYH6k3Z73LlJtRice7JYmqW9RjfSRYonzBUuhGDs7HSNuT6W3nzw%2Fb07i8eSqgeFN%2F6VOJIpybuWHEzVW7kqAlByXIFevzFDQleilT993Ig%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.99\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00BLDY1IM&atag=freetos-20&exp=2013-06-15T18%3A49%3A16Z&v=2&sig=boTs9WhI40iacoHnf0GysOtVr3UsMiRZ145itrmcfTA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:194:\"10 Piece Nylon Pad Eye Set, Hole Spacing is 13/8\" Inch \n\nFor use with Lanyards / Ropes Up To 3/8\" Inch Thick\n\nHoles Sized for #10 Screw\n\nAlso Available in White\n\nScrews / Fastener\'s Not Included\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2969", "446", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00BLDY1IM\";}");
INSERT INTO `wp_postmeta` VALUES("2970", "446", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2971", "446", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:20:\"Review of Deck Loops\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 22, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3HB7JAOKBMAUC\";s:4:\"name\";s:9:\"rpronesti\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:111:\"Very sturdy loops. They are made well and compared to the various marine stores I checked, the price was great.\";}}");
INSERT INTO `wp_postmeta` VALUES("2972", "446", "asg_last_refresh_attempt", "1371235759");
INSERT INTO `wp_postmeta` VALUES("2973", "446", "asg_update_timestamp", "1371235759");
INSERT INTO `wp_postmeta` VALUES("2974", "447", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2975", "447", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2976", "447", "asg_item_id", "B001ASTHJG");
INSERT INTO `wp_postmeta` VALUES("2977", "447", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B001ASTHJG\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Sea-Eagle-Inflatable-Deluxe-Package/dp/B001ASTHJG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001ASTHJG\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Sea-Eagle-Inflatable-Deluxe-Package/dp/tech-data/B001ASTHJG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASTHJG\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001ASTHJG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASTHJG\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001ASTHJG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASTHJG\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001ASTHJG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASTHJG\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001ASTHJG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASTHJG\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001ASTHJG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASTHJG\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001ASTHJG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASTHJG\";}}}s:9:\"SalesRank\";s:5:\"42320\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZGIcIMm7L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"Sea Eagle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"SE370K_D\";}s:5:\"Color\";s:10:\"White/Blue\";s:10:\"Department\";s:7:\"Bedroom\";s:3:\"EAN\";s:13:\"0023634080095\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0023634080095\";i:1;s:13:\"0023634081603\";}}s:7:\"Feature\";a:4:{i:0;s:61:\"Affordable inflatable sport kayak is lightweight and portable\";i:1;s:47:\"Holds 3 people up to 650 pounds in total weight\";i:2;s:45:\"Inflation and assembly time is only 8 minutes\";i:3;s:70:\"Weighs just 32 pounds; measures 12 feet, 6 inches by 2 feet, 10 inches\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"700\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:4:\"4500\";s:5:\"Width\";s:4:\"1700\";}s:5:\"Label\";s:9:\"Sea Eagle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"56200\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$562.00\";}s:12:\"Manufacturer\";s:9:\"Sea Eagle\";s:5:\"Model\";s:8:\"SE370K_D\";s:3:\"MPN\";s:8:\"SE370K_D\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1100\";s:6:\"Length\";s:4:\"3430\";s:6:\"Weight\";s:4:\"5220\";s:5:\"Width\";s:4:\"2060\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"SE370K_D\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Sea Eagle\";s:11:\"ReleaseDate\";s:10:\"2011-05-06\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:12:\"DI_DSD480908\";s:6:\"Studio\";s:9:\"Sea Eagle\";s:5:\"Title\";s:52:\"Sea Eagle SE370 Inflatable Kayak with Deluxe Package\";s:3:\"UPC\";s:12:\"023634081603\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"023634081603\";i:1;s:12:\"023634080095\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:1:{s:14:\"FormattedPrice\";s:18:\"Too low to display\";}s:8:\"TotalNew\";s:1:\"8\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B001ASTHJG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASTHJG\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"VMInnovations\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:172:\"fbUs%2BF6o5ULN0wZNE1ymt%2FwcuLFlE0Bf5vocED2Vghqd%2Flzknr1nd1KjVIKkctKsO3VI3i7T0gT2esQqIVMHuk6kvyvGdBOEeoUHr6zXdtk3nlEFdXuOnRovj9IsJwNzcu2ymjV%2FXIJBQk%2BP070H1TNE%2BNK9IFsd\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"29900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$299.00\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:5:\"26300\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$263.00\";}s:15:\"PercentageSaved\";s:2:\"47\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001ASTHJG&atag=freetos-20&exp=2013-06-15T18%3A49%3A19Z&v=2&sig=6%2BbL%2BRZfXYb5QdAmmss7jz%2Fj38UdxysaPeIyuHuBMCA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:383:\"The SE370 inflatable kayak packs down to fit in a storage bag, but has cargo space for camping supplies for several days. An inflatable kayak can be used for fishing, yacht tending or skin diving. For river runners, the Sea Eagle 370 can handle up to class three whitewater. In many ways, this is the easiest to use, the most versatile and the most fun inflatable kayak that we sell.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2691:\"At 32 pounds, you can take this 2-person inflatable kayak just about anywhere--down the river, on the lake, or even out to sea. It will hold up to 500 pounds and carry two adults and gear, but only requires one person to carry it to and from the water. You can even take your dog out with you--the rugged Polykrylar hull is tough enough to withstand dog paws and claws. The SE370 packs down to fit in a storage bag, but has cargo space to hold camping supplies for several days. An inflatable canoe can be used for fishing, yacht tending or skin diving. For river runners, this kayak can handle up to class III whitewater. <p> The SE370 features an extra thick 33 millimeter Polykrylar hull, I-beam construction floor for extra rigidity, inflatable spray skirts, removable inflatable front and rear seat, front and rear rope handles, and a self-bailing drain valve (a handy feature on white water rivers or in ocean surf). Two molded skegs provide great tracking and speed and allows your kayak to track smoothly across the water to maximize your paddling effort. High-frequency welded seams are welded with 10,000 volts of power that ensure the fusion of the material into one solid piece to ensure this boat lives a long life. Remarkably stable, durable, and portable, this lightweight kayak is a convenient choice for any paddler. <p><table align=\"right\" cellpadding=\"10\" width=\"350\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"133\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/seaeagle-370.jpg\" width=\"350\" /><br /><br /><small><em><strong>The package includes kayak, two canoe seats, foot pump, oar set, carry bag, repair kit, and instructions.</strong></em></small></td> </tr> </tbody></table> <b>What\'s in the Box?</b> 2-person inflatable kayak, oar set, foot pump, two canoe seats, carry bag, repair kit, and instructions. <b>Features:</b> <ul> <li>2-person inflatable kayak <li>NMMA Certified <li>Self bailing drain valve <li>Three deluxe one-way valves <li>Lashed down inflatable spray skirts <li>I-beam construction floor <li>2 skegs on the bottom for better tracking & speed <li>Pressure gauge and repair kit <li>Bow & stern grab line </ul> <p> <b>Specifications:</b> <ul> <li>Interior: 10 feet, 8 inches by 1 foot, 1 inch <li>Exterior: 12 feet, 6 inches by 2 feet, 10 inches <li>Deflated: 31 by 19 by 8 inches <li>Tube Diameter: 9 inches <li>Capacity: 3 persons or 650 pounds <li>Weight: 32 pounds <li>Chambers: 3 (port, starboard and floor) <li>Material: 38 mil PolyKrylor (K80 PVC) <li>Seam: High-frequency welded <li>Floor: Inflatable I-beam construction <li>Air Valves: 5 deluxe 1-way <li>Inflation & Assembly time: 8 minutes </ul> <p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2898", "438", "asg_product_details", "a:3:{s:15:\"Shipping Weight\";s:10:\"0.3 ounces\";s:4:\"ASIN\";s:10:\"B004D9CTPI\";s:17:\"Item model number\";s:9:\"sppl 1335\";}");
INSERT INTO `wp_postmeta` VALUES("2899", "438", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2900", "438", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:18:\"What a great idea!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJQWAZZA5MSQB\";s:4:\"name\";s:18:\"Aaron P Biedenbach\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:178:\"My kayak paddle constantly dripped onto my lap so I thought I would try the drip guards. They are great and the wet lap is greatly reduced. For the best deal, get the leash also.\";}i:1;a:5:{s:5:\"title\";s:9:\"Nice set.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2CM46I3XBXEO4\";s:4:\"name\";s:4:\"Mike\";s:7:\"address\";s:2:\"TN\";}s:4:\"text\";s:390:\"This is a good buy, two nice products for a good price. I prefer the straight cord type leash as compared to the coiled type. I own both and have found the coiled type to sometimes be hindering. This leash stays out of my way and secures firmly to my paddle. The paddle splash cups stop much more water than my factory cups and add no noticible weight. I recommend this set to all kayakers.\";}i:2;a:5:{s:5:\"title\";s:27:\"Does Exactly What The Claim\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 20, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A1RAQNPLIGNJB\";s:4:\"name\";s:19:\"Dan Richo \"Mallrat\"\";s:7:\"address\";s:17:\"Sydney, Australia\";}s:4:\"text\";s:217:\"Long story short. These things do exactly what they claim to do and work really well. And because of the Amazon word count I must continue in my praise. They cost stuff all so why not give them a try. There, I\'m done.\";}}");
INSERT INTO `wp_postmeta` VALUES("2901", "438", "asg_last_refresh_attempt", "1371235740");
INSERT INTO `wp_postmeta` VALUES("2902", "438", "asg_update_timestamp", "1371235740");
INSERT INTO `wp_postmeta` VALUES("2903", "439", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2904", "439", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2905", "439", "asg_item_id", "B004RMFTU8");
INSERT INTO `wp_postmeta` VALUES("2906", "439", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004RMFTU8\";s:10:\"ParentASIN\";s:10:\"B004RMFTU8\";s:13:\"DetailPageURL\";s:210:\"http://www.amazon.com/Old-Town-10-Feet-6-Inch-Recreational/dp/B004RMFTU8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004RMFTU8\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:220:\"http://www.amazon.com/Old-Town-10-Feet-6-Inch-Recreational/dp/tech-data/B004RMFTU8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFTU8\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004RMFTU8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFTU8\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004RMFTU8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFTU8\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004RMFTU8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFTU8\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004RMFTU8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFTU8\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004RMFTU8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFTU8\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004RMFTU8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFTU8\";}}}s:9:\"SalesRank\";s:4:\"9136\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL110_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL110_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31w0gmCPSfL._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31w0gmCPSfL._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31w0gmCPSfL._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31w0gmCPSfL._SL110_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31w0gmCPSfL._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31w0gmCPSfL.jpg\";s:6:\"Height\";s:3:\"118\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Kvx2QrIHL._SL30_.jpg\";s:6:\"Height\";s:1:\"5\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Kvx2QrIHL._SL75_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Kvx2QrIHL._SL75_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Kvx2QrIHL._SL110_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Kvx2QrIHL._SL160_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21Kvx2QrIHL.jpg\";s:6:\"Height\";s:2:\"79\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Old Town\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:9:\"01-DR-COL\";}s:7:\"Feature\";a:6:{i:0;s:83:\"Recreational kayak known for easy to paddle design, upgraded with click seal hatch.\";i:1;s:122:\"Three-layer polyethylene construction provides exceptional stiffness and durability, light weight, and built-in flotation.\";i:2;s:112:\"Cushioned seat, glove box hatch for keys, wallet, or other small essentials, thigh pads, adjustable foot braces.\";i:3;s:114:\"Retractable carry handles, paddle keeper, cup holder, deck bungee, safety perimeter line, stabil form hull design.\";i:4;s:89:\"Ten foot, six-Inch length and 27.75-Inch width, cockpit measures 18.5-by-38-Inch (W x D).\";i:5;s:64:\"14-Inch deck height, 44-pound weight and 300-pound maximum load.\";}s:5:\"Label\";s:8:\"Old Town\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"59900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.00\";}s:12:\"Manufacturer\";s:8:\"Old Town\";s:5:\"Model\";s:9:\"01-DR-COL\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"2500\";s:5:\"Width\";s:4:\"1500\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Old Town\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:6:\"Studio\";s:8:\"Old Town\";s:5:\"Title\";s:53:\"Old Town 10-Feet 6-Inch Dirigo 106 Recreational Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"59995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"2\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:2:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B004RMFS0O\";s:10:\"ParentASIN\";s:10:\"B004RMFTU8\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL110_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL110_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31cDcrI4v1L.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Old Town\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.6820.0304\";}s:5:\"Color\";s:7:\"Sunrise\";s:3:\"EAN\";s:13:\"0759239268490\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239268490\";}s:7:\"Feature\";a:5:{i:0;s:148:\"Lightweight recreational kayak with Old Town\'s Stabil-form hull design is ideal for lakes, ponds, and flat rivers. Updated With New Click Seal Hatch\";i:1;s:65:\"3-layer polyethylene construction is extra-light and maneuverable\";i:2;s:72:\"Blow-molded cushioned and contoured seat, paddle keeper, and deck bungee\";i:3;s:70:\"Adjustable foot braces and thigh pads; glove box hatch for small items\";i:4;s:117:\"Stern bulkhead with the new Click Seal hatch. Easy to access, easy to use.... just one click and your gear is secure.\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"3096\";s:6:\"Length\";s:5:\"12990\";s:6:\"Weight\";s:2:\"60\";s:5:\"Width\";s:4:\"3000\";}s:5:\"Label\";s:8:\"Old Town\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}s:12:\"Manufacturer\";s:8:\"Old Town\";s:5:\"Model\";s:12:\"01.6820.0304\";s:3:\"MPN\";s:11:\"FBA-|311643\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1400\";s:6:\"Length\";s:5:\"12900\";s:6:\"Weight\";s:4:\"4640\";s:5:\"Width\";s:4:\"3050\";}s:10:\"PartNumber\";s:11:\"FBA-|311643\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Old Town\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:8:\"Old Town\";s:5:\"Title\";s:63:\"Old Town 10-Feet 6-Inch Dirigo 106 Recreational Kayak (Sunrise)\";s:3:\"UPC\";s:12:\"759239268490\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239268490\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:7:\"Sunrise\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:124:\"GkJJNZKbGPQgiLPXsfujJfk7mxPpfYFSVXwol831lzHpzYFWhB9hBh6VuqenN6LT7MyKtUKUsTj8RDu3kwInXN5KLJOxJ0iSn1WFmNKEhPUQLTwZf9Hudw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B004RMDN9M\";s:10:\"ParentASIN\";s:10:\"B004RMFTU8\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41gX3Wo8FwL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Old Town\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.6820.0302\";}s:5:\"Color\";s:5:\"Cloud\";s:10:\"Department\";s:6:\"Kayaks\";s:3:\"EAN\";s:13:\"0759239268476\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239268476\";}s:7:\"Feature\";a:5:{i:0;s:148:\"Lightweight recreational kayak with Old Town\'s Stabil-form hull design is ideal for lakes, ponds, and flat rivers. Updated With New Click Seal Hatch\";i:1;s:65:\"3-layer polyethylene construction is extra-light and maneuverable\";i:2;s:72:\"Blow-molded cushioned and contoured seat, paddle keeper, and deck bungee\";i:3;s:70:\"Adjustable foot braces and thigh pads; glove box hatch for small items\";i:4;s:117:\"Stern bulkhead with the new Click Seal hatch. Easy to access, easy to use.... just one click and your gear is secure.\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:1:\"0\";s:6:\"Length\";s:1:\"0\";s:5:\"Width\";s:1:\"0\";}s:5:\"Label\";s:8:\"Old Town\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}s:12:\"Manufacturer\";s:8:\"Old Town\";s:5:\"Model\";s:12:\"01.6820.0302\";s:3:\"MPN\";s:12:\"01.6820.0302\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1300\";s:6:\"Length\";s:5:\"13100\";s:6:\"Weight\";s:4:\"4400\";s:5:\"Width\";s:4:\"3100\";}s:10:\"PartNumber\";s:12:\"01.6820.0302\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Old Town\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:8:\"Old Town\";s:5:\"Title\";s:61:\"Old Town 10-Feet 6-Inch Dirigo 106 Recreational Kayak (Cloud)\";s:3:\"UPC\";s:12:\"759239268476\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239268476\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Cloud\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:6:{s:14:\"OfferListingId\";s:154:\"O6g1uv0FFYeBSm2Nt2l6heroL2BX%2BsBtdoUx1n1s9yIQ17gD5nE4gGd275aW1JkYVifrM97bh1UiG6fPCnQ20%2Faiuuav%2Fycn%2BCCp0Mjo7txNU%2Fnoa%2FxKhcOTbY0oO2JbAY7SdshJpnQ%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"59995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:1:\"4\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$0.04\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004RMFTU8&atag=freetos-20&exp=2013-06-15T18%3A49%3A00Z&v=2&sig=DKlQ%2FF2hFtClkaoDMwKF6LcBhU9ftZCfcGrPFJntL84%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:953:\"The Dirigo 106 offers stability, speed, and comfort in a short manueverable kayak. The Old Town Stabil-Form hull is ideally suited for beginner and intermediate paddlers for use in a wide range of paddling situations. The Dirigo 106 offers comfortable seating, a fully appointed dashboard, deck bungee, and Old Town\'s revolutionary Click Seal hatch. Sized perfectly for small to mid-sized paddlers, the Dirigo 106 will accommdate up to 250-300 lbs. FEATURES: * OT Cushioned Seat * Click Seal hatch with bulkhead * Glove box hatch for keys, wallet * Thigh pads * Adjustable foot braces * Retractable carry handles * Paddle keeper * Cup holder * Deck bungee * Safety perimeter line * Stabil-form™ hull design * Durable three layer construction   SPECIFICATIONS: * Length: 10\' 6\" / 3.2 m * Width: 27.75\" / 70.5 cm * Cockpit: 18.5\" x 38\" / 46.9 x 96.5 cm * Deck Height: 14\" / 35.6 cm * Weight 44 lbs / 20 kg * Max Load Range 250 - 300 lbs / 113.4 - 136 kg\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2045:\"<table align=\"right\" cellpadding=\"10\" width=\"450\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"118\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B004RMFTU8.jpg\" width=\"450\" /><br /><br /><small><em><strong>The roomy cockpit features a padded, supportive seat, with plenty of storage and tie-downs.</strong></em></small></td> </tr> </tbody></table> The popular Dirigo is known for its easy-to-paddle design, and this model has been upgraded with a new Click Seal hatch, an easily reachable cargo cover that secures your gear with one click. <p> Three-layer polyethylene construction provides exceptional stiffness and durability, surprisingly light weight, and built-in flotation at an attainable price. A spacious cockpit and rock-solid initial stability combine with plenty of cargo and leg room for a very user-friendly kayak for those just starting out with the sport. <p> <b>Features</b><br> <ul> <li>Cushioned seat <li>Click Seal hatch with bulkhead <li>Glove box hatch for keys, wallet, or other small essentials <li>Thigh pads <li>Adjustable foot braces <li>Retractable carry handles <li>Paddle keeper <li>Cup holder <li>Deck bungee <li>Safety perimeter line <li>Stabil-form hull design <li>Durable three layer construction </ul> <p> <b>Specifications</b><br> <ul> <li>Ten-foot, six-inch length <li>27.75-inch width <li>Cockpit measures 18.5-by-38 inches (W x D) <li>14-inch deck height <li>44-pound weight <li>300-pound maximum load </ul> <p> <b>About Old Town</b><br> Old Town has a long tradition of innovative technology, dating back to 1898, when the company built its first wood-and-canvas canoe, based on a Native American birch bark design. In 1940, the company rendered the traditional seal-skin kayak design in more durable wood-and-canvas, and later introduced lightweight fiberglass models in the \'50s. <p> Today, Old Town continually strives to advance the art of paddling through design improvements and lighter, more durable materials, such as three-layer polyethylene and Superlinear technologies.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2767", "423", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004UOTQV6\";s:17:\"Item model number\";s:10:\"5241-Kayak\";}");
INSERT INTO `wp_postmeta` VALUES("2768", "423", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2769", "423", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:25:\"Cracked Blades on 1st Use\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"April 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1HEYUDFAK1M0S\";s:4:\"name\";s:6:\"Mike S\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:702:\"I just recently brought this out for the first day of 2012 kayaking. I\'ll cut to the chase... the first time I bottomed out into some shallows I used this paddle to push off back into deeper water. Immediately after I noticed a huge crack in the blade of the paddle. It makes sense though, the blades are thin and \'bendy\' compared to any other paddle I have used.<br /><br />I will give it 2 stars rather than 1 because the padded shaft really does help and saves buying a set of paddle-pads. Other than that, the thin & bending blades of the paddle make it inferior to a similar priced paddle with stronger blades.<br /><br />I\'m sure I can\'t return this paddle at this point, but if I could, I would.\";}i:1;a:5:{s:5:\"title\";s:17:\"Surprisingly Good\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"February 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1I02B0XN12W58\";s:4:\"name\";s:9:\"Phil Meek\";s:7:\"address\";s:2:\"VA\";}s:4:\"text\";s:1264:\"I picked up the blue 240cm (96 inch) version of this paddle a few months ago as my starter paddle for kayaking. I originally chose this one for the low end price point, and it\'s well worth the cost. The 240cm version weighs in at 1003g (35.4oz) on my wife\'s kitchen scale, which is actually 0.6oz lighter than a Werner Tybee paddle that I later picked up for my wife (30cm shorter and 3x the price).<br /><br />Comfort wise, this paddle has a good feel and balance to it. Foam grips help ease some of the hand strain for longer paddling sessions and are a bonus on colder days. I had slipping issues with the foam on the first day I used the paddle, but haven\'t noticed any since. It may have been my inexperience or a breaking in issue more than an problem with the paddle itself.<br /><br />The drip rings could be better. They move around too easily and don\'t seem to stop as much water at the drip rings on my other paddles. It\'s a small concern for me though. If amazon had half stars, I would knock off half a star for the drip rings, but otherwise this is a solid choice for the lower cost paddles. Even though this paddle is no longer my primary, it still comes along as a solid backup. And when my kids come along, they actually prefer this to the Werner.\";}i:2;a:5:{s:5:\"title\";s:24:\"Very easy to use paddle.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"February 8, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A16BLQNEGYXYP6\";s:4:\"name\";s:6:\"Marsha\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:123:\"Quiet, dips and pulls smoothly through the water. Light to handle, nice to have padded grip and drip guard. Love it so far.\";}i:3;a:5:{s:5:\"title\";s:6:\"paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 31, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1DPCLC15WP321\";s:4:\"name\";s:16:\"leonard d. jones\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:106:\"used this paddle for my frist trip really good weight and lenght easy to handle and grips are placed right\";}i:4;a:5:{s:5:\"title\";s:10:\"Good Value\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A38TEVKNG0U5IQ\";s:4:\"name\";s:5:\"Chris\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:164:\"I have not gotten a chance to use this baby yet but I am very pleased with the quality of it. Nice grips, very sturdy. You can also change the angles of the blades.\";}i:5;a:5:{s:5:\"title\";s:25:\"Tough light weight paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3CY6GN6JBK5PW\";s:4:\"name\";s:4:\"Rick\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:187:\"Very nice paddle that I use going down the New River in Boone NC. Light enough in weight to whip around in the water to maneuver yourself pretty well. Great paddle. I highly recommend it.\";}i:6;a:5:{s:5:\"title\";s:16:\"love this paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1E0RUI9BMRSAP\";s:4:\"name\";s:7:\"Jimmy V\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:211:\"My first paddle! Great bright blue color and it works for me as my first paddle for sure. The handles are padded and that makes the biggest difference to me. Keeps the skin between thumb and finger from peeling.\";}i:7;a:5:{s:5:\"title\";s:18:\"Not what I ordered\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 14, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A199MRIJRMBFHT\";s:4:\"name\";s:9:\"lostdiver\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:126:\"I ordered a orange/yellow and received an advanced orange! The product seems to be of good quality just not the correct color.\";}i:8;a:5:{s:5:\"title\";s:42:\"Great paddle, but the yellow is not yellow\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AWQCQB37DMZB0\";s:4:\"name\";s:11:\"Catharine O\";s:7:\"address\";s:17:\"Northern Virginia\";}s:4:\"text\";s:721:\"I ordered one 96-inch and one 84-inch paddle for us to use in our tandem kayak. Strangely, the 84-inch shipped normally (PS or USPS?), but the 96-inch came the following day and was delivered by a freight company that needed to call to arrange a delivery time.<br /><br />We are very happy with the paddles (although we have since determined that the 84-inch is too short and we are now replacing it with another 96-inch). The quality is good. They come apart and go back together easily. We like the foam grips.<br /><br />Note that the \"yellow\" paddle is actually orange. Not an orangish-yellow, but ORANGE. it is pretty, but it is not like the picture and I keep wondering how in the world anyone could call it yellow.\";}i:9;a:5:{s:5:\"title\";s:24:\"Great lightweight paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3R7SSVFGTCWMI\";s:4:\"name\";s:14:\"thedailynathan\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:314:\"I absolute love this paddle. Extremely lightweight and sturdy (it comes in two pieces, some cheaper paddles come in 4 pieces for compactness but their paddle ends can become a bit wobbly if you paddle too hard).<br /><br />Has rings to prevent water drip, and the foam handle areas are very smooth and comfortable.\";}}");
INSERT INTO `wp_postmeta` VALUES("2747", "421", "asg_item_id", "B003JGYP80");
INSERT INTO `wp_postmeta` VALUES("2746", "421", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2737", "420", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2738", "420", "asg_item_id", "B000EQ12LG");
INSERT INTO `wp_postmeta` VALUES("2739", "420", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000EQ12LG\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Think-Great-Kayak-Goodluck-Charm/dp/B000EQ12LG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000EQ12LG\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Think-Great-Kayak-Goodluck-Charm/dp/tech-data/B000EQ12LG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000EQ12LG\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000EQ12LG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000EQ12LG\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000EQ12LG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000EQ12LG\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000EQ12LG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000EQ12LG\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000EQ12LG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000EQ12LG\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000EQ12LG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000EQ12LG\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000EQ12LG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000EQ12LG\";}}}s:9:\"SalesRank\";s:6:\"101495\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21064YCHCEL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21064YCHCEL._SL160_.jpg\";s:6:\"Height\";s:3:\"125\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21064YCHCEL.jpg\";s:6:\"Height\";s:3:\"188\";s:5:\"Width\";s:3:\"240\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21064YCHCEL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21064YCHCEL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21064YCHCEL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21064YCHCEL._SL110_.jpg\";s:6:\"Height\";s:2:\"86\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21064YCHCEL._SL160_.jpg\";s:6:\"Height\";s:3:\"125\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21064YCHCEL.jpg\";s:6:\"Height\";s:3:\"188\";s:5:\"Width\";s:3:\"240\";}}}s:14:\"ItemAttributes\";a:14:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:5:\"Think\";s:7:\"Feature\";a:3:{i:0;s:21:\"Hand made in the USA.\";i:1;s:27:\"Great gift for the paddler.\";i:2;s:68:\"Get it quick! Shipping via USPS Priority Mail with 2-3 day delivery.\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:5:\"Label\";s:18:\"Think Rain Designs\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:3:\"750\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.50\";}s:12:\"Manufacturer\";s:18:\"Think Rain Designs\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"50\";s:6:\"Length\";s:3:\"400\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"250\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:18:\"Think Rain Designs\";s:6:\"Studio\";s:18:\"Think Rain Designs\";s:5:\"Title\";s:26:\"Great Kayak Goodluck Charm\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1195\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.95\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000EQ12LG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000EQ12LG\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:18:\"Think Rain Designs\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:166:\"WASPIfvhXJtN5Dy84Dw7h6JLLCkVZ5jL53Uxi5kCDtBk%2FxZZUe1hsRxWMxEhLcq5Fa0dU%2B5JPq36zfnFaTSDbCTs03rLtb5XJIxLM9ELFqy0uSjbFFlB5vMT9eR%2F9vjR96Mu7ijmwuKVSc7LI0qXvKis6t3bO8tT\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1195\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.95\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000EQ12LG&atag=freetos-20&exp=2013-06-15T18%3A48%3A20Z&v=2&sig=GRorS%2BzhdwTOTpvWBZtETFChuxhF9BbD4F7CbfPfKRM%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:264:\"Think Rain has been designing and producing gifts for kayak and canoe paddlers since 1998. We pride ourselves on  quality products, reasonable prices and quick shipping. Whether you decide on a decal, shirt, hat or license plate we are certain you will be pleased.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2740", "420", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"1.6 ounces\";s:4:\"ASIN\";s:10:\"B000EQ12LG\";}");
INSERT INTO `wp_postmeta` VALUES("2741", "420", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("2742", "420", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:9:\"Beautiful\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 10, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1G626CGFI6IU0\";s:4:\"name\";s:2:\"JD\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:108:\"This piece is beautiful and solidly made. Arrived two days after I ordered it. I couldn\'t be more pleased...\";}i:1;a:5:{s:5:\"title\";s:20:\"Really cute present.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A29HE6V2SL7MHY\";s:4:\"name\";s:11:\"by pjr4sure\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:138:\"The charm was a cute Christmas present for a male whose has an interest in kayaking. Would look nice hanging from the mirror in any truck.\";}i:2;a:5:{s:5:\"title\";s:19:\"An amusing reminder\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 23, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1FB30GBSBEQ69\";s:4:\"name\";s:12:\"outdoorslady\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:175:\"This is an amusing reminder of some fun times I have with the ladies paddling group that I go out with. Also makes a good birthday present for any of your friends that paddle!\";}}");
INSERT INTO `wp_postmeta` VALUES("2743", "420", "asg_last_refresh_attempt", "1371235702");
INSERT INTO `wp_postmeta` VALUES("2744", "420", "asg_update_timestamp", "1371235702");
INSERT INTO `wp_postmeta` VALUES("2745", "421", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2735", "419", "asg_update_timestamp", "1371235700");
INSERT INTO `wp_postmeta` VALUES("2736", "420", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2734", "419", "asg_last_refresh_attempt", "1371235700");
INSERT INTO `wp_postmeta` VALUES("2731", "419", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:10:\"7.8 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B008OO82WC\";s:17:\"Item model number\";s:7:\"12-9903\";}");
INSERT INTO `wp_postmeta` VALUES("2732", "419", "asg_star_rating", "4.8");
INSERT INTO `wp_postmeta` VALUES("2733", "419", "asg_customer_reviews", "a:6:{i:0;a:5:{s:5:\"title\";s:9:\"Nice rack\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1KZAH8SICLFZK\";s:4:\"name\";s:8:\"NTN_John\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:317:\"I purchased these for my girlfriend, and was impressed. Solidly built, very easy to install. The straps are a nice safety feature, but she had me mount hers very low to the ground so they weren\'t absolutely necessary. The straps do work well to hold a beach towel over the cockpit to help keep it clean and dust-free.\";}i:1;a:5:{s:5:\"title\";s:9:\"Very Good\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2VIPFCRAJ2A0B\";s:4:\"name\";s:16:\"Down in Delaware\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:442:\"Appear to be very good quality and were relatively easy to install. Make sure you use the soap on the screw threads and have a good screwdriver and/or drill handy to drive them in. The screw threads are rather fine and it takes some strong steady pressure with a good screwdriver bit to drive them all the way in even after pilot drilling each hole. I definitely will be purchasing another set of these when I mount my next Kayak below these.\";}i:2;a:5:{s:5:\"title\";s:49:\"Easy to install, easy to use, just what I wanted!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 5, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1T1OG9BXGAU5T\";s:4:\"name\";s:17:\"David W. McMillan\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:919:\"I needed to get my kayak mounted on the wall and this was exactly what I needed. Easy to mount -- each rack mounts on the wall with 2 long wood screws. Total time to measure and install was less than 30 minutes. And the price of these racks was good -- very competitive with other products.<br /><br />Once you have your kayak sitting on the rack, it\'s very easy to properly tension the straps so they hold the kayak. I like the snap on the straps so they\'re easily removed when it\'s time to take the kayak down (Not sure if the straps are really needed because the kayak sits well in the &#34;J&#34; part of the rack, and doesn\'t lean forward, but still it\'s a nice thing to have the straps).<br /><br />I probably would feel a bit more comfortable if the pre-drilled holes in each rack were a bit farther apart, but that\'s just me. I suppose I could drill a 3rd hole a bit higher up on the rack, near the top strap...\";}i:3;a:5:{s:5:\"title\";s:16:\"Rack works well.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"March 4, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2AS1GSXL710YJ\";s:4:\"name\";s:9:\"W. Thomas\";s:7:\"address\";s:9:\"Minnesota\";}s:4:\"text\";s:100:\"The Suspenz EZ rack was very easy to install and does a good job of holding my kayak. No complaints.\";}i:4;a:5:{s:5:\"title\";s:13:\"Great Product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AS5OC6HFTX3KW\";s:4:\"name\";s:8:\"yooper24\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:314:\"Bought this to hold our P & H Cetus LV and MV kayaks. Excellent product. Cradles the hull well. I like that you can also secure the kayaks with the straps. The screws that are provided are crap, strip incredible easy while installing, however you can buy 4 lag bolts for about 50 cents at Lowes. Excellent product!\";}i:5;a:5:{s:5:\"title\";s:25:\"Very Sturdy, Easy Install\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3PXJJ1ESQEWE8\";s:4:\"name\";s:4:\"Fils\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:607:\"Got a 2-seater kayak and didn\'t have room for it to just sit around. Got the Suspenz EZ Kayak Rack and now it hangs nicely on the garage wall. This product is extremely sturdy, and comes with all mounting hardware and instructions (not that any are needed). The straps, while providing comfort that the kayak will not accidentally fall, really don\'t provide any additional security. But I do have my straps tied anyway. The foam padding is nice as the kayak rests on the pads to avoid scrapes and scratches. I shopped across may options, finally deciding on the Suspenz. I\'m glad I did, and you will be too!\";}}");
INSERT INTO `wp_postmeta` VALUES("2698", "415", "asg_last_refresh_attempt", "1371235692");
INSERT INTO `wp_postmeta` VALUES("2699", "415", "asg_update_timestamp", "1371235692");
INSERT INTO `wp_postmeta` VALUES("2700", "416", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2701", "416", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2702", "416", "asg_item_id", "B00411164S");
INSERT INTO `wp_postmeta` VALUES("2703", "416", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00411164S\";s:13:\"DetailPageURL\";s:195:\"http://www.amazon.com/Lifetime-Wave-Kayak-6/dp/B00411164S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00411164S\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:205:\"http://www.amazon.com/Lifetime-Wave-Kayak-6/dp/tech-data/B00411164S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00411164S\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00411164S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00411164S\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00411164S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00411164S\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00411164S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00411164S\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00411164S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00411164S\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00411164S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00411164S\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00411164S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00411164S\";}}}s:9:\"SalesRank\";s:5:\"34836\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41a9yYJldsL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Lifetime\";s:5:\"Color\";s:6:\"Yellow\";s:3:\"EAN\";s:13:\"0897827002146\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0897827002146\";}s:5:\"Label\";s:8:\"Lifetime\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"19999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$199.99\";}s:12:\"Manufacturer\";s:8:\"Lifetime\";s:3:\"MPN\";s:5:\"90099\";s:10:\"PartNumber\";s:5:\"90099\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Lifetime\";s:4:\"Size\";s:2:\"6\'\";s:6:\"Studio\";s:8:\"Lifetime\";s:5:\"Title\";s:22:\"Lifetime Wave Kayak 6\'\";s:3:\"UPC\";s:12:\"897827002146\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"897827002146\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"20948\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$209.48\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:200:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00411164S&atag=freetos-20&exp=2013-06-15T18%3A48%3A12Z&v=2&sig=FenEAdGOm59JS%2Biy%2F7JWO19u%2Fydg3jd4szFDIN%2FQ83o%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:241:\"The Lifetime® 6\' Wave™ kayak is specifically designed to be safe and durable for kids ages 5 and up, or up to 130 lbs. Featuring great stability, a swim-up step, scupper holes, and much more, the Wave is perfect for recreational kayaking.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2689", "414", "asg_last_refresh_attempt", "1371235689");
INSERT INTO `wp_postmeta` VALUES("2690", "414", "asg_update_timestamp", "1371235689");
INSERT INTO `wp_postmeta` VALUES("2691", "415", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2692", "415", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2693", "415", "asg_item_id", "B004E4ERUM");
INSERT INTO `wp_postmeta` VALUES("2694", "415", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004E4ERUM\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Sevylor-QuikPak-K5-Inflatable-Kayak/dp/B004E4ERUM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004E4ERUM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Sevylor-QuikPak-K5-Inflatable-Kayak/dp/tech-data/B004E4ERUM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4ERUM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004E4ERUM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4ERUM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004E4ERUM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4ERUM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004E4ERUM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4ERUM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004E4ERUM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4ERUM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004E4ERUM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4ERUM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004E4ERUM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4ERUM\";}}}s:9:\"SalesRank\";s:5:\"15899\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL._SL160_.jpg\";s:6:\"Height\";s:2:\"94\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL.jpg\";s:6:\"Height\";s:3:\"293\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:5:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL._SL110_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL._SL160_.jpg\";s:6:\"Height\";s:2:\"94\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41fy59OU1hL.jpg\";s:6:\"Height\";s:3:\"293\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41MU8P%2BuZDL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41MU8P%2BuZDL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41MU8P%2BuZDL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41MU8P%2BuZDL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41MU8P%2BuZDL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41MU8P%2BuZDL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZAVj-B7ZL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZAVj-B7ZL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZAVj-B7ZL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZAVj-B7ZL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZAVj-B7ZL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZAVj-B7ZL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41EujaTBWtL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"20\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41EujaTBWtL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41EujaTBWtL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41EujaTBWtL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"73\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41EujaTBWtL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"107\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41EujaTBWtL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"333\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41CT9-c2W%2BL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41CT9-c2W%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41CT9-c2W%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41CT9-c2W%2BL._SL110_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41CT9-c2W%2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"90\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41CT9-c2W%2BL.jpg\";s:6:\"Height\";s:3:\"281\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:31:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:10:\"2000006972\";i:1;s:14:\"768-2000006972\";}}s:5:\"Color\";s:6:\"orange\";s:10:\"Department\";s:4:\"Teak\";s:3:\"EAN\";s:13:\"0076501066128\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:3:{i:0;s:13:\"0076501066128\";i:1;s:13:\"0066556974677\";i:2;s:13:\"0066510974675\";}}s:7:\"Feature\";a:5:{i:0;s:66:\"1 Person inflatable kayak with grab and go backpack storage system\";i:1;s:50:\"1000D Polyester bottom laminated with 24-gauge PVC\";i:2;s:67:\"Double-lock and mini double-lock valves prevent accidental air loss\";i:3;s:55:\"Large storage area, multiple D-rings, and bungee lacing\";i:4;s:46:\"250-Pound capacity, measures 10-Feet by 3-Feet\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1000\";s:6:\"Length\";s:4:\"3400\";s:6:\"Weight\";s:4:\"2250\";s:5:\"Width\";s:4:\"2100\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"31299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$312.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:36:\"ManufacturerPartsWarrantyDescription\";s:5:\"Parts\";s:5:\"Model\";s:10:\"2000006972\";s:3:\"MPN\";s:10:\"2000006972\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:4:\"3600\";s:6:\"Weight\";s:4:\"3525\";s:5:\"Width\";s:4:\"3420\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000006972\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:11:\"ReleaseDate\";s:10:\"2011-02-15\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:9:\"DHA7K02UT\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:35:\"Sevylor QuikPak K5 Inflatable Kayak\";s:3:\"UPC\";s:12:\"066556974677\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:3:{i:0;s:12:\"066556974677\";i:1;s:12:\"076501066128\";i:2;s:12:\"066510974675\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"23750\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$237.50\";}s:8:\"TotalNew\";s:2:\"26\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004E4ERUM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4ERUM\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:124:\"ao82q7i7dVViVxCkEd2tIxVqBDJpPbVPtpuRcGvDm1wtNx94WEBYZjFOMoVC7KT82SJPx6vQfOw14B8K1EFaU0oXgloMItWZHF3uYpSk8girochZW4N8Vw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"23750\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$237.50\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"7549\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$75.49\";}s:15:\"PercentageSaved\";s:2:\"24\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004E4ERUM&atag=freetos-20&exp=2013-06-15T18%3A48%3A10Z&v=2&sig=4TVhP1BQvri1ZIxd%2FS1GpSzGTXyYvv2UGXULof%2FEK6M%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:844:\"The Sevylor QuickPak is the grab-and-go kayak. Portable and lightweight with an integrated backpack storage system, the QuickPak easily folds up into a backpack. Just unpack and inflate, and you\'re ready to go. The 1-Person QuickPak holds up to 250 pounds and measures 10\' long by 3\' wide. It\'s durably constructed of 900D polyester on top, and 1000D x 1000D polyester laminated with 24-gauge PVC on bottom. There\'s room for your gear, with a storage area, multiple D-rings, and bungee lacing. A spray skirt provides protection, while tracking fins make for easier steering. A paddle is included, as well as a dual-action hand pump for inflation. Guaranteed not to leak, thanks to Sevylor\'s exclusive Airtight System, the boat\'s Double-Lock and Mini Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:3151:\"Cruise the local waterways in comfort without hauling along a full-size kayak with the Sevylor QuikPak K5 inflatable kayak. <table align=right width=250 cellpadding=10> <tr><td><img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B004E4ERUM-1.jpg\" border=0 align=top><br><br><small><i><b>The K5 inflatable kayak comes with an integrated backpack storage system for easy carrying.</b></i></small></td></tr></table> Sevylor\'s inflatable kayaks and canoes contribute to people\'s wanderlust by slicing through lakes or whitewaters, letting boaters hunt for the day\'s catch or hidden waterways. The K5 kayak is one of Sevylor\'s grab-and-go kayaks, with an inflatable design that folds and stores in an integrated backpack storage system. When you arrive at the river, just unpack and inflate the kayak and you\'re ready to go. Despite the inflatable build, the K5 is extremely tough, with a 900D polyester top and a 1,000D polyester bottom laminated with 24-gauge PVC. In fact, the boat is guaranteed not to leak, with Double-Lock and Mini Double-Lock valves that prevent accidental air loss and an integrated AirTight system. And the K5 has few peers when it comes to storing gear, as the kayak includes a large storage area, multiple D-rings, and bungee lacing. <p> Other features include a spray skirt for protection, tracking fins for easier steering, a dual-action hand pump for quick inflation, handles for easy boarding, a built-in footrest, and a mesh carrying/dive bag. The QuikPak K5 kayak is certified by the National Marine Manufacturers Association (NMMA). <p> <b>Specifications:</b><br> <ul> <li>Seating: 1 person <li>Capacity: 250 pounds <li>Dimensions: 10 feet by 3 feet </ul> <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2668", "412", "asg_product_details", "a:3:{s:15:\"Shipping Weight\";s:10:\"0.6 ounces\";s:4:\"ASIN\";s:10:\"B005DHN4P8\";s:17:\"Item model number\";s:7:\"PX23577\";}");
INSERT INTO `wp_postmeta` VALUES("2669", "412", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("2670", "412", "asg_customer_reviews", "a:4:{i:0;a:5:{s:5:\"title\";s:7:\"Kayaker\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 21, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UPQEFS2D2BQR\";s:4:\"name\";s:29:\"Internet Buyer \"Happy Camper\"\";s:7:\"address\";s:11:\"Dreamsville\";}s:4:\"text\";s:138:\"Work as intended highly recommend. Not over priced<br />keeps kayaker dry while having your daily ride. Excellent<br />value for the price\";}i:1;a:5:{s:5:\"title\";s:33:\"Nice idea if it only worked right\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"February 23, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2HYP6O4D0DVNG\";s:4:\"name\";s:9:\"mirage790\";s:7:\"address\";s:8:\"Michigan\";}s:4:\"text\";s:215:\"It was better than a bare paddle, but some water still ran down to my hands. However my husband thinks it \'s my paddling style and the fact that being a petite person I have a very short paddle, and he may be right.\";}i:2;a:5:{s:5:\"title\";s:13:\"Great Product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"January 8, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A35053ZB918VSR\";s:4:\"name\";s:11:\"keywest4751\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:107:\"Works well and reduces the water dropping off paddle by 90%. Easy to install and will fit any of my paddles\";}i:3;a:5:{s:5:\"title\";s:20:\"They do help some...\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"August 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3M55R486M5RUF\";s:4:\"name\";s:31:\"Kevin Johnson \"Kevin on-the-go\"\";s:7:\"address\";s:15:\"Martinsburg, WV\";}s:4:\"text\";s:250:\"I won\'t say that they \"stop\" the drips, but they do help reduce the drips about 50%-75% depending on how aggressive you paddle. I also found that sliding them slightly up the paddle helps more than trying to use them as indicated in the ad\'s picture.\";}}");
INSERT INTO `wp_postmeta` VALUES("2671", "412", "asg_last_refresh_attempt", "1371235685");
INSERT INTO `wp_postmeta` VALUES("2672", "412", "asg_update_timestamp", "1371235685");
INSERT INTO `wp_postmeta` VALUES("2673", "413", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2674", "413", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2675", "413", "asg_item_id", "B0015Q8DQG");
INSERT INTO `wp_postmeta` VALUES("2676", "413", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0015Q8DQG\";s:13:\"DetailPageURL\";s:217:\"http://www.amazon.com/Malone-AutoLoader-J-Style-Universal-Carrier/dp/B0015Q8DQG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0015Q8DQG\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:227:\"http://www.amazon.com/Malone-AutoLoader-J-Style-Universal-Carrier/dp/tech-data/B0015Q8DQG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015Q8DQG\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0015Q8DQG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015Q8DQG\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0015Q8DQG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015Q8DQG\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0015Q8DQG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015Q8DQG\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0015Q8DQG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015Q8DQG\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0015Q8DQG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015Q8DQG\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0015Q8DQG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015Q8DQG\";}}}s:9:\"SalesRank\";s:5:\"89698\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"71\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"151\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"472\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"71\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"71\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"104\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"151\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51YZKK4Jk5L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"472\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51X4Ye%2BGrlL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51X4Ye%2BGrlL._SL75_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51X4Ye%2BGrlL._SL75_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51X4Ye%2BGrlL._SL110_.jpg\";s:6:\"Height\";s:2:\"98\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51X4Ye%2BGrlL._SL160_.jpg\";s:6:\"Height\";s:3:\"142\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/51X4Ye%2BGrlL.jpg\";s:6:\"Height\";s:3:\"445\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UJjudjplL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UJjudjplL._SL75_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UJjudjplL._SL75_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41UJjudjplL._SL110_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41UJjudjplL._SL160_.jpg\";s:6:\"Height\";s:2:\"83\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41UJjudjplL.jpg\";s:6:\"Height\";s:3:\"260\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Malone\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"MPG106MD\";}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:16:\"Kayak Roof Racks\";s:3:\"EAN\";s:13:\"0859557001349\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0859557001349\";}s:7:\"Feature\";a:5:{i:0;s:64:\"J-style car rack kayak carrier designed to withstand heavy winds\";i:1;s:53:\"Built-in boarding ramp for easy loading and unloading\";i:2;s:63:\"Cradles flex to fit boat, providing better contact and security\";i:3;s:73:\"Universal-fit Jawz hardware fits round, square, and most oval cross rails\";i:4;s:65:\"Supports up to 70 pounds; measures 14 x 16 x 6 inches (W x H x D)\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"850\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:3:\"530\";s:5:\"Width\";s:4:\"1200\";}s:5:\"Label\";s:6:\"Malone\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"13995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$139.95\";}s:12:\"Manufacturer\";s:6:\"Malone\";s:5:\"Model\";s:8:\"MPG106MD\";s:3:\"MPN\";s:8:\"MPG106MD\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"830\";s:6:\"Length\";s:4:\"2350\";s:6:\"Weight\";s:4:\"1260\";s:5:\"Width\";s:4:\"1200\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"MPG106MD\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:6:\"Malone\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:12:\"7S-OC98-I9JS\";s:6:\"Studio\";s:6:\"Malone\";s:5:\"Title\";s:86:\"Malone AutoLoader XV J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines\";s:3:\"UPC\";s:12:\"859557001349\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"859557001349\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"12595\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$125.95\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:5:\"11699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$116.99\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0015Q8DQG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015Q8DQG\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:144:\"C6svTdKSsSCI%2B%2BpG6QNd%2BM68hPslKFSDWbvEU6JSW9%2FL8Ys9eZI%2B%2Fvj1dEgNmJ%2BwjQgFHF0ENOs3%2BqtdmEvqBFJEZT1SZPZ8NaKWOMI%2BbNHvk3rEL%2Bh2Iw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"12845\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$128.45\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1150\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.50\";}s:15:\"PercentageSaved\";s:1:\"8\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0015Q8DQG&atag=freetos-20&exp=2013-06-15T18%3A48%3A06Z&v=2&sig=JKjVOvUxIexIpzbO7E2H3XssYNk4CnoKPJUT4Ux26hQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:465:\"The Malone Autoloader XV universal car rack kayak carrier includes everything you need to carry one kayak vertically on your roof top or trailer. The Autoloader XV developed here on the coast of Maine to withstand our brutal cross winds and crippling salt water corrosion. We were the first in the industry to produce a J style carrier and this years model is our best. The Malone universal JAWZ™ mounting hardware fits round, square and factory oval cross rails.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2222:\"Developed on the coast of Maine to withstand brutal crosswinds and crippling saltwater corrosion, the Malone AutoLoader J-style car rack kayak carrier sets the standard for kayak transport. <table align=\"right\" cellpadding=\"10\" width=\"300\"> <tbody><tr><td><img align=\"top\" border=\"0\" height=\"156\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/B0015Q8DQG-1.jpg\" width=\"300\" /><br /><br /><small><em><strong>The AutoLoader\'s J-style cradles hold kayaks up to 70 pounds.</strong></em></small></td></tr></tbody></table> The AutoLoader is equipped with a pair of J-style cradles, which combine to securely hold kayaks as heavy as 70 pounds. The AutoLoader is also the only carrier on the market with a built-in boarding ramp for easy loading and unloading. You can make loading even easier by adding a Telos load-assist module (sold separately), which lets a single paddler load a kayak without help. Once the boat is in place, you can use the pair of 12-foot cam buckle straps to secure the kayak to the cradles and the bow and stern lines to keep it stable. Throughout your drive, the cradles will flex to fit the boat for better contact and security. <p> The AutoLoader installs on vehicles with round, square, and most factory oval cross rails using the universal-fit Jawz mounting hardware. Plus, you can easily transfer the AutoLoader to another vehicle in minutes--no tools required. Corrosion-free and UV-resistant, the J-style cradles measure 14 by 16 by 6 inches (W x H x D) each. <p> <b>About Malone Auto Racks</b><br> Malone is the fastest-growing rack accessory company in North America, with a track record of more than 10 years of industry leadership and innovation. The company\'s products are sold in more than 1,500 outdoor online and retail stores throughout the U.S., Canada, Australia, and Europe. Malone operates from the coast of Maine, helping the company stay true to its mission and values. Everything Malone sells must be \"simple to sell, simple to install, and simple to use.\" The company is built to enhance its customers\' enjoyment of rivers, lakes, and oceans while minimizing their carbon footprint through aerodynamic transport design and complete material recycling.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2609", "405", "asg_last_refresh_attempt", "1371235670");
INSERT INTO `wp_postmeta` VALUES("2610", "405", "asg_update_timestamp", "1371235670");
INSERT INTO `wp_postmeta` VALUES("2611", "406", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2612", "406", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2613", "406", "asg_item_id", "B0015QADX2");
INSERT INTO `wp_postmeta` VALUES("2614", "406", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0015QADX2\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Malone-SeaWing-Saddle-Universal-Carrier/dp/B0015QADX2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0015QADX2\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Malone-SeaWing-Saddle-Universal-Carrier/dp/tech-data/B0015QADX2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015QADX2\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0015QADX2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015QADX2\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0015QADX2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015QADX2\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0015QADX2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015QADX2\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0015QADX2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015QADX2\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0015QADX2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015QADX2\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0015QADX2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015QADX2\";}}}s:9:\"SalesRank\";s:5:\"14793\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL._SL160_.jpg\";s:6:\"Height\";s:3:\"147\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL.jpg\";s:6:\"Height\";s:3:\"458\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL._SL110_.jpg\";s:6:\"Height\";s:3:\"101\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL._SL160_.jpg\";s:6:\"Height\";s:3:\"147\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51dB9EhseKL.jpg\";s:6:\"Height\";s:3:\"458\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51CiSGq0DML._SL30_.jpg\";s:6:\"Height\";s:2:\"19\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51CiSGq0DML._SL75_.jpg\";s:6:\"Height\";s:2:\"48\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51CiSGq0DML._SL75_.jpg\";s:6:\"Height\";s:2:\"48\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51CiSGq0DML._SL110_.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51CiSGq0DML._SL160_.jpg\";s:6:\"Height\";s:3:\"103\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51CiSGq0DML.jpg\";s:6:\"Height\";s:3:\"323\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41cXEjNuaWL._SL30_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41cXEjNuaWL._SL75_.jpg\";s:6:\"Height\";s:2:\"36\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41cXEjNuaWL._SL75_.jpg\";s:6:\"Height\";s:2:\"36\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41cXEjNuaWL._SL110_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41cXEjNuaWL._SL160_.jpg\";s:6:\"Height\";s:2:\"76\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41cXEjNuaWL.jpg\";s:6:\"Height\";s:3:\"239\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ORbGzwtOL._SL30_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ORbGzwtOL._SL75_.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ORbGzwtOL._SL75_.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51ORbGzwtOL._SL110_.jpg\";s:6:\"Height\";s:3:\"104\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51ORbGzwtOL._SL160_.jpg\";s:6:\"Height\";s:3:\"151\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51ORbGzwtOL.jpg\";s:6:\"Height\";s:3:\"472\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Malone\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"MPG107MD\";}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:16:\"Kayak Roof Racks\";s:3:\"EAN\";s:13:\"0859557001356\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0859557001356\";}s:7:\"Feature\";a:5:{i:0;s:57:\"Low-profile kayak/cargo carrier with single saddle design\";i:1;s:61:\"Easy-to-set-up mid-point mounting takes up minimal roof space\";i:2;s:52:\"Flexes gently to cradle boat and improve gas mileage\";i:3;s:76:\"Jawz mounting hardware fits round, square, and most factory oval cross rails\";i:4;s:64:\"Measures 27 x 5 x 6 inches (W x H x D); supports up to 70 pounds\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"600\";s:6:\"Length\";s:4:\"2800\";s:6:\"Weight\";s:4:\"1005\";s:5:\"Width\";s:3:\"800\";}s:5:\"Label\";s:6:\"Malone\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"13995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$139.95\";}s:12:\"Manufacturer\";s:6:\"Malone\";s:5:\"Model\";s:8:\"MPG107MD\";s:3:\"MPN\";s:8:\"MPG107MD\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"650\";s:6:\"Length\";s:4:\"2860\";s:6:\"Weight\";s:4:\"1120\";s:5:\"Width\";s:3:\"770\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"MPG107MD\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:6:\"Malone\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:8:\"MPG107MD\";s:6:\"Studio\";s:6:\"Malone\";s:5:\"Title\";s:85:\"Malone SeaWing Saddle Style Universal Car Rack Kayak Carrier with Bow and Stern Lines\";s:3:\"UPC\";s:12:\"859557001356\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"859557001356\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"12500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$125.00\";}s:8:\"TotalNew\";s:1:\"7\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0015QADX2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0015QADX2\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:134:\"4EEg0D%2BbFYdCN18gVwsJ26rtGKLFpUhlq%2FyjcXCLlAAPiq7FtESq9HP%2FRrb%2BgsXRaIYvgvW3cmEd2x2QYJmpopwX7fYB2KDeSCefQlDCq217xXpfKK%2Buyg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"12595\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$125.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1400\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.00\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0015QADX2&atag=freetos-20&exp=2013-06-15T18%3A47%3A50Z&v=2&sig=HYas7s289EmCKNKwarNfVgFgSgI1SAfg1WGPJs8Q4SI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:394:\"The Malone SeaWing universal car rack kayak carrier includes everything you need to carry one kayak bottom down on your roof top or trailer. The unique mid-mount design saves space and allows you to fit two kayaks bottom down on factory or after market cross rails. (with a second set of SeaWing carriers) The universal JAWZ™ mounting hardware fits round, square and factory oval cross rails.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2298:\"Need extra roof space for cargo or a second kayak yet concerned about gas mileage? Turn to the low-profile SeaWing kayak/cargo carrier, which is truly in a class by itself. <table align=\"right\" cellpadding=\"10\" width=\"250\"> <tbody><tr><td><img align=\"top\" border=\"0\" height=\"230\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/B0015QADX2-1.jpg\" width=\"250\" /><br /><br /><small><em><strong>The carrier\'s mid-point mounting leaves enough room to transport a second kayak (requires another carrier).</strong></em></small></td></tr></tbody></table> The SeaWing combines a single saddle design with mid-point mounting, making it easy to set up while providing extra roof space. Boaters can use this roof space to add a second kayak--the only bottom-down carrier in the market that encourages such versatility. The SeaWing\'s low profile, meanwhile, flexes gently to cradle your boat while you drive, keeping air resistance at a minimum. And the SeaWing works with most vehicles thanks to the universal-fit Jawz mounting hardware, which fits round, square, and most factory oval cross rails. The carrier even transfers to another vehicle in minutes--no tools required. <p> Construction features include corrosion-free polycarbon for the frame, ribbed synthetic rubber for the padding, cam-style load straps with buckle protectors, and 50mm and 60mm pre-coated mounting bolts (larger bolts are available for purchase if necessary). Compatible with the Malone Stinger load assist module, the SeaWing measures 27 by 5 by 6 inches (W x H x D) and supports up to 70 pounds. <p> <b>About Malone Auto Racks</b><br> Malone is the fastest-growing rack accessory company in North America, with a track record of more than 10 years of industry leadership and innovation. The company\'s products are sold in more than 1,500 outdoor online and retail stores throughout the U.S., Canada, Australia, and Europe. Malone operates from the coast of Maine, helping the company stay true to its mission and values. Everything Malone sells must be \"simple to sell, simple to install, and simple to use.\" The company is built to enhance its customers\' enjoyment of rivers, lakes, and oceans while minimizing their carbon footprint through aerodynamic transport design and complete material recycling.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2579", "402", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"1.6 ounces\";s:4:\"ASIN\";s:10:\"B00AYPETWQ\";}");
INSERT INTO `wp_postmeta` VALUES("2580", "402", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2581", "402", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:34:\"never lose a POLE OR A PADDLE ever\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A27W3FT6D3EAFG\";s:4:\"name\";s:11:\"Panther4you\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:101:\"They do there job well in all conditions NEVER A WORRY OF A lost paddle or fish pole....Fact ok ok ok\";}i:1;a:5:{s:5:\"title\";s:12:\"Does the job\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"June 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A13QLSOFMYADVK\";s:4:\"name\";s:8:\"M. Hobbs\";s:7:\"address\";s:29:\"Garberville, CA United States\";}s:4:\"text\";s:123:\"It does the job. Keeps my gear from getting lost, and seems durable. I don\'t have to worry so much about losing things now.\";}}");
INSERT INTO `wp_postmeta` VALUES("2582", "402", "asg_last_refresh_attempt", "1371235663");
INSERT INTO `wp_postmeta` VALUES("2583", "402", "asg_update_timestamp", "1371235663");
INSERT INTO `wp_postmeta` VALUES("2584", "403", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2585", "403", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2586", "403", "asg_item_id", "B004RM6NKI");
INSERT INTO `wp_postmeta` VALUES("2587", "403", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004RM6NKI\";s:10:\"ParentASIN\";s:10:\"B004RM6NKI\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Old-Town-10-Feet-Recreational-Fishing/dp/B004RM6NKI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004RM6NKI\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Old-Town-10-Feet-Recreational-Fishing/dp/tech-data/B004RM6NKI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RM6NKI\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004RM6NKI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RM6NKI\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004RM6NKI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RM6NKI\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004RM6NKI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RM6NKI\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004RM6NKI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RM6NKI\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004RM6NKI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RM6NKI\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004RM6NKI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RM6NKI\";}}}s:9:\"SalesRank\";s:5:\"29929\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL160_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL.jpg\";s:6:\"Height\";s:3:\"164\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL30_.jpg\";s:6:\"Height\";s:2:\"10\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL110_.jpg\";s:6:\"Height\";s:2:\"36\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL160_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL.jpg\";s:6:\"Height\";s:3:\"164\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL30_.jpg\";s:6:\"Height\";s:2:\"10\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL110_.jpg\";s:6:\"Height\";s:2:\"36\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL160_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL.jpg\";s:6:\"Height\";s:3:\"164\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31M5-X2anSL._SL30_.jpg\";s:6:\"Height\";s:1:\"9\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31M5-X2anSL._SL75_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31M5-X2anSL._SL75_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31M5-X2anSL._SL110_.jpg\";s:6:\"Height\";s:2:\"32\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31M5-X2anSL._SL160_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31M5-X2anSL.jpg\";s:6:\"Height\";s:3:\"144\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21y7mS0YWXL._SL30_.jpg\";s:6:\"Height\";s:1:\"6\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21y7mS0YWXL._SL75_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21y7mS0YWXL._SL75_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21y7mS0YWXL._SL110_.jpg\";s:6:\"Height\";s:2:\"21\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21y7mS0YWXL._SL160_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21y7mS0YWXL.jpg\";s:6:\"Height\";s:2:\"95\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Old Town\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:9:\"01-VA-COL\";}s:7:\"Feature\";a:5:{i:0;s:72:\"Sporty, \"get in and go\" kayak puts a premium on stability and efficiency\";i:1;s:59:\"Entry-level model in the line boasts impressive feature set\";i:2;s:96:\"Adjustable Comfort Flex seat; molded-in cockpit tray with cup holder; thigh pads; stern day well\";i:3;s:81:\"Adjustable foot braces; molded-in paddle rest; built in carry handles; drain plug\";i:4;s:147:\"Ten-foot length and 28.5-inch width; cockpit measures 19.5-by-48 inches (W x D); 16.75-inch deck height; 44-pound weight and 325-pound maximum load\";}s:5:\"Label\";s:8:\"Old Town\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"48900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$489.00\";}s:12:\"Manufacturer\";s:8:\"Old Town\";s:5:\"Model\";s:9:\"01-VA-COL\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"2500\";s:5:\"Width\";s:4:\"1500\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Old Town\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:6:\"Studio\";s:8:\"Old Town\";s:5:\"Title\";s:59:\"Old Town 10-Feet Vapor 10 Angler Recreational Fishing Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B004RMFXPY\";s:10:\"ParentASIN\";s:10:\"B004RM6NKI\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL160_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL.jpg\";s:6:\"Height\";s:3:\"164\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL30_.jpg\";s:6:\"Height\";s:2:\"10\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL110_.jpg\";s:6:\"Height\";s:2:\"36\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL160_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL.jpg\";s:6:\"Height\";s:3:\"164\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL30_.jpg\";s:6:\"Height\";s:2:\"10\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL110_.jpg\";s:6:\"Height\";s:2:\"36\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL._SL160_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31On5-IeVkL.jpg\";s:6:\"Height\";s:3:\"164\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31BRiiQFQSL._SL30_.jpg\";s:6:\"Height\";s:1:\"5\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31BRiiQFQSL._SL75_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31BRiiQFQSL._SL75_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31BRiiQFQSL._SL110_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31BRiiQFQSL._SL160_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31BRiiQFQSL.jpg\";s:6:\"Height\";s:2:\"91\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Old Town\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.6400.0025\";}s:5:\"Color\";s:4:\"Camo\";s:3:\"EAN\";s:13:\"0759239271155\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239271155\";}s:7:\"Feature\";a:5:{i:0;s:98:\"Stable and efficient polyethylene hull with roomy cockpit and outfitting to make any angler smile!\";i:1;s:138:\"Adjustable padded Comfort Flex seat, thigh pads, and adjustable foor braces provide a comfortable seating area with excellent boat control\";i:2;s:94:\"Cockpit amenities include molded-in cockpit dash board, cup holder, and molded-in paddle park.\";i:3;s:93:\"Additional features include molded carry handles, Stern day-well for storage, and drain plug.\";i:4;s:115:\"Angler features include two behind-the-seat flush-mounted rod holders, anchor with trolley system, and deck bungee.\";}s:5:\"Label\";s:8:\"Old Town\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Manufacturer\";s:8:\"Old Town\";s:5:\"Model\";s:12:\"01.6400.0025\";s:3:\"MPN\";s:14:\"OLDT0164000025\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1600\";s:6:\"Length\";s:5:\"12000\";s:6:\"Weight\";s:4:\"5500\";s:5:\"Width\";s:4:\"3000\";}s:10:\"PartNumber\";s:14:\"OLDT0164000025\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Old Town\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:4:\"Size\";s:4:\"Camo\";s:6:\"Studio\";s:8:\"Old Town\";s:5:\"Title\";s:66:\"Old Town 10-Feet Vapor 10 Angler Recreational Fishing Kayak (Camo)\";s:3:\"UPC\";s:12:\"759239271155\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239271155\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:4:\"Camo\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:132:\"dyrtSQ8LUd4SvQAmV0gfoI95R5sWUIjaj0%2BBoDSm%2FTCqELmDl%2FtNHHdX5yxNPWesrsWN7hG7eCTsACJkqvBEeWXFfeLWiZnLRCT2bpq%2FW3nlpTIgcbcAww%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004RM6NKI&atag=freetos-20&exp=2013-06-15T18%3A47%3A43Z&v=2&sig=rfochmMmhe29fTAnPmLez4FGybnhbWTOQ3v3lxYB4lY%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:693:\"Featuring a roomy cockpit, a stable, efficient hull, anchor trolley and more. The Vapor 10 Angler will help you access hard to reach places and navigate quietly through the water so you can sneak up on your catch. FEATURES: * Adjustable Comfort Flex seat * Molded-in cockpit dash board * Cup holder * Thigh pads * Stern day well * Deck bungee * Adjustable foot braces * Molded-in paddle rest * Built in carry handles * Two flush mounted rod holders * Anchor trolley system * Drain Plug SPECIFICATIONS: * Length: 10\' / 3 m * Width: 28.5\" / 72.4 cm * Cockpit: 19.5\" x 48\" / 49.5 x 121.9 cm * Deck Height: 16.75\" / 42.6 cm * Weight 44 lbs / 20 kg * Max Load Range 375 - 325 lbs / 124.7 - 147.4 kg\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1622:\"<table align=\"right\" cellpadding=\"10\" width=\"450\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"119\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B004RM6NKI.jpg\" width=\"450\" /><br /><br /><small><em><strong>Despite the kayak\'s streamlined design, the cockpit is surprisingly spacious, with thigh pads and an adjustable Comfort Flex seat.</strong></em></small></td> </tr> </tbody></table> Old Town\'s Vapor line of kayaks are sporty, \"get in and go\" vessels that put a premium on stability and efficiency. The Vapor 10 is the entry-level model, but its feature set doesn\'t disappoint. <p> <b>Features</b><br> <ul> <li>Adjustable Comfort Flex seat <li>Molded-in cockpit tray with cup holder <li>Thigh pads <li>Stern day well <li>Adjustable foot braces <li>Molded-in paddle rest <li>Built in carry handles <li>Drain plug </ul> <p> <b>Specifications</b><br> <ul> <li>Ten-foot length <li>28.5-inch width <li>Cockpit measures 19.5-by-48 inches (W x D) <li>16.75-inch deck height <li>44-pound weight <li>325-pound maximum load </ul> <p> <b>About Old Town</b><br> Old Town has a long tradition of innovative technology, dating back to 1898, when the company built its first wood-and-canvas canoe, based on a Native American birch bark design. In 1940, the company rendered the traditional seal-skin kayak design in more durable wood-and-canvas, and later introduced lightweight fiberglass models in the \'50s. <p> Today, Old Town continually strives to advance the art of paddling through design improvements and lighter, more durable materials, such as three-layer polyethylene and Superlinear technologies.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2537", "397", "asg_last_refresh_attempt", "1371235651");
INSERT INTO `wp_postmeta` VALUES("2538", "397", "asg_update_timestamp", "1371235651");
INSERT INTO `wp_postmeta` VALUES("2539", "398", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2540", "398", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2541", "398", "asg_item_id", "B002IAJ6MS");
INSERT INTO `wp_postmeta` VALUES("2542", "398", "asg_amazon_data", "a:15:{s:4:\"ASIN\";s:10:\"B002IAJ6MS\";s:10:\"ParentASIN\";s:10:\"B002IAJ6MS\";s:13:\"DetailPageURL\";s:200:\"http://www.amazon.com/Yakima-BoatLoader-Crossbar/dp/B002IAJ6MS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB002IAJ6MS\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:210:\"http://www.amazon.com/Yakima-BoatLoader-Crossbar/dp/tech-data/B002IAJ6MS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAJ6MS\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB002IAJ6MS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAJ6MS\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB002IAJ6MS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAJ6MS\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB002IAJ6MS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAJ6MS\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B002IAJ6MS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAJ6MS\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B002IAJ6MS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAJ6MS\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B002IAJ6MS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAJ6MS\";}}}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZDZou-E-L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:13:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:6:\"Yakima\";s:7:\"Feature\";a:5:{i:0;s:45:\"Telescoping arm retracts into Yakima crossbar\";i:1;s:40:\"Protects car while loading and unloading\";i:2;s:25:\"Great for taller vehicles\";i:3;s:19:\"Corrosion resistant\";i:4;s:17:\"Lifetime Warranty\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:4:\"3600\";}s:5:\"Label\";s:6:\"Yakima\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"7900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.00\";}s:12:\"Manufacturer\";s:6:\"Yakima\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:6:\"Yakima\";s:3:\"SKU\";s:8:\"10004875\";s:6:\"Studio\";s:6:\"Yakima\";s:5:\"Title\";s:26:\"Yakima BoatLoader Crossbar\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"7110\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$71.10\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"10100\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$101.00\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B000MB2KIW\";s:10:\"ParentASIN\";s:10:\"B002IAJ6MS\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL.jpg\";s:6:\"Height\";s:3:\"290\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL._SL110_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31Pg5iBa7nL.jpg\";s:6:\"Height\";s:3:\"290\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Yakima\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:4:{i:0;s:9:\"100081133\";i:1;s:11:\"YAK_8004018\";i:2;s:7:\"8004018\";i:3;s:10:\"Y108004018\";}}s:5:\"Color\";s:9:\"One Color\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0736745040185\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0736745040185\";}s:7:\"Feature\";a:5:{i:0;s:68:\"Side loading system designed for easy transport of canoes and kayaks\";i:1;s:58:\"Telescoping arm extends outward for quick 1-person loading\";i:2;s:64:\"Keeps boat away from car during loading; retracts into round bar\";i:3;s:66:\"Works on sedans, SUVs, trucks, and more; requires Yakima round bar\";i:4;s:63:\"Designed with valuable assistance and insight of boat retailers\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"3700\";s:6:\"Weight\";s:2:\"25\";s:5:\"Width\";s:3:\"400\";}s:5:\"Label\";s:15:\"Yakima Products\";s:15:\"LegalDisclaimer\";s:491:\"If a customer is unsatisfied with a product, Discount Ramps will accept returns within 30 days from date of purchase. Shipping costs incurred will be deducted from the refund amount. If an item had free shipping, the actual shipping cost will be deducted from the refund. No returns are accepted after 30 days. Discount Ramps does not accept returns on items with obvious signs of use or abuse, items returned missing parts, or items damaged by pets. *Items do not include mounting hardware*\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"7900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.00\";}s:12:\"Manufacturer\";s:15:\"Yakima Products\";s:5:\"Model\";s:7:\"8004018\";s:3:\"MPN\";s:12:\"62576.01.100\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"3720\";s:6:\"Weight\";s:3:\"455\";s:5:\"Width\";s:3:\"410\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"62576.01.100\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:15:\"Yakima Products\";s:11:\"ReleaseDate\";s:10:\"2007-10-08\";s:4:\"Size\";s:5:\"false\";s:3:\"SKU\";s:8:\"L-581327\";s:6:\"Studio\";s:15:\"Yakima Products\";s:5:\"Title\";s:53:\"Yakima BoatLoader Canoe and Kayak Side Loading System\";s:3:\"UPC\";s:12:\"736745040185\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"736745040185\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:9:\"One Color\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"false\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:118:\"5b8nORo9pN7GFhJzJXLGuiey1wftzVLf1JgHk%2BBhowpVTxoMF9p7hzt12ck6pmOj1%2BiE1WMasy2RvnDHKqRQO3eO6watC%2FAb2%2FhgNgNuoQY%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7110\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$71.10\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"790\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.90\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B002IAJ6MS&atag=freetos-20&exp=2013-06-15T18%3A47%3A31Z&v=2&sig=B%2BDObSMeeSnHrIT8MQlgimGArneM9D%2Btc4XR3gm4AdY%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:956:\"IT?S UNFORTUNATE YOU DON?T HAVE A SECOND SET OF ARMS. BECAUSE THEN YOU?D BE ABLE TO LOAD KAYAKS TWICE AS EASY. BUT SINCE YOU DON?T, THE BOATLOADER?LL GIVE YOU A HELPING HAND. (Does not apply to arachnids, as they may have up to four sets of arms, so if you?re an arachnid, simply disregard this section.) - Makes loading boats onto tall vehicles as easy as if you had your own personal Bigfoot helping you - Extendable arm retracts when you?re not hoisting boats - Keeps boats from dinging your car or falling on your toes - Corrosion-resistant construction and hardware Q: Can I carry loads on it? A: The BoatLoader is to be used only for loading and unloading. Do not attach accessories or attempt to transport loads with it. Q: What is it made of? A: The main bar is an aluminum sleeve over a solid steel core. Bolts are stainless steel and the nuts are brass. Q: What size wrench is used to install it? A: A 3/16? hex wrench, and it comes with the kit.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2465", "389", "asg_last_refresh_attempt", "1371235631");
INSERT INTO `wp_postmeta` VALUES("2466", "389", "asg_update_timestamp", "1371235631");
INSERT INTO `wp_postmeta` VALUES("2467", "390", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2468", "390", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2469", "390", "asg_item_id", "B000OZJCO6");
INSERT INTO `wp_postmeta` VALUES("2470", "390", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000OZJCO6\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Malone-Deluxe-Block-Universal-Carrier/dp/B000OZJCO6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000OZJCO6\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Malone-Deluxe-Block-Universal-Carrier/dp/tech-data/B000OZJCO6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000OZJCO6\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000OZJCO6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000OZJCO6\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000OZJCO6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000OZJCO6\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000OZJCO6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000OZJCO6\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000OZJCO6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000OZJCO6\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000OZJCO6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000OZJCO6\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000OZJCO6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000OZJCO6\";}}}s:9:\"SalesRank\";s:5:\"31313\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"56\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"118\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"370\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"22\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"56\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"56\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"81\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"118\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51VnkKw1hOL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"370\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41gYjPsH0YL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41gYjPsH0YL._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41gYjPsH0YL._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41gYjPsH0YL._SL110_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41gYjPsH0YL._SL160_.jpg\";s:6:\"Height\";s:2:\"90\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41gYjPsH0YL.jpg\";s:6:\"Height\";s:3:\"281\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Malone\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"MPG152\";}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:16:\"Kayak Roof Racks\";s:3:\"EAN\";s:13:\"0859557001042\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0859557001042\";}s:7:\"Feature\";a:5:{i:0;s:51:\"Deluxe kayak kit for hauling kayaks short distances\";i:1;s:55:\"2 universal-fit, 18-inch, non-skid laminate foam blocks\";i:2;s:66:\"Bow and stern S-hook tie-downs attach to front and rear of vehicle\";i:3;s:63:\"Blocks\' V-shaped cutouts are designed to fit almost every kayak\";i:4;s:67:\"Includes pair of 9-foot over-hull straps; carrying case for storage\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"600\";s:6:\"Length\";s:4:\"2200\";s:6:\"Weight\";s:3:\"2.9\";s:5:\"Width\";s:4:\"1300\";}s:5:\"Label\";s:6:\"Malone\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$54.95\";}s:12:\"Manufacturer\";s:6:\"Malone\";s:5:\"Model\";s:6:\"MPG152\";s:3:\"MPN\";s:6:\"MPG152\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"550\";s:6:\"Length\";s:4:\"2200\";s:6:\"Weight\";s:3:\"270\";s:5:\"Width\";s:4:\"1250\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"MPG152\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:6:\"Malone\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:10:\"MAL-MPG152\";s:6:\"Studio\";s:6:\"Malone\";s:5:\"Title\";s:66:\"Malone Deluxe Foam Block Universal Car Top Large Kayak Carrier Kit\";s:3:\"UPC\";s:12:\"859557001042\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"859557001042\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"4995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.95\";}s:8:\"TotalNew\";s:1:\"9\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000OZJCO6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000OZJCO6\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"sXslblDbIr52FNaz3kMaQuWrjpIMI8A1h5PYJ%2FxJxvuy78KTy%2FI6HZB7ElcecGFj6w%2BaU5z9BY8ZuvAQ%2FkzE8gmYnZNfB5HRu1US5cFZ3RPmqgwVvmds4A%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5225\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$52.25\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"270\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.70\";}s:15:\"PercentageSaved\";s:1:\"5\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000OZJCO6&atag=freetos-20&exp=2013-06-15T18%3A47%3A11Z&v=2&sig=4TVpCcf9if%2Fu2WZbbvWE3djmuujvjP1AnJI8OBJ9g8E%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:477:\"Malone foam block car top kayak carrier kits & blocks offer an affordable transport system for your kayak. We use high quality EVA closed cell foam. All of our blocks are produced with state of the art computer fabrication to insure total quality. The Deluxe Kayak Kit includes everything you will need to safely transport one kayak. We included two polypropylene over-hull straps and bow and stern lines to insure a safe transport for your boat and fellow drivers on the road.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1985:\"Sometimes you just need to transport a kayak a small distance--either home from the store or to a close-by river. Enter the Malone deluxe kayak kit, which includes everything you need to haul a kayak on occasional short trips. <table align=\"right\" cellpadding=\"10\" width=\"300\"> <tbody><tr><td><img align=\"top\" border=\"0\" height=\"175\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/B000OZJCO6-1.jpg\" width=\"300\" /><br /><br /><small><em><strong>The kit\'s pair of 18-inch EVA foam blocks support up to 70 pounds.</strong></em></small></td></tr></tbody></table> The kayak kit comes with two universal-fit, 18-inch, non-skid laminate foam blocks to cushion the kayak in place while evenly distributing the weight of the kayak over the roof frame. This keeps the kayak from distributing excessive pressure on the roof. The blocks also feature universal V-shaped cutouts, ensuring a great fit for every kayak. To secure the kayak during transport, the kit includes two 9-foot block tie-down straps and bow and stern S-hook tie-downs. Best of all, the kit fits virtually any vehicle, including cars with round, square, or factory oval cross rails. <p> The deluxe kayak carrier kit--which supports up to 70 pounds--includes a carrying case for easy storage. <p> <b>About Malone Auto Racks</b><br> Malone is the fastest-growing rack accessory company in North America, with a track record of more than 10 years of industry leadership and innovation. The company\'s products are sold in more than 1,500 outdoor online and retail stores throughout the U.S., Canada, Australia, and Europe. Malone operates from the coast of Maine, helping the company stay true to its mission and values. Everything Malone sells must be \"simple to sell, simple to install, and simple to use.\" The company is built to enhance its customers\' enjoyment of rivers, lakes, and oceans while minimizing their carbon footprint through aerodynamic transport design and complete material recycling.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2399", "382", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B004IBXK3G\";}");
INSERT INTO `wp_postmeta` VALUES("2400", "382", "asg_star_rating", "3.1");
INSERT INTO `wp_postmeta` VALUES("2401", "382", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:10:\"Be careful\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"May 28, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AKW9C1210R7IJ\";s:4:\"name\";s:9:\"SeraAvion\";s:7:\"address\";s:22:\"Salmons Falls, NH, USA\";}s:4:\"text\";s:449:\"I had one. It worked well on downwind, not so good at any other angle. Be careful in folding it. It is easy to fold to 2 circles and hard to make three. You will need the instructions near by in case you forget. And if you break the fiberglas rod on the perimeter like I did, don\'t go any farther, just throw it away because it will never work well again.<br />Nice idea and fun for the money but why make it impossible to replace the fiberglas rod?\";}i:1;a:5:{s:5:\"title\";s:23:\"Fun, but of limited use\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AMAKSD2ZN0BQY\";s:4:\"name\";s:10:\"Tychopappa\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:450:\"I\'ve used this sail on three separate occasions now. As advertised, it is a downwind only sail (i.e. can\'t be used to tack into the wind). It really does need a pretty solid breeze from behind to create a noticeable pull. That being said, it is very easy to install and deploy while afloat. The only other issue I have with it is the limited visibility you have when its deployed. Otherwise, its fun to use, particularly on a day with lots of breeze.\";}i:2;a:5:{s:5:\"title\";s:46:\"Hard to fold and you need a lot of wind to use\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"July 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ZSSWYJQ8MO73\";s:4:\"name\";s:16:\"John L. Robb Jr.\";s:7:\"address\";s:7:\"Chicago\";}s:4:\"text\";s:235:\"Same issue here. This is really hard to fold into 3 circles. It needs a lot of wind to make a noticeable difference. When it does work on a windy day its amazing.<br /><br />I think i should have spent a few bucks extra on a Windpaddle\";}i:3;a:5:{s:5:\"title\";s:38:\"only works on open water in stiff wind\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:17:\"September 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1GO8EREIQ6DH4\";s:4:\"name\";s:15:\"R Blair Leavell\";s:7:\"address\";s:24:\"Weston, FL United States\";}s:4:\"text\";s:707:\"If you notice the demo video is on a lake in a really strong wind. This is because it only has a few square feet of sail area. I have tried to use it several times on rivers, and even on some open water in a moderate breeze. It is basically useless 95% of the time. Unfortunately my 30 day return window expired before I tried it. Don\'t make the same mistake.<br /><br />I improvised a sail using the two paddles of my tandem kayak and a poncho, and it worked much better. More sail area and higher up into the wind. You just jam each paddle blade on each side of your seat and hold them in a Y configuration with the other blade of each paddle in a sleeve of the poncho. Works great and more steerable too.\";}i:4;a:5:{s:5:\"title\";s:8:\"Love it.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1L475R5KI4V83\";s:4:\"name\";s:7:\"Zenbums\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:136:\"Love this thing, use it at the beach all the time. Makes drifting back across the bay an absolute joy. Easy to store in boat and deploy.\";}i:5;a:5:{s:5:\"title\";s:44:\"Sail is good. Customer service is excellent.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 12, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2O2HWW1B6H3OM\";s:4:\"name\";s:12:\"henryonatrip\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1790:\"I bought two of these sails for my wife and me. We have two sit-in hard shell touring kayaks and we were able to attach them to the kayaks. I don\'t know about an inflatable but they work well on a hard shell kayak with rudder. We were able to get really close to birds and seals as the slightest breeze (about 3 knots) were enough to push us along quietly. We used our foot rudders to steer as we had both hands free to take photos as we drifted along.<br /><br />The only problem is the darn fiberglass poles and how you have to fold it into 3 circles. Folding it into two circles is not a problem. After several uses I finally ended up breaking the pole. I would like to get another one. Maybe I\'ll try using a small metal sleeve and some epoxy to splint up the rod. If that doesn\'t work, I\'ll probably end up buying another one.<br /><br />Shortly after writing the above review I was contacted by customer service from Advance Elements. I can\'t believe they read my comments posted on Amazon. I\'m impressed. I\'m even more impressed as they offered a solution to my problem.<br /><br />There is a new two loop design. Basically it\'s the old three loops design but now comes in a larger case so you only loop it into two circles.<br /><br />In these days of make a \"quick buck and forget about the customer\" companies you seldom run across a company like Advance Elements. You retain loyal customers by standing up behind your product and helping customers when they encounter a problem with your product. I don\'t own any Advance Elements boat - just the sail. But one of these days when I get too old to lift my hard shell kayak on top of my vehicle I\'ll be switching to an inflatable and you know which company I\'ll buy my from; Advance Elements. They take good care of their customers.\";}i:6;a:5:{s:5:\"title\";s:10:\"Will Break\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:17:\"December 20, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1M9SRJM85UUSQ\";s:4:\"name\";s:5:\"Bryan\";s:7:\"address\";s:6:\"Oregon\";}s:4:\"text\";s:1222:\"I got this sail for my advanced elements kayak. The idea is great (hence my two star review), a simple downwind sail for a little extra boost. The problem is the implementation. The biggest problem was the pole, as I\'m sure other reviews have said, this sail uses a thin fiberglass pole around the edge. This is very fragile and will break. I knew this was a problem from the reviews so I treated it with a very delicate touch. It\'s scary folding it for storage as it feels as it will break any moment. It took me two days to fold it back into its carrier when I first got it because I was to nervous to bend the pole far enough to fold it. The pole broke after only one installation on the boat I never even used it in wind. The break was likely caused by the dousing line but I can\'t be sure. The other main problem is the compatibility of sail to my kayak. I used it on an advanced elements two person inflatable and I thought it would work well as it is made by the same company. The clips were two small for the D rings built into the kayak. They fit, but not without excessive work to get them on and off. Would I buy this again with an improvement to the pole, absolutely, but until then I cant recommend this sail.\";}i:7;a:5:{s:5:\"title\";s:31:\"Can not recommend this product.\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"July 22, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1NPHWZRB228G9\";s:4:\"name\";s:43:\"William B. Boyce \"Buy the right one first!\"\";s:7:\"address\";s:14:\"USA NH Sunapee\";}s:4:\"text\";s:169:\"You need a pretty good gust of wind to get any use out of this thing.<br />Fairly easy to store out the way.<br /><br />Save your money and get the larger box foil/kite.\";}i:8;a:5:{s:5:\"title\";s:21:\"Advanced Element Sail\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 14, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AGHMYEVVU032Q\";s:4:\"name\";s:4:\"Artv\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:111:\"This a great addition to my Advanced Element Kayak, easy to install and can make your kayak go real, real fast!\";}}");
INSERT INTO `wp_postmeta` VALUES("2384", "380", "asg_last_refresh_attempt", "1371235612");
INSERT INTO `wp_postmeta` VALUES("2385", "380", "asg_update_timestamp", "1371235612");
INSERT INTO `wp_postmeta` VALUES("2386", "381", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2387", "381", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2388", "381", "asg_item_id", "B007FJVGOS");
INSERT INTO `wp_postmeta` VALUES("2389", "381", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B007FJVGOS\";s:13:\"DetailPageURL\";s:205:\"http://www.amazon.com/Premier-Kayak-Sit-kayak-handles/dp/B007FJVGOS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB007FJVGOS\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:215:\"http://www.amazon.com/Premier-Kayak-Sit-kayak-handles/dp/tech-data/B007FJVGOS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FJVGOS\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB007FJVGOS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FJVGOS\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB007FJVGOS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FJVGOS\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB007FJVGOS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FJVGOS\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B007FJVGOS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FJVGOS\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B007FJVGOS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FJVGOS\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B007FJVGOS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FJVGOS\";}}}s:9:\"SalesRank\";s:4:\"8895\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/410XASLwbkL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/410XASLwbkL._SL160_.jpg\";s:6:\"Height\";s:2:\"99\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/410XASLwbkL.jpg\";s:6:\"Height\";s:3:\"310\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/410XASLwbkL._SL30_.jpg\";s:6:\"Height\";s:2:\"19\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/410XASLwbkL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/410XASLwbkL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/410XASLwbkL._SL110_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/410XASLwbkL._SL160_.jpg\";s:6:\"Height\";s:2:\"99\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/410XASLwbkL.jpg\";s:6:\"Height\";s:3:\"310\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:16:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:7:\"Feature\";a:5:{i:0;s:34:\"Injection molded ergonomic handles\";i:1;s:52:\"Double layer tubular webbing for added reinforcement\";i:2;s:54:\"Molded end-tabs for added strength (two holes per tab)\";i:3;s:73:\"Kit comes with 2 handles (Installation required.  Hardware not included.)\";i:4;s:19:\"Lifetime Guarantee.\";}s:5:\"Label\";s:13:\"Premier Kayak\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.99\";}s:12:\"Manufacturer\";s:13:\"Premier Kayak\";s:5:\"Model\";s:5:\"H1999\";s:3:\"MPN\";s:5:\"H1999\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"110\";s:6:\"Length\";s:4:\"1000\";s:6:\"Weight\";s:2:\"35\";s:5:\"Width\";s:3:\"350\";}s:15:\"PackageQuantity\";s:1:\"2\";s:10:\"PartNumber\";s:5:\"H1999\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Premier Kayak\";s:6:\"Studio\";s:13:\"Premier Kayak\";s:5:\"Title\";s:38:\"Premier Kayak Sit on top kayak handles\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B007FJVGOS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FJVGOS\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:168:\"6Vnb0l1GEFRkke7SrY2dPh9%2FiWbSN8ZCDBG9jeizaxQOzKgx7VNrdMoK82tYn5grKf2eYaN84aiRzRWV5uGvCbTiL35aXfmeshdkbHXsM4qrbWW9ccgLlpY%2Bhz6zbTmCZZNTvnwSn%2Fv5JBVt%2FzawTJtMd0PD1d3i\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.99\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"1299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"400\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.00\";}s:15:\"PercentageSaved\";s:2:\"24\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B007FJVGOS&atag=freetos-20&exp=2013-06-15T18%3A46%3A52Z&v=2&sig=sUipvDXhmuxDZnuHStGk45ROkcdHQxvQ9ptI%2FwGgGm4%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:545:\"Premier Kayak ergonomic sit on top kayak handles can be used for new installations or to replace broken existing handles.  Made of outdoor materials proven to last in the harshest of elements, our handles add great versatility for portaging your kayak, canoe or other watercraft.  Handles are contoured for comfort and have a generous 5\" grip surface (measures 11\" from end-tab to end-tab).  Rubberized plastic end tabs create a solid connection to your kayak.  Included are two (2) kayak handles.  Installation required.  Hardware not included.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2375", "379", "asg_last_refresh_attempt", "1371235609");
INSERT INTO `wp_postmeta` VALUES("2376", "379", "asg_update_timestamp", "1371235609");
INSERT INTO `wp_postmeta` VALUES("2377", "380", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2378", "380", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2379", "380", "asg_item_id", "B001AI4HNM");
INSERT INTO `wp_postmeta` VALUES("2380", "380", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B001AI4HNM\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Carlisle-Magic-Plus-Kayak-Paddle/dp/B001AI4HNM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001AI4HNM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Carlisle-Magic-Plus-Kayak-Paddle/dp/tech-data/B001AI4HNM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HNM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001AI4HNM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HNM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001AI4HNM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HNM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001AI4HNM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HNM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001AI4HNM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HNM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001AI4HNM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HNM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001AI4HNM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HNM\";}}}s:9:\"SalesRank\";s:4:\"6916\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L._SL160_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L._SL30_.jpg\";s:6:\"Height\";s:1:\"3\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L._SL110_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L._SL160_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21A1GWpo25L.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"CPG-010\";}s:3:\"EAN\";s:13:\"0778890766336\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0778890766336\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:38:\"Shaft Material: Lightweight Fiberglass\";i:2;s:25:\"Weight: 35.6 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"200\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"9900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$99.00\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:7:\"CPG-010\";s:3:\"MPN\";s:10:\"0125093665\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:4:\"1500\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"0125093665\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:3:\"SKU\";s:14:\"WNT-0125093665\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:66:\"Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft\";s:3:\"UPC\";s:12:\"778890766336\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"778890766336\";}}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"6998\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$69.98\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"10995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.95\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:2:\"10\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:4:\"Size\";i:1;s:5:\"Color\";}}s:4:\"Item\";a:10:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B001AI69LA\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/31m9hSIeQ%2BL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3675\";}s:5:\"Color\";s:11:\"Cloud/Black\";s:3:\"EAN\";s:13:\"0759239218976\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239218976\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:38:\"Shaft Material: Lightweight Fiberglass\";i:2;s:25:\"Weight: 35.6 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"10999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3675\";s:3:\"MPN\";s:12:\"01.2509.3675\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:4:\"4750\";s:6:\"Weight\";s:3:\"270\";s:5:\"Width\";s:4:\"3600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3675\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"220 cm\";s:3:\"SKU\";s:13:\"CAR0125093675\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:82:\"Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft (Cloud, 220 cm)\";s:3:\"UPC\";s:12:\"759239218976\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239218976\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Cloud/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"220 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:8:\"JM PRIME\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:176:\"ndOlT88ycjVTUrL9VnFdo78%2BSWBYcNUFWGGgrwFmSzS4P9e%2FizbhJ6sPP0I%2BM9yoi83UhCMKsOEj3PUbXwstg7YMMKK1YP91NQiLff04gKaGhnP%2FDgTY%2BZBI%2BapgmVti45ob8WCz7WcUvEInzv8q%2BA%2BxD2PusFgY\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7082\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$70.82\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3917\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.17\";}s:15:\"PercentageSaved\";s:2:\"36\";s:12:\"Availability\";s:34:\"Usually ships in 2-3 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"48\";s:12:\"MaximumHours\";s:2:\"72\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B001AI69KG\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L._SL160_.jpg\";s:6:\"Height\";s:3:\"153\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L.jpg\";s:6:\"Height\";s:3:\"479\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L._SL30_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L._SL110_.jpg\";s:6:\"Height\";s:3:\"105\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L._SL160_.jpg\";s:6:\"Height\";s:3:\"153\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SJ7V9lH4L.jpg\";s:6:\"Height\";s:3:\"479\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3660\";}s:5:\"Color\";s:11:\"Sunrise/Blk\";s:3:\"EAN\";s:13:\"0759239218945\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239218945\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:38:\"Shaft Material: Lightweight Fiberglass\";i:2;s:25:\"Weight: 35.6 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"10999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3660\";s:3:\"MPN\";s:12:\"01.2509.3660\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"350\";s:6:\"Length\";s:4:\"4900\";s:6:\"Weight\";s:3:\"260\";s:5:\"Width\";s:3:\"750\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3660\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"220 cm\";s:3:\"SKU\";s:13:\"CAR0125093660\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:84:\"Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft (Sunrise, 220 cm)\";s:3:\"UPC\";s:12:\"759239218945\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239218945\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Sunrise/Blk\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"220 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:118:\"tErrgLdPmsgwgkmj4is5zZkWM%2BZJ8rLgTNApYgC8%2BMXQuI7odWtA8tbTxuAc4nMa%2BNWa10UCYIJhfwebSywfzsQgDrSqfvdv2VcE%2F9R0fPY%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7948\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.48\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3051\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$30.51\";}s:15:\"PercentageSaved\";s:2:\"28\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B001AI69LK\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3680\";}s:5:\"Color\";s:11:\"Cloud/Black\";s:3:\"EAN\";s:13:\"0759239218983\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239218983\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:38:\"Shaft Material: Lightweight Fiberglass\";i:2;s:25:\"Weight: 35.6 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"10999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3680\";s:3:\"MPN\";s:12:\"01.2509.3680\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"4950\";s:6:\"Weight\";s:3:\"270\";s:5:\"Width\";s:4:\"1100\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3680\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"230 cm\";s:3:\"SKU\";s:12:\"WN0125093680\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:82:\"Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft (Cloud, 230 cm)\";s:3:\"UPC\";s:12:\"759239218983\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239218983\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Cloud/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"230 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:112:\"6OmHsZ3Dwvt7biKxqQbHhQOMPDNI9VeP4B7uX32IDrQtsyGIiSWOrPz2gba4B5vyDquWnCZVtAbOXOxiA1Z6Gxks7ae80%2Fx3e4PpkdPwSsk%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8007\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$80.07\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"2992\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.92\";}s:15:\"PercentageSaved\";s:2:\"27\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:3;a:9:{s:4:\"ASIN\";s:10:\"B001AI69KQ\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL160_.jpg\";s:6:\"Height\";s:3:\"153\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL.jpg\";s:6:\"Height\";s:3:\"479\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL30_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL110_.jpg\";s:6:\"Height\";s:3:\"105\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL160_.jpg\";s:6:\"Height\";s:3:\"153\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL.jpg\";s:6:\"Height\";s:3:\"479\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3665\";}s:5:\"Color\";s:11:\"Sunrise/Blk\";s:3:\"EAN\";s:13:\"0759239218952\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239218952\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:38:\"Shaft Material: Lightweight Fiberglass\";i:2;s:25:\"Weight: 35.6 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"10999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3665\";s:3:\"MPN\";s:12:\"01.2509.3665\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"5000\";s:6:\"Weight\";s:3:\"270\";s:5:\"Width\";s:3:\"750\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3665\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"230 cm\";s:3:\"SKU\";s:10:\"01AXNC-000\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:84:\"Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft (Sunrise, 230 cm)\";s:3:\"UPC\";s:12:\"759239218952\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239218952\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Sunrise/Blk\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"230 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:116:\"Upd8TdYN9pFeK3eSfO4ZloFusN6hx7z9kKYQg43L2krDn9qb0zz%2FBBQdRz3UPnr%2FAzsayoGLGVtAfXimtpRJoZFouw8OAR5n%2FiuhQMDnfeE%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7948\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.48\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3051\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$30.51\";}s:15:\"PercentageSaved\";s:2:\"28\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:4;a:9:{s:4:\"ASIN\";s:10:\"B001AI69LU\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31GnhvRBuDL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3685\";}s:5:\"Color\";s:11:\"Cloud/Black\";s:3:\"EAN\";s:13:\"0759239218990\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239218990\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:38:\"Shaft Material: Lightweight Fiberglass\";i:2;s:25:\"Weight: 35.6 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"10999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3685\";s:3:\"MPN\";s:12:\"01.2509.3685\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:4:\"5100\";s:6:\"Weight\";s:3:\"280\";s:5:\"Width\";s:4:\"3600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3685\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"240 cm\";s:3:\"SKU\";s:12:\"WT0125093685\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:82:\"Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft (Cloud, 240 cm)\";s:3:\"UPC\";s:12:\"759239218990\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239218990\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Cloud/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"240 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:120:\"Bwnmo%2BVmu8xLiwIwOLedMHAgacddf%2BUDxe6JwOXphw4oUWaKurgj37z1MkzcQ3P%2FnN%2BrZiZYlwst3H%2BOF5OEKK7Hqz6tf6YabJsdbtu7fDE%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8154\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$81.54\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"2845\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$28.45\";}s:15:\"PercentageSaved\";s:2:\"26\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:5;a:9:{s:4:\"ASIN\";s:10:\"B001AI4HNC\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL160_.jpg\";s:6:\"Height\";s:3:\"153\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL.jpg\";s:6:\"Height\";s:3:\"479\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL30_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL110_.jpg\";s:6:\"Height\";s:3:\"105\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL._SL160_.jpg\";s:6:\"Height\";s:3:\"153\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41pD0rIk7lL.jpg\";s:6:\"Height\";s:3:\"479\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3670\";}s:5:\"Color\";s:11:\"Sunrise/Blk\";s:3:\"EAN\";s:13:\"0759239218969\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239218969\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:38:\"Shaft Material: Lightweight Fiberglass\";i:2;s:25:\"Weight: 35.6 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"10999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3670\";s:3:\"MPN\";s:12:\"01.2509.3670\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:4:\"5030\";s:6:\"Weight\";s:3:\"280\";s:5:\"Width\";s:4:\"3600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3670\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"240 cm\";s:3:\"SKU\";s:13:\"CAR0125093670\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:84:\"Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft (Sunrise, 240 cm)\";s:3:\"UPC\";s:12:\"759239218969\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239218969\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Sunrise/Blk\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"240 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:118:\"lW3uOdpmuqfdRYqPHYbyUcCJUKmKER9HQ01%2FWANyEegH6JnTnz6%2FW9D17kXLyEmFZBo2Pj9BYgLTV%2BkhDyOyROABJ%2FrOJyB2JcyC4gLNZU0%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"10501\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$105.01\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"498\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.98\";}s:15:\"PercentageSaved\";s:1:\"5\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:6;a:9:{s:4:\"ASIN\";s:10:\"B001N7U2Q6\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Carlisle\";s:5:\"Color\";s:11:\"Dark Cherry\";s:3:\"EAN\";s:13:\"0759239218945\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239218945\";}s:5:\"Label\";s:8:\"Carlisle\";s:12:\"Manufacturer\";s:8:\"Carlisle\";s:3:\"MPN\";s:12:\"01.2509.3900\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"397\";}s:10:\"PartNumber\";s:12:\"01.2509.3900\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:4:\"Size\";s:5:\"220cm\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:71:\"Carlisle Magic Plus Fiberglass Paddle Straight Shaft Dark Cherry, 220cm\";s:3:\"UPC\";s:12:\"759239218945\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239218945\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Dark Cherry\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"220cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:146:\"sWG6gmbtZkTadoVKjTsZMYl38hgiAR96UmVI25OXB5thH6NuKjxGDHgQIYsdWrwPia1aXrlA4GsydfgykIAINtryeotVnmPtZZYOuHsqqR9WQ6uIje5CFGBsIQnUz%2F8Zdfe%2BbQmVivM%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"10995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.95\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"9346\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$93.46\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1649\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.49\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:7;a:9:{s:4:\"ASIN\";s:10:\"B005W3CNXC\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:19:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Carlisle\";s:5:\"Color\";s:11:\"Dark Cherry\";s:3:\"EAN\";s:13:\"0759239276990\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239276990\";}s:5:\"Label\";s:8:\"Carlisle\";s:12:\"Manufacturer\";s:8:\"Carlisle\";s:5:\"Model\";s:7:\"1049024\";s:3:\"MPN\";s:12:\"01.2509.3905\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"397\";}s:10:\"PartNumber\";s:12:\"01.2509.3905\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:4:\"Size\";s:5:\"230cm\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:71:\"Carlisle Magic Plus Fiberglass Paddle Straight Shaft Dark Cherry, 230cm\";s:3:\"UPC\";s:12:\"759239276990\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239276990\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Dark Cherry\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"230cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:152:\"Cv4nS%2F0f9nvkLFz5Jo%2BIMjOBO0tpIPA1rUPPhy0%2FFOxmopb3M7e95oSUkpASsB%2Fh0QILwkgqzEULDRgW9NSPibLB8sWg20TUFCzZ0dxBdet0w5y52o4F9a2Ges%2BdvIACdOMYdp3hTvg%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"10995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.95\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:8;a:9:{s:4:\"ASIN\";s:10:\"B00BPWM2KI\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CsoKl91pL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Carlisle\";s:5:\"Color\";s:11:\"Dark Cherry\";s:3:\"EAN\";s:13:\"0759239277003\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239277003\";}s:5:\"Label\";s:8:\"Carlisle\";s:12:\"Manufacturer\";s:8:\"Carlisle\";s:3:\"MPN\";s:12:\"01.2509.3910\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"397\";}s:10:\"PartNumber\";s:12:\"01.2509.3910\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:4:\"Size\";s:5:\"240cm\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:71:\"Carlisle Magic Plus Fiberglass Paddle Straight Shaft Dark Cherry, 240cm\";s:3:\"UPC\";s:12:\"759239277003\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239277003\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Dark Cherry\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"240cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:154:\"wq7ajtS4A%2FgFkpM43uz0eVE2c%2Bvr69COgt2JrC6ALr3amBmehX8Eyl3zp1AkYY4DW%2FzSEGarQB1nCjPNF19u4fwogHmjtD5LpY2B5Vu8Om7I6XwvGeCUOvq8coOTqRxhLm4%2FU%2Fc%2BEaI%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"10995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.95\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"9346\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$93.46\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1649\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.49\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:9;a:9:{s:4:\"ASIN\";s:10:\"B009M4364M\";s:10:\"ParentASIN\";s:10:\"B001AI4HNM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21q31XAIcnL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:20:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Carlisle\";s:5:\"Color\";s:5:\"Cloud\";s:3:\"EAN\";s:13:\"0778890766381\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0778890766381\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"200\";}s:5:\"Label\";s:8:\"CARLISLE\";s:12:\"Manufacturer\";s:8:\"CARLISLE\";s:3:\"MPN\";s:10:\"0125093685\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"397\";}s:10:\"PartNumber\";s:10:\"0125093685\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"CARLISLE\";s:4:\"Size\";s:5:\"240cm\";s:3:\"SKU\";s:14:\"WNT-0125093685\";s:6:\"Studio\";s:8:\"CARLISLE\";s:5:\"Title\";s:30:\"Magic Plus/Glass - \'0125093685\";s:3:\"UPC\";s:12:\"778890766381\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"778890766381\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Cloud\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"240cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:148:\"NKN577TVCvXpABqT7D8V1XeR8199ckTqWqRtXcxL%2BWiGbsnmUah7xTIEQcAU8mA%2FEkX5tM8jDcRxFW8yMgMZO5pbG29Eu0NqTeZnEW4FQtl38hEhoWoH%2FY1gNl0Ki4Q3SdJlNkQXSR0%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"10995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$109.95\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:200:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001AI4HNM&atag=freetos-20&exp=2013-06-15T18%3A46%3A49Z&v=2&sig=39nA0j%2FkCg747ttT10PsECX%2BqdOo%2F%2FVbJ9QEgGXPIMg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:709:\"The Carlisle Magic Plus\' fiberglass-filled polypropylene blades in bright colors are lightweight and durable. The asymmetrical, slightly spooned blade shape combined with a lightweight, flexible fiberglass shaft produces smooth yet powerful strokes.   The wound fiberglass shaft provides a sweet compromise between the stiffness needed for a strong paddle stroke and the flex needed to reduce stress on your joins.  The fiberglass-filled polypropylene blades offer an unbeatable balance of lightweight versus durability.  This is a paddle that can take all of the punishment you dish out and give you a great day on the water.  Colors available: Sunrise and Cloud.  Lengths available: 220cm, 230cm, and 240cm.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2363", "378", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"0.8 ounces\";s:4:\"ASIN\";s:10:\"B0028Q5G2Q\";}");
INSERT INTO `wp_postmeta` VALUES("2364", "378", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("2365", "378", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:31:\"able to withstand any challenge\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 9, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UEC574LADNV9\";s:4:\"name\";s:6:\"Andrew\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1010:\"I needed a new splash guard for the 260-mile Texas Water Safari, \"The World\'s Toughest Canoe Race\". I expected this splash guard might last a day or so before getting ripped off by a tree branch or sunken log or before the Velcro gave out, a risk I was willing to take, but much to my surprise, it not only survived the whole trip but kept my hands dry the entire way. (I should say that my hands getting wet was my own fault, not the fault of the splash guards.) My only gripe is that, although the base of the splash guard is able to keep water from dripping through, it does not close tightly enough to prevent slippage. Thus over time, you will have to adjust the position of the splash guards. They like to ride down and stretch over your paddle blades when you aren\'t paying attention. At quick fix would be to tie a rubber band round the base of the guard to tighten the seal and hold it in place. Even so, I give this product 5 stars for preventing my hands from turning to mush over the 260-mile race.\";}i:1;a:5:{s:5:\"title\";s:30:\"much better than drip rings...\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 24, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3IATCNR6BOQA2\";s:4:\"name\";s:10:\"JPC \"Toby\"\";s:7:\"address\";s:18:\"Eastern Washington\";}s:4:\"text\";s:221:\"we thought they looked flimsy when they arrived but after taking them on what was nearly a whitewater trip they proved that they were much better than the original drip rings on an identical paddle. will be ordering more.\";}i:2;a:5:{s:5:\"title\";s:52:\"Works well, but better plan on getting a little wet.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ANQ9CD6EGCZRW\";s:4:\"name\";s:6:\"Moadeb\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:514:\"Unlike shown in the picture you are going to want to have these about 5-8 inches off the edge of your paddles, because if these guards go under the water then water on the hands side of the guards will still drip down. After i found the perfect spot on the paddle they did seem to stay in place fairly well for me, but after reading previous reviews i used some zip strips to zip them into place. Just plan on playing with them for 10 min to find the best spot for them on your paddle with your paddling technique.\";}i:3;a:5:{s:5:\"title\";s:29:\"Effective Kayak Splash Guards\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 3, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3KYZAJQ156QRL\";s:4:\"name\";s:10:\"J. Geister\";s:7:\"address\";s:2:\"MI\";}s:4:\"text\";s:118:\"Great upgrade to the stock splash guards on our kayak paddles, far more effective at keeping a paddler dry. They work.\";}i:4;a:5:{s:5:\"title\";s:24:\"a splashguard that works\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 23, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3A96BQ71YT89H\";s:4:\"name\";s:18:\"murky \"kinky hair\"\";s:7:\"address\";s:17:\"Cambridge, MA USA\";}s:4:\"text\";s:91:\"I put them over the splash gards that came with the paddle<br />and did not get wet at all.\";}i:5;a:5:{s:5:\"title\";s:26:\"Nice Addtion to Any Paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"December 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2B8RTGCB4E17I\";s:4:\"name\";s:9:\"J. Reamer\";s:7:\"address\";s:24:\"Chapin, SC United States\";}s:4:\"text\";s:221:\"These work much better than the stock splash guards. I simply put them on over the stock ones. Keeps approximately 90% of the water that would get on me, off me. Liked mine enough to get one for the wife! Worth the money.\";}i:6;a:5:{s:5:\"title\";s:11:\"Works Great\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1PVS6V9HE1VY5\";s:4:\"name\";s:7:\"turtle2\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:582:\"Purchased these splash guards when one of the factory rubber ones was torn off of my wife\'s kayak paddle. I must say they are a great improvement over the original splash guards. In our case, we placed them ABOVE where the original splash guards were placed, not touching the paddle blade, as shown in the picture. Would recommend them for anyone looking for a good splash guard. As winter is coming up here in NW Florida, we expect to stay much drier with these. BTW, we\'ve been out with them about a dozen times now. By all appearances, they seem as though they will hold up well.\";}i:7;a:5:{s:5:\"title\";s:13:\"splash guards\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 29, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1HS4UZD41DZQI\";s:4:\"name\";s:13:\"Denise Friend\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:138:\"no more water running down your arms. Works GREAT, Make sure you get two sets or your partner will take yours<br />Would highly recommend.\";}i:8;a:5:{s:5:\"title\";s:9:\"AMAZING!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 3, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2HGEHQTX984NN\";s:4:\"name\";s:9:\"N. Howard\";s:7:\"address\";s:7:\"Indiana\";}s:4:\"text\";s:226:\"These tiny little things do exactly what they claim! I went from having a soaked lap, to being completely dry. My expectations were completely exceeded and I am buying some more for all my kayaking friends! THANK YOU Premier!!\";}}");
INSERT INTO `wp_postmeta` VALUES("2346", "376", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("2347", "376", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:20:\"Ok but misleading ad\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"July 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1D27IJKETR1D1\";s:4:\"name\";s:2:\"sb\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:458:\"Ordered these yak grips for myself and my fianc&eacute; since kayak paddles give us blisters. Ordered a pair of black and a pair of orange figuring only the color was different. Turns out the black ones are the model 200, which are WAY better because they have a strip of Velcro which makes getting them on, off and positioned properly way easier. Good product,but very annoying that the seller does not distinguish between model numbers when you order them.\";}i:1;a:5:{s:5:\"title\";s:8:\"Worth it\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 16, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A141O93X4FRDOI\";s:4:\"name\";s:7:\"BKTampa\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:232:\"For regular usage they work great and are comforting to the hands.<br />Probably not designed to be used during kayak racing conditions, as they slide up the paddle a bit over time, but with a little duct tape they do stay in place.\";}i:2;a:5:{s:5:\"title\";s:10:\"Good Grips\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 28, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A25JQW704CQGTR\";s:4:\"name\";s:7:\"Maryboo\";s:7:\"address\";s:8:\"Colorado\";}s:4:\"text\";s:213:\"I like these paddle grips but they would be better if you could wrap them on instead of having to slide them on. Takes a lot of pushing & pulling to get them in position, but once they\'re on, they\'re nice to have.\";}i:3;a:5:{s:5:\"title\";s:15:\"Item works well\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"August 1, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A14H9GUEYJSWFQ\";s:4:\"name\";s:14:\"Anthony Talbot\";s:7:\"address\";s:20:\"Coeur d\'Alene, Idaho\";}s:4:\"text\";s:212:\"I put these pads on a paddle I used for five days straight. The pads prevented blisters. They did move a little but not enough to affect my paddling. I\'ll probably buy another set when we receive our new paddles.\";}i:4;a:5:{s:5:\"title\";s:11:\"Happy Hands\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3RWCAKBDYJ8V2\";s:4:\"name\";s:10:\"R. Johnson\";s:7:\"address\";s:15:\"Seattle, WA USA\";}s:4:\"text\";s:170:\"Yes, they are a bit annoying to get on the paddle, but they are so nice!! We are recreational kayakers and these help make it even more enjoyable. Definitely recommended!\";}i:5;a:5:{s:5:\"title\";s:23:\"Win some you loose some\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 10, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AW0FWJQFA9TC3\";s:4:\"name\";s:7:\"Meowmix\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:204:\"These get the job done so my hands don\'t get irritated while I paddle. The downside is that they get wet and pretty much stay wet. If you\'re paddling on a particularly cool day prepare for frozen fingers.\";}i:6;a:5:{s:5:\"title\";s:27:\"Great idea, needs improving\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"August 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1NDKOP4QR8VWR\";s:4:\"name\";s:17:\"W. N. \"Will-N-LA\"\";s:7:\"address\";s:11:\"Los Angeles\";}s:4:\"text\";s:1704:\"I had been using surfer wax on my carbon fiber paddle shaft, but that wore off in the spots I used it.<br />I thought I\'d try these. After several long paddles these are my results.<br />GOOD: They are comfortable and provide the hand to paddle grip I wanted.<br />They are not too big--but I would prefer them to be thinner.<br />BAD: They do slip and slide up and down the paddle shaft. I\'ve tried various methods of making them stay in one place--nothing works. I even tried wrapping heavy duty rubber bands around each end---even that didn\'t work. Contact cement might work.<br />This is a drag. They slip in one of two ways. Slowly--that I don\'t notice, and suddenly: stick, stick, stick-SLIDE.<br />When I try to push them back into the correct position, same thing. They won\'t move and then they jump several inches. I spend a lot of time fussing with them.<br />---- The concept works but not the execution.----<br />What I plan to try next is to contact cement neoprene material from an old wetsuit top. The neoprene is less bulky than the Yakgrips, which is OK, and I can make a longer grip.<br />- I tested the Yakgrips on a Werner Camano Paddle with a narrow shaft 1.25\" (instead of the usual 1.5\" -- this would make some difference but I don\'t think a larger diameter would solve the problem). I have good paddle technique and correct grip (which is loose) No feathering.<br />-- I use the paddle for ocean (salt water) kayaking off the southern California coast in water that is about 68-72 degrees.<br />-I tried using Windex as a temporary lubricant ( wet it\'s slippery (it\'s a base) when dries usually nothing slides) Works great for applications like this, but didn\'t help in this case.\";}i:7;a:5:{s:5:\"title\";s:16:\"no more blisters\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"January 10, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJVCLFVL8WG6O\";s:4:\"name\";s:13:\"Erin Espineta\";s:7:\"address\";s:10:\"Naples, FL\";}s:4:\"text\";s:165:\"These grips do slide a little, not a big deal for me but might be if you are racing kayaks. They are comfortable and most importantly they solved my blister problem.\";}i:8;a:5:{s:5:\"title\";s:30:\"Gives your hands a little love\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AZK1RGHFJU698\";s:4:\"name\";s:5:\"Brett\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:366:\"These paddle grips not only add grip, but after a long day of paddling with water on your hands sometimes (at least for some of us fairly new to the sport) get little blisters from what I\'m sure would be called poor form paddling. Oh well, no need to correct that now, I\'m out to have fun! Get a grip and go Yaking! These little guys get you there having fun faster!\";}i:9;a:5:{s:5:\"title\";s:10:\"More cumfy\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AX9N30V9EA5NO\";s:4:\"name\";s:9:\"B. Barner\";s:7:\"address\";s:7:\"AL, USA\";}s:4:\"text\";s:1340:\"I like these grips. They have made paddling more cumfy on my hands.<br />I do have a couple of complaints. After only using them about 4 times the fabric on one of them has started to run. The second complaint is the grips slip up and down the paddle shaft making maintaining a proper paddling postition, while using the grips, hard witout constant readjustment. I purchased a pair of these for my husband\'s paddle as well and his grips slip freely up and down his paddle even if you aren\'t using them and the fabric has begun to fray on his grips.<br />I\'ve solved some of the slipage problem by placing rubber bands around the paddle shaft tword the inside of the grips. I place the rubber bands snuggly (meaning I wrap the bands aroung the paddle shaft a few times until they do not move until moved) up against the place where they grips should stay (since my grips seem to slip to the middle of the paddle). The grips still slip, but seem to get hung up on the rubber bands and it really slows down their movment. The bands are small enough that even when the grips have slid over them they don\'t bother my hands.<br />For having so many issues with such a simple product, I would think they would be a bit cheaper since they are basicly an elaborate beer coozy. But I will probably buy another pair after the pair I have are worn out.\";}}");
INSERT INTO `wp_postmeta` VALUES("2345", "376", "asg_product_details", "a:3:{s:18:\"Product Dimensions\";s:27:\"6 x 2 x 5 inches ; 3 ounces\";s:15:\"Shipping Weight\";s:10:\"2.2 ounces\";s:4:\"ASIN\";s:10:\"B000CML7CG\";}");
INSERT INTO `wp_postmeta` VALUES("2339", "375", "asg_last_refresh_attempt", "1371235600");
INSERT INTO `wp_postmeta` VALUES("2340", "375", "asg_update_timestamp", "1371235600");
INSERT INTO `wp_postmeta` VALUES("2341", "376", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2342", "376", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2343", "376", "asg_item_id", "B000CML7CG");
INSERT INTO `wp_postmeta` VALUES("2344", "376", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B000CML7CG\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:13:\"DetailPageURL\";s:190:\"http://www.amazon.com/Yakpads-Yakgrips/dp/B000CML7CG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000CML7CG\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:200:\"http://www.amazon.com/Yakpads-Yakgrips/dp/tech-data/B000CML7CG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000CML7CG\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000CML7CG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000CML7CG\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000CML7CG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000CML7CG\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000CML7CG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000CML7CG\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000CML7CG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000CML7CG\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000CML7CG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000CML7CG\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000CML7CG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000CML7CG\";}}}s:9:\"SalesRank\";s:4:\"1038\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41bXGst9MkL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Yakpads\";s:5:\"Color\";s:6:\"Yellow\";s:7:\"Feature\";a:5:{i:0;s:30:\"Prevents blisters and calluses\";i:1;s:51:\"Gives you a better grip for more efficient paddling\";i:2;s:20:\"Soft and comfortable\";i:3;s:37:\"Reduce fatigue on long paddling trips\";i:4;s:98:\"Five colors available for the \"take-apart\" paddles and in black only for the \"solid-shaft\" paddles\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"19\";s:5:\"Width\";s:3:\"200\";}s:5:\"Label\";s:13:\"Cascade Creek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.99\";}s:12:\"Manufacturer\";s:13:\"Cascade Creek\";s:3:\"MPN\";s:6:\"351504\";s:13:\"NumberOfItems\";s:1:\"1\";s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"351504\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Cascade Creek\";s:3:\"SKU\";s:11:\"YAKPD-GRIPS\";s:6:\"Studio\";s:13:\"Cascade Creek\";s:5:\"Title\";s:8:\"Yakgrips\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:3:\"999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"2322\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$23.22\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"9\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B002L9BZ4I\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL.jpg\";s:6:\"Height\";s:3:\"350\";s:5:\"Width\";s:3:\"350\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL.jpg\";s:6:\"Height\";s:3:\"350\";s:5:\"Width\";s:3:\"350\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31k2ss7UXCL.jpg\";s:6:\"Height\";s:3:\"350\";s:5:\"Width\";s:3:\"350\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Cascade\";s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0852401001069\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0852401001069\";}s:7:\"Feature\";s:78:\"Black Surf Yakgrip has Velcro for attaching to paddles that do not break down.\";s:5:\"Label\";s:21:\"Cascade Creek Company\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.95\";}s:12:\"Manufacturer\";s:21:\"Cascade Creek Company\";s:22:\"ManufacturerMinimumAge\";s:1:\"0\";s:5:\"Model\";s:6:\"351503\";s:3:\"MPN\";s:4:\"C947\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"150\";s:6:\"Length\";s:3:\"850\";s:6:\"Weight\";s:2:\"14\";s:5:\"Width\";s:3:\"440\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:4:\"C947\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:21:\"Cascade Creek Company\";s:3:\"SKU\";s:6:\"351503\";s:6:\"Studio\";s:21:\"Cascade Creek Company\";s:5:\"Title\";s:27:\"Yakgrips - Surf Grips Black\";s:3:\"UPC\";s:12:\"852401001069\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001069\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Black\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:15:\"Think Fast Toys\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:166:\"bVl%2F3BKfHIpqs6eR6%2Fb6BH81lpaEmN4S9NiadMPwjRzpV6b6OS8y5KMsjPnvdkJN6aIawgk%2BAcGwuz0huAAd6vxChdv8br7S4jWH8Esmd6oBY6uG%2FSjt%2FPj38g641dLlAHsyQK6elakY3wqextvAuw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1355\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.55\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"140\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$1.40\";}s:15:\"PercentageSaved\";s:1:\"9\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B001MQEQ24\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41xvnnL0jiL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Cascade Creek\";s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0852401001014\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0852401001014\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"19\";s:5:\"Width\";s:3:\"200\";}s:5:\"Label\";s:13:\"Cascade Creek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1295\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.95\";}s:12:\"Manufacturer\";s:13:\"Cascade Creek\";s:5:\"Model\";s:9:\"LIB351500\";s:3:\"MPN\";s:6:\"351500\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"360\";s:6:\"Length\";s:3:\"890\";s:6:\"Weight\";s:2:\"15\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"351500\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Cascade Creek\";s:3:\"SKU\";s:8:\"CC-00101\";s:6:\"Studio\";s:13:\"Cascade Creek\";s:5:\"Title\";s:30:\"Cascade Creek Yakgrips - Black\";s:3:\"UPC\";s:12:\"852401001014\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001014\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Black\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:20:\"Great Outdoors Depot\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:172:\"DOZOoC8zdFciUa1zyeeYmzfPrhCZa6Vsq3EKTndqQXMmiTQ9eYG8FLtZXdNSJZdy5i%2FkArA35J18cDpyvz5atxVp7jQAhk8NfvKS2MrP1pADmNTWVYSRUaHg7hE2uFYXy4TFh8DVX%2BNI%2FeX2kKc3DXP5N8%2FpV%2F%2BF\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1593\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$15.93\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B002L9FRVA\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Cascade Creek\";s:5:\"Color\";s:4:\"Blue\";s:3:\"EAN\";s:13:\"0852401001021\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0852401001021\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"19\";s:5:\"Width\";s:3:\"200\";}s:5:\"Label\";s:13:\"Cascade Creek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.95\";}s:12:\"Manufacturer\";s:13:\"Cascade Creek\";s:5:\"Model\";s:9:\"LIB351502\";s:3:\"MPN\";s:6:\"351502\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"120\";s:6:\"Length\";s:3:\"400\";s:6:\"Weight\";s:1:\"5\";s:5:\"Width\";s:3:\"270\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"351502\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Cascade Creek\";s:4:\"Size\";s:18:\"One size fits most\";s:3:\"SKU\";s:6:\"351502\";s:6:\"Studio\";s:13:\"Cascade Creek\";s:5:\"Title\";s:29:\"Cascade Creek Yakgrips - Blue\";s:3:\"UPC\";s:12:\"852401001021\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001021\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:4:\"Blue\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:19:\"Huron Paddle Sports\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:174:\"niDkFd06RIeQdjXJNTAQWN1hz6GqmhJsUk5wU2XakspD1ryfYu%2FHBR6kB4PqgC3TCwehhtJnUFxDe0swIvGsh67IRwWWiAVCR0LYo%2BBum9a%2BRJBOOSIqSX%2ByuZkO2cXcAoKYIo%2BQN7l7UVZUw5dPH7FWK%2BNnZh%2B3\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1095\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"400\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.00\";}s:15:\"PercentageSaved\";s:2:\"27\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:3;a:9:{s:4:\"ASIN\";s:10:\"B001MQD7DI\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Cascade Creek\";s:5:\"Color\";s:3:\"Red\";s:3:\"EAN\";s:13:\"0852401001045\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0852401001045\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"19\";s:5:\"Width\";s:3:\"200\";}s:5:\"Label\";s:13:\"Cascade Creek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.95\";}s:12:\"Manufacturer\";s:13:\"Cascade Creek\";s:5:\"Model\";s:9:\"LIB351501\";s:3:\"MPN\";s:6:\"351501\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"130\";s:6:\"Length\";s:3:\"590\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"200\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"351501\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Cascade Creek\";s:4:\"Size\";s:18:\"One Size Fits Most\";s:3:\"SKU\";s:6:\"351501\";s:6:\"Studio\";s:13:\"Cascade Creek\";s:5:\"Title\";s:28:\"Cascade Creek Yakgrips - Red\";s:3:\"UPC\";s:12:\"852401001045\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001045\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:3:\"Red\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:24:\"Olympic Outdoorsman, LLC\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:168:\"f44FPiDXxmlutoVJLr%2BIjV4BYsbfiBOP0sVh9GE6uxT5g5HXpcbRJx7n%2BbepgoZG9k5s4f3FJ9VMx6%2FkhwyH%2FOkDq2nS8arzv6ux6LPl4PBezkJjK2akkjUVlcMNvltPd3K5OGTUAfCcOWACjKVjXDH2xHeUR7FO\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"496\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.96\";}s:15:\"PercentageSaved\";s:2:\"33\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:4;a:9:{s:4:\"ASIN\";s:10:\"B001MQ9U84\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Cascade Creek\";s:5:\"Color\";s:6:\"Yellow\";s:3:\"EAN\";s:13:\"0852401001052\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0852401001052\";i:1;s:13:\"8520401001052\";}}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"19\";s:5:\"Width\";s:3:\"200\";}s:5:\"Label\";s:13:\"Cascade Creek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.99\";}s:12:\"Manufacturer\";s:13:\"Cascade Creek\";s:5:\"Model\";s:9:\"LIB351504\";s:3:\"MPN\";s:6:\"351504\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"70\";s:6:\"Length\";s:3:\"640\";s:6:\"Weight\";s:1:\"5\";s:5:\"Width\";s:3:\"520\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"351504\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Cascade Creek\";s:4:\"Size\";s:18:\"One size fits most\";s:3:\"SKU\";s:6:\"351504\";s:6:\"Studio\";s:13:\"Cascade Creek\";s:5:\"Title\";s:31:\"Cascade Creek Yakgrips - Yellow\";s:3:\"UPC\";s:12:\"852401001052\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001052\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:6:\"Yellow\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:19:\"Huron Paddle Sports\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"UBbvyh%2Bj1LPoNcgRkI7lv3BH%2Briy6msIzrJn049xsrbHeyZRJZUry5N8QhA5A1wlemzze8jdBsuGX21TT6lk5KDQpXPXelOKGdlQakJneAbwwv5EuhshuElcYwSsR7O7cLq5%2FbQsVj4Jx%2FV55VO0CxHs%2Fg4GKltj\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1095\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"104\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$1.04\";}s:15:\"PercentageSaved\";s:1:\"9\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:5;a:9:{s:4:\"ASIN\";s:10:\"B0073QUNT2\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31LugA54CyL.jpg\";s:6:\"Height\";s:3:\"350\";s:5:\"Width\";s:3:\"350\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31LugA54CyL.jpg\";s:6:\"Height\";s:3:\"350\";s:5:\"Width\";s:3:\"350\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31LugA54CyL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31LugA54CyL.jpg\";s:6:\"Height\";s:3:\"350\";s:5:\"Width\";s:3:\"350\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Cascade Creek\";s:5:\"Color\";s:4:\"Wave\";s:3:\"EAN\";s:13:\"0852401001090\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0852401001090\";}s:7:\"Feature\";s:78:\"Black Surf Yakgrip has Velcro for attaching to paddles that do not break down.\";s:5:\"Label\";s:16:\"Liberty Mountain\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.99\";}s:12:\"Manufacturer\";s:16:\"Liberty Mountain\";s:22:\"ManufacturerMinimumAge\";s:1:\"0\";s:5:\"Model\";s:6:\"351506\";s:3:\"MPN\";s:6:\"351506\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"110\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"15\";s:5:\"Width\";s:3:\"270\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"351506\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Liberty Mountain\";s:3:\"SKU\";s:6:\"351506\";s:6:\"Studio\";s:16:\"Liberty Mountain\";s:5:\"Title\";s:18:\"Yakgrips Blue Wave\";s:3:\"UPC\";s:12:\"852401001090\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001090\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:4:\"Wave\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:15:\"Think Fast Toys\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:164:\"olx2PHHP4wEiVm0hlPcWEswWvZZse0da6%2FDzogT4FvLkanfCqAK697PiUf2x93ZtpfN06j47%2FIxYXxE5bBqYAtuHglMLhfbITgbn%2FK1%2FmZOmBW6gxgc59xxiY0wEccG2RMlgkEvQVWLlQBFtQp3ILQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1915\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.15\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:6;a:9:{s:4:\"ASIN\";s:10:\"B001MQ7V4O\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Cascade\";s:5:\"Color\";s:36:\"Black - solid shaft (non-take apart)\";s:3:\"EAN\";s:13:\"8520401001069\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"8520401001069\";}s:7:\"Feature\";a:5:{i:0;s:30:\"Prevents Blisters and calluses\";i:1;s:51:\"Gives you a better grip for more efficient paddling\";i:2;s:20:\"Soft and comfortable\";i:3;s:37:\"Reduce fatigue on long paddling trips\";i:4;s:51:\"The Most Comfortable Paddle Accessory on the Market\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"19\";s:5:\"Width\";s:3:\"200\";}s:5:\"Label\";s:7:\"Cascade\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.95\";}s:12:\"Manufacturer\";s:7:\"Cascade\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"130\";s:6:\"Length\";s:3:\"740\";s:6:\"Weight\";s:1:\"5\";s:5:\"Width\";s:3:\"620\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Cascade\";s:4:\"Size\";s:18:\"One size fits most\";s:3:\"SKU\";s:6:\"351503\";s:6:\"Studio\";s:7:\"Cascade\";s:5:\"Title\";s:74:\"Yakgrips Kayak Paddle Grips (1 Pair), Black - solid shaft (non-take apart)\";}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:36:\"Black - solid shaft (non-take apart)\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:12:\"BIGFLYSPORTS\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:168:\"9bdw1M6YlEHUIQMwqQHNJGlMESVJXbd1Sf2hBL910X2FC5fcMco3PKSq8OP3cLZ3%2BddAFpenCbjnOZL5EtyaFEQx5rYrbcfl1ttOGnTuxoBzZ%2BFh700w7FkrYLPe2SYxzjGFlOHqy4XRo%2FYV3L%2FqkBIfdB1hkrOj\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1149\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.49\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"346\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$3.46\";}s:15:\"PercentageSaved\";s:2:\"23\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:7;a:9:{s:4:\"ASIN\";s:10:\"B001MQ9U7A\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41QbldbpUxL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Cascade Creek\";s:5:\"Color\";s:24:\"Green - take apart shaft\";s:3:\"EAN\";s:13:\"0852401001038\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0852401001038\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"19\";s:5:\"Width\";s:3:\"200\";}s:5:\"Label\";s:13:\"Cascade Creek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.99\";}s:12:\"Manufacturer\";s:13:\"Cascade Creek\";s:5:\"Model\";s:9:\"LIB351507\";s:3:\"MPN\";s:5:\"00103\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:3:\"610\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"330\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"00103\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Cascade Creek\";s:4:\"Size\";s:5:\"Green\";s:3:\"SKU\";s:8:\"CC-00103\";s:6:\"Studio\";s:13:\"Cascade Creek\";s:5:\"Title\";s:62:\"Yakgrips Kayak Paddle Grips (1 Pair), Green - take apart shaft\";s:3:\"UPC\";s:12:\"852401001038\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001038\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:24:\"Green - take apart shaft\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:24:\"Olympic Outdoorsman, LLC\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"NT47nnRd4bmkMLSFxEUCGZfV%2BdWx5xMzLyoRropg8iTOP7SJpKRZ0hNsQ9Ke4fxOWX5LQO33a7BU%2BLlhDuikvbHWgMCHxHeR8dfz8SasRFuw%2BfM5MP%2FmTAqNv1kHenSfHTojP1EpWe4H381z%2FS5zXv6HSO4Lkana\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"200\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.00\";}s:15:\"PercentageSaved\";s:2:\"17\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:8;a:9:{s:4:\"ASIN\";s:10:\"B001MQD7DS\";s:10:\"ParentASIN\";s:10:\"B000CML7CG\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418U2Q8ks3L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Cascade Creek\";s:5:\"Color\";s:36:\"Orange -( Not shown)take apart shaft\";s:3:\"EAN\";s:13:\"0852401001007\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0852401001007\";}s:7:\"Feature\";s:78:\"Black Surf Yakgrip has Velcro for attaching to paddles that do not break down.\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"19\";s:5:\"Width\";s:3:\"200\";}s:5:\"Label\";s:13:\"Cascade Creek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.99\";}s:12:\"Manufacturer\";s:13:\"Cascade Creek\";s:5:\"Model\";s:9:\"LIB351508\";s:3:\"MPN\";s:5:\"00100\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"70\";s:6:\"Length\";s:3:\"500\";s:6:\"Weight\";s:2:\"35\";s:5:\"Width\";s:3:\"360\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"00100\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Cascade Creek\";s:3:\"SKU\";s:8:\"CC-00100\";s:6:\"Studio\";s:13:\"Cascade Creek\";s:5:\"Title\";s:63:\"Yakgrips Kayak Paddle Grips (1 Pair), Orange - take apart shaft\";s:3:\"UPC\";s:12:\"852401001007\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001007\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:36:\"Orange -( Not shown)take apart shaft\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:24:\"Olympic Outdoorsman, LLC\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"r2TqVoM8jSKt4Dt7R5P7NcCRlpQe3FQZaf0ffPTamC9rtXYrU%2Bbb%2FGlqgrRHHPBp3lyAXIZ3mwXiyYY855ofldGgwr%2FxwQ7HW%2Fg9jn%2BA9wc44CHGfKpqKlgijmUx13RPw1FXe9NediX7vEhRPDV3JouKtaCV5Kp3\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"200\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.00\";}s:15:\"PercentageSaved\";s:2:\"17\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000CML7CG&atag=freetos-20&exp=2013-06-15T18%3A46%3A40Z&v=2&sig=KuTnyJsxQ181R0cnqDTUDILticLbeHCkg8%2Bww4nrtas%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:148:\"These patented paddle grips are the ultimate in comfort for paddling. Prevents rubs and blisters. More efficient paddling and better hand placement.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2336", "375", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:32:\"102 x 36 x 19 inches ; 65 pounds\";s:15:\"Shipping Weight\";s:9:\"81 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:6:\"Origin\";s:5:\" USA\";s:4:\"ASIN\";s:10:\"B004EEKCVK\";s:17:\"Item model number\";s:5:\"90118\";}");
INSERT INTO `wp_postmeta` VALUES("2337", "375", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2338", "375", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:26:\"Great product, great value\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1347WV3UM6R8K\";s:4:\"name\";s:15:\"Leslie A. Maxin\";s:7:\"address\";s:14:\"Pittsburgh, PA\";}s:4:\"text\";s:589:\"I\'m new to kayaking and bought this for my husband and 5 year old to ride with me (I bought a single top-rider for myself). Yesterday we had this out on the lake for the first time and we fit all three of us on the kayak. The kayak felt very stable on the water; I think you\'d have to try pretty hard to tip it over. My daughter also ended up jumping over the edge toward the end and she got on and off with very little effort. If I had it to do all over again, I\'d just get two of these instead of the single seat top-rider. It seems like it would work well with one, two or three riders.\";}i:1;a:5:{s:5:\"title\";s:15:\"Great purchase!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"February 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1WTFE2A6YT0ES\";s:4:\"name\";s:13:\"dd in natchez\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:288:\"I\'m a first time kayaker, at the age of 50. This kayak is stable and easy to paddle. I\'ve kayaked solo AND with my 61 year old aunt and it was enjoyable both ways! Easy to get in and out of, easy to maneuver in the water, easily put in and taken out of the water. It\'s love, I tell you!!!\";}i:2;a:5:{s:5:\"title\";s:12:\"SUPER STABLE\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2XOFD5KD244SB\";s:4:\"name\";s:5:\"Panko\";s:7:\"address\";s:7:\"CT, USA\";}s:4:\"text\";s:763:\"__HIGHLY RECOMMENDED___ as a FUN BOAT (or fishing platform) for 1 to 3 passengers! - not the best design for touring or distance paddling. Very strong and well designed hull. Seat clips recessed and unobtrusive - comfortable and ergonomically designed seating and foot stops. Seemingly indestructible and very hard to capsize (easily righted when intentionally flipped when swimming alongside)<br /><br />Pros: Easily manages its 500lb capacity - Comfortably carries two adults and a child - Also handles well by a solo paddler - Re-boarding from the water with little effort (after intentional jump overboard)<br /><br />Cons: Bulky and awkward to be carried by one person (though very possible @ 55lbs) Molded hull handles make carrying by 2 persons a pleasure!\";}i:3;a:5:{s:5:\"title\";s:41:\"Hard to beat Kayak for family and fishing\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 3, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1UII759ZQMUEE\";s:4:\"name\";s:8:\"The User\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2102:\"Bought this Kayak from Sports Authority, they had a $40 dollars off then I found a printable 25% coupon online, price after discounts was $269.99. I looked into Tandem Ocean Kayak and various other tandem models. I also found out that the founder of Ocean Kayak designed the Lifetime Manta so I was sold! Got this on the lake with my family. The kayak managed myself, my wife, my 5 year old, and my 2 year old, plus lots of gear for a picnic and fishing on the lake. We had plenty of leg room for everyone. The kayak was easy to paddle with 2 people (1 person was a little challenging). Very stable, you can easily stand up in it. We all even sat to the side as we ate our sandwiches, adobo and rice!<br /><br />Its no speed demon, so forget about touring or long distance paddle (although you could, depends on your athletic abilities). Now for fishing! I have loaded this puppy with tons of gear, was able to fly fish standing up on the lake. I also took a buddy out with me and still no problems. Going to try to exceed the 500lbs limit to see if it can hold more.<br /><br />The main reason that this is hard to beat (and the price has nothing to do with it), this kayak can hold my whole family easily and comfortably, plus tons of gear! its only 10ft long (totally fits inside the minivan), its only 60lbs. STABLE!!!! you can stand up!!! for about $50 more you can put hatches and rigging to accommodate more stuff inside the hull (tons of room).<br /><br />I have looked far and wide and no other kayak comes close to what this can do. There is the wavewalk W500, but who wants to ride a kayak like a banana boat??? and with only 360lbs capacity and over $1000??? what a joke! Then I looked into The Perception Tribe 13.5 Tandem, it comes close but its 13.5 feet long and not sure if you can stand up on it. Then there is Ocean Kayaks Malibu Two XL Tandem looks similar (thats because its the same designer!) also 13 feet and dont know if its stable to stand up, but it does look more refined. Im still searching for one that has similar specs as the Lifetime manta, but nothing comes close yet.\";}i:4;a:5:{s:5:\"title\";s:31:\"A good way to get into kayaking\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 24, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVL52SOL3YOHA\";s:4:\"name\";s:18:\"Belinda Kay Bolton\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:870:\"I bought this kayak package so my husband and I could go kayaking together. While I would have liked two separate kayaks, we just did not have the storage room for two so we decided on a tandem (Neither of us liked the idea of an inflatable kayak). This set from was a good way to get started. It came with ALMOST everything you need to get started kayaking without breaking the bank, kayak, oars, and back rests, but no PFDs.<br /><br />This is a good stable kayak, but it does not track very well. A rudder kit would be a great addition to this kayak. We have not gone out solo yet, but I am in pretty good shape and would find this kayak hard to maneuver by myself out of the water. The carry handle is poorly placed/ or small for a 60 pound kayak.<br /><br />Tandem kayaking is also a tricky endeavor and requires good communication and the ability to work together.\";}i:5;a:5:{s:5:\"title\";s:18:\"Big disappointment\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1ZBGUZDXM1M9I\";s:4:\"name\";s:4:\"Bill\";s:7:\"address\";s:10:\"McLean, VA\";}s:4:\"text\";s:1914:\"I bought this Lifetime Manta Tandem kayak because the reviews here on Amazon.com were so positive. Unfortunately the kayak didn\'t live up to my expectations.<br /><br />Cons:<br />1) It took on water in the interior of the kayak. A brand new boat should not take on water. We left it outdoors on the grass the first night of vacation, and we got a bad thunderstorm. While of course water collected on the top, when I dumped the kayak over, I was shocked to find that significant water had collected inside the sealed kayak itself. I had to open the plug and drain the water from the interior. Every day we had the boat on the water I also had to drain it out. It wasn\'t obvious to me how water was getting inside, but it was.<br /><br />2) The back rests are so uncomfortable that both my brother-in-law and I could barely walk after using it. We had also borrowed a Hobie Kona tandem kayak, and the seats in that were super comfortable in comparison. Maybe you get what you pay for, but I need to be able to walk so the seat backs were unacceptable.<br /><br />3) It was impossible to steer this boat in a straight line. We were constantly turning left, then right, back and forth, wasting tremendous effort just to keep on course. Maybe if we hadn\'t borrowed the Hobie Kona we would have chalked this up to skill, but the Hobie was super easy to control. Maybe the 10 foot Lifetime Manta is too short to be stable in terms of steering.<br /><br />Pros:<br />1) It is inexpensive.<br />2) Has a good handle in the front and hole in the back which is helpful for mounting on your vehicle roof.<br />3) It is laterally stable in the water.<br /><br />I couldn\'t understand why other tandem sit on top kayaks cost 1.5 to 2 times as much. Now I think I know why. It\'s too bad, because I really wanted to like this kayak.<br /><br />Amazon was great with prompt delivery and return. Too bad the kayak wasn\'t up to par.\";}i:6;a:5:{s:5:\"title\";s:7:\"Amazing\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3Q27COW285K3E\";s:4:\"name\";s:5:\"LadyV\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:256:\"I\'m 57 years old and needed a pass time for evenings and weekends. I live near the water so I ordered this product......it is fantastic!......handles great.....with two or just me alone. I highly recommend this product. Great shipping with Amazon and fast!\";}i:7;a:5:{s:5:\"title\";s:18:\"Great stable kayak\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A103MNCK9O7JRD\";s:4:\"name\";s:8:\"angelito\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:969:\"I purchased this kayak along with two life vests. It arrived as promised and in awesome condition with all of the accesories mentioned. Because of the weight it is a bit hard to pick up by one person especially to put on top of an SUV. Therefore I built my own kayak cart to fit this particular kayak from instructions uploaded by someone on you tube and it makes it so much easier to move around.I also purchased a used 4x6 utility trailer to carry it to the lake instead of trying to put it on top of my SUV. It handles well with one person or two as long as the water is calm. It has a little difficulty tracking in wavy water and high winds, but it does what is was designed to do. It is no speed demon but it will get you there and back. It is made of a strong material and easy to get off and on. It is super stable and hard to flip.<br /><br />UPDATE:<br /><br />Still have the kayak and loving it, but now I have installed a home made skegg for better tracking.\";}i:8;a:5:{s:5:\"title\";s:11:\"Good kayak.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 20, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1A7CRKFE8MCGP\";s:4:\"name\";s:13:\"Pirates Cove.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:124:\"Fun kayak. Good value at 475.00. But slowwwww shipping!! It is worth the price with two paddles and seat backs. Fun for all.\";}i:9;a:5:{s:5:\"title\";s:14:\"ABOVE THE REST\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A1YTQY1PQQE4V\";s:4:\"name\";s:4:\"SHAR\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:147:\"THIS IS GREAT, STABLE, AND A LOT OF FUN, CAN NOT BE BEAT FOR THE PRICE, WE HAD 3 ADULTS ON THE KAYAK AND IT GLIDED THRU THE WATER WITH NO PROBLEMS.\";}}");
INSERT INTO `wp_postmeta` VALUES("3652", "510", "asg_last_refresh_attempt", "1371238631");
INSERT INTO `wp_postmeta` VALUES("3653", "510", "asg_update_timestamp", "1371238631");
INSERT INTO `wp_postmeta` VALUES("3654", "511", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3655", "511", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3656", "511", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3657", "511", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3658", "511", "asg_item_id", "B00198IDA6");
INSERT INTO `wp_postmeta` VALUES("3659", "511", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00198IDA6\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Team-Sports-America-Oklahoma-Inflatable/dp/B00198IDA6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00198IDA6\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Team-Sports-America-Oklahoma-Inflatable/dp/tech-data/B00198IDA6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00198IDA6\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00198IDA6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00198IDA6\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00198IDA6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00198IDA6\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00198IDA6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00198IDA6\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00198IDA6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00198IDA6\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00198IDA6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00198IDA6\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00198IDA6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00198IDA6\";}}}s:9:\"SalesRank\";s:6:\"493105\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51MZULTQQKL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:19:\"Team Sports America\";s:5:\"Color\";s:14:\"Crimson, White\";s:3:\"EAN\";s:13:\"0878575001339\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0878575001339\";}s:7:\"Feature\";a:4:{i:0;s:14:\"100% Polyvinyl\";i:1;s:42:\"Relax in style with your team on your back\";i:2;s:38:\"Pool float with a team logo and colors\";i:3;s:30:\"Show your team spirit poolside\";}s:14:\"IsAdultProduct\";s:1:\"0\";s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"1050\";s:6:\"Weight\";s:3:\"413\";s:5:\"Width\";s:3:\"825\";}s:5:\"Label\";s:19:\"Team Sports America\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5201\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$52.01\";}s:12:\"Manufacturer\";s:19:\"Team Sports America\";s:22:\"ManufacturerMinimumAge\";s:2:\"36\";s:3:\"MPN\";s:11:\"CLG0037-618\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:4:\"6600\";s:6:\"Weight\";s:3:\"360\";s:5:\"Width\";s:4:\"2700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:11:\"CLG0037-618\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:19:\"Team Sports America\";s:4:\"Size\";s:31:\"3.00 in. x 10.50 in. x 8.25 in.\";s:3:\"SKU\";s:6:\"TSA229\";s:6:\"Studio\";s:19:\"Team Sports America\";s:5:\"Title\";s:24:\"Oklahoma Inflatable Raft\";s:3:\"UPC\";s:12:\"878575001339\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"878575001339\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1849\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$18.49\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00198IDA6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00198IDA6\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:15:\"Tailgate Sports\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:158:\"CGgPI9kHCA962uFuSNxo4GPnTqLnjrdZ6CDjNOnQnhVAdeZCdEZ26ic4VXKdyH3UlkHrdViFHWXG5rTKHkAcmQVhqQCKVtTMHD%2FFeSgyJVXsPmc8CO6QRSGDhxxHkDVZ5ZaBrJYW1OvnXW907Maz0Q%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1849\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$18.49\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3352\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$33.52\";}s:15:\"PercentageSaved\";s:2:\"64\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00198IDA6&atag=freetos-20&exp=2013-06-15T19%3A37%3A12Z&v=2&sig=gkuH3ZwgkZhp4AaX3s5zHTjx5aQmKBes%2BEth4rmqSzQ%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:264:\"Perfect for the Beach, Pool or Dorm Room! It comes with built in grommets for wall hanging and displaying your favorite team. Sturdy I-beam construction features .25mm Poly Vinyl and built in angled pillow with separate air valve. Approximately 66 x 27 x 5 inches.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3660", "511", "asg_product_details", "a:3:{s:18:\"Product Dimensions\";s:34:\"10.5 x 8.2 x 3 inches ; 4.1 pounds\";s:15:\"Shipping Weight\";s:10:\"3.6 pounds\";s:4:\"ASIN\";s:10:\"B00198IDA6\";}");
INSERT INTO `wp_postmeta` VALUES("3661", "511", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("3662", "511", "asg_last_refresh_attempt", "1371238634");
INSERT INTO `wp_postmeta` VALUES("3663", "511", "asg_update_timestamp", "1371238634");
INSERT INTO `wp_postmeta` VALUES("3664", "512", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3665", "512", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3666", "512", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3667", "512", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3668", "512", "asg_item_id", "B0032GUR0C");
INSERT INTO `wp_postmeta` VALUES("3669", "512", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B0032GUR0C\";s:13:\"DetailPageURL\";s:215:\"http://www.amazon.com/Sevylor-Colossus-3-Person-Inflatable-Boat/dp/B0032GUR0C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0032GUR0C\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:225:\"http://www.amazon.com/Sevylor-Colossus-3-Person-Inflatable-Boat/dp/tech-data/B0032GUR0C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GUR0C\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0032GUR0C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GUR0C\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0032GUR0C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GUR0C\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0032GUR0C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GUR0C\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0032GUR0C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GUR0C\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0032GUR0C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GUR0C\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GUR0C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GUR0C\";}}}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/312ehWCt-BL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003390\";}s:10:\"Department\";s:24:\"Small Craft & Inflatable\";s:3:\"EAN\";s:13:\"0066510974668\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0066510974668\";i:1;s:13:\"0076501039580\";}}s:7:\"Feature\";a:5:{i:0;s:57:\"3-person inflatable boat ideal for rapids or river floats\";i:1;s:54:\"Durable 20-gauge PVC construction with Airtight system\";i:2;s:57:\"4 separate air chambers provide extra puncture-resistance\";i:3;s:54:\"Double-Lock valves; includes pair of oarlocks and oars\";i:4;s:65:\"Measures 8\' 6\" by 3\' 10\"; holds up to 680 pounds; 90-day warranty\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"600\";s:6:\"Length\";s:4:\"1900\";s:6:\"Weight\";s:4:\"1640\";s:5:\"Width\";s:4:\"1500\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"7399\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$73.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003390\";s:3:\"MPN\";s:10:\"2000003390\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"590\";s:6:\"Length\";s:4:\"1950\";s:6:\"Weight\";s:4:\"1690\";s:5:\"Width\";s:4:\"1550\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003390\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:4:\"Size\";s:10:\"2000003390\";s:3:\"SKU\";s:7:\"CW14606\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:41:\"Sevylor Colossus 3-Person Inflatable Boat\";s:3:\"UPC\";s:12:\"076501039580\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"076501039580\";i:1;s:12:\"066510974668\";}}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"6246\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$62.46\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"6372\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$63.72\";}s:8:\"TotalNew\";s:2:\"16\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GUR0C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GUR0C\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"5c7CmTd%2FtgGcrA3aLMf4AZ9yivIALyJZasKWeHJiWBVOgxZFTG2vIXWRICkfj1OYYnq6yFEgl6lNpFkNRgdPCOrvWhEuB7krsSXhJJxt0nRZyG9da0aJjw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7357\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$73.57\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:2:\"42\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$0.42\";}s:15:\"PercentageSaved\";s:1:\"1\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0032GUR0C&atag=freetos-20&exp=2013-06-15T19%3A37%3A14Z&v=2&sig=qHqjtOqhW5ZFj2RKxo7cLSRGr8kQxlxaAqlEvNgWAiA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:732:\"Whether you Feetre maneuvering rapids, meandering down a stream, or bringing guests out to your yacht, the Sevylor Colossus Inflatable Boat is ready, durable and certified by the National Marine Manufacturers Association. The Colossus 3-Person Boat is durably constructed of 20-gauge PVC, with four separate air chambers for security and puncture-resistance. The 3-Person Colossus measures 8 Feet5 Inch long by 3 Feet10 Inch wide, and holds up to 680 pounds. The Colossus comes with two oars and features dual oar locks and an all-around grabline. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2376:\"Tough and versatile, the Sevylor Colossus three-person inflatable boat excels whether you\'re maneuvering rapids, meandering down a stream, or bringing guests out to your yacht. The Colossus is made of durable 20-gauge PVC, with four separate air chambers to ensure extra security and puncture-resistance on the water. The boat is also guaranteed not to leak thanks to Sevylor\'s exclusive Airtight system, which teams up with the boat\'s Double-Lock valves to keep air from escaping from any part of the boat. And it\'s easy to maneuver the boat using the pair of oarlocks, which steady the oars while you turn. The three-person Colossus is so reliable that it\'s certified by the National Marine Manufacturers Association (NMMA). <p> The three-person Colossus--which includes a front handle and an all-around grab line--measures 8 feet 6 inches by 3 feet 10 inches, supports up to 680 pounds, and carries a 90-day warranty. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3650", "510", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:9:\"69 pounds\";s:4:\"ASIN\";s:10:\"B004KGIUI4\";}");
INSERT INTO `wp_postmeta` VALUES("3651", "510", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("3642", "509", "asg_last_refresh_attempt", "1371238629");
INSERT INTO `wp_postmeta` VALUES("3643", "509", "asg_update_timestamp", "1371238629");
INSERT INTO `wp_postmeta` VALUES("3644", "510", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3645", "510", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3646", "510", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3647", "510", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3648", "510", "asg_item_id", "B004KGIUI4");
INSERT INTO `wp_postmeta` VALUES("3649", "510", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004KGIUI4\";s:13:\"DetailPageURL\";s:212:\"http://www.amazon.com/11Ft-Fishing-Inflatable-Camping-Dinghy/dp/B004KGIUI4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004KGIUI4\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:222:\"http://www.amazon.com/11Ft-Fishing-Inflatable-Camping-Dinghy/dp/tech-data/B004KGIUI4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KGIUI4\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004KGIUI4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KGIUI4\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004KGIUI4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KGIUI4\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004KGIUI4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KGIUI4\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004KGIUI4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KGIUI4\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004KGIUI4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KGIUI4\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004KGIUI4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KGIUI4\";}}}s:9:\"SalesRank\";s:6:\"636220\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41kkv-kqNJL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}}s:14:\"ItemAttributes\";a:5:{s:7:\"Feature\";a:5:{i:0;s:19:\"NMMA & CE Certified\";i:1;s:21:\"Four molded oar locks\";i:2;s:14:\"Weight: 40 lbs\";i:3;s:15:\"Length: 11ft 4\"\";i:4;s:13:\"Width: 4ft 8\"\";}s:12:\"ProductGroup\";s:23:\"Single Detail Page Misc\";s:15:\"ProductTypeName\";s:10:\"MISC_OTHER\";s:3:\"SKU\";s:11:\"RVST-422-15\";s:5:\"Title\";s:63:\"11Ft 6 Man Row Boat Fishing Boat Inflatable Raft Camping Dinghy\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"27599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$275.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004KGIUI4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KGIUI4\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:12:\"RVTravelMats\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:162:\"bVM4rC%2FGeXOB6WMuVWbUAux8gcCyyWgS43%2F2Zai97dwjxQzZ1GYMbFu8fH8QlNrvMsQUx5G%2FA2QfD9GclZCq5nOCMHNCXM8I6Nm2uMcLlRp1gwiSmYbdaiNesMb71LkpVr2PULbah38wKnYhb0hs4w%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"27599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$275.99\";}s:12:\"Availability\";s:34:\"Usually ships in 3-4 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"72\";s:12:\"MaximumHours\";s:2:\"96\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004KGIUI4&atag=freetos-20&exp=2013-06-15T19%3A37%3A09Z&v=2&sig=BqtT%2B9WbgoFG9Zv1ecAzm7523wmcFHCrfJagnEYRqio%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:718:\"The all new Water foul Stansport 6 man river boat is here. This boat is the only thing missing from you having the camping trip of a life time. This inflatable boat holds up to six people with a combined weight of 1200lb. This boat is 11Ft 4In, so it is comfortable for you and your family or guest. It comes with a foot pump so it inflates in minutes. This boat works in so many ways. First off, it is NMMA & CE certified so you can use it for white water rafting, but this boat is also great for small fishing trips or a day out on the lake. Furthermore, the Kenal comes with two inflatable seats to make it even more comfortable. Dont miss out of the most comfortable, affordable, and exciting river boat ever made!\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2276", "368", "asg_last_refresh_attempt", "1371235581");
INSERT INTO `wp_postmeta` VALUES("2277", "368", "asg_update_timestamp", "1371235581");
INSERT INTO `wp_postmeta` VALUES("2278", "369", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2279", "369", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2280", "369", "asg_item_id", "B004O990KO");
INSERT INTO `wp_postmeta` VALUES("2281", "369", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004O990KO\";s:13:\"DetailPageURL\";s:217:\"http://www.amazon.com/Malone-Downloader-Folding-J-Style-Universal/dp/B004O990KO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004O990KO\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:227:\"http://www.amazon.com/Malone-Downloader-Folding-J-Style-Universal/dp/tech-data/B004O990KO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004O990KO\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004O990KO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004O990KO\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004O990KO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004O990KO\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004O990KO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004O990KO\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004O990KO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004O990KO\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004O990KO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004O990KO\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004O990KO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004O990KO\";}}}s:9:\"SalesRank\";s:4:\"9002\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:8:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417D3ZXA9NL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/412i56svETL._SL30_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/412i56svETL._SL75_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/412i56svETL._SL75_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/412i56svETL._SL110_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/412i56svETL._SL160_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/412i56svETL.jpg\";s:6:\"Height\";s:3:\"230\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51POfFK7kVL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51POfFK7kVL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51POfFK7kVL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51POfFK7kVL._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51POfFK7kVL._SL160_.jpg\";s:6:\"Height\";s:3:\"133\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51POfFK7kVL.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51mXEQOcnIL._SL30_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51mXEQOcnIL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51mXEQOcnIL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51mXEQOcnIL._SL110_.jpg\";s:6:\"Height\";s:3:\"102\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51mXEQOcnIL._SL160_.jpg\";s:6:\"Height\";s:3:\"148\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51mXEQOcnIL.jpg\";s:6:\"Height\";s:3:\"462\";s:5:\"Width\";s:3:\"500\";}}i:5;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51nvP37kGRL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51nvP37kGRL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51nvP37kGRL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51nvP37kGRL._SL110_.jpg\";s:6:\"Height\";s:2:\"90\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51nvP37kGRL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51nvP37kGRL.jpg\";s:6:\"Height\";s:3:\"407\";s:5:\"Width\";s:3:\"500\";}}i:6;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GzwC4USWL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GzwC4USWL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GzwC4USWL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51GzwC4USWL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51GzwC4USWL._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51GzwC4USWL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"500\";}}i:7;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51nEkyqDm9L._SL30_.jpg\";s:6:\"Height\";s:2:\"21\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51nEkyqDm9L._SL75_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51nEkyqDm9L._SL75_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51nEkyqDm9L._SL110_.jpg\";s:6:\"Height\";s:2:\"76\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51nEkyqDm9L._SL160_.jpg\";s:6:\"Height\";s:3:\"111\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51nEkyqDm9L.jpg\";s:6:\"Height\";s:3:\"347\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:30:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"Malone Auto Racks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"MPG114MD\";}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:24:\"Storage & Transportation\";s:3:\"EAN\";s:13:\"0859557001790\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0859557001790\";}s:7:\"Feature\";a:5:{i:0;s:66:\"J-style kayak carrier with built-in boarding ramp for easy loading\";i:1;s:49:\"Fold down technology increases overhead clearance\";i:2;s:48:\"Oversized padding protects boat during transport\";i:3;s:130:\"JAWZ mounting hardware fits round, square and most factory oval cross rails, includes both 60mm and 70mm pre-coated mounting bolts\";i:4;s:44:\"Cam style load straps with buckle protectors\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:4:\"2100\";s:6:\"Weight\";s:4:\"1630\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:17:\"Malone Auto Racks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"15995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$159.95\";}s:12:\"Manufacturer\";s:17:\"Malone Auto Racks\";s:5:\"Model\";s:8:\"MPG114MD\";s:3:\"MPN\";s:8:\"MPG114MD\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"725\";s:6:\"Length\";s:4:\"2150\";s:6:\"Weight\";s:4:\"1698\";s:5:\"Width\";s:4:\"1025\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"MPG114MD\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Malone Auto Racks\";s:11:\"ReleaseDate\";s:10:\"2011-01-17\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:10:\"AZCW-40942\";s:6:\"Studio\";s:17:\"Malone Auto Racks\";s:5:\"Title\";s:91:\"Malone Downloader Folding J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines\";s:3:\"UPC\";s:12:\"859557001790\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"859557001790\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"14395\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$143.95\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004O990KO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004O990KO\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:136:\"v5FR%2BcqPimIrKw0AV%2BwKWBt1uPDgegS%2F2OOP8hb77gYBl6HviPTPghRHaO34WEPHz%2BNT9HG6C%2BW1cfWnJugsnlj2%2FUrdZHjx6SfumNYDnH3IZfdIodJ9Ug%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"14681\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$146.81\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1314\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.14\";}s:15:\"PercentageSaved\";s:1:\"8\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004O990KO&atag=freetos-20&exp=2013-06-15T18%3A46%3A21Z&v=2&sig=0diPuVUL8tdR77fNHRWCTRABODlaNqgNwJNLI5H6sp8%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:405:\"The J-DownLoader with Bow and Stern includes everything you need to carry one kayak vertically on your roof top. When not in use, the carrier folds down to create more overhead clearance. The built in loading ramps help load and unload the kayak while oversized padding helps protect the boat once strapped down. The Malone universal JAWZ mounting hardware fits round, square and factory oval cross rails.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3631", "508", "asg_last_refresh_attempt", "1371238627");
INSERT INTO `wp_postmeta` VALUES("3632", "508", "asg_update_timestamp", "1371238627");
INSERT INTO `wp_postmeta` VALUES("3633", "509", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3634", "509", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3635", "509", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3636", "509", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3637", "509", "asg_item_id", "B00352KR4E");
INSERT INTO `wp_postmeta` VALUES("3638", "509", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00352KR4E\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Sevylor-Fish-Hunter-Inflatable-3-Person/dp/B00352KR4E%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00352KR4E\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Sevylor-Fish-Hunter-Inflatable-3-Person/dp/tech-data/B00352KR4E%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00352KR4E\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00352KR4E%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00352KR4E\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00352KR4E%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00352KR4E\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00352KR4E%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00352KR4E\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00352KR4E%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00352KR4E\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00352KR4E%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00352KR4E\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00352KR4E%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00352KR4E\";}}}s:9:\"SalesRank\";s:5:\"65431\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL.jpg\";s:6:\"Height\";s:3:\"291\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL110_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL.jpg\";s:6:\"Height\";s:3:\"291\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL110_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41HduxL%2B3JL.jpg\";s:6:\"Height\";s:3:\"291\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:10:\"2000003410\";i:1;s:13:\"0076501039771\";}}s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0076501039771\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501039771\";}s:7:\"Feature\";a:5:{i:0;s:53:\"Inflatable 3-person fishing boat made of 24-gauge PVC\";i:1;s:52:\"2 tunnel chambers add lateral stability on the water\";i:2;s:63:\"Inflatable seat, fishing rod holder, chafing pads, and gear bag\";i:3;s:56:\"2 swivel oarlocks; works with outboard motors up to 2 hp\";i:4;s:61:\"Holds up to 600 pounds; measures 8\' by 4\' 6\"; 90-day warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"950\";s:6:\"Length\";s:4:\"2560\";s:6:\"Weight\";s:4:\"2300\";s:5:\"Width\";s:4:\"1520\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"12599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$125.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003410\";s:3:\"MPN\";s:10:\"2000003410\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"950\";s:6:\"Length\";s:4:\"2560\";s:6:\"Weight\";s:4:\"2300\";s:5:\"Width\";s:4:\"1520\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003410\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:14:\"COL-2000003410\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:44:\"Sevylor Fish Hunter Inflatable 3-Person Boat\";s:3:\"UPC\";s:12:\"076501039771\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501039771\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"8380\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$83.80\";}s:8:\"TotalNew\";s:2:\"18\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00352KR4E%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00352KR4E\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"1qlvzD%2FzUOi93UV9MIcNOyRPpVYL2lGfGyGc9zGJFn82KCTxXq0gRksbo6FH9AYJiSIuRNHoGdJ%2F18K6vDj5xI4s4%2BHISTXJH%2BpIZEN9xU1sCnxqt3HZLA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8380\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$83.80\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"4219\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$42.19\";}s:15:\"PercentageSaved\";s:2:\"33\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00352KR4E&atag=freetos-20&exp=2013-06-15T19%3A37%3A07Z&v=2&sig=AgDC5MvujcSnUERIbiHziYFTWCyirhJ2C9uqwY1nTdA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:917:\"The Sevylor Fish Hunter Inflatable Boat is packed with features for performance and convenience, so you can focus on fishing. Measuring 8 Feet long by 4 Feet6 Inch wide, the 3-Person Fish hunter holds up to 600 pounds and is durably constructed of 24-gauge PVC. The Fish Hunter is built with two tunnel chambers for lateral stability on the water. For comfort, the Fish Hunter features an inflatable seat, a fishing-rod holder, two swivel oarlocks, and chafing pads. Drain plugs make it easy to empty out water, while an all-around grabline and built-in carry handles offer convenience. The Fish Hunter accepts motor mount and outboard motors up to 2 HP, as well as 12V electric motors. A handy gear bag is included. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2746:\"Hit the fishing hole with two of your closest friends with the Sevylor Fish Hunter inflatable three-person boat. The Fish Hunter is constructed of 24-gauge PVC, with two tunnel chambers adding lateral stability on the water. As a result, the boat can handle uneven loads, provided it doesn\'t take on more than 600 pounds. The boat also includes a number of fishing-specific features, including an inflatable seat to keep you comfortable and stable while casting, a fishing rod holder, chafing pads, and a gear bag. The Fish Hunter\'s drain plugs help you keep water from building up, while the two swivel oarlocks make it easy to turn without losing control. And folks on longer fishing trips can add a motor mount and an outboard motor. The boat works with motors up to 2 horsepower in addition to 12-volt motors. <p> Finally, the Fish Hunter is guaranteed not to leak thanks to Sevylor\'s exclusive Airtight system and Double-Lock valves, which prevent accidental air loss while encouraging quicker inflation and deflation. Other details include an all-around grab line, two oar holders, and a pair of built-in carrying handles. Certified by the National Marine Manufacturers Association (NMMA), the three-person Fish Hunter measures 8 feet by 4 feet 6 inches and carries a 90-day warranty. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2258", "366", "asg_last_refresh_attempt", "1371235576");
INSERT INTO `wp_postmeta` VALUES("2259", "366", "asg_update_timestamp", "1371235576");
INSERT INTO `wp_postmeta` VALUES("2260", "367", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2261", "367", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2262", "367", "asg_item_id", "B007PKBAH0");
INSERT INTO `wp_postmeta` VALUES("2263", "367", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B007PKBAH0\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Shoreline-Marine-Kayak-Paddle-Leash/dp/B007PKBAH0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB007PKBAH0\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Shoreline-Marine-Kayak-Paddle-Leash/dp/tech-data/B007PKBAH0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007PKBAH0\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB007PKBAH0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007PKBAH0\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB007PKBAH0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007PKBAH0\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB007PKBAH0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007PKBAH0\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B007PKBAH0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007PKBAH0\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B007PKBAH0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007PKBAH0\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B007PKBAH0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007PKBAH0\";}}}s:9:\"SalesRank\";s:4:\"7026\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"88\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"276\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"17\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"61\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"88\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"276\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"17\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"61\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"88\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41CPN6raSsL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"276\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FuHqE0foL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FuHqE0foL._SL75_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FuHqE0foL._SL75_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FuHqE0foL._SL110_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FuHqE0foL._SL160_.jpg\";s:6:\"Height\";s:3:\"105\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41FuHqE0foL.jpg\";s:6:\"Height\";s:3:\"329\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:22:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"065522\";}s:3:\"EAN\";s:13:\"0013893655226\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893655226\";}s:7:\"Feature\";a:5:{i:0;s:40:\"Easily secures your paddle to your kayak\";i:1;s:54:\"Helps prevent paddle loss and doesn\'t inhibit paddling\";i:2;s:71:\"Attaches to any eye strap using the conviende and easy to use snap lock\";i:3;s:29:\"Built in quick release buckle\";i:4;s:21:\"Stretchable up to 45\"\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:7:\"SL56140\";s:3:\"MPN\";s:7:\"SL56140\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:3:\"570\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"350\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"SL56140\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:11:\"ReleaseDate\";s:10:\"2012-03-02\";s:3:\"SKU\";s:8:\"065522~M\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:35:\"Shoreline Marine Kayak Paddle Leash\";s:3:\"UPC\";s:12:\"013893655226\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893655226\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"720\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.20\";}s:8:\"TotalNew\";s:1:\"6\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B007PKBAH0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007PKBAH0\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:136:\"DueF8ByRHOZNM%2FSYXSbr8MnkHV17nHSb69ysjErrLj1pE2hMgY23TfTRJpWOyXPIb%2Fn54hUtgxL%2Bu8z9ptB%2FLRZ3SShJE560BEF2jP%2B%2BjhSYbkixrrHAIQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"732\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.32\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B007PKBAH0&atag=freetos-20&exp=2013-06-15T18%3A46%3A16Z&v=2&sig=mpK5wK5dowBlVsX%2FryWuJw3yFCielOkYF2NULCPFV1o%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:187:\"Bungee Paddle Leash easily secures your paddle to your kayak. Helps prevent paddle loss and does not inhibit paddling. Attaches to any eye strap using snap. Built in quick release buckle.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2255", "366", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004XACRRC\";s:17:\"Item model number\";s:9:\"8681-Kaya\";}");
INSERT INTO `wp_postmeta` VALUES("2256", "366", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2257", "366", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:44:\"Decent paddle but save yourself a few bucks.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AD9Z6FZ7WXKAD\";s:4:\"name\";s:23:\"MissississississippiMan\";s:7:\"address\";s:9:\"Louisiana\";}s:4:\"text\";s:439:\"For my first kayak I bought the \"Shoreline Kayak Paddle Rounded Blade\" from amazon. For my second kayak I bought this paddle thinking I would try a little something different and maybe a slight upgrade from the first paddle. Nope. Other than the name it is the exact same paddle. I compared them side-by-side. So save yourself a few dollars and get the \"Shoreline Kayak Paddle Rounded Blade\".......still a good paddle for the price though.\";}i:1;a:5:{s:5:\"title\";s:18:\"Sweet Kayak Paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2WNJ2F0IRVTL4\";s:4:\"name\";s:48:\"BeefwellingtonIII \"Tea Leaf Green: Buy their ...\";s:7:\"address\";s:6:\"SF, CA\";}s:4:\"text\";s:224:\"I\'m not a pro kayaker. I just needed a replacement for my ocean kayak. This one was inexpensive, adjustable, and came with drip guards and foamy grips for your hands. Its a good length and good shape. I\'m very happy with it.\";}i:2;a:5:{s:5:\"title\";s:11:\"good paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"January 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A328M0QP1BJU8U\";s:4:\"name\";s:16:\"Gulfcoastkayaker\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:138:\"this is a very good paddle for the price. I like the hand grips. I have seen other paddles with the same quality for about eighty dollars.\";}i:3;a:5:{s:5:\"title\";s:27:\"Just what I was looking for\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 27, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2TWTFEFYHLA0H\";s:4:\"name\";s:8:\"Stacey K\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1103:\"About 6 months ago I bought a recreational kayak that was a bit on the wide side. 29 inches to be exact. I did have a shorter paddle but I couldn\'t get a good stroke without occasionally hitting my thumbs on the side of my yak. Ouch! This paddle is the perfect length and it is still fairly lightweight. The two pieces are easy to put together and take apart and the feathering option is great, especially on those windy days. The grip is nice but it wasn\'t enough to prevent me from getting those awful blisters on the side of my thumb after paddling upriver. No worries though, the extra thickness actually helped keep my favorite <a href=\"http://www.amazon.com/gp/product/B000CML7CG\">Yakgrips</a> from sliding around (no really they are awesome, check them out) The only major issue I have is with the drip guards. They tend to move around a bit. I solved this problem by wrapping some waterproof reflective tape around the paddle just below the drip guards to hold them in place. Always good to have if you plan on going out at night and you can usually find it at any local outdoorsy type of store.\";}i:4;a:5:{s:5:\"title\";s:13:\"Decent paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"August 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A27LGKD0HKTYEU\";s:4:\"name\";s:15:\"Stephen M. Ruff\";s:7:\"address\";s:11:\"Kingston,NY\";}s:4:\"text\";s:262:\"I bought this paddle to use on my inflatable kayak,and am happy with it. It\'s a 2-piece,multi-positional paddle,with comfortable foam grips. It has so far held up well. I would buy it again,or recommend it as a<br />reasonably priced paddle that will do the job.\";}i:5;a:5:{s:5:\"title\";s:9:\"Very good\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AAVLONFRF587D\";s:4:\"name\";s:3:\"Jim\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:118:\"Have used paddles that cost twice as much but weren\'t much better. Comfortable grips. For the price it\'s hard to beat.\";}i:6;a:5:{s:5:\"title\";s:12:\"Great paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AQB5TYYLUIBU1\";s:4:\"name\";s:3:\"Jon\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:142:\"I bought this paddle and love it! I had a day tripper even though it is lighter the seasense is much better paddle very happy with the product\";}i:7;a:5:{s:5:\"title\";s:15:\"seaaense paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1HJ1L2FRU1IRU\";s:4:\"name\";s:5:\"astro\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:143:\"good paddle for the price. works well for receational paddleing or as an extra paddle. As before price is reasonable, and it is a good product.\";}i:8;a:5:{s:5:\"title\";s:18:\"Works Great So Far\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/ALH1OQ159NI4\";s:4:\"name\";s:12:\"Skinsketcher\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:313:\"Got this for a really great price. I was concerned that this might have 2 grooves along the center of the paddles that I heard will cause drag. I couldn\'t really tell from the picture. Well it\'s not there ...in fact, it may not even matter, just heard from another Avid kayak-er that it was something to consider.\";}i:9;a:5:{s:5:\"title\";s:13:\"paddle length\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A2BEBPN63AHXP\";s:4:\"name\";s:4:\"JOSH\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:177:\"the paddle is fine, but i would reccommend the 96&#34;. i bought the 96&#34; and 84&#34;, because i wasnt sure. i combined each half for now, but will get another 96&#34; later.\";}}");
INSERT INTO `wp_postmeta` VALUES("2231", "363", "asg_last_refresh_attempt", "1371235569");
INSERT INTO `wp_postmeta` VALUES("2232", "363", "asg_update_timestamp", "1371235569");
INSERT INTO `wp_postmeta` VALUES("2233", "364", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2234", "364", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2235", "364", "asg_item_id", "B003652EQY");
INSERT INTO `wp_postmeta` VALUES("2236", "364", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003652EQY\";s:13:\"DetailPageURL\";s:215:\"http://www.amazon.com/Sevylor-Tahiti-Fishing-Hunting-Inflatable/dp/B003652EQY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003652EQY\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:225:\"http://www.amazon.com/Sevylor-Tahiti-Fishing-Hunting-Inflatable/dp/tech-data/B003652EQY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652EQY\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003652EQY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652EQY\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003652EQY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652EQY\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003652EQY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652EQY\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003652EQY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652EQY\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003652EQY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652EQY\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003652EQY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652EQY\";}}}s:9:\"SalesRank\";s:4:\"6950\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41MpCwR9QqL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003413\";}s:5:\"Color\";s:5:\"green\";s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0076501039832\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501039832\";}s:7:\"Feature\";a:5:{i:0;s:73:\"2-person inflatable fishing/hunting kayak made of heavy-duty 26-gauge PVC\";i:1;s:63:\"2 air chambers for security; tubular I-beam floor for stability\";i:2;s:65:\"Specially designed inflatable seats with comfortable back support\";i:3;s:53:\"2 spray covers for protection; unobtrusive camo color\";i:4;s:48:\"Holds up to 400 pounds; measures 10\' 9\" by 2\' 4\"\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:4:\"1600\";s:6:\"Weight\";s:4:\"2379\";s:5:\"Width\";s:3:\"600\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"15699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$156.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003413\";s:3:\"MPN\";s:10:\"2000003413\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"700\";s:6:\"Length\";s:4:\"2530\";s:6:\"Weight\";s:4:\"2400\";s:5:\"Width\";s:4:\"1660\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003413\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:13:\"144900-563916\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:47:\"Sevylor Tahiti Fishing/Hunting Inflatable Kayak\";s:3:\"UPC\";s:12:\"076501039832\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501039832\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"9300\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$93.00\";}s:8:\"TotalNew\";s:1:\"8\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003652EQY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652EQY\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:134:\"XIP3VzVpmenidZ1SjJ%2BSHOT5e3%2F94wrgsfeUNs0OQauiIWVyO9ohhQfNpkEK%2FoOk64RtNw0Nh08F1nOWPZwqNGkqD6wQRNRzQH8j2j0z%2BFBb%2FxpKtEuNBQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11049\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$110.49\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"4650\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$46.50\";}s:15:\"PercentageSaved\";s:2:\"30\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003652EQY&atag=freetos-20&exp=2013-06-15T18%3A46%3A10Z&v=2&sig=K3i3AGy64HrsMS9HxU9cebC2PaZkNXaepe%2BaaMlccek%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:728:\"The Tahiti Fishing/Hunting Inflatable Kayak is durable, reliable, comfortable and portable. Measuring 10 Feet9 Inch long by 2 Feet4 Inch wide, the Tahiti holds two people (up to 400 pounds total) in built-in inflatable seats. The Kayak is durably constructed of heavy-duty 26-gauge PVC, with two air chambers for security and a tubular I-beam floor for stability. The Kayak is camo-colored for low visibility while hunting. It includes two spray covers for protection, and has an optional directional skeg for maximum control. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the kayak Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2406:\"A fishing-specific version of the kayak that twice traversed the entire length of the Amazon, the Sevylor Tahiti fishing/hunting inflatable two-person kayak is ready for adventures the world over. The Tahiti was released in 1963 and maintains a similar build after all these years. The kayak is durably constructed of heavy-duty 26-gauge PVC, with two air chambers for security and a tubular I-beam floor for stability. The Tahiti is also extremely comfortable thanks to the specially designed inflatable seats, which offer ample back support. And hunters will love the kayak\'s camo color, which ensures low visibility in grassy marshes. Other features include two spray covers for protection, an optional directional skeg for maximum control, and a leak-proof guarantee from Sevylor. <p> Certified by the National Marine Manufacturers Association (NMMA), the two-person Tahiti measures 10 feet 9 inches by 2 feet 4 inches and holds up to 400 pounds. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2220", "362", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:33:\"76 x 42.5 x 15 inches ; 34 pounds\";s:15:\"Shipping Weight\";s:11:\"38.8 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00177FIJ8\";s:17:\"Item model number\";s:7:\"68306EP\";}");
INSERT INTO `wp_postmeta` VALUES("2221", "362", "asg_star_rating", "3.5");
INSERT INTO `wp_postmeta` VALUES("2222", "362", "asg_last_refresh_attempt", "1371235567");
INSERT INTO `wp_postmeta` VALUES("2223", "362", "asg_update_timestamp", "1371235567");
INSERT INTO `wp_postmeta` VALUES("2224", "363", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2225", "363", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2226", "363", "asg_item_id", "B001ASRVDK");
INSERT INTO `wp_postmeta` VALUES("2227", "363", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B001ASRVDK\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Sea-Eagle-SE370-Inflatable-Package/dp/B001ASRVDK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001ASRVDK\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Sea-Eagle-SE370-Inflatable-Package/dp/tech-data/B001ASRVDK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASRVDK\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001ASRVDK%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASRVDK\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001ASRVDK%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASRVDK\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001ASRVDK%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASRVDK\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001ASRVDK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASRVDK\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001ASRVDK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASRVDK\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001ASRVDK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASRVDK\";}}}s:9:\"SalesRank\";s:4:\"4114\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL._SL75_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL._SL160_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL.jpg\";s:6:\"Height\";s:3:\"196\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL._SL30_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL._SL75_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL._SL75_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL._SL110_.jpg\";s:6:\"Height\";s:2:\"43\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL._SL160_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41QkqoeCnqL.jpg\";s:6:\"Height\";s:3:\"196\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"Sea Eagle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"SE370K_P\";}s:5:\"Color\";s:10:\"White/Blue\";s:3:\"EAN\";s:13:\"0023634081610\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0023634081610\";i:1;s:13:\"0023634080064\";}}s:7:\"Feature\";a:5:{i:0;s:47:\"Lightweight and portable inflatable sport kayak\";i:1;s:37:\"NMMA Certified; inflates in 8 minutes\";i:2;s:24:\"Self-bailing drain valve\";i:3;s:23:\"3 deluxe one-way valves\";i:4;s:35:\"Lashed-down inflatable spray skirts\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:4:\"5100\";s:6:\"Weight\";s:4:\"5000\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:9:\"Sea Eagle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"63700\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$637.00\";}s:12:\"Manufacturer\";s:9:\"Sea Eagle\";s:5:\"Model\";s:8:\"SE370K_P\";s:3:\"MPN\";s:8:\"SE370K_P\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1100\";s:6:\"Length\";s:4:\"3500\";s:6:\"Weight\";s:4:\"5970\";s:5:\"Width\";s:4:\"2200\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"SE370K_P\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Sea Eagle\";s:11:\"ReleaseDate\";s:10:\"2011-05-06\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:12:\"DI_DSD480909\";s:6:\"Studio\";s:9:\"Sea Eagle\";s:5:\"Title\";s:49:\"Sea Eagle SE370 Inflatable Kayak with Pro Package\";s:3:\"UPC\";s:12:\"023634080064\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"023634080064\";i:1;s:12:\"023634081610\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:1:{s:14:\"FormattedPrice\";s:18:\"Too low to display\";}s:8:\"TotalNew\";s:1:\"7\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B001ASRVDK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001ASRVDK\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"xXcEpu7MkkBcrQPEbNxMVmfFNQUN52YTZBSot4FQGoQkvqczWaee2AoFzhQV0wPXB1jZwBS0aXavlHZPmVC0GmvluVf7%2BKzYAD2ffoyjL9YWuUG%2BevuvtQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"34998\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.98\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:5:\"28702\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$287.02\";}s:15:\"PercentageSaved\";s:2:\"45\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001ASRVDK&atag=freetos-20&exp=2013-06-15T18%3A46%3A08Z&v=2&sig=muqGr7cu9sgiiNc2rM1AX3fRaiSewjgPTF9EaDVay4M%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:285:\"The Sea Eagle 370 Pro kayak package gets you set up for exploring, with a Sea Eagle 12\'6\" kayak, 2 AB30 paddles, 2 DKS seats, a storage bag, a foot pump, a repair kit, and instructions. The kayak has an I-beam construction floor and 2 skegs on the bottom for better tracking and speed.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2354:\"Race down the river or cruise a mirror-smooth lake at dawn in the Sea Eagle Sport kayak. It holds up to 500 pounds, but weighs only 26. Easily portable, it carries two adults and gear, but can be transported and used by one adult alone. You can even bring your dog out on the water--the rugged PolyKrylar hull is tough enough to withstand dog paws and claws. The SE370 packs down to fit in a storage bag, but has cargo space for camping gear and other supplies. It can be used for paddling, fishing, yacht tending, or skin diving. You can even take it on the river as it can handle whitewater up to class III. <p> The Sea Eagle features an extra thick 33-millimeter Polykrylar hull, an I-beam construction floor for extra rigidity, inflatable spray skirts, removable inflatable front and rear seat, front and rear rope handles, and a self-bailing drain valve (a handy feature on whitewater rivers or in ocean surf). It also features two molded kegs for tracking and speed to track smoothly across the water, and high-freqency welded seams that fuse the material into one solid piece.<table align=\"right\" cellpadding=\"10\" width=\"250\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"190\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/sea-kayak.jpg\" width=\"250\" /><br /><br /><small><em><strong>The PolyKrylar hull is strong enough to withstand dog paws and claws.</strong></em></small></td> </tr> </tbody></table> <p> <b>Features:</b> <ul> <li>Lightweight and portable inflatable sport kayak <li>NMMA Certified <li>Self-bailing drain valve <li>3 deluxe one-way valves <li>Lashed-down inflatable spray skirts <li>I-beam construction floor <li>2 skegs on the bottom for better tracking and speed <li>Pressure gauge and repair kit <li>Bow & stern grab line <li>Rugged PolyKrylar hull is tough enough to withstand dog paws </ul> <p> <b>Specifications:</b> <ul> <li>Interior: 10 feet, 8 inches by 1 foot, 1 inch <li>Exterior: 12 feet, 6 inches by 2 feet, 10inches <li>Deflated: 31 by 19 by 8 inches <li>Tube Diameter: 9 inches <li>Capacity: 3 Persons or 650 pounds <li>Weight: 32 pounds <li>Chambers: 3 (port, starboard,floor) <li>Material: 38 mil PolyKrylar (K80 PVC) <li>Seam: High-frequency welded <li>Floor: Inflatable I-beam construction <li>Air Valves: 5 deluxe one-way <li>Inflation & Assembly time:  8 minutes </ul> <p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2196", "359", "asg_last_refresh_attempt", "1371235561");
INSERT INTO `wp_postmeta` VALUES("2197", "359", "asg_update_timestamp", "1371235561");
INSERT INTO `wp_postmeta` VALUES("2198", "360", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2199", "360", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2200", "360", "asg_item_id", "B00852QTIC");
INSERT INTO `wp_postmeta` VALUES("2201", "360", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00852QTIC\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Kayak-Carrier-Trailer-Trolley-Transport/dp/B00852QTIC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00852QTIC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Kayak-Carrier-Trailer-Trolley-Transport/dp/tech-data/B00852QTIC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00852QTIC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00852QTIC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00852QTIC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00852QTIC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00852QTIC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00852QTIC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00852QTIC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00852QTIC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00852QTIC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00852QTIC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00852QTIC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00852QTIC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00852QTIC\";}}}s:9:\"SalesRank\";s:4:\"2733\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417X3qqi8GL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416idbeHmHL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"12\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416idbeHmHL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"30\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416idbeHmHL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"30\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416idbeHmHL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"44\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416idbeHmHL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"64\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/416idbeHmHL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"200\";}}}}s:14:\"ItemAttributes\";a:17:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:18:\"Sky Enterprise USA\";s:3:\"EAN\";s:13:\"0813373018110\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0813373018110\";}s:7:\"Feature\";a:4:{i:0;s:10:\"12ft strap\";i:1;s:21:\"Aluminum construction\";i:2;s:20:\"10\" Pneumatic wheels\";i:3;s:14:\"150lb capacity\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:1:\"9\";}s:5:\"Label\";s:18:\"Sky Enterprise USA\";s:12:\"Manufacturer\";s:18:\"Sky Enterprise USA\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"700\";s:6:\"Length\";s:4:\"2900\";s:6:\"Weight\";s:3:\"904\";s:5:\"Width\";s:4:\"1400\";}s:15:\"PackageQuantity\";s:1:\"1\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:18:\"Sky Enterprise USA\";s:6:\"Studio\";s:18:\"Sky Enterprise USA\";s:5:\"Title\";s:76:\"Boat Kayak Canoe Carrier Dolly Trailer Tote Trolley Transport Cart Wheel New\";s:3:\"UPC\";s:12:\"813373018110\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"813373018110\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"4033\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$40.33\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00852QTIC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00852QTIC\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:18:\"BestChoiceproducts\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:160:\"3roMVYyj1yD5tWujA22LemhNuvX8r8%2BneHOkcQBqnR0rimLdFDb6CrPuNZFNSNO8FbsaEADwyloMLO2zN5Vfx0tdou0pcejvmFOEGfuE0%2BJFxcT0oBLKKn5elqhd81JuxrGp22dhDEjX6e0MNNtVfw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.95\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00852QTIC&atag=freetos-20&exp=2013-06-15T18%3A46%3A01Z&v=2&sig=eXU%2FpR%2BJKNpqmb8lkclwaGWlNY0EYBAwOiV6MJXC%2FWs%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:663:\"This can make getting your kayak or canoe from the car to the water as effortless as possible. Designed to hold a canoe or kayak by the hull in a V-shaped cradle; with 3.5\"(L) foam bumpers on each arm. It features a 9.25\"(H) spring-loaded stand for quick loading out of water, large 10\" diameter inflatable tires and a solid metal frame for long lasting use. It\'s also foldable and easy to store.\n\nFEATURES: 12ft straps; Solid Aluminum construction; Foam bumpers on each arm for protection; Double-leg kickstand for easy loading; 10\" pneumatic tires (for sand and gravel); Stainless steel fasteners; chrome cotter pins; No assembly required; 150lb weight capacity\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2187", "358", "asg_last_refresh_attempt", "1371235559");
INSERT INTO `wp_postmeta` VALUES("2188", "358", "asg_update_timestamp", "1371235559");
INSERT INTO `wp_postmeta` VALUES("2189", "359", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2190", "359", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2191", "359", "asg_item_id", "B000SKI74S");
INSERT INTO `wp_postmeta` VALUES("2192", "359", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000SKI74S\";s:13:\"DetailPageURL\";s:202:\"http://www.amazon.com/Intex-Kayak-Paddle-Boat-Oars/dp/B000SKI74S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000SKI74S\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:212:\"http://www.amazon.com/Intex-Kayak-Paddle-Boat-Oars/dp/tech-data/B000SKI74S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SKI74S\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000SKI74S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SKI74S\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000SKI74S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SKI74S\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000SKI74S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SKI74S\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000SKI74S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SKI74S\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000SKI74S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SKI74S\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000SKI74S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SKI74S\";}}}s:9:\"SalesRank\";s:4:\"1123\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31QjvS4NGnL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:5:\"69627\";i:1;s:6:\"69627E\";}}s:5:\"Color\";s:12:\"Black/Silver\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257314706\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257314706\";i:1;s:13:\"0078257696277\";}}s:7:\"Feature\";a:5:{i:0;s:62:\"Combo paddle creates single paddle for kayak, double boat oars\";i:1;s:64:\"98-inch kayak paddle when connects; converts to two 48-inch oars\";i:2;s:38:\"Lightweight, yet strong aluminum shaft\";i:3;s:60:\"Oar retainer/drip rings and ribbed blades for added strength\";i:4;s:17:\"Large black blade\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"293\";}s:5:\"Label\";s:5:\"Intex\";s:15:\"LegalDisclaimer\";s:3:\"New\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2150\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$21.50\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:6:\"69627E\";s:3:\"MPN\";s:5:\"69627\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"225\";s:6:\"Length\";s:4:\"3400\";s:6:\"Weight\";s:3:\"300\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"69627\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:3:\"SKU\";s:10:\"INT-69627E\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:30:\"Intex Kayak Paddle / Boat Oars\";s:3:\"UPC\";s:12:\"078257314706\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257314706\";i:1;s:12:\"078257696277\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.99\";}s:8:\"TotalNew\";s:1:\"7\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000SKI74S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SKI74S\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:118:\"lHUCklvnlHWNuMEjGElgCeXijW%2FaxqrNaFg%2B5xmp%2BnpR0hqgK4WpyqpX08bEyBnTwF1HekXP5uTaPSnE2dTyNg3fyQe4zC%2FjocL32PEr6oM%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2150\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$21.50\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000SKI74S&atag=freetos-20&exp=2013-06-15T18%3A45%3A59Z&v=2&sig=jRNkvLlffSEKRljzRanrLumLTGa5AbqyvMP%2FuKppYO4%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:159:\"Combination 98” paddle converts to two 48” boat oars. Lightweight, yet strong aluminum shaft. Oar retainer/drip rings and ribbed blades for added strength.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2193", "359", "asg_product_details", "a:7:{s:11:\"Item Weight\";s:10:\"2.9 pounds\";s:15:\"Shipping Weight\";s:8:\"4 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:13:\" Made in USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000SKI74S\";s:17:\"Item model number\";s:6:\"69627E\";}");
INSERT INTO `wp_postmeta` VALUES("2194", "359", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("2195", "359", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:26:\"Some details of the paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 10, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AD527NNIE7BWQ\";s:4:\"name\";s:12:\"swimpenumbra\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1037:\"I just got the paddle, and here are some details of it:<br />1. It weighs 3.5 pounds, (so, this is not subjetive info; I read reviews here, some say heavy, some say superlight.<br /> now, you can determine. I am a male, 5ft10in tall/160 pounds/strong swimmer, and it feels<br /> a little bit heavy for a paddle in my opinion. So, if you are a regular female, it might<br /> be a concern.)<br />2. The length of mine is 8 feet and 3/4 of an inch.(I guess there is a small variation for each one, but sure it is<br /> a long sweet one. My kayak is an OldTown Dirigo 120, the<br /> greatest width of the hull is 28 inches, so it needs a 96-inch<br /> paddle.)<br />3. The connector can be adjusted, as a result, you can twist the angle of the two blades, which is a nice feature.<br />4. It looks strong and durable.<br />5. The two plastic blades are quite big, and the blade has a sutble curve, which is nice.<br />6. The price is unbelievable at Amazon.com.<br />Initial impression: Strong,a bit heavy, and big, great for males for sure.\";}i:1;a:5:{s:5:\"title\";s:25:\"Lightweight & unbreakable\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 6, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1XU5QQAZ2B4TO\";s:4:\"name\";s:12:\"Billy T. Kid\";s:7:\"address\";s:10:\"California\";}s:4:\"text\";s:179:\"Previously purchased all plastic oars. One broke and the other has visible stress points. The aluminum Intex oars are sturdy, lightweight and seem unbreakable. Highly recommended.\";}i:2;a:5:{s:5:\"title\";s:10:\"Very Heavy\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 22, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A37JT1AVCAXUN8\";s:4:\"name\";s:10:\"F H Wilson\";s:7:\"address\";s:28:\"Charleston, WV United States\";}s:4:\"text\";s:447:\"We bought these because they can be used as two canoe paddles or put together and used as a kayak paddle. On the plus side they seem to be sturdy and well made. On the negative they\'re too heavy and the blades are not designed to use as a kayak paddle. The handles have no tee allowing them to dig into your palms when used as two paddles, so they are not useful as canoe paddles. These are going to the shed and we\'re buying another kayak paddle.\";}i:3;a:5:{s:5:\"title\";s:27:\"Great Product for the Price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 2, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3URGA3GO5MC29\";s:4:\"name\";s:12:\"BeaverNation\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:627:\"I use this product as Kayak Paddles for an inflatable kayak. I am a novice to kayaking and probably have been using my kayak once a week through this summer. I use my Kayak Paddles on small lakes, large rivers, and even once on some Class 2 white water. For me these paddles worked perfect my myself and girlfriend. I looked at a lot of places and couldn\'t find any for less then $35 in the stores. I believe that these for $17 are even better then what I was seeing in the 35-40 range. So for a beginner that is most interested in just getting out on the water and enjoying the weather, these are more then you will ever need.\";}i:4;a:5:{s:5:\"title\";s:38:\"Paddles not the same as the Intex Oars\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"November 14, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2S9LZDS6X9NVX\";s:4:\"name\";s:25:\"CRG \"It\'s about function\"\";s:7:\"address\";s:10:\"Denver, CO\";}s:4:\"text\";s:314:\"Although essentially the same as the Intex Sea Eagle oars, the difference is that the oars have two connecting pieces, the paddles, as sold here, only have one. This is fine for a kayak paddle but results in oars that do not stay in the oar locks. The connecting pieces on the oars keep the oars from slipping out.\";}i:5;a:5:{s:5:\"title\";s:16:\"Cheap and strong\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1NLBZ10LK2J05\";s:4:\"name\";s:15:\"M Edge \"Martin\"\";s:7:\"address\";s:11:\"Phoenix, az\";}s:4:\"text\";s:298:\"I bought these paddles with my Sevylor Tahiti and was initially concerned about their strength and rigidity, But found them to be both strong and rigid. The connector that joins the paddles is simple to use but not very tough (I broke one powering though some small rapids), they double up as oars.\";}i:6;a:5:{s:5:\"title\";s:31:\"Great kayak paddle, Great price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 4, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ROV55EGB1AFI\";s:4:\"name\";s:5:\"Novak\";s:7:\"address\";s:13:\"United States\";}s:4:\"text\";s:1334:\"I am new to Kayaking so I can\'t provide you with an excellent comparison review but for a starter into the kayaking world, I really enjoy using this Kayak paddle. I chose this paddle for the price since I didn\'t want to break the bank but it has definitely proven to be a nice sturdy quality paddle. I can\'t say how this paddle compares to a $200 paddle but for the amount of time I used it, I have enjoyed it.<br /><br />The only thing that people might complain about is that this paddle comes in at 240cm while it seems the average or what people prefer is 220cm for a paddle so this might be a little lengthy but I don\'t find an issue with it at all. I feel it gives me more back bone in my strokes. I don\'t think it is too heavy either but mind me that this is the only paddle that I have used but it feels nice, went through the water nicely and I liked that they could break down into two separate oars if you got stranded or wanted to paddle with one ore.<br /><br />At $14.99, This Paddle seems to be an excellent choice for beginners or even advanced users or recreational boaters who want to have a spare paddle for safety reasons. In the future when I break out into Kayaking I may go look at some more expensive paddles just to see how they compare but for now, this paddle has exceeded my expectations. Highly recommend!\";}i:7;a:5:{s:5:\"title\";s:34:\"Coulper broke in first ten minutes\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"April 15, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3KKHNMQBHWFU4\";s:4:\"name\";s:10:\"Jon Howell\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:796:\"For $15, I\'m not going to be very picky. I expect they might be heavy, or ugly. But they should at least remain, you know, paddles.<br /><br />The two halves join at the center with a plastic coupler (okay) cinched with two plastic nuts (weak!). I was ten minutes into my first use of this paddle when one of the nuts broke, and the paddles became pretty floppy. They\'re too cheap to pay shipping to return, so I tried a fabric-epoxy repair to close up the split nut. That lasted about 40 minutes into today\'s trip, and then blew apart. I gave my son (tandem kayak) half of the remaining paddle, and used his kid-sized paddle to get us home.<br /><br />Don\'t bother with these; find some that will stay together. Now that I\'m done with the \"Kayak Paddle\" part, does anyone need some \"/Boat Oars\"?\";}i:8;a:5:{s:5:\"title\";s:58:\"Impressive. Cheap & very usable with a recreational kayak.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"February 16, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3VZS9NLJUPXJW\";s:4:\"name\";s:14:\"WizardEmeritus\";s:7:\"address\";s:5:\"Texas\";}s:4:\"text\";s:902:\"Bought a couple of these paddles to use with our little 8 ft E-Motion Comet kayaks just to see what they were like. The Comets are inexpensive, easy, no-fuss daily fun and I wanted some inexpensive paddles to match. Honestly, these were so much less expensive than even the cheapest economy paddles available locally that I had my doubts. The design is not as efficient as better paddles we have used, so you work a bit harder. And if you are doing many hours of paddling, that could be a problem. But for the money, I\'m impressed. They seem sturdy and well made for the price point. They break down to a very small package so I would not hesitate to use them as backup paddles even on a longer trip. And although you won\'t impress any dedicated kayakers, they really are fine for short calm water lake and river excursions if money is a prime consideration. It all depends on what you are looking for.\";}}");
INSERT INTO `wp_postmeta` VALUES("3541", "500", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:9:\"10 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0088F6H38\";s:17:\"Item model number\";s:15:\"RAFT-RACK-COMBO\";}");
INSERT INTO `wp_postmeta` VALUES("3542", "500", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("3543", "500", "asg_customer_reviews", "a:8:{i:0;a:5:{s:5:\"title\";s:3:\"Fun\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1V4BCVNA36X5L\";s:4:\"name\";s:11:\"Cam The Man\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:536:\"Moved to a new house with a pool last fall and was hoping to have some good pool parties when the weather allows. I am usually skeptical buying seemingly good products for dubiously low prices, but this has turned out to be a great buy (don\'t call me frugal, I like bang for my buck). My main worry with this before I bought it was that it would get holes/pop/have a faulty air-hole thing, but I\'ve been using it for a few months now and it is as good as new.<br /><br />Plus, it doubles as a raft (real nice feature after a few games!)\";}i:1;a:5:{s:5:\"title\";s:32:\"Best one of its kind I have seen\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AH7MH5RS2FRAK\";s:4:\"name\";s:10:\"Ashly Pitt\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:262:\"I looked around a little for an inflatable beer pong table for a birthday gift. This particular model in awesome. The trays are removable and we use them on the regular beer pong table as well. They keep the beer nice and cold for hours! Even on the hottest day!\";}i:2;a:5:{s:5:\"title\";s:14:\"Great Product!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"March 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5M76ILXDEV4W\";s:4:\"name\";s:28:\"Lisa C. Scott \"RealBigSwede\"\";s:7:\"address\";s:22:\"Infront of my computer\";}s:4:\"text\";s:141:\"I bought this for my son in-law who lives overseas as a gift. He is enjoing this raft. This is the first I have purchased so I can\'t compare.\";}i:3;a:5:{s:5:\"title\";s:12:\"Works great!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21M8MTJ000MQ2\";s:4:\"name\";s:9:\"Asdfghjkl\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:137:\"The freezing trays are awesome, they keep your beer nice and cold. And when friends get to drunk, it doubles nicely as an air mattress :p\";}i:4;a:5:{s:5:\"title\";s:25:\"Perfect for pool parties!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AX2YWU6JCI9Z3\";s:4:\"name\";s:7:\"Alex B.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:596:\"I just ordered this last week for my pool party this past weekend. I have amazon prime and used my 2 day free shipping but it arrived the next day! It was perfect for the party and I\'m really satisfied with the quality. The raft is really sturdy when it\'s blown up, at one point people were using it as a regular float and laying on it using the racks as cup holders. The freezable ice cup racks are the absolute best part about it! They keep your drinks ice cold in the pool while they\'re in the direct sunlight. I would definitely recommend this product to anyone with a pool. IT\'S A MUST HAVE!\";}i:5;a:5:{s:5:\"title\";s:28:\"Poorly designed, not durable\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:12:\"May 28, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJTNM7VY5PVXI\";s:4:\"name\";s:14:\"Brittany Leigh\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:743:\"I was skeptical when I saw this product at a low price as compared to others, but I decided to see if I could get away with saving a few bucks and getting this over the Air Pong table. I regret my decision.<br /><br />**There is a critical flaw in this design, which makes a good game of beer pong almost impossible to play!**<br /><br />The cups sit so low that they actually sit BELOW the surface of the float, so you can barely see the cups, and can\'t even aim at specific cups. This defeats the entire purpose of the game. We tried to rig the table so we propped the cups up, but it was just a big mess. Not made of very durable material. It survived a few games, but I regret not spending the extra money and getting a more quality table.\";}i:6;a:5:{s:5:\"title\";s:12:\"Summer Bliss\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AH5T51HWK50NH\";s:4:\"name\";s:3:\"PDB\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:293:\"Are you kidding me? Beer pong in the pool? This floaty is God\'s gift to summer fun. Pretty durable and the freezable ice rack is awesome and keeps your beer cool way longer than you would expect. For a real challenge, play in the deep end or sit a friend in the middle and shoot over his head.\";}i:7;a:5:{s:5:\"title\";s:25:\"Best Purchase for my pool\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1NDC13ZIEEFT3\";s:4:\"name\";s:4:\"Mike\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:314:\"I love this raft. I got one for our pool at home and I use it more than any other pool item we have. The triangle and the cup holders hold the solo cups perfectly. The raft is very durable even after many games. The raft also inflates and deflates really well for storage. I highly suggest this item for your pool.\";}}");
INSERT INTO `wp_postmeta` VALUES("3544", "500", "asg_last_refresh_attempt", "1371238610");
INSERT INTO `wp_postmeta` VALUES("3545", "500", "asg_update_timestamp", "1371238610");
INSERT INTO `wp_postmeta` VALUES("3546", "501", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3547", "501", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3548", "501", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3549", "501", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3550", "501", "asg_item_id", "B00D6LHFSU");
INSERT INTO `wp_postmeta` VALUES("3551", "501", "asg_amazon_data", "a:15:{s:4:\"ASIN\";s:10:\"B00D6LHFSU\";s:10:\"ParentASIN\";s:10:\"B00D6LHFSU\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/StanSport-Stansport-Inflatable-9-Boat/dp/B00D6LHFSU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00D6LHFSU\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/StanSport-Stansport-Inflatable-9-Boat/dp/tech-data/B00D6LHFSU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00D6LHFSU\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00D6LHFSU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00D6LHFSU\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00D6LHFSU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00D6LHFSU\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00D6LHFSU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00D6LHFSU\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00D6LHFSU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00D6LHFSU\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00D6LHFSU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00D6LHFSU\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00D6LHFSU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00D6LHFSU\";}}}s:9:\"SalesRank\";s:6:\"470976\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41jtlR-SFiL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:9:\"StanSport\";s:10:\"Department\";s:6:\"Unisex\";s:5:\"Label\";s:20:\"D&H Distributing Co.\";s:12:\"Manufacturer\";s:20:\"D&H Distributing Co.\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"D&H Distributing Co.\";s:6:\"Studio\";s:20:\"D&H Distributing Co.\";s:5:\"Title\";s:27:\"Stansport Inflatable 9 Boat\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"24995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$249.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"24995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$249.95\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B004SL02DM\";s:10:\"ParentASIN\";s:10:\"B00D6LHFSU\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL160_.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL.jpg\";s:6:\"Height\";s:3:\"372\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL110_.jpg\";s:6:\"Height\";s:2:\"82\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL160_.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL.jpg\";s:6:\"Height\";s:3:\"372\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL110_.jpg\";s:6:\"Height\";s:2:\"82\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL._SL160_.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41M4zcAuuyL.jpg\";s:6:\"Height\";s:3:\"372\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:31:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"StanSport\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"421-15\";}s:5:\"Color\";s:16:\"Green/Dark Green\";s:3:\"EAN\";s:13:\"0011319440135\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0011319440135\";}s:7:\"Feature\";a:5:{i:0;s:50:\"NMMA and CE Certified, Weight capacity of 950 lbs.\";i:1;s:104:\"Size: 9\' 4\" Length, 4\' 8\" Width, Weight: 32 lbs., 2 Compartment inflatable floor with 2 inflatable seats\";i:2;s:50:\"4 molded oar locks, grab line and bow carry handle\";i:3;s:61:\"2 five foot aluminum paddles with molded spare paddle holders\";i:4;s:94:\"6 molded motor mounts can accommodate 3 hp gas or 74 lbs. thrust electric motor (not included)\";}s:6:\"Format\";s:6:\"CD-ROM\";s:16:\"HardwarePlatform\";s:2:\"Pc\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"4113\";s:6:\"Length\";s:4:\"1063\";s:6:\"Weight\";s:4:\"4710\";s:5:\"Width\";s:4:\"1550\";}s:5:\"Label\";s:9:\"Stansport\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"27999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$279.99\";}s:12:\"Manufacturer\";s:9:\"Stansport\";s:5:\"Model\";s:6:\"421-15\";s:3:\"MPN\";s:6:\"421-15\";s:13:\"NumberOfItems\";s:1:\"1\";s:15:\"OperatingSystem\";s:7:\"Windows\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1110\";s:6:\"Length\";s:4:\"4000\";s:6:\"Weight\";s:4:\"4940\";s:5:\"Width\";s:4:\"1400\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"421-15\";s:8:\"Platform\";s:7:\"Windows\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Stansport\";s:11:\"ReleaseDate\";s:10:\"2012-06-07\";s:4:\"Size\";s:2:\"OS\";s:3:\"SKU\";s:10:\"DH2L5301UP\";s:6:\"Studio\";s:9:\"Stansport\";s:5:\"Title\";s:30:\"Stansport Fisherman River Boat\";s:3:\"UPC\";s:12:\"011319440135\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"011319440135\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:16:\"Green/Dark Green\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:2:\"OS\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"0ETXzBliBDhQ%2FgaJh7dw00CZQQgAt5Dwo4c74nKknUYfSI8qTwEJepaXBr9pUTDUOu7lZz%2Bai8t4naYlXjkvXl6WEA0bRu%2Bvs7ATXqsPmagmeX4rda5DyQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"24995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$249.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3004\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$30.04\";}s:15:\"PercentageSaved\";s:2:\"11\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00D6LHFSU&atag=freetos-20&exp=2013-06-15T19%3A36%3A50Z&v=2&sig=tYQUASZJReoE%2FZHheqqwoMX8AI4maWHtcZam8u%2BvO%2BU%3D\";s:10:\"HasReviews\";s:5:\"false\";}}");
INSERT INTO `wp_postmeta` VALUES("3512", "497", "asg_update_timestamp", "1371238603");
INSERT INTO `wp_postmeta` VALUES("3513", "498", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3514", "498", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3515", "498", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3516", "498", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3517", "498", "asg_item_id", "B000PTKQLE");
INSERT INTO `wp_postmeta` VALUES("3518", "498", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000PTKQLE\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Stansport-Cloud-Inflatable-Vinyl-Boat/dp/B000PTKQLE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000PTKQLE\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Stansport-Cloud-Inflatable-Vinyl-Boat/dp/tech-data/B000PTKQLE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000PTKQLE\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000PTKQLE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000PTKQLE\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000PTKQLE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000PTKQLE\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000PTKQLE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000PTKQLE\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000PTKQLE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000PTKQLE\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000PTKQLE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000PTKQLE\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000PTKQLE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000PTKQLE\";}}}s:9:\"SalesRank\";s:5:\"22243\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL160_.jpg\";s:6:\"Height\";s:2:\"97\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL.jpg\";s:6:\"Height\";s:3:\"302\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL110_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL160_.jpg\";s:6:\"Height\";s:2:\"97\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL.jpg\";s:6:\"Height\";s:3:\"302\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL110_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL._SL160_.jpg\";s:6:\"Height\";s:2:\"97\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qyEZtwpyL.jpg\";s:6:\"Height\";s:3:\"302\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"StanSport\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"416-2K\";}s:3:\"EAN\";s:13:\"0011319434004\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0011319434004\";}s:7:\"Feature\";a:5:{i:0;s:65:\"Heavy weight vinyl with inflatable floor, 3 separate air chambers\";i:1;s:26:\"Self locking safety valves\";i:2;s:74:\"Includes 2 oars, plastic foot pump, repair kit, safety rope and 2 oarlocks\";i:3;s:32:\"Maximum weight capacity: 340 lbs\";i:4;s:21:\"Dimensions: 46\" x 78\"\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:4:\"1950\";s:6:\"Weight\";s:3:\"500\";s:5:\"Width\";s:4:\"1100\";}s:5:\"Label\";s:9:\"Stansport\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:9:\"Stansport\";s:5:\"Model\";s:6:\"416-2K\";s:3:\"MPN\";s:6:\"416-2K\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"450\";s:6:\"Length\";s:4:\"1950\";s:6:\"Weight\";s:3:\"720\";s:5:\"Width\";s:4:\"1100\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"416-2K\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Stansport\";s:11:\"ReleaseDate\";s:10:\"2012-06-07\";s:4:\"Size\";s:10:\"Two people\";s:3:\"SKU\";s:7:\"GS60489\";s:6:\"Studio\";s:9:\"Stansport\";s:5:\"Title\";s:67:\"Stansport Sea Cloud Inflatable Vinyl Boat with Oars and Pump,2 Seat\";s:3:\"UPC\";s:12:\"011319434004\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"011319434004\";}s:8:\"Warranty\";s:17:\"One Year Warranty\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"3746\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$37.46\";}s:8:\"TotalNew\";s:2:\"34\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000PTKQLE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000PTKQLE\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:138:\"%2FfuQHoJTb6KFj7EB96kl51F%2BlAnfGxkgIX2iF59HXP0eb82d2FR%2B9hmRDnOnpTugQel14k9ijnZYAnuBRX%2BmmL%2FY%2FHs%2BRi8USV9EszAa8yMfy0WKLzL9DA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3972\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.72\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1027\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.27\";}s:15:\"PercentageSaved\";s:2:\"21\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000PTKQLE&atag=freetos-20&exp=2013-06-15T19%3A36%3A43Z&v=2&sig=29lw1xRHHIn1kapmFWCaw01uHYn48kgYXkzr1cUHVlQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:464:\"The Stansport Sea Cloud 2-Person Vinyl Boat Kit is designed for recreational cruising. It features 3 separate air chambers and an inflatable floor, a safety rope and 2 oarlocks. Constructed of durable heavy weight vinyl with self locking safety valves. 2 plastic 45\" oars and a plastic foot pump are included along with a repair kit and PVC carry bag. Measures 46\" x 78\" and has a maximum weight capacity of 340lbs. Attractive yellow and blue two-tone combination.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3519", "498", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:31:\"19.5 x 11 x 5 inches ; 5 pounds\";s:15:\"Shipping Weight\";s:10:\"7.2 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000PTKQLE\";s:17:\"Item model number\";s:6:\"416-2K\";}");
INSERT INTO `wp_postmeta` VALUES("3520", "498", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3521", "498", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:30:\"Not bad for a inflatable boat.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2P6Y6POM0IO4Z\";s:4:\"name\";s:10:\"Bob Marley\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1326:\"The boat comes with a pump, rope, the boat itself, two oars and I believe a few patches. It takes about 10 minutes to pump it up using the foot pump included. Like any other boat that describes the person, one person + some gear will fit ok. And of course, the bottom is soft like any other inflatable, meaning that standing up is darn near impossible. The boat is a bit tricky to deflate, but once you figure it out, its easy. It\'s not bad to use when its on calm waters, but on a big lake or anyplace where the waves are choppy, I wouldn\'t recommend it because launching a boat in those kind of waves is near impossible without filling the boat with water, and from time to time, the waves will splash into the boat. In addition, because of the waves, I end up using the oars manually rather than using the oar holders since otherwise id be rowing on air.<br /><br />Great boat for securing additional cargo, or with a electric pump, a way to stay afloat if your main boat is sinking fast and you expect rescue soon. The boat seems pretty durable, although I would watch the valve covers, as they can get undone if you don\'t pay attention. I\'d get it if you want to take a rowboat out on inland waters. One thing I would recommend though is to try other oars; it seems like the ones I\'ve been given aren\'t really that great.\";}}");
INSERT INTO `wp_postmeta` VALUES("3522", "498", "asg_last_refresh_attempt", "1371238605");
INSERT INTO `wp_postmeta` VALUES("3523", "498", "asg_update_timestamp", "1371238605");
INSERT INTO `wp_postmeta` VALUES("3524", "499", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3525", "499", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3526", "499", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3527", "499", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3528", "499", "asg_item_id", "B0000VVB4S");
INSERT INTO `wp_postmeta` VALUES("3529", "499", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0000VVB4S\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Intex-Recreation-Corp-French-Oars/dp/B0000VVB4S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0000VVB4S\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Intex-Recreation-Corp-French-Oars/dp/tech-data/B0000VVB4S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000VVB4S\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0000VVB4S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000VVB4S\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0000VVB4S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000VVB4S\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0000VVB4S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000VVB4S\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0000VVB4S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000VVB4S\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0000VVB4S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000VVB4S\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0000VVB4S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000VVB4S\";}}}s:9:\"SalesRank\";s:4:\"3103\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L._SL75_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L._SL160_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L.jpg\";s:6:\"Height\";s:2:\"91\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L._SL30_.jpg\";s:6:\"Height\";s:1:\"5\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L._SL75_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L._SL75_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L._SL110_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L._SL160_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21siLMgNB7L.jpg\";s:6:\"Height\";s:2:\"91\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/211tHhFD7nL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/211tHhFD7nL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/211tHhFD7nL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/211tHhFD7nL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/211tHhFD7nL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/211tHhFD7nL.jpg\";s:6:\"Height\";s:3:\"273\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:31:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"59623E\";}s:5:\"Color\";s:10:\"Blk/Yellow\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257596232\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257596232\";i:1;s:13:\"0078257314690\";}}s:7:\"Feature\";a:5:{i:0;s:44:\"Pair of two 48-inch aluminum oars from Intex\";i:1;s:23:\"Lightweight and durable\";i:2;s:16:\"Easy to assemble\";i:3;s:40:\"Retainer rings fit into boat\'s oar locks\";i:4;s:28:\"Perfect for inflatable boats\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"260\";s:6:\"Length\";s:4:\"1830\";s:6:\"Weight\";s:3:\"209\";s:5:\"Width\";s:3:\"710\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:3:\"994\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.94\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:22:\"ManufacturerMinimumAge\";s:1:\"1\";s:5:\"Model\";s:6:\"59623E\";s:3:\"MPN\";s:8:\"INX59623\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"260\";s:6:\"Length\";s:4:\"1830\";s:6:\"Weight\";s:3:\"220\";s:5:\"Width\";s:3:\"710\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"INX59623\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:11:\"ReleaseDate\";s:10:\"2010-08-21\";s:4:\"Size\";s:3:\"48\"\";s:3:\"SKU\";s:11:\"TR-8566BEE2\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:33:\"Intex Recreation Corp French Oars\";s:3:\"UPC\";s:12:\"078257596232\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257596232\";i:1;s:12:\"078257314690\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"594\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.94\";}s:8:\"TotalNew\";s:2:\"17\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0000VVB4S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000VVB4S\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:134:\"EzlibdEnOvl0JonPuwlxmRQqRBe5S%2FCHAZXKFou9mhQ7DLewJRGcysBL7Au5xSyKvO%2BAOuTwjGzb%2BZRZvym2ZuEpu5J5%2BQMp9yy3Jnbg7EdU8%2Ba6B76EdQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1354\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.54\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0000VVB4S&atag=freetos-20&exp=2013-06-15T19%3A36%3A46Z&v=2&sig=F0kwAwF8KmqDpyMb5CxqdSuqatzg4LtdoMLg9PrTtl4%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:64:\"Oars for ue with Intex boats. Easy assembly shipped in 3 pieces.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:585:\"<div class=\"aplus\"> <div class=\"rightImage\" style=\"width:300px\">  <img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/B0000VVB4S-300x257.jpg\" width=\"300\" height=\"257\"></div>  <h4>   48-inch Deluxe Aluminum Oars from Intex  </h4> <p>The 48-inch Deluxe Aluminum Oars from Intex are perfect for small inflatable boats and other small craft. These recreational oars come equipped with retainer rings that fit into the boat\'s oar locks for confident rowing. The oars are easy to assemble out of the box and offer lightweight durability at a great price.</p></div>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3530", "499", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:36:\"18.3 x 7.1 x 2.6 inches ; 2.1 pounds\";s:15:\"Shipping Weight\";s:10:\"2.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0000VVB4S\";s:17:\"Item model number\";s:6:\"59623E\";}");
INSERT INTO `wp_postmeta` VALUES("3531", "499", "asg_star_rating", "3.8");
INSERT INTO `wp_postmeta` VALUES("3532", "499", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:16:\"Not quite there.\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"August 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A14W4P885AA73S\";s:4:\"name\";s:26:\"Pen name = Not a real name\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:355:\"They got the right idea, they\'re light weight, can disassemble them for bringing in the car. However they\'re slightly fragile, after two minutes of rowing the plastic oar snapped. If it was not for the fact that I could duct tape some tree bark to a stick I would say you get what you pay for but the tree-bark stick combo cost a bit less than 15 dollars.\";}i:1;a:5:{s:5:\"title\";s:17:\"Intex French Oars\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ADQHHZAKMOJZC\";s:4:\"name\";s:11:\"Fathi Jishi\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:103:\"Oars are very useful for use by a child in a pool or shallow waters, cannot be used in serious boating.\";}i:2;a:5:{s:5:\"title\";s:15:\"They are flimsy\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 25, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A204KVEV30UDE2\";s:4:\"name\";s:11:\"Corey Scott\";s:7:\"address\";s:34:\"Rocklin, California, United States\";}s:4:\"text\";s:438:\"These things break constantly. On several occasions, we\'ve broken 2 sets or more on a single camping trip with 3 rafts. The problem lies in the screw-together joint at the center of the oar shaft.<br /><br />Never-the-less, these things are so dirt-cheap, that I can\'t justify spending $50 or more on wood oars, when I can just buy extra plastic ones to use as replacements every year, so I will probably end up buying more of these soon.\";}i:3;a:5:{s:5:\"title\";s:30:\"Won\'t stand up to drunk people\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"November 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2DJY4SAOUJGBN\";s:4:\"name\";s:7:\"Matt P.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:629:\"We purchased these for use with maneuvering a four-person tube on the Arizona salt river. As expected, most of us end up intoxicated. From drunken rowing, trying to avoid logs, rocks, or even just the side of the river, these oars were no longer rigid half way through our first trip. the central reinforcing line of plastic had given. By the end of the second trip, the area where the two pieces threaded together had broken on both oars, and they were promptly thrown away at the end of the river. After, I purchased this: (http://www.amazon.com/gp/product/B000SKI74S/ref=cm_cr_rev_prod_img) and they\'ve faired far, far better.\";}i:4;a:5:{s:5:\"title\";s:14:\"Great product!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 19, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2WRAH560CEILW\";s:4:\"name\";s:13:\"Taxi mom of 4\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:96:\"My 9 year old uses these to row her boat across our pool. We haven\'t had any problems with them.\";}i:5;a:5:{s:5:\"title\";s:7:\"Theseus\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1IEVQ321AF1FU\";s:4:\"name\";s:7:\"Theseus\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:144:\"Once screwed together they\'re difficult to take apart. I\'m kind of afraid to snap them but they work well in the water and they\'re pretty light.\";}i:6;a:5:{s:5:\"title\";s:13:\"Good item....\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 31, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21EVB96Q49MXE\";s:4:\"name\";s:13:\"Rodney A. May\";s:7:\"address\";s:23:\"Madison Heights, VA, US\";}s:4:\"text\";s:121:\"Great item, perfect purchase price and the kids really punished them and they held up to it. Great for the outdoor use...\";}i:7;a:5:{s:5:\"title\";s:8:\"cheap...\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:18:\"September 26, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ATPE249G00DZ7\";s:4:\"name\";s:19:\"Patrick D. Bostwick\";s:7:\"address\";s:14:\"Scottsdale, AZ\";}s:4:\"text\";s:206:\"a friend of mine bought these on amazon and the first ride out both paddles bent under normal usage making them pretty much useless. I would say these are good for splashing some water but that is about it.\";}i:8;a:5:{s:5:\"title\";s:9:\"Very nice\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 13, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2SQDU13X8600L\";s:4:\"name\";s:3:\"eve\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:154:\"The oars are easy to assemble and hold up nicely! They are light weight, they work well with most inflatable rafts and easy enough for youths to use them.\";}i:9;a:5:{s:5:\"title\";s:19:\"Pretty good product\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 10, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26K0C2SMYMSI2\";s:4:\"name\";s:6:\"jab396\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:163:\"I thought the purchase was worth it. They tend to take on water though. It is hard to avoid spilling water into the boat when disconnecting the oars from the boat.\";}}");
INSERT INTO `wp_postmeta` VALUES("3533", "499", "asg_last_refresh_attempt", "1371238607");
INSERT INTO `wp_postmeta` VALUES("3534", "499", "asg_update_timestamp", "1371238607");
INSERT INTO `wp_postmeta` VALUES("3535", "500", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3536", "500", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3537", "500", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3538", "500", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3539", "500", "asg_item_id", "B0088F6H38");
INSERT INTO `wp_postmeta` VALUES("3540", "500", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0088F6H38\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Inflatable-Pong-Freezable-Cup-Racks/dp/B0088F6H38%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0088F6H38\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Inflatable-Pong-Freezable-Cup-Racks/dp/tech-data/B0088F6H38%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0088F6H38\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0088F6H38%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0088F6H38\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0088F6H38%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0088F6H38\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0088F6H38%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0088F6H38\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0088F6H38%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0088F6H38\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0088F6H38%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0088F6H38\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0088F6H38%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0088F6H38\";}}}s:9:\"SalesRank\";s:4:\"7240\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL._SL110_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31cl1pOo2mL.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpAa2p0wL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"20\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpAa2p0wL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpAa2p0wL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZpAa2p0wL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"73\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZpAa2p0wL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"106\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZpAa2p0wL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"331\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/516psX2kgjL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"29\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/516psX2kgjL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"74\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/516psX2kgjL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"74\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/516psX2kgjL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"108\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/516psX2kgjL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"157\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/516psX2kgjL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"490\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41EBH7RYLDL._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41EBH7RYLDL._SL75_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41EBH7RYLDL._SL75_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41EBH7RYLDL._SL110_.jpg\";s:6:\"Height\";s:2:\"97\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41EBH7RYLDL._SL160_.jpg\";s:6:\"Height\";s:3:\"141\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41EBH7RYLDL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:20:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:15:\"Splash Cup Pong\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:15:\"RAFT-RACK-COMBO\";}s:3:\"EAN\";s:13:\"0661799747974\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0661799747974\";}s:7:\"Feature\";a:5:{i:0;s:16:\"Over 6 Feet Long\";i:1;s:26:\"Portable And Inflates Fast\";i:2;s:23:\"Includes 2 Freeze Racks\";i:3;s:28:\"Premium Cup Alignment Design\";i:4;s:18:\"By Splash Cup Pong\";}s:5:\"Label\";s:15:\"Splash Cup Pong\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:15:\"Splash Cup Pong\";s:5:\"Model\";s:15:\"RAFT-RACK-COMBO\";s:3:\"MPN\";s:15:\"RAFT-RACK-COMBO\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"390\";s:6:\"Length\";s:4:\"1710\";s:6:\"Weight\";s:4:\"1020\";s:5:\"Width\";s:4:\"1560\";}s:10:\"PartNumber\";s:15:\"RAFT-RACK-COMBO\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:15:\"Splash Cup Pong\";s:6:\"Studio\";s:15:\"Splash Cup Pong\";s:5:\"Title\";s:113:\"Inflatable Pool Pong Raft with Freezable Ice Cup Racks - 6.5 Feet Long - Portable Pong Surface by Splash Cup Pong\";s:3:\"UPC\";s:12:\"661799747974\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"661799747974\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"4199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$41.99\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0088F6H38%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0088F6H38\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:32:\"Service Speed & 1 Year Warranty!\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:168:\"W16oMSwio%2FTltgzaA4%2B5oTEYwunmtwtrFJ9gnW6ouAW0fxvL5E7x4u6HCZdtnVBlC90dol2CChwpcH5%2Bu77UqnlSO05iLOLIZ%2F7578TvRpt8fi0qk5SJxv1Xemx6GAYfhdPBdhbEXgMQOKvFblf8zc64HYaNcexG\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$44.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$15.00\";}s:15:\"PercentageSaved\";s:2:\"25\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0088F6H38&atag=freetos-20&exp=2013-06-15T19%3A36%3A48Z&v=2&sig=DFLF3UBeggI8vVIKNRN2nHnutzdd3hu3lYeWSc1F%2BSo%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1050:\"Inflatable Pong Raft with Freezable Ice Racks by Splash Cup Pong.  Our inflatable pong raft is the perfect game to play in the pool, at the beach, and can even be used away from the water as an inflatable table to go.  The pong raft measures just over 6 feet long and 2 feet wide, and inflates in just a few minutes with or without a pump.  We use thick, scratch resistant material to protect against breaks or leaks and offer a 90 day warranty on all rafts against tears and leaks.  \n<br><br>\nThe raft includes 2 cup racks.\nThe cup racking designs allows the cups to be held perfectly straight and stable while remaining cool.  The height allows you to play in pools and in the ocean beyond with the waves, and the rack keeps the cups high enough to avoid splashes into the cups.\n<br><br>\nFeatures List:\n<br><br>\nOver 6 Feet Long\n<br>\n2 Feet Wide\n<br>\nPortable & Inflatable\n<br>\n2 Cup Racks Includes\n<br>\nScratch and Tear Resistant with Warranty\n<br>\nHigh Quality Printed Logo\n<br>\nPremium Cup Alignment System\n<br>\nManufactured by Splash Cup Pong®\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3511", "497", "asg_last_refresh_attempt", "1371238603");
INSERT INTO `wp_postmeta` VALUES("3508", "497", "asg_product_details", "a:4:{s:15:\"Shipping Weight\";s:9:\"85 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00CMBTCHW\";}");
INSERT INTO `wp_postmeta` VALUES("3509", "497", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3510", "497", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:53:\"Great - And Super Great With a Sailing Conversion Kit\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A224TOUP1BQPD4\";s:4:\"name\";s:18:\"James \"JimLuckett\"\";s:7:\"address\";s:29:\"boxborough, ma, United States\";}s:4:\"text\";s:2895:\"The Mariner 4 is a fabulous value. So firm and rigid. Not like single-ply inflatable boats that remain soft and floppy even when fully inflated. The firmness and rigidity make it great for use as a sailboat, which is possible by adding the SailboatsToGo sail kit made for the Mariner 4. Last February I actually flew to the Caribbean with my SailboatsToGo sail kit and a Mariner 4 and used them to sail all around Maho Bay on St. John. So great to have my own sailboat while on vacation.<br /><br />There is nothing like the Mariner 4 if you want that 4-person capacity and a nice rigid and firm boat that accepts a motor and a sail kit. The Intex Excursion series is junk by comparison -- way too soft and floppy. If you can live with just 3-person capacity then get the Mariner 3 (same as the Seahawk II, which is not to be confused with the Seahawk 2). The Mariner 3 is about half the weight of the 4. It does not have a rollup solid floor, and that saves 30 lbs right there. The Mariner 3 has a nice firm inflatable floor and it too accepts the SailboatsToGo sail kit, making a terrific portable sailboat in 2 bags.<br /><br />Two tips for using the Mariner 4. First, don\'t try to get both the floor and the rest of the hull back into the carrybag Intex provides. The two pieces (floor and inflatable hull) together are too heavy to be conveniently carried in one bag, and too bulky to get back into that bag easily. Get yourself a separate duffle bag for the floor and only use the Intex bag for the inflatable part of the boat. Amazon has suitable duffle bags. Get a duffle bag for the floor at least 42 inches long (the floor is 36 inches long when rolled up, but you need extra room to make it easy to get in and out) and say 18 inches in diameter (again, the floor might only be 14 inches in diameter when rolled, but you want extra room). You won\'t have to pay more than $39. The second tip concerns the inflatable keel under the rigid floor. I\'ve found the stopper valve tends to pop open due to the pressure of your weight on the floor. Then this chamber goes flat and you lose that nice V shape to the hull beneath the waterline. You don\'t sink and you don\'t stop, but you\'ll notice it slows you down a bit. To prevent this from happening, push the valve in after you inflate this chamber and lay something over it that\'s both thick and flexible (I used a heavy piece of vinyl fabric I happened to have, but you could use rubber from an old inner tube, or scrap leather from an upholstery shop) and position this between the air chamber and the underside of the roll-up floor, covering the opening through which you access the valve. This will keep the valve plug from popping out.<br /><br />Oh yeah, people often wonder if the Mariner 4 can be used without the solid floor. Answer: No. There is a floor under the solid floor, but it\'s just a tarp. You would would totally sink in.\";}i:1;a:5:{s:5:\"title\";s:28:\"Good buy, but little problem\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1T8FNOZKBC6H5\";s:4:\"name\";s:6:\"Ruslan\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:360:\"Got the boat on may 29th, wasn\'t able to go on water until Sunday. While on water within two hours chamber 3 was pretty noticeably deflated. Came home sprayed with soap water and found a leak. It is right by the boston valve, definitely a manufacturer error. Now i don\'t know if i should return it or patch it up. Other than that boat is exactly what i wanted.\";}}");
INSERT INTO `wp_postmeta` VALUES("3501", "496", "asg_update_timestamp", "1371238601");
INSERT INTO `wp_postmeta` VALUES("3502", "497", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3503", "497", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3504", "497", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3505", "497", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3506", "497", "asg_item_id", "B00CMBTCHW");
INSERT INTO `wp_postmeta` VALUES("3507", "497", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B00CMBTCHW\";s:13:\"DetailPageURL\";s:210:\"http://www.amazon.com/Intex-Person-Mariner-Inflatable-Boat/dp/B00CMBTCHW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00CMBTCHW\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:220:\"http://www.amazon.com/Intex-Person-Mariner-Inflatable-Boat/dp/tech-data/B00CMBTCHW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBTCHW\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00CMBTCHW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBTCHW\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00CMBTCHW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBTCHW\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00CMBTCHW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBTCHW\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00CMBTCHW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBTCHW\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00CMBTCHW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBTCHW\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CMBTCHW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBTCHW\";}}}s:9:\"SalesRank\";s:4:\"4050\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL160_.jpg\";s:6:\"Height\";s:3:\"137\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL.jpg\";s:6:\"Height\";s:3:\"428\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL110_.jpg\";s:6:\"Height\";s:2:\"94\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL160_.jpg\";s:6:\"Height\";s:3:\"137\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL.jpg\";s:6:\"Height\";s:3:\"428\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL110_.jpg\";s:6:\"Height\";s:2:\"94\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL._SL160_.jpg\";s:6:\"Height\";s:3:\"137\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41oSfhngdqL.jpg\";s:6:\"Height\";s:3:\"428\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518tSavBGEL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518tSavBGEL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518tSavBGEL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/518tSavBGEL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/518tSavBGEL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/518tSavBGEL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/514D7lh9G%2BL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/514D7lh9G%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"43\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/514D7lh9G%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"43\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/514D7lh9G%2BL._SL110_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/514D7lh9G%2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/514D7lh9G%2BL.jpg\";s:6:\"Height\";s:3:\"287\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:19:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"68376EP-2013\";}s:5:\"Color\";s:10:\"Light Grey\";s:3:\"EAN\";s:13:\"0078257315048\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0078257315048\";}s:7:\"Feature\";a:8:{i:0;s:116:\"Super Tough construction is triple strong; Made with 3 layers of separate material for extra strength and durability\";i:1;s:49:\"Inflatable keel for improved control and handling\";i:2;s:61:\"Heavy Duty extruded plastic flooring for comfort and rigidity\";i:3;s:79:\"2 fishing rod holders, welded on rotational oar locks, grab handle on both ends\";i:4;s:41:\"Includes French Oars and High Output pump\";i:5;s:80:\"2 fishing rod holders, welded on rotational oar locks, grab handle on both ends.\";i:6;s:50:\"Inflatable keel for improved control and handling.\";i:7;s:117:\"Super Tough construction is triple strong. Made with 3 layers of separate material for extra strength and durability.\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"32999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$329.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1380\";s:6:\"Length\";s:4:\"3780\";s:6:\"Weight\";s:4:\"8500\";s:5:\"Width\";s:4:\"2200\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:10:\"129\" x 57\"\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:42:\"Intex 4 Person Mariner Inflatable Boat Set\";s:3:\"UPC\";s:12:\"078257315048\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"078257315048\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"25515\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$255.15\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CMBTCHW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CMBTCHW\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"H0%2FX2UGtlobl6xzF8zw7w%2FUdo5447NZDg18HalUgY2X7KaiAecHuF7o4ymujOBp6dKVNZ752ypPHPzJ5lYCUdLJnmKkHlHhxhakUAzfN2%2BSPteTlgKn%2Bkg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"25515\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$255.15\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"7484\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$74.84\";}s:15:\"PercentageSaved\";s:2:\"23\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00CMBTCHW&atag=freetos-20&exp=2013-06-15T19%3A36%3A41Z&v=2&sig=UnfT0hIxbAaEOdBB7UpDKJChe3dbjMXkTGbeVOCUYPY%3D\";s:10:\"HasReviews\";s:4:\"true\";}}");
INSERT INTO `wp_postmeta` VALUES("3500", "496", "asg_last_refresh_attempt", "1371238601");
INSERT INTO `wp_postmeta` VALUES("3489", "495", "asg_last_refresh_attempt", "1371238599");
INSERT INTO `wp_postmeta` VALUES("3490", "495", "asg_update_timestamp", "1371238599");
INSERT INTO `wp_postmeta` VALUES("3491", "496", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3492", "496", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3493", "496", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3494", "496", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3495", "496", "asg_item_id", "B0032GV04Y");
INSERT INTO `wp_postmeta` VALUES("3496", "496", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0032GV04Y\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Sevylor-Fish-Hunter-Inflatable-6-Person/dp/B0032GV04Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0032GV04Y\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Sevylor-Fish-Hunter-Inflatable-6-Person/dp/tech-data/B0032GV04Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GV04Y\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0032GV04Y%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GV04Y\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0032GV04Y%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GV04Y\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0032GV04Y%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GV04Y\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0032GV04Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GV04Y\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0032GV04Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GV04Y\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GV04Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GV04Y\";}}}s:9:\"SalesRank\";s:4:\"6955\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Xy9bt-CyL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003408\";}s:10:\"Department\";s:24:\"Small Craft & Inflatable\";s:3:\"EAN\";s:13:\"0076501039795\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:3:{i:0;s:13:\"0076501039795\";i:1;s:13:\"0066510974651\";i:2;s:13:\"0066556974653\";}}s:7:\"Feature\";a:5:{i:0;s:53:\"Inflatable 6-person fishing boat made of 32-gauge PVC\";i:1;s:52:\"2 tunnel chambers add lateral stability on the water\";i:2;s:69:\"2 inflatable seats, 2 fishing rod holders, chafing pads, and gear bag\";i:3;s:56:\"4 swivel oarlocks; works with outboard motors up to 3 hp\";i:4;s:67:\"Holds up to 1,200 pounds; measures 11\' 9\" by 5\' 7\"; 90-day warranty\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:5:\"14100\";s:6:\"Weight\";s:4:\"4705\";s:5:\"Width\";s:4:\"6700\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"22999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$229.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003408\";s:3:\"MPN\";s:10:\"2000003408\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:4:\"2520\";s:6:\"Weight\";s:4:\"4705\";s:5:\"Width\";s:4:\"1970\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003408\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:4:\"Size\";s:10:\"Six people\";s:3:\"SKU\";s:5:\"40730\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:44:\"Sevylor Fish Hunter Inflatable 6-Person Boat\";s:3:\"UPC\";s:12:\"066510974651\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:3:{i:0;s:12:\"066510974651\";i:1;s:12:\"066556974653\";i:2;s:12:\"076501039795\";}}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"16517\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$165.17\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:5:\"24800\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$248.00\";}s:8:\"TotalNew\";s:2:\"25\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GV04Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GV04Y\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"MphPfc2jTEpXRUdPhBOZy5QXznr2cqUH3yb3PrieOq3pQCVt71tjmhQl3eAx6H2fEcOyppdURIlHXrw2z2nSEokzEi1ZLnMY8QILoN3uZ6J0hZV7%2FDMRwA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"17148\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$171.48\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"5851\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$58.51\";}s:15:\"PercentageSaved\";s:2:\"25\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0032GV04Y&atag=freetos-20&exp=2013-06-15T19%3A36%3A39Z&v=2&sig=P0hEhV6yNa0EsBn6CB04noD7DqNnZtGz2qKwJIUBQ48%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:975:\"The Sevylor Fish Hunter Inflatable Boat is packed with features for performance and convenience, so you can focus on fishing. Measuring 11 Feet9 Inch long by 5 Feet7 Inch wide, the 6-Person Fish hunter holds up to 1,200 pounds and is durably constructed of heavy-duty 32-gauge PVC. The Fish Hunter is built with two tunnel chambers for lateral stability on the water. For comfort, the Fish Hunter features two inflatable seats, two fishing-rod holders, four swivel oarlocks, and chafing pads. Drain plugs make it easy to empty out water, while an all-around grabline and built-in carry handles offer convenience. The Fish Hunter includes bow and stern fittings for an electric motor, with optional fittings for a 2.5HP motor. A handy gear bag and battery pouch are included. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2815:\"Hit the fishing hole with five of your closest friends with the Sevylor Fish Hunter inflatable six-person boat. The Fish Hunter is constructed of 32-gauge PVC, with two tunnel chambers adding lateral stability on the water. As a result, the boat can handle uneven loads, provided it doesn\'t take on more than 1,200 pounds. The boat also includes a number of fishing-specific features, including two inflatable seats to keep you comfortable and stable while casting, two fishing rod holders, chafing pads, and a gear bag. The Fish Hunter\'s drain plugs help you keep water from building up, while the four swivel oarlocks make it easy to turn without losing control. And folks on longer fishing trips can add a motor mount and an outboard motor. The boat works with motors up to 3 horsepower, and also includes bow and stern fittings and a battery pouch for an electric motor. <p> Finally, the Fish Hunter is guaranteed not to leak thanks to Sevylor\'s exclusive Airtight system and Double-Lock valves, which prevent accidental air loss while encouraging quicker inflation and deflation. Other details include an all-around grab line, two oar holders, and a pair of built-in carrying handles. Certified by the National Marine Manufacturers Association (NMMA), the six-person Fish Hunter measures 11 feet 9 inches by 5 feet 7 inches and carries a 90-day warranty. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3497", "496", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:32:\"141 x 67 x 12 inches ; 47 pounds\";s:15:\"Shipping Weight\";s:9:\"47 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0032GV04Y\";s:17:\"Item model number\";s:10:\"2000003408\";}");
INSERT INTO `wp_postmeta` VALUES("3498", "496", "asg_star_rating", "3.8");
INSERT INTO `wp_postmeta` VALUES("3499", "496", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:22:\"Perfect inflatable....\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 5, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1ZH8K1AXM5J0I\";s:4:\"name\";s:8:\"nycamper\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1378:\"I bought this boat a few months ago, to hit the local lakes and reservoirs, where they dont allow large boats, much less powered boats, other than electric.<br /><br />I also bought the boat boot, a mini-kota electric motor, and of-course a deep cycle marine battery.<br /><br />First day out, perfect, inflated easily although, with the boot on, it is alittle of a challenge. We fished all day on it, and within a few minutes in the water, we were landing bass. Now we fish in these lakes throughout the summer, in our kayak, but we cant with our boat, cause its too large.<br /><br />The sevylor is perfect, I did buy an extra large duffle bag to store it in, it inflates easily with an electric pump, and deflates easily as well. You do need a foot pump or high capacity double throw, hand pump to top it off, the electric pumps wont do.<br /><br />Holding 6 people is a far reach, it will hold 3 comfortably, 4 tight, six?? I doubt it. maybe 6 children, but I weigh 210, my 2 sons weigh 165 each, and we were comfortable.<br /><br />The seats are pretty cool, I would recommend the boat boot, it adds extra protection.<br /><br />Bottom line, its a great boat, for that lake, reservoir. You need a \"good electric pump, plus a hand pump, the boot, a motor and a battery as well as the motor mount and a large duffle bag, cause you are not going to get it back in the box.....\";}i:1;a:5:{s:5:\"title\";s:39:\"Sevylor fish hunter 360 inflatable boat\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"July 27, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1B7MAHP6CQRHT\";s:4:\"name\";s:6:\"Kristy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:721:\"This boat is ok, but it\'s not as wide as you would think for being 12 feet long. It\'s not wide enough for 2 adults to sit side by side, if you are facing straight ahead. Probably not even 2 kids. Sorry to say I just sold mine on craigslist. I recently just bought the intex excursion 4 for a hundred bucks delivered and it\'s much more comfortable having really wide air cushion seats that actually have a back. It seems much wider than the fish hunter and I like that I can sit side by side with someone and still have room to stretch my legs. I think either the excursion 4 or 5 would be your most comfortable inflatable boat compared to the fish hunter. On top of that, the oars are included with the excursion! Cheers!\";}i:2;a:5:{s:5:\"title\";s:26:\"the best buy for the money\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 20, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AW9CY1M66NK11\";s:4:\"name\";s:9:\"kcastle24\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1013:\"i bought the sevylor fish hunter hf360 about two weeks ago and it is strong and durable i have been all down the river in this boat and hit rocks and everything you can think of in it and it never leaked any air at all it is a great boat but u can not fit six people in there you can have three people and a cooler and all the gear you need i built a motor mount for it and got a deep cycle battery and minn kota endura 30lb thrust trolling motor it works great i would say it is well worth the money buy it u wont be dissapointed<br /><br />update ive had this boat 3 weeks now and it is still great it\'s holding up very well still dosent leak any air have not had to patch it or anything it is a very durable boat i wasnt putting enough air in it at first then i found out air it up with a battery pump first then finish it off with the hand pump and its alot stronger and floats shallower also im 6 ft 4 in and 315 lbs i can sit on the back of it and run my trolling motor with no problem its worth every penny\";}i:3;a:5:{s:5:\"title\";s:23:\"best bang for your buck\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 22, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A29IH91KTIE2Q0\";s:4:\"name\";s:11:\"timothy lee\";s:7:\"address\";s:22:\"SALT LAKE CITY, UT, US\";}s:4:\"text\";s:908:\"this is a very good boat for the price. its easy to inflate and set up and seems to be well built. plus it will take an electric or small gas motor very well. great for fishing if there are only 2 or 3 of you. this boat is listed as a 6 person boat. but i would call it more like 2 adults and 3 small children or maybe 2 adults and 2 midgets. you could not fit 6 people in here sitting sideways. plus the battery holding bag it came with is very flimsy and tore when i tried to put a battery in it. This is still an exceptional boat for the price. it is not professional grade thickness pvc or rubber but still strong and seems to hold up real well. when in line to purchase my motor for this boat, a min-toka endura 34lb, wich is what i would recommend, the guy behind me in line told me about how he and his buddies took this boat all the way down the snake river rapids without a hitch. good boat. buy it.\";}i:4;a:5:{s:5:\"title\";s:19:\"Fishhunter 6 person\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 20, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A30YWW1XFRVGJ9\";s:4:\"name\";s:19:\"E. Nonimiss \"buyer\"\";s:7:\"address\";s:8:\"Bay Area\";}s:4:\"text\";s:863:\"We have had ours for about 6 years and find it great for our two person fishing trips. We can stretch out with<br />all of our gear. Our older model DOES have the threaded valves. Common sense should keep one from punctures;<br />do not glide over sharp objects/rocks. Do see FH 360 mods on google or videos for some interesting modifications<br />that can be done; seats, floors, shade tops, etc.<br /><br />It houses the large motor mount and it went on with no trouble. We picked up a Minntoka motor on Craigs and purchased<br />a smaller \"wheelchair\" battery at a local battery shop. The battery fits into the protective boat pouch perfectly and weighs far less than the conventional marine batteries. (about $65 for the top of the line model)<br /><br />We place a styrofoam-type mat on the boat\'s floor when we bring the dogs along...good fun, good fishing.\";}i:5;a:5:{s:5:\"title\";s:28:\"Perfect Lake Mobbing Machine\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ENAE8SBM33S6\";s:4:\"name\";s:6:\"Tj1184\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1185:\"I bought this product for use floating rivers, fishing and transportation on the many lakes and rivers of Oregon. In the first year it has easily paid for itself. High quality construction, everything you need out on the water. I also got the Min Kota 30lb trolling motor with this boat, which I highly recommend and is in itself a great product.<br /><br /> The Sevylor boat is spacious and durable, perfect for my needs of just cruising around the lake and transporting goods or fishing. If you are thinking about buying this boat with the trolling motor, I highly recommend getting the Min Kota Power Center. The battery pouch that comes with the boat is laughable. Luckily, it is the only part of the boat that is. Also, you will need the Sevylor motor mount if you are going to attach the motor. This setup of four items has worked exceptionally so far out on the water. It does have several compartments to inflate before use, so I would also recommend getting a high quality automatic pump and not a foot pump or hand pump as you will be at it for quite a while.<br /><br />The pump I\'m using is the Kwik Tek Airhead High Pressure Air Pump (12-Volt), which is an excellent pump.\";}i:6;a:5:{s:5:\"title\";s:54:\"Good solid boat - even if it comes with designed holes\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"July 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A78HVKA8F99HX\";s:4:\"name\";s:7:\"clang22\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:842:\"Overall a good boat. I had previously purchased a \"3 man\" boat\", so I was caught off guard when this boat didn\'t come with oars or a pump - fortunately I wasn\'t far from home when I discovered this. I haven\'t had an issue - yet - but I worry about the \"drains\" in the bottom of the boat. Seems to me having a predesigned hole in the bottom, even if it has a plug could only lead to problems on the water, and doesn\'t make up for the convienence for draining when on land.<br />The most important thing to know about any of these boats is that the word \"man\" in the description must mean someone who is less than 2\' tall. My family (wife & 2 young kids) fit in this boat if the kids sit on our legs. (In the \"3 man\" boat, with my back at one end, my feet touched the other and I\'m 5\'10\"). I do wish that the fishing pole mounts were removable.\";}i:7;a:5:{s:5:\"title\";s:11:\"Great boat!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AQ1LR8VIS1THB\";s:4:\"name\";s:8:\"Outdoors\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:142:\"Got this boat to take us and 4 kids since it says six man. We love the boat and fun but a bit tight on space. Kids had fun. Recommend a motor.\";}i:8;a:5:{s:5:\"title\";s:17:\"%100 satisfaction\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/ALT7UKBVJRVM\";s:4:\"name\";s:4:\"wael\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:121:\"It\'s great buy for the price ,a lot thicker than I expected :D ,u must get a motor to have a full advantage of the boat ,\";}i:9;a:5:{s:5:\"title\";s:111:\"This is a great boat for small lakes. This is the second one I have bought. Be carefull however they tear easy.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"February 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A10ZH334DTRQYE\";s:4:\"name\";s:11:\"boyd hansen\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:459:\"This boat is great for fishing or just trolling on small lakes.I suggest you get the flooring for the boat however, it makes it so much<br />easier to move around in. In Utah if you put a motor on this boat you have to register it even if it is a small electric one which is<br />nothing more than a revenue ploy for the State and the fine is $125.00 for failure to comply; however if you use just hand paddles no registeration is required, JUST PLAIN STUPID.\";}}");
INSERT INTO `wp_postmeta` VALUES("3487", "495", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3488", "495", "asg_customer_reviews", "a:7:{i:0;a:5:{s:5:\"title\";s:21:\"Pleasantly surprised!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5AP2KGHZZ78J\";s:4:\"name\";s:9:\"BeachGoer\";s:7:\"address\";s:12:\"Honolulu, HI\";}s:4:\"text\";s:3729:\"OK, honestly I bought this because it was lowered from $89 to $49 and had free shipping. It also had swivel oar locks and a fishing rod holder, which suited my needs for ocean-capable, fishing-ready, potential use as a casual tender and near-shore recreational boat.<br /><br />When it arrived, I was initially (and pleasantly) surprised at just how thick the material was, it literally is like a light leather and feels twice as durable as the comparably-sized Sevylor/Coleman inflatable pool boats.<br /><br />The swivel oar locks help maneuvering and handling on open waters (my experience with the older Sevylor Fish Hunter boat) as you can rotate the oars from a higher or lower plane (i.e. sitting on the seat or on the floor of the boat) equally well without the oar shaft binding on the soft plastic of normal boats\' molded oar locks. Because the oar now \"pivots\" around that swivel point, it greatly increases the speed of the oars being rotated around that point.<br /><br />The fishing rod holder is located on the \"flatter\" part of the rear deck, rather than at a more pronounced angle like the Sevylor Fish Hunter, and if the boat is properly inflated, it does hold up to a 9\' pole with 45lb line/medium reel.<br /><br />The boat has twin Boston Valves on the hull chambers, and two floor chambers. There are also 2 seats included, which is a great addition. Those seats lie flat and are very wide, adding stability even if you\'re seated upon them. The seats are so strong (as an example) you can stand on them fully inflated, and it doesn\'t give too much (inflated to about 95% capacity). Then again I\'m 145 lb so...<br /><br />The minor drawbacks: the grabline is relatively thin-looking, and you could replace it with a heavier duty nylon rope; also there are no oar holders to secure the oars when the boat is being towed as a tender, or while fishing, necessitating you remove the oars completely and place them on the floor, or else run the risk of them coming loose in the waves, or otherwise creating drag as you tow it along. Also it\'s varying shades of over-ripened tomatoes a creamy pink/orange color that you can\'t quite put your finger on while describing to someone, like the color you get when you mix ketchup and mayonnaise or something (lol).<br /><br />The major drawback: the 4 person rating is a little misleading, 4 full-sized adults CAN fit on the boat but it\'s cramped, and the boat will drag with too much weight (as with all inflatable round boats). Just take w/a grain of salt, IMHO the \"4 person\" rated boat is just perfect for 2 to go out fishing, carry a tackle box and cooler chest. Throw 2 more adults in the mix w/all that gear, and you\'ll have a clustered mess, people climbing all over each other. Plus when someone stands up to move, their weight will cause the tackle box & cooler to fall over, etc. Trust me, after years of experience with these boats, use the general rule of thumb that (for the sake of passenger comfort and cargo space) whatever the capacity of the boat is rated at, minus 1 person. So a \"2 person\" boat is a solo boat, a \"3 person\" is for 2, etc. Just my experience, so like I said, take w/a grain of salt.<br /><br />Back to the boat...<br /><br />The front grab handle is strong enough to tie off an anchor, or tie to a boat and use this little inflatable as a casual tender.<br /><br />Overall I am very pleasantly surprised at the quality construction of this boat, and with the price and free shipping, it\'s almost a no-brainer. We use it for paddling out into the waves at Moku Nui off Lanikai or fishing in Kaneohe or Kailua bays, and even braving the surf in Waikiki. If you buy it for any less demanding purpose, I think you will be equally pleased.\";}i:1;a:5:{s:5:\"title\";s:25:\"Not for 4 adults, no oars\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"January 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3SQF573T358GO\";s:4:\"name\";s:9:\"Islandboy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:210:\"I use this as a tender for my sailboat. It doesnt come with oars. I use a kayak paddle. Its pretty hard to paddle that way. The box shows 4 preteens cramed in it. it will fit 2 adults and maybe some other gear.\";}i:2;a:5:{s:5:\"title\";s:26:\"A simple, and durable boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3U0BL56BFE4T7\";s:4:\"name\";s:6:\"joseph\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:668:\"Firstly this boat didn\'t come with a pump (which I thought it did) and no paddles. I used free shipping and it got here in two days, I\'m very impressed, also I was surprised to see how small the box for it is. This boat is perfect for two adults, with a Maximum capacity of 740 pounds it can hold two adults, a cooler, tackle, poles, and a net, not only can it hold up to weight it holds up to sticks and rocks, and if you have a leak the patch kit can take care of it. I found the valves to look cheap but work very good, and despite what some reviews say about the grab line it looks very sturdy. This boat is perfect, its wide enough for comfort even for the rower.\";}i:3;a:5:{s:5:\"title\";s:14:\"Decent product\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2NZ98IJA7PDZV\";s:4:\"name\";s:6:\"Miss P\";s:7:\"address\";s:11:\"New England\";}s:4:\"text\";s:545:\"Good sized boat for 3 people, or 2 adults and 2 kids. The first time I ordered this product from Amazon, the hole that holds the oar clip was not threaded, so we could not attach the oar clip and had to send the boat back. The new boat we have does not hold air as well as the first boat. After 30 minutes in the water, the chambers are not as full with air as when we start.<br /><br />It\'s a decent boat for a fun time with kids on a pond. I don\'t expect this boat to last more than a couple of years. It\'s too pricy for a medium-quality boat.\";}i:4;a:5:{s:5:\"title\";s:49:\"not a 4 person but fit two tall adults perfectly!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 10, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2DG0C4M5X0TNY\";s:4:\"name\";s:6:\"Mary L\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:507:\"I bought this boat for a camping trip this summer, sight un seen and had no idea what to expect as far as quality was concerened. I figured it would be thin vinyl and good for one trip. however, I was very happy when I openend the box and the materirial was thick and sturdy. i kept it inflated for a month and it didnt loose air. I did buy oars because it didnt come with any. We had a cooler and tackle box and two fishing poles in this boat and stayed on the lake all day. I am very happy with this boat.\";}i:5;a:5:{s:5:\"title\";s:34:\"Voyager to the Bottom of the River\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:16:\"November 3, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1NNF6IJO1GODX\";s:4:\"name\";s:14:\"David L. Baker\";s:7:\"address\";s:28:\"Sacramento, CA United States\";}s:4:\"text\";s:1400:\"I bought the Solstice 400 with high hopes of rowing toward my favorite fishing spot. The other method to reach the spot is to climb down a steep embankment, and sometimes the river is too high to find a place to fish from. On my very first attempt to float the \'400, I found the process of filling the air chambers time consuming. The Coleman pump quickly filled the #1 and #2 sections, but the #3 and #4 inflations took over ten minutes, which is strange because the volume of those two are much less than the first two. I found getting into and out of this raft is tricky, especially the latter. You really don\'t have a means to exit the boat without stomping the underside into the river bottom. I have had a number of leaks, which are repaired easy enough with the supplied kit. However, it seems even the most benign surface the boat contacts causes leaks to form.<br /><br />Some suggestions, if any Solstice employees are reading this: Put the #3 and #4 inflation ports next to the 1 and 2 ports, with similar sizes and caps. Create some type of removable hard surface flooring for the raft so occupants can easily enter and exit. Thicken the outer #2 surface most likely to contact a lake or river bottom/tree limb or shoal/fishing lures to prevent leaks. When the raft isn\'t leaking, and all systems are \'Go\', it is alot of fun to operate. However, that set of conditions only occurred once.\";}i:6;a:5:{s:5:\"title\";s:17:\"Christmas miracle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1SB6PYHZPYR8O\";s:4:\"name\";s:8:\"Danielle\";s:7:\"address\";s:13:\"Pottstown, PA\";}s:4:\"text\";s:171:\"This was a purchase for my 11 yr old son who adores fishing. He lost it when he opened this for Christmas. The boat is very durable and a great size for a child and adult.\";}}");
INSERT INTO `wp_postmeta` VALUES("3486", "495", "asg_product_details", "a:7:{s:11:\"Item Weight\";s:11:\"18.4 pounds\";s:15:\"Shipping Weight\";s:11:\"18.4 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004PPNOWC\";s:17:\"Item model number\";s:5:\"30400\";}");
INSERT INTO `wp_postmeta` VALUES("3369", "484", "asg_last_refresh_attempt", "1371238576");
INSERT INTO `wp_postmeta` VALUES("3370", "484", "asg_update_timestamp", "1371238576");
INSERT INTO `wp_postmeta` VALUES("3371", "485", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3372", "485", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3373", "485", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3374", "485", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3375", "485", "asg_item_id", "B00177BQF8");
INSERT INTO `wp_postmeta` VALUES("3376", "485", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00177BQF8\";s:13:\"DetailPageURL\";s:202:\"http://www.amazon.com/Intex-68624E-Motor-Mount-Kit/dp/B00177BQF8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00177BQF8\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:212:\"http://www.amazon.com/Intex-68624E-Motor-Mount-Kit/dp/tech-data/B00177BQF8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQF8\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00177BQF8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQF8\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00177BQF8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQF8\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00177BQF8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQF8\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00177BQF8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQF8\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00177BQF8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQF8\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177BQF8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQF8\";}}}s:9:\"SalesRank\";s:3:\"507\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL._SL160_.jpg\";s:6:\"Height\";s:3:\"123\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL.jpg\";s:6:\"Height\";s:3:\"384\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL._SL110_.jpg\";s:6:\"Height\";s:2:\"84\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL._SL160_.jpg\";s:6:\"Height\";s:3:\"123\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51qaqGIyrdL.jpg\";s:6:\"Height\";s:3:\"384\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"68624E\";}s:5:\"Color\";s:3:\"N/A\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257686254\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:3:{i:0;s:13:\"0078257686254\";i:1;s:13:\"0078257686247\";i:2;s:13:\"0078257314713\";}}s:7:\"Feature\";a:5:{i:0;s:51:\"Motor mount kit designed for Intex inflatable boats\";i:1;s:43:\"Lets you attach up to 3.5-horsepower motors\";i:2;s:49:\"Made of marine plywood with aluminum support arms\";i:3;s:55:\"Attaches and detaches quickly; disassembles for storage\";i:4;s:44:\"Compatible with most newer model Intex boats\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"160\";s:6:\"Length\";s:4:\"1700\";s:6:\"Weight\";s:3:\"390\";s:5:\"Width\";s:3:\"850\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:22:\"ManufacturerMinimumAge\";s:1:\"1\";s:5:\"Model\";s:6:\"68624E\";s:3:\"MPN\";s:5:\"68624\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"268\";s:6:\"Length\";s:4:\"1701\";s:6:\"Weight\";s:3:\"538\";s:5:\"Width\";s:3:\"898\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"68624\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:3:\"SKU\";s:4:\"4280\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:21:\"Intex Motor Mount Kit\";s:3:\"UPC\";s:12:\"078257686254\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:3:{i:0;s:12:\"078257686254\";i:1;s:12:\"078257686247\";i:2;s:12:\"078257314713\";}}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1130\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.30\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"1558\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$15.58\";}s:8:\"TotalNew\";s:2:\"13\";s:9:\"TotalUsed\";s:1:\"2\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177BQF8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQF8\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:114:\"Hf2sEqjvPJKHcJXKdaVjs7lPSVroOzz4LN2%2BmCTaaFoCHXFOT359PTAYwP62YVAmwHdYaveOfnKSqecnmCdbsAD%2BONMXU1qHjfdNkb25R5Y%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1711\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$17.11\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1288\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.88\";}s:15:\"PercentageSaved\";s:2:\"43\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00177BQF8&atag=freetos-20&exp=2013-06-15T19%3A36%3A16Z&v=2&sig=vMlR2L5%2BGub9NW8Po7rhqlU8nMUMH%2Fd8YzPLVXmJ4hQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:166:\"Motor Mount Kit allows you the option to paddle for sit back and let the motor do the work for you. Attaches easily to Intex Boats and motor attaches easily to mount.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:754:\"Kick back and relax while cruising down the river on an Intex inflatable boat with this motor mount kit. The kit lets you attach up to a 3.5-horsepower motor to the rear of your Intex boat, so you can rest your paddling arms and float in comfort. The mount--which is made of marine plywood with aluminum support arms--attaches and detaches easily, so you don\'t have to spend a half hour fussing with the components each time you want to use the motor. Plus, the mount disassembles quickly when you return back home for easy storage in your garage or closet. <p> The motor mount kit is compatible with the following Intex inflatable boats: <ul> <li>Challenger 2, 3 & 4 <li>Seahawk 2, 3 & 4 <li>Excursion 2, 3, 4 & 5 <li>Mariner 400 <li>Seahawk II </ul><p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3303", "478", "asg_last_refresh_attempt", "1371238563");
INSERT INTO `wp_postmeta` VALUES("3304", "478", "asg_update_timestamp", "1371238563");
INSERT INTO `wp_postmeta` VALUES("3311", "479", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:33:\"10 x 18 x 24.3 inches ; 46 pounds\";s:15:\"Shipping Weight\";s:11:\"46.2 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00177BQC6\";s:17:\"Item model number\";s:7:\"68351EP\";}");
INSERT INTO `wp_postmeta` VALUES("3300", "478", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:36:\"14.2 x 7 x 18.8 inches ; 18.7 pounds\";s:15:\"Shipping Weight\";s:11:\"17.4 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000Y22BBA\";s:17:\"Item model number\";s:7:\"68367EP\";}");
INSERT INTO `wp_postmeta` VALUES("3301", "478", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("3302", "478", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:29:\"Inexpensive, roomy water toy.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 5, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3U0V77960WUDC\";s:4:\"name\";s:8:\"T. Nolan\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:679:\"Bought two of these for 2 grandkids living with us. One could hold the two kids, but being brothers (preteens) there will be a lot of arguing and fistfighting in the one boat.<br /><br />Used 4 times already in a sizable river with a lot of rocks and rapids. I won\'t let them on the river when it swells, but under normal flow these boats are very good. They blow up easy with supplied pump(10 minutes), fixtures are decent, and material seems durable. With lifevests, a water source, a $100, a great water toy for 10-14 yr old kids( could fit an average adult). A great pond or lake toy for any lifevested person. Make sure you use and secure the supplied grab line on the boat.\";}i:1;a:5:{s:5:\"title\";s:17:\"Excellant product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 20, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21P16DULAMX6R\";s:4:\"name\";s:20:\"Michael E. St George\";s:7:\"address\";s:14:\"Tempe, Arizona\";}s:4:\"text\";s:292:\"We were looking for a small boat to put in the pool this summer when our grandkids came for a month stay.<br />This fit the bill perfectly. It is very sturdy, as are the two oars. It came compactly packaged.<br /><br />Use the pump that came with it to blow the boat up. It is very efficient.\";}i:2;a:5:{s:5:\"title\";s:21:\"Well made, good value\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 22, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2JBNTKW8D7K7F\";s:4:\"name\";s:10:\"D. Lockett\";s:7:\"address\";s:15:\"Medford, NJ, US\";}s:4:\"text\";s:155:\"Bought for the kids. So far, seems pretty tough, nothing flimsy. Should last for years, barring abuse. Would be tight for two adults. I would buy it again.\";}i:3;a:5:{s:5:\"title\";s:4:\"Raft\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 26, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2299ZXUOLRCYC\";s:4:\"name\";s:25:\"Eric Cabral \"Eric Cabral\"\";s:7:\"address\";s:10:\"Tustin, CA\";}s:4:\"text\";s:99:\"This raft is great for the lake, and even the river, without rapids, can hold two adults perfectly!\";}i:4;a:5:{s:5:\"title\";s:9:\"Good boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 16, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3G4OM9AQFA4GJ\";s:4:\"name\";s:2:\"HR\";s:7:\"address\";s:6:\"Hawaii\";}s:4:\"text\";s:106:\"All is fine. Just what I expected.<br />The paddles didn\'t seem very sturdy, but they are holding up well.\";}i:5;a:5:{s:5:\"title\";s:20:\"Excellent cheap boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 12, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9HBKVGCXSU2I\";s:4:\"name\";s:4:\"Cody\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:549:\"I loved this boat for the 24 hours I had it. Three air chambers and a huge capacity. I took it out on a river with a really strong current with a cooler and my dog. I had a hard time steering it with the current but I managed well enough. Do not do what I did and get too drunk to steer the boat. I ended up getting caught on a log and in my drunken state I just hopped out of my boat and instantly forgot about it and swam to shore. It\'s still out there somewhere floating aimlessly with a box full of beer. Oh well. That\'s why I got the cheap one.\";}i:6;a:5:{s:5:\"title\";s:14:\"Love this boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2WYRHVHKO0OKU\";s:4:\"name\";s:6:\"Amanda\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:179:\"I bought this bought for two of us (adults) to ride in and it is very spacious with a little extra room. Love that it also comes with the paddles and the pump, it is very helpful.\";}i:7;a:5:{s:5:\"title\";s:23:\"Great for light rafting\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"August 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2HBUILVGHUKNH\";s:4:\"name\";s:10:\"Boaterfor2\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:209:\"Great experience. Much cheaper than renting from one of the local docks and we get to go again! Definitely worth it. We went floating down a class 1 river and it was great. It fit 2 adults and was comfortable.\";}i:8;a:5:{s:5:\"title\";s:12:\"Very sturdy!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/AQVXYPR7F7IQ\";s:4:\"name\";s:6:\"Peachy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:98:\"I purchased this as a gift for my kids as a end of the school year gift-they LOVE it! Very sturdy!\";}i:9;a:5:{s:5:\"title\";s:11:\"Lots of fun\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 3, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1LTPS0JY29I2G\";s:4:\"name\";s:11:\"mmaxwell184\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:202:\"This boat was everything it said it would be... me and my grandchildren had lots of fun with it. I didn\'t know if it would hold both grandsons at one time but it was nice and roomy with them both in it.\";}}");
INSERT INTO `wp_postmeta` VALUES("3256", "474", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004XACPWO\";s:17:\"Item model number\";s:9:\"8335-Wood\";}");
INSERT INTO `wp_postmeta` VALUES("3235", "472", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:11:\"48.6 pounds\";s:4:\"ASIN\";s:10:\"B00AA263Y0\";}");
INSERT INTO `wp_postmeta` VALUES("3236", "472", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3237", "472", "asg_last_refresh_attempt", "1371238323");
INSERT INTO `wp_postmeta` VALUES("3238", "472", "asg_update_timestamp", "1371238323");
INSERT INTO `wp_postmeta` VALUES("3241", "473", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3242", "473", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3243", "473", "asg_item_id", "B003I4IH3M");
INSERT INTO `wp_postmeta` VALUES("3244", "473", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003I4IH3M\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Carlisle-Canoe-Kayak-Portage-Cart/dp/B003I4IH3M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003I4IH3M\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Carlisle-Canoe-Kayak-Portage-Cart/dp/tech-data/B003I4IH3M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003I4IH3M\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003I4IH3M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003I4IH3M\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003I4IH3M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003I4IH3M\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003I4IH3M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003I4IH3M\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003I4IH3M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003I4IH3M\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003I4IH3M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003I4IH3M\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003I4IH3M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003I4IH3M\";}}}s:9:\"SalesRank\";s:6:\"285179\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L._SL75_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L._SL160_.jpg\";s:6:\"Height\";s:3:\"142\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L.jpg\";s:6:\"Height\";s:3:\"445\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L._SL75_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L._SL75_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L._SL110_.jpg\";s:6:\"Height\";s:2:\"98\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L._SL160_.jpg\";s:6:\"Height\";s:3:\"142\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41S63IGBZ6L.jpg\";s:6:\"Height\";s:3:\"445\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Carlisle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.1332.2716\";}s:3:\"EAN\";s:13:\"0759239100011\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239100011\";}s:7:\"Feature\";a:4:{i:0;s:36:\"Collapsible for easy in-boat storage\";i:1;s:61:\"3-Inch wide pneumatic tires so you don?t get stuck in the mud\";i:2;s:38:\"Light-weight and rugged aluminum frame\";i:3;s:24:\"176 lb carrying capacity\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:4:\"3600\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:8:\"Carlisle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"15999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$159.99\";}s:12:\"Manufacturer\";s:8:\"Carlisle\";s:5:\"Model\";s:12:\"01.1332.2716\";s:3:\"MPN\";s:12:\"01.1332.2716\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"520\";s:6:\"Length\";s:4:\"3070\";s:6:\"Weight\";s:4:\"1275\";s:5:\"Width\";s:4:\"1400\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.1332.2716\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:3:\"SKU\";s:12:\"WN0113322716\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:37:\"Carlisle Canoe and Kayak Portage Cart\";s:3:\"UPC\";s:12:\"759239100011\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239100011\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"9660\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$96.60\";}s:8:\"TotalNew\";s:1:\"7\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003I4IH3M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003I4IH3M\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"%2BSUr0mLxBXvpatubrp2prdpcZpHP0HBnaJa%2BnNucZv93LEufBKWnSl1AjIsu671r%2FjHXVewfqFHMh4L2tMOsJuP7r62SnYGhmTg68HlK8zw2XPNprKpgVQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11990\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$119.90\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"4009\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$40.09\";}s:15:\"PercentageSaved\";s:2:\"25\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003I4IH3M&atag=freetos-20&exp=2013-06-15T19%3A32%3A03Z&v=2&sig=6l0KsGQ0kg%2B39OSvsunPQUae3KuMQvkCMUe%2FovlbwsI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:210:\"We take the hassle out of getting your boat to the water. Theis lightweight, rugged, anodized aluminum-framed cart carries up to 176 lbs on its 3-Inch wide pneumatic tires. Collapsible for easy in-boat stowage.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3245", "473", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:18:\"36 x 10 x 8 inches\";s:15:\"Shipping Weight\";s:11:\"12.8 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003I4IH3M\";s:17:\"Item model number\";s:12:\"01.1332.2716\";}");
INSERT INTO `wp_postmeta` VALUES("3246", "473", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("3247", "473", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:15:\"Very well made!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 2, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A20JFQQRGZ9FD9\";s:4:\"name\";s:11:\"Katherine E\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:233:\"I purchased this cart for my husband\'s Ocean Kayak and it\'s great. I read reviews on several other carts that were less expensive but had concern for the stability...this one is very sturdy and the quality is excellent...he loves it!\";}i:1;a:5:{s:5:\"title\";s:29:\"Carlisle Kayak Trailer Review\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 10, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1XOSXN78DU2WD\";s:4:\"name\";s:5:\"T. B.\";s:7:\"address\";s:13:\"San Diego, CA\";}s:4:\"text\";s:250:\"Light, easy to assemble and use. Doesn\'t work well in sand. I have an Ocean Sit Atop Kayak, it fits reasonably well. I used bungies to hold the Kayak on to the trailer, quicker than fitting the included straps; worked great for a short haul. Like it!\";}i:2;a:5:{s:5:\"title\";s:18:\"Good for the money\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26NM7XRIK2HTM\";s:4:\"name\";s:19:\"Michael D. Mckibben\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:360:\"We beat this thing over three miles of rough terrain. Strap it down tight and put it near the center of the canoe so you just lift a little on the bow end. It would be better with inflatable tires. The straps worked well even when they got wet. The kick stand is completely worthless and doesn\'t need to be used. Overall I am very happy with Carlisle products.\";}}");
INSERT INTO `wp_postmeta` VALUES("3248", "473", "asg_last_refresh_attempt", "1371238326");
INSERT INTO `wp_postmeta` VALUES("3249", "473", "asg_update_timestamp", "1371238326");
INSERT INTO `wp_postmeta` VALUES("3252", "474", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3253", "474", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3254", "474", "asg_item_id", "B004XACPWO");
INSERT INTO `wp_postmeta` VALUES("3255", "474", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004XACPWO\";s:10:\"ParentASIN\";s:10:\"B004XACPWO\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/SeaSense-8335-Wood-Seasense-Wood-Paddle/dp/B004XACPWO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004XACPWO\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/SeaSense-8335-Wood-Seasense-Wood-Paddle/dp/tech-data/B004XACPWO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACPWO\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004XACPWO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACPWO\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004XACPWO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACPWO\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004XACPWO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACPWO\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004XACPWO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACPWO\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004XACPWO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACPWO\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004XACPWO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACPWO\";}}}s:9:\"SalesRank\";s:5:\"11505\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"16\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"16\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:9:\"8335-Wood\";}s:7:\"Feature\";a:3:{i:0;s:24:\"Comfortable Contour Grip\";i:1;s:14:\"Varnish Finish\";i:2;s:42:\"Clam Package On Palm Grip For Easy Display\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$15.99\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:9:\"8335-Wood\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:4:\"1500\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:20:\"Seasense Wood Paddle\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"1679\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.79\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"2550\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$25.50\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"3\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:4:\"Size\";}s:4:\"Item\";a:3:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B004XACPOC\";s:10:\"ParentASIN\";s:10:\"B004XACPWO\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"16\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"16\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008350\";}s:3:\"EAN\";s:13:\"0737765777150\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777150\";}s:7:\"Feature\";a:3:{i:0;s:24:\"Comfortable Contour Grip\";i:1;s:14:\"Varnish Finish\";i:2;s:42:\"Clam Package On Palm Grip For Easy Display\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"6200\";s:6:\"Length\";s:3:\"150\";s:5:\"Width\";s:3:\"575\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1679\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.79\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008350\";s:3:\"MPN\";s:6:\"008350\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:4:\"6200\";s:6:\"Weight\";s:3:\"185\";s:5:\"Width\";s:3:\"600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"008350\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:6:\"5-Feet\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:30:\"Seasense Wood Paddle (5-Feet )\";s:3:\"UPC\";s:12:\"737765777150\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777150\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"5-Feet\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:132:\"BoLHxZDtIXlTpW9BdjKnE4Wq8oyfedPzmrn4jTQGXZA5s98%2Bt8%2BPk1DenDJI%2FZTA4jJNbTOPgi83Xbw9YcNbnlI7cSA0C%2BsDQlSkpWSDGHowjiSlmnOUvA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1679\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.79\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B004XACPAQ\";s:10:\"ParentASIN\";s:10:\"B004XACPWO\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"16\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"16\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008335\";}s:3:\"EAN\";s:13:\"0737765777358\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777358\";}s:7:\"Feature\";a:3:{i:0;s:24:\"Comfortable Contour Grip\";i:1;s:14:\"Varnish Finish\";i:2;s:42:\"Clam Package On Palm Grip For Easy Display\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"4313\";s:6:\"Length\";s:3:\"138\";s:5:\"Width\";s:3:\"488\";}s:5:\"Label\";s:8:\"Seasense\";s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008335\";s:3:\"MPN\";s:6:\"008335\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:4:\"4400\";s:6:\"Weight\";s:3:\"120\";s:5:\"Width\";s:3:\"560\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"008335\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:8:\"3.5-Feet\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:32:\"Seasense Wood Paddle (3.5-Feet )\";s:3:\"UPC\";s:12:\"737765777358\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777358\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"3.5-Feet\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:130:\"IVA6XUBR9Z9Df8GQjableoLTrPP6LAdiFQgnPw%2BLlkSoXZmq69ujldb9Lglj3T0ykWqOOyMfZPe%2F%2Fb5wfyvR0m5sYGfWyBmcisnpPlNG8zafGTQWAnWoYQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2296\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$22.96\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B004AKE8IG\";s:10:\"ParentASIN\";s:10:\"B004XACPWO\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"16\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"11\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"16\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"23\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215Oa5ANeUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"72\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008340\";}s:3:\"EAN\";s:13:\"0737765777419\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777419\";}s:7:\"Feature\";a:3:{i:0;s:24:\"Comfortable Contour Grip\";i:1;s:14:\"Varnish Finish\";i:2;s:42:\"Clam Package On Palm Grip For Easy Display\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"5000\";s:6:\"Length\";s:3:\"138\";s:5:\"Width\";s:3:\"575\";}s:5:\"Label\";s:8:\"Seasense\";s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008340\";s:3:\"MPN\";s:6:\"008340\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"630\";s:6:\"Length\";s:4:\"5040\";s:6:\"Weight\";s:3:\"160\";s:5:\"Width\";s:4:\"5040\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"008340\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:6:\"4-Feet\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:30:\"Seasense Wood Paddle (4-Feet )\";s:3:\"UPC\";s:12:\"737765777419\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777419\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"4-Feet\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:138:\"q3x%2BvLMq3sikb%2BLCyT9aA8YygVrM0v2tKbeL7EsY8Gcvc1gvnOTSwm3vPRmWW0C%2BPqYfGWltQePrRximd2jqvleZUC%2FenTB%2B%2F3fVdL8H9WJyWwtt4fM%2Bhw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2550\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$25.50\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004XACPWO&atag=freetos-20&exp=2013-06-15T19%3A32%3A06Z&v=2&sig=PkjKbt5df%2FlULUPvDzvz5mQg3q%2Bn3no8WbIPNmU8VoM%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:20:\"3.5 Foot Wood Paddle\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3195", "468", "asg_last_refresh_attempt", "1371238314");
INSERT INTO `wp_postmeta` VALUES("3196", "468", "asg_update_timestamp", "1371238314");
INSERT INTO `wp_postmeta` VALUES("3199", "469", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3200", "469", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3201", "469", "asg_item_id", "B00C6AEEEA");
INSERT INTO `wp_postmeta` VALUES("3202", "469", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00C6AEEEA\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Lashing-Kayak-Canoe-Paddle-Board/dp/B00C6AEEEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00C6AEEEA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Lashing-Kayak-Canoe-Paddle-Board/dp/tech-data/B00C6AEEEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C6AEEEA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00C6AEEEA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C6AEEEA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00C6AEEEA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C6AEEEA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00C6AEEEA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C6AEEEA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00C6AEEEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C6AEEEA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00C6AEEEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C6AEEEA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00C6AEEEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C6AEEEA\";}}}s:9:\"SalesRank\";s:5:\"39954\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L._SL160_.jpg\";s:6:\"Height\";s:3:\"131\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L.jpg\";s:6:\"Height\";s:3:\"410\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L._SL110_.jpg\";s:6:\"Height\";s:2:\"90\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L._SL160_.jpg\";s:6:\"Height\";s:3:\"131\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41fqnqZpB9L.jpg\";s:6:\"Height\";s:3:\"410\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41noNQLkllL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41noNQLkllL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41noNQLkllL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41noNQLkllL._SL110_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41noNQLkllL._SL160_.jpg\";s:6:\"Height\";s:3:\"135\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41noNQLkllL.jpg\";s:6:\"Height\";s:3:\"421\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dvQvcbb3L._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dvQvcbb3L._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dvQvcbb3L._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41dvQvcbb3L._SL110_.jpg\";s:6:\"Height\";s:2:\"81\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41dvQvcbb3L._SL160_.jpg\";s:6:\"Height\";s:3:\"118\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41dvQvcbb3L.jpg\";s:6:\"Height\";s:3:\"369\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UILA-1tOL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UILA-1tOL._SL75_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UILA-1tOL._SL75_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41UILA-1tOL._SL110_.jpg\";s:6:\"Height\";s:3:\"100\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41UILA-1tOL._SL160_.jpg\";s:6:\"Height\";s:3:\"145\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41UILA-1tOL.jpg\";s:6:\"Height\";s:3:\"454\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:6:{s:5:\"Brand\";s:23:\"Northwest Tarp & Canvas\";s:7:\"Feature\";a:4:{i:0;s:43:\"Lashing Hook for Kayak, Canoe, Paddle Board\";i:1;s:11:\"Black Nylon\";i:2;s:23:\"Single Screw Attachment\";i:3;s:33:\"Accepts Lanyards/Ropes up to 5/8\"\";}s:15:\"PackageQuantity\";s:2:\"10\";s:12:\"ProductGroup\";s:23:\"Single Detail Page Misc\";s:15:\"ProductTypeName\";s:10:\"MISC_OTHER\";s:5:\"Title\";s:66:\"Lashing Hook for Kayak, Canoe, Paddle Board, Black Nylon, 10 Piece\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00C6AEEEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C6AEEEA\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:23:\"Northwest Tarp & Canvas\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:166:\"3Mh30PX2JGcXD85Rd%2BmM3Z5bxkUQHYb9p5lf9D09HyW5cSXUAoxKDPSnGORR0OfnvVHeV2nS28dWH8Ds153%2FnuCbw8noLDqrKEg3FiAAMs39jmAL%2FUjWlMb6fSUDENaw%2BhVvtTpQ%2BEYqiWUJNGmZJQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.99\";}s:12:\"Availability\";s:34:\"Usually ships in 2-3 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"48\";s:12:\"MaximumHours\";s:2:\"72\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00C6AEEEA&atag=freetos-20&exp=2013-06-15T19%3A31%3A54Z&v=2&sig=99dyC1h%2FuRwZnHdFkx10pTBXEhkoXgm1p29AlZH%2BuRI%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:138:\"10 Piece Lashing Hook for your Kayak, Canoe, Raft, Paddle Board\n\nBlack Nylon Material, Hook is 5/8\" Width Opening, 15/16\" long, 7/16\" wide\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3192", "468", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:35:\"19 x 9.9 x 4.1 inches ; 35.6 pounds\";s:15:\"Shipping Weight\";s:9:\"34 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0032GRD6I\";s:17:\"Item model number\";s:10:\"2000003630\";}");
INSERT INTO `wp_postmeta` VALUES("3193", "468", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3194", "468", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:33:\"Great for Whitewater and Fishing!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 31, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AI0JNM5QYDWVT\";s:4:\"name\";s:3:\"JJW\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3090:\"I bought this Sevylor Rio inflatable canoe a year ago, and I now have a full understanding of its pros and cons. I have enjoyed the boat overall, and I would recommend it to anyone looking to find an all-around portable solution to your paddling needs.<br /><br />I got this boat because I had just had a fun whitewater experience using NRS Bandit inflatables, but I did not want to shell out $900 or more for one, and the other boat I was considering, the Advanced Elements Strait Edge, was also priced in the $500-$600 range.<br /><br />What the boat does well:<br />-Whitewater! I have taken this in whitewater up to Class III, and it is very stable, bounces off rocks and other obstructions, and makes turns fairly quickly. I have actually tried (not that hard) to tip it by hitting rocks or ledges at awkward angles and I STILL remained upright and in the boat.<br />-Handle larger paddlers: I am also a bigger guy (300+ lbs), and most whitewater hardshells are not rated to handle my weight. This boat can take up to 350lbs easily.<br />-Hold lots of gear: I have taken this on overnight paddling trips and had myself plus about 50lbs of gear loaded up on it. It has lots of lash points to use bungees to hold down your gear.<br />-Fishing: because it is so stable, this is a nice little boat to float down medium sized rivers or take out on a lake when it is not too windy. You can move around quite a bit without worrying you will tip over.<br />-Pack up small! The great feature of this boat is that it packs into a duffel bag, and you don\'t need a roof rack or kayak carrier supports to haul it. I actually do keep it in my roof box on my car so that it doesn\'t leak water into my car after a paddle.<br /><br />What the boat does not do well:<br />-Deal with very shallow waters: this is probably a function of my weight, but I get hung up on sandbars and river bottoms more often than people in hardshell kayaks. This is partially because of the strake (keel) that runs down the centerline of the craft.<br />-Large stretches of flatwater: this boat does not track very well at all. The previous version apparently had a removeable skeg you could attach, but they stopped providing that. This boat can be a lot of work to paddle and keep tracking straight on flatwater, especially when it is windy. The profile of the boat catches lots of wind resistance, so paddling in slow current into a headwind can be very challenging, especially if you want to keep up with people in sea kayaks.<br /><br />One note of caution: be sure to rinse off and thoroughly dry the boat before packing it away in storage between uses. It can get a little mildew if you pack it away wet. I have found that just using a spray bottle with a water and very light bleach solution on it before rinsing it off with a hose helps prevent that as well.<br /><br />In summary, this is a great boat for whitewater, fishing, and anyone who does not either have a car (to tag along with other paddlers) or does not want to invest in rooftop gear. Just be aware that paddling on flatwater can be a bit of a chore.\";}i:1;a:5:{s:5:\"title\";s:47:\"Good boat, check the model and check for parts.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OFS3G7P2W7X9\";s:4:\"name\";s:8:\"tysonaba\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:554:\"I am 5\'11\" and 275 lbs. and no problem for this. It doesn\'t track great but the right paddling technique will keep it straight enough. It\'s not a touring kayak so don\'t expect speed. But it is very agile and stable. I was on the water a few hours at Canyon Lake in AZ and had a great time.<br /><br />Beware. Mine only came with one Boston valve. It requires two. Next, make sure you know what version of the boat you are getting. The new versions have an attachment for a tracking fin. The one I got does not come with the attachment to hook up the fin.\";}}");
INSERT INTO `wp_postmeta` VALUES("3162", "465", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00CSUG20M\";}");
INSERT INTO `wp_postmeta` VALUES("3163", "465", "asg_last_refresh_attempt", "1371238306");
INSERT INTO `wp_postmeta` VALUES("3164", "465", "asg_update_timestamp", "1371238306");
INSERT INTO `wp_postmeta` VALUES("3167", "466", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3168", "466", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3169", "466", "asg_item_id", "B003YAHX1C");
INSERT INTO `wp_postmeta` VALUES("3170", "466", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B003YAHX1C\";s:10:\"ParentASIN\";s:10:\"B003YAHX1C\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Danuu-Deluxe-Kayak-Storage-Cover/dp/B003YAHX1C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003YAHX1C\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Danuu-Deluxe-Kayak-Storage-Cover/dp/tech-data/B003YAHX1C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003YAHX1C\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003YAHX1C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003YAHX1C\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003YAHX1C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003YAHX1C\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003YAHX1C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003YAHX1C\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003YAHX1C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003YAHX1C\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003YAHX1C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003YAHX1C\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003YAHX1C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003YAHX1C\";}}}s:9:\"SalesRank\";s:5:\"10737\";s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:5:\"Danuu\";s:7:\"Feature\";a:5:{i:0;s:54:\"100% UV-resistant polyester w/ water-resistant coating\";i:1;s:34:\"Double stitched & reinforced seams\";i:2;s:51:\"4 side adjustment straps and a drawstring perimeter\";i:3;s:32:\"Additional V-loop tiedown points\";i:4;s:35:\"Built in visibility/storage FlagBag\";}s:5:\"Label\";s:26:\"Danuu Kayak & Canoe Covers\";s:12:\"Manufacturer\";s:26:\"Danuu Kayak & Canoe Covers\";s:12:\"ProductGroup\";s:5:\"Shoes\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:26:\"Danuu Kayak & Canoe Covers\";s:6:\"Studio\";s:26:\"Danuu Kayak & Canoe Covers\";s:5:\"Title\";s:32:\"Danuu Deluxe Kayak Storage Cover\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"11452\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$114.52\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"18395\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$183.95\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"3\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:4:\"Size\";}s:4:\"Item\";a:3:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B003YAIQ6I\";s:10:\"ParentASIN\";s:10:\"B003YAHX1C\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31t-4KzecDL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:22:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Danuu\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"4GDR015\";}s:5:\"Color\";s:5:\"White\";s:10:\"Department\";s:17:\"Kayak Accessories\";s:3:\"EAN\";s:13:\"0857850001042\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0857850001042\";}s:7:\"Feature\";a:5:{i:0;s:54:\"100% UV-resistant polyester w/ water-resistant coating\";i:1;s:34:\"Double stitched & reinforced seams\";i:2;s:51:\"4 side adjustment straps and a drawstring perimeter\";i:3;s:32:\"Additional V-loop tiedown points\";i:4;s:35:\"Built in visibility/storage FlagBag\";}s:5:\"Label\";s:26:\"Danuu Kayak & Canoe Covers\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"15495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$154.95\";}s:12:\"Manufacturer\";s:26:\"Danuu Kayak & Canoe Covers\";s:3:\"MPN\";s:7:\"4GDR015\";s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"4GDR015\";s:12:\"ProductGroup\";s:5:\"Shoes\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:26:\"Danuu Kayak & Canoe Covers\";s:4:\"Size\";s:6:\"Medium\";s:6:\"Studio\";s:26:\"Danuu Kayak & Canoe Covers\";s:5:\"Title\";s:45:\"Danuu Deluxe Punk Kayak Storage Cover-White-M\";s:3:\"UPC\";s:12:\"857850001042\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"857850001042\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"Medium\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Campmor\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:178:\"mLhZ8r2hwRq6Mr%2BvTuGxNn8x0OVliS9lRdkkIvuYOhwlU6dAnIzND3%2BTuL9d%2FHPkSXURU5h%2FGSAZ1cs9rhcqQ9NZJSvwGEAtEJOtM3MrOttnzttIzMuOHYx0Vfe2ufOKEH%2FF1rfvJEeUYnSKD%2Fk%2FD5gSX%2F7jblQ%2F\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"13999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$139.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1496\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.96\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B002Y29YOU\";s:10:\"ParentASIN\";s:10:\"B003YAHX1C\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31VPv8mIl7L.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:22:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:5:\"Danuu\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"4GDR018\";}s:5:\"Color\";s:4:\"Grey\";s:10:\"Department\";s:17:\"Kayak Accessories\";s:3:\"EAN\";s:13:\"0857850001059\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0857850001059\";}s:7:\"Feature\";a:5:{i:0;s:54:\"100% UV-resistant polyester w/ water-resistant coating\";i:1;s:34:\"Double stitched & reinforced seams\";i:2;s:51:\"4 side adjustment straps and a drawstring perimeter\";i:3;s:32:\"Additional V-loop tiedown points\";i:4;s:35:\"Built in visibility/storage FlagBag\";}s:5:\"Label\";s:3:\"NRS\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"17995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$179.95\";}s:12:\"Manufacturer\";s:3:\"NRS\";s:3:\"MPN\";s:7:\"4GDR018\";s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"4GDR018\";s:12:\"ProductGroup\";s:5:\"Shoes\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:3:\"NRS\";s:4:\"Size\";s:5:\"Large\";s:6:\"Studio\";s:3:\"NRS\";s:5:\"Title\";s:46:\"Danuu Deluxe Buddy Kayak Storage Cover-White-L\";s:3:\"UPC\";s:12:\"857850001059\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"857850001059\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"Large\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Campmor\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:168:\"yjiGH%2FIOsRxgzk6DdMakM4Gy%2FqSMv0Q3uLUvtt2317QwCxTB8ILxqMrdHpPyhMaRlBBl8YGv6Yjrr8Kzxi%2BhFV25mTKRFodSNESKUlsIeTgyGF8PWN%2B8lA3l49mWRmUx5VFEAIDywGvSWdV4pwBJdNqsCSggvm3r\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"15999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$159.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1996\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.96\";}s:15:\"PercentageSaved\";s:2:\"11\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B003YAGV9M\";s:10:\"ParentASIN\";s:10:\"B003YAHX1C\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31RLtbb10BL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:22:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:5:\"Danuu\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"3GDR016\";}s:5:\"Color\";s:5:\"White\";s:10:\"Department\";s:17:\"Kayak Accessories\";s:3:\"EAN\";s:13:\"0857850001066\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0857850001066\";}s:7:\"Feature\";a:5:{i:0;s:54:\"100% UV-resistant polyester w/ water-resistant coating\";i:1;s:34:\"Double stitched & reinforced seams\";i:2;s:51:\"4 side adjustment straps and a drawstring perimeter\";i:3;s:32:\"Additional V-loop tiedown points\";i:4;s:35:\"Built in visibility/storage FlagBag\";}s:5:\"Label\";s:26:\"Danuu Kayak & Canoe Covers\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"15995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$159.95\";}s:12:\"Manufacturer\";s:26:\"Danuu Kayak & Canoe Covers\";s:3:\"MPN\";s:7:\"3GDR016\";s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"3GDR016\";s:12:\"ProductGroup\";s:5:\"Shoes\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:26:\"Danuu Kayak & Canoe Covers\";s:4:\"Size\";s:6:\"L-Wide\";s:6:\"Studio\";s:26:\"Danuu Kayak & Canoe Covers\";s:5:\"Title\";s:50:\"Danuu Deluxe Dude Kayak Storage Cover-White-L-Wide\";s:3:\"UPC\";s:12:\"857850001066\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"857850001066\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"L-Wide\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Campmor\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:172:\"osB0HPcp%2F%2BYd82GJ3xgc7OHtBFJmnM5os0u%2B2fMtke3U5zGrRFb522PUhcwCGYanyfzQ1wgarlmV1%2BW0JzrZtNia%2B143JpF2C%2F0kCKGuAetIqqiZfw5g1ddoEluPNpFLxMG8SwB3Mf6M8wRAfXl5iYniVLyQq9PL\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"14999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$149.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"996\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.96\";}s:15:\"PercentageSaved\";s:1:\"6\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003YAHX1C&atag=freetos-20&exp=2013-06-15T19%3A31%3A47Z&v=2&sig=d5Ciy5%2FEgmYDSab2joNf0ABryqTR%2FjpgbF9YJs13WD0%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:953:\"Danuu Deluxe Kayak Storage Cover - Developed for kayakers by kayakers, here is an easy to use, lightweight drop-on cover that will protect your kayak. These kayak covers are 100% UV-resistant polyester with a water-resistant coating. The cover drops into place over your kayak, and is fully adjustable for a custom fit. Simply tighten the four side straps, pull the drawstring snug around the hull, and you are ready for either storage or transport. If needed, V-loops along the side give you additional tiedown points. Further adding the functionality, the attached Flag Bag means no more hunting for a red flag for your boat while cartopping! When the kayak cover is off, a few folds store the cover directly into the bag. There are no metal parts to rust and all seams are double stitched and reinforced throughout the kayak cover. Add years to the life of your boat by protecting it from the sun and elements with a Danuu Deluxe Kayak Storage Cover.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3154", "464", "asg_last_refresh_attempt", "1371238304");
INSERT INTO `wp_postmeta` VALUES("3155", "464", "asg_update_timestamp", "1371238304");
INSERT INTO `wp_postmeta` VALUES("3158", "465", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3159", "465", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3160", "465", "asg_item_id", "B00CSUG20M");
INSERT INTO `wp_postmeta` VALUES("3161", "465", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00CSUG20M\";s:10:\"ParentASIN\";s:10:\"B00CSUG20M\";s:13:\"DetailPageURL\";s:205:\"http://www.amazon.com/Wenonah-Super-Canoe-Bench-Seats/dp/B00CSUG20M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00CSUG20M\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:215:\"http://www.amazon.com/Wenonah-Super-Canoe-Bench-Seats/dp/tech-data/B00CSUG20M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUG20M\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00CSUG20M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUG20M\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00CSUG20M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUG20M\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00CSUG20M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUG20M\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00CSUG20M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUG20M\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00CSUG20M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUG20M\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CSUG20M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUG20M\";}}}s:9:\"SalesRank\";s:6:\"290637\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:12:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Campmor\";s:7:\"Feature\";a:4:{i:0;s:83:\"Great lower back support and cushioning for cane or web canoe seats from all brands\";i:1;s:28:\"Easy to attach to canoe seat\";i:2;s:35:\"Doubles as a comfortable camp chair\";i:3;s:125:\"Straps adjust to any angle, accomodating both leisurely paddlers and those just looking for cushioning and lower back support\";}s:5:\"Label\";s:7:\"Campmor\";s:12:\"Manufacturer\";s:7:\"Campmor\";s:3:\"MPN\";s:7:\"6AMI009\";s:10:\"PartNumber\";s:7:\"6AMI009\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Campmor\";s:6:\"Studio\";s:7:\"Campmor\";s:5:\"Title\";s:40:\"Wenonah Super Seat For Canoe Bench Seats\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"3995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"3995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.95\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B00D4ISP7K\";s:10:\"ParentASIN\";s:10:\"B00CSUG20M\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/311j6YOJKaL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Campmor\";s:5:\"Color\";s:5:\"Black\";s:7:\"Feature\";a:4:{i:0;s:83:\"Great lower back support and cushioning for cane or web canoe seats from all brands\";i:1;s:28:\"Easy to attach to canoe seat\";i:2;s:35:\"Doubles as a comfortable camp chair\";i:3;s:125:\"Straps adjust to any angle, accomodating both leisurely paddlers and those just looking for cushioning and lower back support\";}s:5:\"Label\";s:7:\"Campmor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.95\";}s:12:\"Manufacturer\";s:7:\"Campmor\";s:3:\"MPN\";s:7:\"6AMI009\";s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"6AMI009\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Campmor\";s:6:\"Studio\";s:7:\"Campmor\";s:5:\"Title\";s:40:\"Wenonah Super Seat For Canoe Bench Seats\";}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Black\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Campmor\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:170:\"IvUzhIg8qg89oiOKU%2B2FTMnnGzSorTW5IwPJ6O5zQR10S0PGQqo%2FE9t%2FzDjwVS1AmXvHwXbd5tC0ph2nMWROGWvyRwqCY4tphm10aj%2BmDPokwb%2F0Vghbs2q9hZRPHEdnDJGOXvZk8kD2tknXmpjYntdxxAZvKADB\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.95\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00CSUG20M&atag=freetos-20&exp=2013-06-15T19%3A31%3A44Z&v=2&sig=u5VVfJb16nfVmg7e2NbzLFLCqalx1Ji%2F04B4Q6nNtdw%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:276:\"Canoe in comfort. The Super Seat gives back support and cushioning for more comfort and less fatigue. Straps firmly to the seat and adjusts for angle. The bench-style Super Seat is also great used as a camp chair for sitting around the fire. Fits most web or cane canoe seats.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3151", "464", "asg_product_details", "a:5:{s:18:\"Product Dimensions\";s:36:\"3.2 x 6.8 x 13.6 inches ; 4.2 pounds\";s:15:\"Shipping Weight\";s:10:\"4.6 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:4:\"ASIN\";s:10:\"B0000ATY5P\";s:17:\"Item model number\";s:3:\"A-2\";}");
INSERT INTO `wp_postmeta` VALUES("3152", "464", "asg_star_rating", "4.1");
INSERT INTO `wp_postmeta` VALUES("3153", "464", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:29:\"Flawed Design Rust Vulnerable\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"April 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AE7ENYTJEXZFT\";s:4:\"name\";s:12:\"A.M. Barnard\";s:7:\"address\";s:13:\"Sleepy Hollow\";}s:4:\"text\";s:1088:\"I have used this anchor for two seasons in the salt and it just came totally apart on me. Turns out that the painted coating is no protection from rust at the important hinge points. This coupled with the fact that the anchor is held together with rust-liable pins is a recipe for failure. Even before this happened, I had the complaints that the line is not long enough and I had to add 3 feet of chain to place the flukes in the best position to hold quickly. My Advice is to buy a galvanized anchor and go to the hardware store for a short length of chain, a line of the length of your choosing, a small float and assemble it on your own. That\'s what I did for my wife\'s boat this spring instead of buying another one of these and now I\'m off to the hardware store to rig a galvanized anchor for myself (Attwood makes them in 3 and 5 pound weight that look and operate something like this one but are better constructed; that\'s what I used). Rigging your own anchor is a bit of fun anyway and you can have it just the way you want it; lots of clever rigging ideas out there on the net.\";}i:1;a:5:{s:5:\"title\";s:26:\"Thought it was nicely made\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 23, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A39UKHD0RC0JN1\";s:4:\"name\";s:19:\"Jonathan \"dewalt99\"\";s:7:\"address\";s:11:\"Atlanta, GA\";}s:4:\"text\";s:857:\"The anchor is a solid product for a light boat or inflatable. I have yet to take it out on the water, but it seems to be well made. My only complaint is the collar that keeps the prongs from splaying out doesn\'t work too well. The carrying case is nicely padded and fits the entire length of rope without spilling out. Keep in mind the rope is hollow braid polypropylene. I swapped mine out for nylon and changed to a 50\'length.<br /><br />4/18/2010 UPDATE: Since purchasing in July of 2009 for a 11\' inflatable boat, I\'ve used the anchor 3 times. It was used in saltwater for 2-4 days at a time and thoroughly rinsed in fresh water each time. Well, this last trip out, it started slipping so I pulled up the anchor and the the 4 flukes had broken off. It wasn\'t heavy current at all, nor was it forcefully yanked upon. I\'m going to look for another option.\";}i:2;a:5:{s:5:\"title\";s:20:\"Works for minimalist\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"March 23, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1X8877758BGM8\";s:4:\"name\";s:8:\"A. Clark\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:427:\"I bought this item for my 14 ft Jon boat and it works on the lakes and such but wouldn\'t take it out on the river with the current. It is a cheap anchor for a cheap price and would be more fitted for a pwc like a wave runner under the seat. Works for what I need but once it breaks (and it will) I will be buying something else. The item has a lock ring that allows it to expand and it feels cheaper but for the money its good.\";}i:3;a:5:{s:5:\"title\";s:43:\"Kwik Tek A-2 Complete Grapnel Anchor System\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 27, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AREJCJXZMEQEN\";s:4:\"name\";s:6:\"K. Day\";s:7:\"address\";s:7:\"Florida\";}s:4:\"text\";s:168:\"This is the best anchor for a PWC. With the bouy, you can unhook and leave your anchor without the hassle of pulling it in each time. The grapnel holds in rock or sand.\";}i:4;a:5:{s:5:\"title\";s:22:\"Great for use on kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 11, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A22VC4ZE7OIZ7C\";s:4:\"name\";s:16:\"David C. Simpson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:140:\"Great anchor - I use with a kayak for fishing and it\'s great having a float so you can unclip, drift around, and then come back and clip on.\";}i:5;a:5:{s:5:\"title\";s:6:\"Cheap?\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"April 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2S34U8GUHYCX7\";s:4:\"name\";s:10:\"nemomarcus\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:187:\"First time out the grapnel literally snapped-off. May have been the muddy bottom of the lake. I had to use the motor to try and free-up the anchor, but either way, now I just have a post.\";}i:6;a:5:{s:5:\"title\";s:20:\"Catches and releases\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 5, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJZYCVQVIYTNA\";s:4:\"name\";s:23:\"Waly \"Techie Architect\"\";s:7:\"address\";s:18:\"Sunny Jacksonville\";}s:4:\"text\";s:349:\"We have had no problems. The float does what it should, the anchor sticks where it should and so far, it comes up when we want it to. It has a back up system to release it but we\'ve never needed to rig it for that, yet! Nice quality and good storage bag. Haven\'t found anything bad and given the quality of products today, that in itself is amazing.\";}i:7;a:5:{s:5:\"title\";s:20:\"Perfect for my Canoe\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ELPSZTSAQSGE\";s:4:\"name\";s:11:\"itsshottime\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:316:\"Very compact with long rope. I use it in my canoe on streams and rivers so rope is a lot longer than needed in 6ft of water. With a fast current, this needs to be \"hooked\" onto something in order to hold canoe in place. Have not used in a lake, but if it works well in a river, it\'s gotta work even better in a lake.\";}i:8;a:5:{s:5:\"title\";s:10:\"Nice item.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 30, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A15MGE4VHE950F\";s:4:\"name\";s:7:\"Mr. Fig\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:127:\"Very Very nice item works great and the space that is require to storage is like carring an umbrella I love this little anchor.\";}i:9;a:5:{s:5:\"title\";s:20:\"Just what was needed\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 12, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A18U8LR1MW2UXR\";s:4:\"name\";s:9:\"D. Mosher\";s:7:\"address\";s:14:\"Joplin, Mo USA\";}s:4:\"text\";s:191:\"The Kwik tek complete grapnel anchor system is perfect for our jet ski. It is so compatible with the small space on the ski for storage and since it has its own case it is very easily stored.\";}}");
INSERT INTO `wp_postmeta` VALUES("3141", "463", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:11:\"12.2 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B008OO8FTM\";s:17:\"Item model number\";s:7:\"11-8801\";}");
INSERT INTO `wp_postmeta` VALUES("3142", "463", "asg_star_rating", "4.8");
INSERT INTO `wp_postmeta` VALUES("3143", "463", "asg_last_refresh_attempt", "1371238301");
INSERT INTO `wp_postmeta` VALUES("3144", "463", "asg_update_timestamp", "1371238301");
INSERT INTO `wp_postmeta` VALUES("3147", "464", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3148", "464", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3149", "464", "asg_item_id", "B0000ATY5P");
INSERT INTO `wp_postmeta` VALUES("3150", "464", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0000ATY5P\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/A-2-Complete-Folding-Anchor-System/dp/B0000ATY5P%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0000ATY5P\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/A-2-Complete-Folding-Anchor-System/dp/tech-data/B0000ATY5P%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000ATY5P\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0000ATY5P%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000ATY5P\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0000ATY5P%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000ATY5P\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0000ATY5P%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000ATY5P\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0000ATY5P%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000ATY5P\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0000ATY5P%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000ATY5P\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0000ATY5P%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000ATY5P\";}}}s:9:\"SalesRank\";s:4:\"3218\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL160_.jpg\";s:6:\"Height\";s:3:\"132\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL.jpg\";s:6:\"Height\";s:3:\"414\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL110_.jpg\";s:6:\"Height\";s:2:\"91\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL160_.jpg\";s:6:\"Height\";s:3:\"132\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL.jpg\";s:6:\"Height\";s:3:\"414\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL110_.jpg\";s:6:\"Height\";s:2:\"91\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL._SL160_.jpg\";s:6:\"Height\";s:3:\"132\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41dwnmR73lL.jpg\";s:6:\"Height\";s:3:\"414\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:30:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Kwik Tek\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:3:\"A-2\";i:1;s:3:\"496\";}}s:10:\"Department\";s:7:\"Bedroom\";s:3:\"EAN\";s:13:\"0737826015764\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737826015764\";}s:7:\"Feature\";a:5:{i:0;s:74:\"3-1/3 pound 4-fluke folding anchor will hold in mud, sand, gravel and rock\";i:1;s:93:\"Designed for boats, sailboats, personal watercraft, inflatable boats, canoes, and float tubes\";i:2;s:84:\"Fits under most boat seats, in PWC storage compartments, or in PWC storage canisters\";i:3;s:30:\"25-foot long marine-grade rope\";i:4;s:57:\"Durable nylon storage case is padded for added protection\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1363\";s:6:\"Length\";s:3:\"325\";s:6:\"Weight\";s:3:\"420\";s:5:\"Width\";s:3:\"675\";}s:5:\"Label\";s:8:\"Kwik Tek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.99\";}s:12:\"Manufacturer\";s:8:\"Kwik Tek\";s:36:\"ManufacturerPartsWarrantyDescription\";s:5:\"Parts\";s:5:\"Model\";s:3:\"A-2\";s:3:\"MPN\";s:2:\"A2\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"360\";s:6:\"Length\";s:4:\"1300\";s:6:\"Weight\";s:3:\"460\";s:5:\"Width\";s:3:\"660\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:2:\"A2\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Kwik Tek\";s:11:\"ReleaseDate\";s:10:\"2008-04-02\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:3:\"A-2\";s:6:\"Studio\";s:8:\"Kwik Tek\";s:5:\"Title\";s:43:\"KWIK TEK A-2 Complete Folding Anchor System\";s:3:\"UPC\";s:12:\"737826015764\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737826015764\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2814\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$28.14\";}s:8:\"TotalNew\";s:2:\"61\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0000ATY5P%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0000ATY5P\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:116:\"nQsCoqoXc313YXUXfRfeJGwA%2F4oYzqr8E0nYeJeDWFQvgEJlmz2LbiZHlxpBlLn8zbTAJBRcZDn02c2rkJ73Pi%2F782Ph0TdL1yU%2FTlVJ7FY%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3233\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$32.33\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"766\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.66\";}s:15:\"PercentageSaved\";s:2:\"19\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0000ATY5P&atag=freetos-20&exp=2013-06-15T19%3A31%3A42Z&v=2&sig=OZc5hNNteIrsWoXLfsdcO9Gm4cBlEz67Qe%2Fj7HjU0H0%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:451:\"A 3.5-lb. anchor that is in a class by itselfHolds in virtually all bottom conditions including mud, sand, gravel and rockDesigned for PWCs, inflatable rafts, canoes, float tubes and small boatsFeatures a thick vinyl coating to protect finishes and a durable padded nylon storage case to dampen noise while stowedFolding anchor stows in most PWC storage compartments or almost any storage canisterIncludes 25 feet of rope, a buoy and a giant snap hook\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:621:\"This complete anchor system from Kwik-Tek is in a class by itself. The 3-1/3 pound, 4-fluke folding anchor will hold in mud, sand, gravel, and rock. Designed for boats, sailboats, personal watercraft, inflatable boats, canoes, and float tubes, the anchor is coated to protect finishes. Its durable nylon storage case is padded for added protection and to dampen noise while the anchor is stowed. This system Fits under most boat seats, in PWC storage compartments, or in PWC storage canisters. The 25-foot long marine-grade rope with an in-line buoy is spliced to the anchor and a heavy-duty stainless steel snap hook.<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3098", "459", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:10:\"6.4 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004RMFOQM\";s:17:\"Item model number\";s:12:\"01.1331.1410\";}");
INSERT INTO `wp_postmeta` VALUES("3099", "459", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("3100", "459", "asg_last_refresh_attempt", "1371238293");
INSERT INTO `wp_postmeta` VALUES("3101", "459", "asg_update_timestamp", "1371238293");
INSERT INTO `wp_postmeta` VALUES("3104", "460", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3105", "460", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3106", "460", "asg_item_id", "B001NZV5KU");
INSERT INTO `wp_postmeta` VALUES("3107", "460", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B001NZV5KU\";s:13:\"DetailPageURL\";s:201:\"http://www.amazon.com/Old-Town-Saddle-Canoe-Motor/dp/B001NZV5KU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001NZV5KU\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:211:\"http://www.amazon.com/Old-Town-Saddle-Canoe-Motor/dp/tech-data/B001NZV5KU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001NZV5KU\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001NZV5KU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001NZV5KU\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001NZV5KU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001NZV5KU\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001NZV5KU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001NZV5KU\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001NZV5KU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001NZV5KU\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001NZV5KU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001NZV5KU\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001NZV5KU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001NZV5KU\";}}}s:9:\"SalesRank\";s:6:\"104823\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL._SL160_.jpg\";s:6:\"Height\";s:3:\"138\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL.jpg\";s:6:\"Height\";s:3:\"345\";s:5:\"Width\";s:3:\"400\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL._SL110_.jpg\";s:6:\"Height\";s:2:\"95\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL._SL160_.jpg\";s:6:\"Height\";s:3:\"138\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41J%2BCJWR3FL.jpg\";s:6:\"Height\";s:3:\"345\";s:5:\"Width\";s:3:\"400\";}}}s:14:\"ItemAttributes\";a:19:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Old Town\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.1332.0624\";}s:3:\"EAN\";s:13:\"0759239166734\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239166734\";}s:7:\"Feature\";a:5:{i:0;s:75:\"Motor Mount allows you to affix gas or electric motor to any Old Town canoe\";i:1;s:96:\"Moves motor away from side of canoe, making it more comfortable to operate while looking forward\";i:2;s:78:\"Heavy-duty, rust-free aluminum bracket can hold engines up to three horsepower\";i:3;s:110:\"Installation and removal are quick and easy; hardwood block provides sure mounting surface for electric motors\";i:4;s:80:\"Adjustable for left- or right-handed operation; will not fit wood-trimmed canoes\";}s:5:\"Label\";s:8:\"Old Town\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"12999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$129.99\";}s:12:\"Manufacturer\";s:8:\"Old Town\";s:5:\"Model\";s:12:\"01.1332.0624\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"875\";s:6:\"Length\";s:4:\"1620\";s:6:\"Weight\";s:3:\"680\";s:5:\"Width\";s:4:\"1220\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Old Town\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:6:\"Studio\";s:8:\"Old Town\";s:5:\"Title\";s:38:\"Old Town Side Saddle Canoe Motor Mount\";s:3:\"UPC\";s:12:\"759239166734\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239166734\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"12499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$124.99\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"9352\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$93.52\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B001NZV5KU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001NZV5KU\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"wKAUfQU4%2F9L%2B2GDs6aIBQ7BOwqp90qsxM3so0gBHrmZReLj65KL4F1ep9pwZ2jKF655vBqaUtne73eWYBs9MYwzfDqOWNPp9W1wk5teXgYpw9iBb%2B2FLYw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"12499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$124.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.00\";}s:15:\"PercentageSaved\";s:1:\"4\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001NZV5KU&atag=freetos-20&exp=2013-06-15T19%3A31%3A33Z&v=2&sig=EoCBR3KP2UJP4yiwKYDhh2pbo5%2BJNJ8gUYFaPdJdY0c%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:344:\"The sidesaddle electric motor mount moves the motor away from the side of the canoe making it more comfortable to operate the motor while looking forward. Installation and removal are quick and easy. The cast aluminum bracket won\'t rust and the hardwood block gives a sure mounting surface for electric motors. DOES NOT FIT WOOD TRIMMED CANOES.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1534:\"<table align=\"right\" cellpadding=\"10\" width=\"350\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"228\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B001NZV5KU.jpg\" width=\"350\" /><br /><br /><small><em><strong>The mount allows you to affix a gas or electric motor to any Old Town canoe for left- or right-handed operation.</strong></em></small></td> </tr> </tbody></table> The Old Town Standard Motor Mount allows you to affix a gas or electric motor to any Old Town canoe for added power and versatility. This mount moves the motor away from the side of the canoe, making it more comfortable to operate while looking forward. A heavy-duty, rust-free aluminum bracket can hold engines up to three horsepower. <p> Installation and removal are quick and easy, and the hardwood block provides a sure mounting surface for electric motors. The mount can be adjusted for left- or right-handed operation. Note it will not fit wood-trimmed canoes. <p> <b>About Old Town</b><br> Old Town has a long tradition of innovative technology, dating back to 1898, when the company built its first wood-and-canvas canoe, based on a Native American birch bark design. In 1940, the company rendered the traditional seal-skin kayak design in more durable wood-and-canvas, and later introduced lightweight fiberglass models in the \'50s. <p> Today, Old Town continually strives to advance the art of paddling through design improvements and lighter, more durable materials, such as three-layer polyethylene and Superlinear technologies.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3094", "459", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3095", "459", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3096", "459", "asg_item_id", "B004RMFOQM");
INSERT INTO `wp_postmeta` VALUES("3097", "459", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004RMFOQM\";s:13:\"DetailPageURL\";s:200:\"http://www.amazon.com/Old-Town-Canoe-Motor-Mount/dp/B004RMFOQM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004RMFOQM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:210:\"http://www.amazon.com/Old-Town-Canoe-Motor-Mount/dp/tech-data/B004RMFOQM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFOQM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004RMFOQM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFOQM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004RMFOQM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFOQM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004RMFOQM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFOQM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004RMFOQM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFOQM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004RMFOQM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFOQM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004RMFOQM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFOQM\";}}}s:9:\"SalesRank\";s:5:\"59858\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL._SL75_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL._SL160_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL.jpg\";s:6:\"Height\";s:3:\"131\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL._SL30_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL._SL75_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL._SL75_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL._SL110_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL._SL160_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21g7aHDaFuL.jpg\";s:6:\"Height\";s:3:\"131\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:19:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Old Town\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.1331.1410\";}s:3:\"EAN\";s:13:\"0759239109281\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239109281\";}s:7:\"Feature\";a:5:{i:0;s:84:\"Standard Motor Mount allows you to affix gas or electric motor to any Old Town canoe\";i:1;s:46:\"Enjoy added power and versatility on the water\";i:2;s:67:\"Heavy-duty aluminum bracket can hold engines up to three horsepower\";i:3;s:25:\"Attaches without wrenches\";i:4;s:73:\"Simply hand-tighten to the gunwales of your canoe for a sure, sturdy grip\";}s:5:\"Label\";s:8:\"Old Town\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"14499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$144.99\";}s:12:\"Manufacturer\";s:8:\"Old Town\";s:5:\"Model\";s:12:\"01.1331.1410\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"375\";s:6:\"Length\";s:4:\"3175\";s:6:\"Weight\";s:3:\"645\";s:5:\"Width\";s:4:\"1500\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Old Town\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:6:\"Studio\";s:8:\"Old Town\";s:5:\"Title\";s:26:\"Old Town Canoe Motor Mount\";s:3:\"UPC\";s:12:\"759239109281\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239109281\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"10620\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$106.20\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004RMFOQM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMFOQM\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"hty9YuEd8dl913xu7ZrYL4bwHPVg85%2FObILqBnv%2BggIKKT0rS7L635bYzdhud8PeVZnkwjMeI4Ocas2tQelGQaT1l9TVpDMevqFQCcDdyFx9DRYhJ1icng%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"10620\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$106.20\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3879\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$38.79\";}s:15:\"PercentageSaved\";s:2:\"27\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004RMFOQM&atag=freetos-20&exp=2013-06-15T19%3A31%3A31Z&v=2&sig=7xTm5xnSHhlKjzxl46yWZmmxalhQyZvUo1NweyJvZhs%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:342:\"The Old Town Motor Mount gives any Old Town Canoe the versatility you need in today\'s world. You don\'t always have the time to paddle to that great fishing spot, so now with a little help you can get there faster and be ready to fish without delay. The standard motor mount allows you to attach a gas or electric motor directly to your canoe.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1252:\"<table align=\"right\" cellpadding=\"10\" width=\"350\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"228\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B004RMFOQM.jpg\" width=\"350\" /><br /><br /><small><em><strong>The mount allows you to affix a gas or electric motor to any Old Town canoe.</strong></em></small></td> </tr> </tbody></table> The Old Town Standard Motor Mount allows you to affix a gas or electric motor to any Old Town canoe for added power and versatility. A heavy-duty aluminum bracket can hold engines up to three horsepower, and the mount attaches without wrenches�simply hand-tighten to the gunwales of your canoe for a sure, sturdy grip. <p> <b>About Old Town</b><br> Old Town has a long tradition of innovative technology, dating back to 1898, when the company built its first wood-and-canvas canoe, based on a Native American birch bark design. In 1940, the company rendered the traditional seal-skin kayak design in more durable wood-and-canvas, and later introduced lightweight fiberglass models in the \'50s. <p> Today, Old Town continually strives to advance the art of paddling through design improvements and lighter, more durable materials, such as three-layer polyethylene and Superlinear technologies.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3088", "458", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00CSUH6PC\";}");
INSERT INTO `wp_postmeta` VALUES("3089", "458", "asg_star_rating", "4.1");
INSERT INTO `wp_postmeta` VALUES("3090", "458", "asg_last_refresh_attempt", "1371238291");
INSERT INTO `wp_postmeta` VALUES("3091", "458", "asg_update_timestamp", "1371238291");
INSERT INTO `wp_postmeta` VALUES("3060", "455", "asg_update_timestamp", "1371238285");
INSERT INTO `wp_postmeta` VALUES("3057", "455", "asg_product_details", "a:7:{s:11:\"Item Weight\";s:8:\"2 pounds\";s:15:\"Shipping Weight\";s:8:\"4 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004RMGKWY\";s:17:\"Item model number\";s:12:\"01.1332.2909\";}");
INSERT INTO `wp_postmeta` VALUES("3058", "455", "asg_star_rating", "4.9");
INSERT INTO `wp_postmeta` VALUES("3059", "455", "asg_last_refresh_attempt", "1371238285");
INSERT INTO `wp_postmeta` VALUES("3049", "454", "asg_last_refresh_attempt", "1371238283");
INSERT INTO `wp_postmeta` VALUES("3050", "454", "asg_update_timestamp", "1371238283");
INSERT INTO `wp_postmeta` VALUES("3053", "455", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3054", "455", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3055", "455", "asg_item_id", "B004RMGKWY");
INSERT INTO `wp_postmeta` VALUES("3056", "455", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004RMGKWY\";s:13:\"DetailPageURL\";s:217:\"http://www.amazon.com/Carlisle-Outfitter-Aluminum-Rafting-66-Inch/dp/B004RMGKWY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004RMGKWY\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:227:\"http://www.amazon.com/Carlisle-Outfitter-Aluminum-Rafting-66-Inch/dp/tech-data/B004RMGKWY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMGKWY\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004RMGKWY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMGKWY\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004RMGKWY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMGKWY\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004RMGKWY%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMGKWY\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004RMGKWY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMGKWY\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004RMGKWY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMGKWY\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004RMGKWY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMGKWY\";}}}s:9:\"SalesRank\";s:6:\"153218\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31h3Qi4KleL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Carlisle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.1332.2909\";}s:5:\"Color\";s:11:\"Yellow/Blue\";s:3:\"EAN\";s:13:\"0759239195680\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239195680\";}s:7:\"Feature\";a:5:{i:0;s:29:\"Reinforced Polyethylene Blade\";i:1;s:36:\"Blade Size: 19 x 54.6cm, 7.5\"x 21.5\"\";i:2;s:48:\"High-Density Polyethylene Covered Aluminum Shaft\";i:3;s:22:\"Shaft: 1-1/8\" diameter\";i:4;s:21:\"Weight: 38 oz. at 60\"\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"200\";}s:5:\"Label\";s:8:\"Carlisle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.99\";}s:12:\"Manufacturer\";s:8:\"Carlisle\";s:5:\"Model\";s:12:\"01.1332.2909\";s:3:\"MPN\";s:10:\"0113322909\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"325\";s:6:\"Length\";s:4:\"6700\";s:6:\"Weight\";s:3:\"405\";s:5:\"Width\";s:3:\"950\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"0113322909\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:4:\"Size\";s:7:\"66-Inch\";s:3:\"SKU\";s:13:\"CAR0113322909\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:96:\"Carlisle Outfitter Poly Clad Aluminum Canoe or Rafting Paddle with T-Grip (Yellow/Blue, 66-Inch)\";s:3:\"UPC\";s:12:\"759239195680\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239195680\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2588\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$25.88\";}s:8:\"TotalNew\";s:2:\"14\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004RMGKWY%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMGKWY\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"6i5mfae%2FxL2fpuKaQRCx4oTLr%2FiV27InetfmdMbOZGtPTsV4dflZ49TKRI8AI49l%2BEtjpH5urK%2FZJWIxidYNptEg0SfGCbuQLQiqrwyKv1FGRFS0xQt6Zg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3740\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$37.40\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"259\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.59\";}s:15:\"PercentageSaved\";s:1:\"6\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004RMGKWY&atag=freetos-20&exp=2013-06-15T19%3A31%3A23Z&v=2&sig=9ixQ4y3cA8iFxwvYZaM648TVkSu1FWzFYDlotdXEnto%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:406:\"The Carlisle Outfitter Raft Paddle is built to take the abuses of the river. The Carlisle Raft Paddle is favored by commercial outfitters for its high strength-to-weight ratio, this 7.5\" x 21.5\" reinforced blade is fitted with a 1-1/8\" aluminum shaft. The shaft is covered with high-density polyethylene to provide a grip that resists nicks, dents and oxidation, and gives a warmer feel than bare aluminum.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2999", "449", "asg_last_refresh_attempt", "1371235765");
INSERT INTO `wp_postmeta` VALUES("3000", "449", "asg_update_timestamp", "1371235765");
INSERT INTO `wp_postmeta` VALUES("3001", "450", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3002", "450", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3003", "450", "asg_item_id", "B003UTX4OM");
INSERT INTO `wp_postmeta` VALUES("3004", "450", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B003UTX4OM\";s:10:\"ParentASIN\";s:10:\"B003UTX4OM\";s:13:\"DetailPageURL\";s:225:\"http://www.amazon.com/Ocean-Kayak-11-Feet-Stand-Up-Sit-On-Top-Paddleboard/dp/B003UTX4OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003UTX4OM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:235:\"http://www.amazon.com/Ocean-Kayak-11-Feet-Stand-Up-Sit-On-Top-Paddleboard/dp/tech-data/B003UTX4OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003UTX4OM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003UTX4OM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003UTX4OM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003UTX4OM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003UTX4OM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003UTX4OM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003UTX4OM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003UTX4OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003UTX4OM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003UTX4OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003UTX4OM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003UTX4OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003UTX4OM\";}}}s:9:\"SalesRank\";s:5:\"69958\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51lctlYAECL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:5:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51lctlYAECL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41J3DSr9r6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41J3DSr9r6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41J3DSr9r6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41J3DSr9r6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41J3DSr9r6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41J3DSr9r6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41V3xj4MnUL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41V3xj4MnUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41V3xj4MnUL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41V3xj4MnUL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41V3xj4MnUL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41V3xj4MnUL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51hXGCN0QCL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51hXGCN0QCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51hXGCN0QCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51hXGCN0QCL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51hXGCN0QCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51hXGCN0QCL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51lctlYAECL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51lctlYAECL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:17:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:4:\"0-TP\";}s:7:\"Feature\";a:5:{i:0;s:48:\"HYBRID: A Sit-on-top you can stand-up and paddle\";i:1;s:92:\"Hull: Wave-piercing displacement style bow, broad planning hull with integral tri-fin design\";i:2;s:133:\"Storage:  Stern deck bungee allows for storage of accessory kayak paddle blade to convert Carlisle Taboo SUP paddle to a kayak paddle\";i:3;s:114:\"Foot well: Padded flat bottomed foot wells offer comfortable and secure foot placement while SUP or kayak paddling\";i:4;s:122:\"Transport: Two side-mounted carry handles help transport the boat/board and also aid with climbing on board from the water\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"59900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.00\";}s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:4:\"0-TP\";s:3:\"MPN\";s:4:\"0-TP\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"2500\";s:5:\"Width\";s:4:\"1500\";}s:10:\"PartNumber\";s:4:\"0-TP\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:63:\"Ocean Kayak 11-Feet Nalu Hybrid Stand-Up-Sit-On-Top Paddleboard\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"59995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"2\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:2:{i:0;a:8:{s:4:\"ASIN\";s:10:\"B003UU4O86\";s:10:\"ParentASIN\";s:10:\"B003UTX4OM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41%2BaXvKd2VL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"07.6490.6011\";}s:5:\"Color\";s:7:\"Sunrise\";s:10:\"Department\";s:15:\"Stand-Up Paddle\";s:3:\"EAN\";s:13:\"0785978055701\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0785978055701\";}s:7:\"Feature\";a:6:{i:0;s:90:\"Hybrid a sit-on-top you can stand-up and paddle. An SUP you can sit down and kayak paddle.\";i:1;s:92:\"Hull wave-piercing displacement style bow, broad planning hull with integral tri-fin design.\";i:2;s:132:\"Storage stern deck bungee allows for storage of accessory kayak paddle blade to convert carlisle taboo SUP paddle to a kayak paddle.\";i:3;s:113:\"Foot well padded flat bottomed footwells offer comfortable and secure foot placement while SUP or kayak paddling.\";i:4;s:122:\"Transport two side-mounted carry handles help transport the boat/board and also aid with climbing on board from the water.\";i:5;s:39:\"Can also store other convenience items.\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:12:\"07.6490.6011\";s:3:\"MPN\";s:12:\"07.6490.6011\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:5:\"13200\";s:6:\"Weight\";s:4:\"4000\";s:5:\"Width\";s:4:\"3100\";}s:10:\"PartNumber\";s:12:\"07.6490.6011\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:7:\"11-Feet\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:81:\"Ocean Kayak Nalu Hybrid Stand-Up-Paddleboard Sit-On-Top Kayak (11-Feet / Sunrise)\";s:3:\"UPC\";s:12:\"785978055701\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"785978055701\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:7:\"Sunrise\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"11-Feet\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B003UU4O9A\";s:10:\"ParentASIN\";s:10:\"B003UTX4OM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418XEcm1RGL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"07.6490.1011\";}s:5:\"Color\";s:6:\"Yellow\";s:10:\"Department\";s:15:\"Stand-Up Paddle\";s:3:\"EAN\";s:13:\"0785978055725\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0785978055725\";}s:7:\"Feature\";a:5:{i:0;s:48:\"HYBRID: A Sit-on-top you can stand-up and paddle\";i:1;s:92:\"Hull: Wave-piercing displacement style bow, broad planning hull with integral tri-fin design\";i:2;s:132:\"Storage: Stern deck bungee allows for storage of accessory kayak paddle blade to convert Carlisle Taboo SUP paddle to a kayak paddle\";i:3;s:114:\"Foot well: Padded flat bottomed foot wells offer comfortable and secure foot placement while SUP or kayak paddling\";i:4;s:122:\"Transport: Two side-mounted carry handles help transport the boat/board and also aid with climbing on board from the water\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:12:\"07.6490.1011\";s:3:\"MPN\";s:12:\"07.6490.1011\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:5:\"14400\";s:6:\"Weight\";s:4:\"7500\";s:5:\"Width\";s:4:\"3600\";}s:10:\"PartNumber\";s:12:\"07.6490.1011\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:7:\"11-Feet\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:80:\"Ocean Kayak Nalu Hybrid Stand-Up-Paddleboard Sit-On-Top Kayak (11-Feet / Yellow)\";s:3:\"UPC\";s:12:\"785978055725\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"785978055725\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:6:\"Yellow\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"11-Feet\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:134:\"QwXeE86rmk%2FMZ%2FVmUcKCnobJVp8PPLUxctT6mcNJbFSYYw%2FE9XOTfPO%2BlIZn11It36yz7ZykUZgoi%2FX245ASxE7KPWQy8VlMl7qvyNYBVEnyOZM5PqqlzA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003UTX4OM&atag=freetos-20&exp=2013-06-15T18%3A49%3A25Z&v=2&sig=d8dysF4RZHDloubrlNc1eMG%2FN0y3%2Fd9O9ZsBCY0lvic%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:573:\"A sit-on-top you can stand up and paddle! The Ocean Kayak Nalu paddle board is a stable platform for any beginning to intermediate paddler or paddle boarder.  Perfect in flat water or moderate surf, the Nalu delivers a different kind of fun on the water. <br><br><b>FEATURES:</b> Hybrid molded-in seating area, Storage bungee, Two carrying handles, Comfortable foot wells, Molded-in integral fins<br><br><b>SEATING:</b> Seats one<br><br><b>SPECIFICATIONS:</b> LENGTH 11\' / 3.3 m, WIDTH 31-Inch / 78.7 cm, WEIGHT 40 lbs / 18.1 kg, MAX CAPACITY 225-275 lbs / 102.1 - 124.7 kg\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2583:\"A sit-on-top kayak that lets you stand up and paddle, the Ocean Kayak Nalu hybrid paddle board delivers a different kind of fun on the water. With the Nalu, paddlers can sit in the hybrid molded-in seating area and paddle just like in a traditional sit-on-top kayak. However, they can also use the Nalu like a stand-up canoe, giving them an entirely different perspective. The dual-use design--which is stable in both flat water and moderate surf--makes the kayak an ideal choice for beginning to intermediate paddlers and paddle boarders. <p> <table align=right width=300 cellpadding=10> <tr><td><img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B003UTX4OM-1.jpg\" border=0 align=top><br><br><small><i><b>The Nalu\'s hybrid design lets you stand up and paddle as an alternative to sitting.</b></i></small></td></tr></table> The kayak is made of medium-density polyethylene, a virtually indestructible material that\'s somewhat flexible (so it doesn\'t crack), but also maintains its stiffness thanks to Ocean Kayak\'s compound curves. The materials are complemented by a California-form tri-hull design, which includes a long center keel area that encourages boats to track straight when paddling and coasting. The result? A kayak that steers well and is easy to control on the waves regardless of whether you\'re just starting out or are an experienced paddler. The kayak\'s unique sit-on-top design, meanwhile, allows you to enter and exit the kayak easily from the shore, dock, or water. In a sit-on-top kayak, you can safely enjoy all the pleasures of kayaking without having to learn difficult self-rescue maneuvers. <p> Other details include comfortable foot wells to keep you stable, molded-in integral fins, a pair of carrying handles for easy transport, and an on-deck storage bungee. The Nalu is available in sunrise, yellow, and lime colors. <p> <b>Specifications:</b><ul> <li>Length: 11 feet <li>Width: 31 inches <li>Weight: 40 pounds <li>Max capacity: 225 to 275 pounds </ul><p> <b>About Ocean Kayak</b><br> Ocean Kayak is part of the Johnson Outdoors family of innovative, market-leading brands. The company designs, manufactures, and markets a portfolio of top-quality products for the global marketplace across four categories: watercraft, marine electronics, diving, and outdoor equipment. Johnson Outdoors\' familiar brands include Ocean Kayak, Necky kayaks, Old Town canoes and kayaks, Extrasport, Lendal paddles, Carlisle paddle gear, Minn Kota motors, Cannon downriggers, Humminbird fish finders, Scubapro and UWATEC dive equipment, and Eureka tents.<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2996", "449", "asg_product_details", "a:4:{s:15:\"Shipping Weight\";s:10:\"1.6 ounces\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:4:\"ASIN\";s:10:\"B00BNTZG1A\";s:17:\"Item model number\";s:7:\"SL76674\";}");
INSERT INTO `wp_postmeta` VALUES("2997", "449", "asg_star_rating", "1");
INSERT INTO `wp_postmeta` VALUES("2998", "449", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:17:\"Very Good Product\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"June 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1SA6ZRMBR7XZT\";s:4:\"name\";s:3:\"DLR\";s:7:\"address\";s:15:\"Coastal Florida\";}s:4:\"text\";s:934:\"Huh?<br /><br />These are good quality soft plastic drip rings. I give the product FIVE STARS. Then why a &#34;one star rating&#34;?<br /><br />Shoreline does not know the diameter of paddle shaft it will fit. I mean, if Shoreline knew the size of paddle shaft it would fit, the &#34;Product Description&#34; would list it, right? At least, the packaging would list the size, right? NO on both counts!<br /><br />Sorry, I can\'t tell you the diameter of the opening either.<br /><br />I thought they would fit my paddle shaft, but they are way too small. Now, I have to waste time sending these back, and finding others that work. This is a constant, ongoing problem, for which I primarily blame AMAZON. Amazon could easily require their suppliers to list ALL pertinent data, so their customers would be happy THE FIRST TIME THEY BUY, and avoid what I\'m doing right now. Amazon, you\'ve gotten so big, you no longer hear your customers.\";}}");
INSERT INTO `wp_postmeta` VALUES("2978", "447", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:30:\"24 x 17 x 7 inches ; 45 pounds\";s:15:\"Shipping Weight\";s:11:\"52.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001ASTHJG\";s:17:\"Item model number\";s:8:\"SE370K_D\";}");
INSERT INTO `wp_postmeta` VALUES("2928", "441", "asg_last_refresh_attempt", "1371235747");
INSERT INTO `wp_postmeta` VALUES("2929", "441", "asg_update_timestamp", "1371235747");
INSERT INTO `wp_postmeta` VALUES("2930", "442", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2931", "442", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2932", "442", "asg_item_id", "B007FOWQ4M");
INSERT INTO `wp_postmeta` VALUES("2933", "442", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B007FOWQ4M\";s:13:\"DetailPageURL\";s:212:\"http://www.amazon.com/Pelican-KOS06P302-00-Solo-Kayak-Yellow/dp/B007FOWQ4M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB007FOWQ4M\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:222:\"http://www.amazon.com/Pelican-KOS06P302-00-Solo-Kayak-Yellow/dp/tech-data/B007FOWQ4M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FOWQ4M\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB007FOWQ4M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FOWQ4M\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB007FOWQ4M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FOWQ4M\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB007FOWQ4M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FOWQ4M\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B007FOWQ4M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FOWQ4M\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B007FOWQ4M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FOWQ4M\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B007FOWQ4M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FOWQ4M\";}}}s:9:\"SalesRank\";s:5:\"53019\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/31w%2BaBIH%2BpL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311QFXEk0PL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311QFXEk0PL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/311QFXEk0PL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/311QFXEk0PL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/311QFXEk0PL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/311QFXEk0PL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31hLX3VXokL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31hLX3VXokL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31hLX3VXokL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31hLX3VXokL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31hLX3VXokL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31hLX3VXokL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Pelican\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:7:\"1375681\";i:1;s:12:\"KOS06P302-00\";}}s:5:\"Color\";s:6:\"Yellow\";s:3:\"EAN\";s:13:\"0776324522114\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0776324522114\";}s:7:\"Feature\";a:5:{i:0;s:26:\"Adjustable padded backrest\";i:1;s:16:\"Molded footrests\";i:2;s:28:\"Security flag, Junior paddle\";i:3;s:42:\"Self-bailing design, Side Carrying handles\";i:4;s:30:\"Swim-up rear deck with handles\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:4:\"7200\";s:6:\"Weight\";s:4:\"2000\";s:5:\"Width\";s:4:\"1550\";}s:5:\"Label\";s:7:\"Pelican\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"17999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$179.99\";}s:12:\"Manufacturer\";s:7:\"Pelican\";s:5:\"Model\";s:12:\"KOS06P302-00\";s:3:\"MPN\";s:12:\"KOS06P302-00\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"700\";s:6:\"Length\";s:4:\"7200\";s:6:\"Weight\";s:4:\"2800\";s:5:\"Width\";s:4:\"2600\";}s:10:\"PartNumber\";s:12:\"KOS06P302-00\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:11:\"ABIS_SPORTS\";s:9:\"Publisher\";s:7:\"Pelican\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:18:\"ZZX3*0220060000000\";s:6:\"Studio\";s:7:\"Pelican\";s:5:\"Title\";s:26:\"Pelican Solo Kayak, Yellow\";s:3:\"UPC\";s:12:\"776324522114\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"776324522114\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"17862\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$178.62\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B007FOWQ4M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007FOWQ4M\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:130:\"ggbqv1NKTfBDFsQj%2FDrhfK%2FFXedYkwKtg23nqHAtUhDDvYNPcoha2mD%2BsvFLu4F7QAfECTwGYegejZkPsgJ1DloDC8oUl8I4WFQoxeIweTkueqEtMuHmJQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"17999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$179.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B007FOWQ4M&atag=freetos-20&exp=2013-06-15T18%3A49%3A07Z&v=2&sig=4KMjd9VuXpP5PscIBjHv81hWNoCFQiichwqgdsv0vOw%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:216:\"Pelican\'s 6-foot Solo is a highly functional sit-on-top kayak that is simply scaled down in size to suit smaller paddlers. Superior stability means more confidence for kids; open cockpit means less worry for parents.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2934", "442", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:33:\"72 x 15.5 x 24 inches ; 20 pounds\";s:15:\"Shipping Weight\";s:11:\"28.8 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B007FOWQ4M\";s:17:\"Item model number\";s:12:\"KOS06P302-00\";}");
INSERT INTO `wp_postmeta` VALUES("2935", "442", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("2936", "442", "asg_last_refresh_attempt", "1371235749");
INSERT INTO `wp_postmeta` VALUES("2937", "442", "asg_update_timestamp", "1371235749");
INSERT INTO `wp_postmeta` VALUES("2938", "443", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2939", "443", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2940", "443", "asg_item_id", "B004450CQO");
INSERT INTO `wp_postmeta` VALUES("2941", "443", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004450CQO\";s:10:\"ParentASIN\";s:10:\"B004450CQO\";s:13:\"DetailPageURL\";s:200:\"http://www.amazon.com/Lasso-Kayak-Security-Cable/dp/B004450CQO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004450CQO\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:210:\"http://www.amazon.com/Lasso-Kayak-Security-Cable/dp/tech-data/B004450CQO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004450CQO\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004450CQO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004450CQO\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004450CQO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004450CQO\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004450CQO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004450CQO\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004450CQO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004450CQO\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004450CQO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004450CQO\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004450CQO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004450CQO\";}}}s:9:\"SalesRank\";s:5:\"19040\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/416hbNxAghL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/416hbNxAghL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:5:\"Lasso\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"802328\";}s:7:\"Feature\";a:3:{i:0;s:19:\"High Impact Plastic\";i:1;s:18:\"Vinyl Coated Cable\";i:2;s:31:\"You Set the 4-Digit Combination\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"300\";}s:5:\"Label\";s:5:\"Lasso\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4895\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$48.95\";}s:12:\"Manufacturer\";s:5:\"Lasso\";s:3:\"MPN\";s:6:\"559000\";s:13:\"NumberOfItems\";s:1:\"1\";s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"559000\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Lasso\";s:3:\"SKU\";s:10:\"559000B-St\";s:6:\"Studio\";s:5:\"Lasso\";s:5:\"Title\";s:26:\"Lasso Kayak Security Cable\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:3:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"3699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$36.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"9169\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$91.69\";}s:16:\"HighestSalePrice\";a:3:{s:6:\"Amount\";s:4:\"6792\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$67.92\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"4\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Style\";}s:4:\"Item\";a:4:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B001OPF4CY\";s:10:\"ParentASIN\";s:10:\"B004450CQO\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Harmony\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"8023288\";}s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0665723110001\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:3:{i:0;s:13:\"0665723110001\";i:1;s:13:\"0729282010346\";i:2;s:13:\"0729282035011\";}}s:7:\"Feature\";a:5:{i:0;s:55:\"Secures your whole kayak or canoe; not just a grab loop\";i:1;s:35:\"Choose your own 4-digit combination\";i:2;s:39:\"Vinyl coated cable to prevent corrosion\";i:3;s:39:\"High impact plastic prevents scratching\";i:4;s:19:\"Stuff sack included\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"300\";}s:5:\"Label\";s:7:\"Harmony\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:7:\"Harmony\";s:5:\"Model\";s:7:\"8023288\";s:3:\"MPN\";s:6:\"559000\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"1150\";s:6:\"Weight\";s:3:\"300\";s:5:\"Width\";s:3:\"900\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"559000\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Harmony\";s:11:\"ReleaseDate\";s:10:\"2010-09-15\";s:4:\"Size\";s:14:\"Touring Kayaks\";s:3:\"SKU\";s:8:\"559000~B\";s:6:\"Studio\";s:7:\"Harmony\";s:5:\"Title\";s:47:\"Harmony Lasso Security Cable for Touring Kayaks\";s:3:\"UPC\";s:12:\"665723110001\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:3:{i:0;s:12:\"665723110001\";i:1;s:12:\"729282010346\";i:2;s:12:\"729282035011\";}}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Style\";s:5:\"Value\";s:8:\"Original\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:16:\"Outdoor Shopping\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:172:\"btejQxYjNLeyfiPqgOLuY3ALc13KXVChk6ZmtmnyWYfBgBrXZtwfdDzflNVfE6dUAB%2FpnutuOnfybrBdIj%2Fz3rmypxTKaaYXb0mHlz3k11IwxtDmklsmQqWIrkdAK6t%2Fj%2Bm%2BuTOAEOp4xRbYChwG%2BhOugwEm0MY8\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4586\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$45.86\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"413\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.13\";}s:15:\"PercentageSaved\";s:1:\"8\";s:12:\"Availability\";s:34:\"Usually ships in 2-3 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"48\";s:12:\"MaximumHours\";s:2:\"72\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B003BAKABA\";s:10:\"ParentASIN\";s:10:\"B004450CQO\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/416hbNxAghL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416hbNxAghL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/416hbNxAghL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Harmony\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"8023287\";}s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0729282010353\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0729282010353\";i:1;s:13:\"0729282035028\";}}s:7:\"Feature\";a:5:{i:0;s:55:\"Secures your whole kayak or canoe; not just a grab loop\";i:1;s:35:\"Choose your own 4-digit combination\";i:2;s:39:\"Vinyl coated cable to prevent corrosion\";i:3;s:39:\"High impact plastic prevents scratching\";i:4;s:19:\"Stuff sack included\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"300\";}s:5:\"Label\";s:7:\"Harmony\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:7:\"Harmony\";s:5:\"Model\";s:7:\"8023287\";s:3:\"MPN\";s:7:\"8023287\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"350\";s:6:\"Length\";s:4:\"1100\";s:6:\"Weight\";s:3:\"300\";s:5:\"Width\";s:4:\"1100\";}s:10:\"PartNumber\";s:7:\"8023287\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Harmony\";s:11:\"ReleaseDate\";s:10:\"2010-09-15\";s:4:\"Size\";s:17:\"Sit-On-Top Kayaks\";s:6:\"Studio\";s:7:\"Harmony\";s:5:\"Title\";s:50:\"Harmony Lasso Security Cable for Sit-On-Top Kayaks\";s:3:\"UPC\";s:12:\"729282035028\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"729282035028\";i:1;s:12:\"729282010353\";}}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:1:{s:4:\"Name\";s:5:\"Style\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Outdoorplay\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:156:\"3zTfhkCUhOOCbNGSYx3XbNfoTnli1wIGRSe05oyt6HELTSWYhA2wirjUFKhtn6n3qizeWuC8FRissbJ2pFwy2roTVLeoV9E35DSnXKAm2t19EwW7ul8LrlyEWpePKl3rFuLPhwRjifTMR3PGOjTdXQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4894\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$48.94\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"105\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$1.05\";}s:15:\"PercentageSaved\";s:1:\"2\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B002J91RS4\";s:10:\"ParentASIN\";s:10:\"B004450CQO\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41WHw3hvCiL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}}}s:14:\"ItemAttributes\";a:20:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:21:\"Lasso Security Cables\";s:3:\"EAN\";s:13:\"0665723510009\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0665723510009\";}s:7:\"Feature\";a:5:{i:0;s:28:\"Lasso Kong Cable Tour Kayak.\";i:1;s:21:\"Satisfaction Ensured.\";i:2;s:46:\"Manufactured to the Highest Quality Available.\";i:3;s:55:\"Design is stylish and innovative. Satisfaction Ensured.\";i:4;s:16:\"Great Gift Idea.\";}s:5:\"Label\";s:16:\"LIBERTY MOUNTAIN\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:16:\"LIBERTY MOUNTAIN\";s:3:\"MPN\";s:6:\"559002\";s:13:\"NumberOfItems\";s:1:\"1\";s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"559002\";s:12:\"ProductGroup\";s:12:\"Pet Products\";s:15:\"ProductTypeName\";s:12:\"PET_SUPPLIES\";s:9:\"Publisher\";s:16:\"LIBERTY MOUNTAIN\";s:3:\"SKU\";s:6:\"559002\";s:6:\"Studio\";s:16:\"LIBERTY MOUNTAIN\";s:5:\"Title\";s:39:\"Lasso Kong Cable Tour Kayak Lock System\";s:3:\"UPC\";s:12:\"665723510009\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"665723510009\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Style\";s:5:\"Value\";s:4:\"Kong\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:16:\"Outdoor Shopping\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:168:\"8NJDd7ZFDtFfIX1hy4FikSKXouwbcaID9N4R9M6PJzEEmDRtsMBAK0OpewCd5LStlSz4Lft%2Bd1ZJkGnX3hla%2FMWQC2yNKSZgpHI8JDHu5yyqlHgmTb%2F8V1e1cNstcUI3%2FJGPER9MjYwcSHoFAV6StWMLuhCG6YjS\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"6215\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$62.15\";}s:12:\"Availability\";s:34:\"Usually ships in 2-3 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"48\";s:12:\"MaximumHours\";s:2:\"72\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:3;a:9:{s:4:\"ASIN\";s:10:\"B0015GK0WQ\";s:10:\"ParentASIN\";s:10:\"B004450CQO\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/41%2BVMFu-%2BcL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41O6a-Zc7hL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41O6a-Zc7hL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41O6a-Zc7hL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41O6a-Zc7hL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41O6a-Zc7hL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41O6a-Zc7hL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51jJW0iJrNL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51jJW0iJrNL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51jJW0iJrNL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51jJW0iJrNL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51jJW0iJrNL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51jJW0iJrNL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}}}s:14:\"ItemAttributes\";a:21:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:5:\"Lasso\";s:3:\"EAN\";s:13:\"0665723510009\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0665723510009\";i:1;s:13:\"0665723120000\";}}s:7:\"Feature\";a:3:{i:0;s:32:\"Simple: Easy 2 Step Installation\";i:1;s:40:\"Quick: Secure or remove items in seconds\";i:2;s:43:\"Secure: Extremely Effective theft deterrent\";}s:5:\"Label\";s:5:\"Lasso\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4895\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$48.95\";}s:12:\"Manufacturer\";s:5:\"Lasso\";s:3:\"MPN\";s:6:\"559001\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"400\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"559001\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Lasso\";s:3:\"SKU\";s:6:\"559001\";s:6:\"Studio\";s:5:\"Lasso\";s:5:\"Title\";s:33:\"Lasso Kayak Security Cable Tandem\";s:3:\"UPC\";s:12:\"665723510009\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"665723510009\";i:1;s:12:\"665723120000\";}}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Style\";s:5:\"Value\";s:6:\"Tandem\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Wayfair\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"Hz6NqvMWjl8CsYyaoxMO09Os21uXviPJSGiN7ZsxTDowyPdHoVAfOptPlC3nof8zka08XMkr0aoAKkmGFwnpDBJFaC664VewdmoIctty1t%2B%2Be6FSjLTm0a9imR%2BHoVteHD%2BYoScdf%2B5x7rFJCNFzsom90AOfAG9h\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$36.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1196\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.96\";}s:15:\"PercentageSaved\";s:2:\"24\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004450CQO&atag=freetos-20&exp=2013-06-15T18%3A49%3A09Z&v=2&sig=XBue5JPjazDHWXrwozFvoBAduCwYImM0SwXT1MBZjAw%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:559:\"The Lasso Kayak Security Cable is the strongest anti-theft device available for your kayak! Made from 1/4 in. vinyl coated galvanized steel aircraft cable, this security device also features an integrated tamper proof lock. Resetable 4 number combination lock. The Tandem Kayak Cable has bigger loops than the original and is made specifically for Tandem, Sit-on-Tops Kayaks as well as Recreational Boats. The Kong features a cable that is twice as thick as the original, a bigger lock and can be opened with either a key or combination for added versatility.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2907", "439", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:9:\"60 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004RMFTU8\";s:17:\"Item model number\";s:9:\"01-DR-COL\";s:28:\"Discontinued by manufacturer\";s:3:\"Yes\";}");
INSERT INTO `wp_postmeta` VALUES("2908", "439", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("2909", "439", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:19:\"Old Town Dirigo 106\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AUSUVY7KDIBSU\";s:4:\"name\";s:9:\"JRomanArt\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:478:\"This kayak is awesome! Has everything I need and is extremely comfortable all around. I am only 5\'1\" so I figured there would be some sort of an adjustment for my shortness - but it was a perfect fit instantly. I am a novice kayaker so I was afraid of spending alot of money on something I was not familiar with - but this kayak is all it is cracked up to be and more. Very stable and tracks straight, easy to get in and out of and has plenty of hatches and bungees for storage.\";}i:1;a:5:{s:5:\"title\";s:24:\"great kayak; great value\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 26, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/AHX5Z4MA92OO\";s:4:\"name\";s:7:\"ncmarty\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:423:\"This is the 3rd Old Town Dirigo 106 kayak we have purchased. It is just a great recreational kayak for the price. Seat is comfortable and the adjustments are easy to make. The water tight compartment is roomy and the cup holders work well. The kayak glides easily in the water and not too heavy to lift and carry. As an Amazon Prime member, shipping was free, very prompt, and the kayak arrived in perfect condition. Enjoy!\";}i:2;a:5:{s:5:\"title\";s:14:\"First Old Town\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 15, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVY52HS40ER82\";s:4:\"name\";s:8:\"B. Peter\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:530:\"I just picked up this 106 last week and took her out for an 8-mile maiden voyage down the Mississippi with a group of friends. It\'s everything I could have hoped for in a kayak. It tracks wonderfully and is very stable. The locking compartment is extremely handy and does not let water in at all. The quality of the build material and construction is very ironclad. Although it is more expensive that many other kayaks in the same category, in the long run I believe the old adage \"you get what you pay for\" applies to this kayak.\";}i:3;a:5:{s:5:\"title\";s:11:\"Pretty good\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"January 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AMPL8ZYU9RDG5\";s:4:\"name\";s:10:\"D. Cornell\";s:7:\"address\";s:16:\"Gaithersburg, MD\";}s:4:\"text\";s:746:\"This is my second kayak. I\'m a recreational paddler (day trips). I did quite a bit of online research before choosing this kayak. The pro\'s are it is light weight, relativley inexpensive (as far as kayaks go), roomy, comfortable (did 1 six mile trip so far), and has lots of storage spots (love the dashboard thing). Also it tracks (goes straight) pretty well. The con\'s are that the thigh pads are really just sticky foam pads (like the inside of a bicycle helmet), and the paddle holder bungie just came off. I didn\'t even have a paddle in it, thank goodness. In other words, it seems a little cheap. Old Town customer service was nice and they have a replacement on the way. I like it ok but think I probably should have stuck with Perception.\";}i:4;a:5:{s:5:\"title\";s:13:\"Love my Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AHI1PY7MSVVJX\";s:4:\"name\";s:15:\"Martha Bouchard\";s:7:\"address\";s:16:\"Orrington, Maine\";}s:4:\"text\";s:277:\"I bought this kayak to replace the Vapor I had. It\'s great. Much more streamlined and faster in the water. Love the hatch covers. Much more watertight. And the little hatch cover in front is great for your little iterms (cell phone, keys, etc.)Great kayak for recreational use.\";}i:5;a:5:{s:5:\"title\";s:18:\"Great little kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1PCXZU5W8WJ3L\";s:4:\"name\";s:9:\"EvntHorzn\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:781:\"My husband and I each purchased this kayak (blue for me, red for him). We both love how comfortable the seat is and how nice this little guy cruises through the water. The rear lid seals nicely BUT the only piece separating the front area where you sit and this back area for gear is a piece of semi thick foam glued in but for the price I can\'t really complain - just wanted to let people know. The only other issue we had was the front bungee that holds the oar snapped off on my husband\'s but was easily fixed, mostly just inconvenient. We have had them about 4 months now and use them at least once a week cruising around the bay. I\'m 5\'4\" and 130lbs and my husband is 6\'0\" and about 175lbs. We are both comfortable with the foot adjustments and both feel balanced in the boat!\";}i:6;a:5:{s:5:\"title\";s:5:\"kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 18, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AFK5Z31AUVW5X\";s:4:\"name\";s:7:\"Patches\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:315:\"The kayak was delivered earlier than suggested delivery date, and that in itself was a pleasant surprise. It is easy to carry and store. The kayak performed nicely on Silver River. It was easy to maneuver and did not leak. We could transport it easily in the back of our truck which has a six and one-half foot bed.\";}i:7;a:5:{s:5:\"title\";s:34:\"Old Town Dirigo 106 product review\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3ILBASQHLEB05\";s:4:\"name\";s:6:\"SGibbs\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:777:\"I recently purchased the Old Town 106 and could not be happier! This is my first Kayak<br />but I have used others that were much cheaper and I\'m glad I chose this model. It has a<br />very solid body and the wall separating the rear hatch gives it structure while still<br />giving me room for a lunchbox behind the seat. The dashboard area with the cup-holder<br />and screw-top storage is extremely convenient. also, I found the seat to be quite<br />comfortable even after 4+ hours on the water. And while I only purchased the standard<br />Dirigo, and it does not come with a fishing rod holder, it does still have a flush rectangle<br />to the right of the dry-storage, making it easy to drill in a store bought mount.<br /> I would highly recommend this Kayak to anyone.\";}i:8;a:5:{s:5:\"title\";s:11:\"Comfy seat!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 22, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2DZ3Q7AG6MB6V\";s:4:\"name\";s:7:\"olddude\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:151:\"This is a nice little Kayak. Light weight and easy to paddle. At 6\'1&#34; The cockpit is a little tight for my long legs but it works well for my wife.\";}i:9;a:5:{s:5:\"title\";s:15:\"Best kayak ever\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2569KNKN5SEI1\";s:4:\"name\";s:2:\"Me\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:178:\"With this Old Town Dirigo kayak, I am able to pick up<br />speed. Now I\'am in front of the pack - I can say, this<br />is Fun now and not work. Great kayak - lots of room inside.\";}}");
INSERT INTO `wp_postmeta` VALUES("2910", "439", "asg_last_refresh_attempt", "1371235743");
INSERT INTO `wp_postmeta` VALUES("2911", "439", "asg_update_timestamp", "1371235743");
INSERT INTO `wp_postmeta` VALUES("2912", "440", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2913", "440", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2914", "440", "asg_item_id", "B004UOTZ80");
INSERT INTO `wp_postmeta` VALUES("2915", "440", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004UOTZ80\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Shoreline-Marine-Kayak-Paddle-84-Inch/dp/B004UOTZ80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004UOTZ80\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Shoreline-Marine-Kayak-Paddle-84-Inch/dp/tech-data/B004UOTZ80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTZ80\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004UOTZ80%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTZ80\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004UOTZ80%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTZ80\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004UOTZ80%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTZ80\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004UOTZ80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTZ80\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004UOTZ80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTZ80\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004UOTZ80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTZ80\";}}}s:9:\"SalesRank\";s:5:\"32795\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/217vvYllCCL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"2\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/217vvYllCCL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"2\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/217vvYllCCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/217vvYllCCL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"052245\";}s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0013893522450\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893522450\";}s:7:\"Feature\";a:4:{i:0;s:21:\"Three position system\";i:1;s:28:\"Two piece for easy transport\";i:2;s:14:\"Aluminum shaft\";i:3;s:18:\"Lightweight design\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$37.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:7:\"SL52245\";s:3:\"MPN\";s:8:\"052245~M\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"4400\";s:6:\"Weight\";s:3:\"195\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"052245~M\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:11:\"ReleaseDate\";s:10:\"2011-03-09\";s:3:\"SKU\";s:9:\"maur52245\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:50:\"Shoreline Marine Kayak Paddle Basic Blade, 84-Inch\";s:3:\"UPC\";s:12:\"013893522450\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893522450\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1978\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.78\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004UOTZ80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTZ80\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"A2Sn5VI2sybtTYs6P%2Biwi3e8r8FyDKFXduPXoFCnvs3gvvMD6GOlmBylw7NXoTiHyTvT%2FG1%2Fbxstro67dQM08iegCfQumzK6WKSEXGWYZW4kR65o%2B0VUYA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2746\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.46\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1053\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.53\";}s:15:\"PercentageSaved\";s:2:\"28\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004UOTZ80&atag=freetos-20&exp=2013-06-15T18%3A49%3A03Z&v=2&sig=RQGFL%2BgicWoUnpTBFiJYFps6EvakbrkBCaah0osr%2FPY%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:28:\"Kayak Paddle Basic Blade 84\"\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2916", "440", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:8:\"2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004UOTZ80\";s:17:\"Item model number\";s:7:\"SL52245\";}");
INSERT INTO `wp_postmeta` VALUES("2917", "440", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("2918", "440", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:25:\"Great Paddle, Great Price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 24, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A2UCDLO7V7DG6\";s:4:\"name\";s:12:\"Rusty Spoons\";s:7:\"address\";s:17:\"North Jersey, USA\";}s:4:\"text\";s:551:\"When I purchased my kayak, the shop threw in a paddle with the boat itself. Though it worked, it lacked padding,<br />as well as splash guards (both of which at on this item). When I went to shop for paddles in the retail shops,<br />the most comparable one to this was $73. When I bough this, here on Amazon, it was just under $30.<br />So, since it was literally two for less than the price of one, I order two (one for me, one for the girlfriend).<br />We used them the remainder of last season, and love them. Highly recommended.<br /><br />~Rusty\";}i:1;a:5:{s:5:\"title\";s:24:\"You get what you pay for\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"June 2, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3FP1ZFEXKEKUI\";s:4:\"name\";s:11:\"daniel wean\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:357:\"I buy this cheaper paddle for my wife\'s kayak every time. She takes it much easier so they tend to last. They can stand up to hard use( water splashing wars, extreme paddling, or risky rock manuevers) for only so long. They are the hardest thing to recieve undamaged from the warehouse that I have ever recieved. Have sent numerous back for shipping damage.\";}i:2;a:5:{s:5:\"title\";s:12:\"Good enough!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"January 8, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A19NBXXE81E10J\";s:4:\"name\";s:9:\"JON \"JON\"\";s:7:\"address\";s:7:\"Florida\";}s:4:\"text\";s:235:\"Bought this as a company gift along with an inflatable kayak. I\'m sure it isn\'t professional grade but it appears to be sturdy and well constructed. The winner was very happy that they can now get out into the water to do some fishing.\";}}");
INSERT INTO `wp_postmeta` VALUES("2919", "440", "asg_last_refresh_attempt", "1371235745");
INSERT INTO `wp_postmeta` VALUES("2920", "440", "asg_update_timestamp", "1371235745");
INSERT INTO `wp_postmeta` VALUES("2921", "441", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2922", "441", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2923", "441", "asg_item_id", "B00CZ9AM0W");
INSERT INTO `wp_postmeta` VALUES("2924", "441", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00CZ9AM0W\";s:10:\"ParentASIN\";s:10:\"B00CZ9AM0W\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Advanced-Elements-Lagoon-1-Kayak/dp/B00CZ9AM0W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00CZ9AM0W\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Advanced-Elements-Lagoon-1-Kayak/dp/tech-data/B00CZ9AM0W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AM0W\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00CZ9AM0W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AM0W\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00CZ9AM0W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AM0W\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00CZ9AM0W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AM0W\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00CZ9AM0W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AM0W\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00CZ9AM0W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AM0W\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CZ9AM0W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AM0W\";}}}s:9:\"SalesRank\";s:5:\"82169\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K6d4nraML._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K6d4nraML._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41K6d4nraML.jpg\";s:6:\"Height\";s:3:\"475\";s:5:\"Width\";s:3:\"475\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K6d4nraML._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K6d4nraML._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K6d4nraML._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K6d4nraML._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K6d4nraML._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41K6d4nraML.jpg\";s:6:\"Height\";s:3:\"475\";s:5:\"Width\";s:3:\"475\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11A0DV7p6GL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11A0DV7p6GL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11A0DV7p6GL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11A0DV7p6GL._SL110_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:2:\"80\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11A0DV7p6GL._SL160_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:2:\"80\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11A0DV7p6GL.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:2:\"80\";}}}}s:14:\"ItemAttributes\";a:9:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:5:\"Label\";s:17:\"Advanced Elements\";s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:32:\"Advanced Elements Lagoon 1 Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"31999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$319.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"35999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$359.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B001Q3L6YO\";s:10:\"ParentASIN\";s:10:\"B00CZ9AM0W\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/411d%2B4b2z7L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"AE1031-0\";}s:5:\"Color\";s:9:\"Gold/Gray\";s:3:\"EAN\";s:13:\"0832994000632\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0832994000632\";}s:7:\"Feature\";a:5:{i:0;s:69:\"Single-person inflatable kayak for lakes, mild rivers, bays, and more\";i:1;s:62:\"Built-in rigid panels on the bow and stern to improve tracking\";i:2;s:67:\"Quick-inflating Twistlok and high-flow Spring valves for easy setup\";i:3;s:72:\"Padded high-support seat; molded rubber-grip handles; bungee deck lacing\";i:4;s:73:\"250-pound weight capacity; measures 8 feet 4 inches long; 1-year warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"2500\";s:5:\"Width\";s:4:\"1500\";}s:5:\"Label\";s:17:\"Advanced Elements\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"35899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$358.99\";}s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:5:\"Model\";s:8:\"AE1031-0\";s:3:\"MPN\";s:6:\"AE1031\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"610\";s:6:\"Length\";s:4:\"3540\";s:6:\"Weight\";s:4:\"2810\";s:5:\"Width\";s:4:\"2480\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"AE1031\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:50:\"Advanced Elements Lagoon 1 Person Inflatable Kayak\";s:3:\"UPC\";s:12:\"832994000632\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"832994000632\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:9:\"Gold/Gray\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"SRLIB9gDPWzKUhzXi43bn8Mu1L7rRiXQLYfN4DUQYHVZEiNE4HHQLRF9xADw5NbH2eA5UfUX9DUBHHcgVIJewyJjAB79qz4ZX07B%2FpIvx4OYUd9E5qy%2FDw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"32637\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$326.37\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3262\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$32.62\";}s:15:\"PercentageSaved\";s:1:\"9\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00CZ9AM0W&atag=freetos-20&exp=2013-06-15T18%3A49%3A05Z&v=2&sig=zR%2BSrAYu0cuyUYU4X89uG35PgxISmzv0x28lkxIC5zI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:343:\"DECENT FEATURES of the Advanced Elements Lagoon 1 Kayak Bungee Deck Lacing Durable Fabric Cover Mesh Pocket Paddle Loops Inflatable Coaming Inner Tube Cover Folding Seat Spring Valve Rubber Molded Handles The SPECS Person: 1 Length: 8\' 4\" Width: 34\" Weight: 23 lbs / 10 kg Maximum Weight: 250 lbs / 113 kg Chambers: 6 Folded Size: 29 x 18 x 5\"\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2925", "441", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00CZ9AM0W\";}");
INSERT INTO `wp_postmeta` VALUES("2926", "441", "asg_star_rating", "3.8");
INSERT INTO `wp_postmeta` VALUES("2927", "441", "asg_customer_reviews", "a:5:{i:0;a:5:{s:5:\"title\";s:16:\"lagoon/dragonfly\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"March 8, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3EWHSO81MRAYC\";s:4:\"name\";s:6:\"Ron PA\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3174:\"Having enjoyed my AE af-convertible for years, I decided to get the lagoon for a playboat. My first impression was--that\'s an annoyingly large carry bag--2 feet high, 3 feet long, and 5 inches thick; the handles are such that you have to keep your arm bent to keep it off the ground unless you shove it onto a shoulder. I refolded the boat so it\'s smaller and thicker and stuffed it into a different duffle bag I had for much greater convenience.<br /><br />Inflating and setup was quick and easy with a closed cell foam bottom replacing the usual ribbed, inflatable floor and saving some time though the inflatable coaming and seat added it back. Be sure to close the coaming twist-valves extra tight if you\'re using a sprayskirt or they might come open when you\'re working it into place, and you have several inches of height from the inflatable seat that you can take or leave by inflating it more or less.<br /><br />The little boat was cramped and even with my short legs I had to jam the bottom of one foot against the side of the other and bend my knees slightly. I managed to stuff a winter jacket and a half-gallon jug of lemonade under and between my knees and that pretty much used all the inboard storage space. On calm water I stretch my legs out on the front deck and recline against the rear and get quite comfortable. Both of my sprayskirts were hard to get stretched over the inflatable coaming and they come loose when I submerge the boat when surfing but can handle most splashing.<br /><br />Handling was a reasonable trade-off between tracking and maneuverability, with the bow hunting from side to side with the paddlestrokes and requiring a weaker stroke for steady cruising but responding nicely to the strong turning and scooting strokes needed in rough water.<br /><br />Speed was another trade-off for stability, the boat was very stable in some 2-foot swells on the river and I soon felt confident enough to take off my floatation vest and stick it under the deck bungees while enjoying bobbing over the standing waves, but speed suffered with that wide, teardrop shaped hull and I had to settle for a modest cruising speed.<br /><br />The wind affects the lagoon quite a bit too and fighting a strong headwind with its slow cruising speed can leave you going nowhere.<br /><br />With the coaming on the downhill side of the main tubes, water would collect in the valley and soak through and when I didn\'t use a sprayskirt, would easily come into the cockpit so I got some \"pool noodles\", foam tubes about 3\" dia. and 4\' long available for a buck each at big box stores in summer, and stuffed them under the coaming to elevate it and keep things much dryer. I also started spraying silicone water-guard on the top fabric.<br /><br />After several river trips I was pretty happy with the boat but the tedious pulling apart, inflating, drying, reassembling, deflating and packing are still a major downside to these inflatables.<br /><br />The lagoon is clearly best used as a playboat in whitewater or at least with moderate current to move you downstream and people who want to paddle around on still water should choose a more streamlined model.\";}i:1;a:5:{s:5:\"title\";s:42:\"Our 2nd Advanced elements kayak--Love it!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 18, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AFD2EGO6PD3LD\";s:4:\"name\";s:14:\"Bob the Beagle\";s:7:\"address\";s:15:\"Green mountains\";}s:4:\"text\";s:678:\"I bought the Advanced Elements Dragonfly kayak 3 years ago and it is still going strong after lots of use. The Dragonfly is very similar to the Lagoon--the air chambers on the Lagoon are somewhat different. I bought the Lagoon for my husband who has recently started kayaking--he LOVES it. They are both very durable and an excellent choice for flat water kayaking. We are in out early 50\'s<br />and they are perfect for us. No lugging and tugging. No need for an expensive roof rack or a truck. If it wasn\'t for this lightweight kayak I would never go as often as I do. Believe me I had a heavy old plastic one and didn\'t enjoy it nearly this much! Thank you Advanced Elements!\";}i:2;a:5:{s:5:\"title\";s:43:\"Fun kayak, easy set-up and great stability.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2OY7YLC01CAL4\";s:4:\"name\";s:3:\"Bob\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:880:\"I purchased the Lagoon 1 inflatable kayak about a month ago. My maiden voyage was great and I had no problems inflating the kayak. I have some back issues so I was looking for a kayak that would be easy to enter and exit from and be comfortable. The inflatable seat was good and I felt like I was sitting in my home recliner. My back did not ache at all. I kayaked on a small mountain lake in Colorado. The water was quiet and the kayak turned and tracked well. Easier paddling made it track straight. Even a hard paddle did not sway to kayak\'s bow much. No more than a canoe does. My first voyage lasted about 90 minutes and great fun was had by this old outdoor guy. I\'m 65 yrs old and have wanted to try kayaking for awhile. Good first experience! I had plenty of room in the kayak as I.m only 5ft7in and 160lbs. Overall, This kayak is a great,fun product. Recommend it highly.\";}i:3;a:5:{s:5:\"title\";s:9:\"Nice boat\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVY1NZ8RCB54R\";s:4:\"name\";s:12:\"Stephen Gale\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:528:\"Tough review, it was for my wife so I\'ve not used it. It replaces a similar but larger boat, she did mention the first one had a skirt that zips across your legs that she liked, this one does not. I would think you could just throw something over your legs if you really need to. I suppose that makes it technically less than perfect so I held back on the 5th star, if I could have done 4.5 I would have. Anyway, very cool craft, she\'s real happy! For somebody who wants a one person inflatable I\'d recommend it in a heart beat.\";}i:4;a:5:{s:5:\"title\";s:9:\"Inflating\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:18:\"September 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3FLHFPMOZ88FT\";s:4:\"name\";s:22:\"Maureen C. Shepherdson\";s:7:\"address\";s:9:\"Bremerton\";}s:4:\"text\";s:201:\"I am unable to inflate this kayak. One must use more than onw pump to inflate this kayak. Do not remember the mannufacturer mentioning this!!!! When I am not so amgry, I will contact the manufracturer.\";}}");
INSERT INTO `wp_postmeta` VALUES("2874", "435", "asg_last_refresh_attempt", "1371235734");
INSERT INTO `wp_postmeta` VALUES("2875", "435", "asg_update_timestamp", "1371235734");
INSERT INTO `wp_postmeta` VALUES("2876", "436", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2877", "436", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2878", "436", "asg_item_id", "B003CRIX02");
INSERT INTO `wp_postmeta` VALUES("2879", "436", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003CRIX02\";s:13:\"DetailPageURL\";s:202:\"http://www.amazon.com/Seattle-Sports-EZ-Kayak-Seat/dp/B003CRIX02%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003CRIX02\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:212:\"http://www.amazon.com/Seattle-Sports-EZ-Kayak-Seat/dp/tech-data/B003CRIX02%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003CRIX02\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003CRIX02%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003CRIX02\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003CRIX02%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003CRIX02\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003CRIX02%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003CRIX02\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003CRIX02%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003CRIX02\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003CRIX02%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003CRIX02\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003CRIX02%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003CRIX02\";}}}s:9:\"SalesRank\";s:6:\"141914\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/410UjwAE2ML.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"38224\";}s:5:\"Color\";s:5:\"black\";s:3:\"EAN\";s:13:\"0780292382243\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0780292382243\";}s:7:\"Feature\";a:5:{i:0;s:55:\"Silver seat doesn\'t trap heat and stays cool in the sun\";i:1;s:70:\"Adjustable straps hook in to boat eyelets for quick and easy fastening\";i:2;s:23:\"Brass-plated snap hooks\";i:3;s:72:\"Seat dimensions 12 by 14 inches (H x W); back dimensions 16 by 23 inches\";i:4;s:31:\"Depth .5 inches; weighs 1 pound\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:3:\"100\";s:6:\"Weight\";s:3:\"140\";s:5:\"Width\";s:3:\"100\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4895\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$48.95\";}s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:5:\"Model\";s:6:\"038224\";s:3:\"MPN\";s:6:\"038224\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2300\";s:6:\"Length\";s:4:\"3600\";s:6:\"Weight\";s:3:\"150\";s:5:\"Width\";s:4:\"2400\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"038224\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:11:\"ReleaseDate\";s:10:\"2010-02-01\";s:3:\"SKU\";s:6:\"100384\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:28:\"Seattle Sports EZ Kayak Seat\";s:3:\"UPC\";s:12:\"780292382243\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"780292382243\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:1:{s:14:\"FormattedPrice\";s:18:\"Too low to display\";}s:8:\"TotalNew\";s:2:\"21\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003CRIX02%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003CRIX02\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:18:\"Z\'Shopping Network\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:158:\"xAmGdXKbXvSisxX5Z9f8XcjFTf4DBCVyXOUNEtva48s1kWM2Uhz6FrbZ5aleOls3wYacbG2tx0VCMckmW7NGLJOrqzkfAvAFIrXQ1uVcfA%2BECd3OSL65KhRq4a0VCJUPBJLxr3q8enbYuTK2oM4GlQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3514\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.14\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1381\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.81\";}s:15:\"PercentageSaved\";s:2:\"28\";s:12:\"Availability\";s:34:\"Usually ships in 2-3 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"48\";s:12:\"MaximumHours\";s:2:\"72\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003CRIX02&atag=freetos-20&exp=2013-06-15T18%3A48%3A55Z&v=2&sig=FJb0yUNRmDfGDB%2FoUvuDqMfC9ti80%2BBDSM4f6U9OcNo%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:199:\"Our new EZ Kayak Seat offers added comfort for your kayak at a value price. With a silver seat area, it heats up slower and won’t draw in heat with sun exposure, offering a more comfortable paddle.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:682:\"The EZ Kayak Seat by Seattle Sports offers added comfort to your kayak so you can sit and paddle comfortably longer. The silver seat area reflects light and doesn\'t trap heat from sun exposure so it stays cooler than other seats. With brass-plated snap hooks, the adjustable straps easily hook in to boat eyelets for quick and easy fastening. <p> <b>Features and Specifications:</b> <ul> <li>Silver seat doesn\'t trap heat and stays cool in the sun <li>Brass-plated snap hooks <li>Adjustable straps hook in to boat eyelets for quick and easy fastening <li>Seat Dimensions: 12 by 14 inches (H x W) <li>Back Dimensions: 16 by 23 inches <li>Depth .5 inches <li>Weight: 1 pound </ul> <p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2880", "436", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:29:\"1 x 1 x 1 inches ; 1.4 pounds\";s:15:\"Shipping Weight\";s:10:\"1.5 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003CRIX02\";s:17:\"Item model number\";s:6:\"038224\";}");
INSERT INTO `wp_postmeta` VALUES("2881", "436", "asg_star_rating", "3");
INSERT INTO `wp_postmeta` VALUES("2882", "436", "asg_customer_reviews", "a:6:{i:0;a:5:{s:5:\"title\";s:21:\"Exactly as advertised\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 21, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26O227SMX46K2\";s:4:\"name\";s:3:\"Don\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:208:\"I purchased two seats for my two man sit-on-top. They are comfortable and easy to install. They added the back support I was looking for.<br /><br />The price beat anything else I\'ve seen that was comparable.\";}i:1;a:5:{s:5:\"title\";s:43:\"pleasantly surprised.... highly recommended\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"March 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26CO6UD15JH84\";s:4:\"name\";s:9:\"geekspeak\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:513:\"I bought this seat for use on a Hobie Mirage and it fits that kayak very well, it\'s well made with good stitching and brass hooks.<br /><br />I own 2 hobie kayaks, and will be replacing another seat with this exact same Seattle seat.<br /><br />Compared to the original Hobie replacement seat (which costs about $100 and does say Hobie on it and has a pouch on the back), this seat is as comfortable and fits right.<br /><br />Highly recommended. Good value.<br />I don\'t think you\'ll be disappointed... I wasn\'t!\";}i:2;a:5:{s:5:\"title\";s:18:\"Stitching problems\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:18:\"September 18, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2PPCHUT6GXTVR\";s:4:\"name\";s:6:\"Hudson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:351:\"It looked really great in the picture, so I bought it, but when I got it it looked really cheap. The seat hardly had any cushion. The very first time I brought it out the stitching came undone and so I had to tie a few knots to make it work just for the day. I never write reviews but I just don\'t want anyone else to make the same mistake. Good luck!\";}i:3;a:5:{s:5:\"title\";s:24:\"great value-good comfort\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 19, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A31WNJXX0G4EFB\";s:4:\"name\";s:27:\"Missions Mom \"missions mom\"\";s:7:\"address\";s:15:\"Hilton Head, SC\";}s:4:\"text\";s:131:\"This is a very reasonably priced seat that is very comfortable with the higher back even when wearing a camelback hydration system.\";}i:4;a:5:{s:5:\"title\";s:22:\"Nice but didn\'t fit...\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"July 27, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AEXX2NUDFZ0L8\";s:4:\"name\";s:8:\"Kim Bell\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:178:\"These looked very nice, but they didn\'t fit our Spirit kayaks. We had to send them back, unfortunately. I\'m sure they\'d be very comfortable, but they\'re not completely universal.\";}i:5;a:5:{s:5:\"title\";s:12:\"Poor quality\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:11:\"May 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2IJAB3YEK0OCJ\";s:4:\"name\";s:15:\"James R. Martin\";s:7:\"address\";s:12:\"Coos Bay, OR\";}s:4:\"text\";s:181:\"I got two of these \"free\" with a kayak purchase. The strap stitching on one failed the first time we used it, the other is rapidly failing. Another case of you get what you pay for.\";}}");
INSERT INTO `wp_postmeta` VALUES("2871", "435", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:22:\"159 x 65 x 48.5 inches\";s:15:\"Shipping Weight\";s:10:\"300 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. A separate shipping charge will also apply.\";s:4:\"ASIN\";s:10:\"B001O1N1LO\";s:17:\"Item model number\";s:8:\"MPG462G2\";}");
INSERT INTO `wp_postmeta` VALUES("2872", "435", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2873", "435", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:51:\"Nice Trailer - Assembly time was more than expected\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 14, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26M4959TL6OSA\";s:4:\"name\";s:5:\"Fargo\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:915:\"I think this trailer is going to be great. Overall, it seems to be made of quality materials. The instructions were accurate and easy to understand. When I read previous posts, customer feedback led me to believe that I would be spending between 4-5 hours assembling it. Well, the first day I spent 6 hours working on it, the second day I spent 3 hours working on it, the third day I spent 2 hours working on it, and I would estimate that I still have 2-3 more hours to go on it. So for me - it will end up being around 13-14 hours to assemble it. I actually found it sort of fun to put it together so the amount of time is not a concern to me just a \'heads-up\' for future purchasers. I have two very minor complaints, (1) I was shorted 8 self-tightening nuts and a quick trip to the local hardware store remedied that, and (2) the way the wires attach to the brake lights is very sub-par and should be re-designed.\";}i:1;a:5:{s:5:\"title\";s:13:\"Great trailer\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 27, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1IGH0326BELPQ\";s:4:\"name\";s:4:\"Mark\";s:7:\"address\";s:12:\"Lewiston, NY\";}s:4:\"text\";s:1102:\"If you are looking to make your life easier, save time and reduce lifting, this trailer is for you. Good value, good quality and no surprises. The product ships via UPS and arrived in a few days. The instructions were very well done. Assembly took 4-5 hours with two people. Minimal tools required. I\'ve taken it on a few short road trips and it works well. It seems to trailer a little better when fully loaded. I think this is because it is so light it bounces a little when you hit some bumps. I\'m pulling it behind a minivan and you would hardly know it is back there. Loading is very easy. Make sure to load the inner boats first including straps and covers otherwise it\'s a little too tight to get to the straps. Proof of purchase, VIN # and other documentation shipped separately and arrived 1-2 days after the trailer. This is needed to register the trailer. Keep this in mind if you are on a tight schedule. Only negative comment is that the manufacturer should include more clips that hold the wires to the frame. I called them and they sent three more. I\'d have been happier if they sent 10.\";}}");
INSERT INTO `wp_postmeta` VALUES("2827", "430", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:10:\"1.6 ounces\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:4:\"ASIN\";s:10:\"B0039L8H9S\";s:17:\"Item model number\";s:7:\"8023044\";}");
INSERT INTO `wp_postmeta` VALUES("2828", "430", "asg_star_rating", "3.7");
INSERT INTO `wp_postmeta` VALUES("2829", "430", "asg_customer_reviews", "a:6:{i:0;a:5:{s:5:\"title\";s:20:\"Quick Install, Works\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"December 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3V03EC5DFY6K0\";s:4:\"name\";s:12:\"Stephen Reid\";s:7:\"address\";s:30:\"Roswell, Georgia United States\";}s:4:\"text\";s:427:\"Kayaking on the lake without a skirt on meant that an occasional wave would get inside the boat. WIthout a drain plug, it was tedious to empty and would often add water weight when carrying the kayak back from the dock. This makes it easy to empty water from the stern.<br /><br />The install was easy - and I didn\'t even have the proper bits - I just used the 3/8\", worked it around, and then used a sanding dowel to widen it.\";}i:1;a:5:{s:5:\"title\";s:8:\"Works ok\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"June 4, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3O1Z5QNB1SP3B\";s:4:\"name\";s:12:\"Gary Winslow\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:185:\"These make it much easier for one person to drain water out of a flipped kayak as long as there isn\'t leaves and such which do block the hole. Looking at ordering them for all my kayaks\";}i:2;a:5:{s:5:\"title\";s:5:\"drain\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 15, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1J4SKS4LGHQR5\";s:4:\"name\";s:26:\"Dennis E. Bernard \"Dennis\"\";s:7:\"address\";s:15:\"Cumberland, Md.\";}s:4:\"text\";s:297:\"Good item, will be very useful. I thought that one of the wellnuts was missing, I went back and read the reviews that others had left and someone else had the same problem but found it stuck inside the Drainplug Frame & Stopper so I looked there and Wala, there it was, now I\'m very happy with it.\";}i:3;a:5:{s:5:\"title\";s:26:\"Good product, poor service\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:11:\"May 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A81GXWHTMGZ0N\";s:4:\"name\";s:10:\"Ray Kepler\";s:7:\"address\";s:29:\"Centerville, VA United States\";}s:4:\"text\";s:797:\"The drain plug came on time. It\'s well made and works as it should. My problem came as I was looking for one of the washers. I don\'t recall what it\'s called, but it\'s the small black part seen in the pictures. I couldn\'t locate it, so I found Harmony online and called them. The first store didn\'t have the part in stock and gave me another contact, this one in Texas. All persons I spoke with were great. The second store didn\'t have the part, but the gentleman assured me that he\'d make &#34;an executive descision&#34; and find one for me and send it without charge. Great, right?! The only problem is that the part never came. What seemed to be great customer relations, wasn\'t.<br />I should add, somewhat sheepishly, is that I eventually found the part jammed into the larger piece. Oh well.\";}i:4;a:5:{s:5:\"title\";s:13:\"Great Product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A18ZLIXTMVZABJ\";s:4:\"name\";s:11:\"Big Brother\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:220:\"Works great. Was slightly difficult to install because of how far I had to reach into my kayak to tighten the nuts but that is no fault of the product, just the nature of kayaks. Perfect fix for losing my old drain plug.\";}i:5;a:5:{s:5:\"title\";s:30:\"Missing piece on both delivery\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:17:\"December 24, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A20MXNTWGA3FBY\";s:4:\"name\";s:12:\"best friends\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:310:\"I ordered a second one thinking I misplaced one of the well nuts. When the second pkg arrived it became clear only one well nut came with it even though the directions state it should come with two, and per the picture it shows two well nuts. Luckily it appears each order only came with one so I now have two.\";}}");
INSERT INTO `wp_postmeta` VALUES("2830", "430", "asg_last_refresh_attempt", "1371235724");
INSERT INTO `wp_postmeta` VALUES("2831", "430", "asg_update_timestamp", "1371235724");
INSERT INTO `wp_postmeta` VALUES("2832", "431", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2833", "431", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2834", "431", "asg_item_id", "B000FE7J64");
INSERT INTO `wp_postmeta` VALUES("2835", "431", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000FE7J64\";s:13:\"DetailPageURL\";s:215:\"http://www.amazon.com/AIRHEAD-AHTK-1-Montana-Performance-Person/dp/B000FE7J64%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000FE7J64\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:225:\"http://www.amazon.com/AIRHEAD-AHTK-1-Montana-Performance-Person/dp/tech-data/B000FE7J64%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J64\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000FE7J64%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J64\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000FE7J64%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J64\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000FE7J64%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J64\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000FE7J64%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J64\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000FE7J64%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J64\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000FE7J64%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J64\";}}}s:9:\"SalesRank\";s:5:\"56984\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL._SL160_.jpg\";s:6:\"Height\";s:3:\"120\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL.jpg\";s:6:\"Height\";s:3:\"374\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL._SL110_.jpg\";s:6:\"Height\";s:2:\"82\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL._SL160_.jpg\";s:6:\"Height\";s:3:\"120\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41oqRrMXAcL.jpg\";s:6:\"Height\";s:3:\"374\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31QwdL40EoL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31QwdL40EoL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31QwdL40EoL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31QwdL40EoL._SL110_.jpg\";s:6:\"Height\";s:2:\"82\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31QwdL40EoL._SL160_.jpg\";s:6:\"Height\";s:3:\"120\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31QwdL40EoL.jpg\";s:6:\"Height\";s:3:\"374\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51gCW5yQYtL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51gCW5yQYtL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51gCW5yQYtL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51gCW5yQYtL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51gCW5yQYtL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51gCW5yQYtL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:31:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Airhead\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"AHTK-1\";}s:5:\"Color\";s:6:\"orange\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0737826019731\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737826019731\";}s:7:\"Feature\";a:5:{i:0;s:75:\"9-foot, 1-man inflatable kayak; designed for lakes and moderate white water\";i:1;s:74:\"All 3 air chambers are completely enclosed by rugged 840-denier nylon with\";i:2;s:34:\"Lightweight, compact, and portable\";i:3;s:31:\"UV and water-resistant coatings\";i:4;s:49:\"Low drag and superior tracking with 4 bottom fins\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:4:\"2600\";s:6:\"Weight\";s:4:\"2700\";s:5:\"Width\";s:4:\"1800\";}s:5:\"Label\";s:8:\"Kwik Tek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"44999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$449.99\";}s:12:\"Manufacturer\";s:8:\"Kwik Tek\";s:36:\"ManufacturerPartsWarrantyDescription\";s:5:\"Parts\";s:5:\"Model\";s:6:\"AHTK-1\";s:3:\"MPN\";s:5:\"AHTK1\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"820\";s:6:\"Length\";s:4:\"2500\";s:6:\"Weight\";s:4:\"3500\";s:5:\"Width\";s:4:\"1900\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"AHTK1\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Kwik Tek\";s:11:\"ReleaseDate\";s:10:\"2008-04-28\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:6:\"357179\";s:6:\"Studio\";s:8:\"Kwik Tek\";s:5:\"Title\";s:49:\"AIRHEAD AHTK-1 Montana Performance 1 Person Kayak\";s:3:\"UPC\";s:12:\"737826019731\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737826019731\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"23999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$239.99\";}s:8:\"TotalNew\";s:2:\"34\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000FE7J64%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J64\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:110:\"4RTtkmCT7zGqeqVvKUhAy6U4I6Mf6o9f9wEel9wgDrS9phdBG3EJodHPdue7Ch1plZcwI6Jf7RiqEnlX5thuHqcSy8BVVb45VxbX6Qb6Tw4%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"23999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$239.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:5:\"21000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$210.00\";}s:15:\"PercentageSaved\";s:2:\"47\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000FE7J64&atag=freetos-20&exp=2013-06-15T18%3A48%3A44Z&v=2&sig=pFgSsUBosRoMXlkB23WED3IocqQ825nG3xuKCocYW%2FY%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:66:\"AHTK-1: 1 man, 9 ft. 9 in., 27.7 lbs., 1 person / 300 lb. capacity\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2155:\"Inflatable kayaks are perfect for camping, vacationing, exploring remote areas, and cruising yachts. They\'re also great for paddling enthusiasts that don\'t want to drive around with a kayak on their rooftop. This 9-foot travel kayaks fits easily into the trunk of your car, duffel bag, or suitcase. When you feel the itch to paddle, your boat is with you. Tubular I-beam floor supports the boat for superior comfort, buoyancy, and tracking and is made of high-visibility orange PVC for extra safety on the water. <p><table align=\"right\" cellpadding=\"10\" width=\"250\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"167\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/kwik-tek-kayak9ft.jpg\" width=\"250\" /><br /><br /><small><em><strong>The Travel Kayak seats 1 comfortably for on-water fun.</strong></em></small></td> </tr> </tbody></table> <b>Features:</b> <ul> <li>9-foot, 1-man inflatable kayak <li>Designed for lakes and moderate white water <li>Lightweight / compact / portable <li>Highly visible orange for safety <li>Semi-rigid heavy gauge PVC construction <li>Tubular I-beam floor for superior comfort, buoyancy and tracking <li>Spray covers fore and aft <li>Movable and removable inflatable seats provide great back support <li>2 Boston valves for quick inflating & deflating <li>Threaded drain hole with plug <li>Designed for lakes and moderate white water <li>Lightweight, compact and portable <li>Semi-rigid, heavy-gauge PVC construction <li>Front and back spray covers <li>Low drag and superior tracking with 4 bottom fins <li>All 3 air chambers are completely enclosed by rugged 840-denier nylon with UV and water-resistant coatings <li>Durable tri-laminate reinforcements on the bottom <li>Neoprene elbow guards for comfort <li>Easy to inflate and deflate <li>Stainless steel and nylon hardware will not corrode <li>6 D-rings at bow and stern for securing gear, stretch net in bow <li>Low drag, superior tracking <li>Grab handles for easy put-ins and take-outs </ul> <p> <b>Specifications:</b> <ul> <li>Capacity: 1 <li>Length: 9 feet, 9 inches <li>Weighs: 27.7 pounds <li>Weight Capacity: 300 pounds </ul> <p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2748", "421", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B003JGYP80\";s:10:\"ParentASIN\";s:10:\"B003JGYP80\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Old-Town-Canoes-Kayaks-Recreational/dp/B003JGYP80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003JGYP80\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Old-Town-Canoes-Kayaks-Recreational/dp/tech-data/B003JGYP80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYP80\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003JGYP80%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYP80\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003JGYP80%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYP80\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003JGYP80%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYP80\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003JGYP80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYP80\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003JGYP80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYP80\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003JGYP80%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003JGYP80\";}}}s:9:\"SalesRank\";s:5:\"31878\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL._SL75_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL._SL160_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL.jpg\";s:6:\"Height\";s:3:\"228\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL._SL30_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL._SL75_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL._SL75_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL._SL110_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL._SL160_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ja0LyfpIL.jpg\";s:6:\"Height\";s:3:\"228\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21-IqAWIbHL._SL30_.jpg\";s:6:\"Height\";s:1:\"5\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21-IqAWIbHL._SL75_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21-IqAWIbHL._SL75_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21-IqAWIbHL._SL110_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21-IqAWIbHL._SL160_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21-IqAWIbHL.jpg\";s:6:\"Height\";s:2:\"81\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/319NGYB7yfL._SL30_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/319NGYB7yfL._SL75_.jpg\";s:6:\"Height\";s:2:\"19\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/319NGYB7yfL._SL75_.jpg\";s:6:\"Height\";s:2:\"19\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/319NGYB7yfL._SL110_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/319NGYB7yfL._SL160_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/319NGYB7yfL.jpg\";s:6:\"Height\";s:3:\"128\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"01-Vapo\";}s:7:\"Feature\";a:5:{i:0;s:57:\"Sporty kayak designed to provide stable, comfortable ride\";i:1;s:67:\"Maneuverable body is ideal for lakes, ponds, and slow-moving rivers\";i:2;s:87:\"Comfort Flex XT seat with padded seat back, adjustable foot braces, and soft thigh pads\";i:3;s:54:\"Molded-in cockpit tray with cup holder; stern day well\";i:4;s:62:\"Molded-in paddle rest; measures 10 feet long; weighs 48 pounds\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"39900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$399.00\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:7:\"01-Vapo\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"2500\";s:5:\"Width\";s:4:\"1500\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:54:\"Old Town Canoes and Kayaks 10 Vapor Recreational Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"39999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$399.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"42999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$429.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"2\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:2:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B002WH0CC0\";s:10:\"ParentASIN\";s:10:\"B003JGYP80\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL._SL75_.jpg\";s:6:\"Height\";s:2:\"31\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL._SL160_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL.jpg\";s:6:\"Height\";s:3:\"209\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL._SL30_.jpg\";s:6:\"Height\";s:2:\"13\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL._SL75_.jpg\";s:6:\"Height\";s:2:\"31\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL._SL75_.jpg\";s:6:\"Height\";s:2:\"31\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL._SL110_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL._SL160_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/3138LDGiCeL.jpg\";s:6:\"Height\";s:3:\"209\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/213hZAMIv%2BL._SL30_.jpg\";s:6:\"Height\";s:1:\"5\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/213hZAMIv%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/213hZAMIv%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/213hZAMIv%2BL._SL110_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/213hZAMIv%2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/213hZAMIv%2BL.jpg\";s:6:\"Height\";s:2:\"79\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CXIJkmNnL._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CXIJkmNnL._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CXIJkmNnL._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CXIJkmNnL._SL110_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CXIJkmNnL._SL160_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CXIJkmNnL.jpg\";s:6:\"Height\";s:3:\"123\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.6400.0003\";}s:5:\"Color\";s:7:\"Sunrise\";s:3:\"EAN\";s:13:\"0759239251140\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239251140\";}s:7:\"Feature\";a:5:{i:0;s:88:\"Single-user kayak great for quiet water paddling on lakes, ponds, and slow moving rivers\";i:1;s:57:\"Made from highly durable single layer linear polyethylene\";i:2;s:94:\"Adjustable Comfort Flex padded seat for all day paddling comfort and a cockpit rim paddle-rest\";i:3;s:77:\"Comfortable thigh/knee pads and adjustable foot pegs for good fit and control\";i:4;s:98:\"Stern Day Well provides easy access to day-use items without storing them in the bilge of the boat\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"3096\";s:6:\"Length\";s:5:\"12390\";s:6:\"Weight\";s:2:\"55\";s:5:\"Width\";s:4:\"3096\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:12:\"01.6400.0003\";s:3:\"MPN\";s:12:\"01.6400.0003\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1700\";s:6:\"Length\";s:5:\"12000\";s:6:\"Weight\";s:4:\"5300\";s:5:\"Width\";s:4:\"2900\";}s:10:\"PartNumber\";s:12:\"01.6400.0003\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:8:\"10 -Feet\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:63:\"Old Town Canoes and Kayaks 10 Vapor Recreational Kayak, Sunrise\";s:3:\"UPC\";s:12:\"759239251140\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239251140\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:7:\"Sunrise\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:128:\"5PBIgnWRSOnW1NabJWAPb3yZVZqHIKQPHSIvQZubHveidZvYQuM%2F7yzuC%2F5SLnT7oGoGu3UofNOwFVkiuXKRle3Up0TIYuqtPgjJavQJg3ks5I4sHr2rDw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"42999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$429.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B001QUAXHI\";s:10:\"ParentASIN\";s:10:\"B003JGYP80\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31n3ZGAO9JL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11M6ANkiPaL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11M6ANkiPaL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11M6ANkiPaL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11M6ANkiPaL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"109\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11M6ANkiPaL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"159\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11M6ANkiPaL.jpg\";s:6:\"Height\";s:3:\"166\";s:5:\"Width\";s:3:\"165\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.6400.0001\";}s:5:\"Color\";s:5:\"Cloud\";s:10:\"Department\";s:24:\"Mens Recreational Kayaks\";s:3:\"EAN\";s:13:\"0759239251126\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239251126\";}s:7:\"Feature\";a:5:{i:0;s:88:\"Single-user kayak great for quiet water paddling on lakes, ponds, and slow moving rivers\";i:1;s:57:\"Made from highly durable single layer linear polyethylene\";i:2;s:94:\"Adjustable Comfort Flex padded seat for all day paddling comfort and a cockpit rim paddle-rest\";i:3;s:77:\"Comfortable thigh/knee pads and adjustable foot pegs for good fit and control\";i:4;s:98:\"Stern Day Well provides easy access to day-use items without storing them in the bilge of the boat\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:1:\"0\";s:6:\"Length\";s:1:\"0\";s:6:\"Weight\";s:4:\"4400\";s:5:\"Width\";s:1:\"0\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"39999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$399.99\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:12:\"01.6400.0001\";s:3:\"MPN\";s:12:\"01.6400.0001\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:5:\"14400\";s:6:\"Weight\";s:4:\"7500\";s:5:\"Width\";s:4:\"3600\";}s:10:\"PartNumber\";s:12:\"01.6400.0001\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:8:\"10 -Feet\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:61:\"Old Town Canoes and Kayaks 10 Vapor Recreational Kayak, Cloud\";s:3:\"UPC\";s:12:\"759239251126\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239251126\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Cloud\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:40:\"Appomattox River Company Specialty Store\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:168:\"9bGX%2BCCCNp9glhw%2FyuSERvdzaImpMGGum%2BYBd1OrVuQXEJOXmuQmrKM3s8qHWuJMvq0Lt2eVPrcQNrOVO3enTpBco8HYcNKnlgUOYxhYifAuzN7s08fYZLFJ4vMcha7YDJd9sG6aw6ExNHu5IVz6Z9j%2Fo1R6b8fV\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"39999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$399.99\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003JGYP80&atag=freetos-20&exp=2013-06-15T18%3A48%3A22Z&v=2&sig=o2n72XIgsd2ZY2rznVLQ02194caG%2Fq26JsDvmK8GwL4%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1664:\"The Vapor 10 is one of Old Town’s newest get-in-and-go kayaks. This sporty kayak offers a stable efficient, and comfortable ride and is designed to cover a wide variety of paddling activities.  Ideal for lakes, estuaries and protected waters, The Vapor 10 goes way beyond the basics with features. With the adjustable Comfort Flex seat with a padded seat, adjustable foot braces, and thigh pads, you get a secure and comfortable paddling position.  The molded-in paddle rest gives you a place for your paddle while you’re eating of shooting photographs of your friends.  The cockpit dash offers a cup holder and storage for small items.  Built in sturdy grab handles make loading and unloading a breeze.  Like other Vapor series models, the truly revolutionary design feature of the Vapor 10 is the stern Day Well.  The outer edges of the Day Well are higher than the cockpit rim and well above the water; your lunch and other items stay dry above the waves and out of the dripped-in and tracked-in mud and water in the bilge of the kayak.  Also available are the Old Town Vapor 10XT and 12XTS models which include a cover on the Day Well to keep your belongings out of the sun and rain, a bungee to hold your paddle in the paddle-park, additional seat and seat-back padding, and a bungees iPad storage area for your portable elctronics.  For a longer stiffer tracking model of the Vapor, check out the Vapor 12, Vapor 12S or Vapor 12XTS. Made in USA. <br><br><b> Specifications:</b> Length 10\' / 3 m, Width 28.5\" / 72.4 cm, Cockpit 19.5\" x 48\" / 49.5 x 121.9 cm, Depth 16.75\" / 42.6 cm, Weight 48 lbs / 21.8 kg, Max Load Range 275 - 325 lbs / 124.7 - 147.4 kg\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:3078:\"The sporty Vapor 10 kayak is Old Town\'s latest get-in-and-go boat, with a stable, maneuverable body that\'s ideal for paddling on lakes, ponds, and slow-moving rivers. Specifically designed to go in and out of the water quickly, <table align=right width=500 cellpadding=10> <tr><td><img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B001S6W9V8.jpg\" border=0 align=top><br><br><small><i><b>The basic features of an Old Town kayak design.</b></i></small></td></tr></table>the Vapor 10 goes way beyond the basics, with such relaxed features as an adjustable Comfort Flex XT seat with a padded seat and seat back, adjustable foot braces, and soft thigh pads, all of which combine to provide a secure and comfortable paddling position. The kayak also includes a molded-in cockpit tray with a cup holder, so you have a place to store your water or energy drink while paddling. <p> Like other Vapor series models, the kayak\'s truly revolutionary design feature, however, is the stern day well. The outer edges of the day well are higher than the cockpit rim and well above the water; this keeps your lunch and other items dry above the waves and out of the dripped-in and tracked-in mud and water in the bilge. Other features include a molded-in paddle rest and built-in carrying handles. Made of single-layer polyethylene, the Vapor 10 is available in such colors as sunrise and cloud. <p> <b>Specifications:</b><ul> <li>Length: 10 feet <table align=right width=350 cellpadding=10> <tr><td><img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B003JGYP80-1.jpg\" border=0 align=top><br><br><small><i><b>The Vapor 10 is ideal for lakes, ponds, and slow-moving rivers.</b></i></small></td></tr></table><li>Width: 28.5 inches <li>Cockpit: 19.5 by 48 inches <li>Depth: 16.75 inches <li>Weight: 48 pounds <li>Max load range: 275 to 325 pounds </ul><p> <b>About Old Town</b><br> Tradition and technology have had a long and comfortable marriage at Old Town. The company built its first wood and canvas canoe in 1898, with a blueprint that was more durable and easier to maintain that the Native American birch canoe that inspired it. The company followed a similar path in 1940, converting the traditional sealskin kayak design into a more durable wood and canvas version. The same spirit of innovation led Old Town to introduce lightweight fiberglass kayaks and canoes in the 1950s and \'60s, and to employ such lightweight, cutting-edge materials as PolyLink3 and SuperLink3 in the 21st century. Despite the advances in materials, consumers can rest assured that the boats are built with the same attention to detail as the originals. Old Town\'s kayaks and canoes are still hand-shaped on the same cedar forms that were used more than 100 years ago, and they\'re still manufactured to the same quality standards in Old Town, Maine. And though the original Old Town artisans aren\'t building the canoes and kayaks, their grandchildren and great-grandchildren may be carrying on the tradition, as the company has employed generations of family members at its plant.<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2726", "418", "asg_update_timestamp", "1371235697");
INSERT INTO `wp_postmeta` VALUES("2725", "418", "asg_last_refresh_attempt", "1371235697");
INSERT INTO `wp_postmeta` VALUES("2680", "413", "asg_last_refresh_attempt", "1371235688");
INSERT INTO `wp_postmeta` VALUES("2681", "413", "asg_update_timestamp", "1371235688");
INSERT INTO `wp_postmeta` VALUES("2682", "414", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2683", "414", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2684", "414", "asg_item_id", "B000FE5P0G");
INSERT INTO `wp_postmeta` VALUES("2685", "414", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000FE5P0G\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/AIRHEAD-AHTK-P1-Paddle-Section-Aluminum/dp/B000FE5P0G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000FE5P0G\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/AIRHEAD-AHTK-P1-Paddle-Section-Aluminum/dp/tech-data/B000FE5P0G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE5P0G\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000FE5P0G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE5P0G\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000FE5P0G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE5P0G\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000FE5P0G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE5P0G\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000FE5P0G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE5P0G\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000FE5P0G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE5P0G\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000FE5P0G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE5P0G\";}}}s:9:\"SalesRank\";s:5:\"11970\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL160_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL30_.jpg\";s:6:\"Height\";s:1:\"3\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL110_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL160_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL30_.jpg\";s:6:\"Height\";s:1:\"3\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL110_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL._SL160_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21V3OXIabqL.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Airhead\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:7:\"AHTK-P1\";i:1;s:10:\"253-AHTKP1\";}}s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0737826020157\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737826020157\";}s:7:\"Feature\";a:5:{i:0;s:26:\"Rugged, telescoping design\";i:1;s:22:\"Aluminum Material used\";i:2;s:24:\"Extends from 30 to 42 in\";i:3;s:61:\"Boat hook handle and blade are brightly colored for signaling\";i:4;s:32:\"Floats if dropped into the water\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"2200\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:3:\"800\";}s:5:\"Label\";s:8:\"Kwik Tek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2099\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$20.99\";}s:12:\"Manufacturer\";s:8:\"Kwik Tek\";s:5:\"Model\";s:7:\"AHTK-P3\";s:3:\"MPN\";s:6:\"AHTKP1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"2200\";s:6:\"Weight\";s:3:\"164\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"AHTKP1\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Kwik Tek\";s:11:\"ReleaseDate\";s:10:\"2008-04-28\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:11:\"RVLM-272864\";s:6:\"Studio\";s:8:\"Kwik Tek\";s:5:\"Title\";s:47:\"AIRHEAD AHTK-P1 Kayak Paddle 3 Section Aluminum\";s:3:\"UPC\";s:12:\"737826020157\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737826020157\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1413\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.13\";}s:8:\"TotalNew\";s:2:\"30\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000FE5P0G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE5P0G\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:112:\"L1wc7hUsAYdcrIwp9kX7bRlMRcbzRvb3mmT4lMvxcDJTzJGWM6iz4SGcAPecmAx7R0wUdLvGq9%2FVulsgY3JjGJdg7ehoYj05Vd51PDpgCEM%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1964\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.64\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"135\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$1.35\";}s:15:\"PercentageSaved\";s:1:\"6\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000FE5P0G&atag=freetos-20&exp=2013-06-15T18%3A48%3A08Z&v=2&sig=gnN%2BuMY6PbF64Qyns%2F0y%2BXtwBqb82RhQLnWPD5voLvA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:196:\"Kayak Paddle - A good portable kayak paddle at a great price. The 3-section aluminum and plastic paddle is 86 inches long. Break it down for compact storage (stows in a 6” x 22” x 3” space).\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2686", "414", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:28:\"22 x 8 x 2 inches ; 1 pounds\";s:15:\"Shipping Weight\";s:10:\"1.6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000FE5P0G\";s:17:\"Item model number\";s:7:\"AHTK-P3\";}");
INSERT INTO `wp_postmeta` VALUES("2687", "414", "asg_star_rating", "2.8");
INSERT INTO `wp_postmeta` VALUES("2688", "414", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:41:\"Kwick Tek Kayak Paddle 3 Section Aluminum\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:12:\"July 8, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A348GCFLC29PEF\";s:4:\"name\";s:18:\"Roger H. Van Slyke\";s:7:\"address\";s:18:\"Wilmington, NC USA\";}s:4:\"text\";s:551:\"The plastic pieces that connect the three aluminum shaft pieces are very easily broken. My first outing at the beach I broke one of them. I replaced it with some PVC piping and duct tape but I could no longer take it apart. During my second outing to the beach nothing broke but there was noticeable deformation to the paddle. On my third outing the other connector piece broke and the paddle ended up in my trash can. It is easy to use and handy in an emergency but I would not recommend it for any other use since it is so likely to break or deform.\";}i:1;a:5:{s:5:\"title\";s:7:\"Useless\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"August 2, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A21JMUO53M84T\";s:4:\"name\";s:8:\"J. Lewin\";s:7:\"address\";s:12:\"New York, NY\";}s:4:\"text\";s:384:\"The paddle\'s parts are held together by large plastic O-rings. The paddle fell apart the first time I used it on completely calm water. Every few minutes I had to spend several minutes refastening the parts. The paddle\'s head fell off twice. I bought two that both suffered the same problem so I don\'t believe the problem is a one-off error. I threw out the paddles; they are useless.\";}i:2;a:5:{s:5:\"title\";s:10:\"Toy paddle\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"August 3, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2F0KB1V7TAFUZ\";s:4:\"name\";s:4:\"dr.T\";s:7:\"address\";s:6:\"Norway\";}s:4:\"text\";s:343:\"Yes, it is cheap and easy and convenient to take apart and put in your backpack. I have many years experience with paddling, and I have never tried a paddle that is so small, weak, and makes you so wet (probably due to the large, unnecessary groves in the blades). However, you can split it into two and let the kids play with it in the canoe.\";}i:3;a:5:{s:5:\"title\";s:29:\"great for an emergency paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:11:\"May 3, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1D5EFCSJOFHMH\";s:4:\"name\";s:2:\"SA\";s:7:\"address\";s:2:\"CT\";}s:4:\"text\";s:285:\"I bought this to carry as an emergency paddle in conditions where my expensive carbon paddle might be damaged or lost.<br /><br />It assembled easily and it can be broken down into a few small pieces which are easily stored in the 15\"x12\" hatch of my kayak leaving room for other gear.\";}i:4;a:5:{s:5:\"title\";s:17:\"One-stroke paddle\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:16:\"February 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AOF15AL87P2VJ\";s:4:\"name\";s:6:\"jen k.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:793:\"I bought this product because it fit in the bag with my inflatable kayak. I took my kayak with me to Costa Rica and was so excited to take advantage of some awesome kayaking waters and excellent river photography. This paddle didn\'t make it through a complete stroke before it completely and irreparably snapped. Perhaps it was a manufacturer defect in the plastic coupler but I had to rent a kayak in order to rent a paddle. Suffice it to say, my rental cost more than this paddle and I only went kayaking once on what was supposed to be a primarily kayaking trip. I adjusted and had a great time but I wouldn\'t advise pinning one\'s hopes on this paddle. I definitely wouldn\'t have this paddle as an emergency standby. My advice is to spend a few more dollars to buy a better quality product.\";}i:5;a:5:{s:5:\"title\";s:30:\"test of purchased kayak paddle\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:12:\"July 3, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ABI20KSPBZ6TM\";s:4:\"name\";s:6:\"Jaybur\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:305:\"This paddle is unsatisfactory for its intended purpose. The paddles are too small. The grips are rough and hard on the hands. It contains no water guard rings causing water to stream into the kayak with every stroke. I would have enjoyed knowing these crucial characteristics before ordering it. Thank you\";}i:6;a:5:{s:5:\"title\";s:13:\"uncomfortable\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 26, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A14SVFZKWHQ6A9\";s:4:\"name\";s:27:\"J. Campion \"software savvy\"\";s:7:\"address\";s:7:\"NY, USA\";}s:4:\"text\";s:627:\"I should have given this a lower rating, maybe 1 or 2 stars.<br />The grips are plastic with ridges, which is very uncomfortable while you are paddling. If I could move the hand grips and just place my hands on the pole it would be better, but my hands fall exactly where these uncomfortable grips exist. It separates and reconstructs easily, and is very lightweight, so that part is ok.<br /><br />I replaced this paddle with the SeaSense - Sea Sense X-Treme Deluxe Kayak Paddle. The SeaSense is much more comfortable - has a cushy layer where your hands go, and is much more adaptable in terms of hand location on the paddle.\";}i:7;a:5:{s:5:\"title\";s:15:\"Fantastic price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 15, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3W06YJC2YACTH\";s:4:\"name\";s:12:\"R. Siegfried\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:415:\"I got 2 because of the price and I am not disappointed. These are ideal for very light use on calm water. They are easy to assemble. They are very long and they will work with my inflatable 2 person kayak but if you are a reasonably handy cheapskate you could shorten them to use with a smaller craft. Do not subject them to heavy use or they will fail. These are for light recreation only and well worth the piece.\";}i:8;a:5:{s:5:\"title\";s:5:\"Light\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"January 15, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OPBP1BC2EUY3\";s:4:\"name\";s:19:\"Nicholas A. Mancini\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:123:\"This is a good product that is light and will not rust. However, do not purchase it separately if oars come with the craft.\";}i:9;a:5:{s:5:\"title\";s:20:\"Simple and effective\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"November 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3NE3FNNXJOCNN\";s:4:\"name\";s:15:\"christian ianni\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:124:\"This product has done everything I expected it to do. It was very affordable and my friends have not managed to break it yet\";}}");
INSERT INTO `wp_postmeta` VALUES("2636", "408", "asg_last_refresh_attempt", "1371235677");
INSERT INTO `wp_postmeta` VALUES("2637", "408", "asg_update_timestamp", "1371235677");
INSERT INTO `wp_postmeta` VALUES("2638", "409", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2639", "409", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2640", "409", "asg_item_id", "B001IBHVPC");
INSERT INTO `wp_postmeta` VALUES("2641", "409", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B001IBHVPC\";s:13:\"DetailPageURL\";s:203:\"http://www.amazon.com/Boone-Blue-Kayak-Crib-Paddles/dp/B001IBHVPC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001IBHVPC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:213:\"http://www.amazon.com/Boone-Blue-Kayak-Crib-Paddles/dp/tech-data/B001IBHVPC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IBHVPC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001IBHVPC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IBHVPC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001IBHVPC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IBHVPC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001IBHVPC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IBHVPC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001IBHVPC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IBHVPC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001IBHVPC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IBHVPC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001IBHVPC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IBHVPC\";}}}s:9:\"SalesRank\";s:5:\"79892\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"70\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL._SL160_.jpg\";s:6:\"Height\";s:3:\"148\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL.jpg\";s:6:\"Height\";s:3:\"464\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL._SL30_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"70\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"70\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL._SL110_.jpg\";s:6:\"Height\";s:3:\"102\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL._SL160_.jpg\";s:6:\"Height\";s:3:\"148\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41zTXMB4e%2BL.jpg\";s:6:\"Height\";s:3:\"464\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GywN3AqvL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GywN3AqvL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31GywN3AqvL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31GywN3AqvL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31GywN3AqvL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31GywN3AqvL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415TWjQuOjL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415TWjQuOjL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415TWjQuOjL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415TWjQuOjL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415TWjQuOjL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/415TWjQuOjL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41YV3-A7ulL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"25\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41YV3-A7ulL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"63\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41YV3-A7ulL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"63\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41YV3-A7ulL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"93\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41YV3-A7ulL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"135\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41YV3-A7ulL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"422\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:10:\"Boone Blue\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:9:\"BOO_B9099\";i:1;s:5:\"B9099\";}}s:5:\"Color\";s:4:\"Blue\";s:10:\"Department\";s:6:\"Unisex\";s:3:\"EAN\";s:13:\"0858476001621\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0858476001621\";}s:7:\"Feature\";a:5:{i:0;s:36:\"Safe, convenient way to store kayaks\";i:1;s:38:\"Made of reinforced, steel-plated tubes\";i:2;s:39:\"15 inches deep; holds almost all kayaks\";i:3;s:16:\"No straps needed\";i:4;s:35:\"Fasteners for installation included\";}s:5:\"Label\";s:10:\"Boone Blue\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$54.99\";}s:12:\"Manufacturer\";s:10:\"Boone Blue\";s:5:\"Model\";s:5:\"B9099\";s:3:\"MPN\";s:5:\"B9099\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"1800\";s:6:\"Weight\";s:3:\"600\";s:5:\"Width\";s:4:\"1800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"B9099\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:10:\"Boone Blue\";s:11:\"ReleaseDate\";s:10:\"2008-07-04\";s:6:\"Studio\";s:10:\"Boone Blue\";s:5:\"Title\";s:31:\"Boone Blue Kayak Crib 2 Paddles\";s:3:\"UPC\";s:12:\"858476001621\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"858476001621\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"4748\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$47.48\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B001IBHVPC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IBHVPC\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:114:\"2n4K%2F1NWxr2FYtZfMUlnhNl2eCy25O9mOicQC4hQQTgjiaKYD7v4JSj8lM9n8h1T216khMCPdtE8TJP9%2F2DzpfX8chkAyS3saFj07PpQBx0%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$52.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"200\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.00\";}s:15:\"PercentageSaved\";s:1:\"4\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001IBHVPC&atag=freetos-20&exp=2013-06-15T18%3A47%3A57Z&v=2&sig=2X%2F7qms1UzHnNcnLrHbs0SZjFeT8ekwXq8FyzdlHy28%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:319:\"Design patented the Kayak Crib protects your kayak with worry free storage. It is easy to install and the fasteners are included. At 15 inches deep this hanger will hold all virtual all kayaks. Provides a secure fit, so no straps are needed and it loads in seconds. A beautiful way to display your kayak. Good paddlin\'.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:451:\"The Boone Blue Kayak Crib 2 Paddles are a safe, convenient way to store your kayaks. The patented paddles are easy to install onto any wall in a cabin, house, or garage. Made of reinforced, steel-plated tubes, the paddles are 15 inches deep and provide a secure fit for almost all kayaks. No messy, unsightly straps of any kind are needed and you can load the kayak in a matter of seconds. All fasteners for installation are included with the paddles.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2633", "408", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:30:\"24 x 19 x 7 inches ; 41 pounds\";s:15:\"Shipping Weight\";s:11:\"45.7 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000SL0A6A\";s:17:\"Item model number\";s:8:\"SE330PRO\";}");
INSERT INTO `wp_postmeta` VALUES("2634", "408", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("2635", "408", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:16:\"Good, not great.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"January 19, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AE38OIQK19U1M\";s:4:\"name\";s:17:\"B. Moore \"Fleece\"\";s:7:\"address\";s:13:\"San Diego, CA\";}s:4:\"text\";s:1727:\"I bought this item off a membership-only wholesaler and I have not been let down in my three years of ownership. Though advertised as a two-person vessel, two people make it very cramped, especially for me as I have very long legs.<br /><br />But for a single passenger, this kayak is very comfortable. It is very transportable, I fold it up to keep in my trunk in the spring and summer months, and I\'ve also taken it on several camping trips over the years. With just one person, there is plenty of room to pack a cooler, and my favorite option is using bungee cords to strap down gear to the front or back of the kayak.<br /><br />This kayak has many great surprises, the valves (Boston valves) let air in one direction to inflate, which is always an issue with air mattresses, and things that need a real firm pressure. The provided foot pump is ample, but makes for a tiresome setup, but still in under 10 minutes. The repair set for small holes and punctures works great, I\'ve had a small puncture sealed back to normal for almost two years. Paddling is smooth with the two skegs (fins) on the underside provide straight steering and efficiency.<br /><br />The biggest let down on this kayak is the seats, which are inflated, and do not provide the support of a hard-plastic seat in fiberglass kayaks. Overall though, this kayak can provide a great weekend getaway in the local river/lake/bay. I have not taken it out to the beach, but I believe it would not underperform.<br /><br />I paid roughly two hundred dollars; a deal for me, but as inflatable kayaks have improved, I would now invest in the Sevylor Colorado Canoe (just like this kayak) because of it\'s reinforced seats and the option of adding a trolling motor.\";}i:1;a:5:{s:5:\"title\";s:12:\"very pleased\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ZMGWD3PAAO3G\";s:4:\"name\";s:15:\"bogart \"bogart\"\";s:7:\"address\";s:13:\"United States\";}s:4:\"text\";s:2464:\"I bought this kayak about 3 weeks ago and have since taken it on 2 trips, one to the NC mountains and one to coastal Maine. I\'m delighted with it. We drove to the mountains and I floated about 6 miles down an easy section of the north branch of the New River in it and found it great. The river where I was is simple (easy enough for tubing with no rapids to speak of) and the solo kayak was fun -- and easy to set up, manage, and get back out of the river. For the ocean in Maine I found it less suitable; I\'m not a serious kayaker and had limited ability to be in those waters, period (cold Atlantic ocean shore shielded by a few islands). That said, I found the kayak easy to board and to get back out of from the dock of the place where we were staying and enjoyed paddling it around the cove where I was close to shore. I personally didn\'t feel it was a good boat to take out into more open waters in that setting though more experienced kayakers might disagree; its high profile made it very susceptible to being blown by the wind, and it doesn\'t track wonderfully, despite its skegs. But I was able to pack it (in a large wheeled duffle) and bring it via airplane + rental car with no trouble and enjoyed having it handy for short / near-to-shore paddles. In Maine I used it with both my preschooler and my mom (not at the same time!) and we found it useful for both purposes -- for me and my kid to float around in a bit, and for me and my mom to paddle along the shore. It\'s comfortable, but not spacious, for two average sized (5\'6\" / 150#) women, would be tight, I think, for two people if either were much taller than that. And compared to other kayaks, the price can\'t be beat. I\'d definitely recommend this for someone looking for an affordable entry-level kayak and/or wanting something portable, though as I say were I considering using it with 2 large adults I\'d go for the larger (370?) model.<br /><br />Its light weight notwithstanding, with all its parts (paddles, seats, pump) and packed into the wheeled duffle, the boat only just fit under the airline weight limit for checked bags of 50# -- but it did weigh in under that.<br /><br />I find the pro package seats only reasonably comfortable and imagine the deluxe seats must be pretty aggravating (though maybe I\'m wrong -- I haven\'t tried them); I\'m glad I bought the more expensive and supportive package. I\'m pretty inflexible physically, so others may find these seats more acceptable.\";}i:2;a:5:{s:5:\"title\";s:21:\"Review on set up only\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1GIER5N93QP12\";s:4:\"name\";s:7:\"eclectc\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2513:\"I decided to do a 2 section review while the first part is fresh in my mind. This review is simply on ordering, delivery and set up, not on performance (we still have ice on all our water)<br />After researching, reading reviews and weighing the pros and cons of hard shell vs. inflatable we decided on inflatable because of the ease of transport and the money saved not having to get a rack installed.<br /><br />We are middle-aged (hate to say that) beginning kayakers whose goal for now is just to explore smaller lakes and coves. No hassle is a large priority in our lives.<br /><br />We ordered our SeaEagle 330 and 370 Deluxe on Sunday and they were delivered 5 days later. We had always planned on getting 2 and after reading size reviews we chose the longer 370 so if we wanted to go out together we wouldn\'t feel cramped (I am 5\'6\" my husband is 5\'10\"). We got the 330 thinking we don\'t need 2 370\'s<br /><br />I gave a 4 star rating because the directions enclosed from SeaEagle were pretty useless when it came to setting everything up. Had I not done my homework and watched excellent internet videos it would have been difficult to know where to start.<br /><br />I finished getting the 370 set up and decided to time myself on the 330. To get the valve caps secured on took 14 minutes to do all nine. I did use the hint of using a blow dryer to soften them. I discovered a turning technique that worked very quickly. In the beginning I admit this was the most challenging (and I broke a fingernail)<br /><br />To inflate I used the foot pump that came with it. I discovered doing the sides first, then the bottom, then the spray skirt worked best. Each side and the bottom took me about 80 presses of the foot pump. Total inflation including 1 seat took me 12 minutes.<br /><br />To deflate, roll up and pack into the bag took 8 minutes.<br /><br />I realize it would take longer if it needed to be dried off.<br /><br />I was able to easily pack the 330 myself but I think I would need a little help with the 370 (but I won\'t be using that solo anyway)<br /><br />Plan on about 1/2 hour for the first setup and I would advise you do it at home to get familiar with everything and make sure everything seals well. I am thinking the claims that you can be in the water in 15 minutes will be true!<br /><br />Now the most difficult part is waiting for the ice to go and for it to warm up enough to get out on the lake! I will publish a review on that from a beginners viewpoint when it finally happens\";}i:3;a:5:{s:5:\"title\";s:13:\"Very relaxing\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AKINBVLVGFYN0\";s:4:\"name\";s:1:\"J\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:824:\"I\'m a poor student without the funds nor the space to store a big hardshell kayak, so I decided on the sea eagle 330 pro. The thing is built very well, it doesn\'t feel or look cheap at all. I take it out primarily on still water with average 10mph winds and can paddle about as fast as I can walk. As soon as you stop paddling though the kayak will turn so the left or right side faces the wind and you\'ll be slowly pushed unless you anchor yourself. Fortunately, there\'s enough room for yourself, a cooler, an anchor, even a waterproof radio.<br /><br />I\'ve taken it out with myself and a small girl (I\'m six feet, she\'s 5\'6\") and it was pretty cramped.<br /><br />The reason for four stars instead of five is because of how slow the thing is. But I imagine that with no wind and on still water, the speed would be faster.\";}i:4;a:5:{s:5:\"title\";s:22:\"Great Fun and Easy too\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2P6BPXR9JRCU4\";s:4:\"name\";s:9:\"Lillianna\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:372:\"I am a 66 year old single woman and was seeking an easy to set up myself kayak. Well, this one is just great.<br />I keep it on my back seat and I bought an air mattress blow up kit at a local discount store. (Less than $20) I plug the little machine into my car lighter and Voila - I have a kayak. I drag it to the water and off I go. I have my kayak and my independence.\";}i:5;a:5:{s:5:\"title\";s:16:\"nice little boat\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 13, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1JDXTAGVEOGUW\";s:4:\"name\";s:12:\"D. Li \"Wolf\"\";s:7:\"address\";s:3:\"USA\";}s:4:\"text\";s:637:\"i just got this boat yesterday and had it on water this afternoon. almost satisfied:<br /><br />Bads:<br />No enough leg room for two 5\'9\'\' people. SE370 might provide much more room.<br /><br />Goods:<br />Extremely portable.<br /><br />Tough material. We dragged it through banks with small rocks, not a scratch.<br /><br />Reasonable Performance: it goes reasonably straight in calm water. and actually very stable once you got used to it.<br />The yaw is well under control unless two people simultaneously struck the water on the same side really hard.<br /><br />We had a great time, and are looking forward for more in the future.\";}i:6;a:5:{s:5:\"title\";s:37:\"Multiple problems after three outings\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"August 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A31AWN69BH3FAO\";s:4:\"name\";s:2:\"GK\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1349:\"We purchased two SE370 kayaks, one from Amazon and one from Costco, same kayak exactly except that the Amazon purchase included the deluxe seats (\"Pro Package\") and the Costco unit had the standard seats. We later purchased two more deluxe seats for the second kayak, also through Amazon. Both kayaks developed pinhole leaks after only three outings. We could have patched them but it looked like the material was developing welts that would create more leaks later on. The pins on the paddles also froze and had to be hammered to disassemble the oars rendering them useless. We returned both kayaks and received credit from the retailers. Our friends purchased two more but after they saw what happened to ours they returned theirs unused. The deluxe seats that we purchased separately collapsed and bled blue ink that stained the vinyl. I sent photographs to the retailer and was immediately credited. It is hard to understand why we had these problems when there are so many positive reviews for this product. Sea Eagle would not help us because we did not purchase directly from them but we were fortunate to have responsible retailers to work with through Amazon and Costco. We did find the kayaks very stable, fun to use, easy to inflate and easy to deflate and store. We fit both in the trunk of our Hyundai Sonata. Now we have to start over.\";}i:7;a:5:{s:5:\"title\";s:14:\"Better for one\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 26, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AQAM7J0A4ZY3B\";s:4:\"name\";s:2:\"AD\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:264:\"This is a well made, durable kayak. It\'s advertised as a two person but is much more suited for one. Two is pretty cramped. Foot pump is very fast at inflating the kayak. I would recommend this product if you don\'t have the room to store or transport a hard kayak.\";}i:8;a:5:{s:5:\"title\";s:16:\"unstable but fun\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"December 1, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AEPBAMYO6W2ZB\";s:4:\"name\";s:17:\"Aleksandar Djuric\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:119:\"I like the kayak but it is kind of unstable and it does not keep direction very good...but for the money its great fun.\";}i:9;a:5:{s:5:\"title\";s:22:\"Great Inflatable Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AT986JVEK3PMB\";s:4:\"name\";s:24:\"Allie Allee \"AvidReader\"\";s:7:\"address\";s:13:\"Baltimore, MD\";}s:4:\"text\";s:1669:\"Kayak was delivered in two days in great condition. Took the maiden voyage last weekend - 12 mile trip (about 5.5 hours). We were kayaking with two hard-sided single kayaks. Results: this boat is easy to inflate, looks great, is a bargain, is very easy to transport (especially compared to hard-side kayaks), and is set up nicely to transport people and gear with ease. The \"pro\" seats are super comfortable and paddles seem to work fine. NOTE: this is not a boat built for speed - it cannot keep up with a hard-sided kayak - but it isn\'t hard-sided and many of the conveniences and comfort features are precisely because it is inflatable so they really shouldn\'t be compared! The other great feature is the price. For under $300 this boat was sturdy enough to slide over rocks and bounce around tree-trunks (big storm the night before we were on the river). It has two skegs (protected by little inflatable sleeves - very complete!) but it doesn\'t point particularly well. We put the front seat forward (to give leg room to back rower) and front rower dragged right foot in water and solved the problem. The spray guard made a nice little tent for our small dog, who got enough sun after an hour and scooted under cover happily. As front rower, I put both legs over the sides (it was comfortable and gave room for dog). If two long-legged people tried to keep all legs in boat, bent knees would be required. At the end of ride it was fast and easy to deflate boat (good quality valves), fold into trunk and head home. We reinflated, rinsed and air-dried the boat this morning and packed back into travel bag. Easy. After one excursion - we rate this kayak \"Excellent\"!\";}}");
INSERT INTO `wp_postmeta` VALUES("2627", "407", "asg_last_refresh_attempt", "1371235674");
INSERT INTO `wp_postmeta` VALUES("2628", "407", "asg_update_timestamp", "1371235674");
INSERT INTO `wp_postmeta` VALUES("2629", "408", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2630", "408", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2631", "408", "asg_item_id", "B000SL0A6A");
INSERT INTO `wp_postmeta` VALUES("2632", "408", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000SL0A6A\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Sea-Eagle-Inflatable-Kayak-Package/dp/B000SL0A6A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000SL0A6A\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Sea-Eagle-Inflatable-Kayak-Package/dp/tech-data/B000SL0A6A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A6A\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000SL0A6A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A6A\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000SL0A6A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A6A\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000SL0A6A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A6A\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000SL0A6A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A6A\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000SL0A6A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A6A\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000SL0A6A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A6A\";}}}s:9:\"SalesRank\";s:5:\"34085\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL75_.jpg\";s:6:\"Height\";s:2:\"33\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL160_.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L.jpg\";s:6:\"Height\";s:3:\"222\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL30_.jpg\";s:6:\"Height\";s:2:\"13\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL75_.jpg\";s:6:\"Height\";s:2:\"33\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL75_.jpg\";s:6:\"Height\";s:2:\"33\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL110_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL160_.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L.jpg\";s:6:\"Height\";s:3:\"222\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL30_.jpg\";s:6:\"Height\";s:2:\"13\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL75_.jpg\";s:6:\"Height\";s:2:\"33\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL75_.jpg\";s:6:\"Height\";s:2:\"33\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL110_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L._SL160_.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41B3FzOir4L.jpg\";s:6:\"Height\";s:3:\"222\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"Sea Eagle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"SE330PRO\";}s:5:\"Color\";s:4:\"Grey\";s:10:\"Department\";s:7:\"Bedroom\";s:3:\"EAN\";s:13:\"0023634081467\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0023634081467\";}s:7:\"Feature\";a:5:{i:0;s:82:\"Inflatable kayak designed to hold up to two adults and their gear (500 pounds max)\";i:1;s:75:\"33 mm polykrylar hull, I-beam construction, and high-frequency welded seams\";i:2;s:77:\"Safe for fishing, yacht tending, sky diving, and Class III whitewater rafting\";i:3;s:77:\"Inflatable spray skirts; includes two kayak seats, foot pump, and storage bag\";i:4;s:64:\"Measures 134 inches long and 34 inches wide; three-year warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"700\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:4:\"4100\";s:5:\"Width\";s:4:\"1900\";}s:5:\"Label\";s:9:\"Sea Eagle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"29999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$299.99\";}s:12:\"Manufacturer\";s:9:\"Sea Eagle\";s:5:\"Model\";s:8:\"SE330PRO\";s:3:\"MPN\";s:9:\"SE330-PRO\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1110\";s:6:\"Length\";s:4:\"3410\";s:6:\"Weight\";s:4:\"4620\";s:5:\"Width\";s:4:\"2010\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:9:\"SE330-PRO\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Sea Eagle\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:6:\"445364\";s:6:\"Studio\";s:9:\"Sea Eagle\";s:5:\"Title\";s:47:\"Sea Eagle 330 Inflatable Kayak with Pro Package\";s:3:\"UPC\";s:12:\"023634081467\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"023634081467\";}s:8:\"Warranty\";s:15:\"Refund accepted\";}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:1:{s:14:\"FormattedPrice\";s:18:\"Too low to display\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:5:\"24983\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$249.83\";}s:8:\"TotalNew\";s:2:\"24\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000SL0A6A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A6A\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:118:\"6N9bDsDwpM4Sa6Jh1hbsGBx2Xxe7CSTOeL0Jgt5CEWDNMJkDMIMWFKYA9mKojJKAXoqpJcNyP7Uv2BnwCPuJxTaW2IayIU%2FUrPUKa%2B%2F%2FAUI%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"29999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$299.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000SL0A6A&atag=freetos-20&exp=2013-06-15T18%3A47%3A55Z&v=2&sig=uYWgLlP0xwHPFhfIWRMORprJInrbq5jQIDf3D5jHSi8%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:473:\"Everything about the SE330 is easy. Easy to carry, easy to inflate, easy to paddle, maintain, deflate and AFFORD! The SE330 is made with an extra-thick 33 mil K-80 Polykrylar hull. It weighs just 26 pounds, but will carry 500 pounds. It\'s inflated dimension are 11\'2\" x 2\'10\" Between it\'s 9\" tubes is a 9\'6\" x 1\'1\" interior. It inflates from it\'s compact 24\"x16\"x7\" deflated size in only 6 minutes with the included foot pump. It is suitable for up to Class III whitewater.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1748:\"Imagine blasting down a white water river--with spray flying everywhere and your heart beating like a drum--or silently paddling down a mirror-smooth lake at dawn. A pleasant dream? Definitely, but also a slice of attainable reality with the Sea Eagle 330 inflatable kayak. Designed to hold up to 500 pounds but weighing only 26 pounds itself, the 330 can up to two adults and gear, but only needs one adult to carry it to the water. It\'s even tough enough to withstand dog claws thanks to the 33 mm polykrylar hull, I-beam construction, and high-frequency welded seams. Your four-legged friend can therefore stand tall while you do all the work. <p> The Sea Eagle 330 canoe packs down to fit in a storage bag, yet has enough cargo space for several days worth of camping supplies. And it\'s versatile enough for plenty of uses, from fishing to yacht tending to skin-diving. It can even handle up to Class III whitewater. Other details include inflatable spray skirts, front and rear rope handles, and a self-bailing drain valve (a handy feature on whitewater rivers or ocean surf). This pro version of the Sea Eagle 330 also comes with two 8-foot AB30 paddles, two kayak seats, a foot pump, and a storage bag. The kayak measures 134 inches long and 34 inches wide and carries a three-year warranty.<p> <strong>Specifications:</strong><ul> <li>Exterior: 11\' 2\" x 2\' 10\" <li>Interior: 9\' 6\" x 1\' 1\" <li>Deflated: 24\" x 16\" x 7\" <li>Tube Diameter: 9\" <li>Capacity: 2 Adults or 500 pounds <li>Weight: 26 pounds <li>Chambers: Three (port, starboard & floor) <li>Material: 33 mil Polykrylar <li>Seam: High Frequency Welded <li>Floor: Inflatable I-beam construction <li>Air Valves: Three, deluxe one-way <li>Inflation and Assembly Time: 6 minutes </ul><p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2618", "406", "asg_last_refresh_attempt", "1371235672");
INSERT INTO `wp_postmeta` VALUES("2619", "406", "asg_update_timestamp", "1371235672");
INSERT INTO `wp_postmeta` VALUES("2620", "407", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2621", "407", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2622", "407", "asg_item_id", "B004AURWE8");
INSERT INTO `wp_postmeta` VALUES("2623", "407", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B004AURWE8\";s:10:\"ParentASIN\";s:10:\"B004AURWE8\";s:13:\"DetailPageURL\";s:223:\"http://www.amazon.com/Advanced-Elements-Advancedframe-Convertible-Kayak/dp/B004AURWE8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004AURWE8\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:233:\"http://www.amazon.com/Advanced-Elements-Advancedframe-Convertible-Kayak/dp/tech-data/B004AURWE8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004AURWE8\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004AURWE8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004AURWE8\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004AURWE8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004AURWE8\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004AURWE8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004AURWE8\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004AURWE8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004AURWE8\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004AURWE8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004AURWE8\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004AURWE8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004AURWE8\";}}}s:9:\"SalesRank\";s:4:\"8792\";s:14:\"ItemAttributes\";a:14:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:5:\"Color\";s:3:\"Red\";s:5:\"Label\";s:17:\"Advanced Elements\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"64999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$649.99\";}s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:3:\"MPN\";s:8:\"AE1007-R\";s:17:\"PackageDimensions\";a:3:{s:6:\"Height\";s:4:\"3900\";s:6:\"Length\";s:4:\"5400\";s:5:\"Width\";s:4:\"4700\";}s:10:\"PartNumber\";s:8:\"AE1007-R\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:49:\"Advanced Elements Advancedframe Convertible Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"64257\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$642.57\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"69999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$699.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:4:\"Size\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B000J2O5VE\";s:10:\"ParentASIN\";s:10:\"B004AURWE8\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL160_.jpg\";s:6:\"Height\";s:2:\"85\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL.jpg\";s:6:\"Height\";s:3:\"266\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:12:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL110_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL160_.jpg\";s:6:\"Height\";s:2:\"85\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL.jpg\";s:6:\"Height\";s:3:\"266\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL110_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL._SL160_.jpg\";s:6:\"Height\";s:2:\"85\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31d5VhiF5CL.jpg\";s:6:\"Height\";s:3:\"266\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41X9t0S8C2L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41X9t0S8C2L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41X9t0S8C2L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41X9t0S8C2L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41X9t0S8C2L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41X9t0S8C2L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416Xv5O1XhL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416Xv5O1XhL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416Xv5O1XhL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416Xv5O1XhL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416Xv5O1XhL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/416Xv5O1XhL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:5;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k6ocn00aL._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k6ocn00aL._SL75_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31k6ocn00aL._SL75_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31k6ocn00aL._SL110_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31k6ocn00aL._SL160_.jpg\";s:6:\"Height\";s:2:\"35\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31k6ocn00aL.jpg\";s:6:\"Height\";s:3:\"109\";s:5:\"Width\";s:3:\"500\";}}i:6;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/315Z9tFA10L._SL30_.jpg\";s:6:\"Height\";s:1:\"7\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/315Z9tFA10L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/315Z9tFA10L._SL75_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/315Z9tFA10L._SL110_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/315Z9tFA10L._SL160_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/315Z9tFA10L.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"500\";}}i:7;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:8;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:9;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51yMhrLVfmL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51yMhrLVfmL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51yMhrLVfmL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51yMhrLVfmL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51yMhrLVfmL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51yMhrLVfmL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:10;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41iCZ7BmNsL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41iCZ7BmNsL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41iCZ7BmNsL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41iCZ7BmNsL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41iCZ7BmNsL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41iCZ7BmNsL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:11;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31S4AQuGEWL._SL30_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31S4AQuGEWL._SL75_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31S4AQuGEWL._SL75_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31S4AQuGEWL._SL110_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31S4AQuGEWL._SL160_.jpg\";s:6:\"Height\";s:2:\"43\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31S4AQuGEWL.jpg\";s:6:\"Height\";s:3:\"134\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"AE1007-R\";}s:5:\"Color\";s:8:\"Red/Gray\";s:3:\"EAN\";s:13:\"0832994000328\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0832994000328\";}s:7:\"Feature\";a:5:{i:0;s:69:\"Built-in aluminum ribs define the bow and stern and improves tracking\";i:1;s:56:\"Three layers of material for extreme puncture resistance\";i:2;s:74:\"Pre-assembled at the factory; simply unfold, inflate, and attach the seats\";i:3;s:75:\"High support, adjustable padded seats provide comfort for hours of paddling\";i:4;s:54:\"Three seat locations allow for paddling solo or tandem\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"2500\";s:5:\"Width\";s:4:\"1500\";}s:5:\"Label\";s:17:\"Advanced Elements\";s:15:\"LegalDisclaimer\";s:67:\"Read all instructions and manuals supplied, buyer uses at own risk.\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"74999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$749.99\";}s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:5:\"Model\";s:8:\"AE1007-R\";s:3:\"MPN\";s:4:\"U102\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:4:\"3610\";s:6:\"Weight\";s:4:\"5720\";s:5:\"Width\";s:4:\"2180\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:4:\"U102\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:4:\"Size\";s:4:\"15ft\";s:3:\"SKU\";s:14:\"AE-ADVFRM-CONV\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:60:\"Advanced Elements AdvancedFrame Convertible Inflatable Kayak\";s:3:\"UPC\";s:12:\"832994000328\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"832994000328\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:4:\"15ft\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:118:\"nh%2Byu2nhdWw%2B60QJUw60%2FAYfVu8LXKNBpZX7PGcSOposLz9v1Wa0VN3Q2aVjC10GjVHlsRnh6qzNMgVPXVc1dq0CP87ozESFxsNhcaM%2BnvA%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"64257\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$642.57\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:5:\"10742\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$107.42\";}s:15:\"PercentageSaved\";s:2:\"14\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004AURWE8&atag=freetos-20&exp=2013-06-15T18%3A47%3A52Z&v=2&sig=F7orX1Wiisfh0TaJwz%2FQVByBEUjYIS9K8sG1OXBL86k%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:299:\"The Advanced Elements AdvancedFrame™ covertible kayak is a 15-ft kayak that can be paddled solo or tandem. It features 2, adjustable padded back supports for comfortable seating durable, double-coated fabric. A dry storage compartment and bungee deck lacing allow you to take along important gear.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2606", "405", "asg_product_details", "a:3:{s:11:\"Item Weight\";s:9:\"36 pounds\";s:15:\"Shipping Weight\";s:9:\"36 pounds\";s:4:\"ASIN\";s:10:\"B002IAHABW\";}");
INSERT INTO `wp_postmeta` VALUES("2607", "405", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("2608", "405", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:26:\"Yakima Bowdown Kayak Racks\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 22, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3MDPIYZQAM8PA\";s:4:\"name\";s:15:\"M.E. \"Mitch E.\"\";s:7:\"address\";s:10:\"Minden, Nv\";}s:4:\"text\";s:712:\"I purchased two sets to carry two kayaks on our 2005 Honda CRV. They mounted easily on the factory roof rack and I secured them from theft with the optional SKS (Same Key System) locks. Loading and securing the kayaks, on their side, on the Bowdown is easy (with the use of a foot stool to reach and pull the straps over the kayak). The kayaks are very secure and we were able to travel at highway speed without concern. The racks fold and lock in the down postion when not in use, thus not having to take them off to park in our garage. I would give them five stars except when driving they whistle. I was able to isolate the whistle to the waffle configuration on the top of the racks. I highly recommend them.\";}i:1;a:5:{s:5:\"title\";s:18:\"Yakima Falls Short\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"April 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2EIX1V061854J\";s:4:\"name\";s:10:\"Dave Smero\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2909:\"I purchased the Yakima BowDown Rooftop Kayak Rack for my Infiniti FX35 to haul around my 12\' Moken fishing kayak. Install was simple and took about 10 minutes and mounting to the existing crossbars. I have a number of complaints with the quality of the hardware. While driving around without the kayak but the mounts still attached, they whistle...loud...and even at low speeds. The air passing through the waffle mounts causes this but Yakimas response was: buy our Fairing to reduce wind. Seriously? Spend more money to fix an issue with your mounts? Since the install is simple enough I keep them removed in my trunk when not in use and install them when I need so. My second issue is with the front and rear straps that connect to the tow hooks. They are so cheaply made that they will loosen at high speeds. The S hooks that connect to the tow hooks are small and I fear the straps will loosen and wrap around an axel and cause major damage. The front and rear straps also have a piece of clear rubber surrounding the strap to not cause paint damage to where the strap contacts the bumpers. This doesn\'t seem to work either. It rubbed off a smart amount of clear coat from both front and rear bumpers after a couple times of use. Both straps were tight and twisted to reduce vibrations. The middle straps used to connect the kayak to the Yakima rack are sufficient and don\'t feel as cheaply made as the front and rear. It seems that Yakima decided to cut corners with the front/rear straps, bumper protectors and S hooks.<br /><br />I \"fixed\" a majority of my issues by purchasing better straps from my local WallMart. Instead of the cheap S hooks, I used climbing carabiners that I know will not slip off. To protect my front and rear bumpers I cut pieces of foam for the straps and ran the strap through the foam to cushion it on the bumpers. My final issue I have with Yakima is they didn\'t include the locking system with this rack and make you buy it separately. For $180 you think you would have high quality parts with a locks but I guess not. I use a short piece of a chain that connects to the molded side handle of my kayak and to the roof rail secured by a combination lock. I only use this for travel when I leave my kayak on the roof overnight and such. This could be a great product and has potential but falls way short. I shouldn\'t have to spend more money to perfect your product.<br /><br />The Good:<br />Easy to install<br />Portable<br />Affordable<br /><br />The Bad:<br />Causes constant high pitch whistle<br />Locks must be purchased separately<br /><br />The Ugly:<br />Unreliable front and rear straps<br />Cheap & small S hooks<br />Directed by Yakima to install their Fairing to correct whistle<br /><br />UPDATE 6/2/2012<br />I replaced the top straps with 10\' Reese ratcheting tow straps. $10 from my local Walmart. I now have 100% confidence my kayak isn\'t going anywhere.\";}i:2;a:5:{s:5:\"title\";s:12:\"Works great!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 31, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2LWYTOFGA64ZL\";s:4:\"name\";s:13:\"Chris \"Chris\"\";s:7:\"address\";s:4:\"Ohio\";}s:4:\"text\";s:2116:\"I bought 1 BowDown system for starters and may buy a second. As with all Yakima products, they\'re easy to mount to my Yakima round bars. I have a 44\" Fairing blocker on my rack and was able to mount the unit to the rack without much trouble. The warning I have here is on my car with I believe 58\" crossbars + 44\" fairing, the front BowDown unit had to rest a little bit on the rack\'s tower and not completely on the bar. I noticed it didn\'t get as well of a grip to the bar and thus tilted forward slightly when I didn\'t have a Kayak loaded.<br /><br />Next time I use these I\'ll try mounting them more over my roof and over top the Fairing clamps if possible. Yakima recommends the unit to be installed near the edge of the car so it can hang off a half inch over the end of your cross bars or so. This is because the lower ends of the unit are slanted as to help with loading. If you can\'t lift the boat up high enough to drop it in the cradle, you can sort of push it up the inclined side until it drops securely into the cradle.<br /><br />I have a 2012 Focus Hatchback and a 12ft 50LB Current Designed Kayak. No issues getting it all secured down and drove about 10 miles on the highway at around 60-65 MPH without a hassle. Because of my car, I bought the Yakima \"ANCHOR STRAP KIT\" so I could attach a loop under the hood of my car. This way the front of the boat is securely tied down to something more solid than my vehicle\'s front end. Another plus to this is that this method of securing the boat keeps staps from having to rub against the body of my car. The rear tie-down I was able to attach under the rear of my car to a loop in the frame.<br /><br />I didn\'t want to forget to mention but they fold down easily and don\'t seem to add much road noise even when on the freeway. They add a bit of a whisp from what I could tell but down howl obnoxiously like my rack did before I added the Fairing. They also secure down with the SKS option which is nice, but if you wanted to secure your loaded Kayak, you\'d need to use some additional method. I bought Yakima\'s boat locker but haven\'t tried it out yet.\";}i:3;a:5:{s:5:\"title\";s:7:\"Car Top\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"November 7, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ANJH7HC7NFMQK\";s:4:\"name\";s:9:\"coachluke\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:239:\"The carrier is well made and well padded. They were easy to install. The only drawback is the way the kayak is secured to the rack. I am leary that the ties could slip off the anchore on the top. I prefer the straps being part of the rack.\";}i:4;a:5:{s:5:\"title\";s:35:\"I love my Yakama BowDown Kayak Rack\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 15, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3MTDJYNSAZDNX\";s:4:\"name\";s:11:\"Yumi M. Ono\";s:7:\"address\";s:19:\"NewWestminster B.C.\";}s:4:\"text\";s:351:\"I bought this rack mainly because they look smart on my car and very functional. Very easy to install and easy to put the kayak on. But if your kayak is heavy, you will need other person to help you. Especially depend on the maker of the car or how tall you are. But over all it worth paying little more to get this rack and I am very happy with them.\";}i:5;a:5:{s:5:\"title\";s:25:\"Yakima BowDown Kayak rack\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 28, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3R4PHNOAQXYPI\";s:4:\"name\";s:9:\"G. Cooper\";s:7:\"address\";s:13:\"Tampa, FL USA\";}s:4:\"text\";s:364:\"Very satisfied with this exceptional product. The installation was easy, and installing the Same Key Lock System was quick and simple, and provides security. The BowDown racks are very well made and their design offers great protection for the kayak. They fold down easily and present a low profile when not in use.<br /><br />Amazon is always great for purchases!\";}i:6;a:5:{s:5:\"title\";s:42:\"One of the best kayak carriers you can buy\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:11:\"May 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AK2MDUIPGY9WA\";s:4:\"name\";s:24:\"M. Gerenser \"Adventurer\"\";s:7:\"address\";s:14:\"Victor, NY USA\";}s:4:\"text\";s:1730:\"I went through 2 other J-bars for my Kayaks before I finally settled on the BowDowns. They\'re excellent, but they do have a few strange quirks/limitations. That being said, I\'ve been using mine almost every weekend in the summer/fall and they really do work great.<br /><br />I purchased 2 sets of these and have them installed on Yakima Whispbars. With this system, the BowDowns work really well. I noticed some other reviewers didn\'t like how the BowDowns worked with round bars, and I can see why. However, I\'ve always hated round bars (and I didn\'t think square bars are that much better). A note of advice to anyone who hasn\'t purchased a crossbar system yet: go with the aero-style bars, like the Whispbars. You won\'t be disappointed. They\'re stronger, quieter and work a lot better than the finicky round bars.<br /><br />I have travelled over over winding roads and highways with 2 kayaks loaded on my car. No issues. The BowDowns do their job, holding my boats securely on my vehicle.<br /><br />Pros:<br />- Soft, padded construction really protects the kayaks<br />- Build-in loading ramp makes it easy to slide the kayaks up onto the cradle<br />- The jaws that grip the crossbars are strong. And they\'re easy to install and remove<br />- Lockable with the Yakima SKS system<br /><br />Cons:<br />- I don\'t care for the way these fold down. Unlike the Thule fold-down cradles, the Yakima has this goofy red knob that you have to turn (and turn, and turn) to loosen it. Then and only then can you fold it down. And guess what? Now you gotta tighten that knob again. Its just not a convenient design.<br />- Because there\'s so much chunky padding on these, they do make a lot of noise on the road, even when folded down.\";}i:7;a:5:{s:5:\"title\";s:11:\"Works great\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 20, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3OHQCIY556Q8B\";s:4:\"name\";s:10:\"Kodiak Man\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:166:\"These work great! They mount up to my round bars perfectly and hold my kayak securely. These are exactly what you would expect in quality and performance from Yakima.\";}i:8;a:5:{s:5:\"title\";s:20:\"BowDown kayak racks.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3LFDHH8F48BZQ\";s:4:\"name\";s:14:\"California CCW\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:172:\"Nicely made, but for the price Yakima should address the whistle... The faster you go, the louder they whistle. I would recommend them if you can handle noise on your roof.\";}}");
INSERT INTO `wp_postmeta` VALUES("2600", "404", "asg_last_refresh_attempt", "1371235667");
INSERT INTO `wp_postmeta` VALUES("2601", "404", "asg_update_timestamp", "1371235667");
INSERT INTO `wp_postmeta` VALUES("2602", "405", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2603", "405", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2604", "405", "asg_item_id", "B002IAHABW");
INSERT INTO `wp_postmeta` VALUES("2605", "405", "asg_amazon_data", "a:15:{s:4:\"ASIN\";s:10:\"B002IAHABW\";s:10:\"ParentASIN\";s:10:\"B002IAHABW\";s:13:\"DetailPageURL\";s:199:\"http://www.amazon.com/Yakima-Bowdown-Kayak-Rack/dp/B002IAHABW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB002IAHABW\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:209:\"http://www.amazon.com/Yakima-Bowdown-Kayak-Rack/dp/tech-data/B002IAHABW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAHABW\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB002IAHABW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAHABW\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB002IAHABW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAHABW\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB002IAHABW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAHABW\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B002IAHABW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAHABW\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B002IAHABW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAHABW\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B002IAHABW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAHABW\";}}}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/318q8UcfPqL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:13:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:6:\"Yakima\";s:7:\"Feature\";a:5:{i:0;s:19:\"Weight is 12 pounds\";i:1;s:57:\"Includes heavy duty straps, bow and stern tie down straps\";i:2;s:60:\"Locks to crossbar using SKS locking system (Sold separately)\";i:3;s:97:\"Fits Yakima round bars, Thule square, Thule Aero, and most factory crossbars right out of the box\";i:4;s:50:\"Padded with hull guard pads to prevent boat damage\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:4:\"3600\";}s:5:\"Label\";s:6:\"Yakima\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"18900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$189.00\";}s:12:\"Manufacturer\";s:6:\"Yakima\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:6:\"Yakima\";s:3:\"SKU\";s:8:\"10004888\";s:6:\"Studio\";s:6:\"Yakima\";s:5:\"Title\";s:25:\"Yakima Bowdown Kayak Rack\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"16110\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$161.10\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"21667\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$216.67\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B0012SA4QY\";s:10:\"ParentASIN\";s:10:\"B002IAHABW\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/214Oc1LpM6L.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Yakima\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:4:{i:0;s:9:\"100081546\";i:1;s:7:\"8004042\";i:2;s:11:\"YAK_8004042\";i:3;s:10:\"Y108004042\";}}s:5:\"Color\";s:9:\"One Color\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0736745040420\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0736745040420\";}s:7:\"Feature\";a:5:{i:0;s:70:\"Rooftop kayak carrier with J-cradle design that holds boat on its side\";i:1;s:68:\"Takes up a minimum of roof space and supports quick and easy loading\";i:2;s:74:\"HullGuard padding with EVA foam protects boat; integrated boat ramp system\";i:3;s:73:\"Fits round, square, and most factory crossbars without requiring adapters\";i:4;s:77:\"Compatible with touring, whitewater, and recreational kayaks; 1-year warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"900\";s:6:\"Length\";s:4:\"2100\";s:6:\"Weight\";s:4:\"1600\";s:5:\"Width\";s:4:\"1100\";}s:5:\"Label\";s:15:\"Yakima Products\";s:15:\"LegalDisclaimer\";s:491:\"If a customer is unsatisfied with a product, Discount Ramps will accept returns within 30 days from date of purchase. Shipping costs incurred will be deducted from the refund amount. If an item had free shipping, the actual shipping cost will be deducted from the refund. No returns are accepted after 30 days. Discount Ramps does not accept returns on items with obvious signs of use or abuse, items returned missing parts, or items damaged by pets. *Items do not include mounting hardware*\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"18900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$189.00\";}s:12:\"Manufacturer\";s:15:\"Yakima Products\";s:5:\"Model\";s:7:\"8004042\";s:3:\"MPN\";s:12:\"62572.01.100\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"870\";s:6:\"Length\";s:4:\"2050\";s:6:\"Weight\";s:4:\"1730\";s:5:\"Width\";s:4:\"1050\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"62572.01.100\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:15:\"Yakima Products\";s:11:\"ReleaseDate\";s:10:\"2008-01-18\";s:4:\"Size\";s:5:\"false\";s:3:\"SKU\";s:7:\"8004042\";s:6:\"Studio\";s:15:\"Yakima Products\";s:5:\"Title\";s:47:\"Yakima BowDown Rooftop Kayak Rack with Tie Down\";s:3:\"UPC\";s:12:\"736745040420\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"736745040420\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:9:\"One Color\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"false\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Campmor\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:172:\"%2FjoIskj%2B5O9gg579Xy7U7ZFSDJP58knjDvxM5y141GK%2BtLbiIwQSePz0kHPzFYIwPb6AOtyTbZCW%2B%2BXYeQOAOICGkBZpdXglef5NdMnnbfuuwQnNRhnznsh%2B5Juci6KX0XEN2g3bnLijpYpX7Y1M4g8H8LoSFxkc\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"16110\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$161.10\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"2790\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.90\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B002IAHABW&atag=freetos-20&exp=2013-06-15T18%3A47%3A47Z&v=2&sig=sj8AP7MbQF0njypfiubNhVxA1g2QcSpLq738UvtF3OM%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:926:\"If you?re like an overprotective parent and your kayak is your baby, you?ll want our safest and most secure boat transportation system. Top-of the line HullGuard padding uses EVA foam for superior boat protection. Plus, the rack folds down when it?s not in use, for better aerodynamics and easier access to your garage. J-Cradle design for carrying a single touring, recreational or whitewater kayak, New SteelCore construction utilizes a steel, substrate encased in durable foam padding, Folds down flat when not in use for the ultimate in rooftop clearance, integrated ramp system assists in loading your boat Hullguard pads protect and keep your boat looking brand new, Locks to crossbar with SKS locking system, Includes 1 pair of Heavy Duty Straps, with padded buckles, Includes Bow-Stern Tie down Straps to complete kayak stability, Integrated bottle opener, Fits round, square and most factory crossbars out of the box.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2590", "403", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:31:\"more then I could have expected\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3F9TAADYJFAZY\";s:4:\"name\";s:7:\"8utcher\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1979:\"I knew what I wanted, and did my research. I wanted a fishing kayak, one that was a little shorter, that I could easily hoist on my shoulder, and walk a decent distance without killing myself. I am 6\", 225 lbs, and slightly bulging in the middle. and I also needed one that would be able to accommodate me as well as whatever I need, according to what I am doing. When this kayak arrived I was impressed at the workmanship and overall quality upon getting it out on the water I am simply amazed. The cockpit is spacious and easy to get into. The dashboard with cup holder and two cavities were very well spaced, with the lowest part of the wall going into the cockpit (if something drops, it will probably drop into the cockpit.) I was so comfortable that I spent large portions of the day just sitting, watching my bobber do absolutely nothing, and feeling no ill will about it. At first I was a little unsteady, had not been in a kayak in 7 years or so. After a little time I was gliding smoothly, able to access all parts of the boat including the elastic rigging in front without rocking. I meant my first trip out to simply get used to how the kayak moved, figured I would just paddle around all day, getting comfortable. I brought the tackle and pole, but did not think I would use them. Within an hour I was kicking myself for not rigging my anchor so that I could fish without drifting around. I planned to stay out for 3 hours, when that 3 hours was done I wanted to stay out for the rest of the night. The adjustable seat was more comfortable then I could have hoped, as I got no numbness, tingling or strain. This kayak tracks like a dream, when you hit a decent amount of speed it moves like it has a motor. Turning is easy, as well as spinning in place.<br /> I recommend this kayak, ample space and comfort for a bigger guy, nice usable dashboard, and plenty of capacity and room to bring whatever you need.<br />Love it, can\'t wait until tomorrow, going out again.\";}i:1;a:5:{s:5:\"title\";s:13:\"Awsome Kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/A8P8FEB6ICI5\";s:4:\"name\";s:16:\"Michelle Zeigler\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1307:\"My Old Town Vapor 10 is awsome. I am new to kayaking and test drove both a sit in and a sit on top before making my purchase. I love the openness of the sit on but the warmth of the sit in. I decided on this kayak because of the open cockpit and I do not regret it at all. It\'s like having a little of both types of kayaks. It is closed in enough that I stay warm in the cooler temps and is open enough to be able to feel the air circulating around me. I am able to recline back and put my feet up on top when I\'ve been sitting too long for my legs. It\'s very easy to reposition myself whenever I want to. The only thing I would change is the molded paddle rest is too far forward to be comfortable for me. I am 5\'3\" so I have a shorter reach. I also weigh 210 lbs and still I do not sit down in the water very deeply. I use it for photography and it is very stable and tracks well. It is very comfortable and I can spend the whole day just putting around the edges of lakes shooting nature but when needed I can move across the water quickly and cleanly. I was actually able to move up beside a baby water turtle to within arms reach! I can\'t say enough about this kayak and I would definatley recommend it. My husband even wants to take it from me and he\'s 6\'1\". There may be a 2nd Vapor in our future! :)\";}i:2;a:5:{s:5:\"title\";s:23:\"10 feet Vapor 10 Angler\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A276Y2GDK85CSV\";s:4:\"name\";s:13:\"Mr. Fisherman\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:824:\"This Kayak is awesome! I was looking for something for myself so I could go fishing in the local pond and this kayak is perfect. Love the rod holders in the back and there is enough room in the cockpit for me and a big tackle box. It is almost as sturdy as being in a john boat but I wouldn\'t try to stand up in it. The anchor is probaly the smallest one you can get so don\'t count on it holding you in any real current, but it works for the most part. The day well does not come with a cover, but since I use it to hold my cooler I wouldn\'t have a use for one. Seat is comfortable even after being out for 5 hours, also the thigh pads are a plus.<br /><br />I used the Amazon free super saver shipping for my order and the kayak arrived in a week. ABF was the shipper and they called me to let me know when it would arrive.\";}i:3;a:5:{s:5:\"title\";s:22:\"Doesn\'t Get Any Better\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 19, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1IQQ4D9RX8S3I\";s:4:\"name\";s:10:\"E. Stewart\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1321:\"The Old Town Vapor 10 Angler is absolutely fantastic. It is stable, comfortable, tracks true, and makes a slow day of fishing still a great day on the water. Even my dog loves this kayak. It is stable enough that he jumps right in, sits between my legs, or when he is feeling brave he stands at the very front of the kayak as I paddle across the lake. (He\'s a 30lbs Beagle - I wouldn\'t recommend a bigger dog in a kayak for obvious reasons).<br />The price is reasonable for what you get and for the quality of the product. The rod holders are deep enough to securely hold your rods. The seat is comfortable. There is plenty of leg room, an area that could easily hold a tackle box or more gear (or a dog). And beyond the foot pedals is even more room for more gear stowage, such as a cooler or an extra life jacket, etc.<br />Even leaning to the side, such as to land a fish feels safe and stable. Obviously, if you lean too far over, you will tip as you would in anything requiring balance, but as it is for most situations you\'d run into where you would need to lean, you\'ll have no problems.<br />My only complaint with this kayak is that now when I am fishing from a boat, I feel as though I\'m missing out. This kayak will give you years of wonderful memories on the water. I highly recommend this kayak to everyone.\";}i:4;a:5:{s:5:\"title\";s:23:\"Very Pleased with Kayak\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A7H1E4UEADTXM\";s:4:\"name\";s:5:\"Allan\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:880:\"I launched my new Vapor 10 kayak last weekend at Manhasset Bay in the Long Island Sound. It was everything I hoped. Very roomy cockpit. I could cross my legs or keep on peddle. Boat tracked very well. My son had a rental kayak which did not track well by comparison. the boat was stable and roomy. I intend to use it for salt water fly and spin cast fishing. The rod will fit nicely inside as well as in the rod holders. Plenty of interior room. I like the foam floatation front and back. At 10 feet, it fit nicely into my Honda Crosstour with the hatchback tied down and still allowing room for driver and 2 passengers. At 44 pounds, it appears heavier than I thought. I bought a collapsable kayak dolly which I\'ll need to use. The seat might not be the most comfortable but comfortable enough. And as an extra bonus, it\'s really cool looking! Very reliable shipping from Amazon.\";}i:5;a:5:{s:5:\"title\";s:27:\"Great Price for great kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A2ER6E7ZPI08B\";s:4:\"name\";s:14:\"FishinGearHead\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:605:\"I am over 6\' and around 200lbs. The seating was comfortable and roomy. (For long trips I do add a cushion) I can actually stretch out my legs completely or use the foot rests for a little more power. Room for more than enough fishing gear. Fairly stable for a kayak. The paddle rest comes in handy when I reach back for anchor adjustment or to get items out of the day well. It handles speed boat waves very well. I have always been impressed at the room for my large frame. Only one little drawback, I thought the thigh pads should be moved forward or made longer. I am saving money to buy on for my son.\";}i:6;a:5:{s:5:\"title\";s:32:\"all kayaks are not created equal\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1BQYPXD7N1LX0\";s:4:\"name\";s:14:\"William Koller\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:490:\"this is my fifth kayak. i wanted something specifically designed for fishing and i got it. other kayaks were cheaper, longer,heavier and lighter, but i am so glad i got this one. old town design is superior in function and performance. the anchor is light but effective, drain plug is just where you need it, indentations for paddle rest are just right, open cockpit is easy to get in and out, hull is stable and maneuverable, adjustable seat back is another plus. 3 cheers for old town !!!\";}i:7;a:5:{s:5:\"title\";s:12:\"Roomy kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A8C1D667AS9OY\";s:4:\"name\";s:10:\"Bullwinkle\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1154:\"After reading the other reviews in Amazon, I decided to purchase this style/brand kayak. I\'m a long leged 6\'3\" guy who hasn\'t been on the water in 30+ years. This kayak was designed for fishing. There\'s plenty of leg & storage room, the seat feels like a recliner, the rod holders and anchor system are both designed with ease of use in mind. The craft is wider than most kayaks adding to its stability when landing that big fish. The comfort factor is its biggest selling point. I could easily spend hours on the water with this seat design. The slight reclining position of the seat makes this boat a pleasure to sit, paddle, fish and enjoy the water. The craft only weighs in at 44 lbs. and measures 10\' in length making it a breeze to maneuver on the water as well as carry, load on/in any vehicle. The reviews, price and free shipping made this purchase the obvious choice.<br /><br />I would recommend the following assessories as well:<br /><a href=\"http://www.amazon.com/gp/product/B004D35XAW\">Stearns Comfort Series Life Vest</a><br /><a href=\"http://www.amazon.com/gp/product/B001AI69OM\">Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece</a>\";}i:8;a:5:{s:5:\"title\";s:15:\"Roomy and light\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AGV4UTN59K43O\";s:4:\"name\";s:10:\"Marialaina\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:474:\"My husband just retired so we bought a couple of these to goof around in the nearby lakes. They are light enough for me to handle by myself. We can throw them in the back of my minivan, with proper tie-downs, and launch in less than 15 minutes. They\'re very stable in the water and roomy enough to hold cargo, I still haven\'t tried putting my dog in yet. They track well. We love the cup holders for our water bottles or adult beverages. We\'re quite happy with this product.\";}i:9;a:5:{s:5:\"title\";s:13:\"Fishing Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A3HVWY8A575SB\";s:4:\"name\";s:6:\"Travis\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:868:\"I\'ve had this kayak out about four times now. The first time was only a couple hours on a lake, in about 20 mph winds. Tracking was good, and it wasn\'t too difficult even into the wind. The next time was on a river with fairly slow moving water. Worked great there too. Then I took it out for an eight hour trip two times after that. Lower back does get a little sore, but a seat cushion, or even just adjusting now and then helps.<br /><br />Overall the boat is very stable, I can easily stand in it in calm water. It\'s not slow though, or at least I don\'t think so. If the water is calm it glides right across with very light paddling. There is plenty of space, the foot pegs are great, and the back storage cubby is perfect for a small cooler or tackle box. The rod holders are a great feature as well.<br /><br />I\'d definitely recommend the Old Town Vapor Angler.\";}}");
INSERT INTO `wp_postmeta` VALUES("2589", "403", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2588", "403", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:9:\"55 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004RM6NKI\";s:17:\"Item model number\";s:9:\"01-VA-COL\";s:28:\"Discontinued by manufacturer\";s:3:\"Yes\";}");
INSERT INTO `wp_postmeta` VALUES("2543", "398", "asg_product_details", "a:3:{s:11:\"Item Weight\";s:9:\"36 pounds\";s:15:\"Shipping Weight\";s:9:\"36 pounds\";s:4:\"ASIN\";s:10:\"B002IAJ6MS\";}");
INSERT INTO `wp_postmeta` VALUES("2544", "398", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2545", "398", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:43:\"My experience with the Yakima Boatloader...\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9T7JJ1JR1SYX\";s:4:\"name\";s:11:\"dfitz \"E D\"\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1009:\"I have a 55 pound 17\' 4\" sea kayak. After a heart attack last year I found it difficult (impossible) to get the boat onto the car\'s roof rack by myself. I considered rollers but was advised to get the Boatloader.<br /><br />This week for the first time I used the Boatloader. What a breeze. I had looked at various kayaking sites reading questions about the Boatloader. What turned out to be a very valuable piece of information was to use a thin \'camping mattress\' on the ground to avoid scratching the kayak\'s bottom as the other end was lifted. I found a mattress at WalMart for around $9. I cut a small piece off the main piece (about 2\' long) to rest on the car\'s roof between the rack tubes and over the side of the car. This was a suggestion to avoid damaging the car\'s paint as the kayak would slide, on the extended Boatloader bar, gently towards the car as the low end was lifted. It all worked as planned.<br /><br />What a treat. Now I don\'t have to enlist outside help when I want to go kayaking.\";}i:1;a:5:{s:5:\"title\";s:34:\"This makes it easy to load a kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"March 6, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AX3WDMDP01P3M\";s:4:\"name\";s:11:\"sans gluten\";s:7:\"address\";s:28:\"Santa Cruz, CA United States\";}s:4:\"text\";s:207:\"this bar telescopes out of the side of your rack -- There\'s a video on youtube that shows how much of a help it is. I\'m only 5\'and I can do this and it takes less than 5 min to load the boat and tie it down.\";}i:2;a:5:{s:5:\"title\";s:64:\"Yakima Kayak Boat Loader Make\'s It Easier For One Person Loading\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2XNKIN9MG6TI1\";s:4:\"name\";s:13:\"Jim A. Benson\";s:7:\"address\";s:14:\"Marana, AZ USA\";}s:4:\"text\";s:1238:\"I Purchased the Yakima BoatLoader Canoe and Kayak Side Loading System last January 2011. This compliments my existing Subaru Tribecca kayak mounting system, which consists of Yakima roof rack mounts, Yakima rubberized round cross bars and 2 sets of Thule fold-down kayak mounts. My wife has difficulty lifting the kayaks up into the car roof mounts. So I now can load the kayaks myself using the \'Boat Loader\' accessory. You unlock it and pull out the extension rod. Then raise and set the kayak bow or stern on the rod and then lift and set the other end of the kayak into the roof mounts. It\'s well built and sturdy. I move it from side to side so I can load both kayaks with it. It\'s will worth the expense!<br /><br />You need to sand/ream out the corrosion build-up inside the Yakima cross bar before installing the \'Boat Loader\'. The loader extension and retraction will not work smoothly if you don\'t remove the corrosion inside the cross bar first! I taped a strip of course sand paper to the end of a 3\' long piece of 1/4\" threaded rod. Rolled it over the rod and then attached the rod to my battery powered drill. I inserted the sand paper end of the rod inside the cross bar and then ground the corrosion smooth from both ends.\";}i:3;a:5:{s:5:\"title\";s:9:\"Big help!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1B8F3UEKOPICT\";s:4:\"name\";s:14:\"Leigh Stephens\";s:7:\"address\";s:19:\"Gainesville, GA USA\";}s:4:\"text\";s:238:\"This accessory is very helpful for anyone loading or unloading a boat by themselves. It is also a big help if you are a woman who has lost some upper body strength. It is simple to install and a bargain compared to some other boatloaders.\";}i:4;a:5:{s:5:\"title\";s:11:\"Works great\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 30, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2C6DQ3UC27MQW\";s:4:\"name\";s:7:\"Editron\";s:7:\"address\";s:12:\"Florida, USA\";}s:4:\"text\";s:686:\"I have a tandem kayak that weighs a ton, and a tall truck to load it on. It had been a struggle for my wife and I to load & unload the kayak, especially without scratching the truck. The Yakima BoatLoader was a little shorter than I expected, but I was still able to load the boat by myself in less than 5 minutes. It was actually easier than loading with 2 people. My only concern is theft. If I leave the BoatLoader in my roof rack, it would be pretty easy for someone to steal. There\'s no way to lock it in place.<br /><br />My wife loved this product too because instead of struggling to hold up our heavy kayak, she got to sit in the air-conditioned truck while I did all the work!\";}i:5;a:5:{s:5:\"title\";s:34:\"Well designed and very functional!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 12, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1L26TM1R5I434\";s:4:\"name\";s:8:\"D. Olsen\";s:7:\"address\";s:11:\"Seattle, WA\";}s:4:\"text\";s:191:\"This is very handy for loading canoes by yourself. Saves rubbing the paint off your roof or canopy while loading. Strong enough to handle the three types of canoes I\'ve used. Worth the money!\";}i:6;a:5:{s:5:\"title\";s:32:\"Yakima Boat Loader Extension Bar\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 20, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2VTG76NLU66QX\";s:4:\"name\";s:22:\"Robert C. Richter, Jr.\";s:7:\"address\";s:15:\"Houston, TX, US\";}s:4:\"text\";s:423:\"I bought this loader so I could load my kayak(s) on top of my 95 Toyota 4-runner by myself. Lifting the one end of the boat up to the extension is very little effort and lifting the other loose end on to the top of the car becomes very easy, too. This has virtually freed me from having to depend on having another person present to help me get the kayak to the top of the 4-runner because of the kayak\'s length and weight.\";}i:7;a:5:{s:5:\"title\";s:30:\"Saves my car, canoe, and back.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 21, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2LL0WPLGBQ028\";s:4:\"name\";s:9:\"N. Brooks\";s:7:\"address\";s:6:\"Canada\";}s:4:\"text\";s:443:\"I use a large fibreglass canoe that is at the very limit of my carrying capacity. This wonderful bar allows me to prop up the canoe on my shoulders via the yoke and simply walk it on to the roof of my car. These bars take the weight of the canoe and allow me to pop around and push the canoe the rest of the way up on the roof. Definitely worth the money since a botched \"shimmy\" mount attempt would cost me considerably more at the body shop!\";}i:8;a:5:{s:5:\"title\";s:27:\"Helps loading a single boat\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3VDLIAKZKWX1G\";s:4:\"name\";s:12:\"Walter Erola\";s:7:\"address\";s:29:\"Federal Way, WA United States\";}s:4:\"text\";s:248:\"Yakima Boat Loader Boat Mount<br />Works well for an individual trying to put a kayak on the rack. Doesn\'t really help with two kayaks for most rack systems. You have to hump the first boat over a center post or something to put up the second boat.\";}i:9;a:5:{s:5:\"title\";s:25:\"Great accessory for racks\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 13, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1O3PT0FC33FWX\";s:4:\"name\";s:31:\"Chris Wilinski \"Cure Collector\"\";s:7:\"address\";s:20:\"Capistrano Beach, CA\";}s:4:\"text\";s:428:\"This loader is so cool I\'m buying another one. Right now I\'ve been using it for hanging my wet gear on the side of my van, soon with two as a side surfboard rack that will work as a side awning above the side slider door. I\'ll be able to open the back of my van without having to slide my surfboards all the way forward, I plan on making a side shade using both and of course for canoes on occasion. Check out this website [...]\";}}");
INSERT INTO `wp_postmeta` VALUES("2501", "393", "asg_last_refresh_attempt", "1371235640");
INSERT INTO `wp_postmeta` VALUES("2502", "393", "asg_update_timestamp", "1371235640");
INSERT INTO `wp_postmeta` VALUES("2503", "394", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2504", "394", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2505", "394", "asg_item_id", "B008OO7LCO");
INSERT INTO `wp_postmeta` VALUES("2506", "394", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B008OO7LCO\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Suspenz-Folding-Wall-Mount-Kayak/dp/B008OO7LCO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB008OO7LCO\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Suspenz-Folding-Wall-Mount-Kayak/dp/tech-data/B008OO7LCO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO7LCO\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB008OO7LCO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO7LCO\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB008OO7LCO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO7LCO\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB008OO7LCO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO7LCO\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B008OO7LCO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO7LCO\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B008OO7LCO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO7LCO\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B008OO7LCO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO7LCO\";}}}s:9:\"SalesRank\";s:5:\"37891\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"65\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"139\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"433\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"26\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"65\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"65\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"95\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"139\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"433\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"26\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"65\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"65\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"95\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"139\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41aYxCO3HkL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"433\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Suspenz\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"12-8601\";}s:3:\"EAN\";s:13:\"0670541930953\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0670541930953\";}s:7:\"Feature\";a:5:{i:0;s:29:\"Kayak rests on rubber padding\";i:1;s:46:\"Powder Coated Steel for Indoor and Outdoor use\";i:2;s:73:\"Holds Paddles and PFD\'s under boat and folds flat to wall when not in use\";i:3;s:30:\"Extends only 15-Inch from wall\";i:4;s:22:\"Holds up to 100 Pounds\";}s:5:\"Label\";s:7:\"Suspenz\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.95\";}s:12:\"Manufacturer\";s:7:\"Suspenz\";s:5:\"Model\";s:7:\"12-8601\";s:3:\"MPN\";s:7:\"12-8601\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"320\";s:6:\"Length\";s:4:\"1730\";s:6:\"Weight\";s:3:\"470\";s:5:\"Width\";s:4:\"1570\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"12-8601\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Suspenz\";s:11:\"ReleaseDate\";s:10:\"2012-06-16\";s:6:\"Studio\";s:7:\"Suspenz\";s:5:\"Title\";s:37:\"Suspenz Folding Wall Mount Kayak Rack\";s:3:\"UPC\";s:12:\"670541930953\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"670541930953\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"3915\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.15\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B008OO7LCO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO7LCO\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"DntAqiyVUpba7%2BPw6DotjhUvk%2FbZudxv8t8qIZA9gFM3%2FkrXFEfk8sBVoMOLYV8BhpwWrv1%2BSPbXmn9UTktczZYRZpDQkbw6Ogp46u3MlFSKkegiDeqUMA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3915\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.15\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:2:\"80\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$0.80\";}s:15:\"PercentageSaved\";s:1:\"2\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B008OO7LCO&atag=freetos-20&exp=2013-06-15T18%3A47%3A21Z&v=2&sig=3Vsb6g1XfyUuTPP9KkPyzjvNxYWFxV4mM0RT9rauedA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:294:\"12-8601 Features: -Wall mount racks.-Material: Steel.-Powder coated steel for indoor and outdoor use.-Kayak rests on rubber padding.-Holds paddles and PFD\'s under boat.-Stores kayaks on their side to save space.-Pivots on wall to fold it away.-Extends only 15\'\' from wall.-Holds up to 100 lbs..\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2507", "394", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:10:\"3.4 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B008OO7LCO\";s:17:\"Item model number\";s:7:\"12-8601\";}");
INSERT INTO `wp_postmeta` VALUES("2508", "394", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("2509", "394", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:21:\"Better than Expected.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 12, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3VIHZ6VAHDBKX\";s:4:\"name\";s:13:\"Adam Schwartz\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:115:\"Didn\'t want to pay a lot of money but was very concerned about quality. This product satisfied both of my concerns.\";}i:1;a:5:{s:5:\"title\";s:12:\"Good product\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"January 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2PBXB740Z9AVS\";s:4:\"name\";s:4:\"John\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:109:\"Good product if securely mounted . No need to pay for more expensive mounts. This one does the job perfectly.\";}i:2;a:5:{s:5:\"title\";s:56:\"Not for small garages with multiple recreational kayaks.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AFYX7K6WMOHME\";s:4:\"name\";s:8:\"Peter G.\";s:7:\"address\";s:15:\"Albuquerque, NM\";}s:4:\"text\";s:550:\"This rack works perfect in a large garage or in a small one that is empty. Unfortunately my garage is a one car unit with a car and many boxes in it. If I had only one kayak to mount this would work perfect. However, I need to mount two on top of each other. The ceiling is only 9\' tall. Mounting just one set would require to use at least half of that space which leaves no room for the second kayak\'s mount.<br />If you have limited wall space choose a different model. I would recommend the ones that are \"L\" shaped instead of the \"U\" shaped ones.\";}}");
INSERT INTO `wp_postmeta` VALUES("2510", "394", "asg_last_refresh_attempt", "1371235643");
INSERT INTO `wp_postmeta` VALUES("2511", "394", "asg_update_timestamp", "1371235643");
INSERT INTO `wp_postmeta` VALUES("2512", "395", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2513", "395", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2514", "395", "asg_item_id", "B006Y8E0NA");
INSERT INTO `wp_postmeta` VALUES("2515", "395", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B006Y8E0NA\";s:10:\"ParentASIN\";s:10:\"B006Y8E0NA\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Rave-Rebel-Inflatable-Kayak-2011/dp/B006Y8E0NA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB006Y8E0NA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Rave-Rebel-Inflatable-Kayak-2011/dp/tech-data/B006Y8E0NA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006Y8E0NA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB006Y8E0NA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006Y8E0NA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB006Y8E0NA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006Y8E0NA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB006Y8E0NA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006Y8E0NA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B006Y8E0NA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006Y8E0NA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B006Y8E0NA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006Y8E0NA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B006Y8E0NA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006Y8E0NA\";}}}s:9:\"SalesRank\";s:5:\"33304\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51qlSSY4M0L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:12:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:4:\"Rave\";s:7:\"Feature\";a:5:{i:0;s:23:\"Water Resistant Dry Bag\";i:1;s:19:\"Water Bottle Holder\";i:2;s:19:\"Adjustable Backrest\";i:3;s:15:\"Paddle Included\";i:4;s:9:\"Hand Pump\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:5:\"10000\";}s:5:\"Label\";s:4:\"Rave\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"25999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$259.99\";}s:12:\"Manufacturer\";s:4:\"Rave\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:4:\"Rave\";s:6:\"Studio\";s:4:\"Rave\";s:5:\"Title\";s:36:\"Rave Sea Rebel Inflatable Kayak 2011\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:3:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"18240\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$182.40\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"33656\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$336.56\";}s:16:\"HighestSalePrice\";a:3:{s:6:\"Amount\";s:5:\"28599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$285.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:4:\"Size\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B004K6U9Q0\";s:10:\"ParentASIN\";s:10:\"B006Y8E0NA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"49\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"105\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"328\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"20\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"49\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"49\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"72\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"105\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"328\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ctvHFYWTL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ctvHFYWTL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ctvHFYWTL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51ctvHFYWTL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51ctvHFYWTL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51ctvHFYWTL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"20\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"49\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"49\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"72\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"105\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ZpavtGk6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"328\";}}}}s:14:\"ItemAttributes\";a:30:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:4:\"Rave\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:5:\"02365\";i:1;s:6:\"RAV113\";}}s:5:\"Color\";s:6:\"yellow\";s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0695742023655\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0695742023655\";}s:7:\"Feature\";a:4:{i:0;s:15:\"103\" x 35\" x 8\"\";i:1;s:76:\"Heavy-duty nylon cover with PVC Tarpaulin bottom for slick and easy gliding.\";i:2;s:30:\"4 foam-filled handles; 22 lbs.\";i:3;s:23:\"Limited 1 Year Warranty\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:4:\"3500\";s:6:\"Weight\";s:1:\"0\";s:5:\"Width\";s:5:\"10300\";}s:5:\"Label\";s:11:\"RAVE Sports\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"25999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$259.99\";}s:12:\"Manufacturer\";s:11:\"RAVE Sports\";s:5:\"Model\";s:5:\"02365\";s:3:\"MPN\";s:5:\"02365\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1110\";s:6:\"Length\";s:4:\"2370\";s:6:\"Weight\";s:4:\"2605\";s:5:\"Width\";s:4:\"1500\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"02365\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"RAVE Sports\";s:11:\"ReleaseDate\";s:10:\"2011-03-14\";s:4:\"Size\";s:10:\"One Person\";s:3:\"SKU\";s:18:\"BOAZ*0208577000000\";s:6:\"Studio\";s:11:\"RAVE Sports\";s:5:\"Title\";s:27:\"RAVE Sports Sea Rebel Kayak\";s:3:\"UPC\";s:12:\"695742023655\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"695742023655\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:10:\"One Person\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:134:\"k4LK6y3wL0wQQ48%2B15b56GduWaY4LPVCaIFNE0GH%2FzPsoPX3tQ5DSae0nI0q9pLqkB8p%2B8VXG%2FnmWbV59%2Ff3kMAPR8zQwj4xwtpagtwmWXXksGvLMWL8Rg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"18240\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$182.40\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"7759\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$77.59\";}s:15:\"PercentageSaved\";s:2:\"30\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B006Y8E0NA&atag=freetos-20&exp=2013-06-15T18%3A47%3A23Z&v=2&sig=8Z8izLrgCN%2FtqmAXbIs12iHE6dy0e7LqiTl0XB%2F15Ww%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1165:\"Rave Sea Rebel Inflatable Kayak - Enjoy the lake, river or streams with the Sea Rebel Kayak by Rave Sports. This new inflatable kayak is comfortable, easy to inflate and perfect whether you\'re angling, relaxing or traversing on the water. The lightweight and easy-to-carry Sea Rebel Inflatable Kayak inflates in minutes and comes equipped with a water resistant dry bag and water bottle holder. Features: Carrying Bag, Limited One Year Warranty, 3 Bottom Fins. Type: Inflatable, Hull Design: Inflatable, Number of Paddlers: 1, Bulk Heads: None, Hatches: None, Adjustable Seat: Yes, Model Year: 2011, Product ID: 243997, Product Note: Coupons or other discounts cannot be applied to this item. This item may not qualify for Price Matching., Shipping Exclusion: This item is only available for shipment by UPS to the lower 48 United States. APO, FPO, PO BOX, Hawaii, and Alaska shipments may not be possible for this item. (Please call prior to purchase.), Special Order: This is a Special Order item, will be shipped from the manufacturer, and is not stocked in our warehouse. This item does not qualify for our Price Matching Policy. Order processing time may vary.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2498", "393", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:17:\"10 x 7 x 2 inches\";s:15:\"Shipping Weight\";s:10:\"1.1 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:4:\"ASIN\";s:10:\"B006VX40GU\";s:17:\"Item model number\";s:6:\"058424\";}");
INSERT INTO `wp_postmeta` VALUES("2499", "393", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2500", "393", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:7:\"perfect\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 21, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1VQMT748N8ZU7\";s:4:\"name\";s:15:\"Jessica Heering\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:231:\"i\'m very pleased with this purchase. I\'ve been using it to lock down my kayak while i\'m out and about before and after hitting the water. I also use it to keep my roof racks locked down. The thickness is great, as well as the lock.\";}i:1;a:5:{s:5:\"title\";s:7:\"Pleased\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A321LP9998VNNU\";s:4:\"name\";s:16:\"first time buyer\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:388:\"Purchased this lock to provide security for our kayaks while on our car so that when we stop over at motels we feel our kayaks will be safer. We also use them to secure our kayaks when we have to leave them so we can drive our car down stream and ride our bikes back up stream. This allows us to only drive one car and still be able to paddle down stream. It is easy to use and not bulky.\";}}");
INSERT INTO `wp_postmeta` VALUES("2444", "387", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:8:\"5 pounds\";s:4:\"ASIN\";s:10:\"B004N5DKIW\";}");
INSERT INTO `wp_postmeta` VALUES("2445", "387", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2446", "387", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:10:\"Great Clip\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"March 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3RSBAFBBISWPH\";s:4:\"name\";s:5:\"Glass\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:195:\"This clip works great!! Do make sure you are in your kayak when you attach it though. I had to move mine after it was already mounted because I was hitting it when I was paddling. Great product!!\";}i:1;a:5:{s:5:\"title\";s:27:\"Great for a wide hull only.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2FDYC0Q44ZPO9\";s:4:\"name\";s:19:\"A. Moore \"A. Moore\"\";s:7:\"address\";s:6:\"NC USA\";}s:4:\"text\";s:238:\"This is great for paddles, nets, and have one for vertical holding gripper for fish on my twin troller and would work great on a bass hunter. The screws that come with it would go right through a traditional aluminum boat or a fiberglass.\";}i:2;a:5:{s:5:\"title\";s:19:\"paddle holder clips\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2IINTVFPJIZQQ\";s:4:\"name\";s:12:\"walleye dude\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:326:\"I use these to hold a couple of paddles in my 14ft. V bottom, fishing boat, never know when I might need a paddle, they hold the paddles flush to what I mounted them to and keeps them out of the way, I try to fish 2 to 3 times a week, these are easy to install with the screws and special nuts included and works great so far.\";}i:3;a:5:{s:5:\"title\";s:24:\"holds my paddle tight...\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 28, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2A14EKIQ2UQZ7\";s:4:\"name\";s:38:\"Christopher L. Thompson \"StryderSound\"\";s:7:\"address\";s:14:\"Alexandria, VA\";}s:4:\"text\";s:145:\"Like it should. Easy install, good hardware. Easy to quickly snap my paddle in with one hand. Buying a second pair for the other side of my boat.\";}i:4;a:5:{s:5:\"title\";s:4:\"Meh!\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 28, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A12G4KK8TZZ3DG\";s:4:\"name\";s:5:\"Daren\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:188:\"Works for a standard size paddle.. Broke my first trip loading my kayak up, partially my fault but they stick out.. Could be thicker and cheaper in price in my opinion I believe I paid $10\";}i:5;a:5:{s:5:\"title\";s:21:\"Decent paddle holders\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A28QOJWB4AON0Y\";s:4:\"name\";s:6:\"ExE122\";s:7:\"address\";s:13:\"Baltimore, MD\";}s:4:\"text\";s:834:\"The biggest problem with paddle clips is finding a place to install them where they aren\'t in the way but still keep your paddle within reach. I installed these toward the front left side of my kayak (Necky Looksha 12si). However, once I went out on the water I found that I still bump the closer one sometimes on my left stroke. I\'ll have to move it a few inches and find some way to patch the holes.<br /><br />Overall, these are good quality and come with high-end hardware (stainless bolts with self-sealing well nuts). The bolts were a little too big for the eyelets on the clips, but reaming them slightly with a drill did the trick. The clips seem durable enough - they took a couple whacks with my paddle and didn\'t break. The tension is well balanced too. The paddle sits in snugly yet snaps back out without too much effort.\";}i:6;a:5:{s:5:\"title\";s:13:\"Excellent !!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AWREQNCCKDENC\";s:4:\"name\";s:6:\"Walter\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:562:\"Great addition to any kayak , is very helpful to have a secure place to put your paddle when you need to use both hands to do something and this little clip works flawlessly ! , they have a very secure grip and installation is pretty simple , don\'t be afraid of drilling on your boat if you mess up get a cheap rivet gun and pop a rivet in the extra holes to cover them , nobody will notice that and they are watertight ( you didn\'t drill below the water line , right ? ) will get another set to put on the opposite side so I can place the paddle in either one .\";}i:7;a:5:{s:5:\"title\";s:25:\"Great clips for the price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2CM46I3XBXEO4\";s:4:\"name\";s:4:\"Mike\";s:7:\"address\";s:2:\"TN\";}s:4:\"text\";s:367:\"I really like these clips. Anyone who complains about how much they stick out hasn\'t look into the alternatives. They are alot smaller than most other clips. The clips seem to be plenty rugged as mine have taken quite a beating thus far and still hanging in there. Good stainless steel bolts included ensure no rusting and nuts have built on seals. I recommend these.\";}i:8;a:5:{s:5:\"title\";s:9:\"they work\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"June 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AM6XXZGTVEWZ5\";s:4:\"name\";s:5:\"timmy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:957:\"So for the price what can anyone really complain about. Most important tip is placement and taking the time to put them in the best spot. Only thing about the best spot is you are going to install on dry land so it is kind of hard to use your paddle to see if where you choose to mount the clip you are going to hit it with your hand while paddling. I have a sit on top and I managed to find a decent place to mount once I found the place just followed instructions which are short and sweet and to the point. One thing I did after mounting them was went back and put clear caulk all the way around each clip, they have rubber gaskets but I figured adding the caulk would add to the water tightness and help hold them (this last thing is not at all necessary I tend to be a little overly prepared so that was my OCD kicking in), but I mean for $10 not bad at all. One more thing my paddle clips in much easier with a feathered paddle than a straight paddle.\";}}");
INSERT INTO `wp_postmeta` VALUES("2447", "387", "asg_last_refresh_attempt", "1371235627");
INSERT INTO `wp_postmeta` VALUES("2448", "387", "asg_update_timestamp", "1371235627");
INSERT INTO `wp_postmeta` VALUES("2449", "388", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2450", "388", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2451", "388", "asg_item_id", "B006J154L4");
INSERT INTO `wp_postmeta` VALUES("2452", "388", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B006J154L4\";s:10:\"ParentASIN\";s:10:\"B006J154L4\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Carlisle-Saber-Touring-Kayak-Paddle/dp/B006J154L4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB006J154L4\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Carlisle-Saber-Touring-Kayak-Paddle/dp/tech-data/B006J154L4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006J154L4\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB006J154L4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006J154L4\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB006J154L4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006J154L4\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB006J154L4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006J154L4\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B006J154L4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006J154L4\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B006J154L4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006J154L4\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B006J154L4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006J154L4\";}}}s:9:\"SalesRank\";s:5:\"16727\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL30_.jpg\";s:6:\"Height\";s:1:\"4\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL110_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL30_.jpg\";s:6:\"Height\";s:1:\"4\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL110_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL._SL160_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/21yY289q9%2BL.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Carlisle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"CAR25663\";}s:7:\"Feature\";a:5:{i:0;s:119:\"Polyethylene 17\" x 7\" reduced size blades provide ample power for kids without causing too much muscle and joint strain\";i:1;s:65:\"Silver aluminum shaft with poly grip zones for comfort and warmth\";i:2;s:14:\"Weight: 31 oz.\";i:3;s:49:\"190cm overall length is perfect for kids age 8-13\";i:4;s:32:\"Colors available: Cloud, Sunrise\";}s:5:\"Label\";s:8:\"Carlisle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:8:\"Carlisle\";s:5:\"Model\";s:8:\"CAR25663\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:4:\"1500\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:11:\"ReleaseDate\";s:10:\"2012-01-01\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:40:\"Carlisle Kids Saber Touring Kayak Paddle\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"3396\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$33.96\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"6589\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$65.89\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"2\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:2:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B0063W7FG6\";s:10:\"ParentASIN\";s:10:\"B006J154L4\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL._SL75_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL._SL160_.jpg\";s:6:\"Height\";s:3:\"142\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL.jpg\";s:6:\"Height\";s:3:\"230\";s:5:\"Width\";s:3:\"260\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL._SL75_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL._SL75_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL._SL110_.jpg\";s:6:\"Height\";s:2:\"97\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL._SL160_.jpg\";s:6:\"Height\";s:3:\"142\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21jNY73VDLL.jpg\";s:6:\"Height\";s:3:\"230\";s:5:\"Width\";s:3:\"260\";}}}s:14:\"ItemAttributes\";a:31:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Carlisle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3755\";}s:5:\"Color\";s:7:\"Sunrise\";s:3:\"EAN\";s:13:\"0759239276778\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239276778\";}s:7:\"Feature\";a:5:{i:0;s:119:\"Polyethylene 17\" x 7\" reduced size blades provide ample power for kids without causing too much muscle and joint strain\";i:1;s:65:\"Silver aluminum shaft with poly grip zones for comfort and warmth\";i:2;s:14:\"Weight: 31 oz.\";i:3;s:49:\"190cm overall length is perfect for kids age 8-13\";i:4;s:32:\"Colors available: Cloud, Sunrise\";}s:6:\"Format\";s:6:\"CD-ROM\";s:16:\"HardwarePlatform\";s:2:\"Pc\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:8:\"Carlisle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:8:\"Carlisle\";s:5:\"Model\";s:12:\"01.2509.3755\";s:3:\"MPN\";s:10:\"0125093755\";s:13:\"NumberOfItems\";s:1:\"1\";s:15:\"OperatingSystem\";s:7:\"Windows\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"440\";s:6:\"Length\";s:4:\"4100\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:3:\"780\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"0125093755\";s:8:\"Platform\";s:7:\"Windows\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:11:\"ReleaseDate\";s:10:\"2012-01-01\";s:4:\"Size\";s:6:\"190-cm\";s:3:\"SKU\";s:12:\"WN0125093755\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:57:\"Carlisle Kids Saber Touring Kayak Paddle, 190-cm, Sunrise\";s:3:\"UPC\";s:12:\"759239276778\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239276778\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:7:\"Sunrise\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"190-cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:138:\"Cc1PSkTLla%2B8l9%2BmAv1fFcu4doo1lvPcM6MG%2FSc%2Bt0LKcxPiEiwexfq5c9LGENnvRiGKB%2B6LMhVNEwIMw6FXUQDdtEN%2B5yAnn7JFrMxhwTr42%2BCqMwRBbw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4275\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$42.75\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"724\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.24\";}s:15:\"PercentageSaved\";s:2:\"14\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B0063W7F6Q\";s:10:\"ParentASIN\";s:10:\"B006J154L4\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/2122YhYC6lL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Carlisle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3750\";}s:5:\"Color\";s:5:\"Cloud\";s:3:\"EAN\";s:13:\"0759239276761\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239276761\";}s:7:\"Feature\";a:5:{i:0;s:119:\"Polyethylene 17\" x 7\" reduced size blades provide ample power for kids without causing too much muscle and joint strain\";i:1;s:65:\"Silver aluminum shaft with poly grip zones for comfort and warmth\";i:2;s:14:\"Weight: 31 oz.\";i:3;s:49:\"190cm overall length is perfect for kids age 8-13\";i:4;s:32:\"Colors available: Cloud, Sunrise\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"260\";}s:5:\"Label\";s:8:\"Carlisle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:8:\"Carlisle\";s:5:\"Model\";s:12:\"01.2509.3750\";s:3:\"MPN\";s:10:\"0125093750\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"150\";s:6:\"Length\";s:4:\"4100\";s:6:\"Weight\";s:3:\"195\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"0125093750\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:11:\"ReleaseDate\";s:10:\"2012-01-01\";s:4:\"Size\";s:6:\"190-cm\";s:3:\"SKU\";s:12:\"W-0125093750\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:55:\"Carlisle Kids Saber Touring Kayak Paddle, 190-cm, Cloud\";s:3:\"UPC\";s:12:\"759239276761\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239276761\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Cloud\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"190-cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:152:\"%2FKhB6ItEGwiwZS2xVve8%2F9osVPfLlWRh2jXl97MlkUS%2FZb5oZa0I2pDeepTpA0QdnTQvsPL3ulEwSSXUhR1oybUq33RE4NkIIPyDtkqgq9YNZzO7%2BEUZS0TK4Bsfr3216Er0n%2BXPeac%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.95\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"4246\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$42.46\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"749\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.49\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B006J154L4&atag=freetos-20&exp=2013-06-15T18%3A47%3A07Z&v=2&sig=NXPwbe7zcMbmZ9M%2BolLAaDo0nlRGOz1DbGwvQSMbYsE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:275:\"A great kayak paddle for kids!  Short and sweet, the Carlisle Sabre paddle is lightweight, kid proportioned, and kid proof.  With a down-sized shaft for easy gripping by kids, and durable polyethylene blades this paddle is a great option for small hands to grip and maneuver.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2390", "381", "asg_product_details", "a:3:{s:15:\"Shipping Weight\";s:10:\"5.6 ounces\";s:4:\"ASIN\";s:10:\"B007FJVGOS\";s:17:\"Item model number\";s:5:\"H1999\";}");
INSERT INTO `wp_postmeta` VALUES("2391", "381", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2392", "381", "asg_customer_reviews", "a:6:{i:0;a:5:{s:5:\"title\";s:23:\"Good quality, good fit.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UZICPINEJXOF\";s:4:\"name\";s:2:\"DR\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:123:\"Fit perfectly on Ocean Kayak Malibu Two XL;<br />Seem identical to originals, pretty good price.<br />Not much more to say.\";}i:1;a:5:{s:5:\"title\";s:94:\"Fit my kayak well but should come with the proper fasteners because special ones are required.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"December 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1PPL98UXJ8DL3\";s:4:\"name\";s:34:\"Arlene Ingram \"Lake Lanier broker\"\";s:7:\"address\";s:16:\"Lake Lanier , GA\";}s:4:\"text\";s:112:\"Had to order the proper rivets because the ones you get in the hardware store wont work. get them when you order\";}i:2;a:5:{s:5:\"title\";s:6:\"Straps\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 29, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3FHLN9HBRBNJP\";s:4:\"name\";s:10:\"Carl nagel\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:380:\"I have a fourteen foot kayak I bought used had many of years and straps broke and saw these on Amazon an purchased them. I like them better than the original straps from the maker of kayak. They fight right and are more durable. I only had to make the hole larger in strap, because my screws my kayak used were larger than the hole in strap. Nothing major, very happy with product\";}i:3;a:5:{s:5:\"title\";s:9:\"Excellent\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3N3YGVZE2SRVC\";s:4:\"name\";s:15:\"Richard Salkeld\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:152:\"The product fully met my expectations and was a direect copy of the handles that needed replacement. the quality was as good or better than the old ones\";}i:4;a:5:{s:5:\"title\";s:13:\"kayak handles\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"December 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A35YDHITMPZVZ\";s:4:\"name\";s:17:\"dorothy bressette\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:106:\"because they seem like good handles the price was right and easy to order<br />make it easier to lifr boat\";}i:5;a:5:{s:5:\"title\";s:39:\"Excellent replacement for my Seda kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 10, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A11W4NA8T0P64M\";s:4:\"name\";s:13:\"Charlie Scott\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:128:\"These fit perfectly and were only half the cost of the Seda supplied handles. Just be sure to measure the intended installation.\";}}");
INSERT INTO `wp_postmeta` VALUES("2393", "381", "asg_last_refresh_attempt", "1371235614");
INSERT INTO `wp_postmeta` VALUES("2394", "381", "asg_update_timestamp", "1371235614");
INSERT INTO `wp_postmeta` VALUES("2395", "382", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2396", "382", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2397", "382", "asg_item_id", "B004IBXK3G");
INSERT INTO `wp_postmeta` VALUES("2398", "382", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004IBXK3G\";s:10:\"ParentASIN\";s:10:\"B004IBXK3G\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Advanced-Elements-Rapid-Kayak-Sail/dp/B004IBXK3G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004IBXK3G\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Advanced-Elements-Rapid-Kayak-Sail/dp/tech-data/B004IBXK3G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004IBXK3G\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004IBXK3G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004IBXK3G\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004IBXK3G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004IBXK3G\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004IBXK3G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004IBXK3G\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004IBXK3G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004IBXK3G\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004IBXK3G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004IBXK3G\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004IBXK3G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004IBXK3G\";}}}s:9:\"SalesRank\";s:5:\"13174\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL160_.jpg\";s:6:\"Height\";s:3:\"123\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL.jpg\";s:6:\"Height\";s:3:\"384\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL110_.jpg\";s:6:\"Height\";s:2:\"84\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL160_.jpg\";s:6:\"Height\";s:3:\"123\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL.jpg\";s:6:\"Height\";s:3:\"384\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL110_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL160_.jpg\";s:6:\"Height\";s:2:\"85\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL.jpg\";s:6:\"Height\";s:3:\"265\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:14:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"AE2040\";}s:7:\"Feature\";a:5:{i:0;s:37:\"Non-corroding internal \"spring\" frame\";i:1;s:41:\"High quality, durable rip-stop sail cloth\";i:2;s:15:\"Rapidly deploys\";i:3;s:74:\"Adjustable attachments for multiple kayak and canoe hardware configuration\";i:4;s:25:\"Can be hand-held operated\";}s:5:\"Label\";s:17:\"Advanced Elements\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"9999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$99.99\";}s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:3:\"MPN\";s:6:\"AE2040\";s:10:\"PartNumber\";s:6:\"AE2040\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:41:\"Advanced Elements Rapid Up Kayak Sail Kit\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"8999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"9894\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$98.94\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B003WF33CC\";s:10:\"ParentASIN\";s:10:\"B004IBXK3G\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL160_.jpg\";s:6:\"Height\";s:3:\"123\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL.jpg\";s:6:\"Height\";s:3:\"384\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL75_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL110_.jpg\";s:6:\"Height\";s:2:\"84\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL._SL160_.jpg\";s:6:\"Height\";s:3:\"123\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41RDV9QzSgL.jpg\";s:6:\"Height\";s:3:\"384\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL110_.jpg\";s:6:\"Height\";s:2:\"58\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL._SL160_.jpg\";s:6:\"Height\";s:2:\"85\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41zHBt4OByL.jpg\";s:6:\"Height\";s:3:\"265\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"AE2040\";}s:5:\"Color\";s:6:\"Orange\";s:3:\"EAN\";s:13:\"0832994000472\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0832994000472\";}s:7:\"Feature\";a:5:{i:0;s:99:\"A universal sail design to harness the wind power for extra power and assist movment from your back\";i:1;s:94:\"Compact-Portable, easy to set up. Take advantage of wind power to assist you in your adventure\";i:2;s:94:\"Folds down into an 18\" disk for compact storage. Unique shape conforms to kayak decks when set\";i:3;s:100:\"Made of high quality durable rip-stop sail cloth, with three windows for clear visibility and safety\";i:4;s:70:\"Easy set up, stows quickly, internal spring frame, hand held operated.\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:1:\"0\";}s:5:\"Label\";s:17:\"Advanced Elements\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"9999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$99.99\";}s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:5:\"Model\";s:6:\"AE2040\";s:3:\"MPN\";s:6:\"AE2040\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"510\";s:6:\"Length\";s:4:\"2430\";s:6:\"Weight\";s:3:\"330\";s:5:\"Width\";s:4:\"1850\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"AE2040\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:11:\"ReleaseDate\";s:10:\"2010-06-19\";s:4:\"Size\";s:9:\"universal\";s:3:\"SKU\";s:7:\"QLV1039\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:36:\"Advanced Elements Rapidup Kayak Sail\";s:3:\"UPC\";s:12:\"832994000472\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"832994000472\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:6:\"Orange\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"WNPzge9jEcsAqvUIXKtFO21w%2BGir6cy6iEy3XsQlShGpjS4xc5uuNMt4mNDYbxvMcUCo21hDDv9nHPG8mZQjQfp88E2FT7MrTl6a3AGr03WL8DLysReb9g%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"9894\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$98.94\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"105\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$1.05\";}s:15:\"PercentageSaved\";s:1:\"1\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004IBXK3G&atag=freetos-20&exp=2013-06-15T18%3A46%3A54Z&v=2&sig=KXKCcx38oXjs5lUJt1Aa44as%2Fd7I0EVQJudm%2FAD08U0%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:622:\"Advanced Elements Rapid Up Kayak Sail Kit - The Advanced Elements Rapid Up kayak sail kit allows you to harness the wind and provides a safe, and very easy-to-use sail for downwind sailing. It is self-launching, self-standing, and stows either on-deck or below. With its ability to be quickly launched and taken down while out on the water you have a very lightweight and efficient sail for your kayak. You can use the Rapid Up sail on a variety of different boats making it one of the most versatile wind sails on the market. If you\'re looking for some fun in the wind, grab the Advanced Elements Rapid Up Kayak sail kit.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2354", "377", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"6.4 ounces\";s:4:\"ASIN\";s:10:\"B0028QBBP2\";}");
INSERT INTO `wp_postmeta` VALUES("2355", "377", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2356", "377", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:21:\"Didn\'t care for it...\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"August 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3M55R486M5RUF\";s:4:\"name\";s:31:\"Kevin Johnson \"Kevin on-the-go\"\";s:7:\"address\";s:15:\"Martinsburg, WV\";}s:4:\"text\";s:629:\"I was given one of these by a fellow kayaker. After using it for a while the velcro got weak and wouldn\'t grip, and the plastic clip on the end broke. I told the friend that gave it to me what happened. He said, \"Now you know why I gave it away.\" Seeking to improve on the design, I made one myself from 10 cents worth of 550 cord, a velcro \"power cord organizer\" that came in a 5-pack from a local 99 cent store, and a 50 cent metal carabiniere that came in a 2-pack, also from the 99 cent store. All in all, I have a better product for less than a dollar and 15 minutes of my time. I\'m sure mine will out live this $18 version.\";}i:1;a:5:{s:5:\"title\";s:15:\"nice accessorie\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 3, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A37NEGGSAZ12YN\";s:4:\"name\";s:5:\"Scott\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:174:\"Great product! Not too long or cumbersom. Holds tight on the paddle with no slippage. I was a little weary of the plastic loop clip but it worked great. No complaints at all.\";}i:2;a:5:{s:5:\"title\";s:15:\"Good insurance.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 20, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3GYN331N3BX9M\";s:4:\"name\";s:29:\"Karen4Kindle \"Kindle Fanatic\"\";s:7:\"address\";s:30:\"Nashville, TN and Hartford, CT\";}s:4:\"text\";s:163:\"I am prone to flip while kayaking, and now I do not have to worry about my paddle heading down the river while I get my boat flipped back over. Happy I got this...\";}i:3;a:5:{s:5:\"title\";s:26:\"Premier Kayak paddle leash\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 6, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A241IQEM8XCAUA\";s:4:\"name\";s:4:\"P.T.\";s:7:\"address\";s:16:\"White Plains, NY\";}s:4:\"text\";s:189:\"The lease stays on the paddle securely and does not interfere with the paddling. My wife and I have dropped our paddles a few times and we would not take the chance paddling without a leash\";}i:4;a:5:{s:5:\"title\";s:11:\"Weak velcro\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:12:\"July 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UX6UWXRJ02VW\";s:4:\"name\";s:15:\"Nicole \"Nicole\"\";s:7:\"address\";s:28:\"Huntsville, AL United States\";}s:4:\"text\";s:267:\"This leash uses very weak velcro instead of a better quality. It will not hold up to any kind of serious tug. For recreational paddle where it won\'t experience much stress, it should probably function okay, but I wouldn\'t trust this for white water or ocean kayaking.\";}i:5;a:5:{s:5:\"title\";s:18:\"Great paddle leash\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3PJNLYZWZSJCP\";s:4:\"name\";s:7:\"Forest7\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:459:\"When I saw the reviews on this Premier Kayak Gripper Paddle Leash, I decided to try it. It is as the other reviewers say. It grips the paddle well. The line does not get in the way, the velcro grips the paddle handle securely, and the whole things helps a lost paddle not to be one of the concerns when paddling.<br /><br />It is worth buying, and I also like it because it does not coil by itself and does not therefore, create a constant pull on the paddle.\";}i:6;a:5:{s:5:\"title\";s:14:\"Great Product!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 24, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1B1CLVW5C58BN\";s:4:\"name\";s:12:\"C. E. Bagley\";s:7:\"address\";s:18:\"Manchester, NH USA\";}s:4:\"text\";s:423:\"This paddle tether is simple, good-looking and low-profile. The plastic clip can be a little hard to remove from the deck bungee, but I love the Velcro gripper feature that holds the tether firmly in the center of the paddle. This product even includes two rubber \"paddle protector\" strips as part of the tether strap. The cord is not especially sturdy, but is completely adequate for lake or coastal paddling. Good choice!\";}i:7;a:5:{s:5:\"title\";s:5:\"Enjoy\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A38PBEF7HBDM6S\";s:4:\"name\";s:6:\"Wilbey\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:110:\"Works good and does not get in the way. Liked the slimmer cord that this has compared to other paddle leashes.\";}i:8;a:5:{s:5:\"title\";s:13:\"Great product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1RPC037JJJJPY\";s:4:\"name\";s:4:\"Javi\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:259:\"It stays put and doesn\'t move around and the bungee cord is at the correct length, not too long and not too short.<br /><br />Haven\'t had it for that long so don\'t really know about it\'s durability... but it seems very durable to me.<br /><br />Great product!\";}i:9;a:5:{s:5:\"title\";s:11:\"Adds Safety\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 28, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1C771PPD8OIUW\";s:4:\"name\";s:9:\"P. Dawson\";s:7:\"address\";s:2:\"CA\";}s:4:\"text\";s:358:\"After kayaking for the past 4+ years without a leash, I purchased this paddle leash, as per the Yellowstone National Park safety guidelines. The quality of this item was as I expected. Flexible, easy to use and adds a sense of security knowing your paddle won\'t float away if it slips off your boat. It\'s easy to wrap around the paddle and leash to the boat.\";}}");
INSERT INTO `wp_postmeta` VALUES("2357", "377", "asg_last_refresh_attempt", "1371235605");
INSERT INTO `wp_postmeta` VALUES("2358", "377", "asg_update_timestamp", "1371235605");
INSERT INTO `wp_postmeta` VALUES("2359", "378", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2360", "378", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2361", "378", "asg_item_id", "B0028Q5G2Q");
INSERT INTO `wp_postmeta` VALUES("2362", "378", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B0028Q5G2Q\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Premier-Kayak-Paddle-Splash-Guards/dp/B0028Q5G2Q%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0028Q5G2Q\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Premier-Kayak-Paddle-Splash-Guards/dp/tech-data/B0028Q5G2Q%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028Q5G2Q\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0028Q5G2Q%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028Q5G2Q\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0028Q5G2Q%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028Q5G2Q\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0028Q5G2Q%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028Q5G2Q\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0028Q5G2Q%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028Q5G2Q\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0028Q5G2Q%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028Q5G2Q\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0028Q5G2Q%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028Q5G2Q\";}}}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL.jpg\";s:6:\"Height\";s:3:\"290\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL110_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL.jpg\";s:6:\"Height\";s:3:\"290\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lMYZuuV2L._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lMYZuuV2L._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31lMYZuuV2L._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lMYZuuV2L._SL110_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31lMYZuuV2L._SL160_.jpg\";s:6:\"Height\";s:2:\"96\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31lMYZuuV2L.jpg\";s:6:\"Height\";s:3:\"198\";s:5:\"Width\";s:3:\"330\";}}}}s:14:\"ItemAttributes\";a:14:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:5:\"Color\";s:11:\"Black/Black\";s:7:\"Feature\";a:5:{i:0;s:88:\"Exclusive design holds water on the upstroke and drops it right back on the down stroke.\";i:1;s:80:\"Greatly decreases water drip & splash back from paddle; keeps hands and lap dry.\";i:2;s:40:\"Works much better than drip rings alone.\";i:3;s:40:\"Great for cold or warm weather kayaking.\";i:4;s:80:\"Fits single, two-piece, and odd shaped paddles. Made in USA. Lifetime Guarantee.\";}s:5:\"Label\";s:13:\"Premier Kayak\";s:12:\"Manufacturer\";s:13:\"Premier Kayak\";s:3:\"MPN\";s:5:\"P3577\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"25\";s:6:\"Length\";s:4:\"1000\";s:6:\"Weight\";s:1:\"5\";s:5:\"Width\";s:3:\"400\";}s:10:\"PartNumber\";s:5:\"P3577\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Premier Kayak\";s:6:\"Studio\";s:13:\"Premier Kayak\";s:5:\"Title\";s:64:\"Premier Kayak Paddle Splash Guards. No More Drip. Sold in Pairs.\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0028Q5G2Q%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028Q5G2Q\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:174:\"eXdrPcZAjChosxb%2BxNWm3s%2BCTl84rzT5SKwlp4tgGKgN0pFEjK7ExQ1gmyW449%2FqxCCI%2FugmJgo6DzihUegPR9J9fl%2Fx%2Bk5AyCSdCbvrHJZW39A8KKeikgRyhjA%2BFvY1MSfIasquK8ZJXWs98vPkPLpMwklIExFT\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.99\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"1199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.00\";}s:15:\"PercentageSaved\";s:2:\"29\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0028Q5G2Q&atag=freetos-20&exp=2013-06-15T18%3A46%3A45Z&v=2&sig=9qG5tf5gHqi4%2BD1%2FSWgOe92jJ%2B9VawQd5c7p3qc8DQU%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:762:\"Our exclusive design greatly decreases the amount of splash from your paddle. Have a blast on the water all day long and stay dry. No more soaked lap, wet shirt, or spotty sunglasses. Weve tried these little wonders for countless hours and absolutely love them. These splash guards are made of a very grippy neoprene rubber that keeps them firmly attached to your paddle. Great for single piece paddles where it is nearly impossible to put standard drip rings on. These splash guards wrap around the shaft of your paddle and fasten shut with Velcro fastener. Its Patent Pending Cone shape holds water on the upstroke and drops it right back on the down stroke. An incredible improvement to any size or shape paddle. Sold in pairs. Made in the USA Patent Pending.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2348", "376", "asg_last_refresh_attempt", "1371235603");
INSERT INTO `wp_postmeta` VALUES("2349", "376", "asg_update_timestamp", "1371235603");
INSERT INTO `wp_postmeta` VALUES("2350", "377", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2351", "377", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2352", "377", "asg_item_id", "B0028QBBP2");
INSERT INTO `wp_postmeta` VALUES("2353", "377", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0028QBBP2\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Premier-Kayak-Gripper-Paddle-Leash/dp/B0028QBBP2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0028QBBP2\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Premier-Kayak-Gripper-Paddle-Leash/dp/tech-data/B0028QBBP2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028QBBP2\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0028QBBP2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028QBBP2\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0028QBBP2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028QBBP2\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0028QBBP2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028QBBP2\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0028QBBP2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028QBBP2\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0028QBBP2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028QBBP2\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0028QBBP2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028QBBP2\";}}}s:9:\"SalesRank\";s:4:\"6143\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41DxhY4HsAL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:14:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:7:\"Feature\";a:5:{i:0;s:62:\"Super Strong lightweight design for ultimate paddling comfort.\";i:1;s:53:\"Generous 4 ft. of shock cord for all paddling styles.\";i:2;s:76:\"Gripper insert keeps paddle strap from sliding up and down the paddle shaft.\";i:3;s:59:\"Stretch Strap fits all paddles including Greenland paddles.\";i:4;s:71:\"Made in the USA. Lifetime Guarantee. Not to be used as a safety device.\";}s:5:\"Label\";s:13:\"Premier Kayak\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.99\";}s:12:\"Manufacturer\";s:13:\"Premier Kayak\";s:3:\"MPN\";s:5:\"A2354\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"90\";s:6:\"Length\";s:3:\"350\";s:6:\"Weight\";s:2:\"40\";s:5:\"Width\";s:3:\"270\";}s:10:\"PartNumber\";s:5:\"A2354\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Premier Kayak\";s:6:\"Studio\";s:13:\"Premier Kayak\";s:5:\"Title\";s:35:\"Premier Kayak Gripper Paddle Leash.\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0028QBBP2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0028QBBP2\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:178:\"CIvahPOHxkUSq5H7%2BjlQKYJpt1B2KhyGU60WCupp0XFsPyJpEy3XATKc7Z9tuxjV807sJw3s%2FcorSIb1SwxuTqYb6%2Fw%2BefjubpARAUoyx7kzQ7ukZPKMM%2Fv%2BFKy2lh0WWZx6YvItctwa1%2FF6Au%2BufsT%2FPxH3FsFr\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2497\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$24.97\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"1199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1298\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.98\";}s:15:\"PercentageSaved\";s:2:\"52\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0028QBBP2&atag=freetos-20&exp=2013-06-15T18%3A46%3A43Z&v=2&sig=qGhjHEdE960SiQefGdKjMbO6lKEcWe76DAzNts0gbv8%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:830:\"This is the paddle leash stripped to its bare essentials. No more heavy coils or soaked tubular webbing. We created the most comfortable paddle leash. It is constructed with Super Stretch paddle strap material and is lined with a shaft-gripping material that will keep your leash firmly in place. Once you attach the strap to your paddle, it stays exactly where you put it. We use nylon fasteners and shock cord specifically designed for outdoor use.   (No more locked up and corroded brass fasteners to maintain!)  Our super strong 5mm shock cord is twice as thick as most other bungee paddle leashes. Keep all of your expensive gear safe and secure. Can be used for paddles, fishing poles, electronics, safety equipment, etc. Made in the USA. For flat water, touring, or recreational kayaking. Not to be used as a safety device.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2330", "374", "asg_last_refresh_attempt", "1371235598");
INSERT INTO `wp_postmeta` VALUES("2331", "374", "asg_update_timestamp", "1371235598");
INSERT INTO `wp_postmeta` VALUES("2332", "375", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2333", "375", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2334", "375", "asg_item_id", "B004EEKCVK");
INSERT INTO `wp_postmeta` VALUES("2335", "375", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004EEKCVK\";s:13:\"DetailPageURL\";s:215:\"http://www.amazon.com/Lifetime-Tandem-Paddles-Backrests-10-Feet/dp/B004EEKCVK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004EEKCVK\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:225:\"http://www.amazon.com/Lifetime-Tandem-Paddles-Backrests-10-Feet/dp/tech-data/B004EEKCVK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEKCVK\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004EEKCVK%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEKCVK\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004EEKCVK%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEKCVK\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004EEKCVK%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEKCVK\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004EEKCVK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEKCVK\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004EEKCVK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEKCVK\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004EEKCVK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEKCVK\";}}}s:9:\"SalesRank\";s:4:\"3583\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Kz2H0tksL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/517UCBmjsNL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/517UCBmjsNL._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/517UCBmjsNL._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/517UCBmjsNL._SL110_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/517UCBmjsNL._SL160_.jpg\";s:6:\"Height\";s:3:\"128\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/517UCBmjsNL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61wwrSMpPOL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61wwrSMpPOL._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/61wwrSMpPOL._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/61wwrSMpPOL._SL110_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/61wwrSMpPOL._SL160_.jpg\";s:6:\"Height\";s:3:\"128\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/61wwrSMpPOL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"Lifetime Products\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"90118\";}s:5:\"Color\";s:6:\"Yellow\";s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0081483008516\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0081483008516\";}s:7:\"Feature\";a:5:{i:0;s:33:\"Designed for single or tandem use\";i:1;s:34:\"(2) 2-piece sport paddles included\";i:2;s:19:\"Fits up to 3 people\";i:3;s:18:\"Forward cargo area\";i:4;s:62:\"Tunnel hull design provides ultra stability and great tracking\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1900\";s:6:\"Length\";s:5:\"10200\";s:6:\"Weight\";s:4:\"6500\";s:5:\"Width\";s:4:\"3600\";}s:5:\"Label\";s:17:\"Lifetime Products\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"54999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$549.99\";}s:12:\"Manufacturer\";s:17:\"Lifetime Products\";s:5:\"Model\";s:5:\"90118\";s:3:\"MPN\";s:5:\"90118\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1600\";s:6:\"Length\";s:5:\"12300\";s:6:\"Weight\";s:4:\"8100\";s:5:\"Width\";s:4:\"3600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"90118\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Lifetime Products\";s:11:\"ReleaseDate\";s:10:\"2010-11-15\";s:4:\"Size\";s:7:\"10-Feet\";s:6:\"Studio\";s:17:\"Lifetime Products\";s:5:\"Title\";s:72:\"Lifetime Manta Tandem Kayak with Paddles and Backrests (Yellow, 10-Feet)\";s:3:\"UPC\";s:12:\"081483008516\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"081483008516\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"46749\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$467.49\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004EEKCVK%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEKCVK\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:138:\"R%2FdOrh60RjL%2BVOqUyNSkywAStGvSPvoBGIMwJzmCcXq1oI8MScHMMzAu2Tc5%2BP4OBCT3Eti%2FCksj3QeM%2BswD0WWt%2BlwU2Jo1l5FJyk%2BV3Xsp1MUjGUKBnA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"46749\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$467.49\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"8250\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$82.50\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004EEKCVK&atag=freetos-20&exp=2013-06-15T18%3A46%3A38Z&v=2&sig=8Z8vElEzJv3OCKOuPWC8RwWHX0yi9fQ63sxiLk%2FoUcg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:624:\"Designed to set up to three people, the 10 foot Manta Kayak is the perfect multi-purpose recreational kayak. It provides comfortable, balanced seating for solo, tandem or family fun. With a 500 Lb. weight capacity and the tunnel hull design, the Manta provides ultimate stability making it almost impossible to tip over. So paddle, fish, surf or sail, the Manta kayak is designed to provide plenty of fun for the whole family. \"High and dry\" seating keeps riders off the floor of the kayak. Multiple footrest positions for different size riders. Scupper holes drain the cockpit area with molded front and rear carry handles.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2296:\"Fish, surf, or sail in this sit-on-top tandem kayak from Lifetime Products. Built-in features include contoured seats for up to 3 people, a paddle cradle, a mast receiver receptacle, a fishing pole holder, and a forward cargo area with shock cord straps. Tunnel hull design provides ultimate stability so it\'s practically impossible to tip over. This model also includes two padded backrests and two paddles. Its convenient to use and fun for the whole family, with lightweight durable plastic construction that makes it easy to transport in a truck, SUV, or minivan. Excellent stability makes this the perfect sit-on-top kayak for beginners, but beginners and experienced kayakers alike will appreciate the innovative design and functionality of this multi-purpose kayak. <p><table align=\"right\" cellpadding=\"10\" width=\"350\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"280\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/lifetime-manta.jpg\" width=\"350\" /><br /><br /><small><em><strong>The Manta Tandem seats 2 to 3 people with a weight capacity of 500 pounds.</strong></em></small></td> </tr> </tbody></table> <b>Features:</b> <ul> <li>Kayak includes 2 padded backrests and 2 paddles <li>Seats up to 3 people <li>Paddle cradle to secure paddle when not in use <li>A mast receiver receptacle <li>Multiple foot wells for leverage when paddling <li>3 contoured seats <li>Generous forward cargo hold with shock cord straps <li>Ditty trays for holding odds and ends <li>Bottle holder <li>Side carry handle with molded front and rear handles as well <li>Scupper holes to drain cockpit area <li>Durable and lightweight <li>2-piece symmetrical paddles assemble to 7 feet; aluminum shaft, vinyl grips, drip cups; interior foam for floatation <li>Push button on paddles allows for 90 degree blade angle and 2-position feather adjustments </ul> <p> <b>Specifications:</b> <ul> <li>Model Number: 90118 <li>Quantity  1 <li>Style  Adult Sit-on-Top with 3 person seating <li>Color  Yellow <li>Material of Construction  High-Density Polyethylene (HDPE) Plastic <li>Dimensions  10 ft (3 m) x 36 in. (91.4 cm) <li>Seating Capacity  3 people <li>Product Weight  66 lbs. (29.9 kg) <li>Weight Capacity  500 lbs. (226.8 kg) <li>Warranty: 1 year limited factory warranty </ul> <p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2329", "374", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:27:\"Carlisle Day Tripper Paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2A3QTQCYFWQDH\";s:4:\"name\";s:9:\"kayakdude\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:759:\"This is a decent, low-cost, kayak paddle. Its aluminum frame is lightweight, and the fact that it can be broken down into two pieces makes it easy to store and handle. The adjustable feather is a nice feature for those paddlers who like to change their paddling style. I\'ve used it to kayak about 20 miles or so on lakes so I can\'t say much about how appropriate it would be for river kayaking, but on the lake, I like it. Its sturdy enough to get you where you are paddling. One of the two shafts is oval shaped, while the other is round. The oval shaped shaft hurts my hand a bit after a few hours of paddling. I have found that this can be minimized by wearing cycling or weight lifting gloves. Still, I would prefer that both shafts be round and not oval.\";}i:1;a:5:{s:5:\"title\";s:59:\"Decent ... but there are better options in this price range\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:18:\"September 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AHWL396Y3F8B9\";s:4:\"name\";s:12:\"geek wannabe\";s:7:\"address\";s:2:\"TX\";}s:4:\"text\";s:661:\"Purchased this paddle for a new kayak I had bought and although is is a decent paddle and works efficiently ... especially for a paddle in this price range, I have some qualms significant enough that I returned the paddle in exchange for another.<br /><br />The latch connecting the two pieces of the paddle do not fit securely and there is some noticable \"wobble\" when the two pieces are connected. This also allows some water to enter the shaft of the paddle. I exchanged this paddle for a Bending Branches Whisper Paddle which is in the same price range (a little more expensive, but worth it for a \"worry free\" paddle) and has a much better and \"tight\" fit.\";}i:2;a:5:{s:5:\"title\";s:33:\"Great for backup / noobie paddles\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A140QU3VDJD97H\";s:4:\"name\";s:26:\"Dominic A. Siow \"Ultraman\"\";s:7:\"address\";s:19:\"Los Angeles, CA USA\";}s:4:\"text\";s:429:\"Despite the push pin connector need some adjustment before insertion, this Carlisle Day Tripper is worth the money. Returned the one bought from Dicks and kept this instead. We have a two person inflatable Kayak, and Wife use this on front. The length and overall balance is great for her height (5\'4\"). Even though the blades themselves are more angular / slanted then the other one I\'d bought and use, it cuts water quite well.\";}i:3;a:5:{s:5:\"title\";s:29:\"Love the paddle and the price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A64NWE8ONZGT7\";s:4:\"name\";s:3:\"Ger\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:545:\"I purchased this paddle for river and class I & II rapids. It worked great for these conditions. It is study so It gives you some extra speed when you need it. It is also strong enough for me to push off of rocks and land confidently knowing it will not break. I have no trouble where the two pieces latch. It fits securly and does not move around. The drip guards are okay I guess, but for me, I\'m getting splashed anyways so a little paddle drip is not a big deal. It is great for anyone looking to get a paddle they can trust at a good price.\";}i:4;a:5:{s:5:\"title\";s:30:\"Very good recreational paddle!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"December 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1MO1U2OQCQBMG\";s:4:\"name\";s:13:\"Grandpa Jones\";s:7:\"address\";s:6:\"Tucson\";}s:4:\"text\";s:571:\"The only thing that I found wrong with this paddle is that it leaks around the joint where the paddle attaches to the handle and drips on you trough the snap button holes. It\'s amazing how much water can drip in your lap in a one hour paddle. A little silicone around that joint before you use them works, if you want to stay dry. Once they have been used you almost have to drill out the pop rivet and dry them out, apply sealant and then pop rivet them back togeather in order to get the trapped water out. To bad they did not take this small extra step at the factory!\";}i:5;a:5:{s:5:\"title\";s:11:\"Good Paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"December 25, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3CSRXJKM4268C\";s:4:\"name\";s:9:\"YakFisher\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:196:\"This is a decent paddle that does the job. It is heavy compared with other paddles that i\'ve tried but for the price it is well worth it. Most other light paddles are 3 times the price of this one\";}i:6;a:5:{s:5:\"title\";s:26:\"Great paddle for the price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 26, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ABEXR53WN3LQS\";s:4:\"name\";s:8:\"B. Clair\";s:7:\"address\";s:2:\"CA\";}s:4:\"text\";s:181:\"These paddles are a great price and work much better than the flat surface type. I look for several different paddles and found these to be the best price for recreational kayaking.\";}i:7;a:5:{s:5:\"title\";s:19:\"great for the price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 15, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A22WMP7YIWM73S\";s:4:\"name\";s:7:\"mitsaru\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:242:\"Great paddle for the price, if you want a top of the line paddle this is not the one but if a second safety paddle is needed this one fits the bill perfectly. Does have some wobble in the middle part but the foam handles are very comfortable.\";}i:8;a:5:{s:5:\"title\";s:14:\"220cm Goodness\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2VZNEM0V65R10\";s:4:\"name\";s:21:\"Susan Miller \"SusieQ\"\";s:7:\"address\";s:9:\"Boone, NC\";}s:4:\"text\";s:218:\"This is a perfect paddle. Using it with my Kayak is as good as I can imagine it getting.<br />Light and sturdy. I like that it breaks down and I can store it in my tool box.<br /><br />For the price, you can\'t beat it.\";}i:9;a:5:{s:5:\"title\";s:20:\"I\'m sold on Carlisle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 3, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2TO6S6QVVHXN2\";s:4:\"name\";s:20:\"M. Murray \"Msquared\"\";s:7:\"address\";s:7:\"MD, USA\";}s:4:\"text\";s:222:\"This is a smartly engineered paddle. You get more \"push\" out of it, even though it\'s light and has a smaller paddle profile than the cheaper models. It\'s got style on top of that so I\'m sold on this company\'s product line.\";}}");
INSERT INTO `wp_postmeta` VALUES("2328", "374", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2309", "372", "asg_product_details", "a:6:{s:11:\"Item Weight\";s:8:\"4 pounds\";s:15:\"Shipping Weight\";s:11:\"21.8 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004E4AWDS\";s:17:\"Item model number\";s:10:\"2000006974\";}");
INSERT INTO `wp_postmeta` VALUES("2310", "372", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("2311", "372", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:61:\"Decent boat, poor quality control, excellent customer service\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"August 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A120PGTN4EUKK9\";s:4:\"name\";s:12:\"Craig Strong\";s:7:\"address\";s:16:\"Portland, OR USA\";}s:4:\"text\";s:5010:\"(8/7/11) I own four other inflatable boats including a pontoon boat, a Stearns canoe and a Sevylor whitewater kayak. These are $500-800 boats. I bought the K1 because I want something I can pack on my bike or pack in to mountain lakes on my back.<br /><br />THE GOOD: The boat alone weighed in at 12 pounds and the paddle and pump add little weight though I did not weigh them. I took the K1 out today and found that it was very impressive on the water. It was stable to the point that I would be comfortable fly fishing from it on calm lakes and paddling in small waves wou ld not make me nervous. I wou ld not take it on a river with any amount of rapids, though. If given enough pressure, the seat back is fairly supportive. I\'m 6\' 1\" and I was able to put my feet against the end of the recessed area beyond the foot braces for a very comfortable braced position. I\'d be a bit concerned for shorter paddlers that the bumps that are there for foot braces would do little or nothing to help keep them secure if the water got choppy. I was pleased that the seating position was dryer than I\'d anticipated. Overall very comfortable. The boat tracked a lot better than my whitewater kayak and at least a well as my inflatable canoe. The odd valves are workable but not the easiest to get a good, firm amount of pressure, especially when using the included pump (see below).<br /><br />THE BAD: Unfortunately, the K1 had some significant quality issues. The first issue I encountered was the pump\'s hose-end fittings don\'t fit either of the valve sizes on this boat. I was able to put a few wraps of tape around the big nozzle so it would press into the valve securely but the small nozzle was not salvageable without significant modification and I resorted to using my breath to blow up the small chambers. The second issue was that two of the three fittings glued into the PVC at the front of the boat were glued in in the wrong orientation such that the cargo net is not secure and actually pulls itself free by it\'s own elasticity. I\'m sure that this varies from boat to boat and originates with bad design that allows these anchors to be oriented wrong in assembly (if it can be done wrong, it will be done wrong a good deal of the time, regardless of where it is manufactured).<br /><br />CONCLUSION: If it were not for the two issues I had with my boat I would be thrilled with my purchase. I\'d be willing to modify one of the smaller pump nozzles with my pocket knife to make it fit the small valves securely and tape on the big nozzle worked fine (too bad the small nozzles press over the big nozzle so the tape can\'t be left on). I can fix the cargo net issue too but it won\'t be elegant by any stretch of the imagination. These two issues make for a very disappointing purchase. I just wish I\'d bought this from Amazon as I doubt that the manufacturer will send me a prepaid shipping label or make the return process nearly as easy as It would be here.<br /><br />UPDATE (9/7/11): Coleman had me cut out the valves and send them a photo of the mutilated boat so that they would not have to replace a second boat on warranty. They immediately sent me an entirely new boat including all accessories in retail packaging. This boat had the fittings for the net mesh glued in properly. Unfortunately, the hose end fittings on the pump were the same as the first boat and were useless, without modification, for filling any of the compartments with air. I have another pump with the correct hose end fittings for this boat so not a big deal for me.<br /><br />Two new issues with the replacement boat:<br /><br />1. one of the welded seams had a nearly 1\" gap where it was not welded. So, the compartment that you sit on loses air (slower than you would think for the size of the gap).<br />2. the plugs in the valves on this second boat do not fit tightly. They push in place barely tight enough to keep enough air in the boat so that it is not soft. The first boat pumped up very tight and stayed that way with the well fitting caps to the valves.<br /><br />Coleman has asked me to cut up this boat and send them photos again. What a waste.<br /><br />UPDATE (9/12/11): Third boat came, no defects. Pump hose fittings still don\'t fit valves properly. Cut off one of the smaller fittings to push into the small valves and now it holds tight. Worked fine. Still have to wrap tape around the big nozzle to get it to fit the big valves properly. Coleman CS says that there is a piece that pulls off to make that fit. I don\'t see it. Regardless, I have three pumps now and can change the hose such that I can use just one pump and one hose for small valves, one hose for big valves.<br /><br />I will not hesitate to purchase a Coleman, Stearns or Sevylor product again based on very responsive customer service I received when I had these problems. If I\'m unsure that I want to keep the product and would like to use it before making up my mind I will buy from Amazon as their return policy is more generous.\";}i:1;a:5:{s:5:\"title\";s:24:\"best boat I\'ve ever had!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2AKU7276E2HRE\";s:4:\"name\";s:3:\"mac\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1052:\"I live in Canada (Vancouver Island, BC) so I had to go across the border at Blaine to pick up my boat but it has been well worth while. I was looking for a boat light enough for me to carry down to the beach by myself and still be able to carry back after an hour of paddling and this boat fills the bill. I have a nice little fiberglass kayak but it is now too heavy for me. I used to have a 2 person Sevylor but it would not track properly. This one is slower than the fiberglass one but tracks well and as I only want to paddle around the bay I live on it suits me well. I was worried about sittin on top but it actually feels much better to me than sitting down inside the other ones. It is attracting a lot of attention from others at the beach and it is so much fun. The seat is really comfortable and gives great support. It seems completely stable even with a bit of a breeze and a few waves. I didn\'t really like the 3 piece paddle but I have another 2 piece paddle from my other boat that works well. The pump that comes with it is also good.\";}i:2;a:5:{s:5:\"title\";s:24:\"Better than you\'d think!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3UYDDZB84IT6K\";s:4:\"name\";s:15:\"Rosalee Clayton\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:523:\"This kayak is bigger than it looks. It sits in level the water. It is better than expected. It handles like a small kayak and manuvers very well! The air chambers are well constructed and I didn\'t have to add air even after 3 days of use. The back support did not collapse and supports nicely. The air pump included worked well, but I used a Coleman 12 volt to air up the first time. The included paddle will suffice, but I prefer a stronger one. All said, this is a fun, light weight easy to pack and use kayak. I love it!\";}i:3;a:5:{s:5:\"title\";s:38:\"I\'m in love with my awesome new kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A281B8HTNUUD83\";s:4:\"name\";s:25:\"Karen Black \"Karen Black\"\";s:7:\"address\";s:11:\"Seattle, WA\";}s:4:\"text\";s:4108:\"Yes, I realize it isn\'t as maneuverable or as quick as a regular plastic or wood kayak. I wouldn\'t want to race those people! But I\'ve used my kayak several times already and I absolutely love it. It\'s so well designed and toting it in the backpack is just awesome.<br /><br />Great things about this kayak:<br />So well thought out<br />The seat part and cargo net becomes the backpack<br />It\'s easy to inflate and deflate (need to use the pump\'s deflate option to get it properly folded and stowed to be a backpack)<br />Comfortable to sit on<br />Stable<br />The pump rocks my world! I use it for all my inflatables now. I have rafts and tubes and mattresses I inflate. Has a zillion different size nozzles. It\'s excellent. Better than my battery operated Coleman. Ok there are actually 6 nozzles I think. So no one should have any issues with finding one to fit the valves, like that other reviewer had. Maybe they are shipping a better one now.<br />Easy to get in and out of when swimming. Can lie on your stomach or back on it like an air mattress to relax.<br />Oar lock/paddle stow holders<br />Cup holder (My friend\'s $300 Coleman inflatable kayak doesn\'t have a cup holder...)<br />Different places to put your feet, depending on the length of your legs.<br />Carry handles are great if have someone with you. Good for pulling the kayak to shore. Also for tying the beer raft to. :D<br />Cargo net is nice and will actually expand to hold quite a bit. I\'ve had ziploc of several sunscreens, flip flops and a liter bottle of water out there with room to add more stuff. Can also carabiner your car key here. It\'s pretty secure.<br />and lastly<br />IT\'S SO MUCH FUN!<br /><br />Things that are not so great:<br />The cup holder does not have any structure. It is simply a hole in part of the inflated bit. Imagine trying to jam your drink between a bunch of squishy pillows. So you have to really wedge and swivel your can or bottle in there which is somewhat of a pain getting it in and out.<br />I hit my hand on the oar lock thingies when paddling. It does not hurt because the plastic/rubber is soft, but it\'s annoying.<br />The paddle doesn\'t stay in the oar lock all that well. Keep an eye on this as it may come free and float away. You can\'t use the paddle in the lock to carry the kayak. No biggie as you just carry it by holding the inside. But don\'t think the paddle in the lock becomes a carry handle.<br />The paddle is not terribly comfortable in the hands. The joining bits are handles and the ridged plastic seems to bother my hands, especially if they are wet. Sometimes I take a break and hold onto the aluminum tube part. Cycling gloves might be a good remedy for really long, intense paddling.<br /><br />How I\'ve used it:<br />On calm water lakes with light wind. Does surprisingly ok.<br />On choppy, wavy water lake (almost ocean like) It was Sea Fair weekend and there were power boats galore going by. The wakes were pretty intense. 2.5 feet swells at times. Does less ok, but still felt safe and secure. Did get much more water inside the kayak. But heck it was 90 degrees that day...<br />I\'ve used it both to just accompany my tube and air mattress floating friends, but also to explore and kayak for a couple of miles. It\'s great exercise and lots of fun.<br /><br />Note: When paddling you won\'t go totally straight. There are two small fixed skegs on the front and back bottom, but it doesn\'t track straight. Expect for the front of the kayak to wiggle from side to side with your strokes. It\'s totally manageable. Getting the hang of how far to dip the paddle and how hard to stroke can adjust the wiggle. If you want perfectly straight, I do not recommend this or any inflatable kayak really.<br /><br />I think this would be fine to use on Puget Sound or more open water, wavy water than lakes, but only in warm weather. The sit on top style is not dry. Luckily I live really close to Greenlake and Lk Union. So I can just pop on my backpack and trek on over for some nice kayaking.<br /><br />My friend loved mine so much she has ordered one too. Comes tomorrow!\";}i:4;a:5:{s:5:\"title\";s:40:\"Great Recreation Kayak! Worth the money!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2VUX8Z2PNWEVG\";s:4:\"name\";s:12:\"Seth Stewart\";s:7:\"address\";s:13:\"Henderson, TN\";}s:4:\"text\";s:679:\"I was skeptical at first about buying this kayak after reading some of the reviews, but I am so glad I ignored them and bought this kayak. Took it to the lake yesterday, pumped up in 5 minutes and was out on the water. I had no problem with the included pump as some other reviewers claimed. It performed very well on the water, very relaxing. I believe some of the negative reviews come from buyers with wrong expectations for this kayak. Of course, it doesn\'t have the speed or handling of a hardshell kayak, but I didn\'t expect it to. I just wanted a handy, portable kayak to leisurely paddle on a lake or river. If that is what you are looking for, this is the kayak for you!\";}i:5;a:5:{s:5:\"title\";s:4:\"Leak\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"September 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVKFFQUSB5ARF\";s:4:\"name\";s:8:\"Marty D.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:615:\"I have owned a Quickpak for a year and have used it on a nearby river. It\'s was great and had more features than my older sit-on-top kayaks. I thought I would order a new one for my daughter to use and it came in out of the box with a serious leak around the cupholder. It makes me wonder about the quality control of Sevylor. As with many reviews, I also didn\'t care for the valves and how you had to hold it with one hand and pump with the other. I will wait and see if Sevylor comes out with a new model with improvements and maybe I will try one again. They are unique and alot of fun providing they don\'t leak.\";}i:6;a:5:{s:5:\"title\";s:26:\"Even Better Than Expected!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 22, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3ANHJEIYIWCI4\";s:4:\"name\";s:5:\"Jamie\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1200:\"I read reviews online and shopped around the local stores before purchasing this kayak. The reviews were pretty good and my expectations were not low but I was prepared to be a bit disappointed. I just love this kayak! Not one negative thing to say.<br />Living on a small lake it will get a lot of use. Here are some of the pros:<br />Light and easy to carry.<br />Easy to inflate (the pump that came with it is great and all fittings are tight, no problems like some other reviews. Maybe they have switched pumps?) Even the pump is extremely light weight.<br />The paddle is very easy to put together and very well designed. The perfect weight and durability for this size kayak and my weight/size, (average size female, 5\'6\")<br />It maneuvers like a dream! It is stable and balanced on the water and maneuvers slightly better than my friends rigid kayak, which cost at least 3x more.<br />I just love this kayak! (again) It is perfect on my little lake but I think it will be great going up to Big Bear Lake on a little hike and out in the small surf of La Jolla Cove to see the leapord sharks, sea caves and seals.<br />I could not be happier and the price makes this kayak an even sweeter deal.\";}i:7;a:5:{s:5:\"title\";s:5:\"kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UWXAQ3WIC31R\";s:4:\"name\";s:18:\"Jeannie Dunn \"Jae\"\";s:7:\"address\";s:8:\"Arkansas\";}s:4:\"text\";s:704:\"I absolutely love this kayak. I kayak in small lakes and this is prefect for that. It\'s light-weight and easy for me--short, not very strong middle-aged woman--to handle. Fast(within 5 minutes) and easy to inflate with hand pump. It is very hard to tip over and very easy to get on and off. I would not recommend this for river rafting or anywhere there are rocks or limbs sticking up out of the water. But if you want something easy to handle and store and for just paddling around a lake, this is the one for you. The pack it comes in is the seat and it velcors and hooks onto the seat area. I found the seat more comfortable without using the pack, but it is a good place to store it if you need that.\";}i:8;a:5:{s:5:\"title\";s:38:\"Not well designed, but it has its uses\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:18:\"September 11, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AKPYS9VSM3LNX\";s:4:\"name\";s:20:\"moose_of_many_waters\";s:7:\"address\";s:31:\"San Francisco, CA United States\";}s:4:\"text\";s:880:\"Take your standard inflatable raft, use thicker vinyl, taper it at one end, add a couple of fins on the bottom and back and elbow rests on top, and you have this. This \"kayak\" is cheaply made and not well designed, but it\'s also inexpensive and has its uses. I use it for fishing on lakes. It doesn\'t track well at all and it sags in the middle if you weigh about 200 pounds. It\'s a pretty tight fit if you\'re 5\' 11\" and the paddle is just a silly thing. You\'ll get very wet as you paddle around, but a real decent kayak, inflatable or not, would cost you lots, lots more. The Sevylor definitely tracks better than your standard inflatable boat (those don\'t track well at all) and you can get around on the water fairly fast. Just don\'t even think that you\'re using a kayak. Think of this, rather, as a steerable, very stable, floatable raft for one and you won\'t be disappointed.\";}i:9;a:5:{s:5:\"title\";s:42:\"Arrived with a puncture - test immediately\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 23, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A8IFPV1LEQXBA\";s:4:\"name\";s:13:\"John H. Gough\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:530:\"I ordered two. The second one had a puncture in it that I did not discover until the return period had expired.<br /><br />It is a little tricky to paddle it in a straight line, but overall it is fine. We are warming up on these in lieu of spending $1000+ for hard-shell kayaks, which are not suitable for us because of storage and transport issues.<br /><br />The pump works really well....I bought an electric pump too but usually use the hand pump by the water rather than inflate the kayak at the car and haul it to the water.\";}}");
INSERT INTO `wp_postmeta` VALUES("2294", "370", "asg_last_refresh_attempt", "1371235587");
INSERT INTO `wp_postmeta` VALUES("2295", "370", "asg_update_timestamp", "1371235587");
INSERT INTO `wp_postmeta` VALUES("2296", "371", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2297", "371", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2298", "371", "asg_item_id", "B007GFBU1A");
INSERT INTO `wp_postmeta` VALUES("2299", "371", "asg_amazon_data", "a:15:{s:4:\"ASIN\";s:10:\"B007GFBU1A\";s:10:\"ParentASIN\";s:10:\"B007GFBU1A\";s:13:\"DetailPageURL\";s:195:\"http://www.amazon.com/Thule-Hull-A-Port-Pro/dp/B007GFBU1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB007GFBU1A\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:205:\"http://www.amazon.com/Thule-Hull-A-Port-Pro/dp/tech-data/B007GFBU1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007GFBU1A\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB007GFBU1A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007GFBU1A\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB007GFBU1A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007GFBU1A\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB007GFBU1A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007GFBU1A\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B007GFBU1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007GFBU1A\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B007GFBU1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007GFBU1A\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B007GFBU1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007GFBU1A\";}}}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/3115GEXSlcL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:5:\"Thule\";s:7:\"Feature\";a:5:{i:0;s:103:\"Proven J style kayak carrier creates more room on the load bar to transport more toys at the same time.\";i:1;s:94:\"P.F.D. Lever (Pull Fold Done) - rapid folding for improved overhead clearance when not in use.\";i:2;s:90:\"NEW J profile for easy boat loading - best clearance of any J style carrier on the market.\";i:3;s:89:\"Fits Thule standard, Rapid Aero, Xsporter bars, Yakima, and most factory installed racks.\";i:4;s:60:\"Quick on/off hardware ensures fast installation and removal.\";}s:5:\"Label\";s:5:\"Thule\";s:12:\"Manufacturer\";s:5:\"Thule\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Thule\";s:6:\"Studio\";s:5:\"Thule\";s:5:\"Title\";s:21:\"Thule Hull-A-Port Pro\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"15895\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$158.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"20000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$200.00\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:4:\"Size\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B00152TUUI\";s:10:\"ParentASIN\";s:10:\"B007GFBU1A\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41eSjMtMBoL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:30:{s:7:\"Binding\";s:10:\"Automotive\";s:5:\"Brand\";s:5:\"Thule\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:4:{i:0;s:10:\"BGGS835PRO\";i:1;s:6:\"835PRO\";i:2;s:10:\"THU_835PRO\";i:3;s:9:\"100080550\";}}s:5:\"Color\";s:9:\"One Color\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0400105848260\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0400105848260\";i:1;s:13:\"0091021835672\";}}s:7:\"Feature\";a:5:{i:0;s:62:\"Proven J style kayak carrier creates more room on the load bar\";i:1;s:76:\"PFD lever (pull fold done) for rapid folding and improved overhead clearance\";i:2;s:74:\"New J profile for easy boat loading and includes quick on and off hardware\";i:3;s:109:\"Includes two ratcheting bow and stern tie downs and two straps with buckle protectors for safe boat transport\";i:4;s:94:\"Fits Thule standard bars rapid aero bars xsporter bars round bars most factory installed racks\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"550\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:3:\"590\";s:5:\"Width\";s:4:\"1050\";}s:5:\"Label\";s:5:\"Thule\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"19995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$199.95\";}s:12:\"Manufacturer\";s:5:\"Thule\";s:5:\"Model\";s:6:\"835PRO\";s:3:\"MPN\";s:6:\"835PRO\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"530\";s:6:\"Length\";s:4:\"1990\";s:6:\"Weight\";s:4:\"1300\";s:5:\"Width\";s:4:\"1080\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"835PRO\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Thule\";s:11:\"ReleaseDate\";s:10:\"2008-02-28\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:17:\"THU0189-ONCO-ONSI\";s:6:\"Studio\";s:5:\"Thule\";s:5:\"Title\";s:48:\"Thule 835PRO Hullaport Pro Rooftop Kayak Carrier\";s:3:\"UPC\";s:12:\"091021835672\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"091021835672\";i:1;s:12:\"400105848260\";}}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"Racks for All\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:168:\"nh9XyqIRIhRtCmGAm2cRy0ILoU9F8Q8cUR5jzcD3ii6O5g3zqC%2Bz3SQ8IO10shzA8QTEUg16x%2FqFZXJsIerbIeHGJ%2FrDjmoADJy9sUOoluAKFnSP%2FGUJX7Iw9UcjXOuDSGeDNvFtcL8rYHaOf84ORRyzQHFuIefG\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"15895\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$158.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"4100\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$41.00\";}s:15:\"PercentageSaved\";s:2:\"21\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B007GFBU1A&atag=freetos-20&exp=2013-06-15T18%3A46%3A27Z&v=2&sig=FIoINwt0qWu9YvsEsgaV4ZmWrzOZRYLtxNuk3KPfiiE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:856:\"Thule Hull-A-Port PRO 2013 - The Hull A Port Pro designed by Thule is the most popular carrier for transporting a kayak in the world, Thule has made transporting easier, safer and quicker for you to install. The on and off hardware ensures fast installation and removal so you can actually spend your time kayaking and enjoying nature and the outdoors. The included two ratchets tie downs, two straps and the buckle protectors make sure that your kayak or canoe is safely secure, stable and safe. Everything that will make you feel comfortable knowing that Thule has thought of everything to make transporting a great and easy experience for you. Features: Includes two ratcheting tie downs, two straps and buckle protectors.. Model Year: 2013, Product ID: 119185, Shipping Restriction: This item is not available for shipment outside of the United States.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2300", "371", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B007GFBU1A\";}");
INSERT INTO `wp_postmeta` VALUES("2301", "371", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2302", "371", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:32:\"Great rack for factory crossbars\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 17, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3PEHIK7TTXFMI\";s:4:\"name\";s:7:\"Milkman\";s:7:\"address\";s:2:\"NC\";}s:4:\"text\";s:1130:\"I picked up this rack recently because I had to transport my 15\' kayak on a highway at 70 mph for a couple of hours. Rack easily bolted to my existing factory crossbars on a 2005 Subaru Outback. The shape of the mounting blocks are made to adapt to nearly any factory, Thule or Yakima Cross Bars as far as I can tell. Once bolted on they feel very secure and I had no issues on my 4 hour trip there and back.<br /><br />The fold down feature of the PRO was worth the price increase to me especially if you are planning on mounting on an SUV that has to fit in a garage. It has a large handle that you simply pull up and it allows the J bar to rotate up and down and lock in both positions. The other bonus is having the bow and stern racheting tie downs included. These are excellent and make it very quick and completely stable.<br /><br />The only thing I need to get now is some locks to ensure that this great new rack doesn\'t walk away since it is just 8 wing nuts holding them on. The price is high but there is enough solid engineering between the rack itself and the accessories included to definately recommend this rack.\";}i:1;a:5:{s:5:\"title\";s:13:\"Excellent rac\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 16, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ABQ4BEFKG7XJ4\";s:4:\"name\";s:4:\"Todd\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:145:\"I use this to hold a 72lbs, 16\' polypro tandem kayak and it keeps the boat secure and stable on top of my Explorer.<br /><br />Highly recommended\";}i:2;a:5:{s:5:\"title\";s:21:\"Thule Hull-A-Port Pro\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 17, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A39NOLE6LM15EN\";s:4:\"name\";s:7:\"Toolnut\";s:7:\"address\";s:5:\"Texas\";}s:4:\"text\";s:881:\"I purchased the Thule brand even though there were other less expensive models. I am one that believes that you get what you pay for. Not so true in this case. This is an excellent product but I didn\'t give it five stars because I didn\'t think it was heavy duty enough to warrant five stars. If you don\'t need the fold down feature that the Hull-a-Port Pro offers then I would recommend purchasing the less expensive \"SportRack-Abr511\". These are sold online and at Gander Mountain. After close inspection, it appears that the \"SportRack\" model and the Thule model may be manufatured at the same entity. The only difference is that the \"SportRack\" model doesn\'t have the ratcheting mechanism with the tie down ropes. The ratcheting mechanisms can be purchased separately. Overall I am satisfied with the Thule Hull-a-Port Pro but I believe that Thule products are a bit overpriced.\";}i:3;a:5:{s:5:\"title\";s:19:\"Thule Pulldown Rack\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"April 26, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AV1D9B474J6LH\";s:4:\"name\";s:2:\"LM\";s:7:\"address\";s:7:\"Vermont\";}s:4:\"text\";s:777:\"This rack does function but not nearly a good as the standard J-Rack. I traded for a smaller car with factory cross-bars. None of the eaily removable rack adapters would work properly. The fold-down feature allows me to garage the car but still load my kayaks quickly for a trip to a local lake. The lower arm is shorter and does not curve up as the standard J-Rack. The result is that it is easier for the kayaks to fall if not strapped quickly, especially if the is a lite breeze. The fall off occurs with 3 foot c-c as well a 2 foot; straight cross rail or curved.<br />A standard J-Rack on a trailer works great.<br /><br />If I were to recommend it I would add qualifications. It might work with extrmely narrow kayaks not the 29 inch wide Pungo or others of similar with.\";}i:4;a:5:{s:5:\"title\";s:48:\"Thule 835PRO Hullaport Pro Rooftop Kayak Carrier\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 3, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3JMUZEOBRQD5V\";s:4:\"name\";s:7:\"MikeMac\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:960:\"I have 2 of these kayak carriers mounted onto the OEM rack of our 2002 Toyota 4Runner. I selected them based on their design (especially liked the fold-down feature), online customer reviews, and my previous experience with Thule quality. My wife and I use them to haul our 2 Wilderness Systems Pungo 120 kayaks. The real test occurred when we hauled them on our vacation this summer all the way to Glacier National Park--a 2000 mile trip from our home! They did an excellent job! I was most impressed that they survived windy North Dakota-very secure fit. Two suggestion to ensure a safe, worry-free, long trip: make sure you use the included straps and front and back tie-downs. You may want to secure-anchor the front mounts with either a screw through the base, or rigid-connect the front mounts together--the kayaks (if you haul 2 as we did) will tend to want to separate/spread apart from the force of the wind over long distances. Great product! Thanks!\";}i:5;a:5:{s:5:\"title\";s:16:\"Works amazing...\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3LW3OR5RJFH5X\";s:4:\"name\";s:8:\"Yakker84\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:484:\"I got my 835PRO about a month ago, and I love it. I\'ve used it several times already and haven\'t had a single problem with it. I don\'t think it could be any easier to use than it already is, and the straps that come with it are sooo nice, especially the front and rear tie downs. I\'ve gone down the highway at 65-70 mph and my kayak doesn\'t even budge. In case your wondering, I have:<br />11\' Mazda 3 hatchback w/ Thule roof rack system w/ Aero Blade load bars. My kayak is 11\' long.\";}i:6;a:5:{s:5:\"title\";s:36:\"Thule 835PRO Hullaport Kayak Carrier\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 17, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A101I364EBG4A7\";s:4:\"name\";s:2:\"DM\";s:7:\"address\";s:10:\"Seattle,WA\";}s:4:\"text\";s:342:\"These are great kayak carriers, they hold my 18 foot sea kayak with no problems and fold away flat when not in use. I love these things. The only thing they need is a lock of some sort so people wont steal them. I usually put a bike lock through them when I leave the car parked for any length of time. They are very easy to remove and quick.\";}i:7;a:5:{s:5:\"title\";s:32:\"Well made but a bear to assemble\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"February 21, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ASIR5MR8RX5AY\";s:4:\"name\";s:10:\"A. Matheny\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:685:\"The product holds the kayaks the way it should but it is very hard to assemble and mount on the Thule crossbars specified for it on the Thule website. The bolts that attach it are nearly too short. You can barely get them to engage the nuts. When I contacted the company about it, asking for longer bolts, they said they wouldn\'t send them and if I bought ones from someone else, it would void my warranty! I went ahead and got all the bolts to work barely, and the product is fine, but it was a very trying process, and the bolts were all of the problem. Thule just needs to get someone to design a better product. I think it will work fine now, but why put us through the suffering!?\";}i:8;a:5:{s:5:\"title\";s:10:\"Nice rack!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3NN10HRP0M5WC\";s:4:\"name\";s:12:\"Life is good\";s:7:\"address\";s:16:\"Danville Vermont\";}s:4:\"text\";s:449:\"We purchased a cheap system first, two racks for 99.00. Our first outing proved to be nearly disasterous as we almost lost our kayak to crosswinds on the interstate. This is a case where you get what you pay for. These racks are high quality and I like how they fold down when not in use. I purchased this model because it was the only one that I found that had two straps and four bolts that fasten each rack to the crossbar. Much more solid mount.\";}}");
INSERT INTO `wp_postmeta` VALUES("3467", "493", "asg_last_refresh_attempt", "1371238595");
INSERT INTO `wp_postmeta` VALUES("3468", "493", "asg_update_timestamp", "1371238595");
INSERT INTO `wp_postmeta` VALUES("3469", "494", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3470", "494", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3471", "494", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3472", "494", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3473", "494", "asg_item_id", "B005OHEYVA");
INSERT INTO `wp_postmeta` VALUES("3474", "494", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B005OHEYVA\";s:13:\"DetailPageURL\";s:201:\"http://www.amazon.com/Intex-Explorer-300-Set-Boat/dp/B005OHEYVA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB005OHEYVA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:211:\"http://www.amazon.com/Intex-Explorer-300-Set-Boat/dp/tech-data/B005OHEYVA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005OHEYVA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB005OHEYVA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005OHEYVA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB005OHEYVA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005OHEYVA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB005OHEYVA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005OHEYVA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B005OHEYVA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005OHEYVA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B005OHEYVA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005OHEYVA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B005OHEYVA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005OHEYVA\";}}}s:9:\"SalesRank\";s:5:\"15387\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"107\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"333\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"20\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"73\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"107\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"333\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"20\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"50\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"73\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"107\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41PczPdfYwL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"333\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51M35AMyIWL._SL30_.jpg\";s:6:\"Height\";s:2:\"19\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51M35AMyIWL._SL75_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51M35AMyIWL._SL75_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51M35AMyIWL._SL110_.jpg\";s:6:\"Height\";s:2:\"71\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51M35AMyIWL._SL160_.jpg\";s:6:\"Height\";s:3:\"104\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51M35AMyIWL.jpg\";s:6:\"Height\";s:3:\"324\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"58332EP\";}s:3:\"EAN\";s:13:\"0078257316977\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0078257316977\";}s:7:\"Feature\";a:7:{i:0;s:28:\"Includes two 48\" French oars\";i:1;s:36:\"Includes (1) high output manual pump\";i:2;s:38:\"83\" x 46\" x 16\" (211cm x 117cm x 41cm)\";i:3;s:19:\"Persons Capacity: 3\";i:4;s:24:\"Weight Capacity: 410 lbs\";i:5;s:19:\"Welded on oar locks\";i:6;s:16:\"Grab rope on bow\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"2283\";s:6:\"Length\";s:4:\"1362\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:4:\"1240\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"58332EP\";s:3:\"MPN\";s:7:\"58332EP\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"450\";s:6:\"Length\";s:4:\"2250\";s:6:\"Weight\";s:3:\"980\";s:5:\"Width\";s:4:\"1200\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"58332EP\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:11:\"ABIS_SPORTS\";s:9:\"Publisher\";s:5:\"Intex\";s:11:\"ReleaseDate\";s:10:\"2011-08-24\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:28:\"Intex  Explorer 300 Set Boat\";s:3:\"UPC\";s:12:\"078257316977\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"078257316977\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.99\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"2411\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$24.11\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"2\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B005OHEYVA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005OHEYVA\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"VIWnTP4Ad89acItdrC1I0nUroHDy8DbXrceOHcmuE6SnICeMCiEFqYjR5QvYMOZ%2F%2BpyQwasmcB4ugzf935oOHxQbSml48FJZizEMTesrXb7i5EHY9SnSJw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"800\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.00\";}s:15:\"PercentageSaved\";s:2:\"22\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B005OHEYVA&atag=freetos-20&exp=2013-06-15T19%3A36%3A35Z&v=2&sig=TWOqHIB8DtnEPglGggL4iGVgbxn3wElJxZ3xaeL1Wi0%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:321:\"Comfort, Size, Ease of use and Durability make this the perfect boat for anyone. Use your Explorer Boat 300 with 2 air chambers with double valves and Inflatable floor for comfort and rigidity in your favorite  lake or small river for comfortable ride.Includes two 48\" French oars and Includes (1) high output manual pump\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3475", "494", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:25:\"13.6 x 12.4 x 22.8 inches\";s:15:\"Shipping Weight\";s:10:\"9.8 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B005OHEYVA\";s:17:\"Item model number\";s:7:\"58332EP\";}");
INSERT INTO `wp_postmeta` VALUES("3476", "494", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3477", "494", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:37:\"Great little boat for paddling trips!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 20, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A329P043ENCM1R\";s:4:\"name\";s:9:\"Dr Moreau\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1521:\"I bought one of these to go river rafting and my buddy bought three more to go paddling with his kids. We took them out to Lake Martin in southern Louisiana and they performed great. I\'ve had mine in the water 4 times now and every time I\'ve launched from a concrete boat launch and had to \"drag\" the bottom of my boat along the concrete launch with my full weight in it to set off...not even a bad scuff.<br /><br />On our trip into the swamp we bumped into trees, logs, and all kinds of stuff and had no problems at all. We even paddled out to the middle of the lake and felt perfectly safe. We have life vests with us but just as a precaution. These things deflate and fit into the trunk of any small car and blow up in about ten minutes. They take a little getting used to as far as getting good control over them, but once you get the hang of it they\'re very safe and fun little boats.<br /><br />I\'ll list some things I noticed:<br /><br />- When you get the boat blown up most of the way work the pump really hard for about another minute to make sure it\'s extra firm and then quickly cap the valve. The more rigid the boat is the better it will handle in the water.<br /><br />- If you\'re heavy the front of the boat will come up a little bit and make it kind of hard to see, put an ice-chest in the front to counterbalance it.<br /><br />- These boats are easy to handle once you get the hang of it...but beware of windy conditions. Once the wind kicks up it can be very difficult to make any headway against it.\";}i:1;a:5:{s:5:\"title\";s:44:\"There was a hole in the it right of the box!\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2MMB9402CUYYU\";s:4:\"name\";s:7:\"J. Land\";s:7:\"address\";s:22:\"Mims, Fl United States\";}s:4:\"text\";s:497:\"We didn\'t try it out prior to going on our trip. Once I pumped it up with the included pump... we found a 3/4&#34; long slice in the material. Fortunately a friend had a patch kit. It\'s pretty flimsy, but I didn\'t expect much for the price. Once it was patched, it was OK, though I believe there may be additional leaks... I spent most of my time in the water and used this as a cooler carrier, so it worked for my purpose. Had I planned to ride in it all day, I would have been very disappointed.\";}}");
INSERT INTO `wp_postmeta` VALUES("3478", "494", "asg_last_refresh_attempt", "1371238597");
INSERT INTO `wp_postmeta` VALUES("3479", "494", "asg_update_timestamp", "1371238597");
INSERT INTO `wp_postmeta` VALUES("3480", "495", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3481", "495", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3482", "495", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3483", "495", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3484", "495", "asg_item_id", "B004PPNOWC");
INSERT INTO `wp_postmeta` VALUES("3485", "495", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004PPNOWC\";s:13:\"DetailPageURL\";s:210:\"http://www.amazon.com/Solstice-30400-Voyager-4-Person-Boat/dp/B004PPNOWC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004PPNOWC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:220:\"http://www.amazon.com/Solstice-30400-Voyager-4-Person-Boat/dp/tech-data/B004PPNOWC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004PPNOWC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004PPNOWC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004PPNOWC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004PPNOWC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004PPNOWC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004PPNOWC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004PPNOWC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004PPNOWC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004PPNOWC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004PPNOWC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004PPNOWC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004PPNOWC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004PPNOWC\";}}}s:9:\"SalesRank\";s:5:\"15916\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL.jpg\";s:6:\"Height\";s:3:\"405\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL110_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL.jpg\";s:6:\"Height\";s:3:\"405\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL110_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qJOk5VUWL.jpg\";s:6:\"Height\";s:3:\"405\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:22:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Solstice\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"30400\";}s:3:\"EAN\";s:13:\"0723815304001\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0723815304001\";}s:7:\"Feature\";a:5:{i:0;s:58:\"Ideal for pool, lake & beyond. Heavy duty PVC construction\";i:1;s:21:\"Multi person capacity\";i:2;s:49:\"4 chamber, double hull (DIN chamber) construction\";i:3;s:69:\"Inflatable seats, swivel oar locks, Boston Valve & fishing rod holder\";i:4;s:86:\"V400 Accepts optional Motor Mount - Item #30050 can accept 2 HP electric or gas motor.\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:4:\"1840\";}s:5:\"Label\";s:8:\"Solstice\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"9990\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$99.90\";}s:12:\"Manufacturer\";s:8:\"Solstice\";s:5:\"Model\";s:5:\"30400\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"650\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"1840\";s:5:\"Width\";s:4:\"1460\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Solstice\";s:11:\"ReleaseDate\";s:10:\"2011-02-01\";s:4:\"Size\";s:10:\"107\" x 60\"\";s:3:\"SKU\";s:3:\"501\";s:6:\"Studio\";s:8:\"Solstice\";s:5:\"Title\";s:30:\"Solstice Voyager 4-Person Boat\";s:3:\"UPC\";s:12:\"723815304001\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"723815304001\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"6999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$69.99\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004PPNOWC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004PPNOWC\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"y%2BRWasbc5V9wvpRGX9RM27dwmgIit7NJReeQj6fKacuk8FLc2RdE0DYngZxyAV5FZ7OeasJRcJl50bkEjIJbFikUEQj2CvuSNOyRgnJjeIocMfxTyHtbNg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7467\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$74.67\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"2523\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$25.23\";}s:15:\"PercentageSaved\";s:2:\"25\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004PPNOWC&atag=freetos-20&exp=2013-06-15T19%3A36%3A37Z&v=2&sig=2y6cj2KHZFPXZYtfU4UDi2W%2FUnxJBUM9Cel9C37Qios%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:15:\"Inflatable boat\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3464", "493", "asg_product_details", "a:5:{s:18:\"Product Dimensions\";s:31:\"12 x 4 x 12 inches ; 7.4 pounds\";s:15:\"Shipping Weight\";s:10:\"7.4 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:4:\"ASIN\";s:10:\"B003652B6C\";s:17:\"Item model number\";s:10:\"2000003382\";}");
INSERT INTO `wp_postmeta` VALUES("3465", "493", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("3466", "493", "asg_customer_reviews", "a:8:{i:0;a:5:{s:5:\"title\";s:9:\"Beer Raft\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A10KAZUQZ3APGI\";s:4:\"name\";s:8:\"JG \"Jon\"\";s:7:\"address\";s:19:\"Northern New Jersey\";}s:4:\"text\";s:464:\"I bought this to tow behind our full size raft while floating down rivers and some light rapids. It\'s sole job is to keep my cooler full of beer within reach at all times. It\'s built relatively well for a Chinese rubber raft but I wouldn\'t want to be the second person in this \"2 person\" raft but the cooler does just fine and kids would be ok. It does have multiple air chambers so even if you were to put a hole in it just that area of the raft goes soft on you.\";}i:1;a:5:{s:5:\"title\";s:33:\"300 lb max, not 360 lb as stated!\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"October 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AAVS0YUW404QJ\";s:4:\"name\";s:20:\"Paul from Santa Rosa\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:846:\"I got this to use as a cheap pack raft. It\'s light enough and compact enough that I can easily carry it, but costs a tiny fraction of what a real pack raft costs. It works, but has a couple of shortcomings that I didn\'t expect. A major one is that Amazon lists it as \"Holds 2 people (360 lbs.)\" However, the safety info printed on the raft states \"300 lb max\", and that seems accurate. It would also be extremely cramped with two adults, but I knew that. One other thing is the air valves- I didn\'t use them correctly at first. Pump up the air chamber, then push the valve in to close it before you disconnect your pump. At first I was just disconnecting the pump, and the air rushed out before I could insert the plug. Popping the valve in closes it internally so you don\'t lose air when disconnecting your pump, then insert the plug for safety.\";}i:2;a:5:{s:5:\"title\";s:31:\"Pool toy? Yes. Packraft? Maybe!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 18, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2L6YWCXD7S61O\";s:4:\"name\";s:13:\"Tranquil Dude\";s:7:\"address\";s:6:\"Alaska\";}s:4:\"text\";s:330:\"Without going into too much detail, this raft carried myself and a forty pound pack ten miles down the Resurrection River in remote Alaska, bounced off sweepers, was drug across sandbars, and was still \"barely\" holding air at the end of the day. Would not recommend, but worth noting nonetheless as a testament to it\'s durability.\";}i:3;a:5:{s:5:\"title\";s:28:\"This is a good 1 person boat\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"August 29, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1WF33SPWYX8P7\";s:4:\"name\";s:5:\"J & A\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:279:\"The quality is good but this boat only fits one person. I\'m 5\'9\" and when I tried to share this boat with my 3 year old my elbows would hit my knees when I rowed and she complained about my feet poking her. I can\'t imagine a taller adult or a school aged child fitting like this.\";}i:4;a:5:{s:5:\"title\";s:23:\"Must be 2 Tiny Persons!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 23, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AGDNGK986QF3C\";s:4:\"name\";s:5:\"Henry\";s:7:\"address\";s:14:\"North Carolina\";}s:4:\"text\";s:177:\"This works great for my intended purpose, which was a simple way to get to my pond drainage tubes. However I can\'t see how this can be a 2-person boat, unless they are children.\";}i:5;a:5:{s:5:\"title\";s:22:\"Nice little inflatable\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 18, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ABT42ZKZ23J1C\";s:4:\"name\";s:3:\"Kam\";s:7:\"address\";s:26:\"Glendale, AZ United States\";}s:4:\"text\";s:219:\"I only bought this boat (at a discount) to use as a decorated tag-along in a Christmas boat parade. But in spite of that, it\'s a well-constructed boat; if I had the paddles I\'d probably use it for it\'s intended purpose.\";}i:6;a:5:{s:5:\"title\";s:4:\"Good\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 31, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2850TLJTJJ1A6\";s:4:\"name\";s:11:\"Ron Stewart\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:117:\"Good weight limit for size. Small box. including oars would have been a bonus.Not used it yet. Emergency raft. Thanks\";}i:7;a:5:{s:5:\"title\";s:9:\"Good boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AZ0FVRCXYS1C9\";s:4:\"name\";s:19:\"Hung Le \"book worm\"\";s:7:\"address\";s:25:\"Phoenix, AZ United States\";}s:4:\"text\";s:117:\"Good sturdy inflatable boat. I use it in my pool. You will need a dual action pump and boat oars. Highly recommended.\";}}");
INSERT INTO `wp_postmeta` VALUES("3445", "491", "asg_last_refresh_attempt", "1371238591");
INSERT INTO `wp_postmeta` VALUES("3446", "491", "asg_update_timestamp", "1371238591");
INSERT INTO `wp_postmeta` VALUES("3447", "492", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3448", "492", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3449", "492", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3450", "492", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3451", "492", "asg_item_id", "B00137UGIA");
INSERT INTO `wp_postmeta` VALUES("3452", "492", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00137UGIA\";s:13:\"DetailPageURL\";s:200:\"http://www.amazon.com/Intex-Excursion-4-Boat-Set/dp/B00137UGIA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00137UGIA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:210:\"http://www.amazon.com/Intex-Excursion-4-Boat-Set/dp/tech-data/B00137UGIA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00137UGIA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00137UGIA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00137UGIA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00137UGIA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00137UGIA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00137UGIA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00137UGIA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00137UGIA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00137UGIA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00137UGIA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00137UGIA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00137UGIA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00137UGIA\";}}}s:9:\"SalesRank\";s:5:\"29963\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL160_.jpg\";s:6:\"Height\";s:3:\"109\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/518muKcADRL.jpg\";s:6:\"Height\";s:3:\"340\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL110_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/518muKcADRL._SL160_.jpg\";s:6:\"Height\";s:3:\"109\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/518muKcADRL.jpg\";s:6:\"Height\";s:3:\"340\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL110_.jpg\";s:6:\"Height\";s:2:\"67\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L._SL160_.jpg\";s:6:\"Height\";s:2:\"98\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51GQzyrsV7L.jpg\";s:6:\"Height\";s:3:\"306\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL30_.jpg\";s:6:\"Height\";s:2:\"15\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL75_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL75_.jpg\";s:6:\"Height\";s:2:\"39\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL110_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL._SL160_.jpg\";s:6:\"Height\";s:2:\"82\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41eWuNbRteL.jpg\";s:6:\"Height\";s:3:\"257\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"68324EP\";}s:5:\"Color\";s:10:\"Brown/Blue\";s:10:\"Department\";s:12:\"unisex-adult\";s:7:\"Feature\";a:5:{i:0;s:71:\"Four-person capacity inflatable boat for recreational use on calm water\";i:1;s:69:\"Two inflatable seats with back rests and inflatable floor for comfort\";i:2;s:52:\"Equipped with rod holders and gear pouch for fishing\";i:3;s:53:\"With grab line, bow handle, oar locks and oar holders\";i:4;s:102:\"Set comes complete with 54-inch deluxe aluminum oars, a high-output manual hand pump, and repair patch\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1693\";s:6:\"Length\";s:5:\"12402\";s:6:\"Weight\";s:4:\"4850\";s:5:\"Width\";s:4:\"6496\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"16099\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$160.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"68324EP\";s:3:\"MPN\";s:5:\"68324\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1100\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:4:\"4999\";s:5:\"Width\";s:4:\"1130\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"68324\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:12:\"124\"x65\"x17\"\";s:3:\"SKU\";s:16:\"15685643-DB-SP-4\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:26:\"Intex Excursion 4 Boat Set\";}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"11995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$119.95\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"9478\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$94.78\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"2\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00137UGIA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00137UGIA\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"VMInnovations\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"PMgT%2F1IGEkY%2BBYBEEaqoQULbtJNOR5bn1HpycWnUeozhVNRGKCBtQQcjM%2B5MoEy6wDfHKbrqQg9tzib%2FE%2BDn94VdgZCBvVVbvblogEvD4hxlufg7tSQrdBvn7RT5s4fT6Y3j9LQPPtSI0w99UobZ4qbRoYjoZmXF\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$119.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"4104\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$41.04\";}s:15:\"PercentageSaved\";s:2:\"25\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00137UGIA&atag=freetos-20&exp=2013-06-15T19%3A36%3A31Z&v=2&sig=jxC1LjfxW%2Bjw9lCqumiSS3tTsxDAF5CjakYui0Zni9c%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:327:\"Get ready for your next great adventure in the Seahawk series of boats. If you looking for a day at the lake with the family or fishing with friends the Seahawk series has something to fit your needs. Upgraded features and rugged vinyl construction make this a great boat for anyone. Set includes 48\" Oars and high output pump.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1048:\"<div class=\"aplus\">  <h4>   Intex Excursion 4 Boat Set  </h4> <p>Intex Excursion 4 Boat Set is a four-person capacity, inflatable boat designed for recreational use on calm water. Perfect for fishing, camping, or just cruising, the Excursion 4 is lightweight, compact, and easy to assemble any time. The boat features two fishing rod holders, two inflatable seats with back rests, a grab line, and a gear pouch. The set comes complete with deluxe aluminum oars, a high-output manual hand pump, and a repair patch.</p> <h5>Features and Specifications:</h5> <ul>  <li>Two fishing rod holders</li>  <li>Two inflatable seats with backrests</li>  <li>Inflatable floor for both comfort and rigidity</li>  <li>Oar locks and oar holders</li>  <li>All-around grab line</li>  <li>Grab handle on bow for easy carrying</li>  <li>Quick-fill, fast-deflate Boston valves</li>  <li>Motor mount fitting</li>  <li>Gear pouch</li>  <li>Maximum weight limit: 880 pounds</li>  <li>Includes repair patch, deluxe aluminum oars, hi-output manual hand pump</li> </ul></div>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3431", "490", "asg_product_details", "a:4:{s:15:\"Shipping Weight\";s:9:\"57 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00CMBJ1VE\";}");
INSERT INTO `wp_postmeta` VALUES("3432", "490", "asg_star_rating", "3.3");
INSERT INTO `wp_postmeta` VALUES("3433", "490", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:21:\"Nice Boat for Fishing\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1H4CM2169AVJ8\";s:4:\"name\";s:23:\"Derik G. Wilson \"Derik\"\";s:7:\"address\";s:13:\"Greenwood, IN\";}s:4:\"text\";s:2754:\"I got this boat to take out on the local lakes around Indiana so that I could cover more of the lake shores crappie fishing. The boat takes a while to inflate with the pump that comes with it. There are three main chambers to inflate, the floor, the inner hull, and the outer hull. Once inflated the boat is farely sturdy, and I am 260 lbs. The fishing pole holders are a nice addition, and they come with plugs that you attach to your pole and then plug into the holder when you want to row or something other than fish. The boat is very easy to deflate. It only took about 15 minutes to get all the air out so that I could pack into my car. It comes with a large bag, and packed up it fits in the back seat of my 2 door Honda Civic.<br /><br />The two complaints that I have Are that the oars are a little too short, and the repair kit is useless (see paragraph below about the repair kit). They could be about 5 to 10 inches longer. I felt like I was rowing with my arms straight up in the air most of the time, which was incredibly exhausting. I then discovered that I could easily row with one oar while facing forward and my knees on the seat at the bow of the boat. This was much faster and less exhausting. It is stable because the bow of the boat\'s air chambers are about 2 feet long providing maximum stability for sitting, rowing, or fishing at the bow. You can get a trolling motor mount for this thing, and I think it says it will handle a 1.5 hp motor. I will definitely be getting the trolling motor mounted on it as soon as I get my license and register the boat. The lake permit (Indiana) sticks pretty well to the port side of the bow, but when deflated it wrinkles up. I am hoping it stretches out okay when I inflate the boat again. [UPDATE]: The sticker stretched back out okay, but the edges were coming off a little. I would maybe suggest using the pvc or vinyl glue used for patching.<br /><br />This boat will NOT take a finning from fish. An 8 lbs catfish fell on the gunwale (on the inner hull side) and punched a little hole on top of the inner hull buoyancy chamber. There are 3 buoyancy chambers, so it wasn\'t a safety concern. I was about 20 minutes from the boat dock, and I made it back with plenty of air in the inner hull\'s chamber. I attempted to make the repair with the repair kit that came with the boat and that repair kit is terrible. It wouldn\'t even stick to the boat (fully deflated following all instructions), hence the 4 star review. I ended up going to the closest Walmart and buying a cheap $4.00 Rubber/Nylon repair kit. It held pretty well.<br /><br />All-in-all, this is the perfect boat for a good price if you have no place to store a boat, or if your car won\'t haul a john boat or something similar.\";}i:1;a:5:{s:5:\"title\";s:16:\"Wow, Wow and Wow\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 2, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ANXCMNDD8ANKT\";s:4:\"name\";s:19:\"Jeremy & Lena Embry\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:284:\"Was skeptical about about taking this thing out on the water, but once we did it was a blast! We put four grown adults plus equipment in the boat without any problems. Buy a couple of extra paddles, you\'ll be glad you did. Very sturdy and easy to put together. It\'s a blast on a lake!\";}i:2;a:5:{s:5:\"title\";s:16:\"Doesn\'t Hold Air\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:12:\"May 30, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A31WBLL78VP15Z\";s:4:\"name\";s:9:\"Christian\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:346:\"Great boat for the size but I\'ve used it twice and the third time I took it out it started slowly losing air. There are no punctures in the boat at all. Bought all this stuff for the boat like a battery, minn kota 40, motor mount, and plywood and outdoor carpet to put a floor in the boat, but now I need a new boat. I\'m kind of angry about this.\";}}");
INSERT INTO `wp_postmeta` VALUES("3434", "490", "asg_last_refresh_attempt", "1371238589");
INSERT INTO `wp_postmeta` VALUES("3435", "490", "asg_update_timestamp", "1371238589");
INSERT INTO `wp_postmeta` VALUES("3436", "491", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3437", "491", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3438", "491", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3439", "491", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3440", "491", "asg_item_id", "B003659M0K");
INSERT INTO `wp_postmeta` VALUES("3441", "491", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003659M0K\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Sevylor-Caravelle-3-Person-Inflatable-Boat/dp/B003659M0K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003659M0K\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Sevylor-Caravelle-3-Person-Inflatable-Boat/dp/tech-data/B003659M0K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659M0K\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003659M0K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659M0K\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003659M0K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659M0K\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003659M0K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659M0K\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003659M0K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659M0K\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003659M0K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659M0K\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659M0K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659M0K\";}}}s:9:\"SalesRank\";s:5:\"31084\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41kC2Ph91hL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003396\";}s:3:\"EAN\";s:13:\"0076501039672\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501039672\";}s:7:\"Feature\";a:5:{i:0;s:52:\"3-person inflatable boat constructed of 16-gauge PVC\";i:1;s:62:\"Patented DIN safety chamber keeps you afloat despite punctures\";i:2;s:64:\"Inflatable floor for daylong comfort; oarlocks double as handles\";i:3;s:65:\"Includes fittings for optional Sevylor SBM 12-volt electric motor\";i:4;s:64:\"Holds up to 600 pounds; measures 7\' 6\" by 4\' 6\"; 90-day warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"1400\";s:6:\"Weight\";s:4:\"1015\";s:5:\"Width\";s:3:\"500\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$52.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003396\";s:3:\"MPN\";s:10:\"2000003396\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"470\";s:6:\"Length\";s:4:\"1600\";s:6:\"Weight\";s:4:\"1015\";s:5:\"Width\";s:4:\"1400\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003396\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:7:\"3693684\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:42:\"Sevylor Caravelle 3-Person Inflatable Boat\";s:3:\"UPC\";s:12:\"076501039672\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501039672\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"4495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$44.95\";}s:8:\"TotalNew\";s:1:\"6\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659M0K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659M0K\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:128:\"yP7HOMpoBF5annh0qDK1iHlOklAZ3jtj6xzXbmBEe7ShvwtH%2B3x3u6klO7%2F5Psoz2JAwHsnYEPf3pdBZOHa71tMTZPzz9VmdgSJIAsJEgj1XRvnH1s61cQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$52.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003659M0K&atag=freetos-20&exp=2013-06-15T19%3A36%3A29Z&v=2&sig=vs51vvIJO2jejiTgAA2WcYOsLf0XNKK5%2Fc6jbAyb8eQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:807:\"The Sevylor Caravelle 3-Person Inflatable Boat is a great choice for recreational outings. Measuring 7 Feet6 Inch long by 4 Feet6 Inch wide, the 3-Person Caravelle holds up to 600 pounds. The Caravelle is durably constructed of 16-gauge PVC, and features the innovative DIN safety chamber which inflates inside the main outer chamber, to keep you afloat even if the outer chamber gets punctured. The Caravelle Feets inflatable floor offers extra comfort, while the sturdy oarlocks double as handles, with an all-around grabline for convenience. The Caravelle includes fittings for a SBM 12V electric motor. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2490:\"Take a recreational ride with two of your favorite friends with the Sevylor Caravelle three-person inflatable boat. Ideally suited for calm rivers and lakes, the Caravelle is durably constructed of 16-gauge PVC that\'s guaranteed not to leak. Sevylor also added its patented oval \"boat-within-a-boat\" DIN safety chamber, which inflates inside the main outer chamber to keep you afloat even if the chamber gets punctured. With the DIN chamber, you can float down the river secure in the knowledge that you won\'t sink. <p> The boat features an inflatable floor for daylong comfort, along with sturdy oarlocks that double as handles for easy transport. And when paddling gets old, the Caravelle includes fittings for an optional Sevylor SBM 12-volt electric motor. Other details include Double Lock/Mini Double Lock valves for fast inflation and deflation and a convenient all-around grabline. NMMA-certified, the Caravelle three-person boat measures 7 feet 6 inches by 4 feet 6 inches, holds up to 600 pounds, and carries a 90-day warranty. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou . Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3442", "491", "asg_product_details", "a:5:{s:18:\"Product Dimensions\";s:32:\"14 x 5 x 15 inches ; 10.2 pounds\";s:15:\"Shipping Weight\";s:11:\"10.2 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:4:\"ASIN\";s:10:\"B003659M0K\";s:17:\"Item model number\";s:10:\"2000003396\";}");
INSERT INTO `wp_postmeta` VALUES("3443", "491", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("3444", "491", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:25:\"Cheap and reasonably good\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 13, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26FPBH77JK3HZ\";s:4:\"name\";s:8:\"mingster\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:334:\"Used twice on the beach for fishing. Is really meant to hold 2 adults with barely enuff space to hold yr gear. Hasn\'t leaked yet, is light and easy to transport, is hard to manoeuvere in the water though; tends to spin around in circles. Make sure to get the oars and pump also; easier to inflate and deflate. use only in calm waters.\";}i:1;a:5:{s:5:\"title\";s:38:\"Not a bad boat; about what I expected.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2Z8IHTCKY5IBO\";s:4:\"name\";s:13:\"mrmousepotato\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:5205:\"I don\'t believe that I am qualified to review this product in the abstract - I have experience with only one other such product, a Sevylor Caravelle 2-person boat that I bought about ten or 15 years ago. Really, really loved that thing, but it finally started developing some leaks (it went a decade or more without so much as a single one, and it got dragged around a good bit), and I decided to replace it with something a bit larger. To be fair to the manufacturer, the holes that it developed may have been the result of our addition to our family of a little dog (who, I just realized, has surprising sharp toenails), rather than any deterioration in the materials, but I just don\'t know.<br /><br />Anyway, the new one ... it is larger than the 2-person that I had previously (a slightly different model), but not quite as much as I\'d hoped. It is still a bit cramped with the three of us, and the dog, but that is what I said about the 2-person, too. Mrsmousepotato, on the other hand, thinks it is a lot larger.<br /><br />The materials may be slightly lighter, but I am not sure about that. They still seem adequately durable, and held up just fine for the four or five days we have used it thus far. Per my scale it weighs just about nine pounds without the rope, the oars, or anything else, which is only a few pounds heavier than the old 2-person Caravelle. It is still light enough that I was able to put it on top of my backpack and drag it up a very, very steep 1,000-foot ascent (in one mile) to an alpine lake.<br /><br />The construction is just as good. Not a leak anywhere. Held air just fine. Aesthetically pleasing work. Nice, even seams, well cut pieces, etc.<br /><br />This one has an inner chamber that circles the entire inside. The old one had only two long chambers on each side. I guess that is an advantage if the outer chamber loses air as it seems like just the inner chamber alone would suffice to keep one afloat and dry; however, I also think that it reduces the interior volume of the vessel a bit.<br /><br />The valves are both better and worse. The old one had valves just like what you\'d find on a cheap beach ball, but they worked just fine for me (I had to put a small stick inside to hold that flap thingie open when deflating), and were better in that one could depress them after inflation so that the tops were below the surface to which they were mounted. The new ones are heavier duty and operate on a different principal, which has advantages and disadvantages, none of which are particularly significant, except that they stick up somewhat and are prone to being dislodged and opened when shifting weight, items, and feet while the boat is in use. Not a big deal (if you\'re paying attention), but overall, I really think that the cheap old beach ball valves were better.<br /><br />This one comes with a built-in pressure gauge that looks cool, but is kinda inscrutable in operation. I still am not entirely sure if it was telling me to add pressure or release pressure, or really just how accurate it is. Better than nothing, I guess.<br /><br />This one is not quite as easy to row on account of the placement of the oarlocks. Again, I am not qualified to say whether or not the oarlocks are located in exactly the \'correct\' position (I have to defer to the experts at and expertise of Sevylor in that), but I can say that the old one was slightly easier to row (easier to get the paddles up out of the water), I believe on account of the oarlocks being placed slightly higher on the gunwales.<br /><br />And, finally, this one is not quite as \'stiff\' as the old one. I used to inflate the old one such that it was almost as rigid as if it were made of wood. Seriously. I could just about stand on the bow of it without the fabric being depressed at all. Keep in mind that I really did not have a clue about what I was doing, and I may well have been overinflating it to absolutely eye-poppingly dangerous pressures, but I can say that it did, in fact, hold up well for a decade or more. The new one is not like this; it is quite a bit more flexible and spongy, but I filled it by using, not my old method of blowing and blowing as hard as I could until my cheeks hurt and spots appeared in front of my eyes and I passed out cold, but by reference to the built-in gauge, which may well indicate that a proper inflation pressure is substantially less that what I had thought theretofore. Without the gauge, I most certainly would have added more pressure (and more, and more) and, thus, greater stiffness and stability, perhaps at the danger of overinflating it, but that was never, as I said, a problem with the old Caravelle.<br /><br />Reading this, one might get the impression that I don\'t like or recommend this boat, but I think it deserves five stars because it is a quality product, and it is what it is; and the only negatives I can think of to say about it is that I, personally, liked my old boat better. (Wah.) Mrsmousepotato, on the other hand, likes this one better because of the larger size, and she feels its a bit safer due to the larger inner chamber. My 11-year-old daughter, whose opinion doesn\'t count, thinks it is easier to row.\";}i:2;a:5:{s:5:\"title\";s:10:\"works well\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"September 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1Q1VOPRB0YNG0\";s:4:\"name\";s:11:\"Bruce Golob\";s:7:\"address\";s:15:\"Minneapolis, MN\";}s:4:\"text\";s:206:\"Bought to use to get to a motor boat kept on a mooring in Lake Superior. It works very well for that purpose and for rides with the grandkids. Choppy waters on the big lake can make it a challenge to steer,\";}i:3;a:5:{s:5:\"title\";s:15:\"Inflatable boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 20, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/AKC2NRK7K3XF\";s:4:\"name\";s:16:\"Kathleen Espamer\";s:7:\"address\";s:18:\"HARRISBURG, PA, US\";}s:4:\"text\";s:122:\"My order arrived quickly and in time for our vacation! We had a lot of fun with it and my grandsons especially enjoyed it.\";}i:4;a:5:{s:5:\"title\";s:18:\"Our summer yachts!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A354GEOGL2DAPK\";s:4:\"name\";s:30:\"Debra J. Sullivan \"Debra Jean\"\";s:7:\"address\";s:20:\"Norwalk, Connecticut\";}s:4:\"text\";s:285:\"We refer to our inflatable boats as our \"yachts\" on our HUGE family vacation. All the little ones (and big ones) had so much floating around and paddling in the ocean. They are easy to transport and to inflate and are sturdy so last from year to year. Really a lot of fun on the beach.\";}i:5;a:5:{s:5:\"title\";s:25:\"Great boat for the money!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1QHSAGG8T2EJ7\";s:4:\"name\";s:5:\"Tracy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:205:\"We bought this for the kids to have a boat to ride around in the swimming pool. They play with it every day. There is plenty of room in for several friends and it is very sturdy. Pleased with the purchase!\";}i:6;a:5:{s:5:\"title\";s:52:\"A great little boat...not as roomy as I\'d have liked\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"April 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A23QVOHJ8N8Q41\";s:4:\"name\";s:4:\"Toni\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1039:\"I bought this for my husband for Father\'s Day last year, and we have really loved it. I was a little concerned before purchasing it about whether it would be wimpy or what, but have been pleasantly surprised. It inflates really easily with great instructions on how to do so, and deflates and stores really easy and small. We love that we can keep ours in a storage tote out in the shed. As far as the size of the inflated boat goes...I\'m not sure what 3-person\'s they were talking about when they labeled this as a &#34;3-person&#34; boat. My husband is 5\'9&#34; and 185 lbs...and he and 2 of my little boys (a 7 yr old and a 5 yr old) fit pretty well, except that one boy has to be between my hubby\'s legs, making it difficult to use oars. I figure that if 3 adults want to be in it, they\'d have to be sitting side-ways, with their legs on the side of the boat, using a motor. ?? My husband and I can fit okay if we sit at opposite ends, with our legs crossed indian-style. So, yeah...I\'d call it a 2-person boat...but that\'s just me. :)\";}i:7;a:5:{s:5:\"title\";s:23:\"Decent Raft, Good Value\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:18:\"September 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A6H0BSFKAXB5X\";s:4:\"name\";s:10:\"Scooby Doo\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:445:\"I needed a raft for a camping trip, the river was slow but definitely flowing and we planned to float for 4 hours.<br /><br />I needed a boat that could stay INFLATED for 4 hours. because stopping mid-float to repump would not be an option.<br /><br />This did an OK job. Not great but OK. That being said, i would shop around for others and if not able to find anything with higher reviews then I would buy it again because the price was right.\";}i:8;a:5:{s:5:\"title\";s:8:\"it is ok\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"May 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2KX1BYGWRK1N3\";s:4:\"name\";s:11:\"Cory Miller\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:109:\"got me out to do what I wanted,<br />not the greatest<br />friend has hole in his already<br />matter of time\";}i:9;a:5:{s:5:\"title\";s:17:\"ms representation\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A98Y8R4KPT47S\";s:4:\"name\";s:10:\"fishtarpon\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:194:\"barely get 2 adults weighing no more than285lbs. with 600lbs raft would sink very dangerous.<a href=\"http://www.amazon.com/gp/product/B00352KR4E\">Sevylor Fish Hunter Inflatable 3-Person Boat</a>\";}}");
INSERT INTO `wp_postmeta` VALUES("3392", "486", "asg_update_timestamp", "1371238580");
INSERT INTO `wp_postmeta` VALUES("3393", "487", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3394", "487", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3395", "487", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3396", "487", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3397", "487", "asg_item_id", "B00177J4UC");
INSERT INTO `wp_postmeta` VALUES("3398", "487", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00177J4UC\";s:13:\"DetailPageURL\";s:200:\"http://www.amazon.com/Intex-Excursion-5-Boat-Set/dp/B00177J4UC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00177J4UC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:210:\"http://www.amazon.com/Intex-Excursion-5-Boat-Set/dp/tech-data/B00177J4UC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4UC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00177J4UC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4UC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00177J4UC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4UC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00177J4UC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4UC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00177J4UC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4UC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00177J4UC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4UC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177J4UC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4UC\";}}}s:9:\"SalesRank\";s:4:\"1750\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L._SL75_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L._SL160_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L.jpg\";s:6:\"Height\";s:3:\"150\";s:5:\"Width\";s:3:\"400\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L._SL30_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L._SL75_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L._SL75_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L._SL110_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L._SL160_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sUGNl1x-L.jpg\";s:6:\"Height\";s:3:\"150\";s:5:\"Width\";s:3:\"400\";}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"68325EP\";}s:5:\"Color\";s:5:\"Brown\";s:10:\"Department\";s:12:\"unisex-adult\";s:7:\"Feature\";a:5:{i:0;s:102:\"Five-person raft assembles and inflates in just minutes, getting you quickly from the car to the water\";i:1;s:102:\"Made of rugged, welded vinyl for longterm durability; inflatable I-beam floor for comfort and rigidity\";i:2;s:118:\"Includes two inflatable seats with backrests, four fishing rod holders, oar locks and holders, and motor mount fitting\";i:3;s:155:\"Grab handle and 360-degree grab line, gear pouch and repair patch, and quick-fill Boston valves; comes with 54-inch aluminum oars and high-output hand pump\";i:4;s:145:\"Five-person raft measures 66-by-17-by-144 inches (W x H x D) with 57.6-pound weight and 1,000-pound maximum weight limit; US Coast Guard-approved\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1250\";s:6:\"Length\";s:4:\"2450\";s:6:\"Weight\";s:4:\"5800\";s:5:\"Width\";s:4:\"2250\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"13895\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$138.95\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"68325EP\";s:3:\"MPN\";s:5:\"68325\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1260\";s:6:\"Length\";s:4:\"2472\";s:6:\"Weight\";s:4:\"5789\";s:5:\"Width\";s:4:\"2244\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"68325\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:3:\"SKU\";s:12:\"8R-P9UR-XR2Y\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:26:\"Intex Excursion 5 Boat Set\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"13900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$139.00\";}s:8:\"TotalNew\";s:1:\"6\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177J4UC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4UC\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"VMInnovations\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:168:\"6LVtXyXl8PbOKf3Xa1g7xH7aE4niF7iclJ%2F%2B6vvyrOyI3yqOUNbxNBhsxep0IM0%2BnQvjgXbK8RNC0PeqI0oit30zCb2UshllbtDojmca2A2E1udZSYgaJ2K%2FYnUd4lBBdP5WKgPQftIcxQGwbvdg7ZQMhthbSNIZ\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"13900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$139.00\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00177J4UC&atag=freetos-20&exp=2013-06-15T19%3A36%3A20Z&v=2&sig=%2F3JitLIAyo2Mjrmrqx3YLBHDNgP5pPiUS3rdxluY23A%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:191:\"Excursion 5 Boat Set for up to 5 people includes boat, pump and oars. Made from SUPER-TOUGH vinyl construction for durability. Inflatable seats and floor for comfort. US Coast Guard approved.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2016:\"Ideal for a day spent fishing, camping, or simply just cruising around on the lake, this five-person raft assembles and inflates in just minutes, getting you from the car to the water that much faster. Made of rugged, welded vinyl for longterm durability, the boat has an inflatable I-beam floor for comfort and rigidity, and is US Coast Guard-approved. <table align=\"right\" cellpadding=\"10\" width=\"400\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"205\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/B00177J4UC.jpg\" width=\"400\" /><br /><br /><small><em><strong>54-inch aluminum oars and a high-output hand pump are also included.</strong></em></small></td> </tr> </tbody></table> <p> <b>Features</b><br> <ul> <li>Inflatable floor for comfort and rigidity <li>Includes two inflatable seats with backrests <li>Four fishing rod holders <li>Oar locks and holders <li>Motor mount fitting <li>Grab handle and 360-degree grab line <li>Gear pouch and repair patch <li>Quick-fill, fast-deflate Boston valves <li>Comes with 54-inch aluminum oars and high-output hand pump </ul> <p> <b>Specifications</b><br> <ul> <li>Five-person raft <li>Measures 66-by-17-by-144 inches (W x H x D) <li>57.6-pound weight <li>1,000-pound maximum weight limit </ul> <p> <b>About Intex Recreation</b><br> Intex Recreation makes above-ground swimming pools, air beds, inflatable toys, pool and lake boats, and the proprietary Intex Saltwater Pool System. The company has been in business for over 40 years, and is a global leader in designing and producing innovative products for indoor and outdoor recreation. <p> Intex products meet the most stringent safety standards, undergoing intensive testing to ensure years of safety and satisfaction. During the manufacturing process, trained Intex employees continuously monitor a wide range of factors, including quality of raw materials, calibration of the machines, manufacture and assembly of each product, product testing, and careful packaging of every item.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3399", "487", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:37:\"24.5 x 22.5 x 12.5 inches ; 58 pounds\";s:15:\"Shipping Weight\";s:11:\"58.6 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00177J4UC\";s:17:\"Item model number\";s:7:\"68325EP\";}");
INSERT INTO `wp_postmeta` VALUES("3400", "487", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("3401", "487", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:72:\"Good size, comfortable, but rowing is horrible & questionable durability\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"August 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A118CIMAJUPX7T\";s:4:\"name\";s:32:\"Matthew W. Gudenius \"Media Guru\"\";s:7:\"address\";s:17:\"Ellicott City, MD\";}s:4:\"text\";s:2544:\"I debated long and hard between getting the Excursion 5 and the Seahawk II. I wanted a boat that I could immediately take out and go rowing, but one that is durable (sometimes there are branches sticking up in the shallow river here) and comfortable. I also wanted to get a boat that I could eventually mount a motor on in the future.<br /><br />After reading tons of reviews -- and going to the Intex website and other forums -- I bought the Excursion 5 because some forums said the Seahawk II doesn\'t have motor mount points (this is not true) and some people on here commented that the Excursion 5 is made out of the same \"Super-Tough\" material as the Seahawk II (this is also not true, but it\'s very confusing and even the Intex website doesn\'t make it clear. The Seahawk II is more rigid, can be inflated to higher pressure, and is more puncture-resistant because it is actually a 3-ply system including Super-Tough PVC OVER a nylon fabric layer)<br /><br />As soon as the Excursion 5 arrived, I realized I had bought the wrong boat for rowing my girlfriend and I around. The boat is too wide and oars too short to really reach into the water well, and the oar locks are fixed in place -- not rotational like the Seahawk II. These two factors make the boat nearly impossible to row.<br /><br />I immediately ordered the Seahawk II and have taken it out and it is great to row around in (comfy for 2 people, I don\'t see how you could fit 3.) I thought about what to do with the Excursion 5, and I\'ve decided to keep it because it is a bigger boat and seems like it could be fun to take a larger group (up to 4) people out on it, once I get a motor and mount.<br /><br />So I want to set the record straight if you are debating between these boats like I was:<br />1) The Seahawk II is more rigid and durable than any other Intex boats except the Mariner. The Excursion 5 vinyl is nice and thick, but it\'s still soft and I am still concerned it could rupture if I hit a branch or rock the wrong way.<br />2) Many of the Intex boats have motor mount setup, including the Seahawk II -- the Excursion 5 can only support up to 1.5 hp because it is not as rigid (the Seahawk II is rated up to 2 hp and Mariner up to 3 hp)<br />3) The Excursion 5 is a bit bigger, so if you need to fit 3 or more people, it might be the boat for you.<br />4) Don\'t expect to go rowing in the Excursion 5. Get a narrower boat, preferably with rotational/swivel oar locks. Maybe if you had 4 people paddling (with an extra set of oars) the Excursion might work okay.\";}i:1;a:5:{s:5:\"title\";s:72:\"This fishing raft got us through class IV rapids with no major problems.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 23, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1FAJPJVQPWBFI\";s:4:\"name\";s:17:\"Brice A. Mcmillan\";s:7:\"address\";s:6:\"TN USA\";}s:4:\"text\";s:1176:\"Obviously the designers did not build this for whitewater, but if it can hold up to that - for the price, it is outstanding. We had it loaded with camping gear, food, and three people for 4 days, and it didn\'t even loose air. It will sit three comfortably. 5 is a stretch unless you are VERY comfortable with each other. Weight is no issue. This boat was filled to the brim with water several times and still skidded through shallow water. A pit stop to let the water out and we were cruising again. At one point, the raft was lashed against a rock and turned into the shape of a taco by the raging waters. I was sure it would break, but it didn\'t!<br />pros:<br />*The oars come in 4 parts that snap and screw together. Assembly is easy. The oar locks work well and allow one person to use two oars.<br />*The seats are comfy. They inflate and latch into the raft.<br />*It comes with a patch kit, but I doubt you will need it.<br />*Three air chambers make it sturdy. We could pump it up in less than an hour.<br />cons:<br />*No quick release on the bottom air chamber.<br />*1/4 inch rope is a tad too thin. Buy some 3/8 inch if you want to secure it.<br />*Only two oars.\";}i:2;a:5:{s:5:\"title\";s:61:\"10 Recommended Accessories/Modifications + Reader Suggestions\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 19, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1YR2PFD6ACF7N\";s:4:\"name\";s:38:\"Double Espresso in Decaf Town \"Anonym\"\";s:7:\"address\";s:7:\"MN, USA\";}s:4:\"text\";s:8376:\"Below is my review in 3 parts: i) a quick review on the boat; (ii) list of 11 recommended mods and accessories; (iii) summary of other people\'s comments/suggestions and (iv) minor issues for which I invite comments.<br /><br />================<br /><br />Part I: Quick Review<br /><br />Generally, the other reviews here say it all. This is a great general utility boat.<br /><br />1. It is easy to transport. With all my accessories and fishing gear, it fits into the back of my minivan with ease (last seat row collapsed).<br />2. It is roomy enough for my needs. Accommodates two adults with two kids (under 10) easily with battery and fishing gear and trolling motor. My estimate, about 500lbs. I think three adults is comfortable, but four is pushing it.<br />3. Easy to assemble/disassemble but still time consuming (and tiring on hot days)<br />4. Seems durable enough. I have run into submerged trees, low water points, scraped trolling motor, etc. but have had no punctures.<br /><br />So why four stars? I still get envious of solid boats or zodiacs outfitted with big engines.<br /><br />==========<br /><br />Part II: Recommended accessories and mods (or \"Why your low cost raft will cost you another $500\")<br /><br />There a few items that will make your boating experience go from good to great and I recommend them all.<br /><br />1. Get a trolling motor. The paddles are essential for tight maneuvers but the paddles are not really a propulsion system to be used for a long time. I got the \"Minn Kota Endura C2 40\" (available on Amazon), which is 10 lbs of thrust more than the smallest trolling motor with 30 lbs thrust. I think the 30 suits the boat a little better and you can get by with the 30 just fine unless you plan to use it in a river. Outside of river currents, I don\'t go past 30lbs thrust but I\'m glad to know it\'s available if needed<br />a. Traveling upstream in a moderate river current, the 40 lbs thrust was slow but manageable.<br />b. At a choke point in the river where the current sped up considerable, the max was required (40lbs thrust), the 30lbs thrust setting could barely keep us in place.<br />c. The 40 motor is heavier. The weight and the full 40lbs thrust bends the support moldings to which the engine is mounted. It does not seem to do damage, but it looks bad as the motor tucks under the boat.<br />d. You have to draw the motor up high. Keeping the motor low compounds the push and tuck under the raft, especially at the higher setting.<br />e. Motored boats need to be registered in most states.<br /><br />2. To support the trolling motor, you need the Intex Motor Mount Kit, available on Amazon. It\'s cheesy but you can\'t do without it. It\'s light and easy to assemble.<br /><br />3. To better manage your battery, get a battery holder like the Minnkota Trolling Motor Power Center, available on Amazon. It also has car-lighter jacks that you can use to power other accessories like fish finders or music players. It also has a handy charge indicator (that is hard to read in sunlight).<br />a. I also recommend getting a plug adapter that turns the car-lighter jack into a standard wall outlet jack. That way you can use anything you want with the battery.<br /><br />4. Get the marine largest battery you can find from wal mart. I have to say that the battery I have is a 130 amp hour and one charge covers multiple trips.<br /><br />5. Get a good charger like the Schumacher SSC-1500A, available on Amazon. It works on any battery and salvaged my rider mower battery from extinction.<br />a. Starting from 90% charge, it still took overnight to charge the marine battery.<br /><br />6. Get an anchor like the Kwik Tek A-2, available on Amazon. You will get far more use out of it than you think, especially when tethering to shore.<br /><br />7. Overton\'s Adult Boating Vest Four Pack, available on Amazon, is the lowest cost lifejacket route. For smaller kids, I just leave one buckle unbuckled for comfort.<br /><br />8. Get at least one stadium seat for the pilot. I got mine from wal mart for $18. The position of the motor makes piloting awkward from the inflatable position. The stadium seat can be positioned sideways.<br /><br />9. Fabricate a solid floor. Go to home depot and buy one or two pieces of plywood ($10 each). Measure the length of your stowage area that you will use to transport the floor. Ideally, you want to transport the wood flat on your floor so cut to dimension that fit you van or flatbed.<br />a. The boat\'s interior bottom is ~99\" long and ~32\" in width works well.<br />b. I have two pieces of wood that overlap about two inches.<br />c. It tapers at both ends. At first I had taken elaborate measurements but in the end I cut the tapered parts incrementally by eye. It worked out okay.<br />d. I painted them with varnish, a couple of coats worked out well<br />e. I wrapped the boards with 2 mil plastic as well and stapled them.<br /><br />10. Get two tarps. I inflate the boat on land so I lay tarps beneath the boat to ensure there I don\'t puncture it when inflating. Then I put the boat in water and lay the tarps down on the boat bottom so I can lay the boards down. That\'s overkill for the boards, but it keeps the boards dry and then I can use the tarps again when I stop somewhere else and pull the raft out of the water.<br /><br />Additional suggestions:<br /><br />11. (edit) Get a good portable inflator/deflator power pump. I got a rechargeable one from target (also available on Amazon). It allows me to use it anywhere. The pump is good for two outings on one charge.<br /><br />12. (edit) Luciano Demartino in comments suggests buying a fake xmas tree carry bag if the original carry bag breaks. I\'m still doing good with the original bag, but worth noting.<br /><br />13. (edit) I met a guy on a lake with a similar raft. he bought two wise economy boat pedestals (~$20) and wise boat swivels (~$14) from Bass Pro Shop and bolted it to his pre-fab floor. he had decked out his floor with green outside carpet and foam pipe protector from Home Depot for around the edges. The thing looked awesome! these are modifications that I will be incorporating except that I am thinking about milk cartons (see below).<br /><br />14. (edit) another fellow talked to me about using a plastic milk crate instead of the pedestal and affixing it with \"u\" bolts. it had the advantage of tucking under the battery out of sight. I did not see that but I think it may be more practical than the pedestal.<br /><br />15. (edit) per Doctor G\'s comments, using a 30 gallon storage bin seems to work better than a carrying bag that comes with the boat. Makes sense, but I have not tried it.<br /><br />16. (edit) Mudman suggests a rubber mat for the bottom and safe fishing techniques to avoid punctures.<br /><br />Part III: Minor Issues<br /><br />Still open issues for me (feel free to comment):<br /><br />1. A great idea that I have not yet employed is to buy a second smaller kid\'s raft (the excursion 100/200) and tie it to the boat. Then you can place supplies there or even the battery and then just tow it along. It\'s like having a tow-along trunk space. It may be overkill but it\'s nice to have a boat clear of clutter.<br /><br />2. The motor is heavy and at full throttle the boat buckles a little and tucks under the boat. I have not figured out a way to reinforce the engine mount to better stabilize the motor when it is used at higher settings. This is really the biggest issue I have. NOTE: UNDER COMMENTS THERE IS A VERY GOOD SUGGESTION TO ADDRESS THIS.<br /><br />3. Take note of the ambient temperature and time of day and keep to the ruler that you use to check the inflation. On hot days the air will expand some more past the original measurement. If you inflate in the morning, it will inflate and get hard as the day warms. And, of course, if you inflate at high noon it will deflate and soften as the day cools it will get softer. Neither has been a problem so far. I\'ve never had to make adjustments once inflated but if I get that tag-along raft, then I would carry along the manual pump.<br /><br />4. On hot days it would be nice to have shade. I keep thinking of setting up some sort of shading system but haven\'t come up with anything yet.<br /><br />5. The built-in fishing rod holders and the accessory bag that comes with the raft aren\'t that great.\";}i:3;a:5:{s:5:\"title\";s:47:\"Wow, for the price, the quality is unbeatable!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 28, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AUV3OR951650C\";s:4:\"name\";s:9:\"N. Porter\";s:7:\"address\";s:7:\"Midwest\";}s:4:\"text\";s:2793:\"Note that I haven\'t used the boat yet in the water, we will be using it the following weekend and I will update my review in a couple of weeks after we actually use it. But I wanted to rant and rave about the boat nevertheless since it didn\'t have any other reviews, so I was a bit hesitant about ordering it. DON\'T BE.<br /><br />This boat is excellent quality, the plastic is very thick and durable looking, and it has excellent features to it. First off, the thing is HUGE. It measures 12\' by 5\' approximately, and it has PLENTY of room for four adults, or like us, 2 adults and 5 little ones. The weight limit is high as well, I\'ve seen it listed at 880 pounds but it says 1000 on the box. It has easy instructions in spite of all the bells and whistles it has. I highly suggest ordering a Coleman quick-pump to pump it up, it is well worth it and I can\'t imagine blowing it up with the pump they provide, this thing TAKES A LOT OF AIR. Paddles are excellent quality, unlike cheaper brands that have complaints against the paddles.<br /><br />Note that there is a LITTLE plastic ruler in the package somewhere that you use to put the correct amount of air in the boat. Keep an eye out for it, we lost it initially until the I discovered the toddler had found a new toy!! LOL It works perfectly, you set it on the same ruler on the boat and blow it up until the measurements match. Little features like this that make it easy for non-boaters to figure out are really what makes this boat wonderful. It has 4 areas to put your fishing pole in, paddles can be one double or you can make them into two smaller ones and have nice, long \"paddles\" on the end.<br /><br /> All in all, the boat looks wonderful and was easy to set up with the simple directions they provide. I highly recommend it at this point, but will update after we actually use it in the water. I believe this will boat will last us a LONG time in the water with proper care, and for the price of less than 150, can you really beat it? Only thing I would add to the set would be an additional paddle set, since the boat is large and it does have two oar holders, I recommend another set.<br /><br />************<br />Update: After using this boat on the Buffalo National River, I have to say that we REALLY liked it. It would be near impossible to flip it in calm waters, there is lots of room, the oars work wonderfully and are easy, it is tough plastic and stood up to our scraping on rocks and gravel easily with no wear, etc... What more can I say? It\'s everything I expected it to be after receiving it, and I am very pleased!! I was VERY happy with the fact that it would be hard for it to flip in the water as well, my hubby climbed in and out of the boat and it didn\'t even threaten to flip. So I highly recommend it!!\";}i:4;a:5:{s:5:\"title\";s:16:\"Great Inflatable\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 28, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1D3FVY8T83Q75\";s:4:\"name\";s:13:\"J. Candelaria\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:756:\"My wife and I purchased this after a lot of research and we have had no regrets. It is quite spacious (we loaded it with 3 adults and gear) and extremely durable, with no experiences of air loss despite hours on the water. We also purchased the motor mount and a Minnkota motor along with a deep cycle battery for leisurely stretches (do NOT get the battery that you can purchase in combo with this - you\'ll need at least a 75 amp hour rechargeable battery). We have had ours on lakes, rivers as well as to the beach. So convenient and rugged. Its great to purchase something and be so pleased with the results on all points. (Note!!! - if you take this out with a motor you WILL need to register it and display the registration on the side of the boat!!!)\";}i:5;a:5:{s:5:\"title\";s:17:\"Rafting made easy\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 4, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2YC1QXJFDJU5C\";s:4:\"name\";s:24:\"Happy Camper \"Camp, USA\"\";s:7:\"address\";s:10:\"Lincoln,CA\";}s:4:\"text\";s:625:\"<a href=\"http://www.amazon.com/gp/product/B00177J4UC\">Intex Excursion 5 Boat Set</a><br /><br />Most rafts will not fit the load of people they are rated for on the box. I looked for days for an inexpensive, but well-made raft that would actually fit the amount of people rated for the boat. This is it! There were 5 of us in the boat, myself and my 4 teenagers and we had room for all our gear, with room to spare. It\'s easy and quick to inflate and the oars go together well and it has large, blow-up seats. It comes with a huge duffle bag that everything included with the raft fits inside; oars, pump, raft, seats, ropes.\";}i:6;a:5:{s:5:\"title\";s:24:\"Great Boat, Great Price!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 9, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1PRF0HGLUG9YL\";s:4:\"name\";s:8:\"Brian M.\";s:7:\"address\";s:15:\"Chattanooga, TN\";}s:4:\"text\";s:2611:\"We were looking for an inexpensive inflatable boat and after searching for a few days we settled on the Intex Excursion 5. We found that Amazon had the best price. My wife and I took this boat to the lake the moment it arrived from FedEx. Set up was very easy, taking us around 40 minutes. There are 3 main air chambers numbered 1,2,3 and it is recommended that you fill them with air in that order. I was using the included air pump so it took me about 15-20 minutes to get the boat fully inflated. The pump worked fine, but on more than one occasion I became too vigorous and pulled too hard on the pump, which caused the pump to separate into two pieces... It wasn\'t much of a problem putting the parts together again. Just take it slow when using the included free pump. It works, but it\'s not made for someone who is overly eager to hit the water. The included inflatable seats were easy to install, but a heads up removing them after you\'re finished for the day; deflate them a bit while they are still attached inside the boat as this makes them much easier to remove from the clamps holding them in place. The included oars are not the best quality but they will do in a pinch. Also, the rings that hold the oars on the outside of the boat are not the best. A good bump on the oar and into the water it will fall. My wife and I were easily able to carry the boat into the lake after it was fully inflated.<br /><br />We also purchased the Intex motor mount and the MinnKota Endura 30 (electric trolling motor, note that if you decided to put a motor of any kind on this boat, you will need to have it registered). The mount is very easy to assemble and the trolling motor is very light and easy to attach. We also purchased a 125 amp hour deep cycle battery for this boat and were a bit worried about the weight of the battery for an inflatable boat. We were soon to learn there was no reason to worry. The boat held the weight of the extremely heavy battery just fine. My wife and I were on the lake for almost 2 hours. It\'s not a speed boat, but it will get you where you want to go. This boat would be perfect for people wanting to fish or swim, or someone who is interested in a very leisurely cruise on the open water. My wife and I highly recommend this inflatable boat. For the price, durability, ease of setup and storage it\'s hard to go wrong. A+++<br /><br />* Just remembered... No tools were required in the assembly of the boat, attaching the motor mount or the trolling motor ;-)<br />* Everything fits back into the included duffel bag, just be careful with the bag as it can tear easily.\";}i:7;a:5:{s:5:\"title\";s:46:\"Good boat if your not the average couch potato\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1Y3OKEMK5H19I\";s:4:\"name\";s:22:\"NotVerticalyChallenged\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2043:\"Well after many hours of scouring the www I figured for the price that this would be a good bet for an around the lake boat. Unlike other reviewers I did not purchase the the motor setup because I wanted to know how the boat did on the water first. I don\'t know whether this is relevant or not but I am 6 foot 5 and about 270, so for people smaller in stature this may not apply. The included pump works just fine, yes it does take about 15 minutes or so but its not that bad, getting the air out is the problem so will need to get a rechargable pump. Even at my size there is plenty of room, but could only fit two more adults at best. Someone mentioned that the oars are too short, no they are not, they work pretty well. TWC said 5-10mph winds but when i got there it was doin 15-20mph and rowing was not problem at all, would have been easier but my boat has the same mis-welded front that is a little crooked. Very comfortable to fish from, the seats are pretty comfy, and even with the wind a 25lb anchor kept me in the same spot. The carry bag is a joke, only good for holding the extra gear. The rod holders are a little shallow but they work well.<br /><br />Now for the part I would rather not admit too. Apparently we were do for 40+mph wind gusts, and i had no idea(tks for nothing TWC). Getting the boat out was one hell of an adventure, but on the good side even tho it was wind blown thru gravel and shallow rocks, it didn\'t do any damage at all. It took one hell of a beating and is no worse for the wear.<br /><br />Have had it inflated for an hour just to check for some pin holes and its holding all its air.<br /><br />UPDATE:<br /><br />Well I finally got the wife and kid out on the boat, and it is still an amazing rubber boat. My wife actually took a nap, she said it was too comfortable not to. My daughter was able to climb all over the place and didnt even cause the boat too waver in the least, she could actually stand up in it. On the plus side we caught walleye, bass, crappie and it was a breeze to fish out of.\";}i:8;a:5:{s:5:\"title\";s:10:\"Good to go\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 16, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3DZYDUSH19MW2\";s:4:\"name\";s:8:\"Sam Colt\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:167:\"Raft is very large and holds its weight very well. Never had any problems with it losing air after hours fishing on a pond. Use the gauge provided to fill it properly!\";}i:9;a:5:{s:5:\"title\";s:52:\"Poor product quality - even WORSE customer service!!\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"August 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3I8VLD6EOQP9H\";s:4:\"name\";s:5:\"KariF\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2096:\"We purchased a brand new Intex Excursion 5 person boat set - First use out on lake prior to our big annual vacation and the oar broke. The cheap plastic sleeve crumbled and broke off -- no way to fix it. As we are experienced with these types of rafts & oars; this was clearly a manufacturing issue. Although they advertise that the oar is aluminum, it is the plastic connector that is the weak spot and fractured. So I looked on their website / online store and the replacement part was only $3.25 but the shipping made this $18.38 and would take two weeks to arrive. Didn\'t feel I should have to buy it, since it was less than 30 days from purchase and I still even had the original cardboard box. Called customer service and their response was \"They don\'t warrantee that product\". REALLY?!? So I asked what part of the boat DO they warranty -- her response was \"none of it. They warranty only select components of some of their pools etc.\" Yet, their website claims ([...]):<br /><br /> \"Imagine a company so dedicated to QUALITY, SERVICE, and PRICE that it builds the best Customer Service department in the industry. That is what Intex Recreation has done to ensure that each and every one of our customers is totally satisfied with their Intex® products. Our Customer Service team is a highly trained, dedicated group of individuals with one single objective in mind: to make sure that every Intex customer fully enjoys each Intex® product they purchase. Whether it is answering a question on assembling one of our above ground pools, locating a store to purchase an Intex® accessory, or help replacing a broken airbed valve, our Customer Service representatives will be there to help.\"<br /><br />REALLY!?! So (1) their product was not up-to-par (2) they DON\'T stand behind their product (3) they state FALSE CLAIMS OF SERVICE on their website and (4) they basically TOOK OUR MONEY AND RAN. What a joke!!! I will NEVER purchase ANY Intex product again, and will make CERTAIN that anyone else I know realizes that if you buy something from them, expect to get ripped off in every regard.\";}}");
INSERT INTO `wp_postmeta` VALUES("3391", "486", "asg_last_refresh_attempt", "1371238580");
INSERT INTO `wp_postmeta` VALUES("3388", "486", "asg_product_details", "a:4:{s:15:\"Shipping Weight\";s:9:\"51 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B005S6GY74\";}");
INSERT INTO `wp_postmeta` VALUES("3389", "486", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("3390", "486", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:58:\"Great raft for the regular family, specially for its price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 22, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1T5EPHQUSXFB9\";s:4:\"name\";s:4:\"Josh\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:454:\"The raft is amazing, I was surprised to see how big it was once I got it out of the box and inflated it (which literally took about 5 minutes).<br /><br />It fits 4 adults comfortably, and the build quality of the materials used in the raft are very good.<br /><br />The thing I hate about this is the valves used, they are extremely hard to open, and they really got on my nerves.<br /><br />Other than that, it\'s a great investment, you can\'t go wrong.\";}i:1;a:5:{s:5:\"title\";s:16:\"gift for our son\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AGYRW0YWY4QZD\";s:4:\"name\";s:22:\"CindyDE \"avid shopper\"\";s:7:\"address\";s:17:\"St. Louis, MO USA\";}s:4:\"text\";s:216:\"My husband and son took this out on it\'s maiden voyage yesterday. They said it was quite comfortable and easy to inflate - although they cheated and used an electric pump rather than the manual one that came with it.\";}}");
INSERT INTO `wp_postmeta` VALUES("3355", "483", "asg_product_details", "a:3:{s:11:\"Item Weight\";s:9:\"70 pounds\";s:15:\"Shipping Weight\";s:9:\"81 pounds\";s:4:\"ASIN\";s:10:\"B00164XK4C\";}");
INSERT INTO `wp_postmeta` VALUES("3356", "483", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("3357", "483", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:9:\"mariner 4\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 24, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2F5Q353GGDG5R\";s:4:\"name\";s:6:\"wilkie\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:440:\"Great boat. Built really tuff. I have never seen an inflatable boat Built out of so tough of a material. I drug it over rocks for a week and had to repair the floor in a small spot but nothing in the tubes. As for the 4 person rating I think the same people that decide how many people can sleep in a tent chose that. Perfect for 2 people and gear. 3 would fit. I got the minn kota 30 thrust with it went 5 miles full out on one deep cycle.\";}i:1;a:5:{s:5:\"title\";s:48:\"Great boat, but disappointed when I inflated it.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"May 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A13TK4GVNYXK3Q\";s:4:\"name\";s:16:\"David J. Pollack\";s:7:\"address\";s:10:\"Boston ,MA\";}s:4:\"text\";s:484:\"This boat is very rugged and heavy with the floor board. I gave it 3 stars because my first day out the boat already had a leak in the chamber. I still took it out like an idiot because I was so excited to try it and didn\'t want to wait for the replacement. I was very impressed by this boat to stay afloat even with a weak chamber that was almost fully deflated. I can tell you that you will be very safe in this boat and when I receive my replacement I know I will have a good time.\";}i:2;a:5:{s:5:\"title\";s:9:\"MARINER 4\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2O2CEXIKO8QJB\";s:4:\"name\";s:5:\"DAVID\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:308:\"compre este bote para paseos y para pesca deportiva, muy resistente y seguro, incluso he sobrepasado en ocasiones el peso recomendado por el fabricante, y sin embargo es excelente. El piso rigido ayuda mucho con la estabilidad dentro del bote, lo que lo hace muy bueno para la pesca, ampliamente recomendado!\";}}");
INSERT INTO `wp_postmeta` VALUES("3358", "483", "asg_last_refresh_attempt", "1371238574");
INSERT INTO `wp_postmeta` VALUES("3359", "483", "asg_update_timestamp", "1371238574");
INSERT INTO `wp_postmeta` VALUES("3360", "484", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3361", "484", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3362", "484", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3363", "484", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3364", "484", "asg_item_id", "B00891KQ60");
INSERT INTO `wp_postmeta` VALUES("3365", "484", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00891KQ60\";s:13:\"DetailPageURL\";s:203:\"http://www.amazon.com/Inflatable-Pool-Pong-Raft-6ft/dp/B00891KQ60%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00891KQ60\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:213:\"http://www.amazon.com/Inflatable-Pool-Pong-Raft-6ft/dp/tech-data/B00891KQ60%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00891KQ60\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00891KQ60%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00891KQ60\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00891KQ60%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00891KQ60\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00891KQ60%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00891KQ60\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00891KQ60%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00891KQ60\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00891KQ60%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00891KQ60\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00891KQ60%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00891KQ60\";}}}s:9:\"SalesRank\";s:3:\"678\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL._SL160_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL.jpg\";s:6:\"Height\";s:3:\"164\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL._SL30_.jpg\";s:6:\"Height\";s:2:\"10\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL._SL75_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL._SL110_.jpg\";s:6:\"Height\";s:2:\"36\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL._SL160_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41FQgZ4qTtL.jpg\";s:6:\"Height\";s:3:\"164\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51tPls51qsL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"27\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51tPls51qsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"67\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51tPls51qsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"67\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51tPls51qsL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"99\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51tPls51qsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"144\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51tPls51qsL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"449\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51t2ieIbjjL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51t2ieIbjjL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51t2ieIbjjL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51t2ieIbjjL._SL110_.jpg\";s:6:\"Height\";s:3:\"109\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51t2ieIbjjL._SL160_.jpg\";s:6:\"Height\";s:3:\"159\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51t2ieIbjjL.jpg\";s:6:\"Height\";s:3:\"497\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:20:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:15:\"Splash Cup Pong\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:13:\"RAFT-STANDARD\";}s:3:\"EAN\";s:13:\"0661799747967\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0661799747967\";}s:7:\"Feature\";a:5:{i:0;s:16:\"Over 6 Feet Long\";i:1;s:26:\"Portable And Inflates Fast\";i:2;s:26:\"Scratch and Tear Resistant\";i:3;s:28:\"Premium Cup Alignment Design\";i:4;s:18:\"By Splash Cup Pong\";}s:5:\"Label\";s:15:\"Splash Cup Pong\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.99\";}s:12:\"Manufacturer\";s:15:\"Splash Cup Pong\";s:5:\"Model\";s:13:\"RAFT-STANDARD\";s:3:\"MPN\";s:13:\"RAFT-STANDARD\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"350\";s:6:\"Length\";s:4:\"1020\";s:6:\"Weight\";s:3:\"250\";s:5:\"Width\";s:3:\"970\";}s:10:\"PartNumber\";s:13:\"RAFT-STANDARD\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:15:\"Splash Cup Pong\";s:6:\"Studio\";s:15:\"Splash Cup Pong\";s:5:\"Title\";s:72:\"Inflatable Pool Pong Raft 6ft - Portable Pong Surface by Splash Cup Pong\";s:3:\"UPC\";s:12:\"661799747967\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"661799747967\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$25.99\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00891KQ60%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00891KQ60\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:32:\"Service Speed & 1 Year Warranty!\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:170:\"nFI8Z5ehX%2B85hAKJ93kn6acq5Nn%2BCs4KGHdEcePdwh06bYbkDyrlUXIWNUqEdnWr0uUxcVaLGSqtWs2MfFyl%2BGfW5gONfKd01JbmXk6XRgUh3UQdTaQ1P7EwwTJTL%2Fnv2Ve21310NDwYY4M%2FYw7IJyK1IMbGaXf4\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00891KQ60&atag=freetos-20&exp=2013-06-15T19%3A36%3A14Z&v=2&sig=O%2FZkot7l3ZCPFZrqqfGypb22%2F%2BQCfZR2oK6zVJNOFnM%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:669:\"Inflatable Pong Raft by Splash Cup Pong.  Our inflatable pong raft is the perfect game to play in the pool, at the beach, and can even be used away from the water as an inflatable table to go.  The pong raft measures just over 6 feet long and 2 feet wide, and inflates in just a few minutes with or without a pump.  We use thick, scratch resistant material to protect against breaks or leaks and offer a 90 day warranty on all rafts against tears and leaks.  \n<br><br>\nFeatures List:\n<br><br>\nOver 6 Feet Long\n<br>\n2 Feet Wide\n<br>\nPortable & Inflatable\n<br>\nScratch and Tear Resistant with Warranty\n<br>\nHigh Quality Printed Logo\n<br>\nManufactured by Splash Cup Pong®\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3366", "484", "asg_product_details", "a:4:{s:15:\"Shipping Weight\";s:10:\"2.4 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:4:\"ASIN\";s:10:\"B00891KQ60\";s:17:\"Item model number\";s:13:\"RAFT-STANDARD\";}");
INSERT INTO `wp_postmeta` VALUES("3367", "484", "asg_star_rating", "4.1");
INSERT INTO `wp_postmeta` VALUES("3368", "484", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:21:\"Beer Pong Raft Review\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:17:\"September 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2BOYRSIBNF5G4\";s:4:\"name\";s:8:\"JRVernon\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:209:\"Not made of high quality material... this is the 2nd beer pong table I\'ve purchased and this one has a huge bubble in the raft and I haven\'t even played one game yet! I didn\'t over inflate either. Poor product\";}i:1;a:5:{s:5:\"title\";s:13:\"Great Item!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1NDC13ZIEEFT3\";s:4:\"name\";s:4:\"Mike\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:297:\"I just order one of these for our lake house and I love it. The raft is very durable and solo cups fit perfectly in the cup holders. The best part is that it doubles as a raft you can relax on and a pong table. I highly suggest buying one if you plan on spending the summer around a body of water.\";}i:2;a:5:{s:5:\"title\";s:4:\"Good\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1V4BCVNA36X5L\";s:4:\"name\";s:11:\"Cam The Man\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:391:\"My house has a pool and seemingly every summer I buy a new one of these. If I could make one myself I would. This summer I got this particular pong raft and it has, to my surprise, been flawless. Blows up nicely and easily, the material is strong, it stays afloat, no issues with the inflation-hole... No bad things to say about this product, and, believe me, I know where to look for flaws.\";}i:3;a:5:{s:5:\"title\";s:13:\"great product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 22, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2DKG57VJQLAN3\";s:4:\"name\";s:7:\"cameron\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:137:\"The product came lightning quick and met every expectation. Would definitely recommend to anyone who loves their drinking games in summer\";}i:4;a:5:{s:5:\"title\";s:5:\"Great\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"January 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1VZA7QJEYRJ8X\";s:4:\"name\";s:16:\"MegFlorida \"Meg\"\";s:7:\"address\";s:20:\"Deltona, florida, US\";}s:4:\"text\";s:153:\"Stays inflated, cups fit tightly in the holes which is better for use in the pool. Can be used on a table top, or flipped over and used as a floaty also.\";}i:5;a:5:{s:5:\"title\";s:8:\"amazing!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A29N7Q2M33YO82\";s:4:\"name\";s:13:\"Shawna Siemen\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:138:\"Not only was the product brand new and packaged nicely but it also came with a one year warranty! Never did i expect that. Im very please.\";}i:6;a:5:{s:5:\"title\";s:22:\"its beer pong in water\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3JVMVOGR628GN\";s:4:\"name\";s:7:\"granola\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:134:\"sweet purchase, its just what i expected and works, well. Plain and simple, if you want to play beer pong in your pool/hot tub, get it\";}i:7;a:5:{s:5:\"title\";s:44:\"Great quality. Necessary if you have a pool.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AX2YWU6JCI9Z3\";s:4:\"name\";s:7:\"Alex B.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:440:\"I ordered this last week for my pool party that I had this weekend. It came in 2 days on the estimated arrival date. I ordered this one and another one sold by this company and it\'s better than I expected. It\'s the perfect length and width and the holes for the cups are the perfect size and hold your cups tight so they don\'t spill over. I wish I had gotten this at the beginning of the summer, it will be getting a lot of use next summer!\";}i:8;a:5:{s:5:\"title\";s:20:\"Perfect for the Pool\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 31, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A199A21ZYEKMQ4\";s:4:\"name\";s:9:\"Elizabeth\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:451:\"I purchased this product to use at the pool and it looks to be a great product. I tested it out at an indoor pool and it worked perfectly. If you don\'t want to play pong, you can use it just as a pool toy. The deep pockets for the cups keep them in place while moving around in the water. It took no time to blow up with my mouth and it remained inflated for quite some time. Great purchase for the pool and preparing for spring break/summer vacation.\";}i:9;a:5:{s:5:\"title\";s:12:\"weak product\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1QQBM901Q5INN\";s:4:\"name\";s:13:\"edday err day\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:209:\"this is no good i inflated it and is to puffy on one side it looks deformed not happy at all will call amazon to see if they could return it n give me another one with the same one day service i had payed for.\";}}");
INSERT INTO `wp_postmeta` VALUES("3344", "482", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:19:\"37 x 73 x 16 inches\";s:15:\"Shipping Weight\";s:10:\"4.7 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:4:\"ASIN\";s:10:\"B000RZFBKW\";s:17:\"Item model number\";s:7:\"58330EP\";}");
INSERT INTO `wp_postmeta` VALUES("3345", "482", "asg_star_rating", "3.8");
INSERT INTO `wp_postmeta` VALUES("3346", "482", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:13:\"Good for beer\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A2DI520S0BJU3\";s:4:\"name\";s:12:\"working mama\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:351:\"We took this to the river for a tube float. We put a 150 qt cooler in it with about 120 beers. I was hoping it would hold and it made it all 6 hours down the river. It did not come with oars and it was shipped from Amazon not the sporting goods store. The bottom did pop after we drugged it across the street with the cooler in it. I blame that on me.\";}i:1;a:5:{s:5:\"title\";s:23:\"Great Toy for the Price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 6, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1MF4WLGZDBP5K\";s:4:\"name\";s:10:\"P. Carlson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:615:\"I just use this as a pool toy. It would be suitable for a calm lake but probably would not take the punishment that a river with currents, rocks and such would dish out. My rating is based on this boat being less expensive than an average pool toy and value plays the major role in giving it a full 5 stars. I expect it will last at least a season or maybe two. It\'s fun and can be paddled around the pool using a kayak paddle that we happen to have lying around. There is a version of this boat that comes with oars. The oars are pretty useless though that version also came with a mini pump that was kind of nice.\";}i:2;a:5:{s:5:\"title\";s:15:\"Good Product...\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 31, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21EVB96Q49MXE\";s:4:\"name\";s:13:\"Rodney A. May\";s:7:\"address\";s:23:\"Madison Heights, VA, US\";}s:4:\"text\";s:121:\"Great item, perfect purchase price and the kids really punished them and they held up to it. Great for the outdoor use...\";}i:3;a:5:{s:5:\"title\";s:29:\"Great to use as a kiddie pool\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 10, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1WF33SPWYX8P7\";s:4:\"name\";s:5:\"J & A\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:979:\"We got this for paddling around a lake on vacation and one adult would take turns with my then 5 year old or 1 year old. It was fun.<br /><br />When we got it home the bigger kid wanted to blow it up in the yard. Then we got the idea of putting water in. There\'s not a lot of room inside so it gets deep fast. The black inside color helps the sun warm up the water too. And it\'s easy for me to pick it up and lean it against the fence when I\'m not using it so it\'s not laying out damaging the grass all summer.<br /><br />Somehow the kids manage to have all kinds of fun with it in the backyard when it\'s got no water in it too. One kid sits on the front and a friend will take a flying leap onto the back sending the first kid flying in the air. Or they pull one another on the grass by the rope. They\'ve invented a bunch of ways to play with it. I\'m sure if we\'d gotten an inflatable pool, it would have ripped with this treatment but the inexpensive boat is still holding air.\";}i:4;a:5:{s:5:\"title\";s:20:\"Boat for the doggies\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 4, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A11QURM0BWZIWP\";s:4:\"name\";s:22:\"Kivanc Ilgar \"Pegasus\"\";s:7:\"address\";s:11:\"OKC, OK USA\";}s:4:\"text\";s:180:\"I hook up this boat to my kayak and tow it like that. You can keep your beer in it or the doggies. It is pretty rigid and stable. Best buy with this price. Shipping is awesome too.\";}i:5;a:5:{s:5:\"title\";s:9:\"So fun!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVL80UL9P8BOP\";s:4:\"name\";s:8:\"Marianne\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:446:\"My kids and their friends have had so much fun with this boat in the pool. It\'s a winner!!!!! It\'s pretty hardy. They don\'t use the oars as much. This is the second one that I\'ve purchased. The last one only broke ( top separated from the bottom) at the end of last summer after the kids filled it with warm water, squeezed in 3 kids, and road in it like a floating hot tub. They know not to do that with the new one. It is definitely a big hit!!\";}i:6;a:5:{s:5:\"title\";s:21:\"it broke on first use\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"June 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1MH5D0X63MPHG\";s:4:\"name\";s:9:\"cristobal\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:351:\"Hi, we were very excited about this boat. We have another Intex boat (for 4 persons).<br />I bought it for teach to row my son. Was his first &#34;alone boating&#34;. Around 5 minutes before start, the boat pass over some plants, and automatically has a 6 inches hole. And my son has his first wreck.<br />I think is a danger boat. Only for pool uses.\";}i:7;a:5:{s:5:\"title\";s:4:\"Okay\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"June 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ARENMU6H2TOYF\";s:4:\"name\";s:45:\"Adam Severit \"stuck wondering if I\'ll get it\"\";s:7:\"address\";s:7:\"IL, USA\";}s:4:\"text\";s:121:\"My kids are rough on stuff so it was no surprise that this raft already has a leak. I wish they made something that lasts\";}i:8;a:5:{s:5:\"title\";s:12:\"Come aboard.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 4, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A7G3NBFAH1AN3\";s:4:\"name\";s:8:\"Ann Pope\";s:7:\"address\";s:19:\"COCOA BEACH, FL, US\";}s:4:\"text\";s:185:\"Bought this for pool so my granddaughters could ride around. It was a hit, in and out of the pool. Very substantial product. A bargain. Would recommend to anyone. Won\'t be disappointed.\";}i:9;a:5:{s:5:\"title\";s:11:\"Beer Boat!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 28, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2XVFWN51RDTYA\";s:4:\"name\";s:14:\"Camryn Mellott\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:175:\"Bought it for the River Float and it works great for an ice chest. Kids played with it in the back yard in the pool. Doesn\'t come with Oars but that\'s okay i didn\'t need them.\";}}");
INSERT INTO `wp_postmeta` VALUES("3347", "482", "asg_last_refresh_attempt", "1371238572");
INSERT INTO `wp_postmeta` VALUES("3348", "482", "asg_update_timestamp", "1371238572");
INSERT INTO `wp_postmeta` VALUES("3349", "483", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3350", "483", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3351", "483", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3352", "483", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3353", "483", "asg_item_id", "B00164XK4C");
INSERT INTO `wp_postmeta` VALUES("3354", "483", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00164XK4C\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/INTEX-Mariner-Inflatable-River-Dinghy/dp/B00164XK4C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00164XK4C\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/INTEX-Mariner-Inflatable-River-Dinghy/dp/tech-data/B00164XK4C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00164XK4C\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00164XK4C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00164XK4C\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00164XK4C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00164XK4C\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00164XK4C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00164XK4C\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00164XK4C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00164XK4C\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00164XK4C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00164XK4C\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00164XK4C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00164XK4C\";}}}s:9:\"SalesRank\";s:6:\"109606\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL._SL75_.jpg\";s:6:\"Height\";s:2:\"35\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL._SL160_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL.jpg\";s:6:\"Height\";s:2:\"94\";s:5:\"Width\";s:3:\"200\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL._SL30_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL._SL75_.jpg\";s:6:\"Height\";s:2:\"35\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL._SL75_.jpg\";s:6:\"Height\";s:2:\"35\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL._SL110_.jpg\";s:6:\"Height\";s:2:\"52\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL._SL160_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21u1ZgBwrcL.jpg\";s:6:\"Height\";s:2:\"94\";s:5:\"Width\";s:3:\"200\";}}}s:14:\"ItemAttributes\";a:19:{s:7:\"Binding\";s:3:\"Toy\";s:5:\"Brand\";s:5:\"Intex\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0789610351008\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0789610351008\";}s:7:\"Feature\";a:5:{i:0;s:16:\"704 lbs capacity\";i:1;s:15:\"2 aluminum oars\";i:2;s:17:\"Includes air pump\";i:3;s:35:\"All-around grab line and rock guard\";i:4;s:21:\"2 fishing rod holders\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:4:\"7000\";}s:5:\"Label\";s:5:\"intex\";s:12:\"Manufacturer\";s:5:\"intex\";s:3:\"MPN\";s:6:\"68376E\";s:10:\"PartNumber\";s:6:\"68376E\";s:12:\"ProductGroup\";s:3:\"Toy\";s:15:\"ProductTypeName\";s:14:\"TOYS_AND_GAMES\";s:9:\"Publisher\";s:5:\"intex\";s:3:\"SKU\";s:7:\"22452.0\";s:6:\"Studio\";s:5:\"intex\";s:5:\"Title\";s:58:\"INTEX Mariner 4 Inflatable Raft River/Lake Dinghy Boat Set\";s:3:\"UPC\";s:12:\"789610351008\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"789610351008\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"32268\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$322.68\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00164XK4C&atag=freetos-20&exp=2013-06-15T19%3A36%3A12Z&v=2&sig=gsMISTX8X7oLKmfkmT7G%2BwgRIkxxVXdEFARH%2BOiBjCc%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:431:\"This is the most popular fishing boat Intex makes. This inflatable boat features a hard ridged floor that allows you to stand up while casting, plus there are 2 rod holders on the back end of the boat. For family safety, this boat is made with five separate air chambers, four in the hull and one in the keel to ensure that even if one chamber deflates that the other four will remain inflated and get you back to the shore safely.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3325", "480", "asg_last_refresh_attempt", "1371238567");
INSERT INTO `wp_postmeta` VALUES("3326", "480", "asg_update_timestamp", "1371238567");
INSERT INTO `wp_postmeta` VALUES("3327", "481", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3328", "481", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3329", "481", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3330", "481", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3331", "481", "asg_item_id", "B0010LNM4O");
INSERT INTO `wp_postmeta` VALUES("3332", "481", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0010LNM4O\";s:13:\"DetailPageURL\";s:198:\"http://www.amazon.com/Intex-Seahawk-2-Boat-Set/dp/B0010LNM4O%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0010LNM4O\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:208:\"http://www.amazon.com/Intex-Seahawk-2-Boat-Set/dp/tech-data/B0010LNM4O%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0010LNM4O\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0010LNM4O%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0010LNM4O\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0010LNM4O%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0010LNM4O\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0010LNM4O%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0010LNM4O\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0010LNM4O%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0010LNM4O\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0010LNM4O%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0010LNM4O\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0010LNM4O%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0010LNM4O\";}}}s:9:\"SalesRank\";s:4:\"3858\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41yznltleDL.jpg\";s:6:\"Height\";s:3:\"406\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL110_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41yznltleDL.jpg\";s:6:\"Height\";s:3:\"406\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL110_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41yznltleDL._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41yznltleDL.jpg\";s:6:\"Height\";s:3:\"406\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/419cIx18JYL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/419cIx18JYL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/419cIx18JYL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/419cIx18JYL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/419cIx18JYL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/419cIx18JYL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51DcnHY4RVL._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51DcnHY4RVL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51DcnHY4RVL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51DcnHY4RVL._SL110_.jpg\";s:6:\"Height\";s:2:\"83\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51DcnHY4RVL._SL160_.jpg\";s:6:\"Height\";s:3:\"120\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51DcnHY4RVL.jpg\";s:6:\"Height\";s:3:\"376\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:7:\"68347EP\";i:1;s:13:\"0078257683475\";}}s:5:\"Color\";s:10:\"Brown/Blue\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257314959\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257314959\";i:1;s:13:\"0078257683475\";}}s:7:\"Feature\";a:5:{i:0;s:60:\"3 air chambers including inner auxiliary chamber inside hull\";i:1;s:38:\"2 quick fill/fast deflate boston valve\";i:2;s:41:\"Inflatable floor for comfort and rigidity\";i:3;s:103:\"Welded on oar locks & oar holders, grab handle on bow with all around grab line and fishing rod holders\";i:4;s:20:\"Motor mount fittings\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1614\";s:6:\"Length\";s:4:\"9291\";s:6:\"Weight\";s:4:\"1850\";s:5:\"Width\";s:4:\"4488\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"6499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$64.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:6:\"68347E\";s:3:\"MPN\";s:5:\"68347\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"709\";s:6:\"Length\";s:4:\"2165\";s:6:\"Weight\";s:4:\"1883\";s:5:\"Width\";s:4:\"1614\";}s:15:\"PackageQuantity\";s:1:\"0\";s:10:\"PartNumber\";s:5:\"68347\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:11:\"93\"x45\"x16\"\";s:3:\"SKU\";s:8:\"DH68347E\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:24:\"Intex Seahawk 2 Boat Set\";s:3:\"UPC\";s:12:\"078257683475\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257683475\";i:1;s:12:\"078257314959\";}}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"4799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$47.99\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"4371\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$43.71\";}s:8:\"TotalNew\";s:2:\"39\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0010LNM4O%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0010LNM4O\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"zGwTSA2IicNWCuiuCmqjugi%2Fuc1jlErx0L%2FGiOHOBPDy%2FW8n6zOpiAj3Yn91IeNzKAQsccdSxnwtcSIUb7tTZB5zus34Jb2muc45TObddjxvTEPA3cVwrw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$47.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1700\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$17.00\";}s:15:\"PercentageSaved\";s:2:\"26\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0010LNM4O&atag=freetos-20&exp=2013-06-15T19%3A36%3A08Z&v=2&sig=IvXb93fewUWaeIj7RzuHt1Hs01isFQh2nFBNjKnknwc%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:327:\"Get ready for your next great adventure in the Seahawk series of boats. If you looking for a day at the lake with the family or fishing with friends the Seahawk series has something to fit your needs. Upgraded features and rugged vinyl construction make this a great boat for anyone. Set includes 48\" Oars and high output pump.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:665:\"Get ready for your next great adventure in the Seahawk series of boats. If you looking for a day at the lake with the family or fishing with friends the Seahawk series has something to fit your needs. Upgraded features and rugged vinyl construction make this a great boat for anyone. Set includes 48\" Oars and high output pump.<p>Need a Boat Certificate of Origin? Write down the HIN (Hull Identification Number) and go to www.intexcorp.com. On the first screen that pops up, select your location. Click on the \"Need a Boat Certificate of Origin?\" option under Consumer Information. Choose your boat model. Enter the required information and print your certificate.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3333", "481", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:39:\"92.9 x 44.9 x 16.1 inches ; 18.5 pounds\";s:15:\"Shipping Weight\";s:11:\"18.8 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0010LNM4O\";s:17:\"Item model number\";s:6:\"68347E\";}");
INSERT INTO `wp_postmeta` VALUES("3334", "481", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("3335", "481", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:28:\"Great boat for a great price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 15, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A365NWIPAJK926\";s:4:\"name\";s:6:\"Roxane\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:638:\"This boat is very durable but not heavy and a great buy for the price. We had it inflated in about 10 minutes (the pump works nicely), and deflated in about 2 minutes (it has quick-deflate valves).<br /><br />We fit a man, a woman, a large bag, and a small cooler in this boat. It was a bit cramped but manageable (it seems like you could almost fit three small people in the boat, though that would make rowing very difficult).<br /><br />I was a little worried about the paddle-blades as they seemed a bit flimsy, but they\'ve worked great on our two trips and are sturdier than they look. This boat was a fantastic buy and a ton of fun.\";}i:1;a:5:{s:5:\"title\";s:34:\"does what i need and does it well!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 16, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2LR6WNQDDTW9N\";s:4:\"name\";s:4:\"fofo\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1812:\"I love this little boat. I use it on the lake for fishing and it has been awesome, its lets me fish in spots the i normally couldnt from the shore. the oars seem flimsy but i have had no problem with them, i even use them to push me off/on shore. i have had this boat for about 4-5 months and used it probably around 20 times. i recently got a small hole and i mean tiny(more like a tear, probably from a fishing hook) in the side. the boat comes with a patch kit but i just put a small piece of duct tape over it and it still worked like a charm.<br /><br />I have had two adults in this boat multiple times, with two people it is a little cramped but is still usuable for fishing(with two people its best to sit sideways with you feet/legs hanging off the side), for one person its a great size and i can basically lay back and fish. (do not forget to have PFD\'s for each person in the boat even if your in 3 ft of water or you will get a $130 ticket from the game warden like i did! >.<)<br /><br />Like it says it will still float with just the inner chamber inflated, just makes it alot harder to get around (they day i found out there was a hole). The only negative about this boat its pumping it up, its takes about 7-10 mins, it says to never use an electic air pump (even amazon tries to sell you one?).deflation its very easy although the floor chamber takes a bit of effort to deflated cause you must pinch the hole to let air out. for the money this boat has made my fishing so much more fun!!<br /><br />o and if you use it like i do, dont forget you\'ll need to buy a little anchor, i use an 8 lb mushroom anchor with just some regluar string to conserve space, i dont know what kind of string it is but it looks likes a big roll of shoe string, it was on the same aisle with the anchors at academy.\";}i:2;a:5:{s:5:\"title\";s:10:\"Intex Boat\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 18, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2DJPM5JGKRG5E\";s:4:\"name\";s:14:\"Joseph M. Beno\";s:7:\"address\";s:2:\"PA\";}s:4:\"text\";s:310:\"This boat is working out great. I use for fishing ponds nearby. It seems very safe and I can manuver it around. I did order the high speed pump and that I like. Also, I ordered 3lb river anchor for this boat. When fishing a slight breeze will move you on the water. Overall, I am very pleased with the product.\";}i:3;a:5:{s:5:\"title\";s:20:\"intex sehawk boat se\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 23, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A10TST7FUFSFS9\";s:4:\"name\";s:15:\"S. Kukuk \"kuke\"\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:134:\"This boat seems to be a great value for the price. Went down river twice with no problems. Ran into a few things with no rips on raft.\";}i:4;a:5:{s:5:\"title\";s:60:\"tougher than I thought it would be...and measures just right\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/AM0W2CIFB0YY\";s:4:\"name\";s:15:\"Emily A. Bagley\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:727:\"I bought this little raft for an easy way to get me, myself and I out on the water. Surprisingly, all three of us fit very well in this little raft - which is made of a lot stronger vinyl then I had anticipated. I made a wooden base out of plywood for the bottom (inside) as well as a casting deck to rest on the rounded \'eagle\' front (drilled holes around the permimeter to secure to the boat) and am so excited to get out on the water! If you are wondering what the internal measurements of the raft are (as was I when I was researching which one to purchase!)...here goes. Measuring from front to back (inside) it is 54\" long x 16-17\" wide for the majority of the length of the boat. Casting deck? 34\" long, 12\" to 32\" wide.\";}i:5;a:5:{s:5:\"title\";s:31:\"Great to get out on the water..\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1E4G4OBZ44PMH\";s:4:\"name\";s:8:\"Stangjay\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:370:\"This boat is a great value and honestly is very well built. Its not something I would enjoy spending any lengthy about of time in, but its perfect for camping adventures when your just dying to get across a small to medium lake. The Rowing position is a little awkward and takes some getting used too, but two adults can reasonably fit and enjoy and outing on the water.\";}i:6;a:5:{s:5:\"title\";s:27:\"Nice Fishing and Motor Boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1TT2XGI077XHD\";s:4:\"name\";s:14:\"mrdylanspencer\";s:7:\"address\";s:16:\"Upstate New York\";}s:4:\"text\";s:1181:\"i bought this boat because i needed a way to fish in spots where i couldnt take a larger boat. any stream or pond i come across i can blow it up and start fishing. the plastic is very strong (similar to the swimming pools that Intex makes) and the boat has three seperte air chambers with boston valves that let air in but not out. on the boat is an all around grab line, oarlocks, two pole holders and amazingly motor mount fittings. to install a motor on this boat you must order the intex motormount kit that is also found on Amazon<a href=\"http://www.amazon.com/gp/product/B00177BQF8\">Intex Motor Mount Kit</a>. it allows you to put up to a 1.5 HP motor on it and this is even stated in the user manual. i use a 20 pound thrust trolling motor and it cruises right allong. it holds an average person fine so they could lay down in the boat but two people will only really fit cross legged with gear in the middle. the oars are satis factory and the pole holders work good. also, the air pump takes about 3 minutes for the large chambers and 1 for the small one. overall this is a great boat for fishing or just rowing around on a pond or lake and very good for a trolling motor.\";}i:7;a:5:{s:5:\"title\";s:9:\"Fantastic\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2SZS746SYGQOX\";s:4:\"name\";s:36:\"Aj And Associates \"Picture Book Fan\"\";s:7:\"address\";s:11:\"Seattle, WA\";}s:4:\"text\";s:620:\"Im ten years old so my standards are very low. I got this boat for a birthday present and even with my low standards I was impressed. Every year we have a family reunion and it just so happens that we had it this year at a lake. I have five cousins that I had to share the boat with and even with all the wriggling the boat seemed very stable. the boat did get one tiny hole but we bought a patch kit and that was easily fixed. This is an outstanding boat. it holds 440 pounds. I wouldn\'t reccomend two adults in it though. One would probably work the best. All in all, you cant beat this boat. You wont be dissapointed.\";}i:8;a:5:{s:5:\"title\";s:28:\"Great for almost anywhere!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 23, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3G631192INTWE\";s:4:\"name\";s:8:\"that guy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:737:\"This is a great boat. The person with the one that let out air must have been a dud. Mine is perfect! I can carry it the 100 yards to the lake. The 3 air chambers have not let me down! If you can, put a motor on it, but I am fine without one. I just took it out yesterday and got caught up in some brambles, but no cuts or scratches! I love it, trully do! If you want a cheap but sturdy boat to mess around in, then get this one. No kidding. Its roomy enough for a person and gear. Not to comfortable for 2 people, so get the bigger one if you want it for more than 1 person. I had a bookbag with the boat gear, 2 medium sized tackle boxes, a fishing pole, a lunch pack, and myself. Perfect for one person, get bigger one for two people.\";}i:9;a:5:{s:5:\"title\";s:25:\"2 years and going strong!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ABWJUYS4I1K87\";s:4:\"name\";s:8:\"rosanera\";s:7:\"address\";s:10:\"california\";}s:4:\"text\";s:182:\"this is a great boat. We use it on the SF bay...and it has lasted for two years. We put 2 adults in it, or one adult/one kid..or two to three kids...<br />great boat. worth the money\";}}");
INSERT INTO `wp_postmeta` VALUES("3312", "479", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("3313", "479", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:19:\"Excellent lake raft\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 4, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1A8QW2OTXLCXP\";s:4:\"name\";s:14:\"Aaron Wilcoxon\";s:7:\"address\";s:11:\"North Idaho\";}s:4:\"text\";s:1217:\"I bought two of these rafts and am very impressed after our first summer using them. When I began researching different rafts I was concerned about quality and durability. The first time I inflated this raft I was surprised at how thick the material is and how rigid it becomes when fully inflated. I was expecting something more like a pool toy or something. On the lakes we have in each raft 1 adult and 3 kids and they hold up perfectly. (see picture above)<br /><br />The raft includes 2 collapsible oars (they screw together), two inflatable seats, a manual air pump (which is useless on a raft this size), a small gear bag, some rope, and two fishing pole holders that mount on opposite ends of the raft. Overall a very nice package.<br /><br />Initially I was debating getting a heavier-duty raft, one called the SeaHawk II which is more expensive and is classified by Intex as a \"marine boat\". After looking on the Intex website I found the Seahawk 400 is made from 30 gauge material and the SeaHawk II is made from 26 gauge material. In addition the Seahawk 400 has more room and holds more weight. Given those facts and the lower price I decided on the Seahawk 400 set and I am very happy with the decision.\";}i:1;a:5:{s:5:\"title\";s:25:\"Boat good, accessories OK\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 25, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1W0RU7IJV66NC\";s:4:\"name\";s:25:\"Jason R. Mcdaniel \"J-Mac\"\";s:7:\"address\";s:11:\"McAllen, TX\";}s:4:\"text\";s:506:\"The hand pump included with this package worked well enough, but I definitely recommend an electric or battery-operated pump because the boat\'s three separate air compartments take forever to fill with a hand pump. The oars included were solid, but the boat\'s oar locks didn\'t seem to work exactly right with the oars. Also, the fishing rod holder didn\'t seem to hold up strong enough to keep the pole from leaning into the water. But the boat is really big and really nice and definitely worth purchasing.\";}i:2;a:5:{s:5:\"title\";s:41:\"Great value for family river-rafting trip\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 14, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1XVZPGF7JMYZL\";s:4:\"name\";s:6:\"Sowbug\";s:7:\"address\";s:27:\"San Mateo, CA United States\";}s:4:\"text\";s:2992:\"We just got back from a three-hour Truckee River rafting trip in this boat. All in all, we\'re very satisfied with this purchase, and we think you\'ll do as fine as we did with it on a Class I river.<br /><br />We\'re a family of five: two adults, two youngsters ages 7 and 5, and a 14-month old toddler. We ordered an inner tube from Amazon along with the Seahawk to make sure there would be room for us all. Once it all arrived, it was clear that we\'d all fit inside the boat along with a jug of water and a bag of snacks, so we left the tube at home. The 4-person rating is reasonable, though if you were thinking of taking four adults on a fishing trip with tackle boxes and a cooler, I wouldn\'t recommend it; it would soon get uncomfortable.<br /><br />The river this morning was mostly Class A (requiring us to paddle a bit) or Class I, with a few sections of very easy whitewater that might barely qualify as Class II. At those points, we dragged ourselves over rocks once or twice, but I didn\'t feel that the vinyl threatened to rip open. Along the way, we encountered many rental rafts, which were closer in style to the RST Marine Navigator II 500 available on Amazon. I felt that we were well-prepared, and their rafts were overkill, for the class of river we were on. In other words, on a Class I river you won\'t feel embarrassed to be seen in this boat.<br /><br />The oars are adequate. It is fortunate that they float. They\'re short, and the leverage isn\'t right for river rafting when they\'re in the oar locks. We ended up combining the two into a kayak-style paddle, which worked well enough. The gear pouch will stop splashes from the oars, but it\'s nowhere near watertight. Put your cell phone in a Ziploc bag, preferably with a chunk of styrofoam so it\'ll float. The boat comes with two inflatable cushions that look ridiculously inadequate, but they were actually nice to sit on.<br /><br />On disembarking, the Boston valves made it easy to deflate the main two chambers, but as many other reviewers have noted, the floor has a pool-floatie-style valve that\'s cumbersome to deflate. We strongly recommend taking along a Coleman rechargeable QuickPump (again, with a suitable Ziploc bag enclosing it) to flatten the floor at your destination. Once all three chambers are emptied, you\'ll find that you can easily roll the boat into a 16-inch diameter, 25-inch length sleeping bag shape. Consider buying a duffel bag, too; unlike some Intex models, the Seahawk 400 doesn\'t include a bag. The deflated boat is light enough for an adult to carry a short distance.<br /><br />One worry was that the Amazon pictures show the green 2008 model (880-pound capacity with motor mount support), but the description is of the blue 2007 814-pound model. We ordered directly from Amazon, not from a third-party seller, and did receive the newer model as expected.<br /><br />All in all, a great value. Next mission: attaching a trolling motor and cruising along Lake Tahoe\'s west shore. :)\";}i:3;a:5:{s:5:\"title\";s:34:\"Great boat, even for older people!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 31, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2C06Z0GYOYKZC\";s:4:\"name\";s:9:\"S. Higbee\";s:7:\"address\";s:7:\"Indiana\";}s:4:\"text\";s:1211:\"My husband and I are in our 60\'s & 70\'s, living on a property with a small fishing pond. We purchased the Seahawk 4 after I read the reviews, thinking that it would be just the right size to hold us and the supplies we would be carrying for spraying weeds that wanted to take over the pond. Turns out, we could have added our fishing poles, tackle box, cooler & picnic basket, if we so desired! I think, without hauling the fishing and picnic supplies, 3 people would be able to ride and be able to move around with little trouble.<br /><br />My husband was not so keen on an inflatable boat, thinking that it would be very wobbly in the water. He was pretty surprised how sturdy it was, and the ease of launching and removing from the pond. It sure doesn\'t feel like 50 pounds when moving it around! That is great for those of us who are not as strong as we used to be.<br /><br />The only things I would have changed are the seats and paddles. The inflatable seats could be quite a bit higher and the oars paddles wider to make rowing less strenuous and more \"energy efficient\". Also, a battery operated air pump might be preferable for some people.<br /><br />For the money, I think we made a great purchase!\";}i:4;a:5:{s:5:\"title\";s:26:\"Intex Seahawk 400 Boat Set\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 13, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A312P78HGTSDHT\";s:4:\"name\";s:11:\"Tearitup222\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:228:\"This boat is great! It says it\'s a four person boat which normally means it will fit two adults comfortably. We had two adults, two children, lots of stuff, and still had room to spread out. Very sturdy and good quality as well.\";}i:5;a:5:{s:5:\"title\";s:100:\"This boat is an amazing value for the money ... (state by state boating safety course regs included)\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ACJT8MUC0LRF0\";s:4:\"name\";s:23:\"D. Fowler \"Dragonfly77\"\";s:7:\"address\";s:7:\"Vermont\";}s:4:\"text\";s:3441:\"Last year we were shopping for an inflatable boat and just couldn\'t seem to find one that could be easily handled by a couple of people and carry added passengers or gear if necessary. We were very pleased when we found the Seahawk 4 because it was just the type of watercraft we had been looking for. It isn\'t just a junky old inflatable, but rather one that has been approved by the National Marine Manufacture\'s Association (NMMA). In other words, it has been approved by the U.S. Coast Guard and the American Boat and Yacht Council (ABYC).<br /><br />Inflation. Yes, it is a pain, but I would not recommend using an electric or high-pressure air compressor. Number one, you need to carefully inflate the chambers equally and secondly, if you blow out any of the chambers the boat is useless. Weather does affect how the chambers have too much or too little pressure, something that should be checked frequently. For example, in hot weather air expands and you might have to let out a bit of air. We purchased a tarp to put the boat on prior to inflation. That way you won\'t inadvertently hit a sharp object you missed when clearing an area. According to the manufacturer, \"It is very important to follow the numerical sequence [filling the chambers]; failure to do so will result in an improperly inflated boat.\" And an unsafe one.<br /><br />When you add any motor to a boat, it is required by law to register it. Most people who purchase this type of boat don\'t have any intention of adding a motor to it and simply plan on using it as a leisure craft. If do add a motor and don\'t register it a game warden may just be handing you a ticket that may cost you more than the boat itself. A little common sense goes a long way and it this case, can save you a lot of aggravation and money.<br /><br />Many states have mandatory boating safety courses if you do decide to add that motor I thought I\'d give a list. If there is a \"yes\" next to your state, please check into the legal requirements as they do vary. For example, one in Vermont can take and pay for the course online for $29.50.<br /><br />MANDATORY BOATING SAFETY COURSE (motorized boat):<br /><br />Alabama: Yes<br />Alaska: No<br />Arizona: No<br />Arkansas: Yes<br /><br />California: No<br />Colorado: Yes<br />Connecticut: Yes<br /><br />Delaware: Yes<br /><br />Florida: Yes<br /><br />Georgia: Yes<br /><br />Hawaii: No<br /><br />Idaho: No<br />Illinois: Yes<br />Indiana: Yes<br />Iowa: Yes<br /><br />Kansas: Yes<br />Kentucky: Yes<br /><br />Louisiana: Yes<br /><br />Maine: No<br />Maryland: Yes<br />Massachusetts: Yes<br />Michigan: Yes<br />Missouri: Yes<br />Montana: Yes<br /><br />Nebraska: Yes<br />Nevada: Yes<br />New Hampshire: Yes<br />New Jersey: Yes<br />New Mexico: Yes<br />New York: Yes<br />North Carolina: Yes<br />North Dakota: Yes<br /><br />Ohio: Yes<br />Oklahoma: Yes<br />Oregon: Yes<br /><br />Pennsylvania: Yes<br /><br />Rhode Island: Yes<br /><br />South Carolina: Yes<br />South Dakota: No<br /><br />Tennessee: Yes<br />Texas: Yes<br /><br />Vermont: Yes<br />Virginia: Yes<br /><br />Washington: Yes<br />West Virginia: Yes<br />Wisconsin: Yes<br /><br />This boat is an amazing value for the money and the recreational value is priceless. We love ours and plan to use it all summer on a small lake. We\'ll be fishing, floating around, and looking at the loons. In the fall we\'ll haul out the directions and carefully deflate the boat.\";}i:6;a:5:{s:5:\"title\";s:14:\"Great Purchase\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2HZVWJYSZBI6Z\";s:4:\"name\";s:5:\"chris\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1886:\"I bought this for me and my wife. From all of the reviews I almost thought it was going to be too small for us. After taking it to the lake I found that it is perfect for us. I think you could fit at least four people comfortably. We had two fishing poles a cooler two life jackets and the pump and we still had quit a bit of leg room.<br /><br />We took the boat on a 4 mile river float and it did great. The river was low and I was worried about the shallow spots and poking a whole in the bottom. We got stuck three or four times in real shallow water. After we got back I figured there would have been a couple scratches but there was nothing. The material is very durable. I was also worried about how well it would maneuver through the swift current and around the bends. It did fine through it all. It sits really high in the water which is another reason the bottom didn\'t get tore up.<br /><br />One thing that did bug me were the paddles. They come with black circle stoppers to keep the paddles from sliding out of the holders. Those stoppers kept sliding and I would constantly have to push them back down.<br /><br />My wife and I also took the paddles and paddled canoe style which was a little difficult because the sides are wide.<br /><br />One other thing I was wondering was if I could get in and out in open water. I tried getting in and it was a little strange looking to do it but I got in with out too much problem. If we weren\'t in the water so much the inside would have stayed really dry. Most of the water that was in the boat wasn\'t really a factor because it stayed in the edges where its a little lower from the floor and the side wall sections.<br /><br />I really like this boat. I plan on getting a trolling motor for the lake. It really gets blown around in the Oklahoma winds. I would recommend this boat to everyone. It is very affordable and mobile.\";}i:7;a:5:{s:5:\"title\";s:24:\"NO complaints great deal\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 1, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AELL4ZORCA7DN\";s:4:\"name\";s:6:\"jabmad\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:485:\"Received the packaged very fast, free shipping through prime. The condition was great, very fast and easy to pump. Paddles were fine but with 3 adults and 2 small kids rowing a cross a like is not easy, so this summer I\'m going go get the motor. The construction seemed to be sturdy, I say a smaller model at a local sport store for about 80 dollars more, so you get your moneys worth. The only thing I didn\'t like were the seat cushions they don\'t stay in place or offer much support.\";}i:8;a:5:{s:5:\"title\";s:33:\"Just what you need to get started\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 16, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3GZM9MIUHISFZ\";s:4:\"name\";s:18:\"Just Wants to Fish\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1472:\"I purchased this boat, and I\'m all about it! It does come with everything listed: boat, 2 fishing rod holders (opposite ends of boat - very nice), pump, & two collapsable oars. Note - there is NO carying bag - so you either have to deflate it & put it back in the box (try putting a semi-wet boat back in cardboard, not fun), or figure out another solution. I had an old suitcase w/wheels that I wasn\'t using, works perfectly!<br /><br />As for my rating on this guy, solid 4 stars! It blows up in minutes (i have an electric colman pump - must buy for this b/c it deflates as well) and you\'re out on the water in around 10min. The boat itself is bigger than I thought, and the material is really sturdy. Ok, sturdy as plastic can be, I wouldn\'t go jumping around on it...but i do feel quite safe in the water with it. It is large enough for 2 full grown adults (I\'m 6-1) to get in, w/all your gear & a cooler, and not even touch each other.<br /><br />The only reason I\'m giving this 4 stars is for the oars. They\'re pretty solid, but are too short to use the oar holders & properly row the boat. I\'ve ended up using one & working the boat like a canoe, which works pretty well...but can get tiring; maybe I just need more practice with them.<br /><br />Overall, love the thing; I\'m taking it back on the water tonight. I might say invest in a kayak paddle if you plan on rowing this; or purchase a small trolling motor & mount.<br /><br />For the $$ you can\'t beat this!\";}}");
INSERT INTO `wp_postmeta` VALUES("3314", "479", "asg_last_refresh_attempt", "1371238565");
INSERT INTO `wp_postmeta` VALUES("3315", "479", "asg_update_timestamp", "1371238565");
INSERT INTO `wp_postmeta` VALUES("3316", "480", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3317", "480", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3318", "480", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3319", "480", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3320", "480", "asg_item_id", "B00004YTPE");
INSERT INTO `wp_postmeta` VALUES("3321", "480", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00004YTPE\";s:13:\"DetailPageURL\";s:205:\"http://www.amazon.com/Intex-58329EP-Explorer-100-Boat/dp/B00004YTPE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00004YTPE\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:215:\"http://www.amazon.com/Intex-58329EP-Explorer-100-Boat/dp/tech-data/B00004YTPE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00004YTPE\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00004YTPE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00004YTPE\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00004YTPE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00004YTPE\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00004YTPE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00004YTPE\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00004YTPE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00004YTPE\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00004YTPE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00004YTPE\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00004YTPE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00004YTPE\";}}}s:9:\"SalesRank\";s:4:\"1723\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41nU9Ee3CZL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:3:\"Toy\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:7:\"58329EP\";i:1;s:13:\"0078257583294\";}}s:5:\"Color\";s:6:\"Orange\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257314720\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257314720\";i:1;s:13:\"0078257583294\";}}s:7:\"Feature\";a:5:{i:0;s:58:\"1-person inflatable boat designed for pools or calm waters\";i:1;s:47:\"2 air chambers for safety; grab rope on the bow\";i:2;s:59:\"Inflatable floor for comfort and rigidity; welded oar locks\";i:3;s:53:\"Contemporary graphics and colors; U.S. Coast Guard ID\";i:4;s:60:\"Measures 58 x 14 x 33 inches (W x H x D); 120-pound capacity\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1025\";s:6:\"Length\";s:3:\"913\";s:6:\"Weight\";s:3:\"9.1\";s:5:\"Width\";s:3:\"288\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1399\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:22:\"ManufacturerMinimumAge\";s:2:\"60\";s:5:\"Model\";s:7:\"58329EP\";s:3:\"MPN\";s:7:\"58329EP\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"320\";s:6:\"Length\";s:4:\"1000\";s:6:\"Weight\";s:3:\"285\";s:5:\"Width\";s:3:\"910\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"58329EP\";s:12:\"ProductGroup\";s:3:\"Toy\";s:15:\"ProductTypeName\";s:14:\"TOYS_AND_GAMES\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:11:\"58\"x33\"x14\"\";s:3:\"SKU\";s:6:\"670623\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:23:\"Intex Explorer 100 Boat\";s:3:\"UPC\";s:12:\"078257314720\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257314720\";i:1;s:12:\"078257583294\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"955\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.55\";}s:8:\"TotalNew\";s:2:\"17\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00004YTPE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00004YTPE\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"cmxEXxLs1FxQA%2B1QsV0pGXYcCAXGZhVpwzFrljjRA5urSYoJBjBciGKHv1M3Edp5hkIlfylNzunqedIrs%2FSM51PjdAVkH60nmm5SvjO1xl64w8PPxrosSw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1138\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.38\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"261\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.61\";}s:15:\"PercentageSaved\";s:2:\"19\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00004YTPE&atag=freetos-20&exp=2013-06-15T19%3A36%3A05Z&v=2&sig=ldcmHShavpEVPePFXmys0ep%2BRq%2FAxaZnR28XkG02Wl4%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:107:\"Compact size boat with lots of features. U.S. Coast Guard ID. Perfect for the pool or small lakes & rivers.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1703:\"Participate in a boat race or leisurely cruise around the pool on lazy summer days with the Intex Explorer 100 inflatable boat. Designed with fun and security in mind, the one-person <table align=right width=300 cellpadding=10> <tr><td><img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B00004YTPE-1.jpg\" border=0 align=top><br><br><small><i><b>The Explorer 100 1-person boat is ideal for pools or calm waters.</b></i></small></td></tr></table>Explorer 100 offers such features as two air chambers for safety, a grab rope on the bow, an inflatable floor for comfort and rigidity, welded oar locks, and a U.S. Coast Guard ID. Plus, the boat\'s contemporary colors and graphics help the Explorer 100 stand out in a crowd. The Explorer 100 measures 58 by 14 by 33 inches (W x H x D) and offers a weight capacity of 120 pounds. <p> <b>About Intex</b><br> Helping people have fun for more than 40 years, Intex is the world leader in designing and producing high-quality, innovative products for indoor and outdoor recreation. Every Intex product--which includes such items as above-ground pools, pool accessories, pool toys, airbeds, and boats--undergoes an intensive quality control process before it\'s released to the public. During the manufacturing process, highly trained Intex employees continuously monitor a wide range of factors, from the quality of the raw materials and the calibration of the machines to the making and assembly of each product. The goal is to produce the best possible product at the best possible price. Intex offices are located in such cities as Long Beach, California; WanChai, Hong Kong; Roosendaal, Netherlands; Beaufort, France; and Praha, Czech Republic.<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3322", "480", "asg_product_details", "a:8:{s:18:\"Product Dimensions\";s:23:\"9.1 x 2.9 x 10.2 inches\";s:15:\"Shipping Weight\";s:10:\"2.8 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:18:\" Imported (China)\";s:4:\"ASIN\";s:10:\"B00004YTPE\";s:17:\"Item model number\";s:7:\"58329EP\";s:19:\"Our recommended age\";s:11:\"5 - 7 years\";s:28:\"Manufacturer recommended age\";s:14:\"5 years and up\";}");
INSERT INTO `wp_postmeta` VALUES("3323", "480", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3324", "480", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:9:\"good boat\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"January 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ERYYDRHH1XW9\";s:4:\"name\";s:6:\"freddo\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:133:\"This is a pretty good boat for small kids. It holds up pretty good. Although, the inner-bottom compartment\'s plug would never stay in\";}i:1;a:5:{s:5:\"title\";s:12:\"great price!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3AT0UDG1F9T0Y\";s:4:\"name\";s:29:\"Sebastian Orozco \"Sebasitsme\"\";s:7:\"address\";s:7:\"NY, USA\";}s:4:\"text\";s:347:\"I use it to carry stuff from my bigger raft. I tow it from my bigger raft which can fit 5 people. on this small raft I put beers, air pump, and other stuff I might need. Excellent, easy to patch. I did not use the patch that came with it when it had a hole. I used a better one with cement boat repair. Nothing can beat its price. very very happy.\";}i:2;a:5:{s:5:\"title\";s:7:\"Not bad\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"April 7, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3HPB81U4L5TI5\";s:4:\"name\";s:14:\"Michael Fowler\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:148:\"Not a bad deal for the price although the lower inflatable part of the raft will not stay inflated, perfect size for kids and for use as a pool toy.\";}i:3;a:5:{s:5:\"title\";s:19:\"Worked well for us!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 28, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A42UZ73DWAO0S\";s:4:\"name\";s:7:\"st98105\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:521:\"I\'m actually a little astonished at how well this boat worked. When we floated a low river in E. Washington this past weekend, we definitely snagged over rocks everytime we hit rapids and we didn\'t spring a single leak. Also, this boat moves pretty quickly in comparison to the tubes made for floating rivers. I would say for the price, you won\'t find anything better. (I used this one since I\'m under 120 lbs but my boyfriend used the Intex 200). We were able to easily deflate them and store them for future adventures!\";}i:4;a:5:{s:5:\"title\";s:15:\"Sprung a leak!!\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3E8LRDUHCK2F1\";s:4:\"name\";s:3:\"rjs\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:316:\"We had two of these boats that lasted several summers but this one sprung a leak the first time we used it. We cannot find the leak so it became trash. The postage to return it is more than it is worth, I am ordering another one and hopefully it will last the rest of this summer. Thank goodness it is not expensive.\";}i:5;a:5:{s:5:\"title\";s:12:\"Kids Love it\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26D37CX69IBHG\";s:4:\"name\";s:14:\"Robert L Smith\";s:7:\"address\";s:21:\"BOYNTON BEACH, FL, US\";}s:4:\"text\";s:104:\"im 200 Lbs i took this baby down the River with no problem, got drunk played with manatees! it was Great\";}i:6;a:5:{s:5:\"title\";s:12:\"dogs love it\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1UR7408593241\";s:4:\"name\";s:6:\"jeanie\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:203:\"I bought this boat for my dogs to get into the pool. It works. My chorkie will get in and float around with me. The boston terrier is more cautious about getting into the boat. The grandkids like it too.\";}i:7;a:5:{s:5:\"title\";s:17:\"Intex boat review\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 30, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1Z1MX05PSZ87O\";s:4:\"name\";s:4:\"L.T.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:163:\"Good product. Pretty sturdy. Good size and strength for most kids. Actually bought it for my dog (app. 18 pounds), but certainly sturdy enough for fairly big kids.\";}i:8;a:5:{s:5:\"title\";s:12:\"blow up boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3HMDIEOEJT9IF\";s:4:\"name\";s:4:\"tutu\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:190:\"This shipped quickly and is well worth the money! My grandsons rode the waves at the beach and had the best time in it! It endured flips and rough treatment! Great fun for them, ages 12 & 9!\";}i:9;a:5:{s:5:\"title\";s:10:\"Great Raft\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 27, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AIJ2COFP9GQY6\";s:4:\"name\";s:12:\"D. Nordhielm\";s:7:\"address\";s:11:\"Atlanta, GA\";}s:4:\"text\";s:332:\"This raft is about the right size for a middle school child. If you\'re looking for a child\'s pool toy, this will work well. However, I used the product for holding beers when I go to the lake with my friends. It is the perfect size for a cooler and is large enough to stay afloat. Overall, this is a great product for a great price.\";}}");
INSERT INTO `wp_postmeta` VALUES("3267", "475", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"3.9 pounds\";s:4:\"ASIN\";s:10:\"B00AZ2IK6Y\";}");
INSERT INTO `wp_postmeta` VALUES("3268", "475", "asg_star_rating", "3.7");
INSERT INTO `wp_postmeta` VALUES("3269", "475", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:11:\"Good paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 21, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A123TEQ1OTV1P6\";s:4:\"name\";s:8:\"mia \"MD\"\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:804:\"I am a beginner to paddleboarding, and heard this paddle was good for the kind of board I purchased (Emotion Kayaks Traverse Paddle Board). It comes with the 2 paddleboard handles and the extra kayak paddle. The attachments snap into place and when they are on they are sturdy (won\'t come off easily, thought I haven\'t tested it in rough waters). It seems to be well-made and sturdy, but I only gave it 4 stars because were the attachments come off is cut haphazardly (it looks like it was cut by hand) and doesn\'t line up with the attachments well so some of the metal core is exposed. Also there are no drip rings, so I expect to get wet arms when kayaking. There are no other convertible paddles like this out there, and the price on this paddle is reasonable for a well-made kayak/paddleboard paddle.\";}i:1;a:5:{s:5:\"title\";s:24:\"versatile, strong enough\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"December 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AM74DK99CX088\";s:4:\"name\";s:13:\"Joseph Conrad\";s:7:\"address\";s:11:\"Boston, USA\";}s:4:\"text\";s:658:\"I have used this convertible paddle with my inflatable SUP for the past 6 months. It\'s nice to have the variable length for different paddlers and really nice to have the option of using as a 2 blade. I strap the 2nd blade to the SUP for those long paddles on breezy days. I am not a super paddler, but a reasonably strong guy, and the paddle looks and feels strong and well made. I have not used it in real surf yet, but it will probably do fine with the surf I can handle. Keep the little detent balls lubed with WD40 or similar, and rinse the salt off. My only complaint is that is does not disassemble into short enough pieces to pack for airline travel.\";}i:2;a:5:{s:5:\"title\";s:33:\"Decent quality convertible paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1WTUIV46W45JJ\";s:4:\"name\";s:3:\"RLR\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:965:\"Purchased to allow me to propel a polymer jonboat through shallow areas while standing up (SUP configuration) or sitting down facing forward (kayak configuration). This supports better visibility than the standard oars I currently use.<br /><br />I also plan to use the jonboat for SUP workouts, involving more muscle groups than normal kayaking.<br /><br />The two SUP handle lengths are perfect for my application, since I may need additional reach on a gunwaled boat (not a problem with normal paddleboards or kayaks).<br /><br />The spring loaded attachment locks seem very secure. All items in my set fit together snug and well. I don\'t expect any problems in our relatively protected waters.<br /><br />Be aware that in kayak configuration, this paddle has a 0 degree offset. I prefer about 30 degrees, and wish there was a second spring lock to support a positive offset. But I can easily live with no offset in return for a single SUP/kayak paddle assembly.\";}i:3;a:5:{s:5:\"title\";s:23:\"Versatile, light weight\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2WEVUTN403EQW\";s:4:\"name\";s:10:\"JackSpratt\";s:7:\"address\";s:16:\"Alexandria Egypt\";}s:4:\"text\";s:307:\"This paddle is easy to use. Whether you\'re an adult or a grade school kid, this paddle will be easy to handle, as I\'ve seen people age 10 to age 50+ have no problems. The one I bought has been switched back and forth between a stand up paddle, and a kayak paddle, and it\'s been simple and convenient for me.\";}i:4;a:5:{s:5:\"title\";s:22:\"Heavy and Not lined up\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"August 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AG0S20HJA2DOA\";s:4:\"name\";s:16:\"Catastrophecathy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:442:\"This paddle is heavy. Others have said that but it is REALLY heavy. Also the holes didn\'t line up. I was going to return it but my friend can cut some of the plastic to fix that. Finally if you use this you will have to choose stand up or kayak and not switch much. I like to go back and forth but that\'s a pain since you will have to switch out the end every time. But as the only sup/kayak paddle on the market you don\'t have much choice...\";}i:5;a:5:{s:5:\"title\";s:19:\"Error in production\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3ES9LQ7MB36H3\";s:4:\"name\";s:12:\"Tammy Hodges\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:632:\"I like this for the Ocean Kayak Nalu - it allows you to SUP and then easily transition to kayaking when you are tired of standing - however, if you purchase it, check to see if it fits together properly. The attachment pieces were ill-fitted on mine and would not click into place -they were cut too long. We took a hacksaw to it and now they fit properly, but it is a noticeable hack job now. Also, it would be nice if they had some sort of cushioning on the kayak handles. I am spoiled with my regular kayak paddles which are nicely padded for my delicate hands. Overall, it is a good product and makes water life very convenient.\";}i:6;a:5:{s:5:\"title\";s:26:\"Paddle Sank To The Bottom.\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"July 18, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3U0QMZH5RQW62\";s:4:\"name\";s:6:\"empire\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:872:\"Had the paddle for a day. As far as ease of use and quality for the price I would have given 5 stars. However, we were out in the water on the paddle board with the kids playing around. We fell off the board into the water and one of the kids grabbed the paddle after it had fallen out of my hands.<br /><br />He was holding on to it under the water and then he let go. The DAMN THING SUNK!!! We have other paddles for Kayaking and have done the same thing and they never sank to the bottom.<br /><br />So now after one day of use I have no paddle. Otherwise the paddle worked great just make sure you don\'t drop it in the water or it may sink to the bottom. I wish they had put a warning or something about the possibility that the paddle might sink.<br /><br />Anyways, now I need to buy another paddle. Anyone have suggestions for one reasonably priced that won\'t sink?\";}i:7;a:5:{s:5:\"title\";s:7:\"Versite\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 27, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A369WOPQ13FETH\";s:4:\"name\";s:11:\"Ellen Clark\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:113:\"Great that it is two paddles in one. Can take the small end with you so if you want to switch to kayaking you can\";}i:8;a:5:{s:5:\"title\";s:16:\"Versatile paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"September 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21YD9EQ0RMUZU\";s:4:\"name\";s:8:\"Rachelle\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:717:\"The his and hers length handles are about right for average male/female heights, if you are not average then look for a paddle with multiple adjustment holes. The paddle faces are flat rather than curved but seem to perform okay. The additional paddle will need a second hole drilled into the shaft as the current attachment hole positions the two blades square to each other.<br /><br />Another reviewer mentions that his paddle sank. I tested this and the paddle does float but I suspect that if you don\'t retrieve it fairly quickly then there is potential for water to seep into the tube and overcome the float ability.<br /><br />Decent product for the price and the seller is very helpful (we needed a redirect).\";}}");
INSERT INTO `wp_postmeta` VALUES("3257", "474", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("3258", "474", "asg_customer_reviews", "a:8:{i:0;a:5:{s:5:\"title\";s:11:\"Boat paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 31, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3V3E3YNMIDTPB\";s:4:\"name\";s:25:\"Crafty Lady \"crafty lady\"\";s:7:\"address\";s:27:\"Smithtown, NY United States\";}s:4:\"text\";s:183:\"I was looking for a paddle to use as decoration in the front of our house. Most of them had prices through the roof. This was very nice...(and in a pinch, I can use it with the canoe)\";}i:1;a:5:{s:5:\"title\";s:18:\"Excellent product!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/AWUJEKMNXLGR\";s:4:\"name\";s:13:\"William Huber\";s:7:\"address\";s:12:\"Bluffton, sc\";}s:4:\"text\";s:149:\"Terrific buy for the price. Great craftsmanship. Great delivery time. Using them as a yard decoration in our nautical theme. Very satisfied customer!\";}i:2;a:5:{s:5:\"title\";s:14:\"Junk Junk Junk\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"March 23, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2K7MBTJQ2K7SS\";s:4:\"name\";s:10:\"Jason Dube\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:176:\"This paddle is junk!!! Not only is it heavier than my 6\' paddle, it was warped. The shaft looked like a corkscrew. Also the blade was way too thick. It was like an inch thick!!\";}i:3;a:5:{s:5:\"title\";s:20:\"Wooden 5ft Paddle...\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A11TQY2YR14P23\";s:4:\"name\";s:5:\"dav46\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:136:\"It arrived quickly and as described...it is made of good solid material..I would highly<br />recomemd it.. I really like this product...\";}i:4;a:5:{s:5:\"title\";s:16:\"Great decoration\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 15, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2GZZCWSUHHOBS\";s:4:\"name\";s:14:\"Bridget Hjerpe\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:109:\"Bought the paddle as a gift to decorate and give to my father... it\'s a paddle soooo... it\'s hard to mess up.\";}i:5;a:5:{s:5:\"title\";s:12:\"Great paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 28, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1KLJ7RBB3F8L3\";s:4:\"name\";s:14:\"Heath Breeding\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:130:\"This is a really good and balanced paddle at a great price. Very sturdy and well built. Definately reccomend...I bought 2 of them.\";}i:6;a:5:{s:5:\"title\";s:29:\"seasence wood paddle 3.5-feet\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UEYAOHDS5CTI\";s:4:\"name\";s:16:\"someone on earth\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:155:\"Works great for a backup and shove off paddle for my 8.3 foot coleman hooligan kayak,and fits inside with no problems and is very light. I\'m happy with it.\";}i:7;a:5:{s:5:\"title\";s:25:\"Found at Wal-Mart for $10\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"August 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A30AUTKY16H45\";s:4:\"name\";s:10:\"T. Verhoef\";s:7:\"address\";s:4:\"Iowa\";}s:4:\"text\";s:202:\"I do not own this but have been looking for one to use as decoration in my son\'s bedroom. I found the 3.5ft one at Wal-Mart tonight (exact brand) for $10.xx. Just thought people might want to know that!\";}}");
INSERT INTO `wp_postmeta` VALUES("3259", "474", "asg_last_refresh_attempt", "1371238328");
INSERT INTO `wp_postmeta` VALUES("3260", "474", "asg_update_timestamp", "1371238328");
INSERT INTO `wp_postmeta` VALUES("3263", "475", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3264", "475", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3265", "475", "asg_item_id", "B00AZ2IK6Y");
INSERT INTO `wp_postmeta` VALUES("3266", "475", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00AZ2IK6Y\";s:10:\"ParentASIN\";s:10:\"B00AZ2IK6Y\";s:13:\"DetailPageURL\";s:214:\"http://www.amazon.com/Carlisle-Taboo-2-Piece-Adjustable-Paddle/dp/B00AZ2IK6Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00AZ2IK6Y\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:224:\"http://www.amazon.com/Carlisle-Taboo-2-Piece-Adjustable-Paddle/dp/tech-data/B00AZ2IK6Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AZ2IK6Y\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00AZ2IK6Y%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AZ2IK6Y\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00AZ2IK6Y%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AZ2IK6Y\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00AZ2IK6Y%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AZ2IK6Y\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00AZ2IK6Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AZ2IK6Y\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00AZ2IK6Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AZ2IK6Y\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00AZ2IK6Y%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AZ2IK6Y\";}}}s:9:\"SalesRank\";s:5:\"17514\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ZwnE2xt9L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Carlisle\";s:5:\"Label\";s:8:\"Carlisle\";s:12:\"Manufacturer\";s:8:\"Carlisle\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"390\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:55:\"Carlisle Taboo Stand Up 2-Piece Adjustable Kayak Paddle\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:3:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"8495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$84.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"9399\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$93.99\";}s:15:\"LowestSalePrice\";a:3:{s:6:\"Amount\";s:4:\"7221\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$72.21\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B003BNOW5M\";s:10:\"ParentASIN\";s:10:\"B00AZ2IK6Y\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31Xrl-JcCWL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Carlisle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.1332.2640\";}s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0759239264515\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239264515\";}s:7:\"Feature\";a:5:{i:0;s:25:\"Fully clad aluminum shaft\";i:1;s:57:\"8 x 20 inch super strong high impact polypropylene blades\";i:2;s:38:\"Stainless steel push-button adjustment\";i:3;s:60:\"SU Paddle lengths 75 or 82 inches, kayak paddle length 230cm\";i:4;s:86:\"Weight: SUP Paddle: 39 Ounce (75-Inch), 42 Ounce (82-Inch), 42 oz (230cm kayak paddle)\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"260\";}s:5:\"Label\";s:8:\"Carlisle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"8495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$84.95\";}s:12:\"Manufacturer\";s:8:\"Carlisle\";s:5:\"Model\";s:12:\"01.1332.2640\";s:3:\"MPN\";s:12:\"01.1332.2640\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"270\";s:6:\"Length\";s:4:\"8250\";s:6:\"Weight\";s:3:\"420\";s:5:\"Width\";s:3:\"780\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.1332.2640\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:11:\"8 x 82-Inch\";s:3:\"SKU\";s:5:\"18202\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:48:\"Carlisle Taboo Convertable Stand-Up Kayak Paddle\";s:3:\"UPC\";s:12:\"759239264515\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239264515\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:11:\"8 x 82-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:152:\"3dn8bDNKMdsvI%2FhRfboey1IeF9igkrtlJKiXbjWm%2FUgl%2BGFJ0%2FI0RXia0XjEXy7dv1Ey%2BwaI8Nmhwu2jrG2CrAv9uxwaxuPQ4GJgoxejgdUvd8d6OH5Ua8xMGfkLLmTmPO7OWhZSjwE%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$84.95\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"7221\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$72.21\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1274\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.74\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00AZ2IK6Y&atag=freetos-20&exp=2013-06-15T19%3A32%3A08Z&v=2&sig=Y6XcOlusqAkBtiTpx%2BEWFzMlaA4ToLD8drX22dpZ9mE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:986:\"Use the Carlisle Taboo Stand Up Kayak Paddle on a paddleboard or in a kayak thanks to the easy button-locking system that allows you to quickly change the length and add or remove a second blade. This two-in-one paddle is lightweight so you wonAAAt feel worn down before you get a chance to enjoy the water. Durable high-impact plastic blades and aluminum shaft mean that, in a pinch, the Taboo can take some bumps and bruises against the rocks.<br /><br /><b>Product Features</b><ul style=\"list-style-type: disc; margin-left: 25px;\"><li>Shaft Material: aluminum</li><li>Blade Material: polypropylene</li><li>Overall Length: [stand up] 75 in; [kayak] 91 in</li><li>Blade Length: </li><li>Blade Width: </li><li>Blade Area: </li><li>Shaft Shape: straight</li><li>Feather Angle: </li><li>Two-Piece: yes</li><li>Paddling Style: low angle & high angle</li><li>Weight: [75in] 39 oz; [82in,91in] 42 oz</li><li>Recommended Use: kayaking, canoeing</li><li>Manufacturer Warranty: 1 year</li></ul>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3224", "471", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:32:\"117 x 50 x 18 inches ; 16 pounds\";s:15:\"Shipping Weight\";s:11:\"48.6 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00ACBCOII\";s:17:\"Item model number\";s:7:\"68378EP\";}");
INSERT INTO `wp_postmeta` VALUES("3225", "471", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("3226", "471", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:44:\"Like the Seahawk II it make a great sailboat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 15, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A224TOUP1BQPD4\";s:4:\"name\";s:18:\"James \"JimLuckett\"\";s:7:\"address\";s:29:\"boxborough, ma, United States\";}s:4:\"text\";s:269:\"The Mariner 3 is a new name for an old and good product: The Intex Seahawk II. It is a nice efficient shape and inflates firm and rigid. It works great with a SailboatsToGo sail kit, turning it into an extremely portable sailboat. This is the best way to use this boat!\";}i:1;a:5:{s:5:\"title\";s:26:\"Unbelievable for the price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2QHEP05UVPKZN\";s:4:\"name\";s:12:\"Greg Manning\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:222:\"Out of the box and pumped full with air and in the water in less than 15 minutes, spend the $30 on a 12v air pump well worth the money! This Intex 3 has plenty of room, handels great & very well constructed.....very happy.\";}i:2;a:5:{s:5:\"title\";s:33:\"Great boat for freshwater fishing\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2OGOEHO4QN2ZQ\";s:4:\"name\";s:7:\"Chris S\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1524:\"This is the new version of the Seahawk II, which is the same boat with a name change because it was getting confused with the Seahawk 2 which is a cheap pool toy. I have just bought this boat but have been fishing on my friend\'s for years now. This is made out of 30 gauge Super-Tough material. Made with 3 separate layers of material for extra strength and durability - Two outer layers of heavy-gauge PVC are laminated to an inner layer of 1000 denier polyester mesh for extra reinforcement. Great solid boat all around that you can add an electric trolling motor or small 2/4 stroke motor to (need to buy motor mount separately).<br /><br />Pro\'s:<br />3 person/660 lbs weight limit<br />Can add motor<br />Portable<br />Heavy duty material<br />Fishing rod holders built in<br />Lightweight 40 lbs (can easily pick this up by yourself)<br />Quick inflate time with included air pump (about 10 minutes)<br />Rotational oar locks<br />Price<br /><br />Con\'s:<br />Air pump feels a little flimsy<br /><br />Overall amazing boat for the price. I chose the 3 over the 4 based mainly on weight (slightly over twice the weight at 84 lbs compared to 40 lbs).<br /><br />If your looking for a good portable fishing/lake/river boat then your search is over.<br /><br />As a side note it comes with this plastic ruler for matching up on the sides of the boat to make sure it is properly inflated. Do yourself a favor and make some extra copies out of the soft plastic that comes on a DVD case, because you will eventually loose it.\";}}");
INSERT INTO `wp_postmeta` VALUES("3227", "471", "asg_last_refresh_attempt", "1371238321");
INSERT INTO `wp_postmeta` VALUES("3228", "471", "asg_update_timestamp", "1371238321");
INSERT INTO `wp_postmeta` VALUES("3231", "472", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3232", "472", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3233", "472", "asg_item_id", "B00AA263Y0");
INSERT INTO `wp_postmeta` VALUES("3234", "472", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00AA263Y0\";s:10:\"ParentASIN\";s:10:\"B00AA263Y0\";s:13:\"DetailPageURL\";s:197:\"http://www.amazon.com/Old-Town-Heron-Jr-Kayak/dp/B00AA263Y0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00AA263Y0\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:207:\"http://www.amazon.com/Old-Town-Heron-Jr-Kayak/dp/tech-data/B00AA263Y0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AA263Y0\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00AA263Y0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AA263Y0\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00AA263Y0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AA263Y0\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00AA263Y0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AA263Y0\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00AA263Y0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AA263Y0\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00AA263Y0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AA263Y0\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00AA263Y0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AA263Y0\";}}}s:9:\"SalesRank\";s:6:\"202401\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Old Town\";s:5:\"Label\";s:8:\"Old Town\";s:12:\"Manufacturer\";s:8:\"Old Town\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:4:\"4855\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Old Town\";s:6:\"Studio\";s:8:\"Old Town\";s:5:\"Title\";s:23:\"Old Town Heron Jr Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"29995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$299.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"4\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:4:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B00AA264ZS\";s:10:\"ParentASIN\";s:10:\"B00AA263Y0\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41xVE5o4TvL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.4048.0005\";}s:5:\"Color\";s:7:\"Sunrise\";s:10:\"Department\";s:6:\"Kayaks\";s:3:\"EAN\";s:13:\"0759239279212\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239279212\";}s:7:\"Feature\";a:5:{i:0;s:13:\"Just for Kids\";i:1;s:56:\"Tag Along Tow System lets you tow your child when needed\";i:2;s:34:\"Extremely Lightweight at 29 pounds\";i:3;s:45:\"Comfortable contoured seat for smaller bodies\";i:4;s:39:\"Maximum load range is 100 to 115 pounds\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1050\";s:6:\"Length\";s:4:\"8900\";s:6:\"Weight\";s:4:\"2900\";s:5:\"Width\";s:4:\"2500\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:12:\"01.4048.0005\";s:3:\"MPN\";s:12:\"01.4048.0005\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:4:\"9400\";s:6:\"Weight\";s:4:\"3300\";s:5:\"Width\";s:4:\"2700\";}s:10:\"PartNumber\";s:12:\"01.4048.0005\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:52:\"Old Town Canoes & Kayaks Heron Junior Kayak, Sunrise\";s:3:\"UPC\";s:12:\"759239279212\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239279212\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:7:\"Sunrise\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:136:\"PbZzZ0tq05Eneaa%2BiUa%2FlUfLyTJNbvDrobTFbnPoJ6opTZX4EqsCpzQoVLoWKpLcqpbf%2Bd4K%2Febs7S%2B%2B2dkf9UyLqACEZU65UkQjxPTk9zJP1IZ20vaG2Q%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B00A1U2OO4\";s:10:\"ParentASIN\";s:10:\"B00AA263Y0\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41PKQvFJzlL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.4048.0009\";}s:5:\"Color\";s:9:\"Tangerine\";s:3:\"EAN\";s:13:\"0759239279250\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239279250\";}s:7:\"Feature\";a:5:{i:0;s:13:\"Just for Kids\";i:1;s:56:\"Tag Along Tow System lets you tow your child when needed\";i:2;s:34:\"Extremely Lightweight at 29 pounds\";i:3;s:45:\"Comfortable contoured seat for smaller bodies\";i:4;s:39:\"Maximum load range is 100 to 115 pounds\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1050\";s:6:\"Length\";s:4:\"8900\";s:6:\"Weight\";s:4:\"2900\";s:5:\"Width\";s:4:\"2500\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:12:\"01.4048.0009\";s:3:\"MPN\";s:12:\"01.4048.0009\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:4:\"8500\";s:6:\"Weight\";s:4:\"3300\";s:5:\"Width\";s:4:\"2600\";}s:10:\"PartNumber\";s:12:\"01.4048.0009\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:54:\"Old Town Canoes & Kayaks Heron Junior Kayak, Tangerine\";s:3:\"UPC\";s:12:\"759239279250\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239279250\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:9:\"Tangerine\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:130:\"EREvRsXtNPf6DCFOPw4%2BEshuAMhOlrhOKz9xnxIBBYygluTdkhKlLB068YHrFz6J1chiGUXxmbRueb2C5vc0GD9ZKsC%2BVzX8p4%2F9EfmMboOheKcKpT6fAg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B00AA264DA\";s:10:\"ParentASIN\";s:10:\"B00AA263Y0\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Cwu3YpnsL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.4048.0011\";}s:5:\"Color\";s:12:\"Black Cherry\";s:10:\"Department\";s:6:\"Kayaks\";s:3:\"EAN\";s:13:\"0759239279274\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239279274\";}s:7:\"Feature\";a:5:{i:0;s:13:\"Just for Kids\";i:1;s:56:\"Tag Along Tow System lets you tow your child when needed\";i:2;s:34:\"Extremely Lightweight at 29 pounds\";i:3;s:45:\"Comfortable contoured seat for smaller bodies\";i:4;s:39:\"Maximum load range is 100 to 115 pounds\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"1050\";s:6:\"Length\";s:4:\"8900\";s:5:\"Width\";s:4:\"2500\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:12:\"01.4048.0011\";s:3:\"MPN\";s:12:\"01.4048.0011\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"9400\";s:6:\"Weight\";s:4:\"2775\";s:5:\"Width\";s:4:\"2780\";}s:10:\"PartNumber\";s:12:\"01.4048.0011\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:57:\"Old Town Canoes & Kayaks Heron Junior Kayak, Black Cherry\";s:3:\"UPC\";s:12:\"759239279274\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239279274\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:12:\"Black Cherry\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:126:\"sYJwLQcee7bGAQ9z6prQ60S8cvv%2FihGxSXsuNDCiLXc6oPaU5llJG9BahMYWmEw6OITSswVnKmQqDgy7oHs6QH31k36yLalzYI3llXybJd3baCEg4s0mOg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:3;a:9:{s:4:\"ASIN\";s:10:\"B00A1U2OXU\";s:10:\"ParentASIN\";s:10:\"B00AA263Y0\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41oVueG-RgL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:24:\"Old Town Canoes & Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.4048.0007\";}s:5:\"Color\";s:4:\"Lime\";s:10:\"Department\";s:6:\"Kayaks\";s:3:\"EAN\";s:13:\"0759239279236\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239279236\";}s:7:\"Feature\";a:5:{i:0;s:13:\"Just for Kids\";i:1;s:56:\"Tag Along Tow System lets you tow your child when needed\";i:2;s:34:\"Extremely Lightweight at 29 pounds\";i:3;s:45:\"Comfortable contoured seat for smaller bodies\";i:4;s:39:\"Maximum load range is 100 to 115 pounds\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"1050\";s:6:\"Length\";s:4:\"8900\";s:5:\"Width\";s:4:\"2500\";}s:5:\"Label\";s:24:\"Old Town Canoes & Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}s:12:\"Manufacturer\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Model\";s:12:\"01.4048.0007\";s:3:\"MPN\";s:12:\"01.4048.0007\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1100\";s:6:\"Length\";s:4:\"9400\";s:6:\"Weight\";s:4:\"2800\";s:5:\"Width\";s:4:\"2600\";}s:10:\"PartNumber\";s:12:\"01.4048.0007\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:24:\"Old Town Canoes & Kayaks\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:24:\"Old Town Canoes & Kayaks\";s:5:\"Title\";s:49:\"Old Town Canoes & Kayaks Heron Junior Kayak, Lime\";s:3:\"UPC\";s:12:\"759239279236\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239279236\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:4:\"Lime\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:136:\"cFQdHO5ao%2BuLjAbKv9om%2B0sHE6qYf3eOU6i2M%2BtkZkhS0SSsprjuGnydo1K9Bk7K3%2BjaHhRQKRY2FxMAj8LeDEMVIOExlIdTnw7byr%2FqZc%2F6Xa5nDBuiRA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"34999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$349.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00AA263Y0&atag=freetos-20&exp=2013-06-15T19%3A32%3A01Z&v=2&sig=o5gmaSxyiApHnpv1NBTyYvsQHybeoQiXaol8mZA%2FoDo%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:908:\"The Old Town Heron Jr Kayak is an award-winning boat just for your kids. Nimble, maneuverable, and easy for any kid to paddle, this boat glides fast and boasts rock-solid stability. Padded seating keeps your child comfortable on the lake or the pond and, when his or her arms get tired, the Tag Along system makes it easy to tow this kayak behind your own.<br /><br /><b>Product Features</b><ul style=\"list-style-type: disc; margin-left: 25px;\"><li>Hull Material: single-layer polyethylene</li><li>Length: 7 ft 5 in</li><li>Width: 2 ft 1 in</li><li>Maximum Load: 115 lb</li><li>Bow Hatch Dimensions: </li><li>Cockpit Dimensions: 16.25 x 35 in</li><li>Day Hatch Dimensions: </li><li>Stern Hatch Dimensions: </li><li>Hatch Cover: </li><li>Rudder: no</li><li>Skeg: </li><li>Paddler Skill: beginner</li><li>Weight: 29 lb</li><li>Recommended Use: recreational, lake</li><li>Manufacturer Warranty: 1 year</li></ul>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3217", "470", "asg_update_timestamp", "1371238319");
INSERT INTO `wp_postmeta` VALUES("3220", "471", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3221", "471", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3222", "471", "asg_item_id", "B00ACBCOII");
INSERT INTO `wp_postmeta` VALUES("3223", "471", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00ACBCOII\";s:13:\"DetailPageURL\";s:201:\"http://www.amazon.com/Intex-Mariner-Boat-Set-Grey/dp/B00ACBCOII%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00ACBCOII\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:211:\"http://www.amazon.com/Intex-Mariner-Boat-Set-Grey/dp/tech-data/B00ACBCOII%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00ACBCOII\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00ACBCOII%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00ACBCOII\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00ACBCOII%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00ACBCOII\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00ACBCOII%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00ACBCOII\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00ACBCOII%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00ACBCOII\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00ACBCOII%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00ACBCOII\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00ACBCOII%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00ACBCOII\";}}}s:9:\"SalesRank\";s:5:\"21913\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/418RvD6KEhL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"68378EP\";}s:5:\"Color\";s:4:\"Grey\";s:10:\"Department\";s:24:\"Small Craft & Inflatable\";s:3:\"EAN\";s:13:\"0078257301324\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0078257301324\";}s:7:\"Feature\";a:5:{i:0;s:51:\"Two fishing rod holders and inflatable thwart seats\";i:1;s:36:\"Motor mount fittings and oar holders\";i:2;s:32:\"1 gear pouch and 1 battery pouch\";i:3;s:67:\"Two Boston valves on main hull chamber for quick fill, fast deflate\";i:4;s:35:\"All around grab line and rub strake\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1800\";s:6:\"Length\";s:5:\"11700\";s:6:\"Weight\";s:4:\"1600\";s:5:\"Width\";s:4:\"5000\";}s:5:\"Label\";s:16:\"Intex Recreation\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"21999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$219.99\";}s:12:\"Manufacturer\";s:16:\"Intex Recreation\";s:5:\"Model\";s:7:\"68378EP\";s:3:\"MPN\";s:7:\"68378EP\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1320\";s:6:\"Length\";s:4:\"2970\";s:6:\"Weight\";s:4:\"4855\";s:5:\"Width\";s:4:\"1600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"68378EP\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Intex Recreation\";s:6:\"Studio\";s:16:\"Intex Recreation\";s:5:\"Title\";s:30:\"Intex Mariner 3 Boat Set, Grey\";s:3:\"UPC\";s:12:\"078257301324\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"078257301324\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"18499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$184.99\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00ACBCOII%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00ACBCOII\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:12:\"My Quick Buy\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:168:\"J%2FsrY8WtedOgyFsfHpR%2FOcYyd%2BuusJWekAAsdsfTiWcjUDBpi%2F%2B056wsKBL%2ByAbawOyVGXtmCWSo2nZPmJTsNsigescJAntqUGjxk0ZPd2HbZLTEj763Z5mLiDjMbQKCkJsdJbu4GKHuyj2H5ecVeg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"18499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$184.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.00\";}s:15:\"PercentageSaved\";s:2:\"16\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00ACBCOII&atag=freetos-20&exp=2013-06-15T19%3A31%3A59Z&v=2&sig=LINyT2gD1zlZTWBFxsTkngFRAgVG%2B8QWlE7l983%2FBuk%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:370:\"The Intex Mariner 3 is our flagship 3-person Professional Series watercraft. Featuring Super-Tough construction, made with 3 separate layers of material for extra strength and durability; two outer layers of heavy gauge PVC laminated to an inner layer of polyester mesh for extra reinforcement. Designed for rowing or an optional outboard battery-powered trolling motor.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3216", "470", "asg_last_refresh_attempt", "1371238319");
INSERT INTO `wp_postmeta` VALUES("3213", "470", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:9:\"60 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003JGYPWG\";s:17:\"Item model number\";s:9:\"01-Recrea\";}");
INSERT INTO `wp_postmeta` VALUES("3214", "470", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("3215", "470", "asg_customer_reviews", "a:7:{i:0;a:5:{s:5:\"title\";s:29:\"Just what we were looking for\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 5, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AQQGKRI69ADP0\";s:4:\"name\";s:5:\"Jamie\";s:7:\"address\";s:11:\"Madison, WI\";}s:4:\"text\";s:506:\"A great kayak. Very stable in rougher water, adjustable foot pedals and seat are very nice. I have tried smaller, cheaper kayaks that really plow through the water, with the bow tracking back and forth. This old town cuts straight through the water. Its best suited for calm waters but I have had it out in a big lake with lots of waves. It wasn\'t exactly easy paddling but I never felt like I was going to flip. A great choice for someone who wants a more serious kayak without shelling out lots of money.\";}i:1;a:5:{s:5:\"title\";s:15:\"Great Fun Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2XRRH4KIONNPS\";s:4:\"name\";s:13:\"N. Batchelder\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:840:\"Took it down a local river for a camping trip, this kayak is really stable and very easy to maneuver the only time it even felt like tipping was when I did a 180 without slowing down and even then it wasn\'t so bad. It also took a heavy beating and still kept going, the river had many fallen trees since there was a thunderstorm the previous night and was still raining during the trip. at least 4 times in the trip the kayak collided with sunken debris at least twice beached on tree trunks and came out unscathed. I love this kayak and plan to buy a bunch of silly accessories for it just because it is so great!<br /><br />UPDATE: Kayak fell off my dads truck at 50 mph rolled for a bit just missing a caddy by a few feet. the only damages are a few scratches along the sides. I took out for a lake run the next week and had no problems.\";}i:2;a:5:{s:5:\"title\";s:7:\"Yeehaw!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 18, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A271RO1GN2ENSP\";s:4:\"name\";s:8:\"D. Leach\";s:7:\"address\";s:2:\"TX\";}s:4:\"text\";s:449:\"I\'m loving this kayak! Bought it as a gift for myself for my 52 birthday. It paddles nicely and makes a straight shot in the water. It feels sturdy on calm waters. I don\'t expect to white-water in it, so I can\'t say how it would work for that. It\'s perfect for lake and easy river kayaking. I love the open cockpit. It\'s not a sit-on-top but I still get sun on my legs. My little dog would fit in it nicely....just have to find her a life jacket....\";}i:3;a:5:{s:5:\"title\";s:32:\"Good kayak, wish it came cleaned\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"September 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A35N47W8QA09LG\";s:4:\"name\";s:9:\"Ian Brown\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:330:\"it\'s a very stable kayak, easy to maneuver and get in and out of the water. Only issue that was kind of a bummer is that they didn\'t use an air hose to blow out all of the small pieces of plastic inside the kayak. If you do get one of these, be sure to get all the plastic scraps out before you put it in the water the first time.\";}i:4;a:5:{s:5:\"title\";s:14:\"Good purchase!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3JVDMXGWWRWZS\";s:4:\"name\";s:10:\"J.D. McKay\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:106:\"This is a very functional, easy riding kayak. It is just right for our lake and local, slow moving rivers.\";}i:5;a:5:{s:5:\"title\";s:10:\"Great boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 14, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2RJKVBUNZCSXI\";s:4:\"name\";s:18:\"Michael P. Holahan\";s:7:\"address\";s:13:\"Kalamazoo, MI\";}s:4:\"text\";s:238:\"This is our 5th kayak and 2nd Old Town Vapor. I love the low sides and high front and especially like the extended opening as I am clausterphobic in small boats with tight cockpits. The kids can paddle this easily, though it is 50# empty.\";}i:6;a:5:{s:5:\"title\";s:29:\"GREAT boats a float !!! FUN !\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ID111PPFVK14\";s:4:\"name\";s:10:\"Davey bo !\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:339:\"The most fun I have had in a long while , first time out, cought 7 trout in a little over an hour ! then had to get back to work ! ONLY PROBLEM ? had to get out of the SUN and kayaks and go back to WORK ! OUCH ! HOW SAD !<br />FUN ,fun ,FUN , fun ,FUN ,fun ,FUN , in the sun ! paddlin ,and fishin ! FUN, fun ! need MORE TIME in the water !\";}}");
INSERT INTO `wp_postmeta` VALUES("3460", "493", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3459", "493", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3454", "492", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("3455", "492", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:17:\"great little boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 4, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21C4UW5PLQIDO\";s:4:\"name\";s:13:\"Caleb Knepper\";s:7:\"address\";s:11:\"Haslett, MI\";}s:4:\"text\";s:1436:\"As an apartment dweller in Michigan who loves to fish a little boat was on the top of my list to purchase. A boat that could be stored easily and compactly was a must. We have now used this boat several times on a small lakes.<br /><br />Now the details; the overall quality was even higher than expected. The material seems to be heavy duty, and you do not feel like it could rupture at anytime. The listed capacity for this boat is 880 lbs and with only about 400 lbs (2 people and gear) it floats surprisingly high out of the water which makes it feel like a boat and not a pool toy. As an added bonus it uses a double hull design and as stated in the included materials even if the main (exterior hull completely deflates the craft can stay afloat. The included pump works, if you are using this every weekend you may want to upgrade. I found the included oars functional and they seem to be holding up well. A great advantage of an inflatable is the storage it is fairly compact especially given the overall size of the boat, and it actually fits back in its included carry bag with no problems. We even had enough space left in the carry bag to store two life vests.<br /><br />The only problem with the excursion 4 is maneuverability in the wind. It is much easier to handle on a calm day, so if you live in a windy area an inflatable may not be for you. Overall I would highly recommend this boat and the price is well worth it.\";}i:1;a:5:{s:5:\"title\";s:40:\"The best inflatable boat I have been in!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 2, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A32KJIZXWEFDUD\";s:4:\"name\";s:9:\"Warspite2\";s:7:\"address\";s:3:\"USA\";}s:4:\"text\";s:1528:\"As far as this class of inflatable boats, its the best I have been in. The seats are large and very comfortable. The boat is big, wide, very stable and is easy to row with only 2 oars even with 2 guys in it weighing over 200lbs. I have been on Lake Ponchartrain with it twice in a bit of wind and waves and it done pretty well. As many inflatables, takes waves really well but wind and current slows it down. So its ok as a lake or seashore boat and it does well in inland waterways too. Tried it in the lake with a Minn Kota Endura 30lb thrust electric motor today for the first time. This thing runs around at a quick brisk pace with that motor. Used a deep cycle marine battery with 120 capacity and it lasted for hours of constant running with only a half charge. Then, out of no where the weather got bad and I mean bad. Wind kicked up some pretty high gusts and waves to full white caps. At first me and my bud thought we could be in trouble, that was until I kicked the motor up to full speed and it brought us right back in. It passed the test and it could be one of the better motors for this boat and you can get it for only $100. Great boat, nice setup. It belongs to my bud, I just ordered me the boat and motor mount. I will be getting the same setup. I also recommend a minn kota trolling motor power center. It has a battery gauge that can work as a \'fuel\' gauge and tell you how much capacity is left and two 12v plug ins for CD players, VHF radios, GPSs or whatever you want. Even a cool refrigerator ice chest.\";}i:2;a:5:{s:5:\"title\";s:52:\"Great boat for Fishing and nice smooth ride in lake.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 6, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9VXGG3VPUX7U\";s:4:\"name\";s:7:\"mailman\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:895:\"Ideal for boating in lakes needing towing capacity of ~800 LB.<br /><br />-- GOOD boat for fishing, and nice smooth ride in lake.<br />-- Does what it says taking 4 people.<br />-- Very easy to install to pump air, very easy to use.<br />-- More importantly delivers what it says for the money you spend, worth every penny.<br /><br />The pump that comes with the boat can deliver, I went with buying a electric pump that connects to my car.<br />I have never used any kind of boat, was able to figure out its use in few minute\'s.<br />Fill chamber 1 then chamber 2 then chamber 3, fit your seats, motor mount if powered by motor and you are on a roll.<br />Takes about 20 minutes to fully assemble at lake or water body.<br />Keep the 10 cm tape that comes with the Boat, which helps to test (by comparing with the marking on the boat) if the boat is fully inflated<br /><br />Great experience.\";}i:3;a:5:{s:5:\"title\";s:28:\"Great boat, very comfortable\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A21BFZ1KDU8VE\";s:4:\"name\";s:10:\"James Shaw\";s:7:\"address\";s:15:\"Seattle, WA USA\";}s:4:\"text\";s:443:\"I have this one (excursion 4) and seahawk 4. For similar price, definitely go get this one, which is shorter but wider than the seahawk 4. The seats on this one is much more comfortable. Plus, this excursion set has a bag that the seahawk one doesn\'t have. Another major improvement is the bigger valve on the bottom panel of the excursion set than seahawk, which makes inflating and deflating much easier. Go get this one, highly recommended!\";}i:4;a:5:{s:5:\"title\";s:61:\"Slight Delay but Well worth the wait-Amazon quickly responded\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 4, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3CZ8JIJSCOZAJ\";s:4:\"name\";s:25:\"Cat Woman Returns \"Kitty\"\";s:7:\"address\";s:13:\"Rockville, MD\";}s:4:\"text\";s:1638:\"This boat is soooo much fun. There was a delay.. and Fedex lost the boat. After waiting for a couple of weeks..from the 9th till the 24th I emailed Amazon customer service and told them I was disappointed the boat seemed to get lost and Fedex couldn\'t find it. It is easy to track the package with the Fedex link... anyway... Amazon sent a replacement in one day and we were out in the boat on Saturday... OMG... water was a little rough so sea sickness is not allowed, but the boat itself was just right. We are not small people, so each of us got a bench seat and we took the fishing rods used the fishing rod holders and picnic lunch.. we had purchased a small anchor from the local outdoor store and a 50 foot tow line to throw out from the dock where I live to pull ourselves to the dock when we got close. So we went out to sea.. Great oars, break down in half and can be used with tubing also. Pump is sufficient, but leave some time to pump it up. I was not quick. It looks exactly like the picture. Has handles to carry it to water after you pump it up near by. You first inflate the bottom then the side and then the lower side that comes out with the fishing rod holders. The seats are pumped up separate and then hook in to the boat. You weave your steady rope around the outside-insert your oars into the oar holders after you get in the water and you are good to go.... It was a lovely day in the boat... Express air out lids and folded it up and put it on my screened porch... Looking forward to many others. Use the bottom half of the oars when out by myself tubing or noodle chairing on the river... well worth the money.\";}i:5;a:5:{s:5:\"title\";s:10:\"Great Boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 4, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3QBWOMCEFSAXE\";s:4:\"name\";s:28:\"Lisa C. Massenburg \"DIEN W.\"\";s:7:\"address\";s:13:\"PHILA, PA, US\";}s:4:\"text\";s:379:\"I just took my boat out last weekend on the lake at the campsite. It was great! Very easy to set up and break down. My family thought I was crazy to buy a boat like this but they were the first ones in. 3 adults and gear fit comfortably. It could hold 4 adults but it might be a tight squeeze. I am very happy that I bought this boat. I will be even happier when I get the motor.\";}i:6;a:5:{s:5:\"title\";s:22:\"Good buy for the money\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 28, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1KFYRNQWF52XG\";s:4:\"name\";s:17:\"David E. Matthews\";s:7:\"address\";s:11:\"Orlando,Fl.\";}s:4:\"text\";s:395:\"Overall, I am pleased with the boat. It has held air very well. The oars could possibly be a little longer. I don\'t see it holding 4 people unless they are midgets. I live on a small 10 acre lake and it is great for getting around. I like the reinforced areas around the oars. I was concerned about the pump,but it didn\'t take very long to inflate it.overall, great boat. Thanks so much. Dave M.\";}i:7;a:5:{s:5:\"title\";s:27:\"intex excursion 4. awesome.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A635QAG62SBGG\";s:4:\"name\";s:6:\"TJ MaC\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:456:\"I bought this Intex Excursion 4 and had it overnighted for 3.99. Was wondering if the product was going to be well crafted for only 120$. I\'ll tell you what, this boat is thick, very strong and worth every penny. I go out fishing in Snohomish county area of washington with my dad, a buddy and I usually. This raft hold us all with gear, deep cycle battery and a Minn Kota strapped on the back comfortably!. The boat is very stable in my opinion. Good buy.\";}i:8;a:5:{s:5:\"title\";s:40:\"Great raft - but not really for 4 people\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 22, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2696TU2SJYFOC\";s:4:\"name\";s:1:\"T\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:518:\"I purchased this and the 5 person Intex Excursion raft as well. Speaking specifically about this one - nicely made product, comes with the manual pump (does not take that long to fully inflate) and a thin carrying bag. The raft has been great, but would be VERY crowded with 4 people. As with any advertised amount of people, I feel as though, unless you are rafting with little kids, having 4 people on this raft would be a little crowded for a long haul.<br /><br />A nice raft and I am very happy with the purchase!\";}i:9;a:5:{s:5:\"title\";s:27:\"A lot of boat for the money\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 28, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3MGG88ITTGF3O\";s:4:\"name\";s:12:\"Salty Grease\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1507:\"For just over $100, you really can\'t ask for much more. My three kids and I took our Excursion 4 out for its maiden voyage on Oregon\'s Clackamas river, McIver\'s lower launch to Barton Park. The boat was easy to set up and inflate with the included hand pump. While this boat certainly makes no claims of being a whitewater raft, it handled the mellow class II rapids nicely, including a fair amount of sliding over rocks in the low, late August river. The seats actually do work well, and the oars in the oar locks worked great for steering through rapids, if not for all-out speed on flat water. The boat was just big enough for me, my three scrawny kids (a 12 year old and 9 year old twins), our gear and small, soft-sided cooler. Two adults with gear/provisions would be about max for a river trip. I did see an Excursion 5 on the river, and it is a substantially larger boat, so if you have doubts about size, consider that option. Upgrades for my next trip will include replacing the included \"Gear Bag\" that attaches to the inside of the raft with something larger that\'s actually watertight, purchasing a better patch kit than the included one (holes are inevitable with these boats), and bringing a plastic cup or pitcher to bale with - we took on quite a bit of water.<br /><br />For mellow family floating, this is an excellent boat. Luck is always a factor in the lifespan of cheap inflatable boats, but if this craft survives a dozen river trips, that\'s a pretty good family entertainment value.\";}}");
INSERT INTO `wp_postmeta` VALUES("3456", "492", "asg_last_refresh_attempt", "1371238593");
INSERT INTO `wp_postmeta` VALUES("3457", "492", "asg_update_timestamp", "1371238593");
INSERT INTO `wp_postmeta` VALUES("3458", "493", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3453", "492", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:36:\"124 x 65 x 16.9 inches ; 48.5 pounds\";s:15:\"Shipping Weight\";s:9:\"50 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00137UGIA\";s:17:\"Item model number\";s:7:\"68324EP\";}");
INSERT INTO `wp_postmeta` VALUES("3377", "485", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:34:\"17 x 8.5 x 1.6 inches ; 3.9 pounds\";s:15:\"Shipping Weight\";s:10:\"5.4 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:4:\"ASIN\";s:10:\"B00177BQF8\";s:17:\"Item model number\";s:6:\"68624E\";}");
INSERT INTO `wp_postmeta` VALUES("3378", "485", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("3379", "485", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:14:\"Just one flaw.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"October 5, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2OS09515QQ4KY\";s:4:\"name\";s:37:\"W. Roger Brownlee \"W. Roger Brownlee\"\";s:7:\"address\";s:23:\"Bowie, MD United States\";}s:4:\"text\";s:556:\"Mine just arrived today, when I put it together I noticed that the holes in the wooden board that the motor attaches to are a little bigger than the washers provided. If you try to tighten the nuts the washers sink down into the board therefore not serving their purpose. I had to go to the hardware store to get bigger washers to fit. May be just mine but just thought you should know before you take it out. You may have to get bigger washers....I got a set of regular washers. Overall it serves its purpose and with $0.30 worth of washers it works fine.\";}i:1;a:5:{s:5:\"title\";s:30:\"Well made, does what it should\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 5, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A32KJIZXWEFDUD\";s:4:\"name\";s:9:\"Warspite2\";s:7:\"address\";s:3:\"USA\";}s:4:\"text\";s:530:\"One thing I like about this mount, you don\'t need any tools to put it on the boat. It uses bolts with sturdy thumb type screws and your done. Also, can\'t go wrong with good solid marine plywood. In the end, its a motor mount and it does what it is designed to do for the intex boats. Holds that little Minn Kota Endura 30 really good. The mount can accept a 3.5hp but on the Excursion boats you can only put up to a 1.5hp or up to 18 lbs motor weight. If you want to go to a 3.5 you will need to get a Sea Hawk II or Mariner boat.\";}i:2;a:5:{s:5:\"title\";s:8:\"Perfect!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 10, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/APF06LNR8IKQ1\";s:4:\"name\";s:9:\"R. Pintar\";s:7:\"address\";s:10:\"Dundee, MI\";}s:4:\"text\";s:101:\"This motor mount is just what the doctor ordered. Thanks for a great product and speedy delivery too!\";}i:3;a:5:{s:5:\"title\";s:44:\"Nice price, works ok but needs 1 improvement\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A4U74NRQCNBW7\";s:4:\"name\";s:8:\"chaconne\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:641:\"This mount seems to work fine with my Intex Mariner 4 and Suzuki DF2.5 outboard, but when I throttle up to high, the thrust causes the two vertical pipes, attaching from below the lower boat mounts, to press into the boat and tip the motor back. I discovered that if you put a rigid plywood or plastic plate (4\"x19\") between the back of the boat and these pipes, the motor has to push the whole plate into the back of the boat and this makes the mount much more rigid.<br /><br />The price is so good ($28 as apposed to $75 for Sevylor\'s equivalent) that I decided to rate it 4 stars. With the above improvement, this mount should work fine.\";}i:4;a:5:{s:5:\"title\";s:23:\"I recommend this mount.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 6, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1USDNG8HBXCDF\";s:4:\"name\";s:2:\"AJ\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:260:\"I saw that some people build their mounts and I was going to do the same until realizing that as cheap as this mount is even after shiping, your only saving a couple bucks. Installation is simple and it looks good when mounted. No problems on the water either.\";}i:5;a:5:{s:5:\"title\";s:24:\"Keeps the motor in place\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"October 2, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OULKE055BFIL\";s:4:\"name\";s:11:\"Thezoo46052\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:183:\"Well it keeps the motor in place at the stern. Four simple clamps and bang your cruzing. This is holding a 30lb Minnkota on to the Intex 12. It is doing a fine job and is easy to use.\";}i:6;a:5:{s:5:\"title\";s:15:\"Excellent mount\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 16, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3RW7ICR78JJ1B\";s:4:\"name\";s:17:\"Vijay Viswanathan\";s:7:\"address\";s:14:\"Boston, MA, US\";}s:4:\"text\";s:205:\"extremely simple to attach to the boat (I attached it to my intex excursion 5 boat). I attached a minn kota Endura 30 to it with no problem. Highly recommended. Amazon.com has the best price on this mount.\";}i:7;a:5:{s:5:\"title\";s:7:\"Floatin\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 20, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1VO1Y5VRSF3OA\";s:4:\"name\";s:15:\"Shawn M. Murphy\";s:7:\"address\";s:12:\"St.louis, MO\";}s:4:\"text\";s:171:\"Motor mount does the job it was made to do,watch out for the rubber inserts in the poles,they can vibrate out,pull out and put a dab of glue on each one to alleviate this.\";}i:8;a:5:{s:5:\"title\";s:16:\"Broke in 2 weeks\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3E8O21WOX04OB\";s:4:\"name\";s:6:\"Bill R\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1149:\"This has to be one of the most poorly designed products I have ever purchased. Cheap plastic fittings combined with brittle aluminum composite tubing and this thing was a nightmare from the start. The fittings that hold the board for the mount are simple u-bolts through a piece of soft plywood. As in a previous post, the washers are too small and the nuts just drive them into the wood. Larger washers help, but the wood is so soft that it just yields to the pressure.<br /><br />The nuts don\'t lock and have plastic fittings for finger tightening. Of course, hand tight doesn\'t keep the board (and enging) from slipping down into the water. The boat side of the tubing pushes into the boat so that when the engine is in gear, it pushes under the hull at about a 30 degree angle. Your engine body will be slapping the water at best, causing it to die. Over time, as did mine after 2 weeks, the tubing will begin to crack and then you need a new one or resign yourself to paddling.<br /><br />Intex should take ownership of this accessory and make sure it works. Otherwise, they shouldn\'t represent that teh boat (Intex Mariner) can handle a motor.\";}i:9;a:5:{s:5:\"title\";s:40:\"Solid Plastic Motor Mount Now Being Sold\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 22, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A246STCBH6C3HR\";s:4:\"name\";s:11:\"Copper Dave\";s:7:\"address\";s:16:\"near Seattle, WA\";}s:4:\"text\";s:556:\"The product sold by Amazon is not the wood one described but a solid plastic one, which in my opinion, is better. The design is well thought out and this seems to be a quality item. The price on this motor mount is a fraction of that for the main competing brand and when used on my new Mariner 4, positions the motor lower in the water, making it more efficient. Assembly is quick, but there are a number of bolts and washers, so you have to be very careful when assembling and disassembling on site, as I do. I can recommend this item without hesitation.\";}}");
INSERT INTO `wp_postmeta` VALUES("3380", "485", "asg_last_refresh_attempt", "1371238578");
INSERT INTO `wp_postmeta` VALUES("3381", "485", "asg_update_timestamp", "1371238578");
INSERT INTO `wp_postmeta` VALUES("3382", "486", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3383", "486", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3384", "486", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3385", "486", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3386", "486", "asg_item_id", "B005S6GY74");
INSERT INTO `wp_postmeta` VALUES("3387", "486", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B005S6GY74\";s:13:\"DetailPageURL\";s:204:\"http://www.amazon.com/Intex-Excursion-Boat-Set-Model/dp/B005S6GY74%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB005S6GY74\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:214:\"http://www.amazon.com/Intex-Excursion-Boat-Set-Model/dp/tech-data/B005S6GY74%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005S6GY74\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB005S6GY74%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005S6GY74\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB005S6GY74%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005S6GY74\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB005S6GY74%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005S6GY74\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B005S6GY74%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005S6GY74\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B005S6GY74%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005S6GY74\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B005S6GY74%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005S6GY74\";}}}s:9:\"SalesRank\";s:4:\"2274\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL160_.jpg\";s:6:\"Height\";s:3:\"133\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL160_.jpg\";s:6:\"Height\";s:3:\"133\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L._SL160_.jpg\";s:6:\"Height\";s:3:\"133\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41VR0ir-93L.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51MLmbSbZPL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51MLmbSbZPL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51MLmbSbZPL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51MLmbSbZPL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51MLmbSbZPL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51MLmbSbZPL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51NDmsnC0ML._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51NDmsnC0ML._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51NDmsnC0ML._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51NDmsnC0ML._SL110_.jpg\";s:6:\"Height\";s:2:\"96\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51NDmsnC0ML._SL160_.jpg\";s:6:\"Height\";s:3:\"139\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51NDmsnC0ML.jpg\";s:6:\"Height\";s:3:\"435\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"68324EP-2013\";}s:5:\"Color\";s:4:\"Grey\";s:3:\"EAN\";s:13:\"0078257315017\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0078257315017\";}s:7:\"Feature\";a:7:{i:0;s:81:\"Rugged vinyl construction with inflatable I-Beam floor for comfort and durability\";i:1;s:38:\"All around grab line and handle on bow\";i:2;s:98:\"2 fishing rod holders, gear pouch, inflatable seat cushions with backrest and oar holders included\";i:3;s:29:\"Motor mount fittings attached\";i:4;s:13:\"4 person boat\";i:5;s:99:\"2 fishing rod holders, gear pouch, inflatable seat cushions with backrest and oar holders included.\";i:6;s:81:\"Rugged vinyl construction with inflatbale I-Beam floor for comfort and duribality\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:4:\"50.5\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"14999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$149.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:3:\"MPN\";s:6:\"68324E\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1150\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:4:\"4980\";s:5:\"Width\";s:4:\"2100\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"68324E\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:10:\"124\" x 65\"\";s:3:\"SKU\";s:8:\"DH68324E\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:39:\"Intex Excursion 4 Boat Set - 2013 Model\";s:3:\"UPC\";s:12:\"078257315017\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"078257315017\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"11181\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$111.81\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B005S6GY74%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005S6GY74\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:134:\"pQMACnapCYjlF4HBTWz%2FWsXER1oQCrjq10vpCNrFb8ZwbhgaAxXCJ6cjyuh4vj9nJAxQip%2F1nqM7CFfpH%2BKKHFcZt%2BvqGtfRPe2FoMhQN8XmrcQRl4%2FrIw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11181\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$111.81\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3818\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$38.18\";}s:15:\"PercentageSaved\";s:2:\"25\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B005S6GY74&atag=freetos-20&exp=2013-06-15T19%3A36%3A18Z&v=2&sig=4qoB462dqgZNf%2FZIU3IR4FPdS%2B7PxpSzpiYPsEoJNz8%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:356:\"Excursion 4 Set Lake Boat with 54\" Aluminum Oars. All models come with oars and inflation pump. The Excursion features three air chambers for extra buoyancy, all-around grab line, inflatable I-beam floor, two fishing rod holders, two inflatable seat cushions with backrest, gear pouch, grab handle, weilded oar locks, oar holders, and U.S. Coast Guard I.D.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3292", "477", "asg_last_refresh_attempt", "1371238560");
INSERT INTO `wp_postmeta` VALUES("3293", "477", "asg_update_timestamp", "1371238560");
INSERT INTO `wp_postmeta` VALUES("3296", "478", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3297", "478", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3298", "478", "asg_item_id", "B000Y22BBA");
INSERT INTO `wp_postmeta` VALUES("3299", "478", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000Y22BBA\";s:13:\"DetailPageURL\";s:201:\"http://www.amazon.com/Intex-Challenger-2-Boat-Set/dp/B000Y22BBA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000Y22BBA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:211:\"http://www.amazon.com/Intex-Challenger-2-Boat-Set/dp/tech-data/B000Y22BBA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000Y22BBA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000Y22BBA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000Y22BBA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000Y22BBA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000Y22BBA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000Y22BBA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000Y22BBA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000Y22BBA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000Y22BBA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000Y22BBA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000Y22BBA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000Y22BBA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000Y22BBA\";}}}s:9:\"SalesRank\";s:3:\"888\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL160_.jpg\";s:6:\"Height\";s:3:\"137\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L.jpg\";s:6:\"Height\";s:3:\"428\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL110_.jpg\";s:6:\"Height\";s:2:\"94\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL160_.jpg\";s:6:\"Height\";s:3:\"137\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L.jpg\";s:6:\"Height\";s:3:\"428\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL75_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL110_.jpg\";s:6:\"Height\";s:2:\"94\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L._SL160_.jpg\";s:6:\"Height\";s:3:\"137\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41L0g84jO2L.jpg\";s:6:\"Height\";s:3:\"428\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51rxoOKIt-L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51rxoOKIt-L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51rxoOKIt-L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51rxoOKIt-L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51rxoOKIt-L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51rxoOKIt-L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/614wsPz8rhL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/614wsPz8rhL._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/614wsPz8rhL._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/614wsPz8rhL._SL110_.jpg\";s:6:\"Height\";s:2:\"81\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/614wsPz8rhL._SL160_.jpg\";s:6:\"Height\";s:3:\"118\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/614wsPz8rhL.jpg\";s:6:\"Height\";s:3:\"368\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:7:\"68367EP\";i:1;s:13:\"0078257683673\";}}s:5:\"Color\";s:6:\"Yellow\";s:3:\"EAN\";s:13:\"0078257683673\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257683673\";i:1;s:13:\"0078257314874\";}}s:7:\"Feature\";a:5:{i:0;s:60:\"3 Air Chambers including inner auxiliary chamber inside hull\";i:1;s:38:\"2 Quick Fill/Fast deflate Boston valve\";i:2;s:41:\"Inflatable floor for comfort and rigidity\";i:3;s:102:\"welded on oar locks & oar holders, grab handle on bow with all around grab line. Motor mount fittings.\";i:4;s:42:\"Set includes 48\" oars and High Output Pump\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1875\";s:6:\"Length\";s:4:\"1425\";s:6:\"Weight\";s:4:\"1874\";s:5:\"Width\";s:3:\"700\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"68367EP\";s:3:\"MPN\";s:8:\"68367E \";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"720\";s:6:\"Length\";s:4:\"1900\";s:6:\"Weight\";s:4:\"1745\";s:5:\"Width\";s:4:\"1410\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"68367E \";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:11:\"93\"x45\"x16\"\";s:3:\"SKU\";s:5:\"48388\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:27:\"Intex Challenger 2 Boat Set\";s:3:\"UPC\";s:12:\"078257683673\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257683673\";i:1;s:12:\"078257314874\";}}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"3299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$32.99\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"3005\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$30.05\";}s:8:\"TotalNew\";s:2:\"37\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000Y22BBA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000Y22BBA\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:136:\"crZxoomW5VC5Ty%2BmtRXufCVoWIZddTA%2BYNGI%2B6AWHHaaiBG%2F5rjSs%2BSVC5ZWb27HXrWmLlXbBLwsGR%2FNrqsne5xVHsx9szPz03d7B4dbuTKCWcfmg7dMRQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$32.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1700\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$17.00\";}s:15:\"PercentageSaved\";s:2:\"34\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000Y22BBA&atag=freetos-20&exp=2013-06-15T19%3A36%3A00Z&v=2&sig=Zq8ChedGJBejqWSs9XcRC2QMCb9I9hSDlT9UuvpcHK8%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:189:\"Comfort, Size, Ease of use and Durability make this the perfect boat for anyone. Use your Challenger boat in your favorite lake or small river for a comfortable ride with upgraded features.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1727:\"Ideal for recreational boating and lazy days on the lake, the Intex Challenger 2 boat set comes with everything you need to hit the water immediately. The inflatable boat, which fits one adult and one child, is made of super-tough 20-gauge PVC vinyl that resists damage from abrasion, impacts, and sunlight, letting you boat with confidence even near rocks or logs. The PVC is also unaffected by gasoline, oil, or saltwater, so you needn\'t take special precautions around a motor or near a saltwater inlet. Construction-wise, the boat includes two air chambers for safety, an all-around grab line, an inflatable floor for comfort and rigidity, welded oarlocks, oar holders, a U.S. Coast Guard ID, and a grab handle on the bow. The Challenger 2--which comes with two oars and an inflation pump--measures 86 by 13 by 45 inches (W x H x D) and holds up to 253 pounds. <p> <b>About Intex</b><br> Helping people have fun for more than 40 years, Intex is the world leader in designing and producing high-quality, innovative products for indoor and outdoor recreation. Every Intex product--which includes such items as above-ground pools, pool accessories, pool toys, airbeds, and boats--undergoes an intensive quality control process before it\'s released to the public. During the manufacturing process, highly trained Intex employees continuously monitor a wide range of factors, from the quality of the raw materials and the calibration of the machines to the making and assembly of each product. The goal is to produce the best possible product at the best possible price. Intex offices are located in such cities as Long Beach, California; WanChai, Hong Kong; Roosendaal, Netherlands; Beaufort, France; and Praha, Czech Republic.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3281", "476", "asg_last_refresh_attempt", "1371238333");
INSERT INTO `wp_postmeta` VALUES("3282", "476", "asg_update_timestamp", "1371238333");
INSERT INTO `wp_postmeta` VALUES("3285", "477", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3286", "477", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3287", "477", "asg_item_id", "B000051ZHS");
INSERT INTO `wp_postmeta` VALUES("3288", "477", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000051ZHS\";s:13:\"DetailPageURL\";s:201:\"http://www.amazon.com/Intex-Explorer-200-Boat-Set/dp/B000051ZHS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000051ZHS\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:211:\"http://www.amazon.com/Intex-Explorer-200-Boat-Set/dp/tech-data/B000051ZHS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000051ZHS\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000051ZHS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000051ZHS\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000051ZHS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000051ZHS\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000051ZHS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000051ZHS\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000051ZHS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000051ZHS\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000051ZHS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000051ZHS\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000051ZHS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000051ZHS\";}}}s:9:\"SalesRank\";s:3:\"271\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL160_.jpg\";s:6:\"Height\";s:2:\"98\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL.jpg\";s:6:\"Height\";s:3:\"307\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL110_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL160_.jpg\";s:6:\"Height\";s:2:\"98\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL.jpg\";s:6:\"Height\";s:3:\"307\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL110_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL._SL160_.jpg\";s:6:\"Height\";s:2:\"98\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41x3uV6TEUL.jpg\";s:6:\"Height\";s:3:\"307\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:30:{s:7:\"Binding\";s:3:\"Toy\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:7:{i:0;s:7:\"58331EP\";i:1;s:6:\"843563\";i:2;s:6:\"58331E\";i:3;s:5:\"58331\";i:4;s:4:\"8435\";i:5;s:10:\"050-58331E\";i:6;s:13:\"0078257583317\";}}s:5:\"Color\";s:6:\"Orange\";s:3:\"EAN\";s:13:\"0078257314744\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257314744\";i:1;s:13:\"0078257583317\";}}s:7:\"Feature\";a:5:{i:0;s:62:\"2-person inflatable boat set designed for pools or calm waters\";i:1;s:47:\"2 air chambers for safety; grab rope on the bow\";i:2;s:59:\"Inflatable floor for comfort and rigidity; welded oar locks\";i:3;s:48:\"Includes 2 oars, mini air pump, and repair patch\";i:4;s:60:\"Measures 73 x 16 x 37 inches (W x H x D); 210-pound capacity\";}s:6:\"Format\";s:6:\"CD-ROM\";s:16:\"HardwarePlatform\";s:2:\"Pc\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"314\";s:6:\"Length\";s:3:\"481\";s:6:\"Weight\";s:4:\"22.4\";s:5:\"Width\";s:3:\"395\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2099\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$20.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"58331EP\";s:3:\"MPN\";s:7:\"58331EP\";s:13:\"NumberOfItems\";s:1:\"1\";s:15:\"OperatingSystem\";s:7:\"Windows\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"380\";s:6:\"Length\";s:4:\"1840\";s:6:\"Weight\";s:3:\"580\";s:5:\"Width\";s:4:\"1050\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"58331EP\";s:8:\"Platform\";s:7:\"Windows\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:11:\"73\"x37\"x16\"\";s:3:\"SKU\";s:8:\"10C386C2\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:27:\"Intex Explorer 200 Boat Set\";s:3:\"UPC\";s:12:\"078257314744\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257314744\";i:1;s:12:\"078257583317\";}}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1400\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.00\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"1722\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$17.22\";}s:8:\"TotalNew\";s:2:\"65\";s:9:\"TotalUsed\";s:1:\"2\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000051ZHS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000051ZHS\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"BpwNihkkDk8lm5ro1uwg8Z7DJd4W8KIgH%2FKDSsm9Ut7nl0rwmc7WV0IHig9mFkXrlPpmDG9c%2FEfOZmcVlffVy6lPNziQ9A0Hg%2FElSJetN64vkX9qstNi9w%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"100\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$1.00\";}s:15:\"PercentageSaved\";s:1:\"5\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000051ZHS&atag=freetos-20&exp=2013-06-15T19%3A35%3A58Z&v=2&sig=W5D1xwTGG43Y%2BipRCSjWFKqA6S5b7xyv92%2FPjvP7E%2BQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:86:\"78\" x4 6\" Explorer 200 Set, Includes 2 Person Boat, 48\" French Oars and Mini Air Pump.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1384:\"Made of 13-gauge PVC plastic, the two-person Explorer 200 offers such features as two air chambers for safety, a grab rope on the bow, an inflatable floor for comfort and rigidity, welded oar locks, and a U.S. Coast Guard ID. Plus, the boat\'s contemporary colors and graphics help the Explorer 200 stand out in a crowd. This version of the Explorer 200--which measures 73 by 16 by 37 inches (W x H x D) and offers a weight capacity of 210 pounds--comes with two 48-inch French oars, a mini air pump, and a repair patch.<p> <b>About Intex</b><br> Helping people have fun for more than 40 years, Intex is the world leader in designing and producing high-quality, innovative products for indoor and outdoor recreation. Every Intex product--which includes such items as above-ground pools, pool accessories, pool toys, airbeds, and boats--undergoes an intensive quality control process before it\'s released to the public. During the manufacturing process, highly trained Intex employees continuously monitor a wide range of factors, from the quality of the raw materials and the calibration of the machines to the making and assembly of each product. The goal is to produce the best possible product at the best possible price. Intex offices are located in such cities as Long Beach, California; WanChai, Hong Kong; Roosendaal, Netherlands; Beaufort, France; and Praha, Czech Republic.<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3289", "477", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:20:\"4.8 x 4 x 3.1 inches\";s:15:\"Shipping Weight\";s:10:\"5.8 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:13:\" Made in USA\";s:4:\"ASIN\";s:10:\"B000051ZHS\";s:17:\"Item model number\";s:7:\"58331EP\";}");
INSERT INTO `wp_postmeta` VALUES("3290", "477", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("3291", "477", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:42:\"I paddled this boat 3 miles in rough water\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 28, 2003\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2GYZX6TJ7B4OO\";s:4:\"name\";s:18:\"Matthew Westergren\";s:7:\"address\";s:35:\"Kennewick, Washington United States\";}s:4:\"text\";s:819:\"I went camping recently up in Priest Lake Idaho. I was looking for something to do so I bought this boat, not really realizing that it was a children\'s toy. I\'m 6\'3\" so it looks pretty funny when I get in this thing. Everyone thought it was hilarious, it was worth the price just to see my mother laugh so hard. Anyway, I ended up paddling this toy roughly 3 miles through rough water and against the wind and this little boat hung in there. I thought the rubber oar loops were going to rip out from the intense rowing but they never did. I went on to beat it up the next day rowing from one ilsand to the shore and it still held up. I got pulled over by the water sheriff too, he thought it was funny as well.<p>Bottom line, this is a strong little rubber raft. I rowed this thing around until I couldn\'t life my arms.\";}i:1;a:5:{s:5:\"title\";s:28:\"The best ride at the lake!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3RBPX7NF6C88Y\";s:4:\"name\";s:6:\"tbills\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:723:\"I bought 2 of these boats for my kids (3 and 6) to take to the lake. They were a hit!!! The pump was a little slow for impatient young ones, but other than that they were fantastic. They fit 2 people - 10 and under, or 1 adult. I know this because I spent the morning laying in one and had a great time! I loved the fact that the oars couldn\'t slip out and get lost. The rope at the front made it super easy to pull onto the beach, or tie to the back of the boat. One piece of advice: DON\'T pull these behind a motorized boat... the eye for the rope pulled right out, leaving a huge hole, a flat boat and a completely devastated child :( I will be buying 4 or 5 more since all the kids, and adults at the lake LOVED them!!!\";}i:2;a:5:{s:5:\"title\";s:22:\"Small, but very sturdy\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 26, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1YF43LEDN1XCS\";s:4:\"name\";s:2:\"Yo\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:189:\"This is a small boat, not for two people (unless one is a child), but other than that it\'s great and it\'s surprisingly strong and it takes beating like charm.<br /><br />It\'s a great value!\";}i:3;a:4:{s:5:\"title\";s:12:\"Explorer 200\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 21, 2002\";s:4:\"text\";s:272:\"Great product. We had a smaller one that last over a year of the kids jumping and playing on it - which is great for our house. This model is larger and even comes with paddles and a pump. I didn\'t expect that - I was just replacing another one.<br />...you can\'t beat it.\";}i:4;a:5:{s:5:\"title\";s:48:\"Quality far exceeds the price. Highly recommend.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 24, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3M0T28AFQQ6R4\";s:4:\"name\";s:11:\"Pete Parker\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1009:\"For $20 you\'re getting a pretty high quality raft. It\'s not top of the line, but it definitely competes with similar rafts that sell for $80-$100. I\'ve taken it out to the bay 4 times so far and once to the ocean. It\'s not really worth it to use this raft in the ocean (the waves will turn you in every which direction) but it\'s PERFECT for the bay. I\'d imagine the same for lakes, pools, and anywhere with calm water.<br /><br />The pump that comes with the raft works, but falls apart pretty easily. I can still use my pump but I have to hold it kind of awkwardly. Regardless, for $20 i\'m surprised it even comes with a pump.<br /><br />Letting the air out takes a while because the air opening is so small, but I have a tip: use your teeth to rip off the little air valve thingy so that you don\'t have to pinch the air nozzle for the air to come out.<br /><br />All in all.. you\'re getting a nice and sturdy raft for a price lower than anywhere else you\'d ever be able to find something similar. 4/5 stars.\";}i:5;a:5:{s:5:\"title\";s:14:\"Sturdy and fun\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 30, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A2UW3M94Y9M68\";s:4:\"name\";s:8:\"C. Garza\";s:7:\"address\";s:25:\"Houston, TX United States\";}s:4:\"text\";s:115:\"Used it for a camping trip with 4 rowdy kids. They loved it and it held up very well. Easy to set up and take down.\";}i:6;a:5:{s:5:\"title\";s:20:\"Jack Russell Captain\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ATT8Q2QMGGM4F\";s:4:\"name\";s:13:\"Lynn Varnadoe\";s:7:\"address\";s:26:\"Jacksonville Beach, FL, US\";}s:4:\"text\";s:504:\"I purchased this sturdy little boat last summer to float around in our pool. Little did I know our Jack Russell was going to jump in and claim it as his! Just brought it out again for this summer, and the smart little guy recognized it, couldn\'t wait for it to be inflated (whining, wiggling around and hurrying me), and has jumped in as \"captain\" again. Guess it will be \"Season 2\" of Captain Ringo and the orange inflatable boat. Have really gotten my $15 worth of laughs and smiles from this purchase.\";}i:7;a:5:{s:5:\"title\";s:26:\"Great value for the price!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OSDF9ZNFNQXA\";s:4:\"name\";s:7:\"Ross8ch\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:349:\"I purchased this raft to have some fun in the pool and take it the Ocean in So cal. Its very nice for the price. Its held up great so far, ive done flips and jumps into it in the pool and no pop yet :) . I brought it with to the beach yesterday and we had three of us crammed in it, held us fine and we had lots of fun flipping and riding the waves.\";}i:8;a:4:{s:5:\"title\";s:11:\"loys of fun\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 29, 2002\";s:4:\"text\";s:141:\"this was the most fun i have had with a pool float because u can pretend u r a pirate and many other things plus it is easy to get around in.\";}i:9;a:5:{s:5:\"title\";s:37:\"HOLY FREAKING CRAP THESE ARE AWESOME.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AZMR606RD05VM\";s:4:\"name\";s:48:\"Robin Thomas \"CEO, Really Great Freaking Things\"\";s:7:\"address\";s:17:\"Arlington, VA USA\";}s:4:\"text\";s:1530:\"With some new-found wealth I\'d earned, I figured it was time to buy a boat -- nay, not one boat, but two! That said, my new-found wealth wasn\'t exactly massive, so I decided to buy two of these.<br /><br />I\'m a 23 year-old guy living in Washington, DC. The girlfriend and I have been meaning to go boating on the Potomac for a while, so I figured we\'d give it a whirl with these boats this past Saturday. Mind you, we\'re both average height and build and weight.<br /><br />These boats performed amazingly. We paddled back and forth from Rosslyn to Roosevelt Island and back and splashed around the river a good bit. They were durable enough for us to launch them from rocks along the bank, grind our way through really thick weeds, and drag them around on shore. They were light enough for us to portage by holding a boat with just one hand over our heads with no problem. They were sturdy enough for us to get in and out of the boats without tipping them once and turn around and change positions inside them. The paddles can be used as rowboat paddles or unscrewed and rescrewed into kayak paddles. We tried both without ever getting out of the water. They never leaked once and the only moisture in the bottom of the boats when we were done was what we\'d dripped in there ourselves. I easily fit both of them after a little deflating into the back of my tiny \'96 Corolla.<br /><br />For $21, these seriously cannot be beat. Anytime I saw someone ogling our classy boats while we were in them, I shouted, \"Only $21 on Amazon!\"\";}}");
INSERT INTO `wp_postmeta` VALUES("3182", "467", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:8:\"5 pounds\";s:4:\"ASIN\";s:10:\"B00C1V4H5K\";}");
INSERT INTO `wp_postmeta` VALUES("3183", "467", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("3184", "467", "asg_last_refresh_attempt", "1371238311");
INSERT INTO `wp_postmeta` VALUES("3185", "467", "asg_update_timestamp", "1371238311");
INSERT INTO `wp_postmeta` VALUES("3310", "479", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00177BQC6\";s:13:\"DetailPageURL\";s:197:\"http://www.amazon.com/Intex-Sehawk-4-Boat-Set/dp/B00177BQC6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00177BQC6\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:207:\"http://www.amazon.com/Intex-Sehawk-4-Boat-Set/dp/tech-data/B00177BQC6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQC6\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00177BQC6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQC6\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00177BQC6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQC6\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00177BQC6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQC6\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00177BQC6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQC6\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00177BQC6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQC6\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177BQC6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQC6\";}}}s:9:\"SalesRank\";s:3:\"616\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL160_.jpg\";s:6:\"Height\";s:3:\"125\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL.jpg\";s:6:\"Height\";s:3:\"391\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL110_.jpg\";s:6:\"Height\";s:2:\"86\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL160_.jpg\";s:6:\"Height\";s:3:\"125\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL.jpg\";s:6:\"Height\";s:3:\"391\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL110_.jpg\";s:6:\"Height\";s:2:\"86\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL._SL160_.jpg\";s:6:\"Height\";s:3:\"125\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41ovcBTcfeL.jpg\";s:6:\"Height\";s:3:\"391\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51xxyzK-aSL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51xxyzK-aSL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51xxyzK-aSL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51xxyzK-aSL._SL110_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51xxyzK-aSL._SL160_.jpg\";s:6:\"Height\";s:3:\"116\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51xxyzK-aSL.jpg\";s:6:\"Height\";s:3:\"363\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51A%2BYWSM6AL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51A%2BYWSM6AL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51A%2BYWSM6AL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51A%2BYWSM6AL._SL110_.jpg\";s:6:\"Height\";s:2:\"79\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51A%2BYWSM6AL._SL160_.jpg\";s:6:\"Height\";s:3:\"115\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/51A%2BYWSM6AL.jpg\";s:6:\"Height\";s:3:\"360\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:13:\"0078257683512\";i:1;s:7:\"68351EP\";}}s:5:\"Color\";s:5:\"Green\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257683512\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257683512\";i:1;s:13:\"0078257314980\";}}s:7:\"Feature\";a:5:{i:0;s:73:\"Inflatable boat set designed for recreational boating or fishing on lakes\";i:1;s:72:\"Super-tough 30-gauge PVC vinyl construction resists abrasion and impacts\";i:2;s:83:\"Holds up to 4 people; 2 air chambers for safety; front and rear inflatable cushions\";i:3;s:82:\"2 fishing rod holders at the rear; includes welded oarlocks, oar holders, and oars\";i:4;s:70:\"Comes with inflation pump; measures 133 x 19.5 x 50 inches (W x H x D)\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"2433\";s:6:\"Length\";s:4:\"1000\";s:6:\"Weight\";s:4:\"4600\";s:5:\"Width\";s:4:\"1800\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"14599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$145.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"68351EP\";s:3:\"MPN\";s:8:\"68351E \";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1180\";s:6:\"Length\";s:4:\"2500\";s:6:\"Weight\";s:4:\"4620\";s:5:\"Width\";s:4:\"1840\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"68351E \";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:3:\"SKU\";s:7:\"GS91300\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:23:\"Intex Sehawk 4 Boat Set\";s:3:\"UPC\";s:12:\"078257683512\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257683512\";i:1;s:12:\"078257314980\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"6995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$69.95\";}s:8:\"TotalNew\";s:2:\"28\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177BQC6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177BQC6\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:122:\"IHqQa3KRN1p3WEaaikLXhaMvRn%2B9u6yNmMa4MtfTf8WxqdSLr72Huyv1OIBJXlMe%2F1Q%2Bw1wYwvZFncLwjqUw17S%2BmfRN7h%2Bt6gkdb3LIt%2FA%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8009\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$80.09\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"6590\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$65.90\";}s:15:\"PercentageSaved\";s:2:\"45\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00177BQC6&atag=freetos-20&exp=2013-06-15T19%3A36%3A03Z&v=2&sig=PEQcjGtt%2FPQhQ5xd0Ug1%2Bei6cNKEl9eVpler9lQU6xQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:182:\"Seahawk 4 Boat Set for up to 4 people includes pump and 48\" aluminum oars. Made from SUPER-TOUGH vinyl for durability. Inflatable seats and floor for comfort. US Coat Guard approved.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1944:\"Ideal for recreational boating or fishing on lakes and calm rivers, the Intex SeaHawk 4 boat set comes with everything you need to hit the water immediately. The inflatable boat--which fits up to four people--is made of super-tough 30-gauge PVC vinyl that resists damage from abrasion, impacts, and sunlight, letting you boat with confidence even near rocks or logs. The PVC is also unaffected by gasoline, oil, or saltwater, so you needn\'t take special precautions around a motor or near a saltwater inlet. Construction-wise, the boat includes two air chambers for safety, an inner hull chamber, an inflatable floor that\'s comfortable yet rigid, welded oarlocks, inflatable cushions, and an all-around grab line. The boat even sports two fishing rod holders at the rear--one on each side--so you can enjoy an afternoon angling with friends. Other features include a grab handle on the bow, oar holders, a gear pouch, and a U.S. Coast Guard ID. The SeaHawk 4 - which comes with oars and an inflation pump--measures 133 by 19.5 by 50 inches (W x H x D) and holds up to 814 pounds.<p> <b>About Intex</b><br> Helping people have fun for more than 40 years, Intex is the world leader in designing and producing high-quality, innovative products for indoor and outdoor recreation. Every Intex product--which includes such items as above-ground pools, pool accessories, pool toys, airbeds, and boats--undergoes an intensive quality control process before it\'s released to the public. During the manufacturing process, highly trained Intex employees continuously monitor a wide range of factors, from the quality of the raw materials and the calibration of the machines to the making and assembly of each product. The goal is to produce the best possible product at the best possible price. Intex offices are located in such cities as Long Beach, California; WanChai, Hong Kong; Roosendaal, Netherlands; Beaufort, France; and Praha, Czech Republic.<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3188", "468", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3189", "468", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3190", "468", "asg_item_id", "B0032GRD6I");
INSERT INTO `wp_postmeta` VALUES("3191", "468", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0032GRD6I\";s:13:\"DetailPageURL\";s:217:\"http://www.amazon.com/Sevylor-Inflatable-Hunting-Fishing-1-Person/dp/B0032GRD6I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0032GRD6I\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:227:\"http://www.amazon.com/Sevylor-Inflatable-Hunting-Fishing-1-Person/dp/tech-data/B0032GRD6I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD6I\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0032GRD6I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD6I\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0032GRD6I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD6I\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0032GRD6I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD6I\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0032GRD6I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD6I\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0032GRD6I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD6I\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GRD6I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD6I\";}}}s:9:\"SalesRank\";s:6:\"207915\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"149\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"465\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"149\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31CEKx57qQL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"465\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003630\";}s:5:\"Color\";s:5:\"brown\";s:10:\"Department\";s:24:\"Small Craft & Inflatable\";s:3:\"EAN\";s:13:\"0076501041392\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501041392\";}s:7:\"Feature\";a:5:{i:0;s:77:\"1-person hunting and fishing inflatable canoe with kayak-like maneuverability\";i:1;s:80:\"Double-hull build with raised bow and stern for extra ruggedness in rough waters\";i:2;s:77:\"Durable 18-gauge PVC construction with 420D nylon cover and reinforced bottom\";i:3;s:70:\"Elevated bucket seat; directional strakes for maximum steering control\";i:4;s:65:\"Holds up to 350 pounds; measures 9\' 10\" by 3\' 1\"; 1-year warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"410\";s:6:\"Length\";s:4:\"1900\";s:6:\"Weight\";s:4:\"3565\";s:5:\"Width\";s:3:\"990\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"42999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$429.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003630\";s:3:\"MPN\";s:10:\"2000003630\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"900\";s:6:\"Length\";s:4:\"2800\";s:6:\"Weight\";s:4:\"3395\";s:5:\"Width\";s:4:\"1800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003630\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:58:\"Sevylor Inflatable Rio Hunting and Fishing Canoe, 1-Person\";s:3:\"UPC\";s:12:\"076501041392\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501041392\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"31999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$319.99\";}s:8:\"TotalNew\";s:2:\"15\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GRD6I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD6I\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Campmor\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"sLs%2FPI10Fu9Zg%2F8yEGdDXe29S73gdsto6spQPGk2JoRObxa7yETy5EbTSEQBuj1h14G14lo5aLJb%2Fj6dKt1ttxDxlEQFRwVCJSdEFaM0gLHs42ZDU7pOS5wdWLmNLUkS4BUPej1igMgKZo2c%2FY0eGc%2BS89yRgBWI\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"31999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$319.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:5:\"11000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$110.00\";}s:15:\"PercentageSaved\";s:2:\"26\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0032GRD6I&atag=freetos-20&exp=2013-06-15T19%3A31%3A52Z&v=2&sig=cYJGDLkdRQtYRfYs5dyTU5%2FVxBLCHq%2FoK1JHqw2CzYY%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1026:\"The Sevylor Rio Inflatable Canoe combines the stability, maneuverability and sea-worthiness of a kayak with the comfort, styling and familiarity of the traditional North American canoe. Measuring 9\'10\" long by 3\'1\" wide, the Rio\'s raised bow and stern and double-hull construction make it extra-rugged and rigid, so it\'s ideal for rough waters, lakes, ocean, fishing and diving. This one-person canoe holds up to 350 pounds; it\'s made of durable 18-gauge PVC with a 420D nylon cover and a rugged, fabric-reinforced bottom. It features directional strakes for maximum steering control, and built-in oar holders. The elevated bucket seat has storage compartments in back, while the canoe also features removable stern storage. D-rings and tie-downs provide a handy place to attach extra gear. A convenient nylon carry bag is included. Guaranteed not to leak, thanks to Sevylor\'s exclusive Airtight System, the kayak\'s Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2836:\"Combining the stability, maneuverability, and seaworthiness of a kayak with the comfort, looks, and styling of a traditional North American canoe, the Sevylor Rio hunting and fishing canoe is ideally suited for rough waters, lakes, ocean fishing, and diving. The Rio is equipped with a raised bow and stern, with a design that\'s as close in shape, comfort, and styling to the North American Indian canoe as an inflatable boat can get. As a result, you\'ll look and feel authentic as you cruise down the waterway. Construction-wise, the boat features a double-hull build made of durable 18-gauge PVC, along with a 420D nylon cover and a rugged, fabric-reinforced bottom. <p> The Rio is comfortable enough for daylong trips thanks to the elevated bucket seat, which also includes a storage compartment in the back. To help you get around, the boat features directional strakes for maximum steering control. And as with all Sevylor boats, the Rio\'s exclusive Airtight system is guaranteed not to leak. Other details include Double-Lock valves that prevent accidental air loss, removable stern storage, built-in carrying handles, paddle/oar holders, D-rings and tie downs, and a nylon carrying bag. Certified by the National Marine Manufacturers Association (NMMA), the one-person Rio measures 9 feet 10 inches by 3 feet 1 inch, holds up to 350 pounds, and carries a one-year warranty. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3171", "466", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B003YAHX1C\";}");
INSERT INTO `wp_postmeta` VALUES("3172", "466", "asg_star_rating", "3");
INSERT INTO `wp_postmeta` VALUES("3173", "466", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:40:\"Beware it does not cover the entire boat\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"June 20, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2CTK3MIQ3Z5H5\";s:4:\"name\";s:7:\"Cathryn\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1079:\"I ordered this item for my 13 foot composite kayak. I do not have a garage for storage and end up carrying the kayak on the car rack a lot during the summer. I have the J racks on my car so the bottom of the kayak is exposed. It was not clear from the product description or the website photos that the bottom 1/4 to 1/3 of the boat would not be covered. If it had been stated or clearly shown, I would have not ordered this item.<br /><br />I received the cover yesterday and attempted to put it on last night. In an attempt to try to cover the entire boat, I got a grass stain on the cover. For this reason, Outdoor Play would not allow me to return the item and they did not offer any other type of compensation for the innacurate representation of this item. Basically, I am out $154.00 and am in search of a different cover that will protect the entire boat.<br /><br />If you are carrying your canoe or kayak bottom down on your rack, this may be a great cover. But consumers beware. If you are carrying your boat with the bottom exposed, this may not be the cover for you.\";}i:1;a:5:{s:5:\"title\";s:33:\"Great cover, marginal storage bag\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"February 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJAPKRSNE6YIP\";s:4:\"name\";s:9:\"Linda Day\";s:7:\"address\";s:5:\"Texas\";}s:4:\"text\";s:1276:\"This is a well-made (USA) product with heavy-duty rip-stop material and appropriate tie-downs. Instead of a zipper, it drops over the top of the boat, and fastek buckles hold it in place. It is cleverly designed to fit into a nifty red bag with a velcro closure, very smart -- BUT the boat cover is sewn to the bag. Supposedly the bag can be turned inside out to become a red flag if you\'re towing (this is part of the cleverness), but once you have removed the cover from the bag and destroyed all the beautiful neat folds produced at the factory, good luck getting the cover back into the bag! It\'s suddenly twice as big as when it came out, and the material is fairly stiff! Adding to the difficulty is the fact that the bag is sewed to the cover -- that makes the cover a bit hard to remove initially, and virtually impossible to replace back into the bag. It would be much better to have a separate, LARGER carry bag, and then just sew a modest red strip to the cover to act as a flag. This is a case of \"too clever is too dumb\", and it takes away a star. So, find your own storage bag, or an old pillowcase, or just keep the cover on the boat, and you\'re good to go.<br /><br />The cover is fairly huge and should cover anything up to 18 feet long and maybe 3 feet wide.\";}}");
INSERT INTO `wp_postmeta` VALUES("3122", "461", "asg_last_refresh_attempt", "1371238297");
INSERT INTO `wp_postmeta` VALUES("3123", "461", "asg_update_timestamp", "1371238297");
INSERT INTO `wp_postmeta` VALUES("3309", "479", "asg_item_id", "B00177BQC6");
INSERT INTO `wp_postmeta` VALUES("3126", "462", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3127", "462", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3128", "462", "asg_item_id", "B003WF33NG");
INSERT INTO `wp_postmeta` VALUES("3129", "462", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003WF33NG\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Advanced-Elements-Boat-Repair-Kit/dp/B003WF33NG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003WF33NG\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Advanced-Elements-Boat-Repair-Kit/dp/tech-data/B003WF33NG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003WF33NG\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003WF33NG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003WF33NG\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003WF33NG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003WF33NG\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003WF33NG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003WF33NG\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003WF33NG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003WF33NG\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003WF33NG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003WF33NG\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003WF33NG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003WF33NG\";}}}s:9:\"SalesRank\";s:4:\"4765\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL._SL160_.jpg\";s:6:\"Height\";s:3:\"132\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL.jpg\";s:6:\"Height\";s:3:\"413\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL._SL75_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL._SL110_.jpg\";s:6:\"Height\";s:2:\"91\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL._SL160_.jpg\";s:6:\"Height\";s:3:\"132\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/519UkYMJWRL.jpg\";s:6:\"Height\";s:3:\"413\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"AE2027\";}s:5:\"Color\";s:5:\"Multi\";s:3:\"EAN\";s:13:\"0832994000625\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0832994000625\";}s:7:\"Feature\";a:2:{i:0;s:64:\"PVC repair materials for Advanced Elements boat and kayak repair\";i:1;s:91:\"includes tube of adhesive, instructions, and materials to repair Advanced Elements products\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:3:\"600\";s:5:\"Width\";s:3:\"100\";}s:5:\"Label\";s:17:\"Advanced Elements\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:3:\"799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.99\";}s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:5:\"Model\";s:6:\"AE2027\";s:3:\"MPN\";s:6:\"AE2027\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:3:\"600\";s:6:\"Weight\";s:2:\"20\";s:5:\"Width\";s:3:\"420\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"AE2027\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:11:\"ReleaseDate\";s:10:\"2010-06-19\";s:4:\"Size\";s:19:\"4.5-Inch x 5.5-Inch\";s:3:\"SKU\";s:7:\"QLV1036\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:33:\"Advanced Elements Boat Repair Kit\";s:3:\"UPC\";s:12:\"832994000625\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"832994000625\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.99\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003WF33NG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003WF33NG\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:134:\"9Vmpkp4Yckvgw5PxL2WO%2BeWv7e1Rex7TV%2BAViE75tejUDcoe3KPSOT%2BLuvnCmoPJD%2BFer5sVVzGZB0jYmsAIwLkIPQ2lK2DjcQfrt9JR8OEk68No5rB%2BwQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"897\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.97\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003WF33NG&atag=freetos-20&exp=2013-06-15T19%3A31%3A37Z&v=2&sig=Bwp7UeoGbK3e%2FUiHJztbMYTsbCiqjCPwikJuE70%2B5Hc%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:170:\"AE2027 Features: -Inflatable boat repair kit.-Material: PVC repair. Includes: -Includes tube of adhesive, instructions and materials to repair Advanced Elements products.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3130", "462", "asg_product_details", "a:5:{s:18:\"Product Dimensions\";s:16:\"6 x 1 x 4 inches\";s:15:\"Shipping Weight\";s:10:\"3.2 ounces\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:4:\"ASIN\";s:10:\"B003WF33NG\";s:17:\"Item model number\";s:6:\"AE2027\";}");
INSERT INTO `wp_postmeta` VALUES("3131", "462", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("3132", "462", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:56:\"worked well--recommend weighing down patch during drying\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2F7WX1CQXV0T7\";s:4:\"name\";s:15:\"Frances Elliott\";s:7:\"address\";s:14:\"AUSTIN, TX, US\";}s:4:\"text\";s:290:\"I patched 2 small holes (each no bigger than a pinky nail) in my inflatable kayak with this. I think it helped to apply pressure to the patch while the glue dried--I stacked a good number of bean cans on my patches to weigh them down during the drying process. A year later, so far so good.\";}i:1;a:5:{s:5:\"title\";s:9:\"Great kit\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3O118SATL26CZ\";s:4:\"name\";s:5:\"jefro\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:486:\"Purchased 2 of these kits. One for each of our inflatable kayaks and already used it once. The kit comes in a resealable watertight bag and has several different colors and thicknesses of patching material along with a tube of glue. Super easy to use and the glue dries fast. The only down side is you have to cut the top of the package off to access the resealable bag so I recommend doing that before you put it in your boat to save a little hassle if you need to use it on the river.\";}i:2;a:5:{s:5:\"title\";s:3:\"Hum\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 18, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1SC58GNFFT4LM\";s:4:\"name\";s:14:\"capitanjohnson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:127:\"So far is holding but it has to go to some testing will be more positive in the next summer season and will write a new review.\";}}");
INSERT INTO `wp_postmeta` VALUES("3108", "460", "asg_product_details", "a:7:{s:15:\"Shipping Weight\";s:10:\"6.8 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001NZV5KU\";s:17:\"Item model number\";s:12:\"01.1332.0624\";s:28:\"Discontinued by manufacturer\";s:3:\"Yes\";}");
INSERT INTO `wp_postmeta` VALUES("3109", "460", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3110", "460", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:22:\"Great Side Motor Mount\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A18URO1F4ZPMQU\";s:4:\"name\";s:18:\"Charles W. Rowland\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:197:\"This first motor mount I received didn\'t have all the parts but Amazon sipped me out another one quickly and it has worked great. I use a Minn Kota thirty pound thrust motor and the mount is solid.\";}i:1;a:5:{s:5:\"title\";s:35:\"Good for trolling, or a slow cruise\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 23, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2XZ1GCI5WAUXZ\";s:4:\"name\";s:7:\"Vampire\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:166:\"Old Towne says this is good for 4hp. I\'m not too sure about that, however for my 30 lb trolling motor it works great, though it rocks a bit if you go WOT too quickly.\";}i:2;a:5:{s:5:\"title\";s:21:\"Better ones out there\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"December 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1KY9R3X0SV39T\";s:4:\"name\";s:12:\"LEROY TITMAN\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:825:\"If I only ever used this device, I would feel it works fine and does the job. I have a plastic canoe which I bought from Sams Club. The canoe is awesome and I love it; I think this device is for really solid or wooden canoes which don\'t flex. Since this only anchors on one side, it bends with the weight of the trolling motor allowing the blades to ding the side of the canoe from time to time. There is one out there made by Old Town canoes and it mounts all the way across BOTH SIDES of the canoe. My friend let me borrow that one and I used it once. It kept the trolling motor steady and very straight up/down the whole time. So I am going to purchase the Old Town Canoe one and use it. This is a cost effective option as the other will run me over a hundred dollars, but I think it will be well worth it in the long run.\";}}");
INSERT INTO `wp_postmeta` VALUES("3111", "460", "asg_last_refresh_attempt", "1371238295");
INSERT INTO `wp_postmeta` VALUES("3112", "460", "asg_update_timestamp", "1371238295");
INSERT INTO `wp_postmeta` VALUES("3308", "479", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3115", "461", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3116", "461", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3117", "461", "asg_item_id", "B004KHZ25M");
INSERT INTO `wp_postmeta` VALUES("3118", "461", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004KHZ25M\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Malone-Handicart-Kayak-Canoe-Cart/dp/B004KHZ25M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004KHZ25M\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Malone-Handicart-Kayak-Canoe-Cart/dp/tech-data/B004KHZ25M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KHZ25M\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004KHZ25M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KHZ25M\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004KHZ25M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KHZ25M\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004KHZ25M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KHZ25M\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004KHZ25M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KHZ25M\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004KHZ25M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KHZ25M\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004KHZ25M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KHZ25M\";}}}s:9:\"SalesRank\";s:6:\"218597\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL160_.jpg\";s:6:\"Height\";s:3:\"118\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL.jpg\";s:6:\"Height\";s:3:\"368\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:5:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL110_.jpg\";s:6:\"Height\";s:2:\"81\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL160_.jpg\";s:6:\"Height\";s:3:\"118\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL.jpg\";s:6:\"Height\";s:3:\"368\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL75_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL110_.jpg\";s:6:\"Height\";s:2:\"81\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL._SL160_.jpg\";s:6:\"Height\";s:3:\"118\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41p6OSwtMDL.jpg\";s:6:\"Height\";s:3:\"368\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4119DqboJEL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4119DqboJEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4119DqboJEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4119DqboJEL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4119DqboJEL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4119DqboJEL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51E-41BU2GL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51E-41BU2GL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51E-41BU2GL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51E-41BU2GL._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51E-41BU2GL._SL160_.jpg\";s:6:\"Height\";s:3:\"133\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51E-41BU2GL.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41IrQmCyvAL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41IrQmCyvAL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41IrQmCyvAL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41IrQmCyvAL._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41IrQmCyvAL._SL160_.jpg\";s:6:\"Height\";s:3:\"133\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41IrQmCyvAL.jpg\";s:6:\"Height\";s:3:\"417\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"Malone Auto Racks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"MPG501\";}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:11:\"Kayak Carts\";s:3:\"EAN\";s:13:\"5060158520060\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"5060158520060\";}s:7:\"Feature\";a:5:{i:0;s:42:\"Universal designed supports canoe or kayak\";i:1;s:29:\"Stainless steel folding frame\";i:2;s:28:\"10? all terrain Camba wheels\";i:3;s:32:\"Built in load straps with buckle\";i:4;s:23:\"200 pound load capacity\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:3:\"890\";s:5:\"Width\";s:4:\"1100\";}s:5:\"Label\";s:17:\"Malone Auto Racks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"12995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$129.95\";}s:12:\"Manufacturer\";s:17:\"Malone Auto Racks\";s:5:\"Model\";s:6:\"MPG501\";s:3:\"MPN\";s:6:\"MPG501\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"750\";s:6:\"Length\";s:4:\"2325\";s:6:\"Weight\";s:3:\"900\";s:5:\"Width\";s:4:\"1075\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"MPG501\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Malone Auto Racks\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:10:\"AZCW-40935\";s:6:\"Studio\";s:17:\"Malone Auto Racks\";s:5:\"Title\";s:36:\"Malone  Handicart Kayak / Canoe Cart\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"11695\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$116.95\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004KHZ25M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KHZ25M\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"ETsDyOC671QdfXccWyIjr6%2BjlClHMu32BTEyqtuj6X6DpLoP8NwZihM%2BUSs%2FYItqXAZ3VYuMgzROYUrvCvh7MZyf9E0zFAhZ1qAHyCX77wIB4y1wqyFWKQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11695\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$116.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1300\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.00\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004KHZ25M&atag=freetos-20&exp=2013-06-15T19%3A31%3A35Z&v=2&sig=6ArYqi1KvWl75jpCsm72TyZuvrYHpx1fol8Yql6bwmc%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:416:\"The Malone HandiKart is the latest in canoe and kayak ground transport innovation. Built with a stainless steel folding frame and a high grip rubber surface, this cart can disassemble and fit into the cock pit of most kayaks. The 10” all terrain Camba wheel technology allows easy maneuverability through dirt and sand. A built-in load strap and buckle makes securing the canoe or kayak a quick and simple process.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3119", "461", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:31:\"24 x 11 x 8 inches ; 8.9 pounds\";s:15:\"Shipping Weight\";s:8:\"9 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004KHZ25M\";s:17:\"Item model number\";s:6:\"MPG501\";}");
INSERT INTO `wp_postmeta` VALUES("3120", "461", "asg_star_rating", "1.5");
INSERT INTO `wp_postmeta` VALUES("3121", "461", "asg_customer_reviews", "a:4:{i:0;a:5:{s:5:\"title\";s:23:\"Looked good on paper...\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:12:\"May 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5IB5SNNI7AX8\";s:4:\"name\";s:7:\"Scharfy\";s:7:\"address\";s:17:\"Kennewick, WA USA\";}s:4:\"text\";s:663:\"I really wanted to like the Handikart. Unlike the other reviewer, I didn\'t have wheel problems. But then I didn\'t use this on sand or overly bumpy terrain... I never got the chance to. After about a dozen trips across a grassy park (yes, manicured lawn) an end cap on one of the arms decided to come off inside of the plastic fitting that connects the two arms. It\'s impossible to get out and creates nowhere close to a perfect fit. The result is the arms come apart after going about 50 yards and the cart collapses. I\'d usually chalk this up to bad luck, but it also happened to a kayaking buddy I\'d recommended the Handikart to. I don\'t recommend this product.\";}i:1;a:5:{s:5:\"title\";s:35:\"Malone Handicart Kayak / Canoe Cart\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"April 18, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3LDHH1WFHZOT0\";s:4:\"name\";s:7:\"big Rob\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:239:\"Worst set of wheels EVER... they do not roll over soft sand as advertised... they sink in the sand, and sand gets into the axle and prevent\'s the wheels from spinning...THIS PRODUCT IS A WAST ON MONEY.... I DO NOT RECOMMEND THIS PRODUCT...\";}i:2;a:5:{s:5:\"title\";s:16:\"malone handicart\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:18:\"September 28, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AK7WZIPYDNE0F\";s:4:\"name\";s:3:\"Tom\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:472:\"Don\'t waste your time or money on this piece of junk cart. Used it two times and on the second outing the plastic retaining clip that ties the two stainless steel poles together broke. I was just rolling over some grass with a Trident13 sitting on top of it. They should call this cart a Malone Handicrap! Now I guess I\'ll see what type of company Malone is regarding fixing my problem or refunding my money. I\'m sure Malone has to know they have a problem with this cart!\";}i:3;a:5:{s:5:\"title\";s:26:\"Great on anything but sand\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:18:\"September 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9JSBZ3CWGKLF\";s:4:\"name\";s:8:\"Shopping\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:120:\"Very helpfull, fits inside boat small space when leaving into water. Ready for you at destination, but not good on sand.\";}}");
INSERT INTO `wp_postmeta` VALUES("3078", "457", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00CSUH5OE\";}");
INSERT INTO `wp_postmeta` VALUES("3079", "457", "asg_star_rating", "4.1");
INSERT INTO `wp_postmeta` VALUES("3080", "457", "asg_last_refresh_attempt", "1371238289");
INSERT INTO `wp_postmeta` VALUES("3081", "457", "asg_update_timestamp", "1371238289");
INSERT INTO `wp_postmeta` VALUES("3307", "479", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3084", "458", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3085", "458", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3086", "458", "asg_item_id", "B00CSUH6PC");
INSERT INTO `wp_postmeta` VALUES("3087", "458", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00CSUH6PC\";s:10:\"ParentASIN\";s:10:\"B00CSUH6PC\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Seattle-Sports-TurboMite-Kayak-Cart/dp/B00CSUH6PC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00CSUH6PC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Seattle-Sports-TurboMite-Kayak-Cart/dp/tech-data/B00CSUH6PC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH6PC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00CSUH6PC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH6PC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00CSUH6PC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH6PC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00CSUH6PC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH6PC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00CSUH6PC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH6PC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00CSUH6PC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH6PC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CSUH6PC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH6PC\";}}}s:9:\"SalesRank\";s:5:\"85763\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/31L%2Bbc7j%2BYL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:12:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:7:\"Feature\";a:5:{i:0;s:81:\"25mm aluminum frame collapsible cart stows easily in most rec and touring kayaks.\";i:1;s:88:\"Designed to be used under the center of a kayak for balance and ease of maneuverability.\";i:2;s:95:\"WaveChaser pneumatic tires with bearingless wheels move with ease over packed or hard surfaces.\";i:3;s:22:\"Carries up to 150 lbs.\";i:4;s:40:\"Soft foam pads cushion the hull of kayak\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:3:\"MPN\";s:5:\"53704\";s:10:\"PartNumber\";s:5:\"53704\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:35:\"Seattle Sports TurboMite Kayak Cart\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"6263\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$62.63\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"9382\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$93.82\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B009V609NC\";s:10:\"ParentASIN\";s:10:\"B00CSUH6PC\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41cLkp0qdBL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"053704\";}s:5:\"Color\";s:5:\"Green\";s:10:\"Department\";s:11:\"Kayak Carts\";s:3:\"EAN\";s:13:\"0780292537049\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0780292537049\";}s:7:\"Feature\";a:5:{i:0;s:25:\"Beefy 25mm aluminum frame\";i:1;s:44:\"Great for pavement, beach and groomed trails\";i:2;s:13:\"Small profile\";i:3;s:22:\"Bearingless air wheels\";i:4;s:21:\"Anodized green finish\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"700\";s:6:\"Length\";s:4:\"2550\";s:6:\"Weight\";s:3:\"850\";s:5:\"Width\";s:4:\"1350\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:5:\"Model\";s:6:\"053704\";s:3:\"MPN\";s:6:\"053704\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"710\";s:6:\"Length\";s:4:\"2560\";s:6:\"Weight\";s:3:\"885\";s:5:\"Width\";s:4:\"1440\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"053704\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:48:\"Seattle Sports Turbomite Canoe and Kayak Carrier\";s:3:\"UPC\";s:12:\"780292537049\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"780292537049\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Green\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"TWEzaXZrjirT28uQ1peQdj3E%2BmVm23NOIs4Mh49VcoOfOJwAk2Z%2Fz83WmV66M2MUySX66eWWgkC1yfQ5XPwfsgF12VM2qJDZX87cc45wkHnaCWjdlrmUwQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7925\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.25\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1070\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.70\";}s:15:\"PercentageSaved\";s:2:\"12\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00CSUH6PC&atag=freetos-20&exp=2013-06-15T19%3A31%3A29Z&v=2&sig=X%2BEz3%2FadlFr5DWVyLhO4vM0VrehlAHfcqVhT4Zny4B4%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:430:\"The TurboMite cart is a feisty little powerful vehicle that can carry your kayak and then some across pavement, down trails and across packed sand beaches. Built of 25mm gauge aluminum, its frame is designed to carry up to 150 lbs. of boat and gear! The TurboMite kayak cart frame collapses and wheels easily remove to be stored behind the seat in most rec kayaks or in a hatch of a touring boat. A lot of cart in a small package.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3067", "456", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:10:\"5.8 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B002YCH640\";s:17:\"Item model number\";s:6:\"BCK169\";}");
INSERT INTO `wp_postmeta` VALUES("3068", "456", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("3069", "456", "asg_customer_reviews", "a:5:{i:0;a:5:{s:5:\"title\";s:12:\"does the job\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 12, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1KDYW37P6WCC8\";s:4:\"name\";s:13:\"LAV \"lav_nyc\"\";s:7:\"address\";s:3:\"NYC\";}s:4:\"text\";s:190:\"It\'s not good for the canoe to be resting on the floor. This set of hangers gets the canoe off the floor and out of the way. Holds the 75lb. canoe with no problem. They are not ugly, either.\";}i:1;a:5:{s:5:\"title\";s:17:\"Got the job done!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 23, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A118IO2LJVRKNE\";s:4:\"name\";s:15:\"kathleen hothem\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:143:\"We needed something to hang our canoe in the garage in our new home. These are economical, easy to use & did exactly what we needed them to do.\";}i:2;a:5:{s:5:\"title\";s:19:\"great canoe hangers\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A27W3FT6D3EAFG\";s:4:\"name\";s:11:\"Panther4you\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:191:\"never had a better set of canoe hangers i have mine facing the wall i just strapped the middle to face the wall but you can put you canoe cockpit out the proper way i use mine outside isa why\";}i:3;a:5:{s:5:\"title\";s:17:\"Worked Perfectly!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 27, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1VQ83XE3DEVHK\";s:4:\"name\";s:10:\"Linder-Lou\";s:7:\"address\";s:15:\"Minneapolis, MN\";}s:4:\"text\";s:375:\"We were looking for a way to get our canoe off the ground, so we attached these to the outside of our storage building. Works perfectly and looks nice. My only complaint is we wish we could get our canoe to tilt in slightly toward the wall it\'s attached which would allow rain to drain off and not run into the interior of the canoe. It sits pretty much straight on its side.\";}i:4;a:5:{s:5:\"title\";s:19:\"Just What I Needed!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 13, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2T05CAJ48IMG4\";s:4:\"name\";s:4:\"Dano\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:108:\"The crib went up really easily under my deck and my canoe fit in it perfectly. Couldn\'t have asked for more!\";}}");
INSERT INTO `wp_postmeta` VALUES("3070", "456", "asg_last_refresh_attempt", "1371238287");
INSERT INTO `wp_postmeta` VALUES("3071", "456", "asg_update_timestamp", "1371238287");
INSERT INTO `wp_postmeta` VALUES("3306", "479", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3074", "457", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3075", "457", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3076", "457", "asg_item_id", "B00CSUH5OE");
INSERT INTO `wp_postmeta` VALUES("3077", "457", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00CSUH5OE\";s:10:\"ParentASIN\";s:10:\"B00CSUH5OE\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Seattle-Sports-Nemo-Extremo-Boat/dp/B00CSUH5OE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00CSUH5OE\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Seattle-Sports-Nemo-Extremo-Boat/dp/tech-data/B00CSUH5OE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH5OE\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00CSUH5OE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH5OE\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00CSUH5OE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH5OE\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00CSUH5OE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH5OE\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00CSUH5OE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH5OE\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00CSUH5OE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH5OE\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CSUH5OE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH5OE\";}}}s:9:\"SalesRank\";s:6:\"157541\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31X5yfF7FrL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:12:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:7:\"Feature\";a:5:{i:0;s:140:\"Rugged, heavy-duty folding kayak cart features an anodized aluminum FatFrame™ and air-free tires for long lasting durability and strength.\";i:1;s:103:\"Flip out kickstand makes it easy to load a kayak and included cinch straps secure boat for bumpy rides.\";i:2;s:112:\"Designed to be positioned under the center of almost any kayak or canoe for balance and ease of maneuverability.\";i:3;s:33:\"Soft foam pads cushion boat hulls\";i:4;s:36:\"Carries boat and gear up to 250 lbs.\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:3:\"MPN\";s:5:\"60902\";s:10:\"PartNumber\";s:5:\"60902\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:37:\"Seattle Sports Nemo Extremo Boat Cart\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"9395\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$93.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"13495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$134.95\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B009V607XO\";s:10:\"ParentASIN\";s:10:\"B00CSUH5OE\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41tCSav6AWL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"060902\";}s:5:\"Color\";s:4:\"Blue\";s:10:\"Department\";s:11:\"Kayak Carts\";s:3:\"EAN\";s:13:\"0780292609029\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0780292609029\";}s:7:\"Feature\";a:5:{i:0;s:50:\"Heavy Duty fixed center frame for maximum strength\";i:1;s:55:\"Breaks down into four low-profile, easy -to-store parts\";i:2;s:26:\"Airless, leak- free wheels\";i:3;s:20:\"Anodized blue finish\";i:4;s:41:\"Includes cinch strap for secure transport\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"600\";s:6:\"Length\";s:4:\"2150\";s:6:\"Weight\";s:3:\"500\";s:5:\"Width\";s:4:\"1250\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"13495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$134.95\";}s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:5:\"Model\";s:6:\"060902\";s:3:\"MPN\";s:6:\"060902\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"450\";s:6:\"Length\";s:4:\"2110\";s:6:\"Weight\";s:3:\"995\";s:5:\"Width\";s:4:\"1290\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"060902\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:48:\"Seattle Sports Nemo Extremo Canoe and Kayak Cart\";s:3:\"UPC\";s:12:\"780292609029\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"780292609029\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:4:\"Blue\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"W6JgRJGHUXmoiEFylSbRdIpLasX33tAwoXINCeMxGFZocQr5zbCQaBwGtdjZM%2BnCeJvFHsABwYQxkd8gq4X6kx%2BntYcrLgi3RgtiOSXGBWYQmrnOH3LPog%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11494\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$114.94\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"2001\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$20.01\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00CSUH5OE&atag=freetos-20&exp=2013-06-15T19%3A31%3A27Z&v=2&sig=qkeFb6tiObeQzYujAMXj11Q3RHfTJ4uu6OozMB1QMZQ%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:513:\"The Nemo Extremo is a tough, heavy-duty boat cart that is designed to carry your canoe , kayak and gear to and from the water with ease. Designed to be used under the center of the boat, this cart is constructed of 25mm anodized aluminum frame which withstands rugged terrain and heavy loads. No need to worry about tires going flat since the Nemo Extremo features air-free tires. Folds flat and wheels easily come off for compact storage. Included cinch straps keep boat secure while bumping over uneven terrain.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3036", "453", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:9:\"18 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:8:\" Taiwan\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00BNTZAES\";s:17:\"Item model number\";s:7:\"SL91842\";}");
INSERT INTO `wp_postmeta` VALUES("3037", "453", "asg_star_rating", "4.8");
INSERT INTO `wp_postmeta` VALUES("3038", "453", "asg_last_refresh_attempt", "1371238280");
INSERT INTO `wp_postmeta` VALUES("3039", "453", "asg_update_timestamp", "1371238280");
INSERT INTO `wp_postmeta` VALUES("3044", "454", "asg_item_id", "B0032GRD72");
INSERT INTO `wp_postmeta` VALUES("3045", "454", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0032GRD72\";s:13:\"DetailPageURL\";s:218:\"http://www.amazon.com/Sevylor-Inflatable-Colorado-Hunting-2-Person/dp/B0032GRD72%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0032GRD72\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:228:\"http://www.amazon.com/Sevylor-Inflatable-Colorado-Hunting-2-Person/dp/tech-data/B0032GRD72%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD72\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0032GRD72%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD72\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0032GRD72%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD72\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0032GRD72%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD72\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0032GRD72%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD72\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0032GRD72%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD72\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GRD72%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD72\";}}}s:9:\"SalesRank\";s:5:\"17838\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41JqDgr2f5L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003631\";}s:5:\"Color\";s:5:\"brown\";s:10:\"Department\";s:24:\"Small Craft & Inflatable\";s:3:\"EAN\";s:13:\"0076501041408\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501041408\";}s:7:\"Feature\";a:5:{i:0;s:77:\"2-person hunting and fishing inflatable canoe with kayak-like maneuverability\";i:1;s:80:\"Double-hull build with raised bow and stern for extra ruggedness in rough waters\";i:2;s:77:\"Durable 18-gauge PVC construction with 420D nylon cover and reinforced bottom\";i:3;s:79:\"Pair of elevated bucket seats; directional strakes for maximum steering control\";i:4;s:65:\"Holds up to 500 pounds; measures 10\' 9\" by 3\' 1\"; 1-year warranty\";}s:6:\"Format\";s:6:\"CD-ROM\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1040\";s:6:\"Length\";s:4:\"1810\";s:6:\"Weight\";s:4:\"1699\";s:5:\"Width\";s:4:\"1610\";}s:5:\"Label\";s:7:\"Sevylor\";s:15:\"LegalDisclaimer\";s:45:\"This is sold as-is, no returns or guarantees.\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"46899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$468.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003631\";s:3:\"MPN\";s:10:\"2000003631\";s:13:\"NumberOfItems\";s:1:\"1\";s:15:\"OperatingSystem\";s:3:\"N/A\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1140\";s:6:\"Length\";s:4:\"3100\";s:6:\"Weight\";s:4:\"4115\";s:5:\"Width\";s:4:\"2000\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003631\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:8:\"L-559113\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:63:\"Sevylor Inflatable Colorado Hunting and Fishing Canoe, 2-Person\";s:3:\"UPC\";s:12:\"076501041408\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501041408\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"41599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$415.99\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GRD72%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GRD72\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"VMInnovations\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:168:\"F3N%2F4OocgLzbafDKXNdYF0p5Xp%2BkFhFZW8SvZBIhhte9pk5ef5mGIbYvoWBb4xY5oK2cuPu35X0UymD35dI9TtNS0%2BAzQ20dioFFbSBGMNs6kYeX0pt69Oh29Sz16jbMlNZKWaV8U0W9rFMrKQacIeymG%2FhxgX2Z\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"41599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$415.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"5300\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$53.00\";}s:15:\"PercentageSaved\";s:2:\"11\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0032GRD72&atag=freetos-20&exp=2013-06-15T19%3A31%3A21Z&v=2&sig=YaEmAENC9u4YYMaRqaZ%2F1oIzgWrUF7190zt1sM0ROfg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1038:\"The Sevylor Colorado Inflatable Canoe combines the stability, maneuverability and sea-worthiness of a kayak with the comfort, styling and familiarity of the traditional North American canoe. Measuring 10\'9\" long by 3\'1\" wide, the Colorado\'s raised bow and stern and double-hull construction make it extra-rugged and rigid, so it\'s ideal for rough waters, lakes, ocean, fishing and diving. This two-person canoe holds up to 500 pounds; it\'s made of durable 18-gauge PVC with a 420D nylon cover and a rugged, fabric-reinforced bottom. It features directional strakes for maximum steering control, and built-in oar holders. The elevated bucket seats have storage compartments in back, while the canoe also features removable stern storage. D-rings and tie-downs provide a handy place to attach extra gear. A convenient nylon carry bag is included. Guaranteed not to leak, thanks to Sevylor\'s exclusive Airtight System, the kayak\'s Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2893:\"Combining the stability, maneuverability, and seaworthiness of a kayak with the comfort, looks, and styling of a traditional North American canoe, the Sevylor Colorado hunting and fishing canoe is ideally suited for rough waters, lakes, ocean fishing, and diving. The Colorado is equipped with a raised bow and stern, with a design that\'s as close in shape, comfort, and styling to the North American Indian canoe as an inflatable boat can get. As a result, you and a friend will look and feel authentic as you cruise down the waterway. Construction-wise, the boat features a double-hull build made of durable 18-gauge PVC, along with a 420D nylon cover and a rugged, fabric-reinforced bottom. <p> The Colorado is comfortable enough for daylong trips thanks to the pair of flexible, elevated bucket seats, which also include storage compartments in the back. To help you get around, the boat features directional strakes for maximum steering control. And as with all Sevylor boats, the Colorado\'s exclusive Airtight system is guaranteed not to leak. Other details include Double-Lock valves that prevent accidental air loss, removable stern storage, built-in carrying handles, paddle/oar holders, D-rings and tie downs, and a nylon carrying bag. Certified by the National Marine Manufacturers Association (NMMA), the two-person Colorado measures 10 feet 9 inches by 3 feet 1 inch, holds up to 500 pounds, and carries a one-year warranty. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3025", "452", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:31:\"12 x 11 x 5 inches ; 1.5 pounds\";s:15:\"Shipping Weight\";s:10:\"1.6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:4:\"ASIN\";s:10:\"B000SXN90C\";s:17:\"Item model number\";s:6:\"MPG156\";}");
INSERT INTO `wp_postmeta` VALUES("3026", "452", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("3027", "452", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:19:\"Worked Great For Me\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 21, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AIHS6FRPMTEB0\";s:4:\"name\";s:15:\"David C. Curtis\";s:7:\"address\";s:28:\"Bloomfield, MI United States\";}s:4:\"text\";s:485:\"I was a little reluctant going in, as I\'m a \"you get what you pay for\" guy. I put the canoe on the roof of a Chevrolet Impala, strapped it down (there are two cinch belts in the package although the picture only shows one), tied off the front and back and hit the road. I stopped every 20 miles or so just to make sure the lines were tight. The canoe didn\'t move the entire trip driving at 55 mph. If I never use it again, it was well worth the money. I\'ll see if I can post a picture.\";}i:1;a:5:{s:5:\"title\";s:24:\"A great, simple solution\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 19, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2B4GHYUV7YDXF\";s:4:\"name\";s:7:\"Logan D\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:217:\"I use this canoe carrier kit on top of my Honda Civic 2-door, and have had no complaints. I\'m glad to have such a simple solution to carrying a canoe on my car. It came with everything that I needed, including straps.\";}i:2;a:5:{s:5:\"title\";s:33:\"Solid solution for occasional use\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AMRJX86FCG1WF\";s:4:\"name\";s:5:\"Phlip\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1282:\"I drive a Honda fit (tiny car) and have a 17\' fiberglass canoe (big canoe) that I only use once or twice a year. I used to borrow a gas guzzling SUV to transport my canoe. Not anymore. This product is simple, inexpensive, and works great. My canoe is approx 3 feet longer than my car and yes it looks silly, but it\'s functional. I wouldn\'t reccomend this for ever day use or say its better than a traditional roof rack. But if you\'ve gotta get your canoe to the water and don\'t have a vehicle appropriate, this is a great solution.<br /><br />This product has essentially converted my little MPG machine into a fully functional SUV for my annual canoe trip. As long as you tie it down to both the front and rear of the car and use both straps through the doors or windows (ropes, straps, and instructions included), your canoe will stay firmly planted on your roof without scratching your paint. I drove in excess of 70 mph and handling and control stayed very manageable.<br /><br />If you use your canoe on a regular basis you may want to bite the bullet and buy a proper roof rack, otherwise you can\'t go wrong here. My local outfitter wanted over $100 for a similar setup (foam blocks & straps), but with prime shipping I saved a ton of cash to buy more beer for the coolers :-)\";}i:3;a:5:{s:5:\"title\";s:34:\"canoe carrier for Subaru with rack\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 26, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A264BRD3651FEZ\";s:4:\"name\";s:16:\"Michael J. Nucci\";s:7:\"address\";s:14:\"Albany, NY USA\";}s:4:\"text\";s:1086:\"I think the only thing worth really buying was the foam blocks because they are crucial for putting the canoe on the car. It didn\'t work as planned because the canoe is wider than the rack that I have in place so I was not able to put the blocks directly on the rack. I was able to make it work however with the blocks wedged against the rack. The ropes and straps are just basic ropes and with my canoe I had to use a different rope for the back because the one was not long enough. I also would prefer ropes that do not require knot expertise. The canoe strap works well but they are sold at Home Depot and are nothing special. My recommendation for someone else is to buy the pieces you need separately such as straps, foam blocks, rope. I purchased a ratcheting tie down to further tigten it down on top. So overall it worked but if I had it to do again I would buy the pieces separately and not as a kit. For someone who does not want to go to the trouble of buying the items individually it is a good deal but you probably will still need another rope if you have a 17 foot canoe.\";}i:4;a:5:{s:5:\"title\";s:15:\"Worked Out Well\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 7, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AP7X38JMFN1N9\";s:4:\"name\";s:21:\"J. M. O\'Neill \"Jim O\"\";s:7:\"address\";s:4:\"Ohio\";}s:4:\"text\";s:263:\"Needed an inexpensive way to transport my canoe to my son\'s house in PA. This did the trick very well. I purchased extra lashing straps due to the fact that I was driving 8 hours at highway speeds. This is a real nice product for rooftop canoe or kayak transport.\";}i:5;a:5:{s:5:\"title\";s:21:\"great starter package\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 26, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A12SKMC6UR9MSS\";s:4:\"name\";s:8:\"janettis\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:619:\"This is a great starter package for anyone with a canoe. Although I recommend getting cinch or rachet straps for the front of the car/canoe instead of the ropes included, they are still a good place to start if you don\'t have anything. The cinch strap works great and is good quality. I also purchased other foam blocks and these are way better because they\'re longer (rectangular shaped) and more sturdy. They have a rubber grip pad attached if you are putting them directly onto your roof so they don\'t slip, and the cutouts work get to lock them in place onto any roof rack with cross bars. I highky recommend these.\";}i:6;a:5:{s:5:\"title\";s:31:\"Canoe Carrier a simple solution\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 19, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/ASSSHA5Q1QWG\";s:4:\"name\";s:35:\"Catherine M. Wasserbauer \"Fairview\"\";s:7:\"address\";s:4:\"Ohio\";}s:4:\"text\";s:282:\"We needed to move a canoe from 1 property to another. This provided a quick, easy solution. We used it with our full size van. It was easy attach and worked fine. We only used it one time, but I could see it being a good solution for someone transporting a canoe on a regular basis.\";}i:7;a:5:{s:5:\"title\";s:33:\"Good foam, worthless ropes/straps\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"June 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A88B9EGPN55D2\";s:4:\"name\";s:12:\"Thomas Henry\";s:7:\"address\";s:11:\"Chicago, IL\";}s:4:\"text\";s:209:\"Not a bad product, but I would not trust the ropes to keep a canoe secure for a long trip. I\'m much more comfortable using ratchet straps instead. The blocks are nice though, and fit perfectly on my roof rack.\";}i:8;a:5:{s:5:\"title\";s:13:\"As advertised\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 1, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A199QES57Z630C\";s:4:\"name\";s:16:\"Billy Williamson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:401:\"I carried a 16\' scanoe 122 miles to my fishing camp on a Ford Fusion. Yeah, it looked as absurd as it sounds. That said, the only problem we had was noise from the straps, but that\'s to be expected. I was doing around 50-60 mph and even had a strong headwind for most of the trip (both ways, no less). I already had a ratcheting strap, but I found that the included straps were better for the purpose.\";}i:9;a:5:{s:5:\"title\";s:21:\"Love it...for a while\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"February 1, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1B57QU3LNYWKH\";s:4:\"name\";s:14:\"Nathan J Wells\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:247:\"Worked great until 1 of the four foam pads fell off somewhere along the highway. Thought I had it down tight enough but I guess I was mistaken. Didn\'t attach it to a roof rack so it probably would have worked better if a rack would have been used.\";}}");
INSERT INTO `wp_postmeta` VALUES("3028", "452", "asg_last_refresh_attempt", "1371238278");
INSERT INTO `wp_postmeta` VALUES("3029", "452", "asg_update_timestamp", "1371238278");
INSERT INTO `wp_postmeta` VALUES("3042", "454", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3032", "453", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3033", "453", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3034", "453", "asg_item_id", "B00BNTZAES");
INSERT INTO `wp_postmeta` VALUES("3035", "453", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00BNTZAES\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Shoreline-Marine-Canoe-Kayak-Trolling/dp/B00BNTZAES%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00BNTZAES\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Shoreline-Marine-Canoe-Kayak-Trolling/dp/tech-data/B00BNTZAES%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZAES\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00BNTZAES%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZAES\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00BNTZAES%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZAES\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00BNTZAES%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZAES\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00BNTZAES%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZAES\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00BNTZAES%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZAES\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BNTZAES%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZAES\";}}}s:9:\"SalesRank\";s:6:\"122322\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41hQgtyc0rL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"065057\";}s:3:\"EAN\";s:13:\"0013893650573\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893650573\";}s:7:\"Feature\";a:4:{i:0;s:52:\"Easy to install, with pair of secure attachment arms\";i:1;s:65:\"Makes attachment of trolling motors and small gas motors a breeze\";i:2;s:69:\"The trolling motor bracket attaches to your kayak or canoe in minutes\";i:3;s:94:\"Holds all trolling motors with universal mounting brackets; Like Minn kota, Sevylor and others\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:7:\"SL91842\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"280\";s:6:\"Length\";s:4:\"2990\";s:6:\"Weight\";s:3:\"585\";s:5:\"Width\";s:3:\"940\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:49:\"Shoreline Marine Canoe/Kayak Trolling Motor Mount\";s:3:\"UPC\";s:12:\"013893650573\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893650573\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"5118\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$51.18\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BNTZAES%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZAES\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"0Vgjo5JCbXc7dOI%2B4jCbcmpJXt%2BAswwlUvrh1tV8utKkJDcWoPX3yJIDbP1J2VH5TNIt2GST0JAnDprqypuGoQGB2KORsb%2BMj1FemhbgmTvnGNkTIJXFTw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5118\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$51.18\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"881\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.81\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00BNTZAES&atag=freetos-20&exp=2013-06-15T19%3A31%3A18Z&v=2&sig=Yq8IWAni3MxKqfMO0%2BKl%2F5L5kG%2FXJheeBJTItHsEXDA%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:329:\"Mount a trolling motor to virtually any boat! Great for Jon boats, pontoons, deck boats, dinghies and most other transom-mount boats. Universal Trolling Motor Bracket adjusts into four positions and removes easily when not in use. Features a quick-release pull-knob and 3.5\'\' x 4\'\' mounting footprint. Includes mounting hardware.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3005", "450", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:9:\"45 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003UTX4OM\";s:17:\"Item model number\";s:4:\"0-TP\";s:28:\"Discontinued by manufacturer\";s:3:\"Yes\";}");
INSERT INTO `wp_postmeta` VALUES("3006", "450", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("3007", "450", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:54:\"Very stable. Backrest is a must for sit-down kayaking.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1737JYO2PGGG9\";s:4:\"name\";s:9:\"im_dragon\";s:7:\"address\";s:10:\"Boston, MA\";}s:4:\"text\";s:481:\"I have no problem standing on this. If you ever plan to use this as a sit-down kayak, get a backrest. I have three Kayak: Perception Swifty for cold weather, Ocean Kayak Mysto for rough water play, and Nalu for relatively calm water. With the Mysto, I can paddle without a seat comfortably. Not so on the Nalu. The Nalu, with the Ocean Kayak Comfort Backrest, and the Carlisle Taboo paddle, is now my favorite all-around kayak. It\'s also the fastest of the three kayaks that I own.\";}i:1;a:5:{s:5:\"title\";s:14:\"Good purchase!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ZJUN9CEZB9HQ\";s:4:\"name\";s:18:\"California paddler\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1101:\"I bought this product recently without much knowledge about stand up paddle boarding.. I based my purchase on other reviews.<br /><br />As a Stand up paddle board (SUP):<br />I tested it, and liked it a lot (without much to compare it with...).<br />But I decided to ask a friend to test it too. He is a pro paddler, and he basically is on the water 7 days a week.<br />He was very surprised, and had only good things to say about the performance and stability. It cuts through the water better than many SUP boards, and is more stable than most SUP boards. His only negative comment was that it was a little to wide for him to get the speed he liked. I am not racing with this board, so I am more concerned about stability in small surf...<br /><br />As a Kayak:<br />This is not as stable as a BIG Ocean Kayak, but works FINE. I plan to use it for day trips along the coast. It is just as good as any other Kayak it\'s size!<br />For longer trips, I would need a bigger kayak anyway.<br /><br />Also: This product is almost unbreakable! The downside is the weight, but it\'s completely worth it to me!\";}i:2;a:5:{s:5:\"title\";s:20:\"Better Than Expected\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1LC4QKZFH5PWM\";s:4:\"name\";s:12:\"M. MATYASTIK\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:583:\"After years with canoes and kayaks this was a first experience with a SUP. After standing and paddling for some time you can sit and paddle. It would be a good idea to get an adjustable standup paddle for this vessel so that you can alternate between standing and sitting while on the water. Or you can just choke up on the long paddle. Because of the tie down cord one can secure extra gear and the paddle extension. To be more comfortable when siting you can purchase a kayak seat that can be attached to the loops on the board. It all depends on how much back support you require.\";}i:3;a:5:{s:5:\"title\";s:26:\"Great Board Even in Ocean.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1UYPVWQDWUGFO\";s:4:\"name\";s:5:\"Wadai\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1389:\"I just got this board and its totally awesome. I live in Florida and take it out to the gulf everyday. Its a great beginning board for Ocean kayaking or SUP. In the gulf, the only times I\'ve fallen have been from heavy waves. On a flat day you could trust a newborn on this thing. On that note, the Nalu catches waves like a dream. Often time too easily.<br /><br /> The bungee for holding stuff is an excellent perk.It easily holds 3 can beers, probably a whole 6 to be honest.I\'m not sure it was meant for that but, that\'s how I roll. Its size makes it perfect for riding with a friend. 2 people can comfortably sit or stand.(None of this is recommend in the Owners Manual.)<br /><br /> I wish it came with a paddle but there\'s nothing I can do about that. I do suggest getting a seat along with it if you plan on doing extended periods of paddling. Its not needed but, its totally worth being able to pull it out and rest a bit. With the seat it really feels like a luxury paddle board/Kayak and the people around you know it.<br /><br />The Nalu\'s materials feels like it would take nothing short of a pissed off Poseidon to destroy it.<br /><br /> Its not as fast as a regular fiberglass paddle board but that\'s probably due to its weight. Actually the only part that sucks is carrying this 45 lbs beast. But that\'s the price of luxury. And for just under $600 luxury is coming cheap.\";}i:4;a:5:{s:5:\"title\";s:40:\"What an awesome surprise! Great workout.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2P048O94H68TX\";s:4:\"name\";s:14:\"SandyHanitizer\";s:7:\"address\";s:16:\"Hartford, CT USA\";}s:4:\"text\";s:1336:\"I\'ve had my paddleboard about a month now, and I love it. Prior, my main exercise has been an hour of strenuous kayaking almost every day. Since I\'ve gotten this board, I\'ve been on the kayak very little.<br /><br />While the kayak does a great job of strengthening upper body and core muscles, this is more of a whole body workout. Due to the fact you are standing, the back fatigue seems less than it would in a kayak.<br /><br />It tracks incredibly straight in the water, with the keeled bottom. I have been concerned that some of the other boards would not perform as well in flat water due to their flatter bottoms.<br /><br />I cannot speak to how this would do on the ocean (probably not that well), but for flatwater, it is amazing and I love it.<br /><br />It may take you an hour to master the balance, but once you do, it becomes very comfortable and second nature.<br /><br />It isn\'t that great as a sit-on-top because it is hard to get leverage. That being said, you can easily keep pace with lazy paddlers while sitting down. Stamina and speed are much better standing up though.<br /><br />(I\'m using a Werner Fiji paddle with this, and I\'m pretty happy with it, though I\'d prefer carbon fiber).<br /><br />Overall, I am incredibly satisfied with this product. If you put in the effort, you will get an awesome workout.\";}i:5;a:5:{s:5:\"title\";s:40:\"NOT for tall men & 1 of 2 came defective\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"August 24, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2DRKS1SBXM4BB\";s:4:\"name\";s:21:\"Leila Sadeghi \"Leila\"\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2670:\"I was very disappointed with one of the kayaks. It was obviously made with less care at the points of welding than the other and had a leaky plug. We called Ocean Kayak and they told us we have can only work with Amazon since they sold us the product. Despite the Amazon return policy allowing returns, the maximum amount of return shipping covered is 28.50 dollars. There is no way this 11 foot SUP/Kayak will cost that little to return, so we kept both of them due to cost/no other option. My boyfriend tried fixing the leak, and the plug is staying in place for now, but the front-end handle already fell off before the first use (how does that happen???). Then we go out to use the kayaks for the first time... The description states that the kayak has a capacity of 225-275 pounds. I am 120 lbs and it worked great for me. My boyfriend is 6\'3\" and muscular at 200 lbs... he looked ridiculous. He was too tall to put his feet in the foot grooves and despite that length problem he had to move his seat forward in order to not sink the back side of the kayak! 2 feet of the back end were totally submersed! He tried standing on the watercraft but it couldn\'t take his height/weight so he had to sit back down. He was slouching and crossing his legs or straightening them out in front of him in order to decrease his body size. With his knees up the paddles were difficult to use. We did get the Ocean Kayak Comfort Plus Seat Back comfort seats, <a href=\"http://www.amazon.com/gp/product/B003BNOW5M\">Carlisle Taboo Convertable Stand-Up Kayak Paddle</a> SUP/Kayak paddles, and <a href=\"http://www.amazon.com/gp/product/B004D35XAW\">Stearns Comfort Series Life Vest</a> which work great at low prices. We did not end up with even blisters, and this is after 5 hours of being on the kayaks in shorts without gloves on. My boyfriend is such a good sport, suffering through this. I figure we can upgrade pretty soon and give his to a family member. I do not recommend this product to tall, muscular men! For me it was great though at 5\'4\" 120 lbs with athletic build :) I got up and stayed up with ease, storage behind me was easy to access, the leaky plug did not cause any problems, foot placements worked with my height perfectly, and it is pretty fast. I got the orange one, which in use is cuter than the yellow. The yellow looks rather boring and artificial in nature with only one color.<br />A note on crossbars: I recommend getting kayak racks like the Thule Hull-a-Port Pro, since with two kayaks we don\'t feel crossbars and a locking strap like KanuLock is enough to hold both securely at high speeds. Our crossbars are Thule Aeroblade, and we\'re happy with them.\";}i:6;a:5:{s:5:\"title\";s:14:\"excellent boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3L6GJEEL7L4P3\";s:4:\"name\";s:5:\"Jim B\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:328:\"Yes, i call it a boat. The Nalu Hybrid was an excellant purchase for a fantastic price. The paddleboard/kayak combination is perfect for small waves and lake use. i have not used on the ocean, but i can only predict that it will perform beyond expectations. Very Stable, easy to paddle. even an 11 year old can move and control.\";}i:7;a:5:{s:5:\"title\";s:33:\"Hybrid = fun but means compromise\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"August 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AA7AEE4UK6NIQ\";s:4:\"name\";s:8:\"RGishere\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1251:\"Fist off you\'ll want to buy this with the Ocean Kayak Comfort Plus Seat Back or something similar. Also Buy the Carlisle Taboo Convertable Stand-Up Kayak Paddle.<br />Now in a perfect world you would own a kayak and a Sup. If you\'re like me and many others that\'s too pricey. So as a compromise you get the very fun Nalu 11. It is not the quickest sup or kayak. What it lacks in speed it makes up for in FUN! It is a very stable Sup since your feet are actually bellow water level. My first time out I had one bail in the first 3 mins and after that it was perfect. My second time out I was very comfortable on it and didn\'t come close to falling off once (even when my son ran into me with his kayak!). Now if you were to read John G. Svinos \"Harleydude\" review you would think twice about this kayak/sup. I think you should pay him no attention. It is extremely stable and with the added seat it is comfortable. Now Unless you\'re balance is non existent or you are severely over weight you will find this to be an awesome product. If you have the money to get a sup and a kayak I would go that route. This is a very nice product to own though. It\'s great to paddle to the middle of the lake, lay down and catch some rays. Hope you find this helpful.\";}i:8;a:5:{s:5:\"title\";s:21:\"Just what I hoped for\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"March 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3I6WRNKI9MGU5\";s:4:\"name\";s:9:\"S. Murray\";s:7:\"address\";s:10:\"Boston, MA\";}s:4:\"text\";s:487:\"I\'m not expert at watersports, but I was hoping for a fun lake toy that might also provide some exercise. This has been great. I\'m 6\', 180lbs and it fits me perfectly. My gf is 5\'4\" and she enjoys it more than I do. If you\'re larger than me, you might have issues I guess, but I don\'t feel remotely cramped, so I\'d imaging anyone up to 6\'4\" should be just fine, assuming their have any semblance of balance.<br /><br />I bought this in 2011 and its going strong, without a scratch on it.\";}i:9;a:5:{s:5:\"title\";s:85:\"Fun product - nice to have the option of sitting and kayaking OR stand up paddleling.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 27, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A31GHH98HO6FR5\";s:4:\"name\";s:10:\"GoGeorgia!\";s:7:\"address\";s:12:\"Georgia, USA\";}s:4:\"text\";s:836:\"Kayak came better wrapped than the last time but it would be better if it were actually in a cardboard box so it would not arrive damaged and dirty. Other than packaging issues, the kayak is perfect for paddling in the ocean or river, sitting down or standing up. Stand up on a breezy day is rougher to deal with, but on a calmer day, the extra height gives you a better chance of seeing where the fish/reefs are for fishing and just admiring the beauty of the ocean and river. I would highly recommend a life preserver especially when first learning to stand up on the kayak in case there is head contact with the kayak or the kayak flips over you in deeper or rougher waters. Common sense always should prevail. If you want to get outside and do something so different and so entertaining with nature as your backdrop, buy this kayak!\";}}");
INSERT INTO `wp_postmeta` VALUES("2995", "449", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00BNTZG1A\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Shoreline-Marine-Kayak-Paddle-Rings/dp/B00BNTZG1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00BNTZG1A\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Shoreline-Marine-Kayak-Paddle-Rings/dp/tech-data/B00BNTZG1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZG1A\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00BNTZG1A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZG1A\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00BNTZG1A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZG1A\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00BNTZG1A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZG1A\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00BNTZG1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZG1A\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00BNTZG1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZG1A\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BNTZG1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZG1A\";}}}s:9:\"SalesRank\";s:5:\"19070\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"31\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"66\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"207\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"12\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"31\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"31\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"46\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"66\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41L0KVn7cTL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"207\";}}}s:14:\"ItemAttributes\";a:21:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"076674\";}s:3:\"EAN\";s:13:\"0013893766748\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893766748\";}s:7:\"Feature\";a:3:{i:0;s:18:\"Helps keep you dry\";i:1;s:68:\"Replace the ones you have worn out or add to a less expensive paddle\";i:2;s:13:\"Sold in pairs\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:3:\"299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:7:\"SL76674\";s:3:\"MPN\";s:6:\"076674\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"80\";s:6:\"Length\";s:3:\"650\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"290\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"076674\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:40:\"Shoreline Marine Kayak Paddle Drip Rings\";s:3:\"UPC\";s:12:\"013893766748\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893766748\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.99\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BNTZG1A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZG1A\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:19:\"eCop! Police Supply\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:170:\"6S4W5VgMUgPnG0xcwNSAqIpHTqAwJ8Io5ceCyJ0qEnmsSCbZygojJEOlFNbXRw%2Fjizb7q2%2BgcuZCvDhhHpWBFrIp%2BoeJu7K5Gyybzbb0f5WlSVLKljsOdB5ppo3yLmJ6ERN6b%2B0YXKKxjvh1YvbcCduP%2Fmm7lvNu\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"532\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.32\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:200:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00BNTZG1A&atag=freetos-20&exp=2013-06-15T18%3A49%3A23Z&v=2&sig=kumPeH4%2FpRBb6pfBjMZ7r90D%2F0%2FfD%2F9yhEVll1Ul1oE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:268:\"This pair of rubber drip rings will slip on to most paddle shafts. Drip rings divert the water from running down the shaft on to the kayaker directly, so whether replacing worn out rings or adding to inexpensive paddle. Drip rings are a must have item for any kayaker.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2994", "449", "asg_item_id", "B00BNTZG1A");
INSERT INTO `wp_postmeta` VALUES("2993", "449", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2981", "447", "asg_last_refresh_attempt", "1371235761");
INSERT INTO `wp_postmeta` VALUES("2982", "447", "asg_update_timestamp", "1371235761");
INSERT INTO `wp_postmeta` VALUES("2983", "448", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2984", "448", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2985", "448", "asg_item_id", "B00BT4P8Y4");
INSERT INTO `wp_postmeta` VALUES("2986", "448", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00BT4P8Y4\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Premier-Kayak-Sport-Paddle-Leash/dp/B00BT4P8Y4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00BT4P8Y4\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Premier-Kayak-Sport-Paddle-Leash/dp/tech-data/B00BT4P8Y4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BT4P8Y4\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00BT4P8Y4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BT4P8Y4\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00BT4P8Y4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BT4P8Y4\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00BT4P8Y4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BT4P8Y4\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00BT4P8Y4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BT4P8Y4\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00BT4P8Y4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BT4P8Y4\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BT4P8Y4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BT4P8Y4\";}}}s:9:\"SalesRank\";s:5:\"74345\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL._SL75_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL._SL160_.jpg\";s:6:\"Height\";s:3:\"113\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL.jpg\";s:6:\"Height\";s:3:\"353\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL._SL30_.jpg\";s:6:\"Height\";s:2:\"21\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL._SL75_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL._SL75_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL._SL110_.jpg\";s:6:\"Height\";s:2:\"78\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL._SL160_.jpg\";s:6:\"Height\";s:3:\"113\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41KuopdUlQL.jpg\";s:6:\"Height\";s:3:\"353\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:7:\"Feature\";a:5:{i:0;s:64:\"Sport Leash offers similar features to our popular Gripper leash\";i:1;s:66:\"Same exclusive gripper insert keeps leash from slipping down shaft\";i:2;s:66:\"Super stretch paddle strap fits all paddle shafts and Fishing Rods\";i:3;s:51:\"3.5 feet of outdoor grade 4mm bungee. Sleek design.\";i:4;s:72:\"Made in the USA. Lifetime Guarantee.  Not to be used as a safety device.\";}s:5:\"Label\";s:13:\"Premier Kayak\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1997\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.97\";}s:12:\"Manufacturer\";s:13:\"Premier Kayak\";s:3:\"MPN\";s:5:\"P1577\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"110\";s:6:\"Length\";s:3:\"430\";s:6:\"Weight\";s:1:\"2\";s:5:\"Width\";s:3:\"290\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"P1577\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Premier Kayak\";s:6:\"Studio\";s:13:\"Premier Kayak\";s:5:\"Title\";s:32:\"Premier Kayak Sport Paddle Leash\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BT4P8Y4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BT4P8Y4\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:170:\"9cLx4tIFTshVNJ2yJ%2BHDqmuBRnB1UyMkSjXsgFf%2F41Tz4vlpyIgWNol16hCRCrHzrD2YiyDYt%2F%2Fu8XKrAsBaMY9Na4l%2FCXjON1JF5F6mQ4cTuJrlNIiIszpAa9BTcQKRTlLKP2yLGGIXqgek5c0K0Vf9mneCXMPt\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$17.99\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:3:\"899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.00\";}s:15:\"PercentageSaved\";s:2:\"50\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00BT4P8Y4&atag=freetos-20&exp=2013-06-15T18%3A49%3A21Z&v=2&sig=3%2FA%2F9Dok%2FxCXjgCjHOIpZfdneksTSGpJD8qRTfFpkjA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:555:\"Premier Kayak Gripper Sport paddle leash offers all of the great features of our deluxe paddle leash at an affordable price.  Our Sport leash comes with a 1\" stretch strap with our famous gripper insert and 4mm bungee cord.  We use the same nylon outdoor grade hardware as our deluxe leash which eliminates locked up and corroded fasteners.  Can be used as a recreational paddle or accessory leash to keep your paddle and accessories safe.  Makes a great Fishing Rod Leash.  For recreational kayaking only, not to be used as a safety device.  Made in USA.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2987", "448", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"0.3 ounces\";s:4:\"ASIN\";s:10:\"B00BT4P8Y4\";}");
INSERT INTO `wp_postmeta` VALUES("2988", "448", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2989", "448", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:30:\"Paddle Leash Works As Intended\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A27LGKD0HKTYEU\";s:4:\"name\";s:15:\"Stephen M. Ruff\";s:7:\"address\";s:11:\"Kingston,NY\";}s:4:\"text\";s:235:\"This paddle leash secures quickly to both kayak and paddle. It does not interfere with paddling at all,no matter what is being done with the paddle. It does not slip on the paddle. It is not at all intrusive or bothersome while in use.\";}}");
INSERT INTO `wp_postmeta` VALUES("2990", "448", "asg_last_refresh_attempt", "1371235763");
INSERT INTO `wp_postmeta` VALUES("2991", "448", "asg_update_timestamp", "1371235763");
INSERT INTO `wp_postmeta` VALUES("2992", "449", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2951", "444", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00C1TY1FS\";}");
INSERT INTO `wp_postmeta` VALUES("2952", "444", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2953", "444", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:4:\"Nice\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A394LX9JAH4EU7\";s:4:\"name\";s:4:\"VIVI\";s:7:\"address\";s:28:\"Middleburg, FL United States\";}s:4:\"text\";s:285:\"Just what we needed at the right price with quick delivery. Ideal to keep kayak paddles from floating away or as a leash so the dog doesn\'t jump off.. We have not tried it yet, but we got life jackets for them and now the little kayak leash to keep tiny dogs secure on the little boat!\";}}");
INSERT INTO `wp_postmeta` VALUES("2954", "444", "asg_last_refresh_attempt", "1371235754");
INSERT INTO `wp_postmeta` VALUES("2955", "444", "asg_update_timestamp", "1371235754");
INSERT INTO `wp_postmeta` VALUES("2956", "445", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2957", "445", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2958", "445", "asg_item_id", "B003N8CJDC");
INSERT INTO `wp_postmeta` VALUES("2959", "445", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003N8CJDC\";s:13:\"DetailPageURL\";s:205:\"http://www.amazon.com/Harmony-Kayak-Konsole-Dry-Hatch/dp/B003N8CJDC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003N8CJDC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:215:\"http://www.amazon.com/Harmony-Kayak-Konsole-Dry-Hatch/dp/tech-data/B003N8CJDC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003N8CJDC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003N8CJDC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003N8CJDC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003N8CJDC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003N8CJDC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003N8CJDC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003N8CJDC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003N8CJDC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003N8CJDC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003N8CJDC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003N8CJDC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003N8CJDC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003N8CJDC\";}}}s:9:\"SalesRank\";s:5:\"39477\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21qv82NLghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21qv82NLghL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21qv82NLghL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21qv82NLghL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21qv82NLghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21qv82NLghL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21qv82NLghL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21qv82NLghL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21qv82NLghL.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Harmony\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"8023016\";}s:5:\"Color\";s:9:\"One Color\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0729282023001\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0729282023001\";i:1;s:13:\"0729282032768\";}}s:7:\"Feature\";a:5:{i:0;s:29:\"Fits most recreational kayaks\";i:1;s:33:\"Secures via bungee to cockpit rim\";i:2;s:25:\"Mesh bag includes key fob\";i:3;s:14:\"Easy to attach\";i:4;s:47:\"Dimensions: 17” x 17.25” (43.2cm x 43.8 cm)\";}s:5:\"Label\";s:7:\"Harmony\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"7299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$72.99\";}s:12:\"Manufacturer\";s:7:\"Harmony\";s:5:\"Model\";s:7:\"8023016\";s:3:\"MPN\";s:7:\"8023016\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"470\";s:6:\"Length\";s:4:\"2430\";s:6:\"Weight\";s:3:\"440\";s:5:\"Width\";s:4:\"1720\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"8023016\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Harmony\";s:11:\"ReleaseDate\";s:10:\"2010-09-15\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:7:\"Harmony\";s:5:\"Title\";s:36:\"Harmony Kayak Konsole with Dry Hatch\";s:3:\"UPC\";s:12:\"729282032768\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"729282032768\";i:1;s:12:\"729282023001\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"6499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$64.99\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003N8CJDC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003N8CJDC\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Campmor\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"r3w5AQkUIGgmGFFzTuc%2BKYZ9f0Gn1GEI4Bf%2FLaREa%2B9EvB0h6mBQi8dZxTSDRbyGrHJVOn4nptCRHRgkTZkf2ck6ZrXPizOXElmgmOMqRWuL6uruM9mnnmYLJQuKYnKKKNZZ1SWz5I9yBjAZ77pN2%2BDxHJ0%2BntmQ\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"6499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$64.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"800\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.00\";}s:15:\"PercentageSaved\";s:2:\"11\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003N8CJDC&atag=freetos-20&exp=2013-06-15T18%3A49%3A14Z&v=2&sig=KrGOLhVcmoN8guzpkkkIILt6AeNj5ApElzpHMd%2BKWJA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:534:\"Komplete Konvenience, Kleverly Krafted. The Kayak Konsole offers ease of use and functionality all in one. The inspired hinged hatch with built-in cam levers for dry seal offers easy and unhindered access to contents, while the universal cupholders accommodate everything from travel mugs to 32 oz bottles. Additionally, recessed mounting surfaces for rod holder mounts and a mesh pocket conclude the generous list of features. This console will fit most recreational kayak cockpits and secures via bungee cord under the rim coaming. \";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2960", "445", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:10:\"4.4 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003N8CJDC\";s:17:\"Item model number\";s:7:\"8023016\";s:28:\"Discontinued by manufacturer\";s:3:\"Yes\";}");
INSERT INTO `wp_postmeta` VALUES("2961", "445", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("2962", "445", "asg_customer_reviews", "a:4:{i:0;a:5:{s:5:\"title\";s:34:\"Made for Wilderness Systems Kayaks\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 27, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3FUWNJCBY9OKZ\";s:4:\"name\";s:3:\"Buh\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:425:\"I got this console as part of a package when I got my Wilderness Systems Pungo 120 kayak. As far as I know, this console is made by Harmony and I think that Harmony makes parts mainly for Wilderness Systems. This thing is pretty nice and it shrinks down your cockpit size, but I\'m not sure if it\'s worth upwards of 70 bucks. If you have a Wilderness Systems kayak and have money to blow then it\'s a nice little thing to have.\";}i:1;a:5:{s:5:\"title\";s:24:\"Useful, but does not fit\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:15:\"January 1, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ASUVT8O6GACMD\";s:4:\"name\";s:8:\"D. Moore\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:244:\"Very useful at keeping my camera and GPS dry in the locking hatch... but does not fit the opening in my Perception Rhythm Sport at all. It kept popping off. I\'m going to have to modify the konsole (or the boat) before I attempt to use it again.\";}i:2;a:5:{s:5:\"title\";s:64:\"Had to do some slight modifications to install, but that\'s on me\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 31, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1S45AOMUAIBZA\";s:4:\"name\";s:6:\"Nestor\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:213:\"Product does exactly what is supposed. I had to modify mine to install it on an Elie Sound 100 since the fitting is for the Wilderness Kayaks. Already went underwater and the dry hatch did what was intended to do.\";}i:3;a:5:{s:5:\"title\";s:44:\"Jaws DROP when I cruise by with this setup!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 22, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AR51KQAN746X4\";s:4:\"name\";s:14:\"Jim \"-Jim W.-\"\";s:7:\"address\";s:28:\"New England, East Coast, USA\";}s:4:\"text\";s:1515:\"I read another review about this dashboard by a fella\' that tried to get it to work on a yak it WASN\'T DESIGNED TO FIT, and then is pissed it\'s \"not working out\"?!?!?!? I work very hard for the money I have, so when I invested in a fishing kayak, it was the result of hundreds of hours on the net (reading reviews from knowledgeable owners) and pounding the pavement at every \"Yak Dealer\" in two states!! When I saw something I liked, I\'d borrow one and try it out. What I ended up with is a home run for inland lakes, ponds and river fishing. I have the Wilderness Pungo 120 (12\') and outfitted it with the dashboard and 2 Scotty\'s Rod holders <a href=\"http://www.amazon.com/gp/product/B001M4HT1G\">Scotty Powerlock Black Rod Holder with 241 Side Deck Mount</a>. When I cruise by with rods out at 10:00 and 2:00, I can hear the comments coming from shore and other boaters as well. It\'s the sweetest setup on the water. The hatch does a great job of sealing out the water, and the cup holders hold drinks/items sweetly. The distance the rods are mounted in front of you offers nothing short of perfection. The rods are never in my way when I\'m trolling flies or floating/diving Rapalas, and are close at hand when I need to holler \"FISH ON!!\" When I want to head in, The Scotty\'s hold the rods neatly out over the \'yaks bow and lets me slip into even the tightest places on shore with no problems at all!. The small mesh carry bag that hangs in the cockpit is perfect for my small lure case and needle-nosed pliers.\";}}");
INSERT INTO `wp_postmeta` VALUES("2942", "443", "asg_product_details", "a:3:{s:11:\"Item Weight\";s:8:\"3 pounds\";s:15:\"Shipping Weight\";s:8:\"3 pounds\";s:4:\"ASIN\";s:10:\"B004450CQO\";}");
INSERT INTO `wp_postmeta` VALUES("2943", "443", "asg_star_rating", "4.9");
INSERT INTO `wp_postmeta` VALUES("2944", "443", "asg_customer_reviews", "a:7:{i:0;a:5:{s:5:\"title\";s:15:\"Kayak Insurance\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1VN81H3GTEZIC\";s:4:\"name\";s:5:\"Cleus\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:219:\"I purchased this locking system to secure the Emotion Glide Kayak. I fits well and is easy to set up your own combination. It also has keys that allow you to reset the combination at any time. Well worth the investment.\";}i:1;a:5:{s:5:\"title\";s:15:\"Very Functional\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"November 29, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2NI3P4D8P7OGQ\";s:4:\"name\";s:8:\"agingguy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:117:\"A very well made easy to use and functional product I would recommend this product for a moderate security situation.\";}i:2;a:5:{s:5:\"title\";s:5:\"-----\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3ROAQZ2PW5KFT\";s:4:\"name\";s:9:\"M. Brogna\";s:7:\"address\";s:3:\"nyc\";}s:4:\"text\";s:102:\"great item is as tough as it looks. and love the feature of having both a key and combo. well worth it\";}i:3;a:5:{s:5:\"title\";s:44:\"Great item - feel secure leaving your kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2VMANZKRQMB82\";s:4:\"name\";s:12:\"annieredpine\";s:7:\"address\";s:8:\"Great NW\";}s:4:\"text\";s:257:\"Nice heavy duty cable, easy to work, change code to something personal. Feels safe leaving the kayaks locked to the (locked) roof rack of the car now. I still hate leaving them overnight when we stop at a hotel, but it feels a lot safer now with the Lassos.\";}i:4;a:5:{s:5:\"title\";s:17:\"yak cable perfect\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AP2GDAH3SFXMI\";s:4:\"name\";s:10:\"yak attact\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:104:\"Love it, perfect length. Used to secure kayak on my truck rack and at the lake shore when away. Perfect!\";}i:5;a:5:{s:5:\"title\";s:22:\"Sturdy and easy to use\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AD119KKWU1NZN\";s:4:\"name\";s:8:\"Jumbolax\";s:7:\"address\";s:17:\"eastern shore, md\";}s:4:\"text\";s:323:\"have tried several kayak locks in the past and this is by far the best i\'ve used...i use two to lock my two 17.5\' sea kayaks together and they work really well...took me some creative thinking to figure out how to take out the slack so the loops could not be slipped over the ends, but once i figured it out, it works well.\";}i:6;a:5:{s:5:\"title\";s:15:\"Safe and Secure\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2VPA75BOAG8D5\";s:4:\"name\";s:13:\"P. A. Grondin\";s:7:\"address\";s:2:\"CT\";}s:4:\"text\";s:233:\"This is a great cable. Easy to use to secure my kayak safely. The combo lock is so much easier to use that searching for a key every time you take your yak out.<br />Highly recommend this product. Much better than others I have used.\";}}");
INSERT INTO `wp_postmeta` VALUES("2945", "443", "asg_last_refresh_attempt", "1371235752");
INSERT INTO `wp_postmeta` VALUES("2946", "443", "asg_update_timestamp", "1371235752");
INSERT INTO `wp_postmeta` VALUES("2947", "444", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2948", "444", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2949", "444", "asg_item_id", "B00C1TY1FS");
INSERT INTO `wp_postmeta` VALUES("2950", "444", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00C1TY1FS\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Premier-Kayak-Bungee-Paddle-Accessory/dp/B00C1TY1FS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00C1TY1FS\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Premier-Kayak-Bungee-Paddle-Accessory/dp/tech-data/B00C1TY1FS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1TY1FS\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00C1TY1FS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1TY1FS\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00C1TY1FS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1TY1FS\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00C1TY1FS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1TY1FS\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00C1TY1FS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1TY1FS\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00C1TY1FS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1TY1FS\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00C1TY1FS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1TY1FS\";}}}s:9:\"SalesRank\";s:5:\"44236\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL._SL75_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL._SL160_.jpg\";s:6:\"Height\";s:3:\"113\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL.jpg\";s:6:\"Height\";s:3:\"352\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:5:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL._SL30_.jpg\";s:6:\"Height\";s:2:\"21\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL._SL75_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL._SL75_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL._SL110_.jpg\";s:6:\"Height\";s:2:\"77\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL._SL160_.jpg\";s:6:\"Height\";s:3:\"113\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41kiw1r6CLL.jpg\";s:6:\"Height\";s:3:\"352\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/316RLNH40fL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/316RLNH40fL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/316RLNH40fL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/316RLNH40fL._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/316RLNH40fL._SL160_.jpg\";s:6:\"Height\";s:3:\"134\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/316RLNH40fL.jpg\";s:6:\"Height\";s:3:\"420\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zUXtBbjuL._SL30_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zUXtBbjuL._SL75_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41zUXtBbjuL._SL75_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41zUXtBbjuL._SL110_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41zUXtBbjuL._SL160_.jpg\";s:6:\"Height\";s:3:\"155\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41zUXtBbjuL.jpg\";s:6:\"Height\";s:3:\"485\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41sGTB-WJHL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41sGTB-WJHL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41sGTB-WJHL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41sGTB-WJHL._SL110_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41sGTB-WJHL._SL160_.jpg\";s:6:\"Height\";s:3:\"127\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41sGTB-WJHL.jpg\";s:6:\"Height\";s:3:\"396\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51%2BTj3KEwRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51%2BTj3KEwRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51%2BTj3KEwRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51%2BTj3KEwRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51%2BTj3KEwRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"159\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/51%2BTj3KEwRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"498\";}}}}s:14:\"ItemAttributes\";a:14:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:7:\"Feature\";a:5:{i:0;s:33:\"Premier Kayak Bungee Paddle Leash\";i:1;s:68:\"Easily Stretches over Paddle Blade for easy fit on one piece paddles\";i:2;s:66:\"Stainless steel cinch lock spring is durable and made for outdoors\";i:3;s:25:\"Easy to attach and remove\";i:4;s:33:\"Great security for sports cameras\";}s:5:\"Label\";s:13:\"Premier Kayak\";s:12:\"Manufacturer\";s:13:\"Premier Kayak\";s:3:\"MPN\";s:5:\"J3242\";s:17:\"PackageDimensions\";a:3:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:3:\"550\";s:5:\"Width\";s:3:\"400\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"J3242\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Premier Kayak\";s:6:\"Studio\";s:13:\"Premier Kayak\";s:5:\"Title\";s:51:\"Premier Kayak Bungee Paddle Leash / Accessory leash\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$6.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00C1TY1FS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00C1TY1FS\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:168:\"JzxOwQpY3vnmX71lOdHI%2BHh0Q8uM08x71zhsezxWUnfQMcdL6GgoZTbPc2MOuqqscQ5czHiysm0WtbvkdCfK73umScBM2SXq15TFzjA1PYCNjhKDOYns2kQ%2B4FAe50y8OnSWw%2BTMz3XYYv3IE8g29xpir%2BsxMB6L\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.99\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:3:\"699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$6.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"800\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.00\";}s:15:\"PercentageSaved\";s:2:\"53\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:202:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00C1TY1FS&atag=freetos-20&exp=2013-06-15T18%3A49%3A12Z&v=2&sig=7qJfr3D2T0Ya5%2BMa%2Bjoyd33tNQT%2Fazu%2F1oH0o70gy%2BI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:460:\"Premier Kayak bungee paddle leash with new cinch lock strap is a great addition to your kayak gear.  Generous 4 feet of 5 mm shock cord is great for all paddling styles.  USA made fasteners and bungee are made for outdoor use and won\'t fade, corrode or lock up.  Awesome solution for fishing rod leashes, electronics, sports cameras, hd cameras, etc.  Easily attaches and removes for ease of use.  For recreational use only.  Not a safety device.  Made in USA.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2894", "438", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2895", "438", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2896", "438", "asg_item_id", "B004D9CTPI");
INSERT INTO `wp_postmeta` VALUES("2897", "438", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004D9CTPI\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Kayak-paddle-accessory-set-Great/dp/B004D9CTPI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004D9CTPI\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Kayak-paddle-accessory-set-Great/dp/tech-data/B004D9CTPI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D9CTPI\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004D9CTPI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D9CTPI\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004D9CTPI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D9CTPI\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004D9CTPI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D9CTPI\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004D9CTPI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D9CTPI\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004D9CTPI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D9CTPI\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004D9CTPI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D9CTPI\";}}}s:9:\"SalesRank\";s:5:\"43899\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL._SL160_.jpg\";s:6:\"Height\";s:3:\"131\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL.jpg\";s:6:\"Height\";s:3:\"217\";s:5:\"Width\";s:3:\"265\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL._SL110_.jpg\";s:6:\"Height\";s:2:\"90\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL._SL160_.jpg\";s:6:\"Height\";s:3:\"131\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21JqYHoVqkL.jpg\";s:6:\"Height\";s:3:\"217\";s:5:\"Width\";s:3:\"265\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL.jpg\";s:6:\"Height\";s:3:\"266\";s:5:\"Width\";s:3:\"400\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL110_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL.jpg\";s:6:\"Height\";s:3:\"290\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:19:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:3:\"EAN\";s:13:\"0033586681523\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0033586681523\";}s:7:\"Feature\";a:4:{i:0;s:53:\"Kayak splash guard and Gripper paddle leash combo set\";i:1;s:57:\"Kayak splash guards keep you dry and comfortable (1 pair)\";i:2;s:47:\"Kayak Gripper paddle leash stays out of the way\";i:3;s:11:\"Made in USA\";}s:5:\"Label\";s:13:\"premier kayak\";s:12:\"Manufacturer\";s:13:\"premier kayak\";s:5:\"Model\";s:9:\"sppl 1335\";s:3:\"MPN\";s:9:\"sppl 1335\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"50\";s:6:\"Length\";s:3:\"630\";s:6:\"Weight\";s:1:\"2\";s:5:\"Width\";s:3:\"560\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:9:\"sppl 1335\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"premier kayak\";s:6:\"Studio\";s:13:\"premier kayak\";s:5:\"Title\";s:46:\"Kayak paddle 2 in 1 accessory set. Great gift!\";s:3:\"UPC\";s:12:\"033586681523\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"033586681523\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1997\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.97\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004D9CTPI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D9CTPI\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:164:\"fqgQG84UxEMGf7u5LxOYkObYHu4CdY9Pe6y596j4NU2RDCrZ%2BLmvbi14VebMG5gRXmBXONWujMnTdnhFiHrQFhCeWraP50i6GAtuOxf75I3OfI6KXaoDwL0RutFuuALfJV4LwQaa06JCVPNeVcC7RxWu9%2FvUPSpu\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.99\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"1997\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.97\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1002\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.02\";}s:15:\"PercentageSaved\";s:2:\"33\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004D9CTPI&atag=freetos-20&exp=2013-06-15T18%3A48%3A59Z&v=2&sig=JDtwDQwaj5tlmwEsRvqx3a0esdBOL%2BPZ47l%2BG4BaIo4%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1350:\"Premier Kayak 2 in 1 paddle gear combo set.  Save BIG money on this combo set.  Includes our popular Paddle Splash Guard (1 pair)  and one Gripper Paddle leash.\n\nPaddle Splash Guard:\nOur exclusive design greatly decreases the amount of splash from your paddle.  Have a blast on the water all day long and stay dry.  No more soaked lap, wet shirt, or spotty sunglasses. These splash guards are made of a very grippy neoprene rubber that keeps them firmly attached to your paddle.  Great for single piece paddles where it is nearly impossible to put standard drip rings on.  These splash guards wrap around the shaft of your paddle and fasten shut with hook and loop fastener. Its Patent Pending Cone shape holds water on the upstroke and drops it right back on the down stroke.  An incredible improvement to any size or shape paddle.  Sold in pairs. Made in the USA  Patent Pending.\n\nGripper Paddle Leash:\nWe have stripped the paddle leash to its bare essentials.  No more heavy coils or soaked tubular webbing.  We created the lightest and most comfortable paddle leash.  It is constructed of stretchy hook and loop that is lined with a special paddle shaft-gripping material.  Once you attach the strap to your paddle, it stays exactly where you put it.  We use nylon fasteners and shock cord specifically designed for outdoor use.  Made in the USA.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2893", "437", "asg_update_timestamp", "1371235738");
INSERT INTO `wp_postmeta` VALUES("2883", "436", "asg_last_refresh_attempt", "1371235737");
INSERT INTO `wp_postmeta` VALUES("2884", "436", "asg_update_timestamp", "1371235737");
INSERT INTO `wp_postmeta` VALUES("2885", "437", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2886", "437", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2887", "437", "asg_item_id", "B003652KEA");
INSERT INTO `wp_postmeta` VALUES("2888", "437", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003652KEA\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Sevylor-2000004158-Whitewater-Kayak-Paddle/dp/B003652KEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003652KEA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Sevylor-2000004158-Whitewater-Kayak-Paddle/dp/tech-data/B003652KEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652KEA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003652KEA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652KEA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003652KEA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652KEA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003652KEA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652KEA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003652KEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652KEA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003652KEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652KEA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003652KEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652KEA\";}}}s:9:\"SalesRank\";s:6:\"147557\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"74\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"157\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"490\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"29\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"74\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"74\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"108\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"157\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ebHcWHKuL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"490\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:13:\"0076501046229\";i:1;s:10:\"2000004158\";}}s:5:\"Color\";s:6:\"Yellow\";s:3:\"EAN\";s:13:\"0076501046229\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501046229\";}s:7:\"Feature\";a:5:{i:0;s:37:\"90.5 Inch length; 7 Inch-wide blades.\";i:1;s:47:\"4-section breakdown paddle, great for traveling\";i:2;s:23:\"Anodized aluminum shaft\";i:3;s:52:\"Spoon-shaped fiberglass-charged polypropylene blades\";i:4;s:38:\"Cold-weather grip with blade indicator\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"3700\";s:6:\"Length\";s:3:\"900\";s:6:\"Weight\";s:3:\"265\";s:5:\"Width\";s:3:\"300\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$54.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000004158\";s:3:\"MPN\";s:10:\"2000004158\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"3100\";s:6:\"Weight\";s:3:\"270\";s:5:\"Width\";s:3:\"900\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000004158\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:7:\"VYL1121\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:31:\"Sevylor Whitewater Kayak Paddle\";s:3:\"UPC\";s:12:\"076501046229\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501046229\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"3926\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.26\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003652KEA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652KEA\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"fnTdSmTW6JufFomRSFC1kWe6QhTja1v2X7lqxCj4DEhxnws2ytNgi2l2JE%2F%2BH78aMyPQwpz2xO4LxNxKAntY1Ny37u0meubAfsZTSrkJw2mgcucLHhhyLw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4980\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.80\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"519\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.19\";}s:15:\"PercentageSaved\";s:1:\"9\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003652KEA&atag=freetos-20&exp=2013-06-15T18%3A48%3A57Z&v=2&sig=aGk7Xom9p%2FYZwKAXUR0nJ6h%2FTBZWpcNf5hWhwCfpL8Q%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:388:\"A great choice for serious kayaking, the Sevylor Whitewater Kayak Paddle measures 90.5 Inch long with 7 Inch-wide blades. The anodized aluminum shaft is lightweight and super-strong, featuring a cold-weather grip with blade indicator and 2 drip rings. This 4-section breakdown paddle is great for traveling and easy to store. The blades are spoon-shaped, fiberglass-charged polypropylene.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2889", "437", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:30:\"9 x 3 x 37 inches ; 2.6 pounds\";s:15:\"Shipping Weight\";s:10:\"2.7 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003652KEA\";s:17:\"Item model number\";s:10:\"2000004158\";}");
INSERT INTO `wp_postmeta` VALUES("2890", "437", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2891", "437", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:14:\"Love my paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1TED4G0PWZPQV\";s:4:\"name\";s:21:\"Stellavera S. Kilcher\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:128:\"I have no complaints on this paddle. Works great, looks great, collapses for easy storage.<br />I recommend it highly to anyone,\";}}");
INSERT INTO `wp_postmeta` VALUES("2892", "437", "asg_last_refresh_attempt", "1371235738");
INSERT INTO `wp_postmeta` VALUES("2866", "434", "asg_update_timestamp", "1371235732");
INSERT INTO `wp_postmeta` VALUES("2865", "434", "asg_last_refresh_attempt", "1371235732");
INSERT INTO `wp_postmeta` VALUES("2863", "434", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:20:\"14 x 29 x 108 inches\";s:15:\"Shipping Weight\";s:9:\"75 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. A separate shipping charge will also apply.\";s:4:\"ASIN\";s:10:\"B006K99DB2\";s:17:\"Item model number\";s:8:\"Escape 9\";}");
INSERT INTO `wp_postmeta` VALUES("2864", "434", "asg_star_rating", "4.8");
INSERT INTO `wp_postmeta` VALUES("2836", "431", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:30:\"26 x 18 x 8 inches ; 27 pounds\";s:15:\"Shipping Weight\";s:9:\"35 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000FE7J64\";s:17:\"Item model number\";s:6:\"AHTK-1\";}");
INSERT INTO `wp_postmeta` VALUES("2837", "431", "asg_star_rating", "3.8");
INSERT INTO `wp_postmeta` VALUES("2838", "431", "asg_customer_reviews", "a:5:{i:0;a:5:{s:5:\"title\";s:33:\"Good value, but not a great kayak\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"July 31, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AN6PWAVKI6SEA\";s:4:\"name\";s:22:\"M. Everton \"yakmaster\"\";s:7:\"address\";s:13:\"Baltimore, MD\";}s:4:\"text\";s:1128:\"We bought the Airhead 1-person inflatable kayak and used it for the first time on a rather lengthy trip down the Upper Delaware river. The kayak inflates quickly and easily and the seat is relatively easy to attach. My 12 y.o. daughter used this kayak for most of the trip and liked it, but I tried it for a period of time and it has some serious drawbacks. On this trip we were going downstream with a significant flow, so paddling in a straight line for any period of time was not a big deal. This boat is very hard to keep going in a straight line as you are sitting up quite high and even with the help of some small skegs, there is simply no way to comfortably keep it going where you want for any length of time. I also have issue with the lack of proper finishing on seams and lack of a carry bag, and I have serious doubts about it surviving even mild whitewater. However, all that said, it got the job done for a reasonable price. So, for going down a moving river, it is okay. If you want to cross still water without wandering all over the place, it is probably not for you. By the way, the Upper Delaware is awesome!\";}i:1;a:5:{s:5:\"title\";s:24:\"Good boat for good price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26S0NKO98D5BA\";s:4:\"name\";s:14:\"buzz lightyear\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:987:\"This boat is a good affordable option for inflatable kayaking. It seems to be made of pretty durable material and the seats are pretty comfortable. It\'s a little strange that the bottom of the boat is so wavy but it doesn\'t seem to matter much. The inflatable removable floor usually needs adjusting right out of the box to get it aligned correctly. Another odd thing is that the valves aren\'t tethered to the boat which seems like an oversight. In order to deflate the boat you have to remove the valve entirely and keep it in a safe place. Other kayaks have the valves tethered to the boat so you don\'t lose them. Overall though, this is a good quality boat at a reasonable price point. I purchased it at $240 with free shipping thru amazon. It\'s not a low end boat like a sevylor tahiti but not a higher end whitewater boat like the aire tomcat. It\'s a good middle of the road boat and the price reflects that. I use it on class II water as well as flat water lakes and it does great.\";}i:2;a:5:{s:5:\"title\";s:28:\"Pretty Good Inflatable Kayak\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AI7H5CUWYDGVG\";s:4:\"name\";s:6:\"Thomas\";s:7:\"address\";s:15:\"BRISTOL, CT, US\";}s:4:\"text\";s:956:\"Just bought two of these a month ago for my partner and myself. These kayaks are fairly rugged and are quite maneuverable. The two complaints I have is this kayak is fairly slow even on calm flatwater (nevermind wind and choppy waters), and the tracking on this kayak is just barely \"average\". That being said, it\'s a moderately priced inflatable so expecting it to perform as fast as a hardshell or more expensive inflatable model isn\'t going to happen. We have taken them out on several lakes and two rivers with class 2 rapids and, they have performed quite well ( including being able to take some bumps and bruises from rocks and sticks). I would recommend these kayaks to anyone who is a beginner, recreational, or possibly interested in kayaking. I would give it a 5 star rating for the versatility, price, durability and maneuverability, but due to the pretty slow speed and so-so tracking I give this inflatable kayak an overall rating of 4 stars.\";}i:3;a:5:{s:5:\"title\";s:44:\"Great Inflatable Kayak, however not typical.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"June 5, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2N23XQOO0M5YU\";s:4:\"name\";s:15:\"envirolutionary\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:690:\"I absolutely love this kayak, I can keep it in my car for an easy inflate and go kayak. I use it on a weekly basis, have yet to see an issue with it. It is very light (about 30 lbs). I am 5\'5&#34;, 125 lbs and can carry oars and the kayak on my own (inflated and not) easily. It is a bit awkward at first but once you get a groove on the carry it becomes easier.<br /><br />I plan on buying a sail and finding a skirt to fit to take on some rafting trips.<br /><br />I would caution that it isn\'t a typical kayak, you will be working harder to go the distance of other kayaks because it is so light and easily blown by the wind. It is a very good alternative. Would recommend to any friend.\";}i:4;a:5:{s:5:\"title\";s:8:\"kayaking\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 26, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2BRVBS6L1892M\";s:4:\"name\";s:15:\"George R. Meyer\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:220:\"We enjoy the kayaks very much. remeber this is not an ocean going unit. out friends have regular kayaks and they just pass us up but we padle a little harder but transport them a lot easier. and they fit in our motorhome\";}}");
INSERT INTO `wp_postmeta` VALUES("2839", "431", "asg_last_refresh_attempt", "1371235726");
INSERT INTO `wp_postmeta` VALUES("2840", "431", "asg_update_timestamp", "1371235726");
INSERT INTO `wp_postmeta` VALUES("2841", "432", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2842", "432", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2843", "432", "asg_item_id", "B0047EEJAW");
INSERT INTO `wp_postmeta` VALUES("2844", "432", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0047EEJAW\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Sparehand-Systems-Black-Kayak-Rack/dp/B0047EEJAW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0047EEJAW\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Sparehand-Systems-Black-Kayak-Rack/dp/tech-data/B0047EEJAW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047EEJAW\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0047EEJAW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047EEJAW\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0047EEJAW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047EEJAW\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0047EEJAW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047EEJAW\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0047EEJAW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047EEJAW\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0047EEJAW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047EEJAW\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0047EEJAW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047EEJAW\";}}}s:9:\"SalesRank\";s:5:\"39373\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SROxmFndL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SROxmFndL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SROxmFndL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SROxmFndL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SROxmFndL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SROxmFndL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SROxmFndL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SROxmFndL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SROxmFndL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"SpareHand\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"KC-103\";}s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0832085002514\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0832085002514\";}s:7:\"Feature\";a:5:{i:0;s:111:\"Freestanding Kayak and paddleboard storage system. Will fit any type and sizes of kayaks, paddleboard, and SUP.\";i:1;s:106:\"Top flat surface can be used as work stand, repair platform, or just simple storage for your paddle gears.\";i:2;s:79:\"High density to protect your boat. Only extend 28\" when place against the wall.\";i:3;s:87:\"Light weight, sturdy, and super portable. Accomodate all boat (kayak) sizes and length.\";i:4;s:50:\"Easy assembly. Can be assembled in 5 - 10 minutes.\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"3500\";s:6:\"Length\";s:4:\"2800\";s:5:\"Width\";s:4:\"4800\";}s:5:\"Label\";s:17:\"Sparehand Systems\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"17900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$179.00\";}s:12:\"Manufacturer\";s:17:\"Sparehand Systems\";s:5:\"Model\";s:6:\"KC-103\";s:3:\"MPN\";s:6:\"KC-103\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"550\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:4:\"2420\";s:5:\"Width\";s:4:\"1175\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"KC-103\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Sparehand Systems\";s:11:\"ReleaseDate\";s:10:\"2010-11-15\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:17:\"Sparehand Systems\";s:5:\"Title\";s:34:\"Sparehand Systems Black Kayak Rack\";s:3:\"UPC\";s:12:\"832085002514\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"832085002514\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"12895\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$128.95\";}s:8:\"TotalNew\";s:1:\"7\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0047EEJAW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047EEJAW\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"F%2B9fHUD3AIgKA87bGnHzxnwU8sGuDaSfscsPbwPTWvRPfSr%2BaB2kmHvyyiyt%2BCh04AiYcIFbJuyPjbvDmDErA4zfY7A%2FSD6n8sNnxoBfd4IWnESSZUBuAw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"14195\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$141.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3705\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$37.05\";}s:15:\"PercentageSaved\";s:2:\"21\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0047EEJAW&atag=freetos-20&exp=2013-06-15T18%3A48%3A47Z&v=2&sig=skTyQHbaDxEx%2FNiW2e6SIUwyvtYXymQBR5vYtfXNxuQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:99:\"A fantastic solution to store your kayaks, paddleboard, SUP, surfboard, or any of your bulky items.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2845", "432", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:19:\"28 x 48 x 35 inches\";s:15:\"Shipping Weight\";s:11:\"24.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0047EEJAW\";s:17:\"Item model number\";s:6:\"KC-103\";}");
INSERT INTO `wp_postmeta` VALUES("2846", "432", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2847", "432", "asg_customer_reviews", "a:5:{i:0;a:5:{s:5:\"title\";s:17:\"Awesome Rack.....\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 18, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AQFC3PDQIBK8Y\";s:4:\"name\";s:10:\"paddlestud\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:317:\"Best solution for my kayaks in the offseason.<br /><br />This rack is easy to assemble and light. Plus, it only take up minimum space in my garage.<br /><br />I have some of Sparehand other racks that is used on my boat dock, that i would hightly recommed!<br /><br />The price is the best and the product is awesome!\";}i:1;a:5:{s:5:\"title\";s:50:\"Rack ok - hardware that comes with it doesn\'t work\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"February 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1ID1869MAA1NM\";s:4:\"name\";s:7:\"Bookish\";s:7:\"address\";s:15:\"Gainesville, FL\";}s:4:\"text\";s:541:\"Overall, I\'m not terribly impressed with this rack for a couple of reasons. 1) the directions are inaccurate as well as unclear; 2) out of 16 nuts & bolts, only 8 worked together; 3) when the seller sent me more nuts & bolts in a kind customer service gesture - they arrived in a factory sealed bag and upon opening them I tried them and not 1 nut/bolt combo would screw together farther than the very tip of the bolt! He should\'ve saved himself the shipping cost. So, it\'s off to Lowe\'s to get my own hardware and try to patch up this mess.\";}i:2;a:5:{s:5:\"title\";s:27:\"Great Product for the Price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 19, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ARNXBSQZ30OHQ\";s:4:\"name\";s:15:\"Danielle Landry\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:98:\"This does exactly what I need it to do. It holds up two 12\' kayaks. It is a good sturdy structure.\";}i:3;a:5:{s:5:\"title\";s:23:\"Kayak Storage in Garage\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A3ANGX0QUAJ98\";s:4:\"name\";s:18:\"Stephen R. Soileau\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:376:\"While I have a large garage, space always seems to be at a premium. I needed a way to store two kayaks and be able to move them around at the same time.<br /><br />I took this holder and mounted it on plywood and put four casters under the plywood. Not only is the storage rack exactly what I needed, but it can be moved around to accomodate access to all areas of the garage.\";}i:4;a:5:{s:5:\"title\";s:33:\"holds 2 17\'+ sea kayaks perfectly\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AD119KKWU1NZN\";s:4:\"name\";s:8:\"Jumbolax\";s:7:\"address\";s:17:\"eastern shore, md\";}s:4:\"text\";s:226:\"this rack works really well...i have both kayaks on their sides to keep them from deforming or warping...saves alot of room on the side of my house...height is perfect for me to lift on and off by myself...definitely recommend\";}}");
INSERT INTO `wp_postmeta` VALUES("2848", "432", "asg_last_refresh_attempt", "1371235728");
INSERT INTO `wp_postmeta` VALUES("2849", "432", "asg_update_timestamp", "1371235728");
INSERT INTO `wp_postmeta` VALUES("2850", "433", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2851", "433", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2852", "433", "asg_item_id", "B00A3EW91G");
INSERT INTO `wp_postmeta` VALUES("2853", "433", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00A3EW91G\";s:10:\"ParentASIN\";s:10:\"B00A3EW91G\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Ocean-Kayak-Comfort-Pro-Backrest/dp/B00A3EW91G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00A3EW91G\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Ocean-Kayak-Comfort-Pro-Backrest/dp/tech-data/B00A3EW91G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00A3EW91G\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00A3EW91G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00A3EW91G\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00A3EW91G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00A3EW91G\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00A3EW91G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00A3EW91G\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00A3EW91G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00A3EW91G\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00A3EW91G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00A3EW91G\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00A3EW91G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00A3EW91G\";}}}s:9:\"SalesRank\";s:6:\"126721\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:5:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Sd-mzghPL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41F5cRkHe-L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41F5cRkHe-L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41F5cRkHe-L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41F5cRkHe-L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41F5cRkHe-L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41F5cRkHe-L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41wMqozBN5L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41wMqozBN5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41wMqozBN5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41wMqozBN5L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41wMqozBN5L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41wMqozBN5L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41GjKEC%2BLdL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41GjKEC%2BLdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41GjKEC%2BLdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41GjKEC%2BLdL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41GjKEC%2BLdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41GjKEC%2BLdL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/411PuXbdO2L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/411PuXbdO2L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/411PuXbdO2L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/411PuXbdO2L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/411PuXbdO2L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/411PuXbdO2L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}}s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:5:\"Label\";s:11:\"Ocean Kayak\";s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"502\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:32:\"Ocean Kayak Comfort Pro Backrest\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"7999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$79.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B000V3WR9S\";s:10:\"ParentASIN\";s:10:\"B00A3EW91G\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L._SL160_.jpg\";s:6:\"Height\";s:3:\"147\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L.jpg\";s:6:\"Height\";s:3:\"460\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L._SL30_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L._SL110_.jpg\";s:6:\"Height\";s:3:\"101\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L._SL160_.jpg\";s:6:\"Height\";s:3:\"147\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/51Yl%2Be4m85L.jpg\";s:6:\"Height\";s:3:\"460\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"07.1016.0000\";}s:5:\"Color\";s:4:\"Grey\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0785978019253\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0785978019253\";}s:7:\"Feature\";a:3:{i:0;s:57:\"Comfortable thermo-formed EVA foam back band and seat pad\";i:1;s:24:\"Mounting straps provided\";i:2;s:35:\"Brass swivel buckles for attachment\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"8999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.99\";}s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:12:\"07.1016.0000\";s:3:\"MPN\";s:12:\"07.1016.0000\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"330\";s:6:\"Length\";s:4:\"2200\";s:6:\"Weight\";s:3:\"260\";s:5:\"Width\";s:4:\"1240\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"07.1016.0000\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:7:\"Regular\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:39:\"Ocean Kayak Comfort Pro Backrest (Grey)\";s:3:\"UPC\";s:12:\"785978019253\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"785978019253\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:4:\"Grey\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"Regular\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:6:{s:14:\"OfferListingId\";s:134:\"dUAVi6JzZZaKxtKzW5KIjALE4hI9sLdKFs76WRlSRHnJpO5rI0Ui4zYXqohDjg3J%2FvbRIu3Dxvr%2B4PRsO%2F56hR6HT%2F6M0y%2BdCdrCJ9oK6TRjFyJzDnqddA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:1:\"4\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$0.04\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:200:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00A3EW91G&atag=freetos-20&exp=2013-06-15T18%3A48%3A48Z&v=2&sig=RKz5RIiZd%2F7Xkly%2B5%2FDln1dDdolsUYQTQD5J12uHt%2FY%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:496:\"Take your Ocean Kayaks sit-on-top kayak out for the day and stay comfortable with the Comfort Pro Backrest. The thermo-molded foam supports your back so you can stay out longer. Ocean Kayaks gave the Comfort Pro Backrest a padded seat, too, so you not only stay comfortable, you stay drier.<br /><br /><b>Product Features</b><ul style=\"list-style-type: disc; margin-left: 25px;\"><li>Material: foam</li><li>Claimed Weight: </li><li>Recommended Use: </li><li>Manufacturer Warranty: 1 year</li></ul>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2854", "433", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:8:\"5 pounds\";s:4:\"ASIN\";s:10:\"B00A3EW91G\";}");
INSERT INTO `wp_postmeta` VALUES("2855", "433", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2856", "433", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:11:\"Comfortable\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 27, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A14TRO2C474S3L\";s:4:\"name\";s:4:\"rcy7\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:104:\"Put it in an ocean Kayak Frenzy. Makes sitting for extended time much easier on the Florida gulf & sound\";}i:1;a:5:{s:5:\"title\";s:16:\"Comfortable seat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2Q4GN0WY07FME\";s:4:\"name\";s:12:\"Jack Enright\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:217:\"This is a must buy for your Ocean Kayak if you are rowing for hours. It is easy to attach and take off. It provides firm support to your back and comfort when you are tired. Jack Enright, Author of Battle for Oceanus.\";}}");
INSERT INTO `wp_postmeta` VALUES("2857", "433", "asg_last_refresh_attempt", "1371235731");
INSERT INTO `wp_postmeta` VALUES("2858", "433", "asg_update_timestamp", "1371235731");
INSERT INTO `wp_postmeta` VALUES("2859", "434", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2860", "434", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2861", "434", "asg_item_id", "B006K99DB2");
INSERT INTO `wp_postmeta` VALUES("2862", "434", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B006K99DB2\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Riot-Kayaks-Escape-Sit-On-Top-Recreational/dp/B006K99DB2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB006K99DB2\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Riot-Kayaks-Escape-Sit-On-Top-Recreational/dp/tech-data/B006K99DB2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006K99DB2\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB006K99DB2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006K99DB2\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB006K99DB2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006K99DB2\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB006K99DB2%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006K99DB2\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B006K99DB2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006K99DB2\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B006K99DB2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006K99DB2\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B006K99DB2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006K99DB2\";}}}s:9:\"SalesRank\";s:6:\"158799\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sUkcgUYLL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sKYutWsvL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sKYutWsvL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sKYutWsvL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sKYutWsvL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sKYutWsvL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sKYutWsvL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:11:\"Riot Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:9:\"escape9WB\";}s:5:\"Color\";s:10:\"White/Blue\";s:3:\"EAN\";s:13:\"0325841071010\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0325841071010\";}s:7:\"Feature\";a:5:{i:0;s:29:\"Sit-on-top recreational kayak\";i:1;s:30:\"Convenient, durable, and agile\";i:2;s:34:\"Great for an afternoon on the lake\";i:3;s:33:\"Short length for easy car loading\";i:4;s:49:\"Measures 9 feet by 29 inches and weighs 37 pounds\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:5:\"10800\";s:6:\"Length\";s:4:\"1400\";s:5:\"Width\";s:4:\"2900\";}s:5:\"Label\";s:11:\"Riot Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"39900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$399.00\";}s:12:\"Manufacturer\";s:11:\"Riot Kayaks\";s:5:\"Model\";s:8:\"Escape 9\";s:3:\"MPN\";s:8:\"Escape 9\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:5:\"10800\";s:6:\"Weight\";s:4:\"7500\";s:5:\"Width\";s:4:\"2900\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"Escape 9\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Riot Kayaks\";s:11:\"ReleaseDate\";s:10:\"2011-09-30\";s:4:\"Size\";s:6:\"9-Feet\";s:6:\"Studio\";s:11:\"Riot Kayaks\";s:5:\"Title\";s:81:\"Riot Kayaks Escape 9 Sit-On-Top Flatwater Recreational Kayak (White/Blue, 9-Feet)\";s:3:\"UPC\";s:12:\"325841071010\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"325841071010\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"39900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$399.00\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B006K99DB2%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006K99DB2\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:130:\"OXELoYrikLMv7qoxtz0luYpMXePbP%2FasBQEvmTjbcFo5NHiuU%2BlMrVHjcRVt82N77aulzu2ekpRyKZtES4mQA3xXoxzGdSo7OLgxmoTZHOP5I%2BveaIbyRg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"39900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$399.00\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B006K99DB2&atag=freetos-20&exp=2013-06-15T18%3A48%3A51Z&v=2&sig=xwxmidPlF4SnHeaQBTFeldXPksqJppfMBW7gTrouom8%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:583:\"Stackable and easy to lock up through the molded-in front handle, the Escape 9 is the boat of choice for the chalet or to complement your rental fleet. Its arched hull design with drain holes make it a convenient, durable and agile kayak, fast for its length and is a blast to take in the surf too! Features sit-on-top high back outfitting, 5-inch day hatch, drainplug, three rubber handles and one molded-in anti-theft handle, molded-in footrests, rear deck shock cord storage, and cup holder. The kayak measures 9 feet by 29 inches and weighs 37 pounds; dry hatch: 5-inch diameter.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2819", "429", "asg_star_rating", "2.5");
INSERT INTO `wp_postmeta` VALUES("2820", "429", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:37:\"Some problems, but usable and compact\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"October 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OEYJX9D78POJ\";s:4:\"name\";s:10:\"Hans Boehm\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1303:\"I have several kayak paddles. This one has the advantage that it breaks down into smaller sections than anything comparable that I\'ve found so far. It fits in a duffle bag with an inflatable kayak, which barely fits on the back of my bike. And it\'s much more functional than some of the (even more packable) toy paddles, like the cheap Sevylor plastic paddles. This one feels roughly like a real kayak paddle.<br /><br />On the negative side, you have to be careful to insert the paddle blade onto the shaft sufficiently. We\'ve had one fall of once, fortunately in calm shallow water. And if I tighten the connections sufficiently to keep the blades reasonably aligned, it becomes difficult to later disassemble the paddle, especially with wet hands. And I expect the uncovered aluminum shaft could be unpleasant in cold water or weather, thought I live someplace where that\'s less of an issue. And the whole thing never feels anywhere near as sturdy as a one or two piece paddle.<br /><br />I have not yet had a problem with it bending, although I\'ve had the paddle for several years, and used it maybe a dozen times. I have avoided using it on white water.<br /><br />If you need something really cheap and/or compact, I don\'t know of a better choice. Otherwise, there are clearly much better paddles.\";}i:1;a:5:{s:5:\"title\";s:22:\"buy one more expensive\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"June 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2CNOC5ACXA7LI\";s:4:\"name\";s:12:\"Charles Pyle\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:254:\"The weekend after this arrived, I bent it pushing off the bottom of the bay. it\'s also heavy. Overall, it\'s a get what you pay for thing. Just disappointed. As a note, it has become a serviceable back up. Make sure and have a tether so you won\'t have to.\";}}");
INSERT INTO `wp_postmeta` VALUES("2821", "429", "asg_last_refresh_attempt", "1371235722");
INSERT INTO `wp_postmeta` VALUES("2822", "429", "asg_update_timestamp", "1371235722");
INSERT INTO `wp_postmeta` VALUES("2823", "430", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2824", "430", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2825", "430", "asg_item_id", "B0039L8H9S");
INSERT INTO `wp_postmeta` VALUES("2826", "430", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0039L8H9S\";s:13:\"DetailPageURL\";s:204:\"http://www.amazon.com/Harmony-8023044-Drain-Plug-Kit/dp/B0039L8H9S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0039L8H9S\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:214:\"http://www.amazon.com/Harmony-8023044-Drain-Plug-Kit/dp/tech-data/B0039L8H9S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0039L8H9S\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0039L8H9S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0039L8H9S\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0039L8H9S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0039L8H9S\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0039L8H9S%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0039L8H9S\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0039L8H9S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0039L8H9S\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0039L8H9S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0039L8H9S\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0039L8H9S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0039L8H9S\";}}}s:9:\"SalesRank\";s:5:\"30437\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31HtqnRSieL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Harmony\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"8023044\";}s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0072928203306\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0072928203306\";i:1;s:13:\"0729282033048\";}}s:7:\"Feature\";a:3:{i:0;s:40:\"Suitable for sit-in or sit-on-top kayaks\";i:1;s:47:\"Kit includes threaded fitting, plug, & hardware\";i:2;s:42:\"Requires drilling 3 holes for installation\";}s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:1:\"1\";}s:5:\"Label\";s:7:\"Harmony\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.99\";}s:12:\"Manufacturer\";s:7:\"Harmony\";s:5:\"Model\";s:7:\"8023044\";s:3:\"MPN\";s:7:\"8023044\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"20\";s:6:\"Length\";s:3:\"490\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"370\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"8023044\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Harmony\";s:11:\"ReleaseDate\";s:10:\"2010-09-15\";s:6:\"Studio\";s:7:\"Harmony\";s:5:\"Title\";s:22:\"Harmony Drain Plug Kit\";s:3:\"UPC\";s:12:\"729282033048\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"729282033048\";i:1;s:12:\"072928203306\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.99\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0039L8H9S%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0039L8H9S\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:130:\"A%2F8UOF2rdtuhNvAysV2yb11hEjstFxr5Jj6csYhIk6Tbk8TIzDfnBIs%2FBJE01qrf9C6Ik1fcpK5%2FlLvvQP5seS4LSUpDO4fXzY0qRnSQMLIH09T3DZi4FQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1303\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.03\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0039L8H9S&atag=freetos-20&exp=2013-06-15T18%3A48%3A42Z&v=2&sig=EXMHnNheusHVgfSwukx1BvziO3s%2Bmdiixilxa30gWfI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:168:\"Hate the cold water running down your paddle shaft and onto your hands and arms? Easily mounted drip rings fit over take-apart paddles and catch those irritating drips.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2818", "429", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:30:\"9 x 3 x 46 inches ; 2.4 pounds\";s:15:\"Shipping Weight\";s:11:\"15.4 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003659U2A\";s:17:\"Item model number\";s:10:\"2000004153\";}");
INSERT INTO `wp_postmeta` VALUES("2770", "423", "asg_last_refresh_attempt", "1371235709");
INSERT INTO `wp_postmeta` VALUES("2771", "423", "asg_update_timestamp", "1371235709");
INSERT INTO `wp_postmeta` VALUES("2772", "424", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2773", "424", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2774", "424", "asg_item_id", "B00BNTZT62");
INSERT INTO `wp_postmeta` VALUES("2775", "424", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00BNTZT62\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Shoreline-Marine-Kayak-Pull-Handle/dp/B00BNTZT62%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00BNTZT62\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Shoreline-Marine-Kayak-Pull-Handle/dp/tech-data/B00BNTZT62%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZT62\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00BNTZT62%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZT62\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00BNTZT62%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZT62\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00BNTZT62%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZT62\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00BNTZT62%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZT62\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00BNTZT62%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZT62\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BNTZT62%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZT62\";}}}s:9:\"SalesRank\";s:5:\"75238\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"87\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"272\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"16\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"60\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"87\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"272\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"16\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"41\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"60\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"87\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/415GnCSFxkL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"272\";}}}}s:14:\"ItemAttributes\";a:21:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"077132\";}s:3:\"EAN\";s:13:\"0013893771322\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893771322\";}s:7:\"Feature\";a:3:{i:0;s:56:\"Makes carrying and storing your kayak a whole lot easier\";i:1;s:62:\"Great replacement handle, or makes a perfect additional handle\";i:2;s:20:\"Durable Construction\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:3:\"499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:7:\"SL77132\";s:3:\"MPN\";s:6:\"077132\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"120\";s:6:\"Length\";s:3:\"460\";s:6:\"Weight\";s:1:\"5\";s:5:\"Width\";s:3:\"320\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"077132\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:34:\"Shoreline Marine Kayak Pull Handle\";s:3:\"UPC\";s:12:\"013893771322\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893771322\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.99\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00BNTZT62%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00BNTZT62\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:138:\"08Q3u%2F4t7WEyL7fj%2Fpm4sZh0ZgshgsVQpgcZ%2F2d%2F9aE8hZslrBFtR0kS96bILW4FAgCn%2FQdF2QtSiFUMc1nIFCWYfKe2stBDomgCTkp2D0Q%2BwyJyqEW%2F2A%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00BNTZT62&atag=freetos-20&exp=2013-06-15T18%3A48%3A29Z&v=2&sig=dLgu3wVi2p%2F7bgE86BgGzk3MgXvtY%2FE23SBKGwhQrss%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:129:\"Shoreline Marine Kayak Pull Handle is made of high impact plastic, and has a comfortable contoured grip handle with braided cord.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2776", "424", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:10:\"2.5 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:4:\"ASIN\";s:10:\"B00BNTZT62\";s:17:\"Item model number\";s:7:\"SL77132\";}");
INSERT INTO `wp_postmeta` VALUES("2777", "424", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2778", "424", "asg_last_refresh_attempt", "1371235711");
INSERT INTO `wp_postmeta` VALUES("2779", "424", "asg_update_timestamp", "1371235711");
INSERT INTO `wp_postmeta` VALUES("2780", "425", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2781", "425", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2782", "425", "asg_item_id", "B005BYT31M");
INSERT INTO `wp_postmeta` VALUES("2783", "425", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B005BYT31M\";s:13:\"DetailPageURL\";s:214:\"http://www.amazon.com/INTEX-Person-Challenger-Inflatable-Kayak/dp/B005BYT31M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB005BYT31M\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:224:\"http://www.amazon.com/INTEX-Person-Challenger-Inflatable-Kayak/dp/tech-data/B005BYT31M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005BYT31M\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB005BYT31M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005BYT31M\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB005BYT31M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005BYT31M\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB005BYT31M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005BYT31M\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B005BYT31M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005BYT31M\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B005BYT31M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005BYT31M\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B005BYT31M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005BYT31M\";}}}s:9:\"SalesRank\";s:4:\"1475\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL._SL160_.jpg\";s:6:\"Height\";s:2:\"99\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL.jpg\";s:6:\"Height\";s:3:\"310\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL._SL30_.jpg\";s:6:\"Height\";s:2:\"19\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL._SL110_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL._SL160_.jpg\";s:6:\"Height\";s:2:\"99\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51Zt5crQ9VL.jpg\";s:6:\"Height\";s:3:\"310\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ubOx9uY1L._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ubOx9uY1L._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51ubOx9uY1L._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51ubOx9uY1L._SL110_.jpg\";s:6:\"Height\";s:2:\"96\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51ubOx9uY1L._SL160_.jpg\";s:6:\"Height\";s:3:\"140\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51ubOx9uY1L.jpg\";s:6:\"Height\";s:3:\"436\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31%2BQ01JYaEL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"26\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31%2BQ01JYaEL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"65\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31%2BQ01JYaEL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"65\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31%2BQ01JYaEL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"96\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31%2BQ01JYaEL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"139\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/31%2BQ01JYaEL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"435\";}}}}s:14:\"ItemAttributes\";a:14:{s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0610696227430\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0610696227430\";}s:7:\"Feature\";a:5:{i:0;s:63:\"Two quick-fill, fast-deflate Boston valves on main hull chamber\";i:1;s:48:\"Inflatable I-beam floor for comfort and rigidity\";i:2;s:37:\"Rugged SUPER-TOUGH vinyl construction\";i:3;s:35:\"Two adjustable seats with backrests\";i:4;s:19:\"US Coast Guard I.D.\";}s:5:\"Label\";s:5:\"Intex\";s:12:\"Manufacturer\";s:5:\"Intex\";s:12:\"ProductGroup\";s:23:\"Single Detail Page Misc\";s:15:\"ProductTypeName\";s:10:\"MISC_OTHER\";s:9:\"Publisher\";s:5:\"Intex\";s:3:\"SKU\";s:11:\"68306E-SYSC\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:54:\"NEW INTEX 2 Person Challenger K2 Inflatable Kayak+Pump\";s:3:\"UPC\";s:12:\"610696227430\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"610696227430\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"6491\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$64.91\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B005BYT31M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005BYT31M\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"VMInnovations\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:170:\"%2FKNW4W6OE9Bo090t23LwJbKd6%2F7k22h5lILF7KcwTGd6qPyP2D%2FpHjNYDxJ5WZq%2BuDg8ooFdXsQInjYXUSOHmCen0nmK27u3Ra%2BKj5WOYbtQ3HhFE2eKaXw4pNcraqNEvoB5ODkIRzfpmTF0HeNBbRYcw2OYO67N\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"9700\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$97.00\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B005BYT31M&atag=freetos-20&exp=2013-06-15T18%3A48%3A31Z&v=2&sig=tV4o7w5KO30SU4JzuZo2ZOKHQppEvzJOMNIyvkXaN4k%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:728:\"The Intex Challenger Kayaks two person unit is designed for twice as much fun. They come with 84\" aluminum oars and a high-output hand pump. Hard plastic skegs on the underside of the kayak (similar to the underside of a surfboard) provide directional control so you can be sure you\'ll get where you want to go. The kayaks feature inflatable seats with backrests, inflatable I-beam floors, grab lines on both ends, and U.S. Coast Guard I.D. Includes gear net. Features: - Two quick-fill, fast-deflate Boston valves on main hull chamber - Inflatable I-beam floor for comfort and rigidity - Rugged SUPER-TOUGH vinyl construction - Two adjustable seats with backrests - US Coast Guard I.D. - TUV approved - Weight Capacity: 350 lbs\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2784", "425", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:11:\"37.9 pounds\";s:4:\"ASIN\";s:10:\"B005BYT31M\";}");
INSERT INTO `wp_postmeta` VALUES("2785", "425", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2786", "425", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:16:\"Great inflatable\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21C2A2BJ0VI6D\";s:4:\"name\";s:13:\"SilkMoneyLove\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:676:\"I have used this twice now and can attest to its toughness. First use was during serious winds, which made white caps on the lake, and while it was hard to steer, it was not impossible and any kayak would have been tough, but I made it. The second use was on a calm day with another person. This kayak steers just fine, not as well as a hard body kayak, but it isn\'t like you just spin in cicles uncontrollably. This folds up nicely in my trunk, the pump only takes a few minutes to air up the boat and the kid loves it. Great way to get younger kids out on the water a few times a year without the expense of a big 2 person kayak or canoe in the way for the rest of the year.\";}}");
INSERT INTO `wp_postmeta` VALUES("2787", "425", "asg_last_refresh_attempt", "1371235714");
INSERT INTO `wp_postmeta` VALUES("2788", "425", "asg_update_timestamp", "1371235714");
INSERT INTO `wp_postmeta` VALUES("2789", "426", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2790", "426", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2791", "426", "asg_item_id", "B007DE4D54");
INSERT INTO `wp_postmeta` VALUES("2792", "426", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B007DE4D54\";s:13:\"DetailPageURL\";s:204:\"http://www.amazon.com/Pelican-Apex-130T-Kayak-Orange/dp/B007DE4D54%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB007DE4D54\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:214:\"http://www.amazon.com/Pelican-Apex-130T-Kayak-Orange/dp/tech-data/B007DE4D54%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007DE4D54\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB007DE4D54%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007DE4D54\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB007DE4D54%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007DE4D54\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB007DE4D54%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007DE4D54\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B007DE4D54%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007DE4D54\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B007DE4D54%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007DE4D54\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B007DE4D54%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007DE4D54\";}}}s:9:\"SalesRank\";s:5:\"48681\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31WmCFYGr0L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JIWbx9rwL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JIWbx9rwL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JIWbx9rwL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JIWbx9rwL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JIWbx9rwL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31JIWbx9rwL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Gk9jWiEDL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Gk9jWiEDL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Gk9jWiEDL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Gk9jWiEDL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Gk9jWiEDL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31Gk9jWiEDL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Pelican\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"KTA13P108-00\";}s:5:\"Color\";s:6:\"Orange\";s:3:\"EAN\";s:13:\"0776324522183\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0776324522183\";}s:7:\"Feature\";a:5:{i:0;s:27:\"Adjustable padded backrests\";i:1;s:16:\"Carrying handles\";i:2;s:16:\"Molded footrests\";i:3;s:19:\"Self-bailing design\";i:4;s:35:\"Stern storage platform with bungees\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"3500\";s:6:\"Length\";s:5:\"15600\";s:6:\"Weight\";s:4:\"7000\";s:5:\"Width\";s:4:\"1550\";}s:5:\"Label\";s:7:\"Pelican\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Manufacturer\";s:7:\"Pelican\";s:5:\"Model\";s:12:\"KTA13P108-00\";s:3:\"MPN\";s:12:\"KTA13P108-00\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1300\";s:6:\"Length\";s:5:\"15000\";s:6:\"Weight\";s:4:\"7400\";s:5:\"Width\";s:4:\"3400\";}s:10:\"PartNumber\";s:12:\"KTA13P108-00\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:11:\"ABIS_SPORTS\";s:9:\"Publisher\";s:7:\"Pelican\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:18:\"BOAZ*0183756000000\";s:6:\"Studio\";s:7:\"Pelican\";s:5:\"Title\";s:31:\"Pelican Apex 130T Kayak, Orange\";s:3:\"UPC\";s:12:\"776324522183\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"776324522183\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"45783\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$457.83\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B007DE4D54%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007DE4D54\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:138:\"CPAIYQ7KLFAyJz%2FjjRxCioKJG7OWaKTniKybUZ8PsiX0eyG0ArH5ijq7a6vh%2FDD%2BsLK9hAfE5kln156MA%2FMH7VQAQNm3w%2B0ZLEbX%2F9VqhyZV%2BnE8I0INkQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B007DE4D54&atag=freetos-20&exp=2013-06-15T18%3A48%3A34Z&v=2&sig=2VtN8moJVpXLwLFUtrta2kex4vLUsxQZOfLYomSIPVk%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:423:\"Pelican\'s Apex 130T was designed for  those who enjoy sharing their on-water experience with family and friends. This self-bailing sit-on-top tandem kayak is stable and maneuverable and has plenty of storage and space for two. Adjustable padded backrests make your time on the water more comfortable. Pelican uses Twin Sheet Thermoforming to produce the industry\'s stiffest, strongest and most durable polyethylene kayaks.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2793", "426", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:34:\"156 x 15.5 x 35 inches ; 70 pounds\";s:15:\"Shipping Weight\";s:9:\"74 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:8:\" Canada\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B007DE4D54\";s:17:\"Item model number\";s:12:\"KTA13P108-00\";}");
INSERT INTO `wp_postmeta` VALUES("2794", "426", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2795", "426", "asg_last_refresh_attempt", "1371235716");
INSERT INTO `wp_postmeta` VALUES("2796", "426", "asg_update_timestamp", "1371235716");
INSERT INTO `wp_postmeta` VALUES("2797", "427", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2798", "427", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2799", "427", "asg_item_id", "B009PAAM2W");
INSERT INTO `wp_postmeta` VALUES("2800", "427", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B009PAAM2W\";s:13:\"DetailPageURL\";s:210:\"http://www.amazon.com/Seattle-Sports-Softtrek-Deluxe-Kayak/dp/B009PAAM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB009PAAM2W\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:220:\"http://www.amazon.com/Seattle-Sports-Softtrek-Deluxe-Kayak/dp/tech-data/B009PAAM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB009PAAM2W\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB009PAAM2W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB009PAAM2W\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB009PAAM2W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB009PAAM2W\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB009PAAM2W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB009PAAM2W\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B009PAAM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB009PAAM2W\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B009PAAM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB009PAAM2W\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B009PAAM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB009PAAM2W\";}}}s:9:\"SalesRank\";s:5:\"58587\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4174fSkPvJL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"037715\";}s:3:\"EAN\";s:13:\"0780292377157\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0780292377157\";}s:7:\"Feature\";a:4:{i:0;s:27:\"Supports your back and butt\";i:1;s:33:\"Built with thermo-molded EVA foam\";i:2;s:24:\"Firm support and comfort\";i:3;s:31:\"Paddle longer and paddle better\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"2050\";s:6:\"Weight\";s:3:\"240\";s:5:\"Width\";s:4:\"1850\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:5:\"Model\";s:6:\"037715\";s:3:\"MPN\";s:5:\"37715\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"280\";s:6:\"Length\";s:4:\"1960\";s:6:\"Weight\";s:3:\"250\";s:5:\"Width\";s:4:\"1800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"37715\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:3:\"SKU\";s:6:\"100381\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:41:\"Seattle Sports Softtrek Deluxe Kayak Seat\";s:3:\"UPC\";s:12:\"780292377157\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"780292377157\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:1:{s:14:\"FormattedPrice\";s:18:\"Too low to display\";}s:8:\"TotalNew\";s:2:\"17\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B009PAAM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB009PAAM2W\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"bNdJdU2FOIcqVzYshNxQNOiwPugP2oNd%2FX4LSAnFFZ45yF%2FwgFjf6pl398lggpiate8TBrCMlj5CPuxHR6iPf8i2hjbeN9Oz%2BMqhJLCvwRMcoDyZN59cNQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7888\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$78.88\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1107\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.07\";}s:15:\"PercentageSaved\";s:2:\"12\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B009PAAM2W&atag=freetos-20&exp=2013-06-15T18%3A48%3A36Z&v=2&sig=4d2SeJUAr6dkDc%2F71hYSaqJYgy5xRi4oBnNMuIWxFO4%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:275:\"The SoftTrek deluxe kayak seat will provide welcome relief and support to your back and butt. Built with a thermo-molded EVA foam seat and ergonomic contours, your posterior will thank you. Your back will appreciate the firm support and comfort. Paddle longer, paddle better.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2801", "427", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:35:\"20.5 x 18.5 x 2 inches ; 2.4 pounds\";s:15:\"Shipping Weight\";s:8:\"5 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B009PAAM2W\";s:17:\"Item model number\";s:6:\"037715\";}");
INSERT INTO `wp_postmeta` VALUES("2802", "427", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2803", "427", "asg_last_refresh_attempt", "1371235718");
INSERT INTO `wp_postmeta` VALUES("2804", "427", "asg_update_timestamp", "1371235718");
INSERT INTO `wp_postmeta` VALUES("2805", "428", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2806", "428", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2807", "428", "asg_item_id", "B006HJS7IA");
INSERT INTO `wp_postmeta` VALUES("2808", "428", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B006HJS7IA\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Ocean-Kayak-Replacement-Toggle-Handle/dp/B006HJS7IA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB006HJS7IA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Ocean-Kayak-Replacement-Toggle-Handle/dp/tech-data/B006HJS7IA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006HJS7IA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB006HJS7IA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006HJS7IA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB006HJS7IA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006HJS7IA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB006HJS7IA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006HJS7IA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B006HJS7IA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006HJS7IA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B006HJS7IA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006HJS7IA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B006HJS7IA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006HJS7IA\";}}}s:9:\"SalesRank\";s:5:\"86915\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL.jpg\";s:6:\"Height\";s:3:\"260\";s:5:\"Width\";s:3:\"260\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21K1bM-WSiL.jpg\";s:6:\"Height\";s:3:\"260\";s:5:\"Width\";s:3:\"260\";}}}s:14:\"ItemAttributes\";a:21:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"07.3032.0000\";}s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0785978000862\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0785978000862\";}s:7:\"Feature\";a:2:{i:0;s:56:\"Single Ocean Kayak bow or stern carry handle (sold each)\";i:1;s:38:\"Dual-density and contoured for comfort\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:12:\"07.3032.0000\";s:3:\"MPN\";s:12:\"07.3032.0000\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:3:\"700\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"540\";}s:10:\"PartNumber\";s:12:\"07.3032.0000\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:11:\"ReleaseDate\";s:10:\"2011-11-15\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:41:\"Ocean Kayak Replacement Toggle Handle Kit\";s:3:\"UPC\";s:12:\"785978000862\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"785978000862\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.99\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B006HJS7IA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006HJS7IA\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:132:\"1O2sE3GBT%2FyzGE%2FjJyBv7r8sV8Bi2kIxGdzwZHlpZHyZatAj5TSJM3u%2FELSViLVE0DEEISe3UU3cHU%2BL1Gf1U9nzNIPc5HiOluiNAtbAphqZGGX2fgfFOg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1364\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.64\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B006HJS7IA&atag=freetos-20&exp=2013-06-15T18%3A48%3A38Z&v=2&sig=GsDie%2FR0dgwCSzDQJlGBT2hd%2BorkHqp5orIDoHfOrD0%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:122:\"Exact replacement for broken or lost Ocean Kayak bow or stern carry handle.  Minimal easy snap-together assembly required.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2809", "428", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:10:\"1.6 ounces\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:4:\"ASIN\";s:10:\"B006HJS7IA\";s:17:\"Item model number\";s:12:\"07.3032.0000\";}");
INSERT INTO `wp_postmeta` VALUES("2810", "428", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2811", "428", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:13:\"toggle handle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 3, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2935492Q3DV8Q\";s:4:\"name\";s:14:\"Diane Beaulieu\";s:7:\"address\";s:20:\"Van Buren, Maine, US\";}s:4:\"text\";s:138:\"It did the job. A good product. Only I tought there was two handles in the package but it was a two peice that made one handle. I misread.\";}}");
INSERT INTO `wp_postmeta` VALUES("2812", "428", "asg_last_refresh_attempt", "1371235720");
INSERT INTO `wp_postmeta` VALUES("2813", "428", "asg_update_timestamp", "1371235720");
INSERT INTO `wp_postmeta` VALUES("2814", "429", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2815", "429", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2816", "429", "asg_item_id", "B003659U2A");
INSERT INTO `wp_postmeta` VALUES("2817", "429", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003659U2A\";s:13:\"DetailPageURL\";s:220:\"http://www.amazon.com/Sevylor-2000004153-Aluminum-Shaft-Kayak-Paddle/dp/B003659U2A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003659U2A\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:230:\"http://www.amazon.com/Sevylor-2000004153-Aluminum-Shaft-Kayak-Paddle/dp/tech-data/B003659U2A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659U2A\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003659U2A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659U2A\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003659U2A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659U2A\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003659U2A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659U2A\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003659U2A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659U2A\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003659U2A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659U2A\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659U2A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659U2A\";}}}s:9:\"SalesRank\";s:5:\"53962\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL160_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL30_.jpg\";s:6:\"Height\";s:1:\"3\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL110_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL160_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL30_.jpg\";s:6:\"Height\";s:1:\"3\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL110_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL160_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL30_.jpg\";s:6:\"Height\";s:1:\"3\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL110_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL._SL160_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11scLJBFKlL.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000004153\";}s:5:\"Color\";s:2:\"-1\";s:10:\"Department\";s:49:\"Inflatables-Boats/Kayaks > Paddles/Oars > Paddles\";s:3:\"EAN\";s:13:\"0076501046205\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501046205\";}s:7:\"Feature\";a:5:{i:0;s:63:\"5-piece, telescoping kayak paddle; measures 89 inches in length\";i:1;s:53:\"Shaft constructed of corrosion-free anodized aluminum\";i:2;s:27:\"Dual 7.75-inch nylon blades\";i:3;s:14:\"Two drip rings\";i:4;s:47:\"Telescoping design for easy porting and packing\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"4600\";s:6:\"Length\";s:3:\"900\";s:6:\"Weight\";s:3:\"243\";s:5:\"Width\";s:3:\"300\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000004153\";s:3:\"MPN\";s:10:\"2000004153\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"980\";s:6:\"Length\";s:4:\"4110\";s:6:\"Weight\";s:4:\"1545\";s:5:\"Width\";s:4:\"1000\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000004153\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:7:\"VYL1119\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:35:\"Sevylor Aluminum-Shaft Kayak Paddle\";s:3:\"UPC\";s:12:\"076501046205\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501046205\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2026\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$20.26\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659U2A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659U2A\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"jxz7IwkEVsSNCmpGxeKZjgJxBVgoqIlWvmE%2BfZviN71%2BGBQhl4sKrowiqbGkREB1KKaBNGlLQqTBqlWekN6FlvUIP24rqLVsKxHEtd9%2FZeOa1TK4%2BbxoCA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2330\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$23.30\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"669\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$6.69\";}s:15:\"PercentageSaved\";s:2:\"22\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003659U2A&atag=freetos-20&exp=2013-06-15T18%3A48%3A40Z&v=2&sig=VdxEabGOhWQdl31OX5UhdLf0rohSVD5EPbHtuK%2Fs5sU%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:232:\"The Sevylor Aluminum-Shaft Kayak Paddle is a compact touring paddle measuring 89 Inch long, with a 7.75 Inch-wide blade. The paddle features a 5-piece, telescoping design for easy porting and packing, with two convenient drip rings.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:404:\"<p>Designed for touring, this compact Sevylor kayak paddle features a 5-piece, telescoping design for easy porting and packing. It combines a strong, corrosion-free anodized aluminum shaft with spoon-shaped blades for excellent maneuverability. The shaft measures 89 inches long and features two drip rings. The 7.75-inch wide nylon blades give you control even in the roughest waters. Made in China.</p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2758", "422", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:33:\"93 x 14 x 28 inches ; 26.4 pounds\";s:15:\"Shipping Weight\";s:11:\"29.6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:8:\" Canada\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00843TVL4\";s:17:\"Item model number\";s:12:\"KIF08P209-00\";}");
INSERT INTO `wp_postmeta` VALUES("2759", "422", "asg_star_rating", "1");
INSERT INTO `wp_postmeta` VALUES("2760", "422", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:28:\"Amazon cant deliver as noted\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"June 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A13FPLQV0D9W3F\";s:4:\"name\";s:17:\"Frederick McGuire\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:579:\"Do not fall for Amazon\'s \"want it by . . .\" They cannot deliver this in two days. We ordered our first Kayak and it took ten days and in one case the carrier said they would not deliver \"until we have a truck coming out there.\" We reordered two of these items and one was shipped with a two day delivery date that got longer and longer and longer. Five days out and it still is not even close. The other unit was shipped from the East Coast by freight and we are in California. Bottom line: If it cannot fit in a UPS or Fed Ex truck don\'t believe the \"want it by . . .\" timeline.\";}}");
INSERT INTO `wp_postmeta` VALUES("2761", "422", "asg_last_refresh_attempt", "1371235706");
INSERT INTO `wp_postmeta` VALUES("2762", "422", "asg_update_timestamp", "1371235706");
INSERT INTO `wp_postmeta` VALUES("2763", "423", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2764", "423", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2765", "423", "asg_item_id", "B004UOTQV6");
INSERT INTO `wp_postmeta` VALUES("2766", "423", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004UOTQV6\";s:10:\"ParentASIN\";s:10:\"B004UOTQV6\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Shoreline-Marine-X-II-Kayak-Paddle/dp/B004UOTQV6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004UOTQV6\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Shoreline-Marine-X-II-Kayak-Paddle/dp/tech-data/B004UOTQV6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTQV6\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004UOTQV6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTQV6\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004UOTQV6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTQV6\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004UOTQV6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTQV6\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004UOTQV6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTQV6\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004UOTQV6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTQV6\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004UOTQV6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004UOTQV6\";}}}s:9:\"SalesRank\";s:4:\"9236\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"3\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"3\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"5241-Kayak\";}s:7:\"Feature\";a:4:{i:0;s:11:\"Drip guards\";i:1;s:21:\"Three position system\";i:2;s:28:\"Two piece for easy transport\";i:3;s:22:\"Foam grips for comfort\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$34.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:10:\"5241-Kayak\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:4:\"4900\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:3:\"700\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:11:\"ReleaseDate\";s:10:\"2011-03-09\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:34:\"Shoreline Marine X-II Kayak Paddle\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"3499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$34.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"4432\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$44.32\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"4\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:4:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B004UOTPVW\";s:10:\"ParentASIN\";s:10:\"B004UOTQV6\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"3\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"3\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"52410\";}s:5:\"Color\";s:10:\"Black/Blue\";s:3:\"EAN\";s:13:\"0013893524102\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893524102\";}s:7:\"Feature\";a:4:{i:0;s:11:\"Drip guards\";i:1;s:21:\"Three position system\";i:2;s:28:\"Two piece for easy transport\";i:3;s:22:\"Foam grips for comfort\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:6:\"052410\";s:3:\"MPN\";s:6:\"052410\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"4450\";s:6:\"Weight\";s:3:\"210\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"052410\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:11:\"ReleaseDate\";s:10:\"2011-03-09\";s:4:\"Size\";s:7:\"84-Inch\";s:3:\"SKU\";s:9:\"maur52410\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:55:\"Shoreline Marine X-II Kayak Paddle, 84-Inch, Black/Blue\";s:3:\"UPC\";s:12:\"013893524102\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893524102\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:10:\"Black/Blue\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"84-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:19:\"Best Service Stores\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:172:\"obY4kRCLLlHSkQT%2FrkkmagJz8YL0EE%2BtzeOS%2F0TGu3qvPemCGxNq2tPNfCUoJ7Mk%2FrQ%2BkmqSVT1QEcvD%2BPBgvQFAOxEbLBQkTnrKnQ7KNrLxkZPl5zJ%2FGq%2BqS0cBcT8agiKgwqJiH6kDrBFjLqAEGA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3634\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$36.34\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"365\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$3.65\";}s:15:\"PercentageSaved\";s:1:\"9\";s:12:\"Availability\";s:34:\"Usually ships in 3-4 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"72\";s:12:\"MaximumHours\";s:2:\"96\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B004UOTQPC\";s:10:\"ParentASIN\";s:10:\"B004UOTQV6\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"3\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"3\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"14\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21MzLEkpHRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"43\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"052411\";}s:5:\"Color\";s:10:\"Black/Blue\";s:3:\"EAN\";s:13:\"0013893524119\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893524119\";}s:7:\"Feature\";a:4:{i:0;s:11:\"Drip guards\";i:1;s:21:\"Three position system\";i:2;s:28:\"Two piece for easy transport\";i:3;s:22:\"Foam grips for comfort\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:6:\"052411\";s:3:\"MPN\";s:8:\"052411~M\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"350\";s:6:\"Length\";s:4:\"5200\";s:6:\"Weight\";s:3:\"225\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"052411~M\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:11:\"ReleaseDate\";s:10:\"2011-03-09\";s:4:\"Size\";s:7:\"96-Inch\";s:3:\"SKU\";s:9:\"maur52411\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:55:\"Shoreline Marine X-II Kayak Paddle, 96-Inch, Black/Blue\";s:3:\"UPC\";s:12:\"013893524119\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893524119\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:10:\"Black/Blue\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"96-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:19:\"Best Service Stores\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:162:\"xM16foRlBzetWbmreQzvcVVB6GZr1D8l0t7iZfGoF%2BfDdQTnZmN0CAA4DXO%2FbRSnbUX6%2FXmRuuN0hltsgMuwCxCRGWQK2gmKSUbV8Z25kOgq8i622UKHmRFEU1msqNPiFLDypfIHfaNsw5VC3M7hvQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4107\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$41.07\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"892\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.92\";}s:15:\"PercentageSaved\";s:2:\"18\";s:12:\"Availability\";s:34:\"Usually ships in 3-4 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"72\";s:12:\"MaximumHours\";s:2:\"96\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B004UOPVBK\";s:10:\"ParentASIN\";s:10:\"B004UOTQV6\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"2\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"2\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"052409\";}s:5:\"Color\";s:13:\"Orange/Yellow\";s:3:\"EAN\";s:13:\"0013893524096\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893524096\";}s:7:\"Feature\";a:4:{i:0;s:11:\"Drip guards\";i:1;s:21:\"Three position system\";i:2;s:28:\"Two piece for easy transport\";i:3;s:22:\"Foam grips for comfort\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:6:\"052409\";s:3:\"MPN\";s:8:\"052409~M\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"4500\";s:6:\"Weight\";s:3:\"205\";s:5:\"Width\";s:3:\"900\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"052409~M\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:11:\"ReleaseDate\";s:10:\"2011-03-09\";s:4:\"Size\";s:7:\"84-Inch\";s:3:\"SKU\";s:8:\"052409~M\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:58:\"Shoreline Marine X-II Kayak Paddle, 84-Inch, Orange/Yellow\";s:3:\"UPC\";s:12:\"013893524096\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893524096\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:13:\"Orange/Yellow\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"84-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:19:\"Best Service Stores\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:164:\"7GdzEyg1zNlB%2FcR5dzcq9iE4v3YLXePto663EOMzzSKvnTsnUfWjCS7DedeUAoRDjBTBpCndjyaRKxnDW1z0btZs50NTeDcehIu%2BqoGakgACakJIarjM1Cpb%2BGWH5QRUzwsECK%2F7eg9rBOYhjMGGfw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3919\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.19\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:2:\"80\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$0.80\";}s:15:\"PercentageSaved\";s:1:\"2\";s:12:\"Availability\";s:34:\"Usually ships in 3-4 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"72\";s:12:\"MaximumHours\";s:2:\"96\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:3;a:9:{s:4:\"ASIN\";s:10:\"B004UOTQ6G\";s:10:\"ParentASIN\";s:10:\"B004UOTQV6\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"2\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"2\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:1:\"6\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:1:\"9\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"13\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/11eRLUwYr0L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"40\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:16:\"Shoreline Marine\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"052412\";}s:5:\"Color\";s:13:\"Orange/Yellow\";s:3:\"EAN\";s:13:\"0013893524126\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893524126\";}s:7:\"Feature\";a:4:{i:0;s:11:\"Drip guards\";i:1;s:21:\"Three position system\";i:2;s:28:\"Two piece for easy transport\";i:3;s:22:\"Foam grips for comfort\";}s:5:\"Label\";s:16:\"Shoreline Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:16:\"Shoreline Marine\";s:5:\"Model\";s:6:\"052412\";s:3:\"MPN\";s:8:\"052412~M\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"10\";s:6:\"Length\";s:4:\"5000\";s:6:\"Weight\";s:3:\"125\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"052412~M\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:16:\"Shoreline Marine\";s:11:\"ReleaseDate\";s:10:\"2011-03-09\";s:4:\"Size\";s:7:\"96-Inch\";s:3:\"SKU\";s:9:\"maur52412\";s:6:\"Studio\";s:16:\"Shoreline Marine\";s:5:\"Title\";s:58:\"Shoreline Marine X-II Kayak Paddle, 96-Inch, Orange/Yellow\";s:3:\"UPC\";s:12:\"013893524126\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893524126\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:13:\"Orange/Yellow\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"96-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"DessPNUPPi6bxXyhKbSeTO829qnKZTo1jwHymQNDkvsCR4vBnZDMPKBBV4l3BHtqb9qqbX4E6wIKQ3NX9BtQ03IeY8qZlW8AqoaLIdu4kBuKbx%2BLdH39vg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1400\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.00\";}s:15:\"PercentageSaved\";s:2:\"28\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004UOTQV6&atag=freetos-20&exp=2013-06-15T18%3A48%3A26Z&v=2&sig=qq2rm%2FZE3SOb7yfGil9FReScwAulxA%2FGxboSK%2FJUr8Y%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:29:\"KAYAK PADDLE X-II ~ 84\" BL/WT\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2749", "421", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:9:\"55 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003JGYP80\";s:17:\"Item model number\";s:7:\"01-Vapo\";}");
INSERT INTO `wp_postmeta` VALUES("2750", "421", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("2751", "421", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:22:\"Room for me and my dog\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 11, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ZKID2HGMZONV\";s:4:\"name\";s:5:\"Meeze\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:679:\"I bought this kayak two years ago at the end of the season.They only had one color lime green but I loved the large cockpit. I have an eighty pound dog who loves to be out on the water. I take her with me regularly. We are both comfortable in it. I admit that it handles better without her weight in the bow but I love to have her there. When I am alone in it I can really stretch out, carry camera equipment and it does handle better without her. It is very stable, easy to get in and out and fits easily inside my CRV with the back tied down. I can load it my self and carry it to the water. I am 76 years old and kayak almost every day in the warmer months. From New Hampshire\";}i:1;a:5:{s:5:\"title\";s:33:\"Great recreational/fishing kayak.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A309AIL7RA05HC\";s:4:\"name\";s:17:\"Rockdoc \"Rockdoc\"\";s:7:\"address\";s:26:\"Somerset, KY United States\";}s:4:\"text\";s:479:\"This is just a really nice kayak. Comes from the factory with things like a drain plug, thigh pads, carrying handles and can holders. It\'s really easy to get into and out of and for a few bucks you can rig it with pole holders and bungees and you\'re ready to go. Easy for one person to handle for loading and unloading and is super stable in the water. It tracks well and sits high in the water. I liked my first one so much I\'m in the process of buying a second one for my wife.\";}i:2;a:5:{s:5:\"title\";s:11:\"Great Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 27, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ZM6715BF73TF\";s:4:\"name\";s:13:\"David R. Kent\";s:7:\"address\";s:18:\"Los Alamos, NM USA\";}s:4:\"text\";s:218:\"This kayak is great. It tracks well, is very stable, and seems faster than other kayaks I\'ve used. It is also short enough to throw in the back of my truck so I don\'t have to bother with a roof rack. Get a long paddle.\";}i:3;a:5:{s:5:\"title\";s:11:\"Great boat!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2EPB1FXHVRVYV\";s:4:\"name\";s:10:\"OctoParrot\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3002:\"After a few days of reading different reviews, comparing prices, models etc. I decided I\'d give the Vapor 10 a try. I am new to kayaking and didn\'t want to go with a more expensive boat right off the bat. After ordering, i received notification that the boat was shipping very quickly and was contacted by the shipper (in my case, it was handled by Pilot freight, Boston, ma). They gave me a tracking number and everything.<br /><br /> The boat arrived within 5 days and I needed to be home to receive and sign for the item from the shipper. The boat came wrapped up in thick mil plastic and had some protective bumpers on the bow and stern... So it seemed like it was in good condition upon initial inspection. Upon further inspection, I noticed a gash in the hull about half the thickness of the material. Now, I know it was able to handle water and be safe but I did believe that it significantly shortened the life of the boat. This is where amazon stepped up to the plate. I took a picture of the daname and wrote an email to them. They quickly responded with an offer the replace the item free of charge....including return shipping!!! The replacement came within 5 days and I was very impressed. The new boat was flawless. This incident, mainly how it was handled, is a prime reason why I love amazon. They are quick to correct any problems.<br /><br />Now, the boat. It is super easy to move around from vehicle to shore and is easy to pick up. The construction overall is excellent. I did not notice any defects or any indicators that construction was shoddy or put together hastily. Another reason that I purchase this model is because of Old Towns reputation for quality. It sure does show in this boat. The cockpit is wide and long, perfect for any activity....I like how I can put the seat back and put my legs up and almost fall asleep!! It\'s a very comfortable boat. Im about 200lbs and 5\'6\" and have no problems with it. There is ample room bow and stern to stow items. I have a rather large dry bag that I place behind the seat and have a cooler and other items that I keep in the bow. The dry hatch in the stern is not a hatch...there is no cover included with the vapor 10. You must purchase this separately....about 50bucks on amazon. The seat is relatively comfortable. I have a large beach town that I fold up and sit on to make it a littleq more comfortable. I do wish that I could have the seat from the XTS though. It seems like it would be more comfortable, but this one is just fine. There is a cup holder in the seat and also a dash area in the bow that allows for a pair of sunglasses, tackle, sunscreen or whatever.<br /><br />Overall, this boat handles well for a ten footer. I only use it on ponds and lakes and have not used it in any rough water. I feel very stable in it. It glides thru the water easy, and tracks well for a boat that is this length and style. I would recommend this to anyone who is looking for a quality boat without committing to a large purchase.\";}i:4;a:5:{s:5:\"title\";s:17:\"Old Town Vapor 10\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2CM46I3XBXEO4\";s:4:\"name\";s:4:\"Mike\";s:7:\"address\";s:2:\"TN\";}s:4:\"text\";s:741:\"I ordered this Old Town Vapor 10 and it will be my 2nd one. I love this kayak and feel it is worth every penny. It is a good sturdy kayak and has great stability. I suggest ordering the deck hatch for a better storage option. I\'ve found this hatch cover makes the deck storage a great cooler! This kayak is 2nd to none in overall comfort and room and offers lots of storage for carrying extras. For those who want white water forget this one, it\'s not for you as is does lose handling in moderately unsteady waters. Experienced kayakers should know not to buy a recreational kayak for that purpose anyway. But if you want a great kayak for paddling or fishing in rivers or open waters this one tracks wonderfully. Definitely 5 stars from me!\";}i:5;a:5:{s:5:\"title\";s:48:\"Good flatwater kayak, but not so much on a river\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"November 18, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1PH0DCR7HJ65I\";s:4:\"name\";s:12:\"Diane-Cookie\";s:7:\"address\";s:11:\"Atlanta, Ga\";}s:4:\"text\";s:1399:\"The Old Town Vapor 10 is the first kayak we bought, and was great for paddling around flatwater rivers and lakes, but we have now outgrown it as we have begun paddling rivers more.<br /><br />- Very pronounced keel line makes it track pretty well across flat water. However, that same keel line makes it easily caught and turned by a current or a rock on a river. This isn\'t a boat for playing in the rapids, eddy-hopping, or ferrying.<br />- The bathtub-size cockpit opening is huge! Which makes it easy for larger folks to get in and out of it, but on any kind of river rapids, it will take on a lot of water.<br />A Seals 7.0 Inlander spray skirt will fit this boat to keep water out, but the cockpit is so long that most people won\'t be able to put the skirt on starting behind the seat. The only way I can do it is to get the skirt started at the front of the cockpit, then work back to finish behind the seat. The Seals skirt has a lanyard attached to the release loop so that you can reach it when you need to wet exit.<br />- The seat has a pretty good backrest that can be adjusted in angle. I have spent up to 5 hours paddling around a local lake without getting out.<br /><br />Before getting a kayak, think about where you\'re likely to want to use it, and check out what other people are paddling there. There are plenty of paddling clubs around, just ask any kayaker you see on a river.\";}i:6;a:5:{s:5:\"title\";s:24:\"Great Boat for the Price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2XTHJM4U2LJO2\";s:4:\"name\";s:12:\"2JacketsFans\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2291:\"I\'ve had this kayak about 2 weeks now and have had it out 3 times. I\'ve put about a total of 4.5 hours in it thus far. So far I\'d say it\'s a great boat for a first time or a recreational user.<br /><br />About me. I\'m a first time kayak owner. I\'m a larger guy, about 5\'8 270. I was looking for a good first boat that would be comfortable and something I can eventually do an overnight or even a 2 night trip with. I know \"technically\" this boat isn\'t for that, but I\'m going to make it work! On to the boat...<br /><br />First, the large cockpit is fantastic for a bigger guy like myself to get in and out of. There is plenty of room in there to put some cargo or a pet comfortably. Although, it does make for a little splash in heavy chop or minor \"rapids\". The seat though is not very comfortable. To correct this, I bought a self inflating Therm-a-Rest trail seat. I recommend it, makes a world of difference. Part II of my seat complaint is how low the seat is. You\'re pretty much on the floor of the boat, so any water (even a little bit) could end up making for a damp trip. The self inflating pad also took care of that problem. However, the seat back is pretty comfortable and super easy to adjust on the fly. The thigh pads are a huge plus. The footpegs are very easy to use and adjust while on the water. The boat tracks OK, I would not agree with other reviews about it tracking \"great\". You have to use a little caution in current, the skeg shaped rear end of the boat is easy to get spun in current if you\'re not paying attention. The drain plug is in the dumbest possible location. I seriously can\'t wrap my head around how that design made it to production. It\'s positioned just behind the seat instead of at the end of the boat. Virtually impossible to get any water out with one person.<br /><br />Overall, I\'m VERY happy with my purchase. I would definitely recommend this boat to anyone looking for a entry level kayak and not wanting to break the bank. Especially larger paddlers like myself. I did a lot of research before buying and to me, this was the most bang for my buck. I\'m looking forward to putting many hours on it in our local lakes and rivers. I\'ve already added some bow deck rigging and will be installing some over the rear storage compartment very soon.\";}i:7;a:5:{s:5:\"title\";s:21:\"Great beginners Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 26, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AM98PYZJHM5HC\";s:4:\"name\";s:11:\"Kayak \"CBD\"\";s:7:\"address\";s:15:\"Moulton, AL, US\";}s:4:\"text\";s:225:\"I brought two last year one like this on and the 12 foot old town angler. It is the same boat just two foot longer. Me and my wife love them. We have had them both on streams and lakes. They sure have made kayakers out of us.\";}i:8;a:5:{s:5:\"title\";s:45:\"First time kayaker, couldn\'t flip this thing!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1ZU55TM45Y2R8\";s:4:\"name\";s:10:\"J. Haggard\";s:7:\"address\";s:13:\"Nashville, TN\";}s:4:\"text\";s:5085:\"My wife and I both decided we wanted to go kayaking, rather then rent we decided to buy. She bought the Emotion sit on top, I wanted something stable like a sit in, without feeling trapped if it flipped. The cockpit area on the Vapor 10 is huge, I am nearly 6 foot and when I sat inside it with my feet on the foot braces my legs were not \"under\" the kayak cover at all. I could stretch my feet out straight and sure they were \"under\" then but the opening is so large I wasn\'t worried about being trapped.<br /><br />Now, today we took the kayaks out for our maiden voyage. Neither my wifes or mine flipped. I paddled mind to get used to it and then started rocking it heavily, the kayak felt great, no tipping. And keep in mind I am not a swimmer. I had a PFD on and still felt safe in this kayak.<br /><br />We paddled approx 2 miles, stopped along a few shore lines along the way to practice getting in and out and everything works great. Easy to get in and out as long as you are in shallow water. Getting in and out in deeper water for me wasn\'t going to happen, at least not without the use of a paddle float which I don\'t own.... yet.....<br /><br />As for going straight. It\'s up to the paddler. This boat DOES turn easy if you just sit in a current. But when paddling it goes pretty straight, depending on your paddle technique. I had no issues going in a straight line and I\'ve never kayaked before, although it did take around 15 minutes to get the right paddle stroke down.<br /><br />The only downsides to this particular model is as follows:<br /><br />1. The seat is NOT that comfortable. It\'s not bad but I\'ll be getting some extra padding to sit on and lean on.<br />2. If you manage to tip it which is difficult, getting the water out isn\'t quick and easy. a sit on top has holes to drain water, this one has none so you have to bail the water yourself. That being said I intentionally tried to sink this thing by tipping it over on its side, and letting it fill. I then flipped it the right way up and held it under water so it filled 100%. It sank as long as I held it under with force. As soon as I let go it popped back up. Sure the cockpit was totally flooded but the fact is I couldn\'t get this thing to sink.<br />3. The drain plug is not in the best place. The put it on the left side of the boat instead of at the front or back (bow or stern). I found it made draining the water a little difficult to get it all out. No problem, a bilge sponge, bilge pump or my trust shop vac at home allowed me to get the water out. I didn\'t own the sponge or pump but I did bring a small plastic cup with me just in case, I bailed a little water that I got in as I made several entry and exits while we were playing.<br />4. It\'s a bit heavier then others I looked at, and my wifes. The plus side, it feels solid and I bet that has to do why it\'s so stable.<br />5. No \"addons\", if you buy the angler for $20 more you get rod holders (not needed for me) but you get bow webbing to store stuff and the cover over the day well to store stuff. I almost went the green route for these add ons but I wanted a BRIGHT kayak. On the lakes I\'m going on there are motor boats that go fast. I don\'t want to blend in and rather make sure people can see me, they can in this thing. I will be ordering the add-ons for extra storage.<br />6. The dash/cup holder is really far in front. Almost unusable. That being said there is a cup holder on the seat which worked perfect for me, and I had an otterbox dry box for my android phone and that was perfect so I didn\'t use the \"dashboard\".<br /><br />I like this kayak, I\'m glad I bought it and my wife and I will be taking them out again. Recommended.<br /><br />--Note, I did order this via amazon so it was delivered by a freight company. That was smooth for the most part. They called me the next day after I ordered it and setup a delivery date. The told me it would be on Friday from 10am-2pm. Then the day before they were supposed to deliver it I got another call to schedule delivery asking if Saturday would work. I told them no, Friday is what I was told, between 10-2. They agreed and so I took the day off of work. 9am came the day of delivery and I got an email from amazon showing a delivery time of 5pm was set.... not anywhere near 10-2.. So I looked at the shipping companys site for tracking info and they showed 5pm as well. I called them up because I took the day off of work to be home for this thing and I normally get home around 4, I could have gone to work if 5pm was the delivery time.. Well they were friendly to work with, they confirmed 5pm but I asked they verify because I was told differently when we first set it up. The lady took my name and number and called me back after she called the driver and said he should be at my house in an hour. Approx 10:30am the driver showed up and I had my kayak.<br /><br />This was my first time using a shipper for an amazon product besides ups or fedex, it went well, I just had to follow up a few times. Kayak was delivered with a small scratch, but nothing serious.\";}i:9;a:5:{s:5:\"title\";s:24:\"Good kayak for the money\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9TSOSKF26BJZ\";s:4:\"name\";s:13:\"Jennifer Wise\";s:7:\"address\";s:29:\"Selinsgrove, PA United States\";}s:4:\"text\";s:1121:\"I purchased this kayak to use in the river and when we go on camping vacations. It\'s not as nice as the Old Town Dirigo, but you get what you pay for. It definitely serves it\'s purpose if you\'re a casual kayaker. My only complaints are that the hatch isn\'t covered and the back of the flip-up seat isn\'t padded. My husband wound up buying hatch covers (on Amazon) and installing them and I\'m glad he did. It\'s much more convenient and we will be able to keep drinks and food cold on long trips. The other thing that I noticed is that the bottom had an area that bowed a little after I had it out on the river once. It hasn\'t affected paddling or floating so I\'m not too worried about it. Finally, the drain plug is at an idiotic spot. It\'s really difficult to get all of the stinky river water out of it, especially if I\'m draining it by myself. You almost have to have two people lift it on both ends and rock it back and forth to get the water to come out. But even with the complaints, I really do like this kayak. I would definitely recommend this if you\'re looking for something to use to putter around in, casually.\";}}");
INSERT INTO `wp_postmeta` VALUES("2752", "421", "asg_last_refresh_attempt", "1371235704");
INSERT INTO `wp_postmeta` VALUES("2753", "421", "asg_update_timestamp", "1371235704");
INSERT INTO `wp_postmeta` VALUES("2754", "422", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2755", "422", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2756", "422", "asg_item_id", "B00843TVL4");
INSERT INTO `wp_postmeta` VALUES("2757", "422", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00843TVL4\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Pelican-Pursuit-Kayak-Fade-Yellow/dp/B00843TVL4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00843TVL4\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Pelican-Pursuit-Kayak-Fade-Yellow/dp/tech-data/B00843TVL4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00843TVL4\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00843TVL4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00843TVL4\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00843TVL4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00843TVL4\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00843TVL4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00843TVL4\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00843TVL4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00843TVL4\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00843TVL4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00843TVL4\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00843TVL4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00843TVL4\";}}}s:9:\"SalesRank\";s:5:\"19862\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31kDszoPcUL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31auWBTanaL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31auWBTanaL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31auWBTanaL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31auWBTanaL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31auWBTanaL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31auWBTanaL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kTL2sCJ5L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kTL2sCJ5L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31kTL2sCJ5L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31kTL2sCJ5L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31kTL2sCJ5L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31kTL2sCJ5L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Pelican\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"KIF08P209-00\";}s:5:\"Color\";s:16:\"Fade Blue/Yellow\";s:3:\"EAN\";s:13:\"0776324521971\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0776324521971\";}s:7:\"Feature\";a:5:{i:0;s:26:\"Adjustable padded backrest\";i:1;s:29:\"Elastic bungee cords in stern\";i:2;s:16:\"Carrying handles\";i:3;s:13:\"Bottle holder\";i:4;s:11:\"Molded seat\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"2800\";s:6:\"Length\";s:4:\"9300\";s:6:\"Weight\";s:4:\"2640\";s:5:\"Width\";s:4:\"1400\";}s:5:\"Label\";s:7:\"Pelican\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"24999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$249.99\";}s:12:\"Manufacturer\";s:7:\"Pelican\";s:5:\"Model\";s:12:\"KIF08P209-00\";s:3:\"MPN\";s:12:\"KIF08P209-00\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1450\";s:6:\"Length\";s:4:\"9350\";s:6:\"Weight\";s:4:\"2960\";s:5:\"Width\";s:4:\"2850\";}s:10:\"PartNumber\";s:12:\"KIF08P209-00\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:11:\"ABIS_SPORTS\";s:9:\"Publisher\";s:7:\"Pelican\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:7:\"Pelican\";s:5:\"Title\";s:43:\"Pelican Pursuit 80X Kayak, Fade Blue/Yellow\";s:3:\"UPC\";s:12:\"776324521971\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"776324521971\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"23443\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$234.43\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00843TVL4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00843TVL4\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:134:\"QWNaOBX8H%2BUudn9cEuP6b2IxmcZ0wjT2ekhM22S9nhvGx2nlLPy%2Bf4t74Lnw24%2BsgXkytieQq0WVzGWGtChBGbMvL0AathQtdiYUfG%2Bud%2B7MrP0zXVthog%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"24999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$249.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00843TVL4&atag=freetos-20&exp=2013-06-15T18%3A48%3A24Z&v=2&sig=ZCFHr7oh8i99l6kO4%2F%2Fp93kZ8rjJKHTH1e25caaI3pA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:111:\"A fun, beginner-friendly boat with a nice collection of comfort features.  Ideal for kids or smaller paddlers.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2722", "418", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:39:\"28.5 x 20.6 x 11.6 inches ; 41.7 pounds\";s:15:\"Shipping Weight\";s:9:\"40 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000FE7INI\";s:17:\"Item model number\";s:6:\"AHTK-2\";}");
INSERT INTO `wp_postmeta` VALUES("2723", "418", "asg_star_rating", "3.8");
INSERT INTO `wp_postmeta` VALUES("2724", "418", "asg_customer_reviews", "a:8:{i:0;a:5:{s:5:\"title\";s:11:\"Orange Boat\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"January 24, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1QYY6VZ9OVM4N\";s:4:\"name\";s:14:\"Joseph Simpson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:537:\"Inflatables have strengths and weaknesses compared to rigid hulled watercraft. A strength is that this can be fit into a large duffel bag and stowed in a trunk rather than requiring a rack. The only weakness of this boat would be the tendency to take on some water between the outer shell and the air chambers. This occurs by way of a nylon fabric seam that isn\'t water tight. The outer hull is a scuff resistant layer more than a water barrier. Draining isn\'t difficult but it may take a few days of air drying before long term storage.\";}i:1;a:5:{s:5:\"title\";s:36:\"Colorado is a great places to kayak.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"February 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2IUUAIM1J9U8W\";s:4:\"name\";s:12:\"SliderInside\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:274:\"This is a great deal. Not a pool toy at all. Class 3 will perform fine. Inflates in no time.I use the hand pump. Electric pump is a waste of time. Holds pressure all day! 2 people fit easy, with 2 large dry sacks. Deflates in seconds, and stores easy in the back of the SUV.\";}i:2;a:5:{s:5:\"title\";s:65:\"Solid enough for a dog, light enough for two old people to carry.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 20, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2OJ40O4OW5GRZ\";s:4:\"name\";s:28:\"Carl Darnell \"living simply\"\";s:7:\"address\";s:6:\"Oregon\";}s:4:\"text\";s:420:\"After pulling out our backs multiple times loading and unloading our Pelican, we decided enough was enough. This wonderful little kayak has everything that we wanted. The seats are more then comfortable and our backs feel fine after rowing for several hours. The best part is how easy it is to take along. We just throw it deflated into the back of the truck and inflate when we get to where we are going. Piece of cake.\";}i:3;a:5:{s:5:\"title\";s:31:\"Easy storage and transportation\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"January 11, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3CWEK9HY2VPDL\";s:4:\"name\";s:8:\"J. Green\";s:7:\"address\";s:23:\"Los Angeles, California\";}s:4:\"text\";s:987:\"I would have preferred a hard kayak, but storing and transporting it to the beach would be a bigger pain than it\'s worth. And this inflatable kayak works excellently for our needs. The kids mostly use it and it only takes a few minutes to inflate it with <a href=\"http://www.amazon.com/gp/product/B0009PUQGE\">a pump</a>, and they don\'t mind a little work for the hours of fun they get out of it. We use it in the ocean but not for long distances or very far from the shore. Our friends have the same model and recommended it highly.<br /><br />My only complaints would be that it doesn\'t come with it\'s own storage bag, which seems to be essential and would keep it safer and help prevent damage. Also, the internal air chambers in the side can twist a bit, but with a little work they can be straightened out before it\'s fully inflated. At a little over 36 lbs, it might be a bit heavy but still easier than trying to store and transport a hard kayak, so this is perfect for our family.\";}i:4;a:5:{s:5:\"title\";s:26:\"tough and fun - we love it\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 20, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A17CVLJ4TXKYSA\";s:4:\"name\";s:7:\"Postman\";s:7:\"address\";s:13:\"Springboro OH\";}s:4:\"text\";s:426:\"So far we love it. Took it on various small rivers this past summer. Just reviewing now since I saw it again on amazon. We went down one river which was very low. Kept rubbing bottom. Even dragged it over a few. Hardly a scuff. Hard to tip over so kids love it for a ride around the lake. Easy to inflate, deflate and put it. Note though - this is not a superfast kayak. This is slower than a hard one - but that is ok for us.\";}i:5;a:5:{s:5:\"title\";s:22:\"I never leave reviews!\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 20, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1RXSRSF70AXK9\";s:4:\"name\";s:12:\"Papa Georgio\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:504:\"Me and my girlfriend each bought one... Her\'s deflaited the first trip but we kept trying it. And I thought it was just not pumped up enough. When I finally tried mine, I made sure to pump it up enough and it deflaited on me and my brother on a 2 hr kayak down a calm river!! I was extremely upset because I do my research and only read good reviews about this kayak... Thank God for Dicks 90-day return policy... We are now both looking into Hard Shelled Kayaks... BEWARE Don\'t mess with inflatables!!!!\";}i:6;a:5:{s:5:\"title\";s:51:\"shipped without boston valves and beginner\'s manual\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"June 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1ZX3ZRZKCOTVY\";s:4:\"name\";s:3:\"mat\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:200:\"I received this product in amazon\'s usual timely manner. However, it was missing the valves to inflate it. It was also missing a manual. It seems that they haphazardly packed up a return or something.\";}i:7;a:5:{s:5:\"title\";s:11:\"Great kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 18, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3DPKAES7GAV3W\";s:4:\"name\";s:13:\"Philip Harris\";s:7:\"address\";s:8:\"Colorado\";}s:4:\"text\";s:124:\"I used this with my grandsons - great kayak - well built, strong. I\'ll carry it on my 5th wheel for fun options on the road.\";}}");
INSERT INTO `wp_postmeta` VALUES("2704", "416", "asg_product_details", "a:1:{s:4:\"ASIN\";s:10:\"B00411164S\";}");
INSERT INTO `wp_postmeta` VALUES("2705", "416", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("2706", "416", "asg_customer_reviews", "a:7:{i:0;a:5:{s:5:\"title\";s:14:\"Awesome bargin\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 27, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A52F1HOUM3WVA\";s:4:\"name\";s:17:\"Matt- online nook\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:313:\"this kayak is the best! i have a blast riding on it with my brother on my grandmas lake. i have races with my sisters paddle boat sometimes. it awesome. It very stable, so i can stand up on it. The only thing instead of eighty dollar shipping get $1.95 shipping from walmart, so buy it from there, or from amazon.\";}i:1;a:5:{s:5:\"title\";s:9:\"A blast!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 19, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UKQFY7NW6OC7\";s:4:\"name\";s:8:\"R. Miles\";s:7:\"address\";s:15:\"Phoenix, AZ USA\";}s:4:\"text\";s:523:\"We got two of these--one for each of my girls(five and seven years old). What a blast!! They are extremely easy to paddle and steer, and the kids can really move across the lake. They\'ve started standing up on them and paddling, and can go almost as fast that way. They jump and dive from them, and the seven year old can even get back on hers by herself from the middle of the lake. They really are nearly impossible to flip. My daughter was trying! Highly recommended product if you\'ve got water-loving kids! So much fun!\";}i:2;a:5:{s:5:\"title\";s:11:\"We love it!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"December 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1QGN1MJB76GX2\";s:4:\"name\";s:13:\"Emily K Smith\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:301:\"This child kayak is perfect! My daughter is seven years old and was completely able to navigate through open water, untethered to myself (while supervised). If you have a child under age 10 who is interested in learning to kayak in open water, I totally recommend this kayak--- it\'s a fabulous value!!\";}i:3;a:5:{s:5:\"title\";s:9:\"Great buy\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ALX7LWYALULN6\";s:4:\"name\";s:9:\"mary kahn\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:165:\"We gave this to my grandson for his 9th birthday and he is just loving it. Great size kayak for kids to start out in. And probably use for years. This is a good buy.\";}i:4;a:5:{s:5:\"title\";s:70:\"Great Kayak for children - my grandson will love it for years to come!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 28, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AKP7727XIRAM5\";s:4:\"name\";s:6:\"Debbie\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:427:\"I bought it for my 3 year old grandson. He\'s still a little young, but we plan to get him use to it in the pool and then tether him to our kayak on short trips. We will give it to him on his birthday in April. When asked what he wants, he says he wants a boat like his Papa\'s. We weren\'t sure if it came with a paddle since there was no mention in the description, but it does come with a nice paddle! Great buy for the money!!\";}i:5;a:5:{s:5:\"title\";s:8:\"nice yak\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:11:\"May 7, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1PUWG8CD1LFPU\";s:4:\"name\";s:8:\"Runbobby\";s:7:\"address\";s:6:\"SLC UT\";}s:4:\"text\";s:237:\"Nice kids kayak, I was under the impression it was yellow like the picture but the one we got was orange. Not a deal breaker but it was not exactly what we ordered. It has not hit the water yet, but when it does I will update the review.\";}i:6;a:5:{s:5:\"title\";s:6:\"Sturdy\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 19, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A20TX9KNZF1E5\";s:4:\"name\";s:3:\"Ted\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:104:\"It has been to cold to use it. The quality is there. Heavy duty plastic and nice design. Great purchase.\";}}");
INSERT INTO `wp_postmeta` VALUES("2707", "416", "asg_last_refresh_attempt", "1371235694");
INSERT INTO `wp_postmeta` VALUES("2708", "416", "asg_update_timestamp", "1371235694");
INSERT INTO `wp_postmeta` VALUES("2709", "417", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2710", "417", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2711", "417", "asg_item_id", "B00AM8X9GM");
INSERT INTO `wp_postmeta` VALUES("2712", "417", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00AM8X9GM\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Intex-Person-Challenger-Inflatable-68305EP/dp/B00AM8X9GM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00AM8X9GM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Intex-Person-Challenger-Inflatable-68305EP/dp/tech-data/B00AM8X9GM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AM8X9GM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00AM8X9GM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AM8X9GM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00AM8X9GM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AM8X9GM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00AM8X9GM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AM8X9GM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00AM8X9GM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AM8X9GM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00AM8X9GM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AM8X9GM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00AM8X9GM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AM8X9GM\";}}}s:9:\"SalesRank\";s:5:\"53858\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL._SL160_.jpg\";s:6:\"Height\";s:3:\"147\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL.jpg\";s:6:\"Height\";s:3:\"458\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL._SL110_.jpg\";s:6:\"Height\";s:3:\"101\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL._SL160_.jpg\";s:6:\"Height\";s:3:\"147\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51aEDUMkzqL.jpg\";s:6:\"Height\";s:3:\"458\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/5119I-uk2rL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/5119I-uk2rL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/5119I-uk2rL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/5119I-uk2rL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/5119I-uk2rL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/5119I-uk2rL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qvLosQK2L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qvLosQK2L._SL75_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qvLosQK2L._SL75_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qvLosQK2L._SL110_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qvLosQK2L._SL160_.jpg\";s:6:\"Height\";s:3:\"105\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51qvLosQK2L.jpg\";s:6:\"Height\";s:3:\"327\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:20:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:5:\"Intex\";s:5:\"Color\";s:5:\"Green\";s:3:\"EAN\";s:13:\"0078257314935\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0078257314935\";}s:7:\"Feature\";a:5:{i:0;s:222:\"The Intex Challenger Kayak set includes kayak, set of 84\" aluminum double bladed paddle, repair kit and hand pump Streamlied design is great for easy paddling, and low-profile is ideal for lake and leisurely river paddling\";i:1;s:153:\"Roomy, spacious cockpit for one paddler includes an inflatable seat with backrest Inflatable I-beam floor provides a rigid surface and additional comfort\";i:2;s:132:\"Hard plastic skegs on the underside help provide directional control Grab line on both ends for an easy pull in and out of the water\";i:3;s:126:\"Front cargo net for extra storage of essential on the go gear Sporty color and graphics for a great look and additional safety\";i:4;s:143:\"U.S Coast Guard ID and certified by the National Marine Manufacturer\'s Association (NMMA) Weight capacity: 220 LBS Dimensions: 108\" x 30\" x 13\"\";}s:5:\"Label\";s:5:\"Intex\";s:12:\"Manufacturer\";s:5:\"Intex\";s:3:\"MPN\";s:7:\"68305EP\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:1:\"0\";s:6:\"Length\";s:1:\"0\";s:6:\"Weight\";s:4:\"6500\";s:5:\"Width\";s:1:\"0\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"68305EP\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:4:\"Size\";s:16:\"108\" x 30\" x 13\"\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:80:\"Intex One Person Challenger K1 Inflatable Kayak Kit with Paddle & Pump l 68305EP\";s:3:\"UPC\";s:12:\"078257314935\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"078257314935\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"9999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$99.99\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"7599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$75.99\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00AM8X9GM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AM8X9GM\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:21:\"Windy City SuperStore\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:164:\"P839LgHleCyDJwP9ienzsSnTPmBJt8laLI%2FGeUUJ7Hf85UhLIS2rrIFznz8N5sVpykl0BAb%2BjPqYkJ6%2B0Gjv2DGkHfAlpzHW1irsIrSgaml1A7YUX2Q8R5cspcbOvfpQJceXu%2FEPKHTPc3PybGoGkQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"9999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$99.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00AM8X9GM&atag=freetos-20&exp=2013-06-15T18%3A48%3A14Z&v=2&sig=YW6GBpHDSqYOblaPXkzSVrLoFnDsWDWPm8%2Fctf1lckk%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1446:\"box has shelf ware and paper pulls, product is very beautiful.\n\nBrand New 2013 Intex Challenger K1Kayak Set! Take on the water with ease with the Intex Challenger K1 Inflatable Kayak! Built with a strong and durable material impervious to the elements and resistant to damage and sunlight, the Intex Challenger Kayak is perfect for a day on the lake or a calm paddle down the river. The complete kit - 84\" aluminum dual-bladed paddle, patch repair kit and high-output hand pump are included! Features The Intex Challenger Kayak set includes kayak, set of 84\" aluminum double bladed paddle, repair kit and hand pump Streamlied design is great for easy paddling, and low-profile is ideal for lake and leisurely river paddling Roomy, spacious cockpit for one paddler includes an inflatable seat with backrest Inflatable I-beam floor provides a rigid surface and additional comfort Hard plastic skegs on the underside help provide directional control Grab line on both ends for an easy pull in and out of the water Front cargo net for extra storage of essential on the go gear Sporty color and graphics for a great look and additional safety U.S Coast Guard ID and certified by the National Marine Manufacturer\'s Association (NMMA) Weight capacity: 220 LBS Dimensions: 108\" x 30\" x 13\" Warranty: 30 Day Intex Warranty Against Manufacturing Defects Includes 2013 Challenger K1 Kayak Set Carrying Bag 84\" Double Bladed Paddle High Volume Inflation Pump\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2713", "417", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:9:\"65 pounds\";s:4:\"ASIN\";s:10:\"B00AM8X9GM\";}");
INSERT INTO `wp_postmeta` VALUES("2714", "417", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("2715", "417", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:3:\"fun\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 23, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A331UMHOBC4IUS\";s:4:\"name\";s:5:\"karen\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:137:\"fun fun fun light works great and I don\'t have to put a roof rack onmy new car!!!!! It is actually more stable than my hard plastic Kayak\";}}");
INSERT INTO `wp_postmeta` VALUES("2716", "417", "asg_last_refresh_attempt", "1371235695");
INSERT INTO `wp_postmeta` VALUES("2717", "417", "asg_update_timestamp", "1371235695");
INSERT INTO `wp_postmeta` VALUES("2718", "418", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2719", "418", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2720", "418", "asg_item_id", "B000FE7INI");
INSERT INTO `wp_postmeta` VALUES("2721", "418", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000FE7INI\";s:13:\"DetailPageURL\";s:215:\"http://www.amazon.com/AIRHEAD-AHTK-2-Montana-Performance-Person/dp/B000FE7INI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000FE7INI\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:225:\"http://www.amazon.com/AIRHEAD-AHTK-2-Montana-Performance-Person/dp/tech-data/B000FE7INI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7INI\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000FE7INI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7INI\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000FE7INI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7INI\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000FE7INI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7INI\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000FE7INI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7INI\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000FE7INI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7INI\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000FE7INI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7INI\";}}}s:9:\"SalesRank\";s:5:\"29432\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL160_.jpg\";s:6:\"Height\";s:2:\"86\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL.jpg\";s:6:\"Height\";s:3:\"268\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:5:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL110_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL160_.jpg\";s:6:\"Height\";s:2:\"86\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL.jpg\";s:6:\"Height\";s:3:\"268\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL75_.jpg\";s:6:\"Height\";s:2:\"40\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL110_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL._SL160_.jpg\";s:6:\"Height\";s:2:\"86\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41DKoWxyeVL.jpg\";s:6:\"Height\";s:3:\"268\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51iVw0cyPGL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51iVw0cyPGL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51iVw0cyPGL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51iVw0cyPGL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51iVw0cyPGL._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51iVw0cyPGL.jpg\";s:6:\"Height\";s:3:\"332\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41n8s13QxeL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41n8s13QxeL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41n8s13QxeL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41n8s13QxeL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41n8s13QxeL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41n8s13QxeL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qJ3Oq6PCL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qJ3Oq6PCL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51qJ3Oq6PCL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qJ3Oq6PCL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51qJ3Oq6PCL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51qJ3Oq6PCL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:31:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Airhead\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"AHTK-2\";}s:5:\"Color\";s:6:\"orange\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0737826019748\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737826019748\";}s:7:\"Feature\";a:5:{i:0;s:77:\"12-foot, 2-man inflatable kayak individuals; more spacious than 10-foot model\";i:1;s:43:\"Designed for lakes and moderate white water\";i:2;s:34:\"Lightweight, compact, and portable\";i:3;s:39:\"Semi-rigid heavy gauge PVC construction\";i:4;s:49:\"Weighs 36.3 pounds; weight capacity of 500 pounds\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1160\";s:6:\"Length\";s:4:\"2850\";s:6:\"Weight\";s:4:\"4170\";s:5:\"Width\";s:4:\"2060\";}s:5:\"Label\";s:8:\"Kwik Tek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Manufacturer\";s:8:\"Kwik Tek\";s:36:\"ManufacturerPartsWarrantyDescription\";s:5:\"Parts\";s:5:\"Model\";s:6:\"AHTK-2\";s:3:\"MPN\";s:5:\"AHTK2\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1300\";s:6:\"Length\";s:4:\"2800\";s:6:\"Weight\";s:4:\"4580\";s:5:\"Width\";s:4:\"2000\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"AHTK2\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Kwik Tek\";s:11:\"ReleaseDate\";s:10:\"2008-04-28\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:18:\"ZZX3*0199558000000\";s:6:\"Studio\";s:8:\"Kwik Tek\";s:5:\"Title\";s:49:\"AIRHEAD AHTK-2 Montana Performance 2 Person Kayak\";s:3:\"UPC\";s:12:\"737826019748\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737826019748\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"29969\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$299.69\";}s:8:\"TotalNew\";s:2:\"37\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000FE7INI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7INI\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:120:\"BZzU15VfX%2BQmU13Bbf56%2Fz4W%2BeplpoVw19hHBd3nmaC5WZ5a2lW8rH6WDLukS%2BRNJZqW3LEeSS01hGn37A%2FNHO2y7u8BaTdO4XPvMMN3L3Y%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"30499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$304.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:5:\"19500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$195.00\";}s:15:\"PercentageSaved\";s:2:\"39\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000FE7INI&atag=freetos-20&exp=2013-06-15T18%3A48%3A15Z&v=2&sig=5OzKOHbx6EYFk%2F9hmrJm0u%2F3S4Q0A7AEatSyiNQcmzI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:61:\"AHTK-2: 2 man, 12 ft., 36.3 lbs., 2 person / 500 lb. capacity\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2194:\"Inflatable kayaks are perfect for camping, vacationing, exploring remote areas, and cruising yachts. They\'re also great for paddling enthusiasts that don\'t want to drive around with a kayak on their rooftop! This 12-foot travel kayaks fits easily into the trunk of your car, duffel bag or suitcase. When you feel the itch to paddle, your boat is with you. Tubular I-beam floor supports the boat for superior comfort, buoyancy, and tracking and is made of high-visibility orange PVC for extra safety on the water. <p><table align=\"right\" cellpadding=\"10\" width=\"250\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"210\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/kwik-texk-kayak-12ft.jpg\" width=\"250\" /><br /><br /><small><em><strong>The Travel Kayak seats 2 comfortably for on-water fun.</strong></em></small></td> </tr> </tbody></table> <b>Features:</b> <ul> <li>12-foot, 2-man inflatable kayak individuals; more spacious than 10-foot model <li>Designed for lakes and moderate white water <li>Lightweight, compact, portable <li>Highly visible orange for safety <li>Semi-rigid heavy gauge PVC construction <li>Tubular I-beam floor for superior comfort, buoyancy and tracking <li>Spray covers fore and aft <li>Movable and removable inflatable seats provide great back support <li>2 Boston valves for quick inflating & deflating <li>Threaded drain hole with plug <li>Designed for lakes and moderate white water <li>Lightweight, compact and portable <li>Semi-rigid, heavy-gauge PVC construction <li>Front and back spray covers <li>Low drag and superior tracking with 4 bottom fins <li>All 3 air chambers are completely enclosed by rugged 840-denier nylon with UV and water-resistant coatings <li>Durable tri-laminate reinforcements on the bottom <li>Neoprene elbow guards for comfort <li>Easy to inflate and deflate <li>Stainless steel and nylon hardware will not corrode <li>6 D-rings at bow and stern for securing gear, stretch net in bow <li>Low drag, superior tracking <li>Grab handles for easy put-ins and take-outs </ul> <p> <b>Specifications:</b> <ul> <li>Capacity: 2 <li>Length: 12 feet <li>Weighs: 36.3 pounds <li>Weight Capacity: 500 pounds </ul> <p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2695", "415", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:33:\"34 x 21 x 10 inches ; 22.5 pounds\";s:15:\"Shipping Weight\";s:11:\"35.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004E4ERUM\";s:17:\"Item model number\";s:10:\"2000006972\";}");
INSERT INTO `wp_postmeta` VALUES("2696", "415", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2697", "415", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:40:\"Good Kayak, excessories were troublesome\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3J4GKO49H8P5Q\";s:4:\"name\";s:6:\"ashlee\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3030:\"so I am writing this review after the maiden voyage with my kayak. the kayak itself is great - it\'s a nice length, it was comfortable, it inflated pretty easily, and I really love that every part of the \'backpack\' becomes part of the kayak when assembled. the accessories, however, are another story. I like that this kayak came with the inflatable hand pump - one less thing for me to purchase. however, the pump comes with several attaments to fit in differently sized valve holes. on this kayak, there are 3 valves - two with large openings, and one with a regular sized opening. one attachment on the pump fits the valve with the regular sized opening perfectly well, no problem. the attachment that is sized to fit in the large valves however, is just a tad bit too small so it goes into the opening, but does not stay in place while you are pumping (so you would literally need to have someone hold it in place). to me, the whole point of an inflatable kayak is that it is an item you can use alone, without needing any help to set it on your car, carrying it, etc. for a quick fix, I took a couple strips of duct tape, and wrapped it around the valve attachment and it did the trick - it fits snuggly in the valve now.<br /><br />I figured that would be the biggest problem with this purchase, and that would have been fine with me. that was, however, until I was halfway across the bay I was kayaking in, and the paddle that this set came with BROKE IN HALF. one half of the paddle literally sank, and so I was stuck kayaking back to the launch point with only one half of a kayak paddle. not exactly ideal. luckily, I have a good sense of humor, so I laughed about the whole thing, but if you buy this set, take my advice and buy your own paddle and throw the junk that comes with this away. it is not like any other kayak paddle I\'ve seen; instead of coming in two pieces that snap together with a locking button, it came in three segments with 6 couplings to attach the pieces together. that was a problem for a couple reasons - first is that you can\'t break the paddle down into two symmetrical pieces, so it is harder to tote along in the car. also, the couplings are made of really cheap plastic, so they definitely did not hold up to heavy paddling. the coupling on one end broke mid-stroke, and that end of the paddle fell off and floated away (before sinking). definitely not worth the money they spent to produce it. I don\'t know why Sevylor didn\'t just include a normal paddle or none at all, because the one they included was such a waste. I had heard bad things about their paddles, but I wanted to try it out (since again, I figured why spend more money if I didn\'t have to). if you\'re intent on trying the paddle out, make sure you use it on a short trip where you have someone standing by for rescue haha.<br /><br />conclusion is that the kayak is pretty awesome, the pump is mediocre, and the paddle is a piece of junk. all-in-all, still recommended, even though I paid $50 more than it\'s listed for now!\";}i:1;a:5:{s:5:\"title\";s:33:\"Excellent Kayak, Okay Accessories\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A25YYHIDXDXJUF\";s:4:\"name\";s:4:\"Nick\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:4507:\"First-off, I would like to mention that this review may be lengthy, as I just want to cover all the bases and since there are so few reviews for this product, hopefully aid in your decision to purchase it. I recently purchased this kayak for about $226 out the door, and am extremely happy I did. It fits my needs perfectly (I am a college student with an apartment, so storage is limited) and I love that I am able to take it out on the river without the need for a roof-rack or friend to help me carry it and load it. Since I have received the kayak, I have taken it out on the river once for about 3 hours, and it tracked a lot better than I had anticipated. Gentle and controlled paddling will ensure that the vessel will maintain a straight course, and I had no trouble paddling against the current or in the wake of passing boats. This is an inflatable boat, so keep that in mind. But even taking into consideration that it is inflatable, I only experienced a small amount of more sway than I have with hardshells, and it wasn\'t problematic in the least bit. I even let my friends and family try it out, and they were able to control the kayak with relative ease (considering none of them had kayaked before).<br /><br />Stability is another area where this kayak shines. This vessel is rather stable, and I rocked pretty hard back and forth while I had it out on the river by my apartment, and found it difficult to even get the edge close to the water level. Additionally, I attempted a reentry into the kayak in open water (be sure to wear a PFD if attempting this), and succeeded with relative ease. The boat rocked minimally as I used my arms to lift myself up, and I was back in and paddling in 15 seconds.<br /><br />Assembly and breakdown is pretty quick and painless. I had timed myself setting up the kayak and packing packing it away, and I had it from pack to sitting in the seat in 12 minutes, and back into the backpack in 8. I was consciously taking my time to get an accurate time, and was pleasantly surprised to see it took such little time to set up and put away. One gripe I did have, however, was with the directions. They were unclear about how to fold the kayak so it fits properly in the backpack. I have found that folding one side into the middle lengthwise, and then the other side over the first so it covers it works the best. Then just fold up the rear so the skeg is exposed in two folds, and then fold front twice to cover the rear skeg. It should fit perfectly then.<br /><br />As other users have mentioned before me, the accessories leave much to be desired. The paddle itself seems cheap, and while I understand the three piece design increases portability, I will be purchasing a better paddle this week. The pump\'s nozzle does not fit very securely while inflating, and while some have used duct tape to solve this problem, I have been able to secure it by sliding one of the notches of the piece of plastic that secures the cap into the nozzle of the pump.<br /><br />The material on the bottom of the kayak is very heavy-duty, and I had no worries with dragging it to shore over pebbles and rocks. There is more storage than I had anticipated, with a rear well that will hold the pump and some other items. There are plenty of bungees for deck storage as well, and D-Rings for the placement of deck bags if you wish (on my purchase list). Be sure to note that while the rear well will keep most of the water out, it is not completely waterproof. I tested it by dumping a large amount of water on the cover, and a portion of it seeped in. So if you plan on taking this down some whitewater, be sure to keep your cell phone in a drybag or container, along with anything else you wish to keep dry. Please note that there is little-to-no room inside the kayak for storage. Behind the seat is occupied by inflatable space, and the legroom is comfortable but snug (I am about 5\'10\", 150lbs). If you plan on taking this on an overnight or multiday trip, you will need a set of deckbags for gear storage.<br /><br />Overall, this kayak is a must-buy and a keeper for me. The small amount of storage space required, phenomenal portability, and excellent handling and stability have made me extremely happy with my purchase. As I mentioned, the accessories leave much to be desired, but a decent paddle can be purchased on Amazon for ~40 dollars. All in all, this boat is versatile and portable, two great qualities to have in a kayak, and at the price, it can\'t be beat.\";}i:2;a:5:{s:5:\"title\";s:23:\"Quickpak K5 is a keeper\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 23, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3IY1P47YOBIZI\";s:4:\"name\";s:23:\"S. R. Perrine \"NRA-EVC\"\";s:7:\"address\";s:13:\"Cleveland, OH\";}s:4:\"text\";s:1775:\"A friend of mine surprised my wife and myself by gifting us a K5. We really enjoyed it and have since ordered another one. Most importantly, the yak is fun on the water. I weigh in at 247 lbs and had NO problem getting in and out of the yak. It is a real engineering marvel. I was about to buy a hard side kayak when my friend surprised me with this inflatable version. The reason I still hadn\'t purchased the hardside yaks was I was worried about where I would store the boats, as well as the $300 I\'d have to spend on a rooftop system for my car to get the boats to the water. Now I\'m glad I was in a holding pattern as I tried to figure out a system (transportation and storage) which would make sense for my home and car. Although I was skeptical when I first saw the inflatable (I\'m a conservative type, ie always use gas engines never electric, prefer steel over plastic, etc) I was won over by the sheer logic of the system. Easy to get ready (it really is only about five minutes from pulling it out of the trunk to ready to launch). It is also comfortable and secure in the water. I\'m sure it is not as fast as a hard shell, but I\'m interested in having fun, getting exercise, and don\'t plan on entering any races anyway, so it is perfect for me. If it holds up for five years I\'ll feel like I got my moneys worth. By the way, several hard side kayakers asked me where I purchased my Kayak and I can tell from the look in their eyes that they see all the problems they have such as weight, storage, and transportation are all solved by going to a quality inflatable design. I highly recommend the K5, although I use an electric pump I can run from my car to inflate it so I can\'t comment on the pump design. Mine is actually pumped up in about two minutes... yahooo!\";}i:3;a:5:{s:5:\"title\";s:21:\"Best Inflatable Kayak\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AIVGRHSESEPBH\";s:4:\"name\";s:4:\"Trey\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:704:\"This kayak is great. It is my first and after research on kayaks I was comfortable purchasing this one. It\'s so comfortable to sit in and tracks good. My only issue along with others is the hand pump. It was too much trouble trying to keep the attachments attached while pumping so I purchased a rechargable pump and it makes inflating the kayak so quick and easy. It\'s up and ready to go in less than 2 minutes. I live in an apartment and have little room to store things so I like that it\'s not in my way. I can place it in a closet and doesn\'t take up much room. I\'m a petite female and I have no trouble carrying the kayak and setting it up. I would recommend this kayak to anyone!!! Awesome product.\";}i:4;a:5:{s:5:\"title\";s:35:\"Great Kayak but the accessories....\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"August 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A27LGKD0HKTYEU\";s:4:\"name\";s:15:\"Stephen M. Ruff\";s:7:\"address\";s:11:\"Kingston,NY\";}s:4:\"text\";s:1904:\"I bought this Kayak at the beginning of summer. I have sailed it a number of times,and must say the Kayak itself seems very durable&rugged,stable,and seaworthy(or should I say riverworthy,since I kayak on the Hudson River). It is a 1 person kayak,as stated. I am 5\'10\"&185lbs,and fit;I\'d guess a height of 6\' would be as tall as one could be to reasonably fit in the K5.<br /><br />It takes me just 10 minutes to be in the water after parking the car,and 10 minutes to get into the car and take off after getting out of the water. Once in the water,the K5 moves along quite adequately. I have encountered 3\'-4\' waves while out,and the K5 is as solid as a rock. If stability and balance are of great importance to you,this kayak shines. I also like the bungee cords both before and behind the seat-very useful.<br />The spray skirt does drip a bit,but Scotch Guard or a similar water repellent should work.<br /><br />Now for the downside: The paddle is 5th rate and not worthy of use. It is a 3 section paddle,with cheap plastic hand grips which are uncomfortable to use. On my first trip out,1 section came off,in spite of my screwing it on tightly. On my third trip out,the paddle was in the process of breaking apart as I pulled into shore. I replaced the paddle with a Seasense Xtreme,which has comfortable foam grips and seems to work well.<br />In less than a month the handle of the air pump snapped,rendering it inoperable. I replaced it with another manual pump,as well as a pump that attaches to the port on the dashboard of your car. Inflating and deflating the K5 is now effortless,and the valve stems on the electric fit the Kayak.<br /><br />With good accessories,the K5 is a 5 star kayak-strong,rugged,very stable and seaworthy,and well designed.<br />My advice for those interested,is when ordering the K5,order a decent paddle and air pump at the same time.<br />You\'ll be happy you did.\";}i:5;a:5:{s:5:\"title\";s:22:\"Very glad I bought it!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2XXIVU9Z92TAP\";s:4:\"name\";s:28:\"E. J. Rodriguez \"smrt shopr\"\";s:7:\"address\";s:11:\"Chicago, IL\";}s:4:\"text\";s:669:\"The reviewer that said she had a qualm about the pump not fitting the valve, thus creating the need to hold it in place to fill, was right. And there in lies the ONLY qualm I have about this product. The inflatable part is inside a protective layer that has a thick, rugged PVC or rubber like lining. Whatever it is, it is awesome. I had to drag it over some rocks (I was not in it, of course), through a trail, etc. It didn\'t care. Surprisingly, even as I packed it up and the rain was pouring, I was still able to pack it up and carry it on my back, to the car.<br />I had no problems with the paddle. But, I would buy a better, longer one.<br />I would recommend it.\";}i:6;a:5:{s:5:\"title\";s:20:\"Fun Inflatable Kayak\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 16, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A25QROGQGQ7ZIB\";s:4:\"name\";s:8:\"CJohnson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1712:\"I bought this kayak about two weeks ago and I paid $216 (not including the shipping). For the price I feel like it is a pretty good deal. I have even been able to fish in this kayak- that can be a little tricky at times with the paddle, fishing gear, and fishing pole. If anyone is planning on fishing with this kayak they will need to get an anchor of some kind (I would say around 3 lbs.).<br /><br />I have taken this kayak out on the lake and it seems to track well given the fact that it\'s an inflatable. The storage compartment in the back is nice (big enough to fit a foot pump and a couple of other things). From the pictures I thought the place where you sit would be bigger but it\'s actually pretty snug (I weigh 150 lbs. and I\'m 5\'9\'\'). Despite this fact the kayak does feel stable in the water due to how wide it is.<br /><br />I had a lot of trouble with the pump. It does not stay in the hole when you are airing up the kayak and this can be problematic. I bought a rechargeable pump to replace the one that came with the kayak and I also have a foot pump because the rechargeable will only put air into the kayak up to a certain pressure. The paddle that came with the kayak has held up but there are definitely better ones out there. The seat makes this kayak very comfortable and overall I\'ve enjoyed using it! I have an apt. so a hard shell kayak was not an option for me. getting all of the air out of the kayak and getting it back into the backpack can take some time and effort. Since I plan on taking it out at least 1-2 times a week over the summer I will probably just fold it up and leave it in the car (taking into consideration shade and ventilation to keep the heat from damaging it).\";}i:7;a:5:{s:5:\"title\";s:19:\"Its what I expected\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AKAPAT3XMOLUX\";s:4:\"name\";s:9:\"jillranae\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1761:\"First off I think the other reviews on this product were very helpful when I was deciding whether or not to buy this. I decided to go inflatable for a couple different reasons. My first is the weight issue, I\'m a small girl so getting a hard kayak on top of my SUV was hard to imagine. My second reason is that I\'ve only kayaked a couple times prior to buying this, I live in an area where it seems like half the population has one so I wanted to be part of the fun but didn\'t want to spend a ton of money doing it. Lastly I love to fish and wanted a quick easy way to be further from the bank to do it.<br />I\'ve taken my kayak out twice so far. The first time I was just following along while my family was in a row boat and we were just hanging out fishing in the middle of the lake. the second time I went with a friend who had a plastic kayak and well lets just say she left me in the dust! All the reviews say that the paddle is cheap and it is, I\'m hoping it will last me the rest of the year but I wish it was just a little longer as I keep hitting the side of the boat while paddling(this could be due to my shortness though). The pump doesn\'t have the best connecters for the valves and I do have to hold them in while pumping, I tried an electric pump but feel like the foot pump blows it up way better. Somehow this kayak folds up so well the seat becomes a backpack for it, it got shipped to me in the pack and I\'m pretty sure that will be the last time it\'ll ever be in the pack.<br />So my point here is, if you go kayaking just to fish this is a good option. If you\'re wanting something that tracks well then buy something else. This is a good starter kayak its more heavy duty than I expected and maybe in a year I\'ll get a plastic one as well.\";}i:8;a:5:{s:5:\"title\";s:8:\"Awesome!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 19, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1LSZ5NAZJQM2C\";s:4:\"name\";s:3:\"Ari\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:588:\"I bought this kayak a few weeks ago and have taken it out on the water twice so far. It\'s been great! It blows up sturdy and I have good control of it. It has a fin on the bottom to avoid fishtailing. The only concern I have is that it is meant for a small person. I am a 5\'2\", 115 lb. female, and it\'s the perfect size for me. My feet touch the end of it, so I can\'t imagine that this kayak would be comfortable for anyone any bigger than 5\'3\" or 5\'4\". Otherwise, for the price, I think it\'s a great deal. I paid significantly less than the amazon price at a popular sporting good store.\";}i:9;a:5:{s:5:\"title\";s:23:\"Great Fun! Great Value!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A44SE4OGDTI4J\";s:4:\"name\";s:3:\"Lch\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:843:\"My husband and I ordered two of these early in the summer and have been out several times a week, sometimes more than once in a day, ever since! They are well designed and function well on the water. We can have them inflated and in the water in minutes. The paddles have worked fine for us too. I wanted a kayak I could lift and use myself, and these fit the bill. I have been out alone several times. They are far more comfortable than regular kayaks too. We did some pretty strong rapids and they were great! So many people have asked us about them and are impressed. We have lent them to friends and family, and several of them have already ordered them. The only complaint we have is that the pump attachment doesn\'t fit the larger valves well. Otherwise, we are more than pleased. They are truly one of the best investments we have made!\";}}");
INSERT INTO `wp_postmeta` VALUES("2677", "413", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:33:\"24 x 12 x 8.5 inches ; 5.3 pounds\";s:15:\"Shipping Weight\";s:11:\"12.6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0015Q8DQG\";s:17:\"Item model number\";s:8:\"MPG106MD\";}");
INSERT INTO `wp_postmeta` VALUES("2678", "413", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("2679", "413", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:29:\"Malone kayak rack works great\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2RDMHEAR5ACC0\";s:4:\"name\";s:7:\"Hank G.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1239:\"Like many, I was horrified at the prices of \"name brand\" kayak racks. These polycarbonate Malone kayak carriers are a great value. I\'ve used mine for three years, including 12-hour drives up to northern Maine for long river/lake camping trips. They are easy to install on your roof crossbars and very secure. I have two sets that I use on my Toyota Matrix. I\'ve even hauled up to three kayaks by wedging one boat between the two on the Malone racks. I live in New England, so I remove my racks in late fall and reinstall them in early spring, leaving them on all summer unless I\'m taking a long trip without the kayaks. The crossbar clamp that come with the Malone uses a large \"wing nut\" that provides plenty of leverage. The \"autoloader\" feature refers to the small ramp on the lower part of the rack. When the carriers are mounted on your crossbars, these small ramps allow you to gently flop the kayak against the ramps and push it up into the carrier so that you don\'t have to lift it as high as you would with a Yakima or Thule carrier. It\'s a good idea and works quite well. I\'m 6\'2\", so I personally don\'t use that feature; however, my wife has used it successfully on her outings with her girlfriends. A good buy you won\'t regret.\";}i:1;a:5:{s:5:\"title\";s:31:\"Easy On, Easy Off. Very Sturdy.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 2, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2BQ6RCVLZDTTL\";s:4:\"name\";s:5:\"April\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:452:\"Increadibly simple to put on the car and take off by myself. Have no difficulty securing my kayaks so that they do not shift at all even at highway speeds. While I do use the bow and stern lines when traveling at high speeds or long distances (just in case a strap broke), so far they have been totally unnecessary as I have seen no shifting of the kayak in this very sturdy rack. I now own 3 of these and can fit 3 kayaks on the top of my Ford Escape.\";}i:2;a:5:{s:5:\"title\";s:33:\"Excellent Car Rack Kayak Carrier!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 9, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A8QIW8AOVSX7E\";s:4:\"name\";s:13:\"Tom and Joyce\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:585:\"We bought two carrier for our two kayaks.<br /><br />Sturdy, well designed and has good clear instructions. After just one outing we could load our kayaks with ease without instructions in less than 15 minutes!<br /><br />Only negative is:<br />1. it does not fold<br />2: the bow and stern kit isn\'t worth the extra money. It\'s a simple rope with a s-hook. Unless you don\'t mind making knots... (I am not very good at it)I would recommend instead to buy the model at $103.46 and a ratchet strap kit.<br /><br />NOTE: we use velcro tie-wraps to secure the hanging red side load straps.\";}i:3;a:5:{s:5:\"title\";s:32:\"Malone Autoloader almost perfect\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 19, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1YO1OJ7UWFSN8\";s:4:\"name\";s:8:\"micven55\";s:7:\"address\";s:12:\"BingoTown NY\";}s:4:\"text\";s:784:\"I purchased the kayak carrier with the intention of using it on my wife\'s matrix. We have the Thule aftermarket rack (the factory roof rails start too far back on the roof to be of any use) and when I put the carriers on the load bars the one on the front bar was tilted forward and the one on the back bar was tilted back. This was due the fact the the thule bars were not level, a fault of the thule design. There is no adjustment on the carriers to correct for this. I ended up using the carriers on my Mazda 3 which also has an aftermarket thule rack. This time the bars were level and the carriers both were level. No problem putting the kayak on and securing it.<br /><br />I would recommend this product, just make sure your load bars are level, not a problem for yakima racks.\";}i:4;a:5:{s:5:\"title\";s:16:\"Would buy again!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"August 5, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2H5T88XL8YCPQ\";s:4:\"name\";s:6:\"Andrey\";s:7:\"address\";s:10:\"Boston, MA\";}s:4:\"text\";s:3079:\"After trying to decide between the Autoloader and the Seawing, I went with the Autoloader. However, Amazon sent me a Seawing by mistake, so I got a chance to take a look at it as well. I have to say that the fit of my kayaks (2 Delta 12s) on the Seawing was not as good as I thought it would be, it didn\'t fit quite as well as I hoped. The only benefit to the Seawing is the slightly more aerodynamic shape of the carrier & the kayak position, although I\'ve driven with 2 empty sets of Autoloaders on the highway and didn\'t hear much noise (no rack fairing installed either). Also, in my opinion, I like that the Autoloaders take much less space on my roof and when I\'m tired I can just plop the kayaks on the loading step and push them into the rack.<br /><br />Now for the actual product - very sturdy and does indeed flex to fit your kayak. Won\'t rust. Extremely easy to install and remove - in fact, this may be a con if you are like me and worry about leaving the carriers on your roof in sketchy places. Unscrewing the t-knobs by hand to remove the rack would take no more than 30 seconds. I\'ve thought of putting nylon locking nuts on the screws just to deter the \'honest\' people, but if someone wants your carrier/rack, they\'ll take it.<br /><br />I have not had any problems with the straps that are included, in fact, I like them very much. You are supposed to pre-dress the carrier by feeding the straps through the top, put your kayak in, then throw the straps over the kayak - I\'ve had some difficulty with straps twisting at this step here, which makes it difficult to pull them through for the next step, but it\'s not too bad and I\'m getting the hang of it - you just need to carefully slide the strap the right side up over the hull.<br /><br />I strongly encourage you to use the bow & stern lines, although the ones that come with the carriers are nothing special. I use a hitch knot and so far no problems with it loosening. I am concerned that the hooks do not provide a permanent attachment point - if a bow/stern line were to develop some slack, possibly in a catastrophic scenario, the hook would detach from the car. I may use carabiners to replace the hooks.<br /><br />I have the same problem as mikven55 with the load bars not being level and therefore the cradles not being parallel to the ground. It\'s not a huge deal, actually.<br /><br />One thing I want to complain/warn about is the T-knobs - it\'s possible to overtighten them, and I had two of them crack/crumble in the hexagonal portion. As a result, some of the rubber covering the metal adapters has ripped, but I am going to fix this with some Plasti-Dip. The cracking has lead me to reverse all the knobs so that the hexagonal portion points away from the rack and it\'s the flat portion that presses against the metal. I contacted the company and they sent me not two, but 8 replacements! Excellent service! I like that you can buy replacement parts as well.<br /><br />Taking one star away because of the crumbling of T-knobs, but overall, I am very happy with the product and the support!\";}i:5;a:5:{s:5:\"title\";s:46:\"Great to put my 18\' surf ski on my 12\' car ;-)\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 15, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2NGLEVE6PZZ66\";s:4:\"name\";s:12:\"Roger Curley\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:304:\"No tools required ;-)<br />it\'s easier than flopping the kayak on paddle cross bars,<br />the skid plate makes getting up there a gentle process,<br />no more denting the $$ kayak while blindly flopping on the top of the car.<br />very secure!<br />Now easy to carry the surf ski & the wife\'s 11\' SUP ;-)\";}i:6;a:5:{s:5:\"title\";s:61:\"Malone AutoLoader XV J-Style Universal Car Rack Kayak Carrier\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 28, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1KOV0PT6QTVWR\";s:4:\"name\";s:15:\"Douglas A. Judd\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:297:\"Great product and easy to install on the Nissan Xterra. I did have to purchase 80mm bolts for the over-sized crossbars on the Xterra, but all went together fine. Hauled two kayaks, a 12 foot & 17 foot, 300 miles to the beach, and everything stayed in place with no loosening of ties or hold-downs.\";}i:7;a:5:{s:5:\"title\";s:15:\"Easy To Install\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 1, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AHZ2PKMA86DHX\";s:4:\"name\";s:7:\"HeartRx\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:251:\"I have an older Malone kayak carrier, which requires a special wrench to mount on my roof rack. This new carrier has easy to install wing nuts, instead, and does not need any special tool. We love the fact that we can now caryy both kayaks on our car.\";}i:8;a:5:{s:5:\"title\";s:23:\"Quick, easy instllation\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5SHMP711Q9SZ\";s:4:\"name\";s:24:\"Wayne A Whitcomb \"Wayne\"\";s:7:\"address\";s:10:\"Renton, WA\";}s:4:\"text\";s:134:\"Easily installed on Hyundai and makes loading and transporting my Ocean Kayaks easy and quick. Fits all my kayaks form 11-FT to 15-FT.\";}i:9;a:5:{s:5:\"title\";s:30:\"Won\'t work with Hobie Outback!\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"April 2, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1LBNDSXH42XL2\";s:4:\"name\";s:14:\"Tamara Fischer\";s:7:\"address\";s:6:\"Oregon\";}s:4:\"text\";s:284:\"The star rating is really not relevant here. We didn\'t get to use them as our kayaks did not fit in/on them. Just wanted to warn people that if you are planning on purchasing them for big sit on top kayaks they will not fit! Luckily Amazon is amazing with their ease of return policy!\";}}");
INSERT INTO `wp_postmeta` VALUES("2651", "410", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"2.4 ounces\";s:4:\"ASIN\";s:10:\"B004MYAGJA\";}");
INSERT INTO `wp_postmeta` VALUES("2652", "410", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("2653", "410", "asg_customer_reviews", "a:4:{i:0;a:5:{s:5:\"title\";s:44:\"Good plugs, once you find the right size....\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"February 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A25X5X3PZHNC4C\";s:4:\"name\";s:11:\"redwindcone\";s:7:\"address\";s:15:\"Celebration, Fl\";}s:4:\"text\";s:1014:\"With no reference to sizing, good luck finding the right size... on other, non-amazon, sites I found chart that told you which one fit which ocean Kayaks but left no actual sizing information if one wanted to buy these products for other kayaks. The fist scupper plugs i bought of a different kind were way to small so I got the large in these. They were way to big so I keep buying the next smallest size and I guess the third time was the charm cause the \"small\" fit but with a good portion of the plug sticking up so I went a head and got the x-small to see if they fit more flush. Long story short I enjoy them now, I just wish the manufacture would be more straight forward in the sizing information. So no one has to play this game again, here are the sizes I found them to be. Each one has a slight tapper to the bottom.<br /><br />Large- 2\"-1 3/4\"<br />Medium - 1 3/4\" - 1 1/2\"<br />Small - 1 1/2\" - 1 1/4\"<br />x-small - 1 1/4\" - 1\"<br /><br />I also included pictures above with the measurements on them.\";}i:1;a:5:{s:5:\"title\";s:12:\"Did the job!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 5, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AIWAQAK9MKUHJ\";s:4:\"name\";s:5:\"Megan\";s:7:\"address\";s:10:\"California\";}s:4:\"text\";s:230:\"These worked perfectly, though a word of warning- according to the specs on my kayak, it required a smaller sized scupper but after trying it out, I realized they did not fit properly. I got these instead and they have been great.\";}i:2;a:5:{s:5:\"title\";s:35:\"works fine took pic of sizing chart\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 20, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJJFR9ZAIUX2Q\";s:4:\"name\";s:12:\"KYLE HOPKINS\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:187:\"They work fine but I got the wrong size. I took a pic of the sizing chart on the package and uploaded it. So if you look at the costume pics you\'ll know which ones to get for ocean kayak.\";}i:3;a:5:{s:5:\"title\";s:15:\"They do the job\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"December 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3NN60Q58SLQR4\";s:4:\"name\";s:10:\"D. Kozdras\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:105:\"They are designed to plug the scupper holes and they do accomplish that job on my Ocean Kayak Prowler 13.\";}}");
INSERT INTO `wp_postmeta` VALUES("2654", "410", "asg_last_refresh_attempt", "1371235682");
INSERT INTO `wp_postmeta` VALUES("2655", "410", "asg_update_timestamp", "1371235682");
INSERT INTO `wp_postmeta` VALUES("2656", "411", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2657", "411", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2658", "411", "asg_item_id", "B005AMXGY0");
INSERT INTO `wp_postmeta` VALUES("2659", "411", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B005AMXGY0\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Neoprene-sunglasses-retainer-Premier-Kayak/dp/B005AMXGY0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB005AMXGY0\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Neoprene-sunglasses-retainer-Premier-Kayak/dp/tech-data/B005AMXGY0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005AMXGY0\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB005AMXGY0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005AMXGY0\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB005AMXGY0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005AMXGY0\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB005AMXGY0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005AMXGY0\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B005AMXGY0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005AMXGY0\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B005AMXGY0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005AMXGY0\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B005AMXGY0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005AMXGY0\";}}}s:9:\"SalesRank\";s:5:\"29249\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"40\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"86\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"268\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"16\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"40\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"40\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"59\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"86\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31xqNNU9iRL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"268\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/413QfFsqaDL._SL30_.jpg\";s:6:\"Height\";s:2:\"27\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/413QfFsqaDL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/413QfFsqaDL._SL75_.jpg\";s:6:\"Height\";s:2:\"69\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/413QfFsqaDL._SL110_.jpg\";s:6:\"Height\";s:3:\"101\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/413QfFsqaDL._SL160_.jpg\";s:6:\"Height\";s:3:\"147\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/413QfFsqaDL.jpg\";s:6:\"Height\";s:3:\"458\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:13:{s:7:\"Binding\";s:7:\"Eyewear\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:7:\"Feature\";a:5:{i:0;s:26:\"Durable neoprene material.\";i:1;s:46:\"Keep you expensive sunglasses safe and secure.\";i:2;s:72:\"Universal fit. Stretch design fits even the most narrow sunglass frames.\";i:3;s:65:\"Great for kayaking, cycling, hiking, and most outdoor activities.\";i:4;s:32:\"Made in USA. Lifetime Guarantee.\";}s:5:\"Label\";s:13:\"Premier Kayak\";s:12:\"Manufacturer\";s:13:\"Premier Kayak\";s:3:\"MPN\";s:7:\"P0512SS\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"40\";s:6:\"Length\";s:3:\"470\";s:6:\"Weight\";s:1:\"3\";s:5:\"Width\";s:3:\"240\";}s:10:\"PartNumber\";s:7:\"P0512SS\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Premier Kayak\";s:6:\"Studio\";s:13:\"Premier Kayak\";s:5:\"Title\";s:58:\"Neoprene sunglasses and eyewear retainer. By Premier Kayak\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B005AMXGY0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005AMXGY0\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:170:\"cJqitrE9etcjdxWoab%2BZPsVkYg2xSDnhqsW7cj62if%2FKYuU2aVgDYkV08JShDU0%2BpaPsXN2E5jhb6ZWpulpAIFo67gnd6XyOzwQwwSGia1O0cQq8qN1hbE9BC0x%2BKBS768IWr5oh%2FReoxfSeAvuPJKya8Z3Th3a6\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.99\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:3:\"599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"700\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.00\";}s:15:\"PercentageSaved\";s:2:\"54\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B005AMXGY0&atag=freetos-20&exp=2013-06-15T18%3A48%3A02Z&v=2&sig=yQvHAlFHkby6g80rpWjFYwBguCNSqy7VcvzOaCVkNgc%3D\";s:10:\"HasReviews\";s:5:\"false\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:755:\"Keep your sunglasses safe with our new sunglass retainer strap.  1\" width provides maximum comfort around the neck and ultra stretch design keeps your sunglasses securely attached.  19\" length insures maximum comfort.  Longer strap than most other brands!  Made in USA!\nINSTRUCTIONS:  The holes on the ends of the eyewear retainer are designed to stretch over the arms on your sunglasses.  This material stretches in 8 different directions so although the hole may seem small, it is designed to stretch over your sunglasses with a very tight fit.  \nSimply hold the tip of the strap between your thumb and index finger with the hole facing away from you and push the end of your sunglass arms directly in to the opening.  The fit should be snug and secure.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2660", "411", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"0.5 ounces\";s:4:\"ASIN\";s:10:\"B005AMXGY0\";}");
INSERT INTO `wp_postmeta` VALUES("2661", "411", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("2662", "411", "asg_last_refresh_attempt", "1371235683");
INSERT INTO `wp_postmeta` VALUES("2663", "411", "asg_update_timestamp", "1371235683");
INSERT INTO `wp_postmeta` VALUES("2664", "412", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2665", "412", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2666", "412", "asg_item_id", "B005DHN4P8");
INSERT INTO `wp_postmeta` VALUES("2667", "412", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B005DHN4P8\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Premier-Kayak-Paddle-Guards-paddles/dp/B005DHN4P8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB005DHN4P8\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Premier-Kayak-Paddle-Guards-paddles/dp/tech-data/B005DHN4P8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005DHN4P8\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB005DHN4P8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005DHN4P8\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB005DHN4P8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005DHN4P8\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB005DHN4P8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005DHN4P8\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B005DHN4P8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005DHN4P8\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B005DHN4P8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005DHN4P8\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B005DHN4P8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005DHN4P8\";}}}s:9:\"SalesRank\";s:5:\"50707\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL.jpg\";s:6:\"Height\";s:3:\"290\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL75_.jpg\";s:6:\"Height\";s:2:\"44\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL110_.jpg\";s:6:\"Height\";s:2:\"64\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL._SL160_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31eDgnlfVgL.jpg\";s:6:\"Height\";s:3:\"290\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/41%2Bj3l%2B6vIL.jpg\";s:6:\"Height\";s:3:\"266\";s:5:\"Width\";s:3:\"400\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:7:\"Feature\";a:5:{i:0;s:74:\"2 pair splash gaurds.  Total of 4 Splash Guards for (enough for 2 paddles)\";i:1;s:66:\"No more paddle drip.  Greatly reduces splash back from your paddle\";i:2;s:65:\"Keeps your sunglasses and lap much dryer that regualar drip rings\";i:3;s:51:\"A great improvement to your stock rubber drip rings\";i:4;s:80:\"Fits single, two-piece, and odd shaped paddles. Made in USA. Lifetime Guarantee.\";}s:5:\"Label\";s:13:\"Premier Kayak\";s:12:\"Manufacturer\";s:13:\"Premier Kayak\";s:5:\"Model\";s:7:\"PX23577\";s:3:\"MPN\";s:7:\"PX23577\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"80\";s:6:\"Length\";s:3:\"840\";s:6:\"Weight\";s:1:\"4\";s:5:\"Width\";s:3:\"490\";}s:15:\"PackageQuantity\";s:1:\"4\";s:10:\"PartNumber\";s:7:\"PX23577\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Premier Kayak\";s:6:\"Studio\";s:13:\"Premier Kayak\";s:5:\"Title\";s:91:\"Premier Kayak Paddle Splash Guards. 4 PACK. No more paddle drip. Two pairs for two paddles.\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B005DHN4P8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005DHN4P8\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:166:\"BlSKchSi5HcwvGFTxpSK9QuKtlUdu0Vfz64NSezTIzYBSxO8Oye3QGtTZtI4Mk2Du5PFqHhELzsLu2VE8U2%2Fnn2B%2FJUFj7TKyabwPH3QpMpG7gJKmTJeN9OiWOAzVueDbVqLrx2k8Oz8vqEoR%2BNxU1JqZufnUaP7\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2600\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$26.00\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"1999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"601\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$6.01\";}s:15:\"PercentageSaved\";s:2:\"23\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B005DHN4P8&atag=freetos-20&exp=2013-06-15T18%3A48%3A04Z&v=2&sig=h4Zjeeha3TlPgvzdHVZUJq%2BHeRMEEyz4N4Mr8bYHaAI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:763:\"Our exclusive design greatly decreases the amount of splash from your paddle. Have a blast on the water all day long and stay dry. No more soaked lap, wet shirt, or spotty sunglasses. We\'ve tried these little wonders for countless hours and absolutely love them. These splash guards are made of a very grippy neoprene rubber that keeps them firmly attached to your paddle. Great for single piece paddles where it is nearly impossible to put standard drip rings on. These splash guards wrap around the shaft of your paddle and fasten shut with Velcro fastener. Its Patent Pending Cone shape holds water on the upstroke and drops it right back on the down stroke. An incredible improvement to any size or shape paddle. Sold in pairs. Made in the USA Patent Pending.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2642", "409", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:8:\"6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001IBHVPC\";s:17:\"Item model number\";s:5:\"B9099\";}");
INSERT INTO `wp_postmeta` VALUES("2643", "409", "asg_star_rating", "4.9");
INSERT INTO `wp_postmeta` VALUES("2644", "409", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:14:\"Great product.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 13, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A25NBNONKM67KK\";s:4:\"name\";s:13:\"M. MANNHEIMER\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:426:\"I\'m very pleased with these and plan on buying a second set. These don\'t work very well however for my Old Town Vapor kayak. It has a funny shaped, and pretty TALL bow. The boat will fit into the hooks, but it\'s less than ideal and the hull weight isn\'t divided evenly between the hooks and the wall.<br /><br />For more \"normal\" or conventionally shaped boats these are perfect. I\'ll have to use hanging webbing for my VAPOR.\";}i:1;a:5:{s:5:\"title\";s:26:\"Inexpensive,but work great\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 15, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AGT1T14R0C1MD\";s:4:\"name\";s:10:\"D. V. Hook\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:260:\"We installed the hooks (2 sets) on the back of the garage for our kayaks. They work great. There is no metal exposed to scratch the kayaks. It is so easy to get them out of the hooks, wheter one or two people are getting the kayaks out. I highly recomend them.\";}i:2;a:5:{s:5:\"title\";s:18:\"Easy kayak storage\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 4, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3G5MPG9TWQOBG\";s:4:\"name\";s:7:\"dbrindl\";s:7:\"address\";s:15:\"Madison, WI USA\";}s:4:\"text\";s:482:\"<a href=\"http://www.amazon.com/gp/product/B001IBHVPC\">Boone Blue Kayak Crib 2 Paddles</a><br /><br />These padded \"hooks\" were easy to install and they cradle our 50 lb. kayaks beautifully on the inside wall of our garage. Form follows function in these simply-designed hooks, that keep the kayaks off the ground and out of the elements. They appear to be durable and well made, and compared to some other kayak storage systems, relatively reasonably priced. Definitely recommended.\";}i:3;a:5:{s:5:\"title\";s:14:\"Great Product!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 1, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1P6GBEA94QPU3\";s:4:\"name\";s:9:\"S. TIMKEN\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:358:\"We ordered these cradles to hold our 85 lb. tandem kayak. We hung them in our garage and they were very easy to install and came with nice long screws to hang them. The j hooks are very strong and easily hold our kayak. The blue covers protect the boat very well from being scratched. I feel very comfortable with our boat resting on this rack in the garage.\";}i:4;a:5:{s:5:\"title\";s:26:\"Not quite what I expected.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"March 19, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ACT63FIKUZAO2\";s:4:\"name\";s:10:\"P. deBlanc\";s:7:\"address\";s:12:\"Arizona, USA\";}s:4:\"text\";s:736:\"This works for hanging my Kayak, so it gets the job done. I give it two dings for the following:<br /><br />1) The inside measurement is 14\", not the 15\" as stated. Fortunately, my kayak fits.<br />2) It is not really padded. The metal is covered with cloth, but no padding. This is what really disappointed me. If you want a padded hanger, this is not for you. I\'m going to try wrapping the mounts with pipe insulation to get some real padding on them.<br /><br />You what it is worth, you could buy a length of EMT tubing at a local hardware store for about $7.50, cut it in half, bend each half into a J, pound one end flat with hammer, drill a couple of holes in it, and get the exact same thing as this hanger for 20% of the price.\";}i:5;a:5:{s:5:\"title\";s:19:\"GREAT kayak holders\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"February 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1N3PNEK2YDXFL\";s:4:\"name\";s:4:\"Dlux\";s:7:\"address\";s:10:\"New Jersey\";}s:4:\"text\";s:364:\"We bought these Kayak Cribs for our two 12\' kayaks (Wilderness Pungo and Tsunami). The padding on these is excellent, and protects the kayaks well. The section that is screwed into the wall had a large pad that you actually attach behind the metal (the padding goes against the wall) and then covers over the screw section and fastens with velcro. A great product.\";}i:6;a:5:{s:5:\"title\";s:34:\"Boone Blue Kayak storage brackets.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 15, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3B8KCK1LEKTNK\";s:4:\"name\";s:6:\"M. Lee\";s:7:\"address\";s:18:\"Murrells Inlet, SC\";}s:4:\"text\";s:1108:\"Before purchasing this unit I researched the web, comparing the large number of products available, including home-made alternatives. I wanted a simple, effective and low cost solution to store my 13 ft Hobie Quest kayak. The Boone Blue product was exactly what I had hoped for.<br /><br />The product has good installation instructions and proved easy to install in about 15 minutes. The brackets provide strong support for the kayak and have protective materials to avoid scratching the boat.<br /><br />I found with other storage systems, particularly the strap units, that handling the kayak by oneself was awkward and could be risky for back injuries, not to mention crashing into anything in the vicinity. This wasn\'t the case with this unit. The kayak is relatively easy to lift on as the upward part of the bracket does not extend unnecessarily high. The kayak fits securely in the brackets and is easily adjusted. Lifting the kayak off is even easier than putting it on.<br /><br />I\'m totally satisfied with the functionality of the product and think it is good value, considering the alternatives.\";}i:7;a:5:{s:5:\"title\";s:22:\"Great for wall storage\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 17, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1K13A233UDYU0\";s:4:\"name\";s:7:\"Grace2U\";s:7:\"address\";s:15:\"Central Florida\";}s:4:\"text\";s:159:\"These crib paddles were just what we needed for garage storage of our kayaks. Easy to install and well padded for protecting the kayak surface. Very satisfied!\";}i:8;a:5:{s:5:\"title\";s:17:\"Very Nice Product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 28, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A24N7R745MJTU3\";s:4:\"name\";s:9:\"DBS of NJ\";s:7:\"address\";s:12:\"Atco, NJ USA\";}s:4:\"text\";s:338:\"Product works exactly as described. Sturdy and looks to be able to hold up over time well. I would recommend this to anyone who wished to hang their kayak. I hund both of mine of the side of my barn and the brackets worked find. I would recommend that you insure your screwing bracket into a solid board (2x4 or 2x6) and not just plywood.\";}i:9;a:5:{s:5:\"title\";s:57:\"Too expensive, Strange shipping, Should have made my own.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 18, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A37UVYPRX8ITNX\";s:4:\"name\";s:32:\"C. M. Winebrenner \"internetwolf\"\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2098:\"OK, so these are decent wall hooks for my yak, but they are entirely too expensive and the shipping was a major hassle (see below). In a nutshell, these are just two pieces of heavy aluminum tube stock bent to the proper angle, hammered flat at one end with a couple holes drilled, and a smart looking nylon sheath sewn and placed over the pieces to protect your yak.<br /><br />I could tell from the pictures they were nothing more than this, but I needed a quick solution and had no time (nor a bending jig) to make them myself so I ordered anyway. You could very easily create a set of these yourself with about 15 minutes, some pipe, a hack saw, a hammer, a cordless drill, and a couple old towels to wrap around the pipes. Wouldn\'t look as pretty, but would be just as functional.<br /><br />Odd shipping: the company actually shipped these to me via freight carrier. Meaning they were shipped on a large truck and it took several extra days to receive them because the freight company had to call and make sure I would be home to accept delivery. The even stranger piece to this was they listed the package listed as 75 pounds and measuring as large as a full pallet of goods (a pallet is approx 42\" x 42\" and they actually had one of the dimensions of this package as 144\" - a complete fabrication). The thing was all of 8 pounds at most and measured in at 18\" x 18\" x 4\". Have no idea why they shipped it that way, but what a hassle - had to coordinate to get out of work early, help a truck driver navigate a turn around in our neighborhood, and sign for the package. FedEx Ground or UPS Ground would have been much more convenient for all involved...<br /><br />Last note: quality was acceptable in most areas, but one of the hooks wasn\'t bent to the same angle as the other. Not a major issue, but for the price I would expect a better QC check before shipping. I bent the bad one to match the other and they are installed and working adequately.<br /><br />Moving forward, if I buy another kayak and need to hang it I will absolutely plan ahead, buy the materials, and make this myself.\";}}");
INSERT INTO `wp_postmeta` VALUES("2645", "409", "asg_last_refresh_attempt", "1371235679");
INSERT INTO `wp_postmeta` VALUES("2646", "409", "asg_update_timestamp", "1371235679");
INSERT INTO `wp_postmeta` VALUES("2647", "410", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2648", "410", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2649", "410", "asg_item_id", "B004MYAGJA");
INSERT INTO `wp_postmeta` VALUES("2650", "410", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004MYAGJA\";s:10:\"ParentASIN\";s:10:\"B004MYAGJA\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Ocean-Kayak-Scupper-Stoppers-Pack/dp/B004MYAGJA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004MYAGJA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Ocean-Kayak-Scupper-Stoppers-Pack/dp/tech-data/B004MYAGJA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004MYAGJA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004MYAGJA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004MYAGJA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004MYAGJA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004MYAGJA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004MYAGJA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004MYAGJA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004MYAGJA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004MYAGJA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004MYAGJA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004MYAGJA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004MYAGJA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004MYAGJA\";}}}s:9:\"SalesRank\";s:5:\"10971\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL160_.jpg\";s:6:\"Height\";s:2:\"96\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL.jpg\";s:6:\"Height\";s:3:\"299\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL110_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL160_.jpg\";s:6:\"Height\";s:2:\"96\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL.jpg\";s:6:\"Height\";s:3:\"299\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL75_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL110_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL._SL160_.jpg\";s:6:\"Height\";s:2:\"96\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41KgeHoJfwL.jpg\";s:6:\"Height\";s:3:\"299\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215ipv2l4HL._SL30_.jpg\";s:6:\"Height\";s:2:\"14\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215ipv2l4HL._SL75_.jpg\";s:6:\"Height\";s:2:\"35\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/215ipv2l4HL._SL75_.jpg\";s:6:\"Height\";s:2:\"35\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215ipv2l4HL._SL110_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/215ipv2l4HL._SL160_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/215ipv2l4HL.jpg\";s:6:\"Height\";s:3:\"231\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:5:\"Label\";s:11:\"Ocean Kayak\";s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:2:\"15\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:37:\"Ocean Kayak Scupper Stoppers - 2 Pack\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:3:\"599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:3:\"915\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.15\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"3\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:3:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B0032DNRU2\";s:10:\"ParentASIN\";s:10:\"B004MYAGJA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/31NxqKUR%2B8L.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"07.1964.0000\";}s:5:\"Color\";s:3:\"Red\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0785978054872\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0785978054872\";}s:7:\"Feature\";a:5:{i:0;s:72:\"Soft material makes them comfortable even when installed under your seat\";i:1;s:38:\"Multi-ribbed design offers better seal\";i:2;s:19:\"Color coded by size\";i:3;s:23:\"Easy romoval tab on top\";i:4;s:76:\"See Ocean Kayak Scupper plug chart for sizes need for different model kayaks\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:3:\"700\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.00\";}s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:12:\"07.1964.0000\";s:3:\"MPN\";s:12:\"07.1964.0000\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"120\";s:6:\"Length\";s:3:\"490\";s:6:\"Weight\";s:2:\"20\";s:5:\"Width\";s:3:\"290\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"07.1964.0000\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:4:\"Size\";s:5:\"Large\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:54:\"Ocean Kayak Scupper Stoppers - Pack of 2, (Large, Red)\";s:3:\"UPC\";s:12:\"785978054872\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"785978054872\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:3:\"Red\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"Large\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:126:\"s6wX7s5CBCtsSS9Ze483OA5BcFtHsU9GBBn6dFj27TNZOVynajZfbnPxpOl0cJIhSmAFKhOGbyTM8hmkPPPndFLHIvDQQQIYL4W%2BE1Vuqt60MLn7RR1jZw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"915\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.15\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B0032DNRV6\";s:10:\"ParentASIN\";s:10:\"B004MYAGJA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:20:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:5:\"Color\";s:9:\"One Color\";s:10:\"Department\";s:17:\"Kayak Accessories\";s:3:\"EAN\";s:13:\"0785978054834\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0785978054834\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:12:\"07.1960.0000\";s:3:\"MPN\";s:12:\"07.1960.0000\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:2:\"15\";}s:10:\"PartNumber\";s:12:\"07.1960.0000\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:4:\"Size\";s:5:\"Small\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:50:\"Ocean Kayak Scupper Stoppers - 2 Pack One Color, S\";s:3:\"UPC\";s:12:\"785978054834\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"785978054834\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:9:\"One Color\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"Small\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:150:\"9m1U6JHo8WHpYae37U9vAjkprjoCOKF8n6qudS62B99Of50A7QOCBNTDR9FYq3WjigZRpBuQEs%2F5ZOMuqGjg%2BY7VRcHDO7kkmxrgV%2FEndoL9FhJeCsT4vU46XIUtN7zOFMnlsYS%2Bk8c%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"695\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$6.95\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B0032DNRUW\";s:10:\"ParentASIN\";s:10:\"B004MYAGJA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/417rhqV5nfL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:20:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:5:\"Color\";s:9:\"One Color\";s:10:\"Department\";s:17:\"Kayak Accessories\";s:3:\"EAN\";s:13:\"0785978054858\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0785978054858\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:12:\"07.1962.0000\";s:3:\"MPN\";s:12:\"07.1962.0000\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:2:\"15\";}s:10:\"PartNumber\";s:12:\"07.1962.0000\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:4:\"Size\";s:6:\"Medium\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:50:\"Ocean Kayak Scupper Stoppers - 2 Pack One Color, M\";s:3:\"UPC\";s:12:\"785978054858\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"785978054858\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:9:\"One Color\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"Medium\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:150:\"0Kl33qujuAJgNvpx7mboI5kzvQomo1Xt2tWH%2F9VfLTNa2Y%2FDdEC1zLf3uxBG66Kv9fc%2FwY7CgPEvpbxaVbwHdQBMx1cOtSxeOzoZjdLNAJH9pe3MgHuE6bhpzbIMsXN7kS3Y3GYZ%2Fcs%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"695\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$6.95\";}s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004MYAGJA&atag=freetos-20&exp=2013-06-15T18%3A47%3A59Z&v=2&sig=ueaFICVEyfM2bwYLtlwukpD8gI96ogGzL996m94dVXI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:651:\"Scupper. ItAAAs hard to say it without smiling, or even chuckling a little to yourself. ItAAAs just one of those fun words. But more to the point, scuppers help block the holes in the cockpit of your sit-on-top kayak so your paddling shorts stay a bit dryer in the spring and fall. Grab the Ocean Kayak Scupper Stoppers and extend your season a bit. Check what size your kayak needs, and keep in mind that sometimes your kayak will need more than one size.<br /><br /><b>Product Features</b><ul style=\"list-style-type: disc; margin-left: 25px;\"><li>Material: </li><li>Weight: </li><li>Recommended Use: kayaking</li><li>Manufacturer Warranty:</li></ul>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2624", "407", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B004AURWE8\";}");
INSERT INTO `wp_postmeta` VALUES("2625", "407", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2626", "407", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:14:\"Fast but heavy\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 21, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3EWHSO81MRAYC\";s:4:\"name\";s:6:\"Ron PA\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1069:\"I bought a Convertible last year and used it twice, once on a lake and once on a river trip. It paddles fast and tracks straight and has plenty of leg and storage room with just me in it. The back seat was a little hard to recline in during lazy stretches of river but I got fairly comfortable. My chief complaints are the weight, around 60lbs, and the need to pull the floor out and the shell off to get it dried properly and then put it back together and deflate and fold it. But it\'s obviously a serious, heavy duty piece of equipment that should prove very durable and enjoyable if I don\'t throw out my back lugging it down to the water.<br /><br />Edit--Two years and a dozen trips later and I\'m still happy with this kayak. It\'s comfort and stability compared to canoes I float with make river trips doubly enjoyable as I fish out the gear floating downstream and ask how cold the water is while people right their canoes.<br /><br />On a sandy shore I once removed the spreader bag and seats and put my sleeping bag inside for a cozy, though coffin-like, airbed.\";}i:1;a:5:{s:5:\"title\";s:19:\"Best of Both Worlds\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 15, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AZUH8QF3E41CY\";s:4:\"name\";s:10:\"J. Harbour\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1856:\"This kayak is the best of both worlds- storable and usable. Yes, it is a bit heavy at 56lbs, but tracks well, is faster than you expect, and is a really good boat. Spent a week on Frenchman\'s bay in Maine in it and it handles wind, chop, and tides, and tracks very well. Not as knife cutting as a hardshell, but unless you\'re on a weeklong, open water, island hopping paddle, you won\'t notice. Extremely durable. Landed on beaches of mussel shells and rock weed and not a scratch.<br /><br />Everyone came up to it skeptical and to a person walked away, if not impressed, then accepting that it is an actual kayak, not a pool toy. A few asked me if it was a Klepper until they got right up to it.<br /><br />If you can\'t store a hardshell or want an extra kayak that you can throw in the trunk for friends, this is a great boat. For the extra fee you can also check it as luggage if you want to paddle in far off locales.<br /><br />Time to inflate: 35 minutes the first time, 20 every time thereafter.<br />Time to deflate and pack (not including drying): 25 minutes.<br />What fits in the bag: Kayak, deck cover, seats, and paddles (4 section).<br />Must haves: The deck covers which tighten the line a bit and make it a really comfortable paddle.<br /><br />****EDIT****<br /><br />This spring I caught a really sharp rock on a Virginia river. When we took the kayak out of the water I noticed a gash in the first layer of the bow of the kayak. No damage deeper, just the protective outer cover. I contacted AE to inquire about a solution. They immediately sent me a patch kit for free! Unbelievable customer service and still an amazing boat. If you\'re on the fence, jump. This boat rocks.<br /><br />P.S. We took this with friends and it took the same amount of time for us to inflate as it did to unload and set up their kayak with their family gear.\";}i:2;a:5:{s:5:\"title\";s:26:\"Tandem kayak + accessories\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"September 2, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A33UR418X4ZUWM\";s:4:\"name\";s:5:\"Ali B\";s:7:\"address\";s:10:\"California\";}s:4:\"text\";s:2464:\"We just purchased this kayak plus accessories and went on several paddles (river, large lakes, small lakes) in the Eastern Sierra. Here\'s a little review of each part we got (minus PFDs and paddles):<br /><br />*The boat is great -- comfortable, sturdy, handled well, pretty easy to set up. It was a pain to clean at the end of our trip mostly because it\'s hard to dry it out well without fully disassembling it more than you otherwise ever have to. It would be more convenient to have a solid kayak for ease of getting going, but this one fits in the back of our subaru, in our garage, etc. It seems more versatile than other more raft-like inflatable kayaks which seem more appropriate to rivers (but I don\'t really know).<br /><br />*The pump -- we got the Advanced Elements hand pump with gauge. The gauge was very useful for determining how much air to put in since it\'s not always intuitive. The dual-action hand pump is pretty fast and effective. We ended up replacing it because after a hot day in the car the air in the pump pushed the handle out, which was then pushed on by something else in our car, and it melted in an immovable position. Fortunately the brand-free knockoff at the local Rite-Aid was the exact same pump down to nearly matching packaging. So you could save some money by just starting with that.<br /><br />*The optional zip-on deck: we used this sometimes, not with spray skirts but as a splash deck. Without it the person in back gets a lot of spray from the front person\'s paddle, and has no sun coverage on the legs. It makes almost no difference for the person in front.<br /><br />*The stiffening bar: we used this on about half of our trips. It improves tracking, but we didn\'t have much trouble without it either. Probably most useful for travel on rivers with current or large lakes. The one pain is that it goes under the floor so you have to pull out the seats and floor to put it in and take it out each time you use it. Without it in you can just deflate the kayak, fold the whole thing in half or thirds and stuff it in the back of the car.<br /><br />*Other: we did not use the bilge pump or kayak sponge we got because you float so high in an inflatable you don\'t really swamp with water (and you\'re at no risk of submerging even if you take on some water). But I suppose it\'s good to have these things. A tiny clip-on dry bag is a nice addition to this boat since the seat-back zipper compartments are pretty useless.\";}i:3;a:5:{s:5:\"title\";s:44:\"This is it. Buy it and go. Take it and stow.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 23, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1EBA1WESC070L\";s:4:\"name\";s:31:\"Justaguy N. Iswife \"Hotdiggity\"\";s:7:\"address\";s:11:\"Florida USA\";}s:4:\"text\";s:3452:\"Ordered the Advanced Elements AirFrame Convertible. Ordered the drop stitch floor, just cuz, and the spray deck for two. Ordered several other accessories and such. Lots of money invested. Were we nervous? Yes. We ordered all that based on others reviews. A little risky. Were also interested in the Sea Eagle 385 but no reviews whatsoever from consumers. ?. Who needs that? Let me tell you we shopped this to DEATH. This is the best there is considering wt., capacity, width (do you really think you\'ll be comfortable paddling a 38\" kayak), and price. Although don\'t be misled. If you get all the goodies not included with the boat (like pump and paddles for starters, $250.00 right there), you\'ll go by $1000.00 at a dead run.<br /><br />Took it out on a lake. Had a lovely time. Came back nice and dry. Tracks well, doesn\'t blow around. Nice. Got a compliment on it. So we\'re one for one.<br /><br />I would like to tell you a few things I wish I knew going in:<br /><br />Airkayak is the outlet for Advanced Element products as far as we know. they\'re customer service is unbelievable.<br /><br />Here in Central Florida it is next to impossible to find an air gauge for an inflatable kayak. Order it on the pump from Advanced Elements.During inflation make sure you are reading the gauge right. The black lines are usually Bars and it is the pink inner lines which are PSI.<br /><br />There are two tubes they call the main chambers that go all the way around the kayak. These are the biggest to pump up and are no problem at all. About Thirty five pumps in each with a double action hand pump. You have to be careful because the two tubes share the same pocket and have to be pumped up equally. The valves are a breeze. Don\'t worry about that. No need for a car 12V pump. After the main chambers you have the floor which is much easier and then all the little stuff to pump up which is just a few pumps each. The whole process is very quick.<br /><br />The spray decks zip on from the rear.<br /><br />We received no manual with our boat, the drop stitch floor needs a separate adapter and no literature or repair kit came with it. So we had to print a manual online at AE and find out the PSI of the floor which is 7.<br /><br />It is a little heavy, but like someone else said in a review, that\'s a good thing. You don\'t want a light weight. We bought a Coleman Canoe/Kayak transporter to take it down to the lake or river. Works great. Hard shells are heavier by the way.<br /><br />Carlisle Rodeo paddles from Dick\'s Sporting Goods work great. 230cm. Fiberglass, light, larger paddle on the end. Two piece though.<br /><br />Ordered the second foot rest for the front seat. My wife says it\'s great.<br /><br />Like that little anchor AE sells. If you see a turtle swimming or something you want to watch, just drop anchor and pull yourself back to observe.<br /><br />After you take it out of the water, just prop it up a little, wipe down the outside with a towel, remove the spray deck and seats, deflate (use your pump to aid in deflation), fold and stow. When folding make sure you keep the straight line straight. Folds real nice that way.<br /><br />That\'s all I got for now. Remember, with gas prices on the rise, and renting a kayak at $20.00 a pop at least (and you have to be back at a certain time which ruins the whole experience), your saving a lot of money. The best things in life are free or at least the price of an AE Kayak.\";}i:4;a:5:{s:5:\"title\";s:4:\"good\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 2, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1AQ2AWEBOWLS0\";s:4:\"name\";s:10:\"gold-miner\";s:7:\"address\";s:6:\"London\";}s:4:\"text\";s:167:\"a very nice kayak. Tracks straight and paddles fast. Tried it with my wife and 2 40lbs daughters - lots of fun. However, I also bought the backbone for extra rigidity.\";}i:5;a:5:{s:5:\"title\";s:17:\"new favorite gear\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 10, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2NZ8VFQZ9BO7H\";s:4:\"name\";s:22:\"William F. Trachte Jr.\";s:7:\"address\";s:9:\"wisconsin\";}s:4:\"text\";s:504:\"I purchased this a month ago, and it has seen quite a bit of action. 10 couples with children; my 75 yr old mother and her older sister; my wife and I noodling around a small lake with a camera. You wanna talk to loons? Paddle up to some otters? Get one of these. I just bought another one for my Mom.<br />Durability does not seem to be an issue. Valves most satisfying. Recommend same brand paddles: a joy to propel, with little wiggle or drift. Weight concern overblown if you aren\'t going to portage.\";}i:6;a:5:{s:5:\"title\";s:15:\"So far, so good\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AF3N9LC8RD9HV\";s:4:\"name\";s:13:\"Jeff Hatfield\";s:7:\"address\";s:15:\"Saginaw, TX USA\";}s:4:\"text\";s:1820:\"We purchased this kayak two weeks ago and just got back from our trip where we had our maiden voyage. First off, we are weekend RVers who are beginner kayakers. Our criteria was to find something that provides us with a solid kayak experience similar to a hardshell but with the added convenience of quick setup, tear down, and stowage in the belly of our class A.<br /><br />The AE Kayak seems to fit nearly all of our criteria as our first run was a very pleasing first trip. The kayak is very durable and we felt very safe in it. Further, it is clear this kayak is capable of so much more than we plan to put it through and that is a comfort in itself. It is much lighter than a hard shell and required less effort to keep even with our friends who were working hard in their \"plastic yellow banana\"l. The kayak did have a little \"side to side\" movement but overall tracked very well. Even though it folds up into a bag the size of a large suitcase, the total weight of the kayak could be an issue if you plan to walk any decent distance without the assistance of a dolly. Set up is a breeze (probably 10minutes) but putting the kayak away is a bit more involved. As you\'d expect, water collects in the bottom and it takes a little extra time to empty out, dry off, clean up, fold, and put away. The extra steps, by no fault of the kayak, had us still working on our kayak as our friends had stowed their hard shell and were watching with interest as we finished up. Despite that, having the ability to store the thing in the motorhome is a huge plus and more than makes up for the extra time spent packing up.<br /><br />We chose the Advanced Elements Convertible Kayak sight unseen and solely off of internet reviews. The online community did not let us down. We are pleased with the purchase and would do it again.\";}i:7;a:5:{s:5:\"title\";s:60:\"Advanced Elements AdvancedFrame Convertible Inflatable Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 4, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1HGOTMS9H27PB\";s:4:\"name\";s:29:\"Travis Manley \"Travis Manley\"\";s:7:\"address\";s:10:\"sequim, wa\";}s:4:\"text\";s:2495:\"I looked at a lot of kayaks before buying this one and am very happy with my purchase. I had some experience in a hard shell kayak, but they were all out of my price range (especially the tandems). I wanted a kayak that would allow me to paddle solo or with a another person, I wanted a kayak that tracked well, and I wanted something that would break down in fit in the back of my car. This kayak is all those things.<br /><br />Obviously the biggest drawback to this kayak is having to assemble and disassemble after every use (and every time you clean it). It only takes 5-10 minutes to inflate (even with a cheap hand pump) and even less to deflate. Taking it apart and cleaning it after every use has been the only downside. I mainly kayak in the ocean and also live in the Pacific Northwest, so I need to make sure everything is clean and dry when I pack it up.<br /><br />It is important to fully inflate all chambers for ideal performance, but you dont want to over inflate or you might damage the kayak. This is why I ordered the Advanced Frame Dual Action Pump with Pressure Gauge, however, cheaper pumps work too. When I\'ve gone solo in this kayak I noticed it sags a bit in the center (to be expected for an inflatable) and the sides of the fabric bow out and can start to collect water. I\'m sure with the addition of a spray deck and the backbone this wont be an issue anymore.<br /><br />I noticed a lot of people complaining about how heavy this kayak is and it is heavy (around 55 pounds) but it is just as heavy as a most hard shell kayaks. Another thing people said in reviews is that they were unable to get the kayak back in the duffel bag. I got mine back in just fine, all you have to do is make sure you get all the air out first.<br /><br />To sum things up, the Advanced Elements AdvancedFrame Convertable Kayak is an awesome kayak. It is ideal for people who dont want to spend the big bucks on a hard shell kayak and want something that they can fold up and stick in a duffel bag, while still getting the performance you would expect from a hard shell kayak.<br /><br />Pros:<br />Great price for a convertible kayak<br />Can easily fit in the backseat of your car<br />Made from high quality materials<br />Great tracking, cuts right through the water<br />Very stable on the water, even in choppy and windy conditions.<br /><br />Cons:<br />Inflating, deflating, and cleanup can be a chore<br />Spray decks and backbone needed for best performance (but not required)\";}i:8;a:5:{s:5:\"title\";s:17:\"Fantastic product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 14, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVYVEIWZ505X8\";s:4:\"name\";s:11:\"Sage Hunter\";s:7:\"address\";s:5:\"PacNW\";}s:4:\"text\";s:725:\"If you need a kayak that you can pack up in a suitcase and take it with you, then this is the one! The craftsmanship and material are excellent. I bought the backbone and have never used the kayak without it. I would recommend you get the backbone even though it probably adds several minutes to setup time. This kayak is ultra-stable. It would be very hard to turn it over in calm water. This was my first kayak and in about two hours I\'ll be exploring the Willamette Narrows in it. My wife and I use it in tandem mode. I will be purchasing the deck tops in the future, but the open double cockpit make it easy to learn how to enter a kayak for 60+ people. I was fortunate to get it from Amazon at the amazing price of $418.\";}i:9;a:5:{s:5:\"title\";s:6:\"Great!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 2, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1BL382R3P1YU4\";s:4:\"name\";s:10:\"B. Gardner\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:383:\"I think I would prefer a rigid kayak on the water, but I don\'t want to deal with it when it\'s not in the water (transport, storage). I don\'t think you can beat this kayak when you want the convinience of an inflatable. I don\'t have the backbone, but with that it may be just as good as a rigid. The only reason not to get this kayak is if you are planning on using it in rough water.\";}}");
INSERT INTO `wp_postmeta` VALUES("2615", "406", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:29:\"28 x 8 x 6 inches ; 10 pounds\";s:15:\"Shipping Weight\";s:11:\"11.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0015QADX2\";s:17:\"Item model number\";s:8:\"MPG107MD\";}");
INSERT INTO `wp_postmeta` VALUES("2616", "406", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("2617", "406", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:21:\"Malone SeaWing Saddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A131VL8NO4ADQ4\";s:4:\"name\";s:5:\"Ricki\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:305:\"After trying several kayak carriers this is the most user friendly that I have found. Easy to install and easy to position kayaks on top. Even though brackets seem very secure I would like to see the mounting brackets enlarged to accomodate the larger rails on my vehicle (Tahoe Z71)locking more in place.\";}i:1;a:5:{s:5:\"title\";s:35:\"Malone kayak rack for nissan xterra\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AONPDYL9XKB1L\";s:4:\"name\";s:10:\"Mark Finne\";s:7:\"address\";s:14:\"Juneau, Alaska\";}s:4:\"text\";s:415:\"This kayak rack is sturdy on the top of my Nissan Xterra (unusual round bars). I had to use a longer bolt, but this was easily picked up at home depot for a few bucks. I like it better than the \"J\" style rack because I can still fit my vehicle in the garage. I have taken my kayak (pyranha fusion 10\' 3\")on 6 hour trips with no problems at all. It rides sturdy and is quick to load/uload. This is a quality product.\";}i:2;a:5:{s:5:\"title\";s:33:\"Kayak saddles good, Shipping poor\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 19, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2SJGBCCFA7GD1\";s:4:\"name\";s:20:\"Russell A. Greenberg\";s:7:\"address\";s:12:\"Oregon Coast\";}s:4:\"text\";s:904:\"I would not order from this company(I am not talking about Amazon but the company that sells the saddles) again as I followed the shipping and it sat back east from 5/27/11-5/31/11 and then sent to UPS, so all together it took eight days to get the saddles. About the Saddles, very easy install on my Kia Sportage factory cross bars and seems to hold my wood strip kayak quite secure without the bow and stern tie-downs. Just using the two straps, the saddles are angle from the center and I find the best way to put the kayak is to set it in at an angle with hard cell foam pad to stop it from sliding then run the tie down from the wing toward the center of the vehicle over the kayak and down around the rack cross bar instead of through the slots on the outside wing. I may cut the outside off some as it does stick out past the side of the car and it would be easier to get the kayak on to the rack.\";}i:3;a:5:{s:5:\"title\";s:11:\"low profile\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 27, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ZJ97CN84VSZA\";s:4:\"name\";s:8:\"G. Lukes\";s:7:\"address\";s:7:\"Arizona\";}s:4:\"text\";s:145:\"I can keep this rack on all the time, AND park in the garage at my house. Most garages have relatively low clearance for mini vans like my Dodge.\";}i:4;a:5:{s:5:\"title\";s:19:\"Kayak doesn\'t budge\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"December 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A29418D9SLDICG\";s:4:\"name\";s:21:\"Larry Davidson \"lars\"\";s:7:\"address\";s:10:\"California\";}s:4:\"text\";s:385:\"Nice rack. Easy to install on my Ford Escape. I did have to use channel locks to tighten the knobs to my satisfaction but once tightened they were solid. I replaced the straps with ratchet versions from the hardware store. I admit to a bit of paranoia when it comes to hauling things on the roof but I took my kayak from the Ca. bay area to almost Oregon and it didn\'t budge... at all.\";}i:5;a:5:{s:5:\"title\";s:38:\"Just okay for Suzuki factory crossbars\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:17:\"September 1, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2MATW29K6TT0D\";s:4:\"name\";s:10:\"Max Attack\";s:7:\"address\";s:20:\"JACKSONVILLE, FL, US\";}s:4:\"text\";s:447:\"I ordered this for my Suzuki with factory oval crossbars. It is written that they will fit most crossbars, but they do not fit well. The saddle side does not have enough gripping surface and the clamp (although made durable) does not grip or cup any part of the crossbar. This results in significant side-side motion even when trying to over-tighten the clamps. For a round or square crossbar, I would believe this Seawing would perform very good.\";}i:6;a:5:{s:5:\"title\";s:17:\"Material fatiigue\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:15:\"August 19, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1AKJKRP0CXGK7\";s:4:\"name\";s:30:\"Ernest Meunier \"thesubaruguru\"\";s:7:\"address\";s:30:\"West Medford, MA United States\";}s:4:\"text\";s:231:\"These flexible racks allow easy loading and compliant cradling of fragile hulls. However, after two years use I was alarmed to see one of the wings crack completely in half!<br />I\'m hoping Joe Malone steps up to the plate here....\";}i:7;a:5:{s:5:\"title\";s:14:\"Easier loading\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:11:\"May 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OSBH4VALOIIK\";s:4:\"name\";s:9:\"P. Daniel\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:783:\"I bought these wings about two years ago and they are the best device for me. I tried the \"J\" racks but I am a small woman and could not get my boat up high enough to clear<br />the lower part of the rack. I then went to the wings and now load my boat from the back of my vehicle and this works perfectly. I have several kayaks and these wings fit all<br />of my boats without a problem. I own a Rav4 Toyota which sits a little higher than a sedan type auto so for me this is the best set up and I can load my boat by myself so<br />I don\'t have to depend on someone else if I want to paddle alone. The only reason I gave these racks 4 stars was because I do not like the straps that come with them. They<br />seems sort of cheap and when the red of the straps get wet, the dye runs.\";}i:8;a:5:{s:5:\"title\";s:10:\"Second set\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 28, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ARLKNBX6GYYFS\";s:4:\"name\";s:6:\"Dave S\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:127:\"Bought these for my second kayak . They work great and I can load from the back by myself.<br />Easier for me than a side load.\";}i:9;a:5:{s:5:\"title\";s:124:\"Saddle\'s are a great concept but if your roof carrier bars are not perfectly shaped to the Malone hardware it is not secure.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"May 31, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1VIRYZ9M6VV2J\";s:4:\"name\";s:12:\"Jim McDonald\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:462:\"Broke the cheap plastic wing nut you use when securing the Saddle\'s. I have a Mazda Tribute 06 and the roof carrier bars don\'t fit perfectly in the hardware supplied. Tightened down to hard to secure and the plastic wing nut stripped and broke. Yea I may be at fault for tightening to tight but it\'s either tight or your Kayak is going for a ride. I bought 2 of these saddles and if not for the wing nut breaking I would have gave them a 5 star, easy on and off.\";}}");
INSERT INTO `wp_postmeta` VALUES("2599", "404", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:24:\"Great Recreational Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 22, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AG9G4VUJB6709\";s:4:\"name\";s:10:\"waetherman\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:4688:\"For those that don\'t have the space or the budget for a nice fiberglass kayak, the Advanced Elements is the next best thing. I purchased this early this year for my wife (having purchased the Expidition model for myself) and I have had the opportunity to use it a few times this season. I continue to think it\'s one of the best purchases I\'ve ever made. It\'s easy to store, easy to set up, handles well, performs well, and is very comfortable. All around a great recreational kayak.<br /><br />Setup is pretty simple once you get the hang of it. This model has 7 chambers to fill, which sounds like a lot but it\'s really not. There are two main chambers which get filled up first, and then the floor and the deck lift chambers, and finally the combing for the skirt. The two first chambers take the longest - maybe 10 minutes total using the bi-directional hand pump. The rest can be filled in under 5 minutes, making the total time for inflation about 15 minutes.<br /><br />Construction of the AF Expedition is excellent. All materials are sturdy, and the coating on the bottom (the gray part) seems to be tough enough for years of use. The top part of the construction (the red part) is a thick nylon that is not waterproof but which provides some protection from the elements. I would recommend using a waterproofing spray on the top part to ensure that there is minimal water absorption, since this makes drying it out before storage a lot easier. The material on this model is particularly nice - it has a sort of sheen and a subtle pattern to it that is very cool. Wish I had it on my Expidition, actually, but I think that might be a difference between last year\'s model and this.<br /><br />Once inflated the AF is very sturdy and firm. It does not flex at all, and feels much like a hardshell kayak. In the water it is very stable, a product no doubt of its relatively wide stance (32 inches). The byproduct of that wide stance is that in the water it is a bit slower than a top-notch hardshell kayak (that generally run about 26 inches wide). It tracks well and is actually pretty fast -- my wife hasn\'t had any trouble keeping up with other recreational kayaks. Because the shape is rigid (reinforced with the aluminum bits in the front and back) it cuts through the water easily.<br /><br />Paddling is comfortable so long as you use the right length of paddle; we use a 220cm and it seems to be the perfect size. I tried using a shorter paddle at one point and fount that it was not as comfortable and often found myself brushing the sides of the kayak with my knuckles. But with a longer paddle that\'s not a problem and paddling is a breeze.<br /><br />The interior of the kayak is largely taken up by the inflatable chambers. There\'s a little room behind the cockpit to store things, but really not more than what you might take on a day trip. People looking for more storage should get a deck bag.<br /><br />Deflating and storing is very easy to - the whole thing breaks down in about 10 minutes and is back in the case and ready for transport. This model stores in a bag about the size of a medium sized suitcase, and weighs about 30 pounds, which makes it quite easy to carry. The fact that it stores so easily is obviously the best \"feature\" of this inflatable kayak - it can be easily transported in the trunk of a car or even on a plane, and can be stored in a closet of an apartment. Being able to transport it for weekend trips without worrying about lashing it to the top of the car or having to go get it out of a slip somewhere just makes kayaking that much easier to do on a whim.<br /><br />As for whether or not to buy this one or the larger AdvancedFrame Expedition model, I own both so I have some insight. I bought the smaller one for my wife after I had tested the Expedition model. The smaller one is even easier to inflate (since it has fewer chambers) and is lighter and smaller to store. But the trade-off is a smaller cockpit with less storage space. For me, at 6\' 175lbs, the Expedition model seems just right or a little large. For my wife, the smaller one is a perfect fit. I think a person of my size might feel somewhat cramped in the 10\' model, as she described it as comfortably snug. So if you\'re under 5\'10\" the smaller 10\' model might be just fine, but larger folks should consider the Expedition.<br /><br />Overall this kayak is a great purchase for someone looking for a first kayak to take on casual trips, or for a second kayak for those who might want to travel where they can\'t take their hardshell. Performance is on par with other hardshell recreational kayaks, but without the hassle of storage or transport. Highly recommended.\";}i:1;a:5:{s:5:\"title\";s:17:\"A Great Product!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 12, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1HEF95T2SB3NY\";s:4:\"name\";s:6:\"J. Ida\";s:7:\"address\";s:11:\"Chicago, IL\";}s:4:\"text\";s:1094:\"This inflatable kayak is just great! It is inexpensive and made of strong material. It looks great, like a hardshell, not like a boat-shaped balloon costing 3 times as much. It is lighter than hardshells and you don\'t need to buy a $600 roof rack to take it places. Unlike other reviewers, the first time I assembled it, it took about 20 minutes. 8 or 9 assemblies later, it takes less than 10 minutes. It is the most comfortable kayak I have ever sat in or on, and has been quite durable. If you are purchasing this product, you ABSOLUTELY MUST also purchase the floor beam. Advanced Elements BackBone-Bow & Stern Frame-Advanced Frame I This beam goes under the floor mat of the kayak and converts the base of the boat from flat to v-shaped, drastically improving tracking and speed, as well as efficiency, allowing one to paddle further expending less energy. It makes an enormous difference. Also, Advanced Elements makes a large line of products to accompany this boat, and most accessories for standard kayaks fit this boat. If you are in the market for an inflatable kayak, buy this one!!\";}i:2;a:5:{s:5:\"title\";s:21:\"A convenient pleasure\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 3, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A363REJBQVITS6\";s:4:\"name\";s:13:\"Michael Sands\";s:7:\"address\";s:21:\"Jacksonville, Florida\";}s:4:\"text\";s:1397:\"We\'ve been doing hardshell sit ins and sit upon kayaking, both touring and in the ocean for years. This year we thought it would be fun during a visit to Venice, Italy to kayak the canals and participate in the Vogalonga. After extensive internet research, it didn\'t appear that there were any kayak rentals easily available in Venice. A little more research and we stumbled on Advanced Elements 10 foot inflatable as a good possibility to take with us to Italy.<br /><br />We\'ve now tried it out locally touring on flat water 4 times and my wife wants to throw out all of our other kayaks. Warning, the first inflation takes about 20 minutes with the manual; after that it takes about 5 minutes. Fully inflated it tracks pretty well and can keep up a good touring pace with hardshell sit ins. It\'s comfortable to sit in; my wife keeps on asking if it\'s OK to inflate it and put it in the water just to nap in.<br /><br />The take down is simple, quick and the reverse of inflations. We wipe it down with one of those super absorbant camp towels before stowing it in the carrying bag. Then off it goes into the back of the SUV and laughs at us while we spend the next 45 minutes hoisting and securing the remaining kayaks on top of the truck.<br /><br />I would definitely recommend it as a well designed and constructed inflatable. It\'s not a pool toy. Let you know how it likes the Italian food.\";}i:3;a:5:{s:5:\"title\";s:37:\"Great if you can\'t store a hardshell.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 10, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1UNXF32K07GS3\";s:4:\"name\";s:23:\"Brian A. Adams \"BADAMS\"\";s:7:\"address\";s:15:\"Augusta, GA USA\";}s:4:\"text\";s:6119:\"I think many of the reviews here are given after just one use or once they get it in the mail which is not really helpful. Also I think many people are excited because kayaking is awesome! So they leave reviews based on a fun experience, and not the product alone. I wish I had heard more critical reviews about this item before I bought it.<br />This review will be mostly negative so let me say here that I have loved almost every minute I\'m in this kayak. I rent out a room with only a car trunk to store the craft so this was my only acceptable alternative to renting. However I want to warn others about the drawbacks to this very portable kayak. After reading the outstanding reviews of this product I expected a great experience and after the first use it seemed I got want I wanted. Then with each further use it seemed I would find something new that was a little disappointing. This is what I intend to explain.<br /><br />1. I have 100lbs before reaching the weight limit of this kayak, but I found after 3 uses that I NEED the backbone sold separately. This turns an overpriced product to a ridiculously overpriced product. I inflate the craft to specifications (more on that later) and have found that with each use I\'m getting lower between the bow and stern. In other words it seems that I am sinking in the middle while the bow and stern remain ultra-buoyant. This becomes a greater issue once I realized that I\'m taking on water as it seeps through the fabric above the pvc plastic bottom. Personally I feel (Especially with the price) that the upper decks should be waterproof too. At the very least, more water resistant.<br />2. I had no idea how specific the inflation would be. The manual and tags hanging from the kayak stress multiple times that if you inflate the kayak improperly you can cause damage to it. If you wish to heed their warnings you need the pump with the pressure gauge (Another separate expense). Now common sense says that proper inflation is obvious, but it\'s to the point that you may need to deflate a bit once the day gets hotter (I\'m in the south where the morning is 75+ degrees and the afternoon is 95+ degrees), or inflate further if it gets colder. So what if the day is warm and the water is cold? And if you are up the river how do you inflate it more? The pump is gigantic and there just isn\'t space to keep it with you. They say if you over inflate it, even just a little too much, you can damage the kayak. This is not very encouraging and causes me stress during an event that was meant to relax me.<br />3. When paddling in glassy water the kayak drifts STRONGLY to the right. So much so that if I stop paddling I\'ll turn completely around. This may have something to do with inflation, but as I said before I have inflated it to specifications. I think it\'s because I need the $80 backbone. By the time I get back from paddling my right arm is shaking because there is twice as much paddling on that side.<br />4. Storage behind the seat? Maybe for lunch. I stick a life vest back there and have NO room left for anything else. On a positive note, the deck straps help alleviate this a bit. There is enough space for a few water bottles, dry sacs, etc. Also, related to this issue is leg room. I\'m only 5\'7\" but I fit perfectly in there with the seat all the way back. My feet get a little sore due to the constriction of the side tubes, but that is a small issue. I read here that some guy says it\'s okay as long as you keep your legs bent. This is not a \"sit on top\" kayak. It is meant to contain its occupant and it is difficult to move my legs around once inside anyway. Don\'t get me wrong, it\'s perfect for me, but I thought taller people should be warned again.<br />5. This is to expand upon a previous review. One review mentions the valves on the kayak fell apart on them. I\'m sure the statement was a little bit dramatized out of frustration, but I had the same experience. On my second use I unscrewed the valve for deflation and found that the friction of the cap caused the base plate to unscrew from the hull tube. This was not hard to fix as it is simply two plastic pieces screwed together on either side of the fabric that contains the buoyancy tubes. However, for the price I paid for this thing I expect those plates to be sealed. It is an easy fix, but frustrating.<br /><br />For the price I could have bought a kayak of superior quality. In fact, I could have bought two. I paid the \"sale price\" of $370 for this yak, and over $30 for the pump. If I now add the \"optional\" $80 backbone that is required I will have paid over $480 (Lucky for me I got the super-saver free shipping). A local store sells two basic flat-bottom kayaks for that price. By-the-way, I have read that this backbone makes the craft uncomfortable to sit in. The rod fits right below your tail-bone like an aluminum thong lol! I guess you can add some padding, but how much more are we expected to alter this yak after paying so much for it? I don\'t know about you, but I expect a lot when I pay this much for something.<br />So basically you need to ask yourself this question, are you willing to pay $500 for an uncomfortable (if you use the backbone) kayak of inferior quality? That is, inferior to hardshells of equal price. In my case I guess that answer is yes because I save the money from rentals, but I can\'t hit whitewater, it\'s a pain in the butt to drain/dry out, and I have little to no storage.<br />Again, let me state that I loved the times I have used this little yak. And it is very durable too. I have hit many unseen river rocks. Even to the point that I was lifted out of the water and dumped once, and there are little to no scratches on the hull. Although getting the water out of the kayak was a pain. I have a toy squirt gun as my bilge pump because of the lack of storage. Anyway it is very tough and fun to use, but I am highly disappointed because for the money I expected to have trouble free use. If you have no way to store a hardshell then this is a great purchase, but be aware of what you will get so that you are not disappointed.\";}i:4;a:5:{s:5:\"title\";s:16:\"I t does the job\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"December 5, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A104WN8OW03TIA\";s:4:\"name\";s:7:\"D. Pace\";s:7:\"address\";s:10:\"California\";}s:4:\"text\";s:1435:\"I\'ve been using this kayak for a couple years. I mainly wanted something to get me out on the water for photographing wildlife in the bay. I paddle it around a wetland wildlife reserve, through a large, heavily-trafficed harbor, out into the open ocean. The boat is slow compared to 17\' to 19\' touring kayaks I\'ve paddled, but far more stable. I bought the AE Backbone to stiffen the boat - which helps.<br /><br />I use a relatively heavy camera to shoot birds, etc., so stability is more important than anything else. I can maneuver this boat however I need it with total ease, and lean way over to get a low-profile shot.<br /><br />Setup only takes 5 minutes now that I\'m used to the process. I use a double-action pump to push air on both the downstroke and the upstroke (nice and fast). Cold water causes air in the main tube to compress, so a good pump is needed to provide enough pressure to compensate.<br /><br />I can\'t really complain about quality. I\'ve run the boat up onto rocks and into all kinds of muck. I got one tear in a top seam, but patched it with the provided patch kit. The longer I\'ve had it, the less care I take with it, but it still performs and holds up well.<br /><br />It\'s not ideal for long or fast trips, nor for open-ocean swells, but it does exactly what I wanted it to do. Calm-water paddling and riding currents are great, while chop makes it sluggish. Keep it recreational and all will be fine.\";}i:5;a:5:{s:5:\"title\";s:38:\"great in a lot of ways, a few pointers\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"July 4, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A308FY4D06CMOC\";s:4:\"name\";s:11:\"Cedar\'s mom\";s:7:\"address\";s:14:\"Northwest, USA\";}s:4:\"text\";s:1805:\"This is not your cheap inflatable. VERY good quality. I bought both the single and the double used. They are great for hot days when you have your bathing suit on. The boat is very comfortable and cushiony, and incredibly stable. it\'s great for adults and kids rowing around a lake, jumping in for a swim and getting back on. the problem with sitting on the floor instead of a seat is if you get any water in the boat--like with your feet or from paddles, it will go right to the seat of your pants and get you soaked. (The double has a blow up back rest option rather than the click in seat, so you\'re sitting on the floor). I only use these kayak in the summertime. the kayak works best when everything is blown up to maximum capacity--eventhough they say \"don\'t overfill\". When it\'s full, it\'s hard and acts like a fiberglass boat.<br />Don\'t think it\'s easy to carry, however. Eventhough the deflation and bag with handles make it handy for storage, these are HEAVY! park near the water! Don\'t drag the boats to the water, because they do get holes in the bottom--i have had to patch a few, which works well.<br />I really like the boats, but the main negatives are: 200lb or 5\"10\" max for the single (or boat will bend in the middle), you have to dry it well before packing it away, watching out when you get in and out close to shore that the bottom doesn\'t drag on pebbles and punch holes, and the tracking, I have found, isn\'t great. Tracking is better when care is taken that the plastic guide on the bottom doesn\'t get bent. If it\'s not straight, it won\'t help you row straight. It can get bent in storage or by sitting to long on the ground upright. Tip boat over when blown up but not in use; and lay the bag on it\'s side when not in use if the bottom of the kayak is at the bottom of the bag.\";}i:6;a:5:{s:5:\"title\";s:8:\"love it!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 31, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A25SQU3VK9QJQ2\";s:4:\"name\";s:14:\"Tiffany Martin\";s:7:\"address\";s:10:\"Eugene, OR\";}s:4:\"text\";s:1093:\"I was hesitant about buying an inflatable because I had a hard shell before, and frankly I just didn\'t think an inflatable could come close to matching a hard shell on the water. But I had to sell my hard shell because it was too impractical- I live in a small apartment, so storage was a MAJOR problem, and I have a small car so transportation was a problem. So I decided to try this inflatable, and I could not be happier with my purchase. It has all the benefits of a hard shell kayak, like tracking, speed, durability, without the hassle of transporting it and storage. THe skegs on the bottom of the boat really help with tracking, and the weight also gives it more durability. I pick up about as much speed as I did with a hard shell, and it handles currents well. Set up and deflation is pretty simple, I can get it up and ready in less than six minutes. I\'m about 5\'5, so I\'ve got plenty of leg room, the cockpit is super comfy, lots of cargo room and storage on top too.<br />Solid purchase, gotten a ton of compliments on it from friends and strangers who lay eyes on it. Great boat!\";}i:7;a:5:{s:5:\"title\";s:25:\"Exceeded My Expectations!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 2, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A4EOR1UV8KU93\";s:4:\"name\";s:11:\"Jeff Kruzic\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1200:\"The Advanced Frame kayak is simply a joy...end of story! Affordable to buy, high quality materials, quick $ easy inflating, and great tracking.<br /><br />I considered other products, but purchased the Advanced Frame after reading the reviews, and speaking directly with the techs at the Advanced Elements Company. (The techs there are VERY helpful, before and after the sale.)<br /><br />I wanted a kayak with the convenience of an inflatable and the tracking of a hard shell. I\'ve never owned a hard shell to compare, but the tracking of the Advanced Frame exceeded my expectations.<br /><br />Inflation, after you learn how the valves work, takes about 5 minutes. Deflation is even faster. Then I simply fold it into thirds, put it in the car, and I\'m off.<br /><br />It comes shipped in a carry case, but I think it\'s more work to get it back in the case than it\'s worth. I use the case for accessories.<br /><br />I do wish this model had an adjustable foot rest, but I\'m going to try an air bag to give me a push-off. (The 13 foot model, The Expedition, I think does have a foot rest.)<br /><br />Overall, I am very happy with the Advanced Frame product and will be purchasing another one soon.\";}i:8;a:5:{s:5:\"title\";s:9:\"Fun boat!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 10, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1RZSQ5IXF4TLR\";s:4:\"name\";s:13:\"mtnmuse \"Sue\"\";s:7:\"address\";s:8:\"Colorado\";}s:4:\"text\";s:3667:\"This boat met all my expectation and then some. I used to do some white-water kayaking but these days mostly want to paddle around on lakes and such. I just got this kayak about 10 days ago. Did a quick float on a lake and then took it on a week-long river trip. On the lake trial run, I realized a couple useful things. First and foremost, I really like the kayak! You should know that the 12V electric pump, will not be able to fully inflate the kayak. It says that in the Kayak manual, but I didn\'t know that when I ordered it and didn\'t have anything else to use on this first attempt. I also didn\'t have the backbone in on this first float. Still even though it was somewhat under-inflated, it performed pretty well on the lake. I didn\'t like sitting down that low, and my butt sank even further down than normal due to the under-inflation. Also made the paddle angle kind of weird - every stroke kind of like a sweep. It tracked well on the lake and was still fun.<br /><br />So for the week-long raft trip, I had a hand pump, the backbone installed, and a 3\" canoe cushion to sit on. The kayak was well inflated and I was sitting up higher, which is more comfortable for my back. It was a blast! We were on a pretty flat stretch of the Colorado River, but there were still a few class 2 rapids to play in. As one might expect trying to surf waves in a kayak with a keel is pretty challenging, but still fun to try. It did great just running the class 2 rapids. The only problem was that I didn\'t have a spray skirt in and took on a lot of water over the bow in the waves. It still performs great even with a fair amount of water in it. It is very stable. Emptying it is a little tricky, but the standard kayak rocking on the shore will work pretty well. I am definitely going to get a spray skirt for it. BTW, the canoe on our trip took in even more water on the same level of rapids and didn\'t handle well at all until we could get it pulled over to the shore and bailed. No big surprise there, but definite points for this kayak.<br /><br />The other cool thing about it that even though it performs well as a kayak, it is so stable, that I could slip out of it on the river and lay down on the top like a lounger or hang my feet over one side and relax. Also, I could put one of the kids on the trip sitting on the cargo area in front of me and paddle them around. I love this boat!<br /><br />With all the internal pieces parts, it is a little hard to get all the the river sand and debris cleaned out of. I totally took it apart after the trip. For my more typical lake kayaking, this won\'t be as big a problem.<br /><br />------------------------------------<br /><br />Later took this boat on a week-long sailing trip in the San Juan Islands. Because it packs into such a small package, some friends tossed it in the back of their car for me to get it out there. I stowed it in the dingy while I wasn\'t using it and took it out early every morning to paddle around the areas where we anchored. Strapped my morning tea to the front cargo area. Because it is so stable, I sometimes just slipped into it wearing my pajamas. Always smooth water, so I don\'t know how it handles in rougher seas. It tracks so well, I could take a couple strokes and then silently glide in the morning San Juan quiet while sipping my tea. Had to top it off every couple days, so make sure you take you pump with you for multi-day adventures. No surprise. The manual mentions you may have to adjust inflation. Hard to dry out thoroughly at the end of the trip. Count on having to completely disassemble it to get it completely clean and dry. Not that big a deal once in a while.\";}i:9;a:5:{s:5:\"title\";s:35:\"Greak Kayak... a Few Considerations\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A35ZQ4KT2BGIOH\";s:4:\"name\";s:19:\"Laura from Virginia\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3050:\"I purchased this Kayak to paddle on flat water. So far, I am very impressed with it and have had fairly good experiences.<br /><br />If you are looking at an inflatable, you probably either have limited space for storage and/or you want ease of transport. Both considerations were important for me. Being a female who is out alone, I wanted a kayak that I could easily bring to the river without the need for help loading it onto a vehicle. It is approx. 40 lbs inflated, and can be a little tricky to carry alone as it doesn\'t have side handles. This kayak folds up well, but it is difficult to squeeze it back into the bag it came in.<br /><br />It is much easier to inflate than I imagined it would be, and takes much less time. The manufacture states 10 minutes for inflation, but with the Advanced Elements dual pump, it only takes 4 or 5 minutes. Deflation occurs in moments. I do have to move around some of the chambers as I am inflating to ensure everything is in the right place after inflation is complete. Specifically, the floor chamber moves around and you have to situate it directly in the center of the kayak as you inflate to ensure it is not set slightly off to the side once it is fully inflated. Also, the main chambers located on the sides/inner section of the boat can move in different positions, and can even bow in towards the legs if not positioned perfectly. I spend a few moments adjusting the chambers as I am inflating and it seems to be well worth the extra effort.<br /><br />Once on the water, the bow moves slightly left and right with each stroke. If you maintain equal pressure with your strokes, you stay in a straight line with minimal effort. This is surprising given how short the boat is. I was pleasantly surprised that it doesn\'t take more work to hold the kayak straight. The kayak is wide and very stable. I\'ve only used it in choppy and flat water, and stability isn\'t an issue. I have no idea how it would maneuver in white water.<br /><br />One problem I had once was the boat pulling right with each stroke. I determined it was coming from the fin. It was bending slightly off center. I used a hair dryer to soften the plastic then re-positioned it back to center. That seemed to fix the problem, but I have to be very careful while the kayak is on dry land so as not to bend the fin again. Other problems include the inner chamber occasionally bowing in while paddling (already mentioned) and drag. Paddling is slower and requires a little more effort than a longer, traditional kayak. Having it fully inflated is a must! Also recommend a 230 paddle or longer, as it is so wide.<br /><br />I would not recommend this model for anyone over 6 feet tall. I\'m 5\'6 and my feet touch the inner chamber with legs straight. I would recommend the Advanced Elements Expedition Model for taller people. Good storage space behind the seat and some on top. Seat is comfortable and slightly adjustable. I use a towel in the lumbar area for additional support.<br /><br />Overall, I am quite happy with this kayak.\";}}");
INSERT INTO `wp_postmeta` VALUES("2598", "404", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2597", "404", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00CZ9AAJU\";}");
INSERT INTO `wp_postmeta` VALUES("2591", "403", "asg_last_refresh_attempt", "1371235665");
INSERT INTO `wp_postmeta` VALUES("2592", "403", "asg_update_timestamp", "1371235665");
INSERT INTO `wp_postmeta` VALUES("2593", "404", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2594", "404", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2595", "404", "asg_item_id", "B00CZ9AAJU");
INSERT INTO `wp_postmeta` VALUES("2596", "404", "asg_amazon_data", "a:15:{s:4:\"ASIN\";s:10:\"B00CZ9AAJU\";s:10:\"ParentASIN\";s:10:\"B00CZ9AAJU\";s:13:\"DetailPageURL\";s:223:\"http://www.amazon.com/ADVANCED-ELEMENTS-Advanced-Elements-AdvancedFrame/dp/B00CZ9AAJU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00CZ9AAJU\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:233:\"http://www.amazon.com/ADVANCED-ELEMENTS-Advanced-Elements-AdvancedFrame/dp/tech-data/B00CZ9AAJU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AAJU\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00CZ9AAJU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AAJU\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00CZ9AAJU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AAJU\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00CZ9AAJU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AAJU\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00CZ9AAJU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AAJU\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00CZ9AAJU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AAJU\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CZ9AAJU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CZ9AAJU\";}}}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL.jpg\";s:6:\"Height\";s:3:\"475\";s:5:\"Width\";s:3:\"475\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41a4Zz%2BKkDL.jpg\";s:6:\"Height\";s:3:\"475\";s:5:\"Width\";s:3:\"475\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/0172V3tUi3L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/0172V3tUi3L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/0172V3tUi3L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/0172V3tUi3L._SL110_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:2:\"80\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/0172V3tUi3L._SL160_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:2:\"80\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/0172V3tUi3L.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:2:\"80\";}}}}s:14:\"ItemAttributes\";a:9:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:5:\"Label\";s:17:\"Advanced Elements\";s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:37:\"Advanced Elements AdvancedFrame Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"44999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$449.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B000J2Q0C6\";s:10:\"ParentASIN\";s:10:\"B00CZ9AAJU\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL75_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL160_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL.jpg\";s:6:\"Height\";s:3:\"250\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:9:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL30_.jpg\";s:6:\"Height\";s:2:\"15\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL75_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL75_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL110_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL160_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL.jpg\";s:6:\"Height\";s:3:\"250\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL30_.jpg\";s:6:\"Height\";s:2:\"15\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL75_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL75_.jpg\";s:6:\"Height\";s:2:\"38\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL110_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL._SL160_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31mf-IaQeRL.jpg\";s:6:\"Height\";s:3:\"250\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41K0ZC13Q5L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K2ST387AL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K2ST387AL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41K2ST387AL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K2ST387AL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41K2ST387AL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41K2ST387AL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DF67KT59L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DF67KT59L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DF67KT59L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DF67KT59L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DF67KT59L._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41DF67KT59L.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:5;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41JKZ2J9KRL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:6;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41GK1FDCYSL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:7;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51RK8SY0R7L._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51RK8SY0R7L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51RK8SY0R7L._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51RK8SY0R7L._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51RK8SY0R7L._SL160_.jpg\";s:6:\"Height\";s:3:\"106\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51RK8SY0R7L.jpg\";s:6:\"Height\";s:3:\"332\";s:5:\"Width\";s:3:\"500\";}}i:8;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31NFiLDJPEL._SL30_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31NFiLDJPEL._SL75_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31NFiLDJPEL._SL75_.jpg\";s:6:\"Height\";s:2:\"28\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31NFiLDJPEL._SL110_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31NFiLDJPEL._SL160_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31NFiLDJPEL.jpg\";s:6:\"Height\";s:3:\"185\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"AE1012-R\";}s:5:\"Color\";s:8:\"Red/Gray\";s:3:\"EAN\";s:13:\"0832994000304\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0832994000304\";}s:7:\"Feature\";a:5:{i:0;s:69:\"Built-in aluminum ribs define the bow and stern and improves tracking\";i:1;s:56:\"Three layers of material for extreme puncture resistance\";i:2;s:72:\"Preassembled at the factory; simply unfold, inflate, and attach the seat\";i:3;s:75:\"High support, adjustable padded seat provides comfort for hours of paddling\";i:4;s:91:\"Looks and paddles similar to a rigid hard-shell kayak with the portability of an inflatable\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"2500\";s:5:\"Width\";s:4:\"1500\";}s:5:\"Label\";s:17:\"Advanced Elements\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"49999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$499.99\";}s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:5:\"Model\";s:8:\"AE1012-R\";s:3:\"MPN\";s:7:\"AE1012R\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1120\";s:6:\"Length\";s:4:\"3080\";s:6:\"Weight\";s:4:\"4300\";s:5:\"Width\";s:4:\"1830\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"AE1012R\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:13:\"AE-ADVFRM-KAY\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:48:\"Advanced Elements AdvancedFrame Inflatable Kayak\";s:3:\"UPC\";s:12:\"832994000304\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"832994000304\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:8:\"Red/Gray\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:114:\"bAC7IRAAeYdiuAoTRfvLwBeGdFw07XptobD71yb6wYA3eedc%2FI7jkHsEbbRMUIakT96Syf7UqXMzPet25iQ5F%2FWXJEaR1ao69BPiurnCaXg%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"44999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$449.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"5000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$50.00\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:202:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00CZ9AAJU&atag=freetos-20&exp=2013-06-15T18%3A47%3A45Z&v=2&sig=FW0%2FywNyUTckBQH%2BIkK8M4OCZ%2FkAqY%2FyzS37QIg%2FReQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:329:\"DECENT FEATURES of the Advanced Elements AdvancedFrame Kayak Bungee Deck Lacing D-Ring Tie Down Inflatable Coaming Neoprene Paddle Guard Folding Seat Welded Seams Spring Valve Tracking Fin The SPECS Person: 1 Length: 10\' 5\" Width: 32\" Weight: 36 lbs / 16 kg Maximum Weight: 300 lbs / 136 kg Chambers: 7 Folded Size: 30 x 17 x 13\"\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2570", "401", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:10:\"1.6 ounces\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:4:\"ASIN\";s:10:\"B0030HUB9K\";s:17:\"Item model number\";s:12:\"07.1960.0000\";}");
INSERT INTO `wp_postmeta` VALUES("2571", "401", "asg_star_rating", "4.8");
INSERT INTO `wp_postmeta` VALUES("2572", "401", "asg_customer_reviews", "a:5:{i:0;a:5:{s:5:\"title\";s:54:\"You can\'t put a price on a dry and comfortable bottom!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 26, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1AV9YKVVN9GD5\";s:4:\"name\";s:11:\"Paul Bonser\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:139:\"I use these in my Emotion Spitfire 8ft kayak. Fit is great and I can\'t even feel the stoppers under my seat! No more soggy bottom for me :)\";}i:1;a:5:{s:5:\"title\";s:36:\"Great fit for Perception Pescador 12\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 25, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1IW8G4KSA0IMU\";s:4:\"name\";s:15:\"Jim Lomis \"Jim\"\";s:7:\"address\";s:3:\"USA\";}s:4:\"text\";s:94:\"Yellow is the way to go for the perfect fit. Love these and they look great on my yak. Patrick\";}i:2;a:5:{s:5:\"title\";s:21:\"Finally the right one\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"February 8, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A19PKTMS3YGUIS\";s:4:\"name\";s:9:\"L. Parker\";s:7:\"address\";s:9:\"Tampa, FL\";}s:4:\"text\";s:168:\"LOL I have a Malibu 13\' 10&#34; and trial and error on scupper plugs so far they fit, havent benen in water yet so not sure how they will come out..I will update though\";}i:3;a:5:{s:5:\"title\";s:16:\"Worked perfectly\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"January 4, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2G441U85RDKLS\";s:4:\"name\";s:21:\"JEFFREY M \"Jeffrey M\"\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:386:\"These worked perfectly for my Ocean Kayak Tetra 12. Keeps the water out. The tetra tends to take on a bit of water in the footwell area and the seat gets wet from water coming up through the scupper holes. The red and blue fit the footwell and seat scuppers on the tetra. Does not allow water to drain if you splash it in to either of those areas. Not required for the well in the back.\";}i:4;a:5:{s:5:\"title\";s:15:\"So far, so good\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3A4CZCTFCDOS1\";s:4:\"name\";s:7:\"Colsrob\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:206:\"I have not hit the water yet, but i\'m sure they will keep the water out. My research before buying paid off. I have a Pescador 12 and concluded that I needed the plugs in small, and they were a perfect fit.\";}}");
INSERT INTO `wp_postmeta` VALUES("2573", "401", "asg_last_refresh_attempt", "1371235660");
INSERT INTO `wp_postmeta` VALUES("2574", "401", "asg_update_timestamp", "1371235660");
INSERT INTO `wp_postmeta` VALUES("2575", "402", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2576", "402", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2577", "402", "asg_item_id", "B00AYPETWQ");
INSERT INTO `wp_postmeta` VALUES("2578", "402", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00AYPETWQ\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Premier-Kayak-Detachable-Fishing-Paddle/dp/B00AYPETWQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00AYPETWQ\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Premier-Kayak-Detachable-Fishing-Paddle/dp/tech-data/B00AYPETWQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AYPETWQ\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00AYPETWQ%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AYPETWQ\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00AYPETWQ%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AYPETWQ\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00AYPETWQ%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AYPETWQ\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00AYPETWQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AYPETWQ\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00AYPETWQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AYPETWQ\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00AYPETWQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AYPETWQ\";}}}s:9:\"SalesRank\";s:4:\"9122\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL._SL75_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL._SL160_.jpg\";s:6:\"Height\";s:3:\"158\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL.jpg\";s:6:\"Height\";s:3:\"495\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:3:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL._SL75_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL._SL75_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL._SL110_.jpg\";s:6:\"Height\";s:3:\"109\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL._SL160_.jpg\";s:6:\"Height\";s:3:\"158\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41DBuj8dqYL.jpg\";s:6:\"Height\";s:3:\"495\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41R8ycOAetL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41R8ycOAetL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41R8ycOAetL._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41R8ycOAetL._SL110_.jpg\";s:6:\"Height\";s:2:\"93\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41R8ycOAetL._SL160_.jpg\";s:6:\"Height\";s:3:\"135\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41R8ycOAetL.jpg\";s:6:\"Height\";s:3:\"421\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4154m8V6UjL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4154m8V6UjL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4154m8V6UjL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4154m8V6UjL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4154m8V6UjL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4154m8V6UjL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:14:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Premier Kayak\";s:7:\"Feature\";a:5:{i:0;s:40:\"Keep your Kayaking paddle and gear safe.\";i:1;s:60:\"Detachable clip works great on Fishing poles and Electronics\";i:2;s:70:\"Durable plastic fasteners made in the USA and made to last a lifetime.\";i:3;s:71:\"Clip Straps and leashes also sold seperately to create your own system.\";i:4;s:35:\"Made in the USA. Lifetime Warranty.\";}s:5:\"Label\";s:13:\"Premier Kayak\";s:12:\"Manufacturer\";s:13:\"Premier Kayak\";s:3:\"MPN\";s:5:\"A2600\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:3:\"550\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"450\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"A2600\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Premier Kayak\";s:6:\"Studio\";s:13:\"Premier Kayak\";s:5:\"Title\";s:56:\"Premier Kayak Detachable Fishing Rod Leash/ Paddle Leash\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1099\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00AYPETWQ%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00AYPETWQ\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"HLF Manufacturing\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:164:\"ABQoMlAoX5iLjXFmjBW4KJJquGq5H0bcJxbiGZJq1j%2FR3rRWc5LezrA5Z3l88VnAcmmKv6DcZryedfiHu4RF%2FCMun8nnsDBpCjGxMWTu3R6TSRf3GyXmEIyjMwoRv4lk6qTFh0uRXf0HvxIvkAVd6RYHRXsercLa\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$34.99\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"1099\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"2400\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$24.00\";}s:15:\"PercentageSaved\";s:2:\"69\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00AYPETWQ&atag=freetos-20&exp=2013-06-15T18%3A47%3A40Z&v=2&sig=1hrBLuodWA0%2FTtQkKflTn4MLHI%2B8sGiG2bb8dhz8PN0%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:307:\"Premier Kayak\'s new detachable paddle and gear leashes work great for keeping your paddle at your side and your fishing poles safe.  Easily detach leash from clip strap for easy angling.  Clip Straps and double snap leashes also sold seperately.  Gives you the flexibility to create your own rigging system.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2552", "399", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:32:\"24 x 16 x 6 inches ; 12.3 pounds\";s:15:\"Shipping Weight\";s:11:\"12.4 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004KI3FP0\";s:17:\"Item model number\";s:8:\"MPG117MD\";}");
INSERT INTO `wp_postmeta` VALUES("2553", "399", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2554", "399", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:27:\"These J Racks are AWESOME!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2WD7ZUR3ZIOZL\";s:4:\"name\";s:31:\"Garett D. Shoemaker \"VinylGert\"\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:609:\"I have a set of Yakima Racks on top of my car i needed to transport my Whitewater boat somehow. Yakima had some pretty CRAZY priced sets.. So i decided with Malone because of their cheaper prices. After getting them in the mail(Shipping was fast!) I realized that these things are tough! Its heavy duty metal and the clamps are high quality. I can truly say i can trust my $1000 Boat in these racks. The Straps are even great! They have these pieces of leather on the backside of the buckle, so the buckle doesn\'t scratch your boat.I am very happy I bought these and I saved money. They are worth every penny.\";}i:1;a:5:{s:5:\"title\";s:34:\"Not a bad product for the price...\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"June 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2PYUJ1GUKSCRL\";s:4:\"name\";s:10:\"Auriolette\";s:7:\"address\";s:11:\"Pensylvania\";}s:4:\"text\";s:355:\"Considering that it offers a 40% discount compared to its competive product from Thule, it is OK.<br />But from a conception standpoint the thule product offers its advantage: easier to mount to the bars and easier to put the kayak in with friendlier shape.<br />But all together and I own both products if you want to save 40 $ it does the job very well.\";}i:2;a:5:{s:5:\"title\";s:31:\"A Y ear and Still Working Great\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1IG40BR84M1U2\";s:4:\"name\";s:11:\"Mark Bisson\";s:7:\"address\";s:10:\"Boston, Ma\";}s:4:\"text\";s:308:\"I bought these racks about a year ago now and couldn\'t be happier. They hooked up to my square Thule crossbars with no problem. They are extremely durable racks and hold my two 12 foot kayaks with no problem. The straps as well are very strong and do the trick. They are also very easy to put on or take off.\";}i:3;a:5:{s:5:\"title\";s:14:\"HEAVY DUTY!!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A17CMR8UZXDYLA\";s:4:\"name\";s:30:\"Stephanie L. Thomas \"Big Parm\"\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:140:\"GREAT price extremely easy install. The pipes are super thick and the padding is great!!! the black with the red lettering looks super sharp\";}i:4;a:5:{s:5:\"title\";s:23:\"easy on and off. sturdy\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 27, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2JSUDNRLSP5MY\";s:4:\"name\";s:7:\"KrisR33\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:514:\"I dont use the bow and stern attachment which is one of the reasons I bought it originally but I found that my kayaks are so secure without them that I dont need them. They are easy to attach and remove and I found when traveling into a parking garage knocking into the metal pole(which didnt harm nor loosen them) telling me i reached the height limit. Mine are attached to thune squarish shaped crossbars. I did a lot of research trying to find the best set for best value and Im very happy I settled with these.\";}i:5;a:5:{s:5:\"title\";s:14:\"Kayak Carrieer\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 21, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3F0JK47VVAT71\";s:4:\"name\";s:14:\"gregory a haub\";s:7:\"address\";s:20:\"saint peters, MO, US\";}s:4:\"text\";s:222:\"Seems like a good package. Straps are useless but the carriers work fine. My cross bar was 1 - 1/2&#34; wide and these are designed for a 1 - 1/4&#34; cross rail. I trimmed them to open up the gap and they fit perfect now.\";}i:6;a:5:{s:5:\"title\";s:18:\"Just what I needed\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9HEV8I4HT9AG\";s:4:\"name\";s:13:\"David L Brett\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:167:\"They worked perfectly. They\'re sturdy & well built; wouldn\'t change a thing on them. Allows you to carry up to 3 kayaks (if you buy 3 sets). Would recommend to anyone.\";}i:7;a:5:{s:5:\"title\";s:13:\"great product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"February 4, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A186PKA6UCTHSX\";s:4:\"name\";s:7:\"David S\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:127:\"Looks great and works perfectly on factory kia roof rack. Comes with universally fitting bolts for different rack thickness A++\";}i:8;a:5:{s:5:\"title\";s:6:\"Sturdy\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"January 24, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1ZX7BCX7EF8P5\";s:4:\"name\";s:6:\"S-4943\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:356:\"These racks are great for the price. I don\'t use them often but when i do, they work. It could be a better if: the angle was different, the foam pads stayed in place, the load lock ropes did not work i replaced with my own, there is some rattling too, but i can\'t pin point where it is coming from. But, my kayaks have never blown off or have been damaged.\";}i:9;a:5:{s:5:\"title\";s:8:\"love it!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3EGWGHSMTWK4Y\";s:4:\"name\";s:3:\"dsp\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:136:\"The Malone J-rack is great quality; holds the boat secure at highway speeds; easy to install and remove in off season; highly recommend.\";}}");
INSERT INTO `wp_postmeta` VALUES("2555", "399", "asg_last_refresh_attempt", "1371235656");
INSERT INTO `wp_postmeta` VALUES("2556", "399", "asg_update_timestamp", "1371235656");
INSERT INTO `wp_postmeta` VALUES("2557", "400", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2558", "400", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2559", "400", "asg_item_id", "B0095MKVEE");
INSERT INTO `wp_postmeta` VALUES("2560", "400", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B0095MKVEE\";s:10:\"ParentASIN\";s:10:\"B0095MKVEE\";s:13:\"DetailPageURL\";s:189:\"http://www.amazon.com/Yakima-Bigstack/dp/B0095MKVEE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0095MKVEE\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:199:\"http://www.amazon.com/Yakima-Bigstack/dp/tech-data/B0095MKVEE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0095MKVEE\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0095MKVEE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0095MKVEE\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0095MKVEE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0095MKVEE\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0095MKVEE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0095MKVEE\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0095MKVEE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0095MKVEE\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0095MKVEE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0095MKVEE\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0095MKVEE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0095MKVEE\";}}}s:9:\"SalesRank\";s:5:\"20112\";s:14:\"ItemAttributes\";a:6:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:6:\"Yakima\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:3:\"SKU\";s:8:\"10004887\";s:5:\"Title\";s:15:\"Yakima Bigstack\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:5:\"12500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$125.00\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"16833\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$168.33\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B0012SFGW6\";s:10:\"ParentASIN\";s:10:\"B0095MKVEE\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31mhMLB48bL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}}}s:14:\"ItemAttributes\";a:31:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Yakima\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:3:{i:0;s:11:\"YAK_8004041\";i:1;s:7:\"8004041\";i:2;s:9:\"100081518\";}}s:5:\"Color\";s:9:\"One Color\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0736745040413\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0736745040413\";}s:7:\"Feature\";a:5:{i:0;s:96:\"Hullguard pads protect boat and vehicle, and the steel-reinforced arms fold down when not in use\";i:1;s:68:\"Includes Bow/Stern Tie-Down Straps to offer complete kayak stability\";i:2;s:37:\"Four-boat capacity in a small package\";i:3;s:63:\"Locks to crossbar with SKS system (SKS lock cores not included)\";i:4;s:60:\"AnchorHead tie-down feature offers improved strap management\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:4:\"2475\";s:6:\"Weight\";s:3:\"834\";s:5:\"Width\";s:3:\"850\";}s:5:\"Label\";s:15:\"Yakima Products\";s:15:\"LegalDisclaimer\";s:491:\"If a customer is unsatisfied with a product, Discount Ramps will accept returns within 30 days from date of purchase. Shipping costs incurred will be deducted from the refund amount. If an item had free shipping, the actual shipping cost will be deducted from the refund. No returns are accepted after 30 days. Discount Ramps does not accept returns on items with obvious signs of use or abuse, items returned missing parts, or items damaged by pets. *Items do not include mounting hardware*\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"14900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$149.00\";}s:12:\"Manufacturer\";s:15:\"Yakima Products\";s:5:\"Model\";s:7:\"8004041\";s:3:\"MPN\";s:12:\"62579.01.100\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"500\";s:6:\"Length\";s:4:\"2500\";s:6:\"Weight\";s:3:\"834\";s:5:\"Width\";s:3:\"900\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"62579.01.100\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:15:\"Yakima Products\";s:11:\"ReleaseDate\";s:10:\"2008-01-18\";s:4:\"Size\";s:5:\"false\";s:3:\"SKU\";s:12:\"736745040413\";s:6:\"Studio\";s:15:\"Yakima Products\";s:5:\"Title\";s:69:\"Yakima BigStack Rooftop Canoe, Kayak, or Surfboard Rack with Tie Down\";s:3:\"UPC\";s:12:\"736745040413\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"736745040413\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:9:\"One Color\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:114:\"9hEKj54NRF0HgxEhTdKvFwG%2FR3hoHDuOSXwULmpONBeiItvpeyk%2F0ErOR1j3ZOLVRAkPezSofJxLMuQE8qcH2CFUQNVAoRz9m8W8F59568s%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"13410\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$134.10\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1490\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$14.90\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0095MKVEE&atag=freetos-20&exp=2013-06-15T18%3A47%3A36Z&v=2&sig=F18ieXNEEq1bd1SFriVIyzXg3LMiyaX%2FJZaWvpaE5lE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:362:\"The BigStack\'s narrow profile takes up the least amount of rooftop space and carries up to four boats on their sides. It\'s padded to protect your boat and vehicle, and the steel-reinforced arms fold down when not in use. Last but certainly not least, the word stack makes you think of delicious pancakes. What more could you possibly need? <font face=\"\"\"\"Verdana\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2561", "400", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B0095MKVEE\";}");
INSERT INTO `wp_postmeta` VALUES("2562", "400", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2563", "400", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:43:\"Great product for carrying multiple kayaks!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 20, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1FLZ3PCYZBNPN\";s:4:\"name\";s:9:\"Kayak Fan\";s:7:\"address\";s:12:\"Pennsylvania\";}s:4:\"text\";s:967:\"We got the Bigstack to carry two Perception Swifty Kayaks. We used it to take them on vacation from PA to NC.<br />While some reviews indicated they did not seem very secure, that was not our experience. Our\'s were mounted on our Toyota Highlander factory roof rack. The strapping system was designed well and if you follow the directions, they are very secure. While the product states you can carry up to 4 kayaks, it would be tight to do so with our roof rack but possible. It definitely would carry 3 Swifties without a problem. Our kayaks are 9 1/2 feet long. A friend just purchased the same system for their Swifty and a 12ft kayak. They are also pleased with the Bigstack.<br /><br />We also purchased cockpit covers to help with wind resistance which also allowed for storage in the kayak.<br /><br />The only drawback is getting the kayaks lifted onto the roof, but that is the case with most any system.<br /><br />I hope this helps you with your decision!\";}i:1;a:5:{s:5:\"title\";s:12:\"Great System\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 1, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A176SP11JFKRMA\";s:4:\"name\";s:24:\"Steven T. Blades \"steve\"\";s:7:\"address\";s:14:\"pittsburgh, pa\";}s:4:\"text\";s:1069:\"I was not totally sure i would like this system when i ordered it. I had a wooden setup that i built on my last car that was solid as a rock and you could slap 4 kayaks on it easily. I got a new car and didn\'t want to put \"the picnic table\" as all of my friends called it on my sweet new ride. After a few weeks of research i went with the Yakima Big Stacker because people seemed to like it and you could get locking cylinders (sold separately) for it. When i got them i was not sure of the durability of the product but i have been using them all summer and they are great. I kayak 4 to 5 days a week so i am using them alomst daily and have had no trouble with them. I have taken multiple kayaks from Pittsburgh to the Outer Banks without trouble. i usually only have 1 to 2 kayaks on but i have hauled 4 at a time and they were all on solidly. They are also very easy to use. Great product, well worth the money, low profile when not in use for good looks and better gas milage, can be locked onto the bars for security and looks a bit better than the picnic table.\";}i:2;a:5:{s:5:\"title\";s:29:\"It\'s everything I expected...\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 10, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AO178FNNZNAND\";s:4:\"name\";s:4:\"Wags\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:457:\"Bought this item to use with my Nissan Xterra. Installation was very easy and once attached, does not need to be removed every time it is not in use because of the fold down feature. I have hauled up to 3 kayaks with it. Easy on and easy off gets me to and from the water faster. Plenty of straps with good solid buckles. Fast and easy to tighten with no slipping. I would recommend this carrier to anyone who wants a secure and easy way to haul their gear.\";}i:3;a:5:{s:5:\"title\";s:24:\"Looks tough, made flimsy\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"April 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2SEXEX5JRCUYB\";s:4:\"name\";s:11:\"PeteKayaker\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:960:\"I have been using Yakima kayak stackers for as many years as they have been made. The Big Stack is the worse of a line that just gets worse. It looks beefy, but the key parts are flimsy. One pop rivet through thin plastic holds the upright. A tiny bit of plastic makes the hinge where it attaches to the bar. An equally tiny bit of plastic holds the screw latch. The key stress points are pathetic. In addition, the push button that allows fold down is hard to depress, but that doesn\'t matter, since there is not enough friction to keep the stackers from rotating into the down position with a gentle push of the hand (or a bouncy road). However, the most annoying thing is the fact that when you remove them from the cross bars, they fall into at least four seperate pieces. Four seperate pieces that are a pain to re-assemble. I kept buying Yakima parts because I\'m heavily invested with multiple cars, ski and bike racks. I wish I had started with Thule...\";}i:4;a:5:{s:5:\"title\";s:40:\"I\'ve used it to carry 1, 2, and 3 kayaks\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 6, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2WX99VR62IEBU\";s:4:\"name\";s:31:\"J. Mulholland \"IT Professional\"\";s:7:\"address\";s:5:\"Texas\";}s:4:\"text\";s:286:\"It\'s good enough that I\'ve learned it\'s name.<br /><br />I use it on my Kia Optima with a Yakima Q-tower and 48\" round rod system. I\'ve carried sit-on-top and traditional kayaks. The ropes and tighteners have held up well after 10+ uses.<br /><br />I thoroughly recommend the Big Stack!\";}i:5;a:5:{s:5:\"title\";s:13:\"Great product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 5, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AEL8JT7UM3TWX\";s:4:\"name\";s:15:\"E. Pryzby \"EdP\"\";s:7:\"address\";s:2:\"CT\";}s:4:\"text\";s:494:\"This item installed in just 5 or 10 minutes from the time we opened the box. Nice construction, and our 2 kayaks didn\'t budge an inch once they were strapped in. And, there\'s still enough space for us to transport 2 bicycles on the same rack at the same time that we transport 2 kayaks.<br /><br />This is a bit expensive considering what it is, but in my opinion that\'s true of all of Yakima\'s and Thule\'s products. It\'s certainly cheaper than having your kayak slide off of the roof at 60MPH.\";}i:6;a:5:{s:5:\"title\";s:30:\"Easy to use and is very stable\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 8, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2FWI84VXZIAVA\";s:4:\"name\";s:7:\"Herbert\";s:7:\"address\";s:22:\"MERRITT ISLAND, FL, US\";}s:4:\"text\";s:370:\"I initially had reservation about using this stacker to transport 4 kayaks. After a few trial runs, I no longer have any reservation. This stacker is easy to install and provides a very stable platform to secure the kayaks. Only problem is that when installed on top of my minivan, its a long stretch. I bought a 3 step step stool to get the height. Otherwise its great.\";}i:7;a:5:{s:5:\"title\";s:26:\"Does everything advertised\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 31, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1Z3L77UCRC5B7\";s:4:\"name\";s:8:\"RacerPig\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:283:\"I put this on my car and loaded two kayaks with no problem. I also switched to a single set up with ease. After a couple short trips, I loaded up two kayaks and drove over 1500 miles one way with no problems. I have an XTerra with the flat roof rack cross bars and it mounted easily.\";}i:8;a:5:{s:5:\"title\";s:27:\"Great for factory rack use.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1AALN56YCKSPE\";s:4:\"name\";s:3:\"R-6\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:274:\"I have had the big stacks for well over a year now and could not be more satisfied with them. They fold down when not in use. Easy to attach. I am using them on a 1999 Ford Explorer with factory crossbars. I would purchase another set in a heartbeat if I needed another set.\";}i:9;a:5:{s:5:\"title\";s:16:\"Yakima Big Stack\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 22, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A14BFDXVE85QCZ\";s:4:\"name\";s:34:\"Gregory R. Burgess \"Kayaking Jeep\"\";s:7:\"address\";s:14:\"Jewett, OH USA\";}s:4:\"text\";s:315:\"WOW! 3 kayaks rode from Florida to Ohio in the snow without a hitch. They did exactly what they were supposed to do. The only complaint that I have are the straps that came with it. I guess I should have put more twists in the front one or put a towel underneath it so I wouldn\'t have lost all the paint on my hood.\";}}");
INSERT INTO `wp_postmeta` VALUES("2564", "400", "asg_last_refresh_attempt", "1371235658");
INSERT INTO `wp_postmeta` VALUES("2565", "400", "asg_update_timestamp", "1371235658");
INSERT INTO `wp_postmeta` VALUES("2566", "401", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2567", "401", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2568", "401", "asg_item_id", "B0030HUB9K");
INSERT INTO `wp_postmeta` VALUES("2569", "401", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B0030HUB9K\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Ocean-Kayak-Scupper-Stoppers-Yellow/dp/B0030HUB9K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0030HUB9K\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Ocean-Kayak-Scupper-Stoppers-Yellow/dp/tech-data/B0030HUB9K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0030HUB9K\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0030HUB9K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0030HUB9K\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0030HUB9K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0030HUB9K\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0030HUB9K%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0030HUB9K\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0030HUB9K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0030HUB9K\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0030HUB9K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0030HUB9K\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0030HUB9K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0030HUB9K\";}}}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31OWmPv2ZfL.jpg\";s:6:\"Height\";s:3:\"330\";s:5:\"Width\";s:3:\"330\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217Sd6pgZJL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217Sd6pgZJL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/217Sd6pgZJL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/217Sd6pgZJL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"109\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/217Sd6pgZJL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"159\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/217Sd6pgZJL.jpg\";s:6:\"Height\";s:3:\"166\";s:5:\"Width\";s:3:\"165\";}}}}s:14:\"ItemAttributes\";a:22:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:11:\"Ocean Kayak\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"07.1960.0000\";}s:5:\"Color\";s:6:\"Yellow\";s:3:\"EAN\";s:13:\"0785978054834\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0785978054834\";}s:7:\"Feature\";a:5:{i:0;s:72:\"Soft material makes them comfortable even when installed under your seat\";i:1;s:38:\"Multi-ribbed design offers better seal\";i:2;s:19:\"Color coded by size\";i:3;s:23:\"Easy romoval tab on top\";i:4;s:76:\"See Ocean Kayak Scupper plug chart for sizes need for different model kayaks\";}s:5:\"Label\";s:11:\"Ocean Kayak\";s:12:\"Manufacturer\";s:11:\"Ocean Kayak\";s:5:\"Model\";s:12:\"07.1960.0000\";s:3:\"MPN\";s:12:\"07.1960.0000\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"30\";s:6:\"Length\";s:3:\"630\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"390\";}s:10:\"PartNumber\";s:12:\"07.1960.0000\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:11:\"Ocean Kayak\";s:11:\"ReleaseDate\";s:10:\"2010-04-01\";s:4:\"Size\";s:5:\"Small\";s:6:\"Studio\";s:11:\"Ocean Kayak\";s:5:\"Title\";s:57:\"Ocean Kayak Scupper Stoppers - Pack of 2, (Small, Yellow)\";s:3:\"UPC\";s:12:\"785978054834\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"785978054834\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"629\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$6.29\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:3:\"897\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.97\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0030HUB9K%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0030HUB9K\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:134:\"pVtT%2F%2BHIitlmNLjxtee6hJ3o6IgXLwDZk3DqLjYVjjXwIedfofr5ouJ26Ot5GPlaGxWbhby3VI3aNgXb3V1rNCsY5rAPlH%2BcuXYRQ44%2F%2BZNI20QgqePbVg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"997\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.97\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0030HUB9K&atag=freetos-20&exp=2013-06-15T18%3A47%3A38Z&v=2&sig=IbRLrAvwTfYJvkabL4IQDiL6gqsaWu956E96uFZA7ro%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:308:\"Scupper Stoppers can be used to plug the scupper holes in the cockpit of your Ocean Kayak. This will help you stay dry while you are paddling. Sold in pairs. Available in x-small, small, medium and large. Click to view a Scupper Stopper Size and Quantity Chart to find out what you need for your Ocean Kayak.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2546", "398", "asg_last_refresh_attempt", "1371235653");
INSERT INTO `wp_postmeta` VALUES("2547", "398", "asg_update_timestamp", "1371235653");
INSERT INTO `wp_postmeta` VALUES("2548", "399", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2549", "399", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2550", "399", "asg_item_id", "B004KI3FP0");
INSERT INTO `wp_postmeta` VALUES("2551", "399", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004KI3FP0\";s:13:\"DetailPageURL\";s:212:\"http://www.amazon.com/Malone-J-Pro-J-Style-Universal-Carrier/dp/B004KI3FP0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004KI3FP0\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:222:\"http://www.amazon.com/Malone-J-Pro-J-Style-Universal-Carrier/dp/tech-data/B004KI3FP0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KI3FP0\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004KI3FP0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KI3FP0\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004KI3FP0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KI3FP0\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004KI3FP0%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KI3FP0\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004KI3FP0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KI3FP0\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004KI3FP0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KI3FP0\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004KI3FP0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KI3FP0\";}}}s:9:\"SalesRank\";s:4:\"9733\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"73\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"156\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"488\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"29\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"73\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"73\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"107\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"156\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"488\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"29\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"73\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"73\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"107\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"156\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/513XEQHQL%2BL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"488\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51OJp3sDdaL._SL30_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51OJp3sDdaL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51OJp3sDdaL._SL75_.jpg\";s:6:\"Height\";s:2:\"56\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51OJp3sDdaL._SL110_.jpg\";s:6:\"Height\";s:2:\"82\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51OJp3sDdaL._SL160_.jpg\";s:6:\"Height\";s:3:\"119\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51OJp3sDdaL.jpg\";s:6:\"Height\";s:3:\"373\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Y1VEAWRjL._SL30_.jpg\";s:6:\"Height\";s:2:\"21\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Y1VEAWRjL._SL75_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51Y1VEAWRjL._SL75_.jpg\";s:6:\"Height\";s:2:\"53\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51Y1VEAWRjL._SL110_.jpg\";s:6:\"Height\";s:2:\"77\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51Y1VEAWRjL._SL160_.jpg\";s:6:\"Height\";s:3:\"113\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51Y1VEAWRjL.jpg\";s:6:\"Height\";s:3:\"352\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"Malone Auto Racks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"MPG117MD\";}s:5:\"Color\";s:4:\"gray\";s:10:\"Department\";s:24:\"Storage & Transportation\";s:3:\"EAN\";s:13:\"0859557001721\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0859557001721\";}s:7:\"Feature\";a:4:{i:0;s:75:\"E-coated, corrosion-resistant steel construction holds up to years of abuse\";i:1;s:81:\"Universal JAWZ mounting hardware fits round, square, and factory oval cross rails\";i:2;s:126:\"Set comes with bow and stern safety tie-downs, two 12-foot cam buckle straps, and both 60mm and 70mm pre-coated mounting bolts\";i:3;s:49:\"Includes limited lifetime manufacturer\'s warranty\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"600\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:4:\"1230\";s:5:\"Width\";s:4:\"1600\";}s:5:\"Label\";s:17:\"Malone Auto Racks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"11995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$119.95\";}s:12:\"Manufacturer\";s:17:\"Malone Auto Racks\";s:5:\"Model\";s:8:\"MPG117MD\";s:3:\"MPN\";s:8:\"MPG117MD\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"625\";s:6:\"Length\";s:4:\"2350\";s:6:\"Weight\";s:4:\"1240\";s:5:\"Width\";s:4:\"1650\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"MPG117MD\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Malone Auto Racks\";s:11:\"ReleaseDate\";s:10:\"2011-01-17\";s:3:\"SKU\";s:7:\"CW40943\";s:6:\"Studio\";s:17:\"Malone Auto Racks\";s:5:\"Title\";s:80:\"Malone J-Pro 2 J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines\";s:3:\"UPC\";s:12:\"859557001721\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"859557001721\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"10795\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$107.95\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004KI3FP0%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004KI3FP0\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"52BghSlQifOJpmWaIMzfE8UV1u6%2F532Ss3LZQxgBxDHO6qG1JX7Lj%2FnUVZyQCqpLRiiJWlhMrE0%2By4sRfPicOaHTSY9xujvo7Gy45qOQJFwRIO43GXszKQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"10795\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$107.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1200\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$12.00\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:200:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004KI3FP0&atag=freetos-20&exp=2013-06-15T18%3A47%3A33Z&v=2&sig=qwkb7ah4a%2Fs19vOOyHpHOsoWyu%2Fd7b%2FuBzjyV%2BRP4Gg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:157:\"The oversized padding helps protect the boat once strapped down. The Malone universal JAWZ mounting hardware fits round, square and factory oval cross rails.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1899:\"Malone\'s broad line of kayak carriers provides a solution for specific transport needs regardless of what type of boats you\'re transporting, how often you travel to the water, or how long it takes you to get there. The company invented the JAWZ universal fit mounting system, allowing its carriers to fit on virtually any factory-installed or after market cross bar system. <p>  E-coated, corrosion-resistant steel construction holds up to years of abuse, while oversized padding helps protect the boat once strapped down. Universal JAWZ mounting hardware fits round, square, and factory oval cross rails. <p> The set includes bow and stern safety tie-downs, two 12-foot cam buckle straps, and both 60mm and 70mm pre-coated mounting bolts, and is easy to assemble or transfer to another vehicle in minutes with no tools required <p> <b>Lifetime Warranty</b><br> Malone kayak and canoe carriers include a limited lifetime manufacturer\'s warranty against defects in materials and workmanship. <p> <b>About Malone Auto Racks</b><br> Malone Auto Racks is the fastest growing rack accessory company in North America, with more than 10 years of industry leadership and innovation. The company\'s products are sold in the United States, Canada, Australia, and Europe. <p> Headquartered in Maine, Malone creates products built to enhance enjoyment of rivers, lakes, and oceans, while minimizing carbon footprints through aerodynamic transport design and complete material recycling. The company can be credited with a number of innovative industry firsts, including:<br> <ul> <li>First J-style kayak carrier <li>First unique \"boarding ramp\" on a J-style carrier <li>First universal fit system allowing consumer to mount Malone products on any type of cross rail <li>First corrosion-free injection molded composite carrier that will \"flex to fit\" your watercraft, providing added protection and security </ul>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2534", "397", "asg_product_details", "a:3:{s:15:\"Shipping Weight\";s:10:\"4.5 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:4:\"ASIN\";s:10:\"B002IAFFVO\";}");
INSERT INTO `wp_postmeta` VALUES("2535", "397", "asg_star_rating", "3.8");
INSERT INTO `wp_postmeta` VALUES("2536", "397", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:13:\"Hully Rollers\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 18, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1BXVQ6IQMXQKL\";s:4:\"name\";s:27:\"William R. Heuser \"Kayaker\"\";s:7:\"address\";s:15:\"Cleveland, Ohio\";}s:4:\"text\";s:591:\"I purchased the Hully Rollers to take the place of a rear kayak saddle. I was having difficulty putting my wooden kayak on to my van. I thought that the Hully Rollers would make it easier to load. I didn\'t find that the effort was that much less using the Hully Rollers. The saddles worked as well as the rollers if I put a carpet over the back of the van and on to the saddles. I have to be more careful with the Hully Rollers so I don\'t run off them and drop the boat. I didn\'t have that problem with the saddles. if I had to do it over again, I\'d just be happy with the saddles.<br />Bill\";}i:1;a:5:{s:5:\"title\";s:30:\"Thumbs up but so far more Down\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"April 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A172JMTIOTWXEH\";s:4:\"name\";s:5:\"Dooly\";s:7:\"address\";s:14:\"Houston, Texas\";}s:4:\"text\";s:2954:\"Great concept but the mounting clips are made of plastic, i.e very cheap and the price is a little excessive for that reason. Also, the mounting equipment only hand tightens and no matter how tight you think you are getting it they tend to slip, i.e twist or rotate around the bar, from the weight (only 65lbs) and force of pushing the kayak up onto them. From my experience this is in combination with the round bar from Yakima but I have heard wrapping some black electrical tape around the bar underneath the clips will help. I would recommend Yakima include some foam tape for this purpose or figure out some other method of insuring this doesn\'t happen. Perhaps using some other type bar such as a square design would eliminate this issue but I bought Yakima Brand bar so I certainly did not expect this.<br /><br /> Moving on...<br /><br /> I decided to use the locking mechanism (sold separately) and in the instructions it states to use a hex head bolt rather than the original hardware; unfortunately this hex head bolt isn\'t included. Furthermore, the instructions do not indicate what length hex head bolt to get, only the diameter 5/16\". They have a rather poor illustration that certainly does not indicate length only that it has the hex head. So I took the carriage bolt (original hardware) to the local hardware store and found the length to be 2 1/4\". I was unable to find a 2 1/4\" hex head bolt so I used a 2\" instead. My point is...include whatever hardware is necessary for this to function correctly or at least correct the directions; again especially for the price. I realize this isn\'t part of the hullyroller product per say but it is an accessory for it so I am including it just in case someone else is also thinking along those lines.<br /> It took me an honest hour or so to get these lined up correctly and to get the mounting clips tight enough to not slip but I have very deep concerns they will still fail. I certainly hope that does not happen and especially does not happen while in transport. Lastly, the wheels could spin a little more freely but I can see how you don\'t want too much spin so your boat doesn\'t move too quickly and potentially cause loss of control so, I will let that one slide.<br /><br />For the price Yakima commands and the reputation I thought they had, I would expect more. As I mentioned in the beginning, it is a great concept but it needs a little more thought to the design. The ability to lock the wheels is nice so the boat doesn\'t continue to roll but I would not expect to have the problems and doubts right from the start that I have. Hopefully Yakima listens to their customers and I guess only time will tell how well they actually perform; that is if I decide to keep them. I feel that I have too much invested in this system to not give it at least an honest evaluation so stay tuned and wish me luck!<br /><br />Sincerely,<br /> An honest customer with a lot ridding on Yakima :)\";}i:2;a:5:{s:5:\"title\";s:19:\"Rockin\' and Rollin\'\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 18, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1MB3KYDTRN95O\";s:4:\"name\";s:11:\"conni blair\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:411:\"I purchased a set of Yakima Hully rollers for the back of my Santa Fe and a set of saddles for the front and was amazed how easy it was for this old broad to lay my kayak up on the back of my vehicle and roll it up on the back rollers and right into the saddles on the front. When the kayak is tied down properly it stays in place great. Make sure the rollers are unlocked before you roll your kayak up on them.\";}i:3;a:5:{s:5:\"title\";s:57:\"Noisy unless you place something between boat and rollers\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"June 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ADEZPLZP1C4W4\";s:4:\"name\";s:7:\"J. Keay\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:947:\"I bought the hully rollers, Yakima Mako saddles, and Yakima Showboat roller loader from a local dealer who installed the whole thing for me. As a 69-year-old 5\'3\" woman, loading a kayak onto an Outback, I needed as much help as I could get. The Showboat helps me roll the kayak up to the roof and the hully rollers help roll the kayak forward to the saddles. I have square bars so the rollers stay in place *but* I have only recently found a way to keep them from being very noisy while driving. The problem has been that, even with the kayak tied down with two straps crosswise, the hully rollers vibrate against the bottom of the hull of my kayak and set up a terrible noise. Very aggravating. The other day I finally found a way to keep them quiet! I placed a piece of thick foam between my kayak\'s hull and both hully rollers *and* tied down the stern with a strap from the boat\'s stern handle down to the hook under my Outback. Peace at last!\";}i:4;a:5:{s:5:\"title\";s:16:\"Make life easier\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 14, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2MVFCOKH25HDL\";s:4:\"name\";s:11:\"King Skwirl\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:110:\"Quick to install, and oh so nice for a self load. Get the Mako saddle in the front and this in the back, done.\";}i:5;a:5:{s:5:\"title\";s:13:\"Hully Rollers\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"September 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2BD4U6N5JURER\";s:4:\"name\";s:23:\"Clair D. Strutt \"Clair\"\";s:7:\"address\";s:16:\"Orlando, Florida\";}s:4:\"text\";s:276:\"I love this gadet for my canoe rack. It makes loading a large<br />canoe very easy. My only complaint is that the locks are<br />hard to unlock but I suppose it will wear with time and<br />become easier to lock and unlock.<br />It was simple to install...even for a woman lol\";}i:6;a:5:{s:5:\"title\";s:63:\"Yakima HullyRoller Rooftop Kayak Carrier with Straps with Strap\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:15:\"August 30, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/AR5KLW8TVWFG\";s:4:\"name\";s:16:\"Margaret Mattson\";s:7:\"address\";s:28:\"Ronan, Montana United States\";}s:4:\"text\";s:243:\"I don\'t like the product because it is hand tightened,not wrench tightened. That means the rollers come off the boat as you are rolling it off; right when you need them, they fail. The idea is good but the final product is not what you expect.\";}i:7;a:5:{s:5:\"title\";s:10:\"Not a fan.\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"June 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1FX4PKY3NU25S\";s:4:\"name\";s:20:\"John Stovall \"moose\"\";s:7:\"address\";s:13:\"Clifton Texas\";}s:4:\"text\";s:282:\"The concept seems good except that the rollers bind on the narrow part of my Kayak. I think they would work well on a flat bottomed or straight lined hull but not on the sleek boats. I sent them back and got another set of mako aeros. They work great sliding the kayak onto my rack.\";}i:8;a:5:{s:5:\"title\";s:63:\"Awesome product for getting a kayak on the roof of our Odyssey!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 30, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3O7BNVJLLQAPD\";s:4:\"name\";s:10:\"GaExplorer\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:160:\"Installed quickly and securely. Perfect for getting our kayak onto the roof of our Odyssey. Ease of use will help us take more spontaneous trips with the kayak.\";}i:9;a:5:{s:5:\"title\";s:41:\"My favorite Christmas present - to myself\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A6IF1T6MPB4BN\";s:4:\"name\";s:12:\"S. C. Fisher\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:406:\"We replaced J racks with these to make loading and unloading easier and more safe. They work like a charm! We are so pleased - and it has increased our kayaking because the process is easier. One amusing and unexpected feature - we can now drive our Outback into the garage with the kayaks loaded since these racks add less height than J racks and the kayaks sit flat instead of on their side - we love it!\";}}");
INSERT INTO `wp_postmeta` VALUES("2516", "395", "asg_product_details", "a:3:{s:11:\"Item Weight\";s:10:\"100 pounds\";s:15:\"Shipping Weight\";s:10:\"100 pounds\";s:4:\"ASIN\";s:10:\"B006Y8E0NA\";}");
INSERT INTO `wp_postmeta` VALUES("2517", "395", "asg_star_rating", "4.9");
INSERT INTO `wp_postmeta` VALUES("2518", "395", "asg_customer_reviews", "a:7:{i:0;a:5:{s:5:\"title\";s:13:\"Great Product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 20, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2NNNQXC7PG9Z8\";s:4:\"name\";s:7:\"EmmaJay\";s:7:\"address\";s:35:\"Newton, New Hampshire United States\";}s:4:\"text\";s:1071:\"I purchased 2 of these for my husband and me for our anniversary. It was money well spent!! I\'ve never kayaked in my life, and just wanted something simple to try. The RAVE Sports Sea Rebel Kayak is everything proclaimed to be. I love it!.<br />Product comes nicely bundled in the carry bag, so you know how to repack it when traveling. The hand pump inflated it in about 5 minutes, and the paddles were simple to connect but very sturdy. Getting on and off the kayak is easy, and the \"ride\" is smooth and steady; no fear of tipping over! We inflated them at home, put them in the back of the truck, drove a few miles to the lake, and off we paddled! The bag and beverage holder attached to the removable seat is a nice feature too.<br />I don\'t think they are well-suited for ocean kayaking, but for a lake or lazy river, it\'s perfect! I don\'t remember if it was in the description, but there is a 200 lb. weight limit, so keep that in mind.<br />I highly recommend this kayak for beginners, or for someone who just wants to paddle around and explore. Great workout too!\";}i:1;a:5:{s:5:\"title\";s:9:\"Great Fun\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"January 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3EAAZW1MK95WS\";s:4:\"name\";s:11:\"Maria Scott\";s:7:\"address\";s:15:\"ATLANTA, GA, US\";}s:4:\"text\";s:589:\"I am so glad I bought this. It is a great value. The Kayak was shorter than I expected and feels more like a raft than a true Kayak, but it works great. I bought two and we have ridden them in tidal creeks and a river. You do get your bottom wet when you sit in it, but the water soon becomes body temperature and becomes unnotisable. I could not believe how compact it is. We are able to keep it inflated at all times, and it holds the air perfectly. We have not had to add air since we blew it up three weeks ago. Also, blowing it up was very easy. The pump that is included works great.\";}i:2;a:5:{s:5:\"title\";s:11:\"great kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A24JXR3M5EC40B\";s:4:\"name\";s:12:\"D. Macdonald\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:341:\"got this last month and been going out every week to the lake. very easy to inflate and worth the money. fits back into the bag no problem. i wish the the sides were a bit taller to make the kayak sturdier. ive taken it to the ocean and holds up fine on light waves but any bigger i wouldnt do on this. get this for a fun leisure kayak ride.\";}i:3;a:5:{s:5:\"title\";s:4:\"Gift\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ABF3RPL9B6UGT\";s:4:\"name\";s:10:\"kim demyan\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:105:\"Brother in law just bought a beach house , space is limited so this was a great option. He just loves it!\";}i:4;a:5:{s:5:\"title\";s:27:\"Rave Sports Sea Rebel Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A19W58VJKM8S7A\";s:4:\"name\";s:12:\"Londonlady61\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:241:\"The kayak was received in record time and in excellent condition. It surpasses my expectations as far as easy of paddling and stability. I\'m am extremely pleased with this product, it certainly deserves the excellent reviews it has received.\";}i:5;a:5:{s:5:\"title\";s:39:\"NICE ! Best price is in the link below.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 5, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2I6JYV5HCBTAA\";s:4:\"name\";s:11:\"G.J. Thomas\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:356:\"Nice kayak. Love it. I dont know much about kayaks but this was a beautiful gift. The yellow is an eye catcher.<br /><br />The best price is linked below (copy and paste if the link doesn\'t work)<br /><br />http://www.amazon.com/gp/product/B004K6U9Q0/ref=as_li_ss_tl?ie=UTF8&camp=1789&creative=390957&creativeASIN=B004K6U9Q<br />0&linkCode=as2&tag=cts07-20\";}i:6;a:5:{s:5:\"title\";s:48:\"Ten year old Granddaughter, not tipped over yet!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AP0XS88W0ZGIT\";s:4:\"name\";s:33:\"Rebecca Bailey \"Tarrah Labradors\"\";s:7:\"address\";s:30:\"orlando, florida United States\";}s:4:\"text\";s:143:\"Ammi loves her kayak. She rows round and round her family<br />on their separate kayaks and has total control. Thanks for<br />a great product.\";}}");
INSERT INTO `wp_postmeta` VALUES("2519", "395", "asg_last_refresh_attempt", "1371235646");
INSERT INTO `wp_postmeta` VALUES("2520", "395", "asg_update_timestamp", "1371235646");
INSERT INTO `wp_postmeta` VALUES("2521", "396", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2522", "396", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2523", "396", "asg_item_id", "B0047XTT5I");
INSERT INTO `wp_postmeta` VALUES("2524", "396", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0047XTT5I\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/AIRHEAD-AHTK-P3-Asymetrical-Paddle-Section/dp/B0047XTT5I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0047XTT5I\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/AIRHEAD-AHTK-P3-Asymetrical-Paddle-Section/dp/tech-data/B0047XTT5I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047XTT5I\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0047XTT5I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047XTT5I\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0047XTT5I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047XTT5I\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0047XTT5I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047XTT5I\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0047XTT5I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047XTT5I\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0047XTT5I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047XTT5I\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0047XTT5I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047XTT5I\";}}}s:9:\"SalesRank\";s:5:\"35873\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL._SL160_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL._SL30_.jpg\";s:6:\"Height\";s:1:\"3\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL._SL110_.jpg\";s:6:\"Height\";s:2:\"11\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL._SL160_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/214KGhZgLsL.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Airhead\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"AHTK-P3\";}s:5:\"Color\";s:5:\"black\";s:3:\"EAN\";s:13:\"0737826032631\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737826032631\";}s:7:\"Feature\";a:4:{i:0;s:77:\"AIRHEADS 86 inch Kayak paddle breaks down into 4 sections for compact storage\";i:1;s:143:\"The blades a asymmetrical to equalise the force on both sides of the blade when paddling, which in turn results in less twisting of the blades.\";i:2;s:99:\"The high impact plastic blades are lightweight and reinforced with fiberglass for added durability.\";i:3;s:130:\"Blade angles are adjustable with a simple release of the spring loaded pin and a twist of the lightweight anodized aluminum shaft.\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"300\";}s:5:\"Label\";s:8:\"Kwik Tek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3998\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.98\";}s:12:\"Manufacturer\";s:8:\"Kwik Tek\";s:36:\"ManufacturerPartsWarrantyDescription\";s:5:\"Parts\";s:5:\"Model\";s:7:\"AHTK-P3\";s:3:\"MPN\";s:7:\"AHTK-P3\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"50\";s:6:\"Length\";s:4:\"2500\";s:6:\"Weight\";s:3:\"240\";s:5:\"Width\";s:4:\"1000\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"AHTK-P3\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Kwik Tek\";s:11:\"ReleaseDate\";s:10:\"2010-11-01\";s:3:\"SKU\";s:7:\"2084132\";s:6:\"Studio\";s:8:\"Kwik Tek\";s:5:\"Title\";s:58:\"AIRHEAD AHTK-P3 Asymetrical Blade Kayak Paddle (4 Section)\";s:3:\"UPC\";s:12:\"737826032631\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737826032631\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2687\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$26.87\";}s:8:\"TotalNew\";s:2:\"40\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0047XTT5I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0047XTT5I\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"vZX%2BzVuVz1TIG3u2erLaWS3ufwadKsUICjZX9%2B0ogtbB%2BCYWaak2dCfV2lvjcomlTFLBKt6elBawT9vNkh48MmF2ANWx1kXXcBYPnKgu25mg2dOo0VnckA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3399\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$33.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.99\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0047XTT5I&atag=freetos-20&exp=2013-06-15T18%3A47%3A26Z&v=2&sig=zUxoRNTQpTdo5UOoPTnZ43zcwwwJl1XKeWaUtOf%2Fkq0%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:23:\"AIRHEAD P3 KAYAK PADDLE\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2525", "396", "asg_product_details", "a:6:{s:11:\"Item Weight\";s:8:\"3 pounds\";s:15:\"Shipping Weight\";s:10:\"2.4 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0047XTT5I\";s:17:\"Item model number\";s:7:\"AHTK-P3\";}");
INSERT INTO `wp_postmeta` VALUES("2526", "396", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("2527", "396", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:22:\"Great Customer Service\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UQSXRJV0FGB0\";s:4:\"name\";s:8:\"Brian R.\";s:7:\"address\";s:17:\"OR, United States\";}s:4:\"text\";s:458:\"The first one purchased was used 4 or 5 times and developed a crack between the three feathering adjustment holes. I ended up breaking it in half the same run I noticed the crack (haven\'t used it for any real white water, calm rivers and lakes).<br />I contacted customer support, they were very helpful. I provided the details and filled out the RMA form. 2 weeks later I had a new paddle in the mail.<br />Haven\'t had any problems with the new one. Thanks!\";}i:1;a:5:{s:5:\"title\";s:12:\"Panic Paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A10Z8FC0SMU5VQ\";s:4:\"name\";s:18:\"Dorraine M. Rooney\";s:7:\"address\";s:17:\"Wesley Chapel, FL\";}s:4:\"text\";s:404:\"This was bought as a spare paddle to carry with me...though I did have to put it together and try it out:)<br /><br />It is light and works well...in the store I saw the same paddle for $150, glad for Amazon...they help make kayaking affordable<br /><br />Great Product/ Great Price<br /><br />If you want to see this in use- pictures and video will be available after february 2012 on sunshinepaddle.com\";}i:2;a:5:{s:5:\"title\";s:14:\"Glad I got it!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 21, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A24PPONY5SOD2T\";s:4:\"name\";s:13:\"D.M. Hornikel\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:301:\"I bought this in conjunction with the Sevylor QuikPak K5 Inflatable Kayak. The reviews for it panned the included paddle, so I jumped the shark and bought an additional one. This one actually breaks down shorter than the one that Sevylor provides and therefore easier to pack along. A very good value!\";}i:3;a:5:{s:5:\"title\";s:27:\"Inexpensive and lightweight\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:11:\"May 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3EZTXDK1YP3BQ\";s:4:\"name\";s:10:\"Vintagedog\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:171:\"Excellent paddle for the price. Have used it for sea kayaking in strong wind and class 2 rivers. I feel like I should get a more expensive one but this one is doing great!\";}i:4;a:5:{s:5:\"title\";s:13:\"great paddles\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 26, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AT73691M6W7MD\";s:4:\"name\";s:14:\"Laurin R Ashby\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:118:\"Easy to assemble and use. Nice and sturdy. Had no problems with them in a recent canyoneering trip in the Grand Canyon\";}i:5;a:5:{s:5:\"title\";s:16:\"Terrible Product\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:14:\"April 20, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A53EJDILZUYP1\";s:4:\"name\";s:7:\"J. Ogul\";s:7:\"address\";s:13:\"Frederick, MD\";}s:4:\"text\";s:159:\"Tried to use paddle to exit kayak and the shaft bent. Tried to straighten it and it broke in two. Total loss on first try. Very disappointed with this product.\";}i:6;a:5:{s:5:\"title\";s:30:\"Compact but not so comfortable\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"January 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3LB1CD5NFVNAI\";s:4:\"name\";s:15:\"Dante \"czarnaz\"\";s:7:\"address\";s:4:\"Bali\";}s:4:\"text\";s:500:\"I bought these paddles for light-use paddling with sea kayaks. While they are handy to travel with (they are extremely light and break down into four short pieces), they are not so comfortable to paddle with as they tend to turn in your palm. They could use some kind of grip to avoid this. They are also a bit short for sea kayaks, so we gave them to our children to use and they were happy with them although they preferred to use our other paddles with the rubber grips for the same reason we did.\";}i:7;a:5:{s:5:\"title\";s:18:\"Great spare paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 15, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AC69OG4FX6M0P\";s:4:\"name\";s:14:\"Kathi \"Kayaks\"\";s:7:\"address\";s:9:\"Wisconsin\";}s:4:\"text\";s:489:\"Although I have not yet used this paddle on the water, I am pleased with my purchase. It easily disassembles into 4 sections, is adjustable for feathering, and seems sturdy but fairly light. The shaft is not overly thick, and fits my small hands easily,which is great since my main paddle is a narrow shaft werner little dipper. Good quality for the price. The only negative is that the drip rings seem a little loose; we\'ll see what happens in the water. Still very happy with my purchase\";}i:8;a:5:{s:5:\"title\";s:44:\"The Kwik Tek 220 cm Asymetrical Blade Paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"September 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2KQP8PPFB08D1\";s:4:\"name\";s:36:\"Larry T. Spencer \"just keep walking\"\";s:7:\"address\";s:14:\"Holderness, NH\";}s:4:\"text\";s:419:\"For the price, this is a very usable paddle. Although it comes in four parts, when the parts are put together, the paddle feels sturdy and usable on quiet water (such as a lake or pond). If you paddle often or on rivers/oceans, you might want a heftier paddle, but for my occasional use, this paddle fits my needs very well. I really do like being able to take the paddle apart for storage in our car and in our closet.\";}i:9;a:5:{s:5:\"title\";s:16:\"OK for the price\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"September 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3J8PV5CDAOTM6\";s:4:\"name\";s:3:\"lwb\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:196:\"Definitely light duty made of thin tubing. The sections fit together well and the product seems to be well made but be aware that it\'s for light recreational use or as an emergency back-up paddle.\";}}");
INSERT INTO `wp_postmeta` VALUES("2528", "396", "asg_last_refresh_attempt", "1371235648");
INSERT INTO `wp_postmeta` VALUES("2529", "396", "asg_update_timestamp", "1371235648");
INSERT INTO `wp_postmeta` VALUES("2530", "397", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2531", "397", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2532", "397", "asg_item_id", "B002IAFFVO");
INSERT INTO `wp_postmeta` VALUES("2533", "397", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B002IAFFVO\";s:10:\"ParentASIN\";s:10:\"B002IAFFVO\";s:13:\"DetailPageURL\";s:194:\"http://www.amazon.com/Yakima-Hully-Rollers/dp/B002IAFFVO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB002IAFFVO\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:204:\"http://www.amazon.com/Yakima-Hully-Rollers/dp/tech-data/B002IAFFVO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAFFVO\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB002IAFFVO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAFFVO\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB002IAFFVO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAFFVO\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB002IAFFVO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAFFVO\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B002IAFFVO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAFFVO\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B002IAFFVO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAFFVO\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B002IAFFVO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002IAFFVO\";}}}s:9:\"SalesRank\";s:5:\"30544\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL160_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL.jpg\";s:6:\"Height\";s:3:\"275\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL160_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL.jpg\";s:6:\"Height\";s:3:\"275\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL160_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL.jpg\";s:6:\"Height\";s:3:\"275\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:12:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Yakima\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"10004881\";}s:5:\"Label\";s:15:\"Yakima Products\";s:12:\"Manufacturer\";s:15:\"Yakima Products\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"540\";s:6:\"Length\";s:4:\"1110\";s:6:\"Weight\";s:3:\"450\";s:5:\"Width\";s:3:\"810\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:15:\"Yakima Products\";s:3:\"SKU\";s:8:\"10004881\";s:6:\"Studio\";s:15:\"Yakima Products\";s:5:\"Title\";s:20:\"Yakima Hully Rollers\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"8010\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$80.10\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"10750\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$107.50\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B000Q5G82I\";s:10:\"ParentASIN\";s:10:\"B002IAFFVO\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL160_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL.jpg\";s:6:\"Height\";s:3:\"275\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL._SL160_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31r8u6Wb5yL.jpg\";s:6:\"Height\";s:3:\"275\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:6:\"Yakima\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:3:{i:0;s:9:\"100080998\";i:1;s:7:\"8004035\";i:2;s:11:\"YAK_8004035\";}}s:5:\"Color\";s:12:\"With Tiedown\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0736745040352\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0736745040352\";}s:7:\"Feature\";a:5:{i:0;s:74:\"Rooftop kayak carrier with U-shaped rollers for easy loading and unloading\";i:1;s:71:\"Dynaflex rollers pivot to the side to provide convenient loading angles\";i:2;s:74:\"Includes heavy-duty strap with padded buckles and pair of bow/stern straps\";i:3;s:75:\"Employs Yakima mako saddles (sold separately) to ensure safety and security\";i:4;s:68:\"Also compatible with most factory crossbars (requires mighty mounts)\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"550\";s:6:\"Length\";s:4:\"1150\";s:6:\"Weight\";s:3:\"444\";s:5:\"Width\";s:3:\"850\";}s:5:\"Label\";s:15:\"Yakima Products\";s:15:\"LegalDisclaimer\";s:491:\"If a customer is unsatisfied with a product, Discount Ramps will accept returns within 30 days from date of purchase. Shipping costs incurred will be deducted from the refund amount. If an item had free shipping, the actual shipping cost will be deducted from the refund. No returns are accepted after 30 days. Discount Ramps does not accept returns on items with obvious signs of use or abuse, items returned missing parts, or items damaged by pets. *Items do not include mounting hardware*\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"9900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$99.00\";}s:12:\"Manufacturer\";s:15:\"Yakima Products\";s:5:\"Model\";s:7:\"8004035\";s:3:\"MPN\";s:12:\"62546.01.100\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"540\";s:6:\"Length\";s:4:\"1100\";s:6:\"Weight\";s:3:\"460\";s:5:\"Width\";s:3:\"810\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"62546.01.100\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:15:\"Yakima Products\";s:11:\"ReleaseDate\";s:10:\"2007-10-08\";s:4:\"Size\";s:5:\"false\";s:3:\"SKU\";s:6:\"581320\";s:6:\"Studio\";s:15:\"Yakima Products\";s:5:\"Title\";s:63:\"Yakima HullyRoller Rooftop Kayak Carrier with Straps with Strap\";s:3:\"UPC\";s:12:\"736745040352\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"736745040352\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:12:\"With Tiedown\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"false\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:112:\"Ku7THQ5gKEaPhS1ejFLlZYF2N7dgCxRFL8Bh%2FUQ14WzHPsZp1Eh2CwzJ7SNMljhY7Y6T1PE6uL5HwiIp1MCFRt1Grxf4XE75hlbTyD31ATQ%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8910\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.10\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"990\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.90\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B002IAFFVO&atag=freetos-20&exp=2013-06-15T18%3A47%3A28Z&v=2&sig=UOurtERkUnFQ8IfJoyLUQyPYxBq9gDUgbWnIYi28AJI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:2000:\"HullyRollers have rollers (as you may have already surmised) that make it easy as pie to slide your boat onto your vehicle\'s roof. Combine them with any top of car water product and securing your boat in place is a piece of cake. So with this stellar combination, you\'ve got sweet boat transportation and baked dessert items pretty well covered. * Combines with the Mako Aero Saddles, Mako Saddles, and LandShark Saddles for the ultimate ease of loading. * U-shaped rollers fit many hull shapes * Dynaflex rollers pivot for convenient loading angles * Boats roll on and off effortlessly * Heavy Duty Straps with padded buckles included * Includes Bow/Stern Tie-Down Straps to complete kayak stability * Stainless steel and brass hardware fights corrosion * Fits round and square crossbars * Compatible with factory crossbars (just add Universal MightyMounts or Mighty Mounts (SOLD SEPARATELY)HullyRollers have rollers (as you may have already surmised) that make it easy as pie to slide your boat onto your vehicle\'s roof. Combine them with any top of car water product and securing your boat in place is a piece of cake. So with this stellar combination, you\'ve got sweet boat transportation and baked dessert items pretty well covered. Q: What keeps a boat from rolling off when being carried? A: The Rollers lock in place and do not roll when locked.Q: How many pairs of HullyRollers do I need? A: Two pairs of HullyRollers, or a pair combined with a pair of Mako Saddles, will carry one boat.Q: When should I use a bow/stern tiedown? A: Every time! It is essential to tie a boat\'s ends to the ends of the vehicle to stabilize a boat against the hurricane-force winds created by traveling at highway speed. While any non-elastic tie down that is strong enough can be used, a Bow/Stern Tiedown makes the job easy and takes good care of the car.Q: What type of boat will the HullyRollers carry? A: HullyRollers are intended for any kayak with a rigid hull.Q: What type of material will the HullyRoll\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2483", "391", "asg_last_refresh_attempt", "1371235635");
INSERT INTO `wp_postmeta` VALUES("2484", "391", "asg_update_timestamp", "1371235635");
INSERT INTO `wp_postmeta` VALUES("2485", "392", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2486", "392", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2487", "392", "asg_item_id", "B005T2U9DM");
INSERT INTO `wp_postmeta` VALUES("2488", "392", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B005T2U9DM\";s:13:\"DetailPageURL\";s:203:\"http://www.amazon.com/Gear-Up-Hang-1-Deluxe-Storage/dp/B005T2U9DM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB005T2U9DM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:213:\"http://www.amazon.com/Gear-Up-Hang-1-Deluxe-Storage/dp/tech-data/B005T2U9DM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005T2U9DM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB005T2U9DM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005T2U9DM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB005T2U9DM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005T2U9DM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB005T2U9DM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005T2U9DM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B005T2U9DM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005T2U9DM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B005T2U9DM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005T2U9DM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B005T2U9DM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005T2U9DM\";}}}s:9:\"SalesRank\";s:5:\"16483\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"69\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"146\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"457\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"27\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"69\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"69\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"101\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"146\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41txrEI7kKL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"457\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Gear Up\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"44008\";}s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0666696440089\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0666696440089\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Simple and easy way to store your kayak up off the ground and out of the way\";i:1;s:60:\"Quick-release buckles as well for easy loading and unloading\";i:2;s:13:\"50lb Capacity\";i:3;s:35:\"Use indoors or outdoors   capacity\";i:4;s:36:\"Stainless steel heavy-duty eye bolts\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:5:\"14400\";s:6:\"Length\";s:5:\"14400\";s:5:\"Width\";s:5:\"14400\";}s:5:\"Label\";s:7:\"Gear Up\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.99\";}s:12:\"Manufacturer\";s:7:\"Gear Up\";s:5:\"Model\";s:5:\"44008\";s:3:\"MPN\";s:5:\"44008\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"50\";s:6:\"Length\";s:4:\"1000\";s:6:\"Weight\";s:2:\"80\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"44008\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Gear Up\";s:3:\"SKU\";s:10:\"B005T2U9DM\";s:6:\"Studio\";s:7:\"Gear Up\";s:5:\"Title\";s:48:\"Gear Up Hang-1 Deluxe Kayak Storage Strap, Black\";s:3:\"UPC\";s:12:\"666696440089\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"666696440089\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$17.99\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"1639\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.39\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B005T2U9DM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB005T2U9DM\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"LSY6LvPr9fJZqyljo20Ddqgd6hpCOfbXr9FnVbXz2OBa%2FlaKNnJnMwZ0V07z2vrCuOCbsgZhES9vmREzJEaBJKdU9D1eh4VZ47ekkfmi7csGt1YdaFnWiw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$17.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"200\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.00\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B005T2U9DM&atag=freetos-20&exp=2013-06-15T18%3A47%3A15Z&v=2&sig=%2F6j%2BcJ6V1RsY4kvi1G%2FIJS1eYMRuwprGhzq96B9SMVA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:389:\"The Gear Up Hang-1 kayak storage strap system is a simple and easy way to store your kayak up off the ground and out of the way.  The storage straps are adjustable and also include quick-release buckles as well for easy loading and unloading.  Use indoors or outdoors.  Stainless steel heavy-duty eye bolts are included for you to mount into the ceiling or wall.  50lb weight capacity.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2489", "392", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:22:\"144 x 144 x 144 inches\";s:15:\"Shipping Weight\";s:11:\"12.8 ounces\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:4:\"ASIN\";s:10:\"B005T2U9DM\";s:17:\"Item model number\";s:5:\"44008\";}");
INSERT INTO `wp_postmeta` VALUES("2490", "392", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2491", "392", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:14:\"Great product!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"January 1, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3SKLY4VBVPWOE\";s:4:\"name\";s:16:\"Martin B. Ensign\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:282:\"I love these. I was looking for something to hang my kayaks underneath my deck and came across these. They were easy to install and fairly easy to put the kayaks in. I can do it myself by inserting one end of the kayak into a loop and then lifting the other side and using the clip.\";}}");
INSERT INTO `wp_postmeta` VALUES("2492", "392", "asg_last_refresh_attempt", "1371235638");
INSERT INTO `wp_postmeta` VALUES("2493", "392", "asg_update_timestamp", "1371235638");
INSERT INTO `wp_postmeta` VALUES("2494", "393", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2495", "393", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2496", "393", "asg_item_id", "B006VX40GU");
INSERT INTO `wp_postmeta` VALUES("2497", "393", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B006VX40GU\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Seattle-Sports-Kayak-Cradle-Lock/dp/B006VX40GU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB006VX40GU\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Seattle-Sports-Kayak-Cradle-Lock/dp/tech-data/B006VX40GU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006VX40GU\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB006VX40GU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006VX40GU\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB006VX40GU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006VX40GU\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB006VX40GU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006VX40GU\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B006VX40GU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006VX40GU\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B006VX40GU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006VX40GU\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B006VX40GU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006VX40GU\";}}}s:9:\"SalesRank\";s:5:\"94016\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL.jpg\";s:6:\"Height\";s:3:\"320\";s:5:\"Width\";s:3:\"320\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41HgSBkBfSL.jpg\";s:6:\"Height\";s:3:\"320\";s:5:\"Width\";s:3:\"320\";}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"058424\";}s:3:\"EAN\";s:13:\"0780292584241\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0780292584241\";}s:7:\"Feature\";a:2:{i:0;s:48:\"Secure your boat to our wall cradles or car-tops\";i:1;s:21:\"Fits boats up to 18ft\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"1000\";s:5:\"Width\";s:3:\"700\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3495\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$34.95\";}s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:5:\"Model\";s:6:\"058424\";s:3:\"MPN\";s:5:\"58424\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"250\";s:6:\"Length\";s:4:\"1100\";s:6:\"Weight\";s:3:\"110\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"58424\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:11:\"ReleaseDate\";s:10:\"2012-02-24\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:32:\"Seattle Sports Kayak Cradle Lock\";s:3:\"UPC\";s:12:\"780292584241\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"780292584241\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:1:{s:14:\"FormattedPrice\";s:18:\"Too low to display\";}s:8:\"TotalNew\";s:2:\"15\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B006VX40GU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB006VX40GU\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"mHyIKKuLJ0I1yi2hf%2BY4rVcg4alTzwrw2mMOO0Ct4yZcKTgEi6bDhGuNOdPv0Fsiw0Uj8tb%2FgSxjaMJcZ%2F6Zgd0g41245MBLCyIqkopg2GtDYOJejhqv%2BA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3225\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$32.25\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"270\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$2.70\";}s:15:\"PercentageSaved\";s:1:\"8\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B006VX40GU&atag=freetos-20&exp=2013-06-15T18%3A47%3A18Z&v=2&sig=km0BuX%2BnZGyAJkutrpZmstDRLWsI4NnrTsUOqMiJi6U%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:268:\"Use this Seattle Sports cradle lock to secure your boat to our wall cradles or car-top carriers. With a sheathed 6 mm (appx 1/4 in.) cable and an easy-to-use lock, our kayak cradle lock will give you peace of mind, wherever you store your boat. Fits boats up to 18 ft.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2480", "391", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:18:\"28 x 20 x 4 inches\";s:15:\"Shipping Weight\";s:11:\"21.6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000O3CM2W\";s:17:\"Item model number\";s:8:\"AE1020-Y\";}");
INSERT INTO `wp_postmeta` VALUES("2481", "391", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2482", "391", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:16:\"Inflatable Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 23, 2007\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A13L1USY8RF32D\";s:4:\"name\";s:9:\"BRCoastal\";s:7:\"address\";s:14:\"Cape Cod Mass.\";}s:4:\"text\";s:928:\"I already owned a Sterns Inflatable Kayak IK95 and thoroughly enjoyed it. I wanted to find another one just like it and found the Firefly. It is the perfect match. These small inflatable kayaks have all the features that are needed to enjoy a very comfortable, safe, high quality inflatable for recreational use. I live by some very beautiful freshwater ponds and these inflatables aford me wonderful access to all the nooks and crannies of the pond as well as the privacy of a personal water craft which can be used as a vehicle for paddling as well as a float for sunbathing. Besides all that, they are totally portable and can be taken anywhere in the trunk of your car or even can be checked onboard an airplane. I haven\'t tried it yet, but the firefly\'s tote bag could even be stored in the overhead compartment on a plane.<a href=\"http://www.amazon.com/gp/product/B000O3CM2W\">Advanced Elements FireFly Inflatable Kayak</a>\";}i:1;a:5:{s:5:\"title\";s:19:\"AWESOME small kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 11, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1JP2BP3MXY99A\";s:4:\"name\";s:8:\"e.thelin\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:784:\"this kayak is awesome!!! it is so easy to put together i was shocked. literally a few minutes, if that, to get it inflated. it tracks well in the water and its so light-weight. i could carry this little duffle bag around all day long and not break a sweat [im 5\'-5\" and 110 lbs with no upper body stregnth] if i can carry it around, just about anyone can. not to mention DURABLE. ive already taken this lil puppy down rivers where i had to go over ROCKS. alot of them! you have fantastic water clearance, you could still paddle in 5 inches of water if need be- i did. it might be nice to have a little more cargo/storage, but i wouldnt really expect it with a kayak this size. love love love it. the epitome of inflatable kayaks: easy, super portable, grab-n-go, lightweight, amazing!\";}i:2;a:5:{s:5:\"title\";s:20:\"BEST KAYAK I OWN!!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 24, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A35BM3Q54ZRJGN\";s:4:\"name\";s:20:\"christina j tjoelker\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:499:\"Last year we purchased several kayaks for a family trip. We choose different one\'s for reasons of available, what weight they would support and price. Five different kayaks in all, but this is my favorite it is so comfortable and easy to get in and out of the car, glides through the water beautifully it\'s just wonderful. I should say we are not using it as a sea kayak so I can\'t speak to that but if you are looking for a lake, or gentile flowing river kayak you will be very happy with this one.\";}i:3;a:5:{s:5:\"title\";s:19:\"Perfect first kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AS53VRK78XONO\";s:4:\"name\";s:2:\"LW\";s:7:\"address\";s:16:\"NJ United States\";}s:4:\"text\";s:1558:\"After a great lake vacation with borrowed kayaks I decided to ask for a kayak for my birthday. I needed something light enough for me to carry on my own, and the only non-inflatable kayaks that were light enough were really expensive. I didn\'t want to spend too much money until I was sure I\'d be doing this on a regular basis, so my husband did some research and got me the FireFly.<br /><br />I took it out on the lake near our house today and LOVED it. It\'s perfect. The tracking is not quite as straight as a non-inflatable kayak, but it\'s still pretty good, and it\'s very comfortable. I\'m 5\'7\" with very long legs and I was able to stretch out my legs fully. It inflated with a hand pump in less than 10 minutes (I will probably get that down to 5 minutes once I get the hang of it). Took me about the same amount of time to deflate it and fold it back into the carrying bag (which makes it really easy to carry). It also felt really sturdy.<br /><br />One thing to note, it is wider than non-inflatable kayaks, so make sure you get a long enough paddle. Had I gotten a paddle sized for my height alone it probably would have been too short. My paddle is about 15 cm longer than is recommended for my height, which gives it a good amount of clearance for the width of the kayak. Most places tell you to add 10 cm in length for kayaks over 25\" wide, and this one is 35\" wide.<br /><br />I have a feeling I\'ll be in the market for one of the more expensive non-inflatables sometime next year, but for a beginner kayak it was exactly what I was hoping for.\";}i:4;a:5:{s:5:\"title\";s:12:\"Very pleased\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A20ZDV9ZEESN5K\";s:4:\"name\";s:10:\"Justarasta\";s:7:\"address\";s:30:\"Coral Gables, FL United States\";}s:4:\"text\";s:674:\"This is a fun little kayak.<br /><br />Pros: Easy to unpack, easy to inflate (wish there was some kind of gauge). easy to carry, has some storage, glides pretty well, tracks pretty well; has an fabric outer liner to protect the tubes, reasonably priced.<br /><br />Cons: Catches a bit more wind than a regular kayak; it is impossible to keep the seat upright; tracking skeg came bent.<br /><br />I\'ve had inflatable kayaks before and they were essentially toys. This Firefly is the real deal. I was really and pleasantly surprised that it worked well in the flat and mostly protected waters I used it in. My only problem is now I wonder how much better the next model up is.\";}i:5;a:5:{s:5:\"title\";s:23:\"Fun rather than serious\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"September 7, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21YD9EQ0RMUZU\";s:4:\"name\";s:8:\"Rachelle\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:661:\"Inflates easily with care to balance both sides evenly. My 85kg husband felt a little cramped but said the challenge made him work harder, so that\'s good. Length wise the kayak is short so you yawn left and right but generally go in the right direction. The width of the tubes in the centre provide very good general stability and can handle body weight without bowing into the water. There are handy Velcro straps to hold the paddle to the topside whilst not in use and sturdy attachment/drag handle at the front.<br /><br />Fun and perfectly reasonable for the price. Great for kids and ladies. If you want something more serious you have to spend more bucks.\";}i:6;a:5:{s:5:\"title\";s:55:\"Great for those of us with no roof rack/limited storage\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 10, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3HP7F1XZQ8X8I\";s:4:\"name\";s:9:\"Bonnie M.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:598:\"My husband I were looking to get kayaks, but to buy a roof rack and the kayak racks, along with everything else etc. would have added up to a little over budget. I found this on Amazon and bought two. They inflate quickly with a pump and work great! It took some adjustments figuring out how to get in without a waterfall coming in with me, but after 2-3 tries I figured it out.<br />Your butt sinks a little more than the front of the kayak (obviously) but it still moves great. The best part is that it folds up and comes in a nice carrying bag for easy storage. I would recommend this to anyone!\";}i:7;a:5:{s:5:\"title\";s:28:\"A Kayak I can bring anywhere\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/APWH70T7Y7HKU\";s:4:\"name\";s:7:\"Cheri T\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:514:\"The best part about this kayak is its portability. I have another kayak but it is such a hassle to transport it, that I never use it. This kayak inflates easily and backs easily. The pump I have removes the air so repacking it was simple. It is not as manueverable as my hard shell kayak and may not track as well BUT it works much better than I thought an inflatable device would. I use it on small lakes and streams. It has 2 chambers for safety and came with the attachement you need to use a pump to inflat it.\";}i:8;a:5:{s:5:\"title\";s:48:\"nice for staters, good instructions, very stable\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A23XZ2GDCU7X1F\";s:4:\"name\";s:1:\"c\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:266:\"easy to setup, good instructions, very stable, easy to carry and durable...nice for starters. however it does need a pressure guage, or more instructions on pressure measurement...air lock on valves not easy to engage for inflate/deflate. good product for the price.\";}i:9;a:5:{s:5:\"title\";s:15:\"Poor Investment\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:12:\"June 1, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1R22H58RACN9B\";s:4:\"name\";s:11:\"Arizona Ron\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:457:\"This is a high-priced inner tube. There is no seat or back rest so it is uncomfortable. It is also difficult to get out of. It is difficult to paddle a straight line as the bow moves back and forth with each stroke of the paddle. This kayak would be fine for kids to paddle around in with adult supervision. It is easy to inflate and deflate, and it comes with a good storage and carrying bag. It is very portable and can be carried easily in most vehicles.\";}}");
INSERT INTO `wp_postmeta` VALUES("2471", "390", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:18:\"22 x 13 x 6 inches\";s:15:\"Shipping Weight\";s:10:\"2.7 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000OZJCO6\";s:17:\"Item model number\";s:6:\"MPG152\";}");
INSERT INTO `wp_postmeta` VALUES("2472", "390", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2473", "390", "asg_customer_reviews", "a:8:{i:0;a:5:{s:5:\"title\";s:18:\"Works as expected!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 25, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2H8O3V9L3BLDC\";s:4:\"name\";s:22:\"David C. Sastry \"dave\"\";s:7:\"address\";s:14:\"Folsom, CA USA\";}s:4:\"text\";s:640:\"I bought this product as a cheap way to transport my kayak to local waterways. The only problem I had with it was that you have to be careful about getting debris underneath the foam pads as it could easily scratch your paint. But, if you don\'t really care about that then this is the perfect solution. After using it a couple times I find it pretty quick for getting the kayak on and off the roof. One thing you have to watch is the straps - if the straps outside the car are straight, flat and tight they will vibrate quite loudly even at mediocre speeds. To prevent this, just add a single twist in the strap and you won\'t hear anything.\";}i:1;a:5:{s:5:\"title\";s:29:\"A good car carrier for kayaks\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 27, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A35RTAR9KEWEQ2\";s:4:\"name\";s:13:\"Sigrid Rhodes\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:690:\"We have an inflatable kayak (tandem) and wanted a car top carrier so as not to have to inflate it every time. I only wanted it for short trips. This is a very well made product and it is easy to use. It keeps our kayak from touching the hot roof of the car, if you place it properly. Unfortunately, while in Florida, the roof of the car was very, very hot in the sun. Sometimes the rubber surface on the bottom of the foam blocks melts a bit on the roof and leaves a smear on the roof. They are not scratches, just annoying smears that are difficult to remove later. I suggest you try to have the car in the shade before placing the kayak with the blocks on the roof. A good product indeed!\";}i:2;a:5:{s:5:\"title\";s:22:\"Does what is promised.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 14, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2XJCNH3VPC4VH\";s:4:\"name\";s:28:\"Smart Suzie \"Frugal Shopper\"\";s:7:\"address\";s:8:\"Michigan\";}s:4:\"text\";s:440:\"An affordable way to transport a kayak until something more permanent can be arranged. Short distance hauling is no problem. Would not consider anything further than an hour away from home. The blocks slide about and finding stable ways to tie down the bow and stern can be a challenge (DO tie down at both ends). The straps are sufficient but not heavy duty. The kit is very convenient and does save money over purchasing items separately.\";}i:3;a:5:{s:5:\"title\";s:26:\"Malone Delux Kayak Carrier\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 27, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3Q8FR1ZUIZT4O\";s:4:\"name\";s:12:\"Mark Dierkes\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:274:\"Great product for good price. Does everything as expected. I have a club cap Silverado with folding tonneau cover and I put 2 kayaks on the tonneau and this kayak carrier kit does just fine by holding kayak to foam rubber blocks and the extra straps hold kayak to truck bed.\";}i:4;a:5:{s:5:\"title\";s:24:\"Much cheaper than a rack\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"January 3, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A4T4DZ1RYX5VY\";s:4:\"name\";s:8:\"Kennyart\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:597:\"My car doesn\'t have a rack and the ones I looked at were a lot more then I wanted to pay. This product solved that problem. Easy to hook up and holds my kayak solid on the car. I did make one modification by adding some rubber tubing to the hooks on the front and back bumper straps to avoid scratching the paint on my car. Easily done. Another thing that I noticed is, make sure that each strap has at least one half twist between the car and the kayak otherwise they will vibrate in the wind. Another easy thing to do. I used them all summer and expect to use them again next summer. I am happy.\";}i:5;a:5:{s:5:\"title\";s:11:\"Did the job\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:48:\"http://www.amazon.com/gp/pdp/profile/AZ273LB8ODP\";s:4:\"name\";s:2:\"Ks\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:769:\"Not as simple as it appeared. Lugged my kayak for a one time trip of about 110 miles and doing top speed of ~70 mph with absolutely no problem at all . It look my dad and I about an hour to secure everything on his SUV which has a roof rack . The 18\" foam pads are a bit too short, it was barely long enough for my kayak, but this was my fault since I bought the kit before I even received my kayak. I had to use a noodle floatation pool toy to help it along on the roof just in case the kayak tips or lean to one side. Thank goodness it didn\'t do that. Eventually I will have to do it again with my car which does not have a roof rack for short trips to near by lakes. Hope all goes well then. I will update this review as soon as I make those short trips with my car.\";}i:6;a:5:{s:5:\"title\";s:47:\"Great kit for securing a kayak to your vehicle!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 16, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A35JDKJM2SVNPP\";s:4:\"name\";s:8:\"R. Smith\";s:7:\"address\";s:8:\"New York\";}s:4:\"text\";s:338:\"I used this kit to secure a 9.5 foot kayak to the top of my Pontiac Grand Am. It worked beautifully! Kayak was secure for the entire 30 min. ride, up to 55 mph. Very easy to use and recommended for anyone without racks. I have just upgraded to malone racks, as I have a trailblazer now. I still use all the straps that came with this kit.\";}i:7;a:5:{s:5:\"title\";s:44:\"Best inexpensive car-top protector I\'ve used\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 20, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1MUW1KX6DMUPF\";s:4:\"name\";s:11:\"W. Chambers\";s:7:\"address\";s:13:\"Fort Bragg CA\";}s:4:\"text\";s:804:\"Fits onto the car top rack on the old Ford Explorer locking into place around the crossbars. I have used it almost daily for 3 months and so far it\'s kept the kayak secure. Loading is simple and so far no damage to the vehicle or kayak. The coated foam is hardy enough that it won\'t rip pushing an 80 pound sandy-bottomed kayak up on it. Comes with a sturdy tie down system using 4 nylon straps with heavy duty buckles that let you hook up anything from a smaller car to a large SUV with or without a car-top rack system.<br />Bottom line; if you carry a kayak or canoe on a vehicle and wondering about an inexpensive way to get it to the ocean or lake you need this. Be aware that if you have to haul a long distance (over 200 miles) you will need to reload your boat to make sure the straps don\'t fray.\";}}");
INSERT INTO `wp_postmeta` VALUES("2474", "390", "asg_last_refresh_attempt", "1371235633");
INSERT INTO `wp_postmeta` VALUES("2475", "390", "asg_update_timestamp", "1371235633");
INSERT INTO `wp_postmeta` VALUES("2476", "391", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2477", "391", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2478", "391", "asg_item_id", "B000O3CM2W");
INSERT INTO `wp_postmeta` VALUES("2479", "391", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000O3CM2W\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Advanced-Elements-FireFly-Inflatable-Kayak/dp/B000O3CM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000O3CM2W\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Advanced-Elements-FireFly-Inflatable-Kayak/dp/tech-data/B000O3CM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000O3CM2W\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000O3CM2W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000O3CM2W\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000O3CM2W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000O3CM2W\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000O3CM2W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000O3CM2W\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000O3CM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000O3CM2W\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000O3CM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000O3CM2W\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000O3CM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000O3CM2W\";}}}s:9:\"SalesRank\";s:5:\"69340\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL._SL75_.jpg\";s:6:\"Height\";s:2:\"32\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL._SL160_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL.jpg\";s:6:\"Height\";s:3:\"213\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL._SL30_.jpg\";s:6:\"Height\";s:2:\"13\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL._SL75_.jpg\";s:6:\"Height\";s:2:\"32\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL._SL75_.jpg\";s:6:\"Height\";s:2:\"32\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL._SL110_.jpg\";s:6:\"Height\";s:2:\"47\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL._SL160_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41sW-Ju%2BQPL.jpg\";s:6:\"Height\";s:3:\"213\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41-ffY6qwYL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41-ffY6qwYL._SL75_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41-ffY6qwYL._SL75_.jpg\";s:6:\"Height\";s:2:\"49\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41-ffY6qwYL._SL110_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41-ffY6qwYL._SL160_.jpg\";s:6:\"Height\";s:3:\"104\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41-ffY6qwYL.jpg\";s:6:\"Height\";s:3:\"326\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41vep4f9niL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41vep4f9niL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41vep4f9niL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41vep4f9niL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41vep4f9niL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41vep4f9niL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416zMSyYSKL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416zMSyYSKL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/416zMSyYSKL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416zMSyYSKL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/416zMSyYSKL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/416zMSyYSKL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41PV%2BK63QHL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41PV%2BK63QHL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41PV%2BK63QHL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41PV%2BK63QHL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41PV%2BK63QHL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41PV%2BK63QHL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:5;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41wvet8zBDL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41wvet8zBDL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41wvet8zBDL._SL75_.jpg\";s:6:\"Height\";s:2:\"59\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41wvet8zBDL._SL110_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41wvet8zBDL._SL160_.jpg\";s:6:\"Height\";s:3:\"126\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41wvet8zBDL.jpg\";s:6:\"Height\";s:3:\"394\";s:5:\"Width\";s:3:\"500\";}}i:6;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41mDMdfyPaL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41mDMdfyPaL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41mDMdfyPaL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41mDMdfyPaL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41mDMdfyPaL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41mDMdfyPaL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"ADVANCED ELEMENTS\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"AE1020-Y\";}s:3:\"EAN\";s:13:\"0832994000434\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0832994000434\";}s:7:\"Feature\";a:4:{i:0;s:67:\"Built-in rigid panels define the bow and stern and improve tracking\";i:1;s:64:\"A unique outer cover provides durability in a lightweight design\";i:2;s:71:\"Twistlok valves and a high flow Spring valve allow for quick setup time\";i:3;s:50:\"Landing plate and tracking fin improve performance\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"2800\";s:5:\"Width\";s:4:\"2000\";}s:5:\"Label\";s:17:\"Advanced Elements\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"23999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$239.99\";}s:12:\"Manufacturer\";s:17:\"Advanced Elements\";s:5:\"Model\";s:8:\"AE1020-Y\";s:3:\"MPN\";s:8:\"AE1020-Y\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"600\";s:6:\"Length\";s:4:\"2780\";s:6:\"Weight\";s:4:\"2165\";s:5:\"Width\";s:4:\"2080\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"AE1020-Y\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Advanced Elements\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:9:\"WNAE1020Y\";s:6:\"Studio\";s:17:\"Advanced Elements\";s:5:\"Title\";s:42:\"Advanced Elements FireFly Inflatable Kayak\";s:3:\"UPC\";s:12:\"832994000434\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"832994000434\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"22999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$229.99\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000O3CM2W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000O3CM2W\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:118:\"Z4mnEYBeIeEReA0daeCyO6E6U8Xu0TABiCwkpXr080Nkcd3aLEUw6UoE8IJM%2FMxBHv3Zkt39hyoQ0xE%2BN8G7EyfIM%2FXAYm4nMrHVsXIV2%2BQ%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"22999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$229.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.00\";}s:15:\"PercentageSaved\";s:1:\"4\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000O3CM2W&atag=freetos-20&exp=2013-06-15T18%3A47%3A13Z&v=2&sig=sNJIYOgDdqOQ%2BHtH72EmEWReLlyNGeRws%2Bpp9nih6lw%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:427:\"AE1020Y Features: -Firefly.-Material: Durable PVC tarpaulin hull, 600 D polyester cover.-Rubber molded handle, heavy-duty PVC main chamber.-Mesh pocket.-Bungee deck lacing.-New advanced inflation valves.-Tracking fin.-Welded perimeter seam.-Rigid bow and stern.-Person 1, chambers 3.-Capacity: 250 lbs. Color/Finish: -Color: Yellow and blue. Dimensions: -Folded dimensions: 5\'\' H x 18\'\' W x 23\'\' D.-Dimensions: 35\'\' W x 94\'\' D.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1298:\"Ideal for family adventures on the water, the FireFly Inflatable Kayak from Advanced Elements is designed to be a compact, recreational kayak. The kayak offers several unique features to improve the performance and durability. Its bow and stern have fixed rigid forms that help cut through the waves and keep you on course while a unique out cover provides added durability. The kayak also offers molded rubber-grip handles, bungee deck lacing, a mesh accessory pocket and tracking skeg. The bow and stern rigid forms are built in to the cover, which gives the kayak increased performance on the water. Easy to set up, the Firefly offers Twistlok valves and a high flow Spring valve.<p> <strong>Specifications:</strong><ul> <li>Length: 7’10\" <li>Width: 35\" <li>Weight: 16 pounds (7 kg) <li>Maximum Weight: 250 pounds (113 kg) <li>Color: Yellow/Blue </ul><p>   <strong>Key Features:</strong><ul> <li>New advanced inflation valves <li>Mesh pocket <li>Rigid form bow cuts through the water <li>Landing plate <li>600 D polyester cover <li>Bungee deck lacing <li>Splash diverter <li>Welded perimeter seam <li>Skeg tracking fin <li>Rubber molded handles <li>Heavy-duty PVC main chamber </ul><p> <strong>What\'s in the Box?</strong><br> Firefly kayak, carrying duffel bag, repair kit, owner’s manual<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2462", "389", "asg_product_details", "a:4:{s:11:\"Item Weight\";s:8:\"1 pounds\";s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:4:\"ASIN\";s:10:\"B0085CXPQG\";s:17:\"Item model number\";s:7:\"11941-2\";}");
INSERT INTO `wp_postmeta` VALUES("2463", "389", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2464", "389", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:12:\"Very helpful\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 26, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1ON0PBL6QXDPI\";s:4:\"name\";s:3:\"Jim\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:151:\"I lost one of my old braces during a capsize. These were not the exact brand but they fit perfectly and now I have a spare one. Quick shipment as well.\";}i:1;a:5:{s:5:\"title\";s:9:\"Great fit\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 10, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3DTLQRTKOJOD9\";s:4:\"name\";s:8:\"cat rock\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:306:\"The foot pegs fit my existing rails, making the replacement simple. My original pegs were swept off by a wave. These were used on a Dagger Caymen, but also fit the Perception Sporty. If your kayak uses these foot pegs, put a wire tie at the end of the rail to prevent loss. Product was shipped really fast.\";}i:2;a:5:{s:5:\"title\";s:18:\"Atwood foot pedals\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OSVMG3YM44TD\";s:4:\"name\";s:4:\"Rach\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:131:\"I was so glad to find these replacent pedals. They fit the pedal runner already on my Mainstream kayak, so the transition was easy!\";}}");
INSERT INTO `wp_postmeta` VALUES("2457", "388", "asg_update_timestamp", "1371235629");
INSERT INTO `wp_postmeta` VALUES("2458", "389", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2459", "389", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2460", "389", "asg_item_id", "B007I77P3I");
INSERT INTO `wp_postmeta` VALUES("2461", "389", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B007I77P3I\";s:10:\"ParentASIN\";s:10:\"B007I77P3I\";s:13:\"DetailPageURL\";s:202:\"http://www.amazon.com/Attwood-Kayak-18-Foot-Braces/dp/B007I77P3I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB007I77P3I\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:212:\"http://www.amazon.com/Attwood-Kayak-18-Foot-Braces/dp/tech-data/B007I77P3I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007I77P3I\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB007I77P3I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007I77P3I\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB007I77P3I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007I77P3I\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB007I77P3I%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007I77P3I\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B007I77P3I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007I77P3I\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B007I77P3I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007I77P3I\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B007I77P3I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007I77P3I\";}}}s:9:\"SalesRank\";s:6:\"725328\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}}}s:14:\"ItemAttributes\";a:21:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"attwood\";s:3:\"EAN\";s:13:\"0066511604892\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0066511604892\";}s:7:\"Feature\";s:42:\"Innovative - will enhance your well being.\";s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"100\";}s:5:\"Label\";s:14:\"Attwood Marine\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2004\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$20.04\";}s:12:\"Manufacturer\";s:14:\"Attwood Marine\";s:3:\"MPN\";s:7:\"11941-2\";s:13:\"NumberOfItems\";s:1:\"1\";s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"11941-2\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Attwood Marine\";s:3:\"SKU\";s:8:\"43897-$P\";s:6:\"Studio\";s:14:\"Attwood Marine\";s:5:\"Title\";s:36:\"Attwood Kayak 18\" Foot Braces - Pair\";s:3:\"UPC\";s:12:\"066511604892\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"066511604892\";}}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B007I77P3I%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007I77P3I\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"1335\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.35\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"4006\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$40.06\";}}s:10:\"Variations\";a:3:{s:15:\"TotalVariations\";s:1:\"2\";s:19:\"TotalVariationPages\";s:1:\"1\";s:4:\"Item\";a:2:{i:0;a:8:{s:4:\"ASIN\";s:10:\"B006O1KR3Y\";s:10:\"ParentASIN\";s:10:\"B007I77P3I\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VdQhrd-rL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:11:\"Electronics\";s:5:\"Brand\";s:7:\"Attwood\";s:3:\"EAN\";s:13:\"0022697119407\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0022697119407\";}s:7:\"Feature\";s:53:\"ATTWOOD KAYAK FOOT BRACES 15\" TRIGGER LOCK ADJUSTABLE\";s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:2:\"90\";}s:5:\"Label\";s:14:\"ATTWOOD MARINE\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"1828\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$18.28\";}s:12:\"Manufacturer\";s:14:\"ATTWOOD MARINE\";s:5:\"Model\";s:7:\"11940-2\";s:3:\"MPN\";s:7:\"11940-2\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"110\";s:6:\"Length\";s:4:\"1550\";s:6:\"Weight\";s:2:\"50\";s:5:\"Width\";s:3:\"440\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"11940-2\";s:12:\"ProductGroup\";s:2:\"CE\";s:15:\"ProductTypeName\";s:18:\"OFFICE_ELECTRONICS\";s:9:\"Publisher\";s:14:\"ATTWOOD MARINE\";s:4:\"Size\";s:3:\"15\"\";s:3:\"SKU\";s:6:\"C43897\";s:6:\"Studio\";s:14:\"ATTWOOD MARINE\";s:5:\"Title\";s:36:\"Attwood Kayak 15\" Foot Braces - Pair\";s:3:\"UPC\";s:12:\"022697119407\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"022697119407\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"GizmosForLife\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:172:\"3oByHTU%2BXtRcZppKr1isrWAGGKZmNtcGe84mje7d66UIMGogU3BHmiDRgUcNfMl%2BoqT4OSxevElBeAQZDvuws1kZsoO%2FSNNce5ckOvIV%2B3jvd9%2Fs%2BWQS8FGKvzd12HO5yHUlHwhwynaFKUikHktaPleB77eFAxTM\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2023\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$20.23\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:8:{s:4:\"ASIN\";s:10:\"B0085CXPQG\";s:10:\"ParentASIN\";s:10:\"B007I77P3I\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21vyf4xxeZL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}}}s:14:\"ItemAttributes\";a:25:{s:5:\"Brand\";s:7:\"Attwood\";s:3:\"EAN\";s:13:\"0022697119414\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0022697119414\";}s:7:\"Feature\";s:53:\"ATTWOOD KAYAK FOOT BRACES 18\" TRIGGER LOCK ADJUSTABLE\";s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:1:{s:6:\"Weight\";s:3:\"100\";}s:5:\"Label\";s:14:\"ATTWOOD MARINE\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2004\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$20.04\";}s:12:\"Manufacturer\";s:14:\"ATTWOOD MARINE\";s:5:\"Model\";s:7:\"11941-2\";s:3:\"MPN\";s:7:\"11941-2\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:3:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"2100\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"11941-2\";s:12:\"ProductGroup\";s:23:\"Single Detail Page Misc\";s:15:\"ProductTypeName\";s:10:\"MISC_OTHER\";s:9:\"Publisher\";s:14:\"ATTWOOD MARINE\";s:4:\"Size\";s:3:\"18\"\";s:3:\"SKU\";s:6:\"C43898\";s:6:\"Studio\";s:14:\"ATTWOOD MARINE\";s:5:\"Title\";s:36:\"Attwood Kayak 18\" Foot Braces - Pair\";s:3:\"UPC\";s:12:\"022697119414\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"022697119414\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"CE Showroom\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:166:\"X3WkxWiqnT1evs3n2gbFlRG5DNNojP%2F2yF4d12ElDmiX71vflMrOHiFQ2Gsq%2BRA0Wb%2B6EKw6PQdxLzePng0LHgyB7vktqWI3m99JSIHxrD6Ps78kAKcXcuA7sPwXV2aMxDjV51GbxjQMGVZykH%2F%2BGw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1603\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$16.03\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"401\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$4.01\";}s:15:\"PercentageSaved\";s:2:\"20\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B007I77P3I&atag=freetos-20&exp=2013-06-15T18%3A47%3A09Z&v=2&sig=xqIGw%2FeAPpoef8%2BcaXH5ZR6Q3YQ0cKHa7eyV0GVuKHo%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:269:\"Kayak 18\" Foot Braces - PairPart #: 11941-2Ligthtweight design fits both sit in and sit on top style kayaks. Trigger lock design allow for easy adjustment. Tracks use a universal mounting hole pattern that works in a variety of kayaks.Mounting hardware is not included.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2453", "388", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B006J154L4\";s:17:\"Item model number\";s:8:\"CAR25663\";s:28:\"Discontinued by manufacturer\";s:3:\"Yes\";}");
INSERT INTO `wp_postmeta` VALUES("2454", "388", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("2455", "388", "asg_customer_reviews", "a:6:{i:0;a:5:{s:5:\"title\";s:59:\"It was nice to be able to find something in my height range\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 1, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ZRAE5COIPFAV\";s:4:\"name\";s:14:\"Mary Berkshire\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:587:\"When I bought my kayak I was a total novice and got my first lesson when I went to purchase a paddle. Since I am so short I soon found that this was going to be a difficult task. Once we narrowed down the length I needed I was unable to find one in a store setting and that is when I turned to Amazon. I read the reviews and decided this was the paddle I needed. When I received my paddle I was very happy with the quality and that it fit to a tee. My only disappointment is that I would have preferred the blue paddle, but the difference in price was not worth having a different color.\";}i:1;a:5:{s:5:\"title\";s:28:\"These Paddles Were A Splash!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 29, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2Y87IVA4M9PFV\";s:4:\"name\";s:16:\"Asleeplessknight\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:223:\"<a href=\"http://www.amazon.com/gp/product/B006J154L4\">Carlisle Kids Saber Touring Kayak Paddle</a><br /><br />Perfect. Just the right size. Easy to manage. Light weight. Kid Friendly. A great deal for the money. Cool Color.\";}i:2;a:5:{s:5:\"title\";s:22:\"Lightweight and sturdy\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 8, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2T45ACFZFGP4I\";s:4:\"name\";s:48:\"Nathan J. Washor \"Sneak past the dragon and s...\";s:7:\"address\";s:15:\"Ashaway, RI USA\";}s:4:\"text\";s:157:\"My 6 year old daughter is able to use this paddle perfectly well in her brand new kayak! The paddle is great quality and very light... Just what we required.\";}i:3;a:5:{s:5:\"title\";s:12:\"Good product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 26, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5AKH8GAOHIBQ\";s:4:\"name\";s:6:\"Sharon\";s:7:\"address\";s:11:\"Southern NJ\";}s:4:\"text\";s:106:\"Perfect for my height. I had such a hard time finding one for my size, thankyou for offering this product.\";}i:4;a:5:{s:5:\"title\";s:24:\"Good paddle. Good price.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 15, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AHPEHH5LJ4NVI\";s:4:\"name\";s:5:\"JeffW\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:139:\"Very good kids paddle. Just like an adult paddle, but shorter. Sturdy. Average weight. Adjustable angle, but not length. Two color choices.\";}i:5;a:5:{s:5:\"title\";s:42:\"They will not let me purchase this item!!!\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"January 1, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1S81L39MERMRD\";s:4:\"name\";s:30:\"Robert Harper \"bobbyandthekid\"\";s:7:\"address\";s:15:\"WAIPAHU, HI, US\";}s:4:\"text\";s:228:\"Looks like a perfect paddle for a 14 year old girl, BUT!!! After adding to cart, entering my shipping information, they refuse to ship to my address. How useless. I will spend the additional money and order direct from Carlisle.\";}}");
INSERT INTO `wp_postmeta` VALUES("2456", "388", "asg_last_refresh_attempt", "1371235629");
INSERT INTO `wp_postmeta` VALUES("2438", "386", "asg_last_refresh_attempt", "1371235624");
INSERT INTO `wp_postmeta` VALUES("2439", "386", "asg_update_timestamp", "1371235624");
INSERT INTO `wp_postmeta` VALUES("2440", "387", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2441", "387", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2442", "387", "asg_item_id", "B004N5DKIW");
INSERT INTO `wp_postmeta` VALUES("2443", "387", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004N5DKIW\";s:10:\"ParentASIN\";s:10:\"B004N5DKIW\";s:13:\"DetailPageURL\";s:197:\"http://www.amazon.com/Harmony-Paddle-Clip-Kit/dp/B004N5DKIW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004N5DKIW\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:207:\"http://www.amazon.com/Harmony-Paddle-Clip-Kit/dp/tech-data/B004N5DKIW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004N5DKIW\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004N5DKIW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004N5DKIW\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004N5DKIW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004N5DKIW\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004N5DKIW%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004N5DKIW\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004N5DKIW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004N5DKIW\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004N5DKIW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004N5DKIW\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004N5DKIW%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004N5DKIW\";}}}s:9:\"SalesRank\";s:5:\"14886\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:10:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Harmony\";s:5:\"Label\";s:7:\"Harmony\";s:12:\"Manufacturer\";s:7:\"Harmony\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"498\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Harmony\";s:6:\"Studio\";s:7:\"Harmony\";s:5:\"Title\";s:23:\"Harmony Paddle Clip Kit\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:3:\"995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.95\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"1329\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.29\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B0045NXFAK\";s:10:\"ParentASIN\";s:10:\"B004N5DKIW\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41Zzjw4wCLL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Harmony\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"8023042\";}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:17:\"Kayak Accessories\";s:3:\"EAN\";s:13:\"0729282033024\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0729282033024\";}s:7:\"Feature\";a:4:{i:0;s:48:\"Compatible with polyethylene or composite kayaks\";i:1;s:16:\"Easily installed\";i:2;s:41:\"Includes 2 clips, hardware & instructions\";i:3;s:44:\"Not designed to hold paddle while cartopping\";}s:5:\"Label\";s:7:\"Harmony\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:3:\"995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.95\";}s:12:\"Manufacturer\";s:7:\"Harmony\";s:5:\"Model\";s:7:\"8023042\";s:3:\"MPN\";s:7:\"8023042\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"70\";s:6:\"Length\";s:3:\"420\";s:6:\"Weight\";s:2:\"20\";s:5:\"Width\";s:3:\"360\";}s:10:\"PartNumber\";s:7:\"8023042\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Harmony\";s:11:\"ReleaseDate\";s:10:\"2010-09-15\";s:4:\"Size\";s:8:\"One Size\";s:6:\"Studio\";s:7:\"Harmony\";s:5:\"Title\";s:23:\"Harmony Paddle Clip Kit\";s:3:\"UPC\";s:12:\"729282033024\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"729282033024\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:8:\"One Size\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:126:\"v4KvWA95d6XUaJBBl4IGn2it9MLYQgSRfifCjxm99aTWANAeY4K487Hc7LY79wXA8yRrMelHa2SnbJrfxKTxdVlBuTTsRDJQ8FucHsfeUQdgxLFRE%2FXzEw%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1329\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.29\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004N5DKIW&atag=freetos-20&exp=2013-06-15T18%3A47%3A05Z&v=2&sig=sS792VVxWseKED8BP%2FVdgl2nDTCbhlSUD7Wd7Xmh%2BKE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:339:\"DECENT FEATURES of Harmony Paddle Clip Kit A simple, low-profile, and easily installed system to stow a spare paddle or park yourprimary paddle when you need hands free for other tasks Compatible with polyethylene or composite kayaks Easily installed Includes two clips, hardware & instructions Not designed to hold paddle while cartopping\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2426", "385", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004XACQZU\";s:17:\"Item model number\";s:9:\"8676-Xtre\";}");
INSERT INTO `wp_postmeta` VALUES("2427", "385", "asg_star_rating", "4.7");
INSERT INTO `wp_postmeta` VALUES("2428", "385", "asg_customer_reviews", "a:7:{i:0;a:5:{s:5:\"title\";s:26:\"96\" Orange, perfect for me\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A146Q9423W9TUW\";s:4:\"name\";s:28:\"Joanna Barr \"Creeping Thyme\"\";s:7:\"address\";s:14:\"Pittsburgh, PA\";}s:4:\"text\";s:2074:\"After losing my paddle, I ordered this paddle to finish out the season. I wasn\'t sure how well I\'d picked. Turns out I\'m very happy!<br /><br />It is massively long, which I love. It allows for the paddle blade to be fully submerged on each stroke, which eliminates the drag and wobble I find being common with asymmetrical blades. Paddling with it is a very natural feel, very stable feeling in the hands, very light. Easy to use with light feather paddling (such as maintaining place on the river for viewing fireworks -that\'s me-, or in finessing the last movements up to the dock) and also a very strong stoke for power/speed paddling. My 3 miles each way for fireworks was faster than ever before, on the first use! Also, with having to borrow paddles for the past week, I\'d developed some minor abrasion blisters, and I was amazed that with the foam grips this wasn\'t aggravated at all, no pain. The grips are very low profile smooth foam, and comfortable. The drip guards are well designed too, as flat circular guards rather than cups, which reduced the amount of dripping that landed on my head. The grip padding and drip cups usually would cost extra as add ons for a paddle, so this made it an extra good deal. I like that the 2 piece paddle has three positions, this is perfect for me because I\'ve never been good with the off-set designed paddles so the option to have it straight is really a necessity for me. With the 96\", the pieces are too long for the width of a trunk when taken down, but I have a station wagon, so that\'s not any trouble. Also, they lay across the back seat comfortably, so that\'s another option. I did notice that the joint feels a little wobbly when first inserted, interestingly though once I was paddling it felt completely stable in my hands and I was able to paddle at full strength without feeling any give; seems it\'s just when I put my hands at the joint to test for proper insert, the beveled insert is not designed to be completely snug.<br /><br />Final word? Great paddle! I like it better than the one I\'d had for 11 years.\";}i:1;a:5:{s:5:\"title\";s:11:\"Nice paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1P2X3BEPOZFVQ\";s:4:\"name\";s:8:\"mattmalo\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:301:\"I am a recreational kayaker and I have used this paddle twice this season. The paddle has a nice weight and I love the padding on the grips. My previous paddle didn\'t have the padding and seemed too large in diameter to grip, and I have big hands. The diameter is nice and the pads make it even nicer.\";}i:2;a:5:{s:5:\"title\";s:12:\"Does its job\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 20, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3GBKLN9E2Q7VW\";s:4:\"name\";s:4:\"mL10\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:475:\"Got two of these in orange. Have used them a few times so far. The blades have a little give to them, but I don\'t see them breaking unless someone is too rough with them. I still get a little wet with the water guards, but for the most part they do their job. The 96 inch is 10cm more than the recommended size for my height and size boat, but its only 10cm, and I don\'t think I\'d mind it being another 10cm longer... I have the Old Town Angler 10, somewhat of a wider kayak.\";}i:3;a:5:{s:5:\"title\";s:13:\"Great Paddles\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 6, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3KIADONAH27I3\";s:4:\"name\";s:14:\"Lynne Sternett\";s:7:\"address\";s:18:\"Bryceville, Fl, US\";}s:4:\"text\";s:151:\"These are great Kayak paddles for the money. The foam grips make them comfortable and they are a good length. Good for beginners like my husband and I.\";}i:4;a:5:{s:5:\"title\";s:12:\"Great paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AYA58A7VHGC9W\";s:4:\"name\";s:14:\"Benjamin Lewis\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:136:\"I bought this and the Bending Branches Bounce AS X ... This paddle is just as durable and works just as well very happy with my purchase\";}i:5;a:5:{s:5:\"title\";s:18:\"Good for the price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:11:\"May 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AH49QG05A2UUJ\";s:4:\"name\";s:3:\"LWP\";s:7:\"address\";s:8:\"Maryland\";}s:4:\"text\";s:722:\"I just received this paddle that I ordered for my husband. I\'m hoping to get him started on kayak fishing. He\'s a big guy & he will be using a fairly wide kayak for stability so he needed a longer paddle than the ones I have. For someone just starting or who doesn\'t kayak that much you can\'t beat it.<br /><br />Update: This was used for the first time last weekend. My husband was much happier with the longer paddle. I traded my Carlisle paddle with his for a few minutes to try it out myself. The shaft is a little narrow but the padding seems to make up for that, comfort-wise at least. He immediately wanted his back, so I\'d say he is a satisfied customer. The paddle seems sturdy enough when pushing off from shore.\";}i:6;a:5:{s:5:\"title\";s:30:\"It paddles... and it\'s orange!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AWALIRVRLAQQ7\";s:4:\"name\";s:23:\"Seth Chabot \"Sethbacca\"\";s:7:\"address\";s:16:\"Lewiston, ME USA\";}s:4:\"text\";s:205:\"This is my first kayak paddle so I have no basis for comparison, but it seems to work well and I\'m a big big guy. Oh and it\'s a pleasant orange which is primarily the reason I bought it in the first place.\";}}");
INSERT INTO `wp_postmeta` VALUES("2429", "385", "asg_last_refresh_attempt", "1371235623");
INSERT INTO `wp_postmeta` VALUES("2430", "385", "asg_update_timestamp", "1371235623");
INSERT INTO `wp_postmeta` VALUES("2431", "386", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2432", "386", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2433", "386", "asg_item_id", "B004EEM87G");
INSERT INTO `wp_postmeta` VALUES("2434", "386", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004EEM87G\";s:13:\"DetailPageURL\";s:215:\"http://www.amazon.com/Lifetime-Fisher-Paddles-Backrests-10-Feet/dp/B004EEM87G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004EEM87G\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:225:\"http://www.amazon.com/Lifetime-Fisher-Paddles-Backrests-10-Feet/dp/tech-data/B004EEM87G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEM87G\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004EEM87G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEM87G\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004EEM87G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEM87G\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004EEM87G%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEM87G\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004EEM87G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEM87G\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004EEM87G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEM87G\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004EEM87G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEM87G\";}}}s:9:\"SalesRank\";s:4:\"5741\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:5:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41L5%2BiwrCXL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51WmUwdX6TL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51WmUwdX6TL._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51WmUwdX6TL._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51WmUwdX6TL._SL110_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51WmUwdX6TL._SL160_.jpg\";s:6:\"Height\";s:3:\"128\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51WmUwdX6TL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51plUWBMb0L._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51plUWBMb0L._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51plUWBMb0L._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51plUWBMb0L._SL110_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51plUWBMb0L._SL160_.jpg\";s:6:\"Height\";s:3:\"128\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51plUWBMb0L.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/612JW1WtirL._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/612JW1WtirL._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/612JW1WtirL._SL75_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/612JW1WtirL._SL110_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/612JW1WtirL._SL160_.jpg\";s:6:\"Height\";s:3:\"128\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/612JW1WtirL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"Lifetime Products\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"90121\";}s:5:\"Color\";s:5:\"Green\";s:10:\"Department\";s:7:\"Bedroom\";s:3:\"EAN\";s:13:\"0081483008547\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0081483008547\";}s:7:\"Feature\";a:5:{i:0;s:56:\"Designed for single or tandem use; 10-foot fishing kayak\";i:1;s:34:\"(2) 2-piece sport paddles included\";i:2;s:19:\"Fits up to 3 riders\";i:3;s:23:\"Dry storage compartment\";i:4;s:50:\"Ditty trays and shock cord for storing loose items\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1900\";s:6:\"Length\";s:5:\"10200\";s:6:\"Weight\";s:4:\"6500\";s:5:\"Width\";s:4:\"3600\";}s:5:\"Label\";s:17:\"Lifetime Products\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"59999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$599.99\";}s:12:\"Manufacturer\";s:17:\"Lifetime Products\";s:5:\"Model\";s:5:\"90121\";s:3:\"MPN\";s:5:\"90121\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2000\";s:6:\"Length\";s:5:\"12500\";s:6:\"Weight\";s:4:\"8200\";s:5:\"Width\";s:4:\"3700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"90121\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Lifetime Products\";s:11:\"ReleaseDate\";s:10:\"2010-11-15\";s:4:\"Size\";s:7:\"10-Feet\";s:3:\"SKU\";s:7:\"LXT1074\";s:6:\"Studio\";s:17:\"Lifetime Products\";s:5:\"Title\";s:77:\"Lifetime Sport Fisher Kayak with Paddles and Backrests (Olive Green, 10-Feet)\";s:3:\"UPC\";s:12:\"081483008547\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"081483008547\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"50999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$509.99\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004EEM87G%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004EEM87G\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:134:\"jhwIIshdb%2FCOO3inFdcshNa%2Bx9h%2BHgV6tVFVp%2FMY18574EzlW56CGLTrdjbyjP0ZM1chXDN4o%2FPzpUNzfCraQASPmnlNiG9cf34qHj6snC46NCSMy2z7MA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"50999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$509.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"9000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$90.00\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004EEM87G&atag=freetos-20&exp=2013-06-15T18%3A47%3A03Z&v=2&sig=TMNeN%2FeogkBsqhgOsUsAlGALuBwVx7B0tbBq%2FfGpSbg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:541:\"The Sport Fisher is the ultimate fishing kayak. The tunnel hull design makes it possible to stand up and fish, or to sit side-saddle without tipping over. It seats up to three people, providing comfortable, balanced seating for solo, tandem or family fun. Fits up to 3 riders with ergonomic seating that\'s \"high and dry\", keeping riders off the floor of the kayak. Front and rear molded paddle cradle and paddle clips on both sides. Four fishing pole holders included for your sporting assistance. Will hold a maximum capacity of 500 pounds.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2448:\"With room for up to three people and a sturdy, well-balanced design, the Lifetime Sport Fisher is the ultimate fishing kayak. <table align=\"right\" cellpadding=\"10\" width=\"300\"> <tbody><tr><td><img align=\"top\" border=\"0\" height=\"208\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/B004EEM87G-1.jpg\" width=\"300\" /><br /><br /><small><em><strong>The Sport Fisher\'s ultra-stable hull lets you stand while fishing.</strong></em></small></td></tr></tbody></table> The 10-foot Sport Fisher features a tunnel hull design that makes it possible to stand up and fish or sit sidesaddle without tipping over. As a result, you can fish according to your preference, not the boat\'s restrictions. Seating-wise, the boat includes a pair of high-and-dry ergonomic seats with soft backrests and a molded side-facing center seat, providing comfortable, balanced options for solo, tandem, or family fishing. <p> The Sport Fisher owes its stability to its UV-protected, high-density polyethylene chassis and smartly shaped hull, which is built to provide extreme steadiness and great tracking. The kayak also provides a number of handy fishing-friendly features, including four fishing pole holders, a 6-inch rear storage hatch, ditty trays and shock-cord straps to secure loose items, and scupper holes that drain the cockpit area. Plus, the kayak is easy to carry thanks to the molded front and rear handles and lightweight 60-pound frame. Additional features include multiple footrest positions for riders of different sizes, a front and rear molded paddle cradle with paddle clips on both sides, and an understated olive green color. <p> <b>Specifications</b><br> <ul> <li>Color: Olive green <li>Body material: Blow-molded polyethylene <li>Draft: 6 inches <li>Max capacity: 500 pounds <li>Length: 10 feet <li>Width: 36 inches <li>Weight: 60 pounds <li>Warranty: 1 year, limited </ul> <p> <b>About Lifetime</b><br> Headquartered in Clearfield, Utah, Lifetime is the world\'s leading manufacturer of residential basketball hoops and folding tables and chairs. With manufacturing facilities in Utah and Xiamen, China, Lifetime has applied innovation and cutting-edge technology in plastics and metals to develop creative products with superior strength and durability. Lifetime continues to expand its product lines, with outdoor sheds, kayaks, and tent trailers designed to simplify your everyday life and get the most out of your free time.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2435", "386", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:32:\"102 x 36 x 19 inches ; 65 pounds\";s:15:\"Shipping Weight\";s:9:\"82 pounds\";s:8:\"Shipping\";s:133:\"This item can only be shipped to the 48 contiguous states. We regret it cannot be shipped to APO/FPO, Hawaii, Alaska, or Puerto Rico.\";s:6:\"Origin\";s:5:\" USA\";s:4:\"ASIN\";s:10:\"B004EEM87G\";s:17:\"Item model number\";s:5:\"90121\";}");
INSERT INTO `wp_postmeta` VALUES("2436", "386", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2437", "386", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:22:\"Amazing fishing kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 23, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A31LWLVE9IHTYS\";s:4:\"name\";s:20:\"Bleaubyou \"n.y.o.d.\"\";s:7:\"address\";s:26:\"Western Massachusetts, USA\";}s:4:\"text\";s:1116:\"First of all, know exactly what you are buying. You are buying a FISHING KAYAK, not a touring kayak. I use this as a single person kayak, though it can be used as a tandem.<br /><br /> The kayak is heavy, almost 70 lbs, and it\'s wide. If you\'re under 5\'9\" you are going to have a hard time using the single side carrying handle since the yak is so wide.<br /><br /> Standing up, sitting down and casting are surprisingly easy, though being only 5\'5\" I have a low center of gravity so it may be easier for me than most.<br /><br /> The features are great. I replaced the seat back with a higher end touring seat and would recommend you do the same if you will be using the yak for more than 2 hours. The yak came with 2 paddles, 2 seat backs and 5 scupper plugs even though there are only 2 scupper holes. The built in tie down points, waterproof rear entry point and fold down paddle clips are invaluable!<br /><br /> There is even a molded hole in the rear of the frame for a future motor mount which I plan on using.<br /><br /> For the $500 I paid, shipped, I couldn\'t have asked for a more perfect fishing kayak.\";}i:1;a:5:{s:5:\"title\";s:31:\"Great Inexpensive Fishing Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 10, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3GJJN5X3ZI6F7\";s:4:\"name\";s:6:\"ChrisF\";s:7:\"address\";s:11:\"Northern WI\";}s:4:\"text\";s:2914:\"After buying and using this boat for a nice long three mile river paddle/fishing trip I can recommend it to anyone looking for a lower priced but high quality and stable fishing kayak. I also highly recommend it to larger people that want to go have fun and not swamp their boat. I\'m approx 6 foot and just under three hundred and found the seating area and leg room very nice when set up for one paddler (with the Crazy Creek Kayak III seat and a 240cm paddle). I had the entire rear deck and hull area to store stuff and the front bungees were in perfect range for my dry bag and life jacket.<br /><br />Being a wide and relatively short kayak you will not be breaking speed records and you may have an issue with tracking at times (side currents or high winds). That said, this is a FISHING/PLEASURE style kayak. Not a long distance fast cruising machine. If you want a sleek fast cruiser, look at a sit in kayak or a touring sit on top kayak and pay the $1000 for it. If you want to fish within a few miles of the launch point or want to go paddle with friends for fun without tossing a grand at it, buy this one.<br /><br />At a good steady paddle on flat water you can get a nice brisk walking speed out of it. And you won\'t tucker yourself out doing it. If you really want to make time, you will tire yourself paddling that hard. Once up to speed at a regular paddle it tracks fairly well. Not on rails, but you won\'t spend all day correcting your path either.<br /><br />For the reduction in top speed and some tracking you will gain great stability, instant turning whenever you want and a crazy 500lb weight capacity. 500 lbs. Think about that. That\'s a lot of stuff, or two big people.<br /><br />Know this, as a sit on top, you\'re legs will get a little wet as you paddle. It\'s inevitable as you paddle side to side. Even with a wide paddle. Pull the scupper plugs in the back and the footwells will drain for you while you paddle.<br /><br />The interior of the hull stayed dry as a bone the entire day. It WILL leak if you get water in the pole holders. Being blow molded the hull cannot be water tight inside or it will bow out of shape when the air inside gets hot in storage. But, it has a drain cock if you let it sit in the rain or something and get water inside.<br /><br />The one thing this kayak needs is a rudder. Add a rudder off the back and your tracking issues will disappear and the kayak will get even better. With a rudder, five mile river trips would be no issue. Lifetime says they have a rudder for this boat, but I cannot find it anywhere. I found the trolling motor mount on Lifetime\'s website, but no rudder. I hope they make one soon, or someone invents a nice one.<br /><br />I\'m very pleased with this purchase. Years of fun await.<br /><br />I\'ve posted pictures to help those that want better views. If you want other views of this kayak, comment below and I\'ll post them.\";}i:2;a:5:{s:5:\"title\";s:30:\"Fantastic, Convenient, and Fun\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 13, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2D7JES80AF6TL\";s:4:\"name\";s:9:\"AmazonFan\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2300:\"I ordered this for my husband for Fathers Day. I didn\'t want a \'boat\' we had to deal with the licensing; trailer and more licensing; light hook-up; taxes, and more taxes; etc.<br /><br />This seemed a perfect size that we could lift and maneuver together, and it is. We are in our 50\'s, so not so strong as we used to be, and we can easily lift this up into our truck camper. It fits in there beautifully when we take the table down to make a bed, and lift the nose of the Kayak into the over cab bed. Takes us about 30 seconds to load and a minute to unload. Initially I had planned on staying inside the camper while he went out to fish, but felt well enough to at least try it with him for an hour or so.<br /><br />We ventured out to a quiet, empty, glass still lake to try it for the first time. I will say it takes a little bit of finesse to get \'on\' and \'off\' , but it is made extremely well balanced and we did not get dumped into the lake. I think if we find a boat dock to use it will make it easier on our non-limber bones. Anyway, once we got out and began our adventure we did TRY to tip this over and we gave it quite a rocking and I\'m pleased to tell you it didn\'t spill us. ( For the Ladies, I went out in a dress too, and paddled Hubby all across the lake while he fished. It was plenty comfortable to wear a skirt or dress in!!! ) We were amazed with how comfortable this is. We did not have cushions, or padding of any sort, didn\'t even use the seat backs that came with it, but we stayed out our first time for 4 hours. I have back pain, Husband bad hips, and neither of us had any discomfort during, or after. Just looked a bit silly getting in and out. :)<br /><br />I have to say, this was one of the best purchases I have made in a long time. Although originally purchased for my Husband alone, it became a double gift. I can be out and enjoy the stillness and quiet of a morning slowly drifting in this little Kayak, and he can sit in the rear seat fishing to his hearts content as I navigate.<br /><br />Thanks so much, once again, Amazon. Because we live in a small town in Nowhere USA, had I not seen this on Amazon, we wouldn\'t have known it existed. Many years of quiet weekend mornings ahead with this purchase, and for the happiness this has brought us... priceless!!!\";}i:3;a:5:{s:5:\"title\";s:13:\"FISHING KAYAK\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1L0X4S0U8JKB5\";s:4:\"name\";s:2:\"DW\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:363:\"Very sturdy...good quality overall...very impressed with the weight capicity...1 am about 250 lbs and even with my wife in front on the kayak it is very sturdy...COMPACT, PRICED RIGHT...WOULD HIGHLY RECOMMEND it AS A VERY GOOD FISHING KAYAK for smaller lakes etc...came with 2 strap seats (backs not seats) 2 paddles...free shipping WAS THE GREATEST ADVANTAGE....\";}i:4;a:5:{s:5:\"title\";s:18:\"Good Fishing Kayak\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A317AS76FB95MT\";s:4:\"name\";s:13:\"Daniel Carter\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1209:\"First thing about this transaction is that Amazon shipped this Kayak QUICKLY. I had the Kayak three days before the estimated delivery. Very Impressed. But now to the Kayak itself. The main hull of the kayak is designed well...you have clips to hold your oars and four fishing pole holders which are great! The chair design though is lacking...first there is NO bottom cushion...and the back support is kinda tricky to use and depending on your size almost not worth using. I personally don\'t put mine on at all when I use it. So if your looking for a LUXURY kayak this isn\'t it...but then again if you want luxury get a real boat. I had NO leaks whatsoever! As far as transporting the kayak...if you have to carry the kayak for any real distance...you may have trouble. There is only ONE gripping handle on the kayak??! And the kayak is far too heavy to carry with one hand without dragging it. So...just think about how your gunna be using the kayak before you buy it...It\'s doing great for me as far as getting to fishing holes that were once unaccessable by foot. Oh and one more thing...depending on your size you won\'t be putting 3 people on that kayak!! I\'m 6\'2\" and its about perfect for me by MYSELF.\";}i:5;a:5:{s:5:\"title\";s:12:\"Not sluggish\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1G5PUE6R3U8C3\";s:4:\"name\";s:23:\"Baeu Gest \"Stink Stink\"\";s:7:\"address\";s:14:\"Washington, DC\";}s:4:\"text\";s:600:\"I\'m extremely please with this kayak! I was expecting it to be sluggish in the water, but it wasn\'t - if you can\'t paddle this kayak than you don\'t know how to paddle a kayak. I\'m 6\'4\" 210lbs and fit; my two kids weight a combined 150lbs . . . all three of us were in this kayak (360lbs!) and it maneuver d beautifully. Due to it\'s wide beam it is too awkward for me to carry a respectable distance by myself; however, this wide beam is yet another reason why I like it; I\'ll use it for fishing primarily and this wide base gives me a stable platform to stand on. This will be my go-to fishing kayak.\";}i:6;a:5:{s:5:\"title\";s:22:\"Awesome fishing kayak!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AP1BMWYDFC0IQ\";s:4:\"name\";s:9:\"Pat in TX\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1634:\"I bought the Dragonfly Sport Fisher Kayak about 3 yrs ago to fish out of. Since you stay so dry in this kayak, I was able to fish all winter. I am 5\'10\" and 190lbs and I had plenty of room when using it as a single. The paddles that come with it are too short in my opinion. The kayak is wide and it seemed I was not able to get a good bite in the water with a natural stroke. So, I bought a longer paddle and the problem was solved. The layout and stability of this kayak awesome. I used this kayak in the Gulf of Mexico earlier this year and it handled some pretty good size waves with ease, and I still didn\'t get wet. When paddling this kayak by yourself, it moves along pretty well, but add a 2nd person and that changes. With a weight capacity of 500lbs, it will hold two people and gear with ease, but if your paddling hard trying to stay up with other people you tend to get out of rythm, and end up banging paddles alot. The second down side is this kayak is not fast enough to stay up with most other tandem kayaks. I Went on a trip with my brother and we couldn\'t even come close to staying up with him. My wife and I were in the Dragonfly and my brother was in his Ocean Malibu II XL, with most of the gear and two children. He was the only one paddling in his yak. So, if you want to do a day trip or longer with other people, you will probably struggle to keep up. But, if you purely want a fishing kayak then I would buy it. I sold mine this year and bought a bigger tandem and I have kicked myself every time I\'ve gone fishing for getting rid of my Dragonfly. I should have kept the Dragonfly and bought a touring yak.\";}i:7;a:5:{s:5:\"title\";s:27:\"Tough, great, sturdy kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 9, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVHB52UVVLY50\";s:4:\"name\";s:8:\"Longhorn\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1987:\"This is a great, economical, multi-function kayak which my family loves. I researched and looked at MANY styles and prices of kayaks after moving to a coastal/marsh neighborhood and tested a few different styles of kayaks from a friend who owns a kayak touring/adventure company. If you\'ve shopped kayaks much you\'ll be challenged to find one that is good for solo, adult tandem, and adult with two children. After shopping Craigs List/Gander Mountain/Academy/Bass Pro/Dick\'s Sporting Goods for an economical tandem I saw this at Amazon. With a wife and two children I\'ve been able to comfortably use this kayak solo, with my wife, and with my two children. It\'s easy to bungee strap a milk crate on the front and back to have a great, roomy, sturdy fishing platform considering all the rod holders that already come with it. The kayak can handle the surf/chop pretty well but the back hatch/rold holders/etc. need to be siliconed or some water gets into the hull. This yak is WIDE, pretty heavy, and VERY sturdy. I\'m 5\' 9\" 180# and can stand up and cast net when the chop isn\'t high. I can\'t wait to try it out this fall on some hunting & camping trips. Since it\'s short, wide, heavy this yak won\'t win any races and requires a little more paddle effort. The paddles are a pretty good design (especially for free) but are a bit short for the width of the yak. The seat backs are pretty good but you\'ll need a boat cushion or \"deluxe\" seat for some butt padding. Overall this yak has been GREAT for our family and we\'ve had many adventures in it...HIGHLY recommended. This gets 5 stars since it offers more features and performance than any kayaks in this price range.<br /><br />PROS:<br />1. Price<br />2. Versatility (1, 2, 3 people)<br />3. Many features (2 paddles, rod holders, hatch, 2 back rests)<br />4. Sturdy/Stable<br /><br />CONS:<br />1. Doesn\'t keep all the water out (can be fixed with silicone)<br />2. Quite wide/heavy/slow<br />3. The seats don\'t have a bottom cushion\";}i:8;a:5:{s:5:\"title\";s:35:\"Lifetime Fishing Kayak a Great Buy!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2O8RU3QJGKKS5\";s:4:\"name\";s:6:\"Matt C\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1181:\"I purchased this kayak for fishing in this tuff places and it has worked out great! Shipping was fast and free and the product arrived in great shape. As for the Kayak itself the paddles it comes with are and clip on to the side of the kayak nicely. This kayak is a tandem kayak but can be used by yourself. It is at least 55-60 pounds so getting it up on to the car racks can be difficult if you are not tall enough, but manageable. IF you are planning on using this alone I would find the Lifetime Solo Fishing Kayak for its smaller. This kayak does have three seats, but only an adult and two kids could fit comfortably. My brother and I use it and we are both 6 feet 200 plus pounds and fit nicely in it. The seat backs it come with are very small and provide minimum back support. I highly recommend purchasing some raised seats with cushions. This kayak also has a placed to mount a small motor which may come in handy come lake time. The rod holders work well but the internal storage advertised is just hole into the bow of the Kayak. Recommend getting a anchor as well if you want to stay stationary. Overall for the price this is the best buy on the internet.....no joke.\";}i:9;a:5:{s:5:\"title\";s:38:\"Beware of damage due to poor packaging\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"April 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2F5EZ7AURRHUA\";s:4:\"name\";s:6:\"Edward\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:504:\"I purchased this kayak the first time from home depot online and it arrived on time but with large gashes throughout the hull. So I RMA\'ed it and ordered a second one (same model) from Amazon and once again received it with damage. I like the Kayak but gave two stars due to the poor packaging at the factory it will almost always arrive with some sort of damage as it is only shipped in thin plastic and bubble wrap. I decided to keep the second kayak and order a kcwelder patch kit online for 60 bucks.\";}}");
INSERT INTO `wp_postmeta` VALUES("2416", "384", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004RMDMVG\";s:13:\"DetailPageURL\";s:212:\"http://www.amazon.com/Carlisle-Tripper-Aluminum-Kayak-Paddle/dp/B004RMDMVG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004RMDMVG\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:222:\"http://www.amazon.com/Carlisle-Tripper-Aluminum-Kayak-Paddle/dp/tech-data/B004RMDMVG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMDMVG\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004RMDMVG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMDMVG\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004RMDMVG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMDMVG\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004RMDMVG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMDMVG\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004RMDMVG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMDMVG\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004RMDMVG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMDMVG\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004RMDMVG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMDMVG\";}}}s:9:\"SalesRank\";s:5:\"15837\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL._SL75_.jpg\";s:6:\"Height\";s:2:\"10\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL._SL160_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL._SL30_.jpg\";s:6:\"Height\";s:1:\"4\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL._SL75_.jpg\";s:6:\"Height\";s:2:\"10\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL._SL75_.jpg\";s:6:\"Height\";s:2:\"10\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL._SL110_.jpg\";s:6:\"Height\";s:2:\"15\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL._SL160_.jpg\";s:6:\"Height\";s:2:\"22\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21Q1-LCBRnL.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Carlisle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.1332.5780\";}s:5:\"Color\";s:10:\"Yellow/Blk\";s:3:\"EAN\";s:13:\"0759239249086\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239249086\";}s:7:\"Feature\";a:5:{i:0;s:29:\"Blade Material: polypropylene\";i:1;s:85:\"Shaft Material: 2-pc Lightweight Tempered Aluminum with black polyethylene grip zones\";i:2;s:23:\"Weight: 37 oz. (230 cm)\";i:3;s:39:\"Blade Color: Yellow, Shaft Color: Black\";i:4;s:42:\"Yellow/Black color only available in 230cm\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:8:\"Carlisle\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:8:\"Carlisle\";s:5:\"Model\";s:12:\"01.1332.5780\";s:3:\"MPN\";s:10:\"0113325780\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4900\";s:6:\"Weight\";s:3:\"230\";s:5:\"Width\";s:4:\"1000\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"0113325780\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:11:\"ReleaseDate\";s:10:\"2011-01-10\";s:4:\"Size\";s:5:\"230cm\";s:3:\"SKU\";s:12:\"WT0113325780\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:75:\"Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece (Yellow/Black, 230 cm)\";s:3:\"UPC\";s:12:\"759239249086\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239249086\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"3380\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$33.80\";}s:8:\"TotalNew\";s:2:\"27\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004RMDMVG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004RMDMVG\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"QsYY0qQaFJaLMYZbF3ymi4JL9QXhZQBQOe9AMbkImuTuFbltCFjRx2Fc%2BxYUzjhC2yT88OeCgjZqc4C%2FMyTuFQFB3BK4JbidqKcJbbGVg2yhX999qcuowA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4258\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$42.58\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"741\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.41\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:198:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004RMDMVG&atag=freetos-20&exp=2013-06-15T18%3A46%3A58Z&v=2&sig=m4olnov%2F0zHgvNXMqCwFX5Iox30T%2FwOK2i%2BVyEgACJg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:340:\"Asymmetric blades of polypropylene feature a dihedral shape for smooth, efficient strokes. A lightweight anodized aluminum shaft is ovalized for easy gripping. This is the paddle of choice for beginners - or for use as a backup. A push-button takedown allows blades to be feathered at 60-degress or inline, for right- and left-hand control.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2417", "384", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:29:\"48 x 10 x 4 inches ; 2 pounds\";s:15:\"Shipping Weight\";s:10:\"3.6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:5:\" USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004RMDMVG\";s:17:\"Item model number\";s:12:\"01.1332.5780\";}");
INSERT INTO `wp_postmeta` VALUES("2418", "384", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2419", "384", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:19:\"Great for the price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A15HQ3V82ANDX\";s:4:\"name\";s:10:\"worker bee\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:303:\"We already had one of these and needed another paddle. This is a super fine paddle for the price. We let our kids and their friends paddle around with these. Our other one is several years old and has not broken, it\'s just scratched up from all the abuse on the rocks. The seller sent this very rapidly.\";}i:1;a:5:{s:5:\"title\";s:27:\"Carlisle Day Tripper paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1718AG6SDDYMX\";s:4:\"name\";s:15:\"Dae Wilkes, Jr.\";s:7:\"address\";s:19:\"Sterlington, LA USA\";}s:4:\"text\";s:124:\"Very nice paddle. Light weight and well balanced I am a beginner but impressed with this paddle and the price I paid for it.\";}}");
INSERT INTO `wp_postmeta` VALUES("2420", "384", "asg_last_refresh_attempt", "1371235620");
INSERT INTO `wp_postmeta` VALUES("2421", "384", "asg_update_timestamp", "1371235620");
INSERT INTO `wp_postmeta` VALUES("2422", "385", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2423", "385", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2424", "385", "asg_item_id", "B004XACQZU");
INSERT INTO `wp_postmeta` VALUES("2425", "385", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004XACQZU\";s:10:\"ParentASIN\";s:10:\"B004XACQZU\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Seasense-X-Treme-Mix-Kayak-Paddle/dp/B004XACQZU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004XACQZU\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Seasense-X-Treme-Mix-Kayak-Paddle/dp/tech-data/B004XACQZU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACQZU\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004XACQZU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACQZU\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004XACQZU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACQZU\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004XACQZU%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACQZU\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004XACQZU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACQZU\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004XACQZU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACQZU\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004XACQZU%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACQZU\";}}}s:9:\"SalesRank\";s:5:\"15719\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:9:\"8676-Xtre\";}s:7:\"Feature\";a:5:{i:0;s:22:\"Feathered Blade Design\";i:1;s:39:\"Two Piece Construction For Easy Storage\";i:2;s:22:\"Adjustable Drip Guards\";i:3;s:32:\"Support Ridge For Added Strength\";i:4;s:23:\"Three Locking Positions\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$55.99\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:9:\"8676-Xtre\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:4:\"1500\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:36:\"Seasense X-Treme Ii Mix Kayak Paddle\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"2818\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$28.18\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"4979\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.79\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"4\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:5:\"Color\";i:1;s:4:\"Size\";}}s:4:\"Item\";a:4:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B003CUTB0A\";s:10:\"ParentASIN\";s:10:\"B004XACQZU\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008676\";}s:5:\"Color\";s:10:\"Blue/White\";s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0737765777761\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777761\";}s:7:\"Feature\";a:5:{i:0;s:22:\"Feathered Blade Design\";i:1;s:39:\"Two Piece Construction For Easy Storage\";i:2;s:22:\"Adjustable Drip Guards\";i:3;s:32:\"Support Ridge For Added Strength\";i:4;s:23:\"Three Locking Positions\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"4450\";s:6:\"Length\";s:3:\"300\";s:6:\"Weight\";s:3:\"225\";s:5:\"Width\";s:3:\"700\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4489\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$44.89\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008676\";s:3:\"MPN\";s:7:\"3670112\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"250\";s:6:\"Length\";s:4:\"4450\";s:6:\"Weight\";s:3:\"230\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"3670112\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:7:\"84-Inch\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:58:\"Seasense X-Treme Ii Mix Kayak Paddle (84-Inch, Blue/White)\";s:3:\"UPC\";s:12:\"737765777761\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777761\";}s:8:\"Warranty\";s:17:\"One Year Warranty\";}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:10:\"Blue/White\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"84-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"orLd7prDepcRvH1jaNl2iaeDPCqcB1Of5flzShrHr4%2B3kZGYjFUtbvc5WJ44%2FHheiwKX6rjJfnIzeNeyiSsLbsB1FWS8%2BH5qCcnTW1IU8T56fkouDrsocQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.00\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"989\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.89\";}s:15:\"PercentageSaved\";s:2:\"22\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B004XACQPU\";s:10:\"ParentASIN\";s:10:\"B004XACQZU\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21l4yfv1J6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008677\";}s:5:\"Color\";s:10:\"Blue/White\";s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0737765777778\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777778\";}s:7:\"Feature\";a:5:{i:0;s:22:\"Feathered Blade Design\";i:1;s:39:\"Two Piece Construction For Easy Storage\";i:2;s:22:\"Adjustable Drip Guards\";i:3;s:32:\"Support Ridge For Added Strength\";i:4;s:23:\"Three Locking Positions\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"5050\";s:6:\"Length\";s:3:\"300\";s:6:\"Weight\";s:4:\"32.3\";s:5:\"Width\";s:3:\"700\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$47.99\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008677\";s:3:\"MPN\";s:7:\"3670114\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2400\";s:6:\"Length\";s:4:\"4600\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:4:\"3600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"3670114\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:7:\"96-Inch\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:58:\"Seasense X-Treme Ii Mix Kayak Paddle (96-Inch, Blue/White)\";s:3:\"UPC\";s:12:\"737765777778\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777778\";}s:8:\"Warranty\";s:17:\"One Year Warranty\";}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:10:\"Blue/White\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"96-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:142:\"7kDZKJhiIXNe%2Fhn11f%2FQxv4gJpryZ6rM17l9fhDrHF%2Bj%2BTXJQd02%2FEMOjrhsTtwGIqXdhJQKbM%2FB8h%2Bfr4Z7zYPhBMKyodI46zdnV3geY8%2B%2FheKpat3RdQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3815\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$38.15\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"984\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.84\";}s:15:\"PercentageSaved\";s:2:\"21\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B003CULQQ2\";s:10:\"ParentASIN\";s:10:\"B004XACQZU\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008678\";}s:5:\"Color\";s:13:\"Orange/Yellow\";s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0737765777785\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777785\";}s:7:\"Feature\";a:5:{i:0;s:22:\"Feathered Blade Design\";i:1;s:39:\"Two Piece Construction For Easy Storage\";i:2;s:22:\"Adjustable Drip Guards\";i:3;s:32:\"Support Ridge For Added Strength\";i:4;s:23:\"Three Locking Positions\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"4450\";s:6:\"Length\";s:3:\"300\";s:6:\"Weight\";s:4:\"29.5\";s:5:\"Width\";s:3:\"700\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4479\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$44.79\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008678\";s:3:\"MPN\";s:7:\"3670115\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"180\";s:6:\"Length\";s:4:\"4320\";s:6:\"Weight\";s:3:\"220\";s:5:\"Width\";s:3:\"750\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"3670115\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:7:\"84-Inch\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:61:\"Seasense X-Treme Ii Mix Kayak Paddle (84-Inch, Orange/Yellow)\";s:3:\"UPC\";s:12:\"737765777785\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777785\";}s:8:\"Warranty\";s:17:\"One Year Warranty\";}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:13:\"Orange/Yellow\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"84-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:17:\"FirstChoiceMarine\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"12tBKyFCDeJIL7F1Rjg1m8zk5iRD3jfHCwLyvIlhUtoH3JUiCC%2BAXh4elrbIxmFbNYPb%2FkhmuFXZAlaPVy1Df3v8bXGG55%2BZVne2WjtLddJUqr56MJ3kP7RMEFMhr%2FFRe9OBT1zky1Ug6lgddy8GrPWl%2BpSpcOUy\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3593\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.93\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"886\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.86\";}s:15:\"PercentageSaved\";s:2:\"20\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:3;a:9:{s:4:\"ASIN\";s:10:\"B003CULQRG\";s:10:\"ParentASIN\";s:10:\"B004XACQZU\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"5\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"12\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"18\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"27\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21kJ-0d2vpL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"83\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008679\";}s:5:\"Color\";s:13:\"Orange/Yellow\";s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0737765777792\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777792\";}s:7:\"Feature\";a:5:{i:0;s:22:\"Feathered Blade Design\";i:1;s:39:\"Two Piece Construction For Easy Storage\";i:2;s:22:\"Adjustable Drip Guards\";i:3;s:32:\"Support Ridge For Added Strength\";i:4;s:23:\"Three Locking Positions\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"5050\";s:6:\"Length\";s:3:\"300\";s:6:\"Weight\";s:4:\"32.3\";s:5:\"Width\";s:3:\"700\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$46.99\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008679\";s:3:\"MPN\";s:7:\"3670116\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"230\";s:6:\"Length\";s:4:\"4730\";s:6:\"Weight\";s:3:\"270\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"3670116\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:7:\"96-Inch\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:61:\"Seasense X-Treme Ii Mix Kayak Paddle (96-Inch, Orange/Yellow)\";s:3:\"UPC\";s:12:\"737765777792\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777792\";}s:8:\"Warranty\";s:17:\"One Year Warranty\";}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:13:\"Orange/Yellow\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"96-Inch\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"5dAh%2FJZHqK7c2m8S7CJLqrNkEVhc8n8wF5q0a1qHiU1yyjL0vQsBoslvMHzQ4dTZv0S6Fcezytg%2Fulh33tdyJkpNNE0kX%2FRXqsWUIeWh08sjbotZ4vBcwg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3815\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$38.15\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"884\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.84\";}s:15:\"PercentageSaved\";s:2:\"19\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004XACQZU&atag=freetos-20&exp=2013-06-15T18%3A47%3A00Z&v=2&sig=kKEW%2F8IneAGhElTblczN1qvg53Cb%2BEUC5EkEdEj0ljw%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:40:\"X-Treme II Kayak Paddle 84\" - Blue/White\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2411", "383", "asg_last_refresh_attempt", "1371235618");
INSERT INTO `wp_postmeta` VALUES("2412", "383", "asg_update_timestamp", "1371235618");
INSERT INTO `wp_postmeta` VALUES("2413", "384", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2414", "384", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2415", "384", "asg_item_id", "B004RMDMVG");
INSERT INTO `wp_postmeta` VALUES("2402", "382", "asg_last_refresh_attempt", "1371235616");
INSERT INTO `wp_postmeta` VALUES("2403", "382", "asg_update_timestamp", "1371235616");
INSERT INTO `wp_postmeta` VALUES("2404", "383", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2405", "383", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2406", "383", "asg_item_id", "B001IMGA1M");
INSERT INTO `wp_postmeta` VALUES("2407", "383", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B001IMGA1M\";s:13:\"DetailPageURL\";s:202:\"http://www.amazon.com/Crack-Dawn-Apex-Deluxe-Kayak/dp/B001IMGA1M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001IMGA1M\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:212:\"http://www.amazon.com/Crack-Dawn-Apex-Deluxe-Kayak/dp/tech-data/B001IMGA1M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IMGA1M\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001IMGA1M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IMGA1M\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001IMGA1M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IMGA1M\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001IMGA1M%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IMGA1M\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001IMGA1M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IMGA1M\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001IMGA1M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IMGA1M\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001IMGA1M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IMGA1M\";}}}s:9:\"SalesRank\";s:5:\"10430\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51PPk2rud2L.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SPW46GT5L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SPW46GT5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41SPW46GT5L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SPW46GT5L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41SPW46GT5L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41SPW46GT5L.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:13:\"Malibu Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"103-6\";}s:5:\"Color\";s:5:\"black\";s:3:\"EAN\";s:13:\"0184581000236\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0184581000236\";}s:7:\"Feature\";a:4:{i:0;s:44:\"The most comfortable kayak seat you will own\";i:1;s:29:\"8 way adjustible strap system\";i:2;s:27:\"Provides incredible support\";i:3;s:13:\"Sits 19\" tall\";}s:5:\"Label\";s:13:\"Malibu Kayaks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"12995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$129.95\";}s:12:\"Manufacturer\";s:13:\"Malibu Kayaks\";s:5:\"Model\";s:5:\"103-6\";s:3:\"MPN\";s:5:\"103-6\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"2050\";s:6:\"Weight\";s:3:\"270\";s:5:\"Width\";s:4:\"1650\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"103-6\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Malibu Kayaks\";s:11:\"ReleaseDate\";s:10:\"2010-03-25\";s:3:\"SKU\";s:7:\"QLU1048\";s:6:\"Studio\";s:13:\"Malibu Kayaks\";s:5:\"Title\";s:38:\"Crack of Dawn Apex 1 Deluxe Kayak Seat\";s:3:\"UPC\";s:12:\"184581000236\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"184581000236\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"8917\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.17\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B001IMGA1M%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001IMGA1M\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:7:\"Wayfair\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:172:\"Y%2BiXjAnfCXl%2FY%2FpLyZ8OMzJEjnwbgttjS7axGqP505bOi3L4UNo1XYAZHZL061JU0ICGcBKqGGdRa8SC9WOSFiUv4T6LAZw4xqQm8ukpPmAH5OIh1o%2B4EoybKAkJPneLNKY1EL4iJR%2FlPrhPK2co4zQg8Vr7J%2Fpu\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8917\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.17\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"4078\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$40.78\";}s:15:\"PercentageSaved\";s:2:\"31\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001IMGA1M&atag=freetos-20&exp=2013-06-15T18%3A46%3A56Z&v=2&sig=PS7mPm7JkAQ2nD57I3ka%2FLzTLNKg%2BTJFjbkWFPJaPrk%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:116:\"Apex 1 Deluxe Seat: The Apex 1 thermally-molded foam seat sits 19” tall and offers incredible support and comfort.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2408", "383", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:10:\"2.7 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001IMGA1M\";s:17:\"Item model number\";s:5:\"103-6\";s:28:\"Discontinued by manufacturer\";s:3:\"Yes\";}");
INSERT INTO `wp_postmeta` VALUES("2409", "383", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2410", "383", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:18:\"Great Back Support\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"March 5, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1F4MZJPPMP8CQ\";s:4:\"name\";s:7:\"Charles\";s:7:\"address\";s:9:\"Caribbean\";}s:4:\"text\";s:270:\"This Kayak seat is a great investment. I kayak 2-3 hours twice a week and have challenges with my back. This seat gives great back support and is very adjustable. I would recommend it if you intend to spend hours on a Kayak and want to ensure you have good back support.\";}i:1;a:5:{s:5:\"title\";s:20:\"great seat, but.....\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"July 4, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3HGCE4J86417X\";s:4:\"name\";s:5:\"95426\";s:7:\"address\";s:6:\"NorCal\";}s:4:\"text\";s:391:\"I have this seat for my kayak and am very pleased overall. Its very easy to adjust while in use and has very good support. The problem I had was, possibly having the seat adjusted too tight, sitting back and having the plastic clip break. I might suggest adjusting the support straps AFTER positioning yourself in the boat. Not too sure how I\'m going to fix the clip. Just a word of caution.\";}i:2;a:5:{s:5:\"title\";s:24:\"Quick to install comfort\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 14, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A3DHQKYTLDXO1\";s:4:\"name\";s:19:\"Finger Lakes Fisher\";s:7:\"address\";s:34:\"Finger Lakes Region of Western, NY\";}s:4:\"text\";s:1558:\"I spend many hours per week sitting in my Malibu Stealth 14 fishing kayak and have used two other kayak seat brands including, Ocean Kayak, and I never new real comfort until I tried the Apex 1 Deluxe Kayak Seat from Crack of Dawn. It is also much quicker to install, weighs less, and dries much faster compared to the other seats I\'ve used.<br /><br />Let me start with the comfort part. The seats I\'ve used in the past had harder padding and put uneven pressure on my back. The Apex 1 is soft while providing firm, even support. I\'m able to move around a bit more and no longer feel pressure points that add to fatigue out on the water.<br /><br />The other seats I\'ve used tend to lean backward too far unless they are very tight, which means that the straps must be loosened to install and remove and then tightened back up. This is not the case with the Apex 1. I am able to have solid upright back support with the straps loose enough for a quick install and removal without the need for re-adjusting the straps each time.<br /><br />Weight is always an issue on a kayak and it adds up. The Apex 1 is featherlight while also being very tough.<br /><br />Finally, It\'s not very pleasant to find a damp seat after the previous day\'s paddle, not to mention the associated musty smell of wet gear. The Apex 1 dries very quickly, so neither of these issues are a problem.<br /><br />The Apex 1 has struck a great balance among comfort, quality, durability, and value. I wholeheartedly recommend it to anyone who spends as much time out on the water as I do.\";}i:3;a:5:{s:5:\"title\";s:16:\"Great support!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 31, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2TB35D09TVDM1\";s:4:\"name\";s:13:\"kayaking moma\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:218:\"I purchased this seat as a replacement for my husband on his Ocean Kayak. He loves it. Support is fantastic. The seat dries out quickly and the little extra padding in the bottom is nice. Ordering one for myself today.\";}i:4;a:5:{s:5:\"title\";s:25:\"Great seat for long trips\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJZW0QW00QW9K\";s:4:\"name\";s:10:\"GooniesKFA\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:339:\"The Apex 1 seat by Crack of Dawn has very good back support for the long days on the water. The adjusting straps are easy to adjust and release while sitting in it. So far for the past 2 years they have held up very well to use in saltwater conditions. Currently have 4 of these Apex 1 seats in our yaks. Very well made seat for the price.\";}i:5;a:5:{s:5:\"title\";s:16:\"Excellent Choice\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:11:\"May 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVM7A2PVAN8JS\";s:4:\"name\";s:9:\"Sam Damon\";s:7:\"address\";s:7:\"Florida\";}s:4:\"text\";s:418:\"I purchased this seat for use with my Malibu Stealth 12. Overall I am very pleased with the seat. I used it 5 times to date for up to 6 hours each time. No problems with back pain or discomfort. Last fishing trip I tried adjusting the seat while in the kayak a couple of times and was able to do so with no issue. Note: The seat delivered had small clips instead of velcro loop fasteners. This wasn\'t a problem though.\";}i:6;a:5:{s:5:\"title\";s:14:\"excellent seat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"November 1, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AX8I7MDGWWHLG\";s:4:\"name\";s:15:\"boblovesfishing\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:442:\"Needed to get a more supportive seat for my Perception Sport Pescador as the css seating system wasn\'t cutting it. Read several positive review on this seat and ordered it. It arrived the day before a planned fishing trip and looked forward to trying it out. Couldn\'t have been happier, more cushion to sit on and the support from the taller back allowed me to paddle a much greater distance than I normally would have. I recommend this seat.\";}i:7;a:5:{s:5:\"title\";s:16:\"Worth the Money!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5PHDPF4KJIZI\";s:4:\"name\";s:7:\"dragon1\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:590:\"I have used 5 different brands of kayak seats and the Crack of Dawn Apex 1 is the most comfortable I have found. The gel padding forms to your backside for a very comfortable fit. The high back (19\" tall) allows for maximum support for your back for long hours out on the water. The seat is easy to install and lightweight. The seat also features two water bottle holders and a zippered pocket on the back of the seat for extra storage with easy access. With it\'s 8 way adjustable straps, you are sure to get the right support that is most comfortable for you. I highly recommend this seat.\";}i:8;a:5:{s:5:\"title\";s:17:\"No more limits!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 18, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A17RS54EI4AA99\";s:4:\"name\";s:9:\"Dr. Frank\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:552:\"WOW!!! I managed to kayak for 3 hours!! My Arms wore out before my rear did. My biggest limitation in the past has been the lack of support for the lower back and the numb butt which follows sitting in the yak too long. This seat was comfortable the whole time and adjusted exactly to my desired lean while paddling. It takes 10 seconds to remove and 15 to reinstall after setting it up the first time. Now I can remove it when not using (sun damage happens quickly here in southwest Florida) and set it right back up before we head out again. Love it!\";}i:9;a:5:{s:5:\"title\";s:6:\"Apex 1\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1GPXHRXQI69HH\";s:4:\"name\";s:12:\"trouttracker\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:281:\"This is an excellant seat to use while kayaking.Has a high back with good support and a comfortable gell seat for long days of paddling. It also has quite a few attachments for the back of the seat to add with any kind of activity you do kayaking. Would recommend highly to anyone.\";}}");
INSERT INTO `wp_postmeta` VALUES("2381", "380", "asg_product_details", "a:6:{s:11:\"Item Weight\";s:8:\"2 pounds\";s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001AI4HNM\";s:17:\"Item model number\";s:7:\"CPG-010\";}");
INSERT INTO `wp_postmeta` VALUES("2382", "380", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("2383", "380", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:39:\"Nice paddle, excellent customer service\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 15, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1HL7ECOZSBA88\";s:4:\"name\";s:17:\"Devananda McGuire\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:976:\"I purchased a pair of these paddles in the 240cm length for my Ocean Kayak Malibu XL tandem last October. I usually paddle a couple hours at a time around Hilo bay, Hawaii, with my wife and 3yr old son, and occasionally use them in rough water kayak surfing. I was immediately impressed with the quality. I have to admit I haven\'t owned many good paddles before, but these are by far the best. They are very stiff, no flutter or flexing and in my opinion plenty light and comfortable for a couple hours at least.<br /> I did manage to snap one of them in half at the joint while paddling into some moderate surf, I don\'t know if the joint was defective or if I just don\'t know my own strength, but the company was very understanding and sent out a new paddle without charge. Despite breaking a paddle I am still impressed with the quality and strength and the fact that the company is willing to stand behind their product has only made me like my new paddles more.<br />-Dave\";}i:1;a:5:{s:5:\"title\";s:26:\"Great paddle for the price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 10, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A4DXBSBVZOKGQ\";s:4:\"name\";s:15:\"R. Allen \"Rich\"\";s:7:\"address\";s:9:\"Chatt. TN\";}s:4:\"text\";s:1426:\"I bought one of these paddles last summer for use with a 10.5 foot fishing kayak. I was able to get one for a great price, about 35% the retail shown here. Any, I\'ve used it several times in flatwater and rapids situations and I do not regret this purchase one bit. The angle of the paddles are adjustable to fit your style, I find the standard angle setting to work for me.<br /><br />My kayak is pretty wide and I purchased the 220cm version and I have no problems getting the blades into the water comfortably and a 10 mile paddle we did was easily accomplished with much less fatigue than with my previous paddle because of the light weight and shaped paddle head.<br /><br />However, nothing is perfect, and this paddle has two minor flaws that I\'ve noticed. First, the drip rings don\'t stop wall the water from tunning down the shaft of the paddle. They minimize it, and 95% of the time that\'s enough, but in winter cold river water on your hands is not super fun. Also the paddle occasionally flutters if you really give it the gas, but just the first couple strokes and after that it settles down nicely.<br /><br />Neither of those two problems are in any way big enough to make me even think about switching paddles. I wouldn\'t mind using a Magic Plus the rest of my life, it\'s a great all around paddle for a recreational kayaker like myself, And I would reccommend it to any of my friends that need a kayak paddle.\";}i:2;a:5:{s:5:\"title\";s:12:\"good quality\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 2, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A14GDZDQAV1AGV\";s:4:\"name\";s:4:\"mike\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:164:\"This kayak paddle is really worth the money, it is light and it will make your kayak go faster because it makes paddeling much easier. i would recommend this paddle\";}i:3;a:5:{s:5:\"title\";s:17:\"Quality for price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 20, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3U0DX8MFOB1XX\";s:4:\"name\";s:7:\"pkano86\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:408:\"You will not find a fiber glass paddle of this quality for this price.<br /><br />Don\'t forget to research the proper length of paddle for your height. I read that you should just be able to wrap the tops of your fingers over the top of the paddle while it is standing lengthwise in the air.<br /><br />I bought this as a gift, and it was a bit too long for the person\'s height (but not by enough to return).\";}i:4;a:5:{s:5:\"title\";s:11:\"Good paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 26, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1DMCHFGNNAHPY\";s:4:\"name\";s:10:\"cabeebe100\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:695:\"I bought the 240 cm version of this paddle and use it on a 15 foot ocean SOT. The paddle is fairly light but feels very sturdy, the handle has a little bit of a flair about where your hand grips which helps minimize hand cramping for me. I\'m a fairly big guy with big hands so skinny paddles are uncomfortable for me after a while. The paddle breaks down into two pieces which fit easily in my trunk for transportation and you can offset in either direction or keep the blades level based on your paddling preference. I personally prefer level blades but that\'s me. I\'m pleased with this paddle and intend to buy a second one in a shorter length to place in the center hatch as a back-up paddle.\";}i:5;a:5:{s:5:\"title\";s:18:\"Good - Not Nirvana\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"November 28, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1D2YB556IT262\";s:4:\"name\";s:12:\"Rock of Ages\";s:7:\"address\";s:22:\"Silicon Valley, CA USA\";}s:4:\"text\";s:759:\"I have a number of different paddles that are used with different kayaks in different situations. The \'Magic Plus\' is a fine, lighter weight general purpose paddle. It is not a paddle that makes you stop looking for something better.<br /><br />The fiberglass shaft is comfortable with a decent grip diameter (for me at least). The \'machining\' where the two halves fit together has a little looser fit than I\'m accustomed to, but it apparently causes no problems. I\'m hardly a power paddler, but even so there is occasional \'flutter\' in the blade when accelerating. If I were to pick a single area for improvement, it would be to increase the blade rigidity.<br /><br />Despite, the nitpicking above, as often as not this is my \'go to\' paddle for regular use.\";}i:6;a:5:{s:5:\"title\";s:17:\"Excellent Quality\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A28QOJWB4AON0Y\";s:4:\"name\";s:6:\"ExE122\";s:7:\"address\";s:13:\"Baltimore, MD\";}s:4:\"text\";s:1035:\"I just got back into kayaking after several years of being out of the loop. I bought all new gear and a new kayak. I was trying out some paddles at a store, but decided to save some $$$ and go the Amazon route instead. I ended up getting the Carlisle Magic Plus because it is a trusted name and has good reviews. It arrived quickly and in excellent condition.<br /><br />It\'s not the lightest fiberglass paddle out there, and I found the grip to be a bit wide. So it\'s probably not the last paddle I\'ll ever use. However, the paddle is of excellent quality for the price I paid. I haven\'t had any problem with flutter (although I\'m not a power paddler) and the drip rings work fine for me.<br /><br />One safety tip I got from an instructor is to buy a cheaper paddle when starting out, but then keep it attached to the boat as a backup when I upgrade to something nicer. I think this fits the bill perfectly. For now, this will be my primary paddle. Eventually I\'ll get something nicer, but I\'ll definitely still keep this one around.\";}i:7;a:5:{s:5:\"title\";s:83:\"Great paddle although its price was the same as the Suggested Retail by manufacture\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"February 6, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A25DVVKPSAT6BS\";s:4:\"name\";s:13:\"Richard Vertz\";s:7:\"address\";s:30:\"Newbury Park, CA United States\";}s:4:\"text\";s:425:\"I believe I could have gotten a few dollars break by researching more and not buying the product right of way. It is a very well made paddle and love the feel. It seems of high quality. Shipped fast and no problem s with delivery.<br />It will be used with my new Ocean Kayak Prowler 13 fishing kayak. It is nice addition to my fishing equipment. Quality is a must for me. You won\'t be disappointed in this product. I am not.\";}i:8;a:5:{s:5:\"title\";s:19:\"Light and Powerful!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"March 8, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AI9IJRFOPPV9C\";s:4:\"name\";s:13:\"Ana M Bartley\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:111:\"Used these for a 30 day kayaking trip in Antarctica, they held up great and were also good in windy conditions.\";}i:9;a:5:{s:5:\"title\";s:12:\"Great paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJQWAZZA5MSQB\";s:4:\"name\";s:18:\"Aaron P Biedenbach\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:155:\"I am a occasional kayaker. Just for fun when it is too rough in the Gulf. I have 2 of these paddles and they are perfect for an afternoon in the mangroves.\";}}");
INSERT INTO `wp_postmeta` VALUES("2366", "378", "asg_last_refresh_attempt", "1371235607");
INSERT INTO `wp_postmeta` VALUES("2367", "378", "asg_update_timestamp", "1371235607");
INSERT INTO `wp_postmeta` VALUES("2368", "379", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2369", "379", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2370", "379", "asg_item_id", "B003659NYA");
INSERT INTO `wp_postmeta` VALUES("2371", "379", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003659NYA\";s:13:\"DetailPageURL\";s:218:\"http://www.amazon.com/Sevylor-Inflatable-Sit-On-Top-Kayak-2-Person/dp/B003659NYA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003659NYA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:228:\"http://www.amazon.com/Sevylor-Inflatable-Sit-On-Top-Kayak-2-Person/dp/tech-data/B003659NYA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NYA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003659NYA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NYA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003659NYA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NYA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003659NYA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NYA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003659NYA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NYA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003659NYA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NYA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659NYA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NYA\";}}}s:9:\"SalesRank\";s:5:\"10357\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL._SL160_.jpg\";s:6:\"Height\";s:3:\"114\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL.jpg\";s:6:\"Height\";s:3:\"357\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL._SL30_.jpg\";s:6:\"Height\";s:2:\"21\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL._SL110_.jpg\";s:6:\"Height\";s:2:\"79\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL._SL160_.jpg\";s:6:\"Height\";s:3:\"114\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41-cIY-BjqL.jpg\";s:6:\"Height\";s:3:\"357\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/512MvPydFeL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/512MvPydFeL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/512MvPydFeL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/512MvPydFeL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/512MvPydFeL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/512MvPydFeL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003406\";}s:5:\"Color\";s:6:\"Orange\";s:3:\"EAN\";s:13:\"0076501039818\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501039818\";}s:7:\"Feature\";a:5:{i:0;s:51:\"13 Feet 1 Inch x 3 Feet 1 Inch (2-person, 595 lbs.)\";i:1;s:38:\"Dual-tracking fins for easier steering\";i:2;s:50:\"Recessed storage compartment with secure cargo net\";i:3;s:32:\"86 Inch aluminum paddle included\";i:4;s:43:\"Air Tight Guarantee: guaranteed not to leak\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"2225\";s:6:\"Length\";s:4:\"1625\";s:6:\"Weight\";s:4:\"1700\";s:5:\"Width\";s:3:\"800\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"16499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$164.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003406\";s:3:\"MPN\";s:10:\"2000003406\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1050\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:4:\"3095\";s:5:\"Width\";s:4:\"1700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003406\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:8:\"L-344990\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:45:\"Sevylor Inflatable Sit-On-Top Kayak, 2-Person\";s:3:\"UPC\";s:12:\"076501039818\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501039818\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"15999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$159.99\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:5:\"14000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$140.00\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"2\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659NYA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NYA\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"VMInnovations\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:170:\"H3NTzqsANN9dvtNTPrQOr2I6UvPRl2OZ3t0eRDl%2BEp%2Bj48LS1htfvAwdnwWI%2B5d2RV2k2vM5dZ9ZR5I6FxLpRixAue%2F4cp%2BWC1cB4DDhxznO5SXKIn4gyb1z5NEgZ5xN5KfuQTugAMHYxG8Ut51pKl3jQiVg6tQC\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"15999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$159.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.00\";}s:15:\"PercentageSaved\";s:1:\"3\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003659NYA&atag=freetos-20&exp=2013-06-15T18%3A46%3A47Z&v=2&sig=8F%2FVilYTntBpDDjlhYDyo8VOswjiqUWW3Bv1q6G2xkE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:676:\"Portable, comfortable, stable, and durable -- the Sevylor Sit-On-Top Inflatable Kayak is a great choice for navigating your favorite waters and exploring new ones. The 2-Person Kayak measures 13 Feet1 Inch long by 3 Feet1 Inch wide, and holds up to 595 pounds. It Feets constructed of heavy-duty 25-gauge PVC, with dual-tracking fins for easier steering. For storage, the Kayak features a recessed compartment with a secure cargo net. An 86 Inch aluminum paddle is included. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the kayak Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2372", "379", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:34:\"16.2 x 8 x 22.2 inches ; 17 pounds\";s:15:\"Shipping Weight\";s:9:\"31 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:18:\" Imported (China)\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003659NYA\";s:17:\"Item model number\";s:10:\"2000003406\";}");
INSERT INTO `wp_postmeta` VALUES("2373", "379", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2374", "379", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:33:\"Good entry-level inflatable kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 21, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AD5BD28FP8Q0N\";s:4:\"name\";s:16:\"Michael J. Burke\";s:7:\"address\";s:14:\"North Carolina\";}s:4:\"text\";s:986:\"I purchased this so that I could take my girlfriend out on some nearby lakes. Set up was very easy, but I\'d recommend using a manual air pump as opposed to an electronic one. After setting in the water, it took a few minutes to get used to paddling and steering. Since this is my first kayak, I believe any frustration I felt toward this one is due to my inexperience, as now that I\'ve had more time with it on several occasions, I can honestly say that I love every minute of the experience, thanks in large part to the quality of this craft.<br /><br />Recently, I went out on a large lake (Lake Martin in AL) and was pleasantly surprised to see how well the kayak handled waves created by other boats. It glides right over them with ease, mostly without altering your heading! Wonderful construction is to thank for that.<br /><br />All in all, I believe anyone who has not experienced any other inflatable kayak will love this one since it is such an easy entry into hobby kayaking.\";}i:1;a:5:{s:5:\"title\";s:23:\"Relax & Enjoy the Water\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 25, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A20EKGQMDNFTJ7\";s:4:\"name\";s:19:\"Aunty Mo \"Aunty Mo\"\";s:7:\"address\";s:20:\"Huntington Beach, CA\";}s:4:\"text\";s:654:\"This kayak is super comfortable & has decent handling. There are 2 small built-in skegs (bottom fins) for directional control, one at the nose & one at the rear. It\'s long & wide & very stable with very comfortable seats. It came with 2 sets of paddles (not just 1), they\'re light-weight, float & work okay. In the open harbor we bounce a bit in small waves & wakes but that\'s fun! You will get a little wet with the supplied paddles, the water gets trapped in the foot rests & other crevices. The splashing is greatly reduced if you use longer paddles. This kayak really encourages you to just sit back, stretch out, relax & enjoy the scenery. Have fun!\";}i:2;a:5:{s:5:\"title\";s:24:\"Sevylor Inflatable Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 19, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2OYW4IQIWQ9KT\";s:4:\"name\";s:21:\"Penny S. Johnson \"pj\"\";s:7:\"address\";s:28:\"Houston, Texas United States\";}s:4:\"text\";s:190:\"The Sevylor Inflatable Kayak is awesome. I love the fact that you are setting on<br />top and have seperate compartments. It inflates very fast. I higly recommend<br />this inflatable kayak.\";}i:3;a:5:{s:5:\"title\";s:67:\"So comfortable, paddles so so. Easy inflate/deflate. Easy operation\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 5, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A11JMMUU3WH034\";s:4:\"name\";s:15:\"Thomas Erickson\";s:7:\"address\";s:25:\"Lutz Fl and Felt Oklahoma\";}s:4:\"text\";s:2087:\"This is my first kayak. Loved it. So easy to transport. No trailer or roof racks needed. Says kayak will take over 500 pounds. Bought a high volume 12 volt Kwi pump with alligator clamps to spare 12v car battery on shore. Kayak has 8 heavy duty chambers for saftey. If one accidentally deflates no big deal. Inflated kayak in 2 minutes/deflate in 2 minutes. This is so relaxing. Easily carried by one average person. Just casually inflate....no hurry up stress backing up a trailer and off loading in a heavy used area. Bing, bang, boom, your quickly enjoying your kayak.<br /><br />I have lots of arthritis, so it was so comfortable sitting on air... great seats. I\'m 220lbs. Sat in the back seat. Enough free board so even choppy 1/2 foot waves did not get in kayak, just a little water from the paddling. Got a wet butt thats all. I felt very secure with my life vest on sitting in the back inflatable seat.<br /><br />Even has 2 soda can/plastic bottled water holders, a small cargo net on the bow and holders on side to push your paddles in for temporary storage on the water. It\'s enough for me.<br /><br />Took kayak to Clayton Lake State Park NM. Ranger was impressed with ease of operation...inflate/deflate. It was a little breezy. Wind took kayak a little so had to paddle back. Good work out 1 hour.<br /><br />I read bad reviews about the paddles. Two sets supplied. That\'s nice. Read reviews that paddles fell apart and were not the best quality. Before going kayaking I gorilla glued all the joints. Now NOT able to take paddles apart but can not fall apart in water when I\'m using them. For easy/average kayaking these paddles are OK but for serious kayaking I would recommend professional quality paddles. I\'m satisfied with the gorilla gluing of the paddles for easy/average kayaking. If you want to do serious heavy duty kayaking get a better set of paddles.<br /><br />So far kayak 5 stars. I\'m getting another of these 2 person kayaks and possible sail connection. Like to try sailing a catamaran 4 person kayak. Will add to post when I get the other kayak and sail.\";}i:4;a:5:{s:5:\"title\";s:32:\"Great Kayak... Not for the ocean\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"February 4, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3MHLV28A5UFPC\";s:4:\"name\";s:5:\"Chris\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1837:\"Okay let me start by saying that this is a great \'kayak\' for the price. I got mine for $91 shipped and haven\'t looked back. Upon saying that here are the pros and cons:<br /><br />Pros:<br />-Super cheap<br />-Durable*<br />-Easy to transport<br />-Comes with two paddle<br />-Easily inflatable and deflatable<br /><br />Cons:<br />-Sluggish in choppy water<br />-Oars are cheap quality<br />-Can be a little small<br /><br />Overview:<br /><br />Okay so I have had this thing about 2 months and have taken in out about 10 times. I am 6\'2\" 185lbs and my girlfriend is 5\'6\" 140lbs? and for the money this kayak is great. It is a little cramped for me but its not bad once you get used to it.<br /><br />We have taken it two 2 different lakes and it performed great. We took it in the bay at Morro Bay, CA and it did good too even though the water was a bit choppy. When we took it to the beach and in the open ocean and it was a little rougher. We flipped it both times trying to paddle out and back in, so this isn\'t that stable on waves more than foot or so, but its still really fun!!<br /><br />Also when we took it out in the ocean one of the connector joints on my paddle snapped in half so I had to replace it ($2.50 at Home Depot). I am sure the warranty would have covered this but I am not the type of person to deal with that hassle. Anyways the paddles that it came with are a little short for me and not super strong, but if you are just taking this out on the lake, a calm river, or in a bay then they will get the job done. Overall I think that this was a great buy and I have already gotten my money out of it. It is definitely a great deal and personally I would recommend it for those who will use it in calm water. The only reason I gave it 4 stars is because one of the paddles broke.<br /><br />Hope this was helpful.\";}i:5;a:5:{s:5:\"title\";s:11:\"Great Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 14, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1L5A0AS3P2DGS\";s:4:\"name\";s:5:\"Scott\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:470:\"This is a well built spacious kayak. We used it on calm waters and it performed well. Very stable, never felt like it would tip over. Oars are good but you have to make sure the pieces are screwed together tight. It is easy to fill the kayak with a pump but does take some time since there are 8 sections to fill. Overall this is well worth the money. You will never get it back in the original box once you open it and fill so have a bigger place to store it after use.\";}i:6;a:5:{s:5:\"title\";s:23:\"Good Deal for Low Price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 13, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2WFDF0O6CD8JH\";s:4:\"name\";s:8:\"Michelle\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:861:\"This is good if you want a leisurely tour of a lake or while going down a calm river. Moderate wind does affect direction and causes the kayak to drift. This kayak comes with TWO paddles, which is nice, but is made unclear by the description given of the item. Unfortunately, the paddles are of very poor quality and are uncomfortable to paddle with for extended periods of time. One of the plastic units that hold the paddles together broken on me the first time I took it out on a lake with my boyfriend, but seems fixable with duct tape. Kayak is surprising steady when exiting and entering and does not seem like it will tip easily. Also, VERY comfortable seats as other reviews have mentioned. Overall, it is a good purchase for someone who wants a kayak but does not want to make a huge investment. (Also comes with patch kit not mentioned in description)\";}i:7;a:5:{s:5:\"title\";s:19:\"We adore our kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 11, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ADKAKYHGYU7AR\";s:4:\"name\";s:26:\"Raine Miller \"rainelovesj\"\";s:7:\"address\";s:33:\"North Oregon Coast, United States\";}s:4:\"text\";s:585:\"We had never kayaked before ordering this. Wow, was it easy! Paddling, direction, all of it is a piece of cake with this boat. My daughter\'s friend came to visit so we let them take our kayak out, and we rented a hard sided type to see how it differed. Boy, did we hate it! It was soooo different, difficult to steer, and uncomfortable. We were quite pleased to know for certain that our inflatable was a better choice, easy to transport, and a piece of cake to in/deflate. You won\'t go wrong with this choice. Even a repair, as we\'ve had to do because of our own negligence, was easy.\";}i:8;a:5:{s:5:\"title\";s:48:\"Surprisingly durable but some minor design flaws\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 15, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5AP2KGHZZ78J\";s:4:\"name\";s:9:\"BeachGoer\";s:7:\"address\";s:12:\"Honolulu, HI\";}s:4:\"text\";s:1496:\"I\'m assuming this is a Coleman carryover to the Sevylor line; that said, I was attracted to the paddleboard nature of this (i.e. over the more \"TIPPY\" kayak), and its ability to hold 2 more comfortably due to footrests, and it\'s easier to re-board if you fall off or intentionally dive off.<br /><br />I paddled with this to Mokulua islet off Lanikai; it\'s sluggish (as you\'d expect of any inflatable) but it steers fairly well, and even scraping over coral, it held together with no holes, just scratch marks on the bottom. The wind doesn\'t carry this as much as the \"Classic\" K79 Kayak, which of course has a higher profile. Being so low to the water, and having a substantial width, even large waves couldn\'t tip us over.<br /><br />There are some flaws however: 1) Don\'t rely on the supplied paddles, buy REAL kayak paddles and take 1 or 2 disassembled as \"backups\" in case your regular one breaks. 2) There is no rear cargo space, a real disappointment. There aren\'t even any loops to tie bungee cords as an option. 3) Lacking the aluminum inserts that the original Sevylor ST (sit-on-tops from the 90\'s) had, this flops with the waves, providing no support in the middle. 4) The paddle holders don\'t hold anything. 5) There are no loops to latch anything onto except the front cargo netting (not firmly attached anyway) or the front handle.<br /><br />Other than that, it did its job...it got us to/from Mokulua and Lanikai. We paddled as far as Kailua BP before giving up - what a workout!\";}i:9;a:5:{s:5:\"title\";s:14:\"Couch on water\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 12, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3GHWP2TOHNPWP\";s:4:\"name\";s:7:\"M. Lien\";s:7:\"address\";s:27:\"Nashville, TN United States\";}s:4:\"text\";s:287:\"Like other reviews, this is VERY comfortable. It feels like sitting on a couch on the water. For a small 5\'4\" female, this is a bit too wide for me. It\'ll be perfect for a large man. Very comfortable. Doesn\'t go fast. Great for a leisurely stroll down water lane. .. not built for speed.\";}}");
INSERT INTO `wp_postmeta` VALUES("2327", "374", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:10:\"1.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001AI69OM\";s:17:\"Item model number\";s:7:\"CPG-012\";}");
INSERT INTO `wp_postmeta` VALUES("2318", "373", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001AI4HKA\";s:17:\"Item model number\";s:6:\"CPG-08\";}");
INSERT INTO `wp_postmeta` VALUES("2319", "373", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("2320", "373", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:50:\"Great paddle for beginner to intermediate kayakers\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1MXCR26S9S8PR\";s:4:\"name\";s:2:\"DG\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1457:\"I was looking for something to get out and get started with, but wasn\'t happy with the $30 paddles in sporting goods stores. They were ugly, didn\'t look efficient, and seemed heavier than these. Anything in this class was $80+ in store, so I came to Amazon and glad I did. This is a great paddle for beginners, feels better in the hands and has more options (feathering for paddling into wind) than the cheapies. These also feel lighter (but I\'m not certain they are) than the $30 ones. Drip rings work well to keep you dry and they\'re as easy to store/transport as any 2 piece. Bonus, it matches my 2 Old Town kayaks that I picked up on clearance! If you\'re planning to spend a lot of time on the water, you might want to invest in yakgrips or gloves because these aren\'t as ergonomic as some of the higher end paddles (in the $300 range) and I tend to get blisters on long trips. Grips also help here in FL where the sun can soak in the black shaft and make it pretty hot to the touch. I\'d also invest in a paddle leash and/or paddle floats to keep your investment safe in the event of a tip (or other oopsie!) because these will take on water pretty fast if you let them float away, probably due to the 2 part design and the feathering holes on the shaft. I learned this the hard way when I had to dive for mine in frigid spring water (luckily I could see it through the water!) Types of water I paddle: intercoastal ocean, flat lakes, spring fed rivers.\";}i:1;a:5:{s:5:\"title\";s:30:\"Very Smooth Paddle, Good Price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3HVD6AEA5XGBZ\";s:4:\"name\";s:7:\"Matt J.\";s:7:\"address\";s:12:\"New York USA\";}s:4:\"text\";s:1409:\"I was very impressed by this paddle. I bought it for my fiance for her birthday(along with a 10\'6\" Old Town Dirigo 106). I used it for about 10 minutes, but it felt much better than my <a href=\"http://www.amazon.com/gp/product/B001AI69OM\">Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece</a>.<br /><br />I first noticed that it entered the water much smoother than my Day Tripper. I didn\'t realize how much I splashed until I used this paddle. It wasn\'t much lighter, if at all, but it did allow me to go faster than my Day Tripper. This paddle does come with splash guards. It breaks down into two pieces for easy travel and storage. It also allows you to clock the paddle 60 degrees if you prefer.<br /><br />When buying a kayak paddle for recreational or touring use(not whitewater rafting), you need to take into account your height, and measure the width of the kayak at the seat. Generally, if your kayak is less than 24 inches wide at the seat, you would go with a 220cm paddle, 230cm if you are tall(maybe 6\' plus). If your Kayak is wider than 24 inches, you would go with a paddle 230cm, and 240cm if you are tall. It also depends on what is comfortable for you, so the best thing do would be to try out a bunch of different length paddles until you find the length you like best. However, that might not be possible for most people. I figured I\'d type this out to help out my fellow kayakers :).\";}i:2;a:5:{s:5:\"title\";s:27:\"Great product for the money\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 28, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AVW0C21S4OG50\";s:4:\"name\";s:5:\"cBlu3\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:761:\"Awesome paddle for the money, sturdy enough to use it to enter your kayak without fear of bending the shaft, which is rare for a paddle with an aluminum shaft. Its not too heavy at all. Best bang for the buck, i used to recommend people the bending branches whisper for a good beginner / intermediate / spare paddle, but this one is 10x better in my opinion. Definitely a good buy. Only gripe i have is that the picture of the paddle does not accurately represent its color, it doesnt have fade from dark orange to the lighter orange, its solid orange all the way across. the reviews that mention a bend in the shaft are correct, however this bend is INTENTIONAL and as soon as you take your paddle out on the water you will see why its there and appreciate it.\";}i:3;a:5:{s:5:\"title\";s:37:\"For the price cannot beat this paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3FO0TG7N06G77\";s:4:\"name\";s:2:\"PW\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:338:\"For the reviewers who complained about the bent (narrow) portion of the paddle handle it is supposed to be this way like many other paddles. Overall, for a intermediate-beginner paddle you cannot beat this one for value/performance. I have used this paddle on numerous occasions and cannot wait for a couple that I just ordered to arrive.\";}i:4;a:5:{s:5:\"title\";s:11:\"in my hands\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 2, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A10Z8FC0SMU5VQ\";s:4:\"name\";s:18:\"Dorraine M. Rooney\";s:7:\"address\";s:17:\"Wesley Chapel, FL\";}s:4:\"text\";s:354:\"This paddle feels greaat in my hands. Light with a wide paddle for yakkin in the ocean. I really like the blue and think it will stand out when I need people to see me.<br /><br />Okay, I am here to write more a few months later...I love my paddle and for my 17\' yak I can pull loads of power without wiping out my shoulders...great buy- still very happy\";}i:5;a:5:{s:5:\"title\";s:25:\"Good paddle for the price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3NZGI2BZU85KU\";s:4:\"name\";s:9:\"trvlrerik\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:618:\"Purchased as a spare/loaner paddle, pleasantly suprized with the fit of the center splicer. It is tight enough to allow the paddle to float for extended period of time and not fill with water rapidly. I have seen comments in regard to the oval shape of the right hand shaft, this is intentional for use of the offset blade angles. It allows the right control hand to orient the blades more easily. Your right hand holds the shaft of the paddle, allowing the left hand to spin to orient the blade on entry into the water. Over all it is a good inexpensive paddle that is strong enough for use in getting into the kayak.\";}i:6;a:5:{s:5:\"title\";s:32:\"Great kayak paddle for the price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 26, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1DZ2YFG52GDHX\";s:4:\"name\";s:9:\"Suzie2011\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:149:\"I purchased this paddle from Amazon after getting another one from a sporting goods store. It is a great recreation paddle and I paid less on Amazon.\";}i:7;a:5:{s:5:\"title\";s:30:\"Good Paddle, would buy again!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AH8EZ931X48CN\";s:4:\"name\";s:13:\"hill tamuolis\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:503:\"I am not a serious everyday competition paddler or anything, but do go out in the ocean so I need a certain level of quality. I needed a third paddle for a friend who came to visit my Island for a week. I chose this paddle because it was low cost and looked decent.<br />After using it, I am satisfied with the feel of it. My other 2 paddles are Bending Branches. I sometimes use this Carlisle paddle myself just for variety. I also like the color of blue, it looks cool against my red Necky Looksha 17.\";}i:8;a:5:{s:5:\"title\";s:9:\"Best deal\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 15, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3SJGMK9TII3RX\";s:4:\"name\";s:5:\"Maila\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:200:\"I could not find a better deal in the internet nor local sporting stores. Carlisle makes good product. If you do not mind the extra ounces and lower cost compared to fiberglass, this might be for you.\";}i:9;a:5:{s:5:\"title\";s:26:\"Was great...until it broke\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"August 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1AUNUVBC8FBDA\";s:4:\"name\";s:13:\"Shawn Bonnell\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1134:\"First off, I recognize that riding ocean waves puts an inordinate amount of pressure on the paddle. Perhaps I should have ponied up for something more in line with the intended use.<br /><br />I decided to buy this 240 cm paddle on Amazon after I had broken a cheap, old one. The paddle looks great and I was stoked, but I snapped it clean in half on the first wave (4-5 feet) of my second session out with it. Went to turn off the top, dug the paddle in, and it snapped where the two halves connect.<br /><br />I like the paddle well enough, though, to mend it. I ran a 10\" piece of stainless steel tube through the paddle and bolted the two halves back together. Seems new and improved, albeit a bit Frankensteinish now. In the course of mending it, I also decided to shorten the paddle by 8 inches. I figured all along that the 240 cm might be longer than I\'d like, but it was $15 cheaper than the 220cm and I can\'t pass up a deal. And not being totally certain what length I prefer, I opted for the bargain. Sure enough, it ended up being well longer than I wanted. But the break provided me the perfect opportunity to shorten it.\";}}");
INSERT INTO `wp_postmeta` VALUES("2321", "373", "asg_last_refresh_attempt", "1371235595");
INSERT INTO `wp_postmeta` VALUES("2322", "373", "asg_update_timestamp", "1371235595");
INSERT INTO `wp_postmeta` VALUES("2323", "374", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2324", "374", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2325", "374", "asg_item_id", "B001AI69OM");
INSERT INTO `wp_postmeta` VALUES("2326", "374", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B001AI69OM\";s:10:\"ParentASIN\";s:10:\"B001AI69OM\";s:13:\"DetailPageURL\";s:212:\"http://www.amazon.com/Carlisle-Tripper-Aluminum-Kayak-Paddle/dp/B001AI69OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001AI69OM\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:222:\"http://www.amazon.com/Carlisle-Tripper-Aluminum-Kayak-Paddle/dp/tech-data/B001AI69OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI69OM\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001AI69OM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI69OM\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001AI69OM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI69OM\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001AI69OM%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI69OM\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001AI69OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI69OM\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001AI69OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI69OM\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001AI69OM%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI69OM\";}}}s:9:\"SalesRank\";s:4:\"3868\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL75_.jpg\";s:6:\"Height\";s:1:\"9\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL160_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL30_.jpg\";s:6:\"Height\";s:1:\"4\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL75_.jpg\";s:6:\"Height\";s:1:\"9\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL75_.jpg\";s:6:\"Height\";s:1:\"9\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL110_.jpg\";s:6:\"Height\";s:2:\"13\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL160_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:11:\"Electronics\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"CPG-012\";}s:7:\"Feature\";a:5:{i:0;s:29:\"Blade Material: polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:23:\"Weight: 37 oz. (230 cm)\";i:3;s:39:\"Blade Color: black  Shaft Color: silver\";i:4;s:36:\"Lengths: (cm) 2-piece: 220, 230, 240\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4330\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$43.30\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:7:\"CPG-012\";s:3:\"MPN\";s:10:\"0125570830\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"4400\";s:6:\"Weight\";s:3:\"120\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"0125570830\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:20:\"CONSUMER_ELECTRONICS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:3:\"SKU\";s:8:\"APP00426\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:52:\"Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"3380\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$33.80\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"6462\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$64.62\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"3\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:4:\"Size\";i:1;s:5:\"Color\";}}s:4:\"Item\";a:3:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B001AI4HQY\";s:10:\"ParentASIN\";s:10:\"B001AI69OM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL75_.jpg\";s:6:\"Height\";s:1:\"9\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL160_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL30_.jpg\";s:6:\"Height\";s:1:\"4\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL75_.jpg\";s:6:\"Height\";s:1:\"9\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL75_.jpg\";s:6:\"Height\";s:1:\"9\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL110_.jpg\";s:6:\"Height\";s:2:\"13\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL._SL160_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21Nd3Um9UuL.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:27:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2557.0820\";}s:5:\"Color\";s:12:\"Black/Silver\";s:10:\"Department\";s:4:\"Mens\";s:3:\"EAN\";s:13:\"0726048570823\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0726048570823\";}s:7:\"Feature\";a:5:{i:0;s:29:\"Blade Material: polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:23:\"Weight: 37 oz. (230 cm)\";i:3;s:39:\"Blade Color: black  Shaft Color: silver\";i:4;s:36:\"Lengths: (cm) 2-piece: 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2557.0820\";s:3:\"MPN\";s:12:\"01.2557.0820\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:4:\"4600\";s:6:\"Weight\";s:3:\"239\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2557.0820\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"220 cm\";s:3:\"SKU\";s:11:\"RVLM-789705\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:75:\"Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece (Black/Silver, 220 cm)\";s:3:\"UPC\";s:12:\"726048570823\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"726048570823\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:12:\"Black/Silver\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"220 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:112:\"ZTJoGhTW6Zp0biv366%2FcvRy0YHfEpJ7H26gkoLUnXx0UV0wLWF3X2YxhSpk3ctiP8bjmg3jEjZo9PKXNtYQugfXBLhvdpNzqviA49sYudW4%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4258\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$42.58\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"741\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.41\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B001AI4HR8\";s:10:\"ParentASIN\";s:10:\"B001AI69OM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL.jpg\";s:6:\"Height\";s:3:\"271\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL.jpg\";s:6:\"Height\";s:3:\"271\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2557.0830\";}s:5:\"Color\";s:12:\"Black/Silver\";s:3:\"EAN\";s:13:\"0726048570830\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0726048570830\";}s:7:\"Feature\";a:5:{i:0;s:29:\"Blade Material: polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:23:\"Weight: 37 oz. (230 cm)\";i:3;s:39:\"Blade Color: black  Shaft Color: silver\";i:4;s:36:\"Lengths: (cm) 2-piece: 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2557.0830\";s:3:\"MPN\";s:12:\"01.2557.0830\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"210\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"245\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2557.0830\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"230 cm\";s:3:\"SKU\";s:12:\"WN0125570830\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:75:\"Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece (Black/Silver, 230 cm)\";s:3:\"UPC\";s:12:\"726048570830\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"726048570830\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:12:\"Black/Silver\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"230 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:122:\"QcXqkrD5V5qyU%2BKnSCQA%2FlwpUIKYhQO7nGcmLPvX%2FsDekAj5fdU%2FV4p%2FUmqNDff2iFVdYsqqA903RVE59IGdOnY9Jyro4%2BkQ0siC0PP0oms%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4258\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$42.58\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"741\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.41\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B001AI0Q2I\";s:10:\"ParentASIN\";s:10:\"B001AI69OM\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL.jpg\";s:6:\"Height\";s:3:\"271\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31sXKRvF8JL.jpg\";s:6:\"Height\";s:3:\"271\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2557.0840\";}s:5:\"Color\";s:12:\"Black/Silver\";s:3:\"EAN\";s:13:\"0726048570847\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0726048570847\";}s:7:\"Feature\";a:5:{i:0;s:29:\"Blade Material: polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:23:\"Weight: 37 oz. (230 cm)\";i:3;s:39:\"Blade Color: black  Shaft Color: silver\";i:4;s:36:\"Lengths: (cm) 2-piece: 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2557.0840\";s:3:\"MPN\";s:12:\"01.2557.0840\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"4790\";s:6:\"Weight\";s:3:\"195\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2557.0840\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"240 cm\";s:3:\"SKU\";s:8:\"LL789707\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:75:\"Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece (Black/Silver, 240 cm)\";s:3:\"UPC\";s:12:\"726048570847\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"726048570847\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:12:\"Black/Silver\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"240 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:26:\"Smugglers Cove Yachts, Inc\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:164:\"L5dxFn2X2PZMYXtjyLjdPgEvXdUB1RpcLu1zQ83yQtTmkDc%2BZ%2BykacTSCS0XKvhzFH5uRkbDAlVQibCDgnLm4Hxo%2FZ3VOi6RtPdB5g8nog8wDvkCQqIqegoxHmznt5h%2FEo4ywDGhbAs2jdk8SbSnEA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4251\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$42.51\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"748\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.48\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001AI69OM&atag=freetos-20&exp=2013-06-15T18%3A46%3A36Z&v=2&sig=j%2BVOvJUOm99pK%2BP95upYy7USQ4R6v8sBxLV4H0Loat4%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:325:\"With polypropylene blades and a high strength aluminum shaft the Carlisle Day Tripper is the right choice for an inexpensive quality kayak  paddle.  The push-button two-piece design allows blades to be feathered at 60-degress for right or left hand control or used in-line.  It also allows for easy storage as a spare paddle.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2313", "372", "asg_update_timestamp", "1371235592");
INSERT INTO `wp_postmeta` VALUES("2314", "373", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2315", "373", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2316", "373", "asg_item_id", "B001AI4HKA");
INSERT INTO `wp_postmeta` VALUES("2317", "373", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B001AI4HKA\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:13:\"DetailPageURL\";s:208:\"http://www.amazon.com/Carlisle-Magic-Mystic-Kayak-Paddle/dp/B001AI4HKA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001AI4HKA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:218:\"http://www.amazon.com/Carlisle-Magic-Mystic-Kayak-Paddle/dp/tech-data/B001AI4HKA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HKA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001AI4HKA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HKA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001AI4HKA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HKA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001AI4HKA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HKA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001AI4HKA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HKA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001AI4HKA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HKA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001AI4HKA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001AI4HKA\";}}}s:9:\"SalesRank\";s:4:\"3538\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL._SL160_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL._SL30_.jpg\";s:6:\"Height\";s:1:\"3\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL._SL75_.jpg\";s:6:\"Height\";s:1:\"8\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL._SL110_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL._SL160_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21dpfCiHDmL.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:17:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"CPG-08\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:50:\"Shaft Material: Lightweight Tempered Aluminum with\";i:2;s:25:\"Weight: 35.3 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$55.00\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:6:\"CPG-08\";s:3:\"MPN\";s:10:\"0125093489\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:4:\"1500\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"0125093489\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:71:\"Carlisle Magic Mystic Poly Kayak Paddle - Polypro Blades/Aluminum Shaft\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"3999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.99\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"10574\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$105.74\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"9\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";a:2:{i:0;s:4:\"Size\";i:1;s:5:\"Color\";}}s:4:\"Item\";a:9:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B001AI0PZG\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3492\";}s:5:\"Color\";s:11:\"Cloud/Black\";s:3:\"EAN\";s:13:\"0759239223536\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239223536\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:25:\"Weight: 35.3 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3492\";s:3:\"MPN\";s:12:\"01.2509.3492\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"4700\";s:6:\"Weight\";s:3:\"250\";s:5:\"Width\";s:4:\"1150\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3492\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"220 cm\";s:3:\"SKU\";s:12:\"W-0125093492\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:82:\"Carlisle Magic Mystic Kayak Paddle - Polypro Blades/Aluminum Shaft (Cloud, 220 cm)\";s:3:\"UPC\";s:12:\"759239223536\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239223536\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Cloud/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"220 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:122:\"rT%2Fyl25SGe%2BLBD6UjS0HdNHt%2B99wYgQkSigocNpIL%2F8EeoejnOvSvZEnCrUSKvnyyjJi0DEkDVY%2FgXaaOQmnIw1j2wvowVhlFqbxKgw%2FPbA%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4889\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$48.89\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1110\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.10\";}s:15:\"PercentageSaved\";s:2:\"19\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B001AI4HJG\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21KjcQbHmnL.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3489\";}s:5:\"Color\";s:13:\"Sunrise/Black\";s:3:\"EAN\";s:13:\"0759239223505\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239223505\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:50:\"Shaft Material: Lightweight Tempered Aluminum with\";i:2;s:25:\"Weight: 35.3 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:2:{s:6:\"Length\";s:3:\"220\";s:6:\"Weight\";s:1:\"0\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3489\";s:3:\"MPN\";s:12:\"01.2509.3489\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"100\";s:6:\"Length\";s:4:\"4400\";s:6:\"Weight\";s:3:\"256\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3489\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"220 cm\";s:3:\"SKU\";s:12:\"W-0125093489\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:84:\"Carlisle Magic Mystic Kayak Paddle - Polypro Blades/Aluminum Shaft (Sunrise, 220 cm)\";s:3:\"UPC\";s:12:\"759239223505\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239223505\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:13:\"Sunrise/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"220 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:9:\"Bob Wards\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:148:\"5X%2FtPVrWqBM48vW9Rcen22iJCRtJ%2B5rDaWDV0RuAdbPwZ7EKH62QcPVxwNwRV%2FEknKpfvuPKbA4X3xThIJeRwbTVrwWqWu76Zk2Tz28fIAO2WZhw5r1bwfu92vfSAJzWaH3MH1SC1Eo%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$49.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.00\";}s:15:\"PercentageSaved\";s:2:\"17\";s:12:\"Availability\";s:34:\"Usually ships in 4-5 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"96\";s:12:\"MaximumHours\";s:3:\"120\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:2;a:9:{s:4:\"ASIN\";s:10:\"B00B0H6AWY\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Carlisle\";s:5:\"Color\";s:11:\"White/Black\";s:3:\"EAN\";s:13:\"0759239276938\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239276938\";}s:5:\"Label\";s:8:\"Carlisle\";s:12:\"Manufacturer\";s:8:\"Carlisle\";s:3:\"MPN\";s:12:\"01.2509.3875\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"270\";}s:10:\"PartNumber\";s:12:\"01.2509.3875\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:4:\"Size\";s:6:\"230 cm\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:65:\"Carlisle Magic Mystic Aluminum Paddle Straight Shaft Limon, 230cm\";s:3:\"UPC\";s:12:\"759239276938\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239276938\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"White/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"230 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:144:\"HW4J%2B3TlrjvsjO9edVu2IEQO2HxwGHVuHKla7q1IMsyVXxGqWJdxWSV85wmkvuPACgTk6FlKJTGyhdXx25tnO32epvTeLbfMSwTf5ZlS6ELiTfmVKMqWyQZLlRlhUwKmkxnUzvd46L0%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.95\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"5096\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$50.96\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.99\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:3;a:9:{s:4:\"ASIN\";s:10:\"B001AI0PZQ\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3493\";}s:5:\"Color\";s:11:\"Cloud/Black\";s:3:\"EAN\";s:13:\"0759239223543\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239223543\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:25:\"Weight: 35.3 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3493\";s:3:\"MPN\";s:12:\"01.2509.3493\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"245\";s:5:\"Width\";s:4:\"1000\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3493\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"230 cm\";s:3:\"SKU\";s:12:\"W-0125093493\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:82:\"Carlisle Magic Mystic Kayak Paddle - Polypro Blades/Aluminum Shaft (Cloud, 230 cm)\";s:3:\"UPC\";s:12:\"759239223543\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239223543\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Cloud/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"230 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:114:\"cC3QKQMYtDeyN%2FPw4zJZtjVyLw60gXbehDakkC3VbtKoxcbir4iAmWNiaecd1vfoQq4jN5usOrV42eYc6vLbj5%2BFTLOSyExQ5MsrIlp12sA%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4889\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$48.89\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1110\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.10\";}s:15:\"PercentageSaved\";s:2:\"19\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:4;a:9:{s:4:\"ASIN\";s:10:\"B001AI4HJQ\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL.jpg\";s:6:\"Height\";s:3:\"271\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL.jpg\";s:6:\"Height\";s:3:\"271\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3490\";}s:5:\"Color\";s:13:\"Sunrise/Black\";s:3:\"EAN\";s:13:\"0759239223512\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239223512\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:25:\"Weight: 35.3 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3490\";s:3:\"MPN\";s:12:\"01.2509.3490\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"4900\";s:6:\"Weight\";s:3:\"240\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3490\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"230 cm\";s:3:\"SKU\";s:13:\"CAR0125093490\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:84:\"Carlisle Magic Mystic Kayak Paddle - Polypro Blades/Aluminum Shaft (Sunrise, 230 cm)\";s:3:\"UPC\";s:12:\"759239223512\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239223512\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:13:\"Sunrise/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"230 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:120:\"QOGbjmkV%2FE1MoeCuTBQm%2BQhyWAV%2FOhE6vJ%2BeDQxqWtgrk7DnMh49pWvaLdSihPoNcj35hq6E1wQ6OjOo%2BaxWbJSrvn0JNELHeEJ7RktnB0Q%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4859\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$48.59\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1140\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$11.40\";}s:15:\"PercentageSaved\";s:2:\"19\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:5;a:9:{s:4:\"ASIN\";s:10:\"B001AI69HE\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31JaZggjBEL.jpg\";s:6:\"Height\";s:3:\"272\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3494\";}s:5:\"Color\";s:11:\"Cloud/Black\";s:3:\"EAN\";s:13:\"0759239223550\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239223550\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:25:\"Weight: 35.3 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:4:\"5500\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3494\";s:3:\"MPN\";s:12:\"01.2509.3494\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"5050\";s:6:\"Weight\";s:3:\"270\";s:5:\"Width\";s:4:\"1140\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3494\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"240 cm\";s:3:\"SKU\";s:12:\"WN0125093494\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:82:\"Carlisle Magic Mystic Kayak Paddle - Polypro Blades/Aluminum Shaft (Cloud, 240 cm)\";s:3:\"UPC\";s:12:\"759239223550\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239223550\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:11:\"Cloud/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"240 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:116:\"S31ulKVau6ClePZ%2FV3Tm63wLh8y8CrGblpynFpWs3Xtr90UgIOS5xG4HtYwWel5hTixcfG6jn5TSN1J%2Bkyke1feeudrJUde5RKmbfm26%2B9U%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5303\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$53.03\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"696\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$6.96\";}s:15:\"PercentageSaved\";s:2:\"12\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:6;a:9:{s:4:\"ASIN\";s:10:\"B001AI69H4\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL.jpg\";s:6:\"Height\";s:3:\"271\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL._SL160_.jpg\";s:6:\"Height\";s:2:\"87\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ViSctYzyL.jpg\";s:6:\"Height\";s:3:\"271\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:20:\"Carlisle Paddle Gear\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:12:\"01.2509.3491\";}s:5:\"Color\";s:13:\"Sunrise/Black\";s:3:\"EAN\";s:13:\"0759239223529\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239223529\";}s:7:\"Feature\";a:5:{i:0;s:76:\"Blade Material: Lightweight & Durable High-Impact Glass-Filled Polypropylene\";i:1;s:45:\"Shaft Material: Lightweight Tempered Aluminum\";i:2;s:25:\"Weight: 35.3 oz. (220 cm)\";i:3;s:35:\"Colors Available: Sunrise and Cloud\";i:4;s:37:\"Lengths Available: (cm) 220, 230, 240\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"400\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:20:\"Carlisle Paddle Gear\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.99\";}s:12:\"Manufacturer\";s:20:\"Carlisle Paddle Gear\";s:5:\"Model\";s:12:\"01.2509.3491\";s:3:\"MPN\";s:12:\"01.2509.3491\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"200\";s:6:\"Length\";s:4:\"5030\";s:6:\"Weight\";s:3:\"260\";s:5:\"Width\";s:4:\"1200\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:12:\"01.2509.3491\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:20:\"Carlisle Paddle Gear\";s:4:\"Size\";s:6:\"240 cm\";s:3:\"SKU\";s:13:\"CAR0125093491\";s:6:\"Studio\";s:20:\"Carlisle Paddle Gear\";s:5:\"Title\";s:84:\"Carlisle Magic Mystic Kayak Paddle - Polypro Blades/Aluminum Shaft (Sunrise, 240 cm)\";s:3:\"UPC\";s:12:\"759239223529\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239223529\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:13:\"Sunrise/Black\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:6:\"240 cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:15:\"HPP Enterprises\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:166:\"qCtH0jharQhWIjPO0n8NVFUsuzgLbIzKKemrdbi%2FFcKtFxOsRxJcvLCMDtIVrBjZ4ohCx4yx%2Bd1xuu00MEPivNJtQujgZPjiKXqKlQpnPH%2BfFlNUI8xgdBYcxkO3OZfrBDP3%2BpxiGguQZ%2BlH5r59dg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"4090\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$40.90\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1909\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$19.09\";}s:15:\"PercentageSaved\";s:2:\"32\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:7;a:9:{s:4:\"ASIN\";s:10:\"B0079YN818\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Carlisle\";s:5:\"Color\";s:5:\"Limon\";s:3:\"EAN\";s:13:\"0759239276921\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239276921\";}s:5:\"Label\";s:8:\"Carlisle\";s:12:\"Manufacturer\";s:8:\"Carlisle\";s:3:\"MPN\";s:12:\"01.2509.3870\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"270\";}s:10:\"PartNumber\";s:12:\"01.2509.3870\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:4:\"Size\";s:5:\"220cm\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:65:\"Carlisle Magic Mystic Aluminum Paddle Straight Shaft Limon, 220cm\";s:3:\"UPC\";s:12:\"759239276921\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239276921\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Limon\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"220cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:158:\"bTkUUYnxmTcHqPWbjuBH79dgbgK4xh%2BOSgLq6%2BhSkGN%2FuhgSbyqdZd7Pxg5j34ie1ISDM%2FO0Qmow%2FtM9Ss9%2B9APmqHiwH35tA6%2FNLBt5g1JPRgE4r7lu9MmES8KMzOkkwJQhLX%2FBsCw%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.95\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"5096\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$50.96\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.99\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}i:8;a:9:{s:4:\"ASIN\";s:10:\"B0079YN8LI\";s:10:\"ParentASIN\";s:10:\"B001AI4HKA\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21VxW6BnH6L.jpg\";s:6:\"Height\";s:3:\"440\";s:5:\"Width\";s:3:\"440\";}}}s:14:\"ItemAttributes\";a:18:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:8:\"Carlisle\";s:5:\"Color\";s:5:\"Limon\";s:3:\"EAN\";s:13:\"0759239276945\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0759239276945\";}s:5:\"Label\";s:8:\"Carlisle\";s:12:\"Manufacturer\";s:8:\"Carlisle\";s:3:\"MPN\";s:12:\"01.2509.3880\";s:17:\"PackageDimensions\";a:1:{s:6:\"Weight\";s:3:\"270\";}s:10:\"PartNumber\";s:12:\"01.2509.3880\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Carlisle\";s:4:\"Size\";s:5:\"240cm\";s:6:\"Studio\";s:8:\"Carlisle\";s:5:\"Title\";s:65:\"Carlisle Magic Mystic Aluminum Paddle Straight Shaft Limon, 240cm\";s:3:\"UPC\";s:12:\"759239276945\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"759239276945\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{i:0;a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:5:\"Limon\";}i:1;a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:5:\"240cm\";}}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:11:\"Backcountry\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:8:{s:14:\"OfferListingId\";s:154:\"374xjTAkJ1X7X3tY9Z18BBy%2BUkIiL4vOdjANdu4xhbEaMMLdZ6klR9oedHL3b%2BH38osyh%2B9Bc8Lep6%2BkArTjRgNV8AnzjwmkZG1TEkfN1QRa45%2B1xoPqgYNBMaE8UzZ%2FIMCBObpPCgg%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.95\";}s:9:\"SalePrice\";a:3:{s:6:\"Amount\";s:4:\"5096\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$50.96\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.99\";}s:15:\"PercentageSaved\";s:2:\"15\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001AI4HKA&atag=freetos-20&exp=2013-06-15T18%3A46%3A32Z&v=2&sig=m8tcVXGSFruo04v9gLCizTAt1hDCl7qrTWXA%2BNJIvzk%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:591:\"A durable aluminum shaft makes the Carlisle Magic Mystic Kayak Paddle a reliable introductory paddle. Fiberglass reinforced polypropylene blades are efficiently designed and offer impressive power when on the water. The blades are created using a gas assist injection method that helps to eliminate excess material and weight without sacrificing either strength or durability.   The black anodized tempered aluminum shaft has push button indexing for 60 degree right-hand control offset and in-line paddling.  Colors available: Sunrise and Cloud.  Lengths available: 220cm, 230cm, and 240cm.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2312", "372", "asg_last_refresh_attempt", "1371235592");
INSERT INTO `wp_postmeta` VALUES("3670", "512", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:32:\"19 x 15 x 6 inches ; 16.4 pounds\";s:15:\"Shipping Weight\";s:11:\"16.9 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0032GUR0C\";s:17:\"Item model number\";s:10:\"2000003390\";}");
INSERT INTO `wp_postmeta` VALUES("3671", "512", "asg_star_rating", "3.7");
INSERT INTO `wp_postmeta` VALUES("3672", "512", "asg_customer_reviews", "a:7:{i:0;a:5:{s:5:\"title\";s:19:\"great toy, very fun\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 11, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2NITF2GD59FVL\";s:4:\"name\";s:34:\"L. Patterson \"Living for the King\"\";s:7:\"address\";s:6:\"Boston\";}s:4:\"text\";s:698:\"I bought this raft to use on the Charles River in Boston, simply a new fun thing to do on summers. It\'s worked out great, i\'ve used it dozens of times. Other reviews claim the oars break easily, but i still have the originals and they work fine. Maybe a little small, but it\'s ok. The 3 person boat is more like a 2 person boat, or a super over crowded 3 person one. I\'ve gone out with my husband and our 55 lb dog, and there\'s no room to turn around in there with the three of us. It inflates and deflates super quick with a pump, so you can bring it right to the water edge fill it up and go, and later deflate it and vacuum out the air so it stores very small. I\'ve loved it and do recommend it.\";}i:1;a:5:{s:5:\"title\";s:40:\"I\'m on a Boat! (a small inflatable boat)\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 17, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2RAH9NE43GQ2C\";s:4:\"name\";s:2:\"PD\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:457:\"My wife bought this raft - I inflated it. We bought a pump; it filled up in no time. Took myself, the better half, and our young offspring on a float down a little river in Maine. Oars worked fine, and it was as comfy as if I was floating on air. Above water. Literally. Oars can be unscrewed and split into 2 at the mid point, good for storage. To deflate it, my advice is get a pair of vice grips to pinch the nozzles and spare your fingers the arthritis.\";}i:2;a:5:{s:5:\"title\";s:23:\"great quality for price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 13, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3MBDHWE293QX7\";s:4:\"name\";s:12:\"Cheryl Roach\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1195:\"Every year I buy a new inflatable boat for my son who is now almost 11. Looks like this one is a keeper and the way it looks right now, we won\'t need a new one for next year. We live on a saltwater canal on Long Island. This boat arrived quickly and I was surprised at how sturdy the boat is. Also I didn\'t realize that it also came with oars (I am sure it was in the description but since I already have oars I didn\'t notice). It inflated quickly by using a foot pump. I like how large the holes are for inflating/deflating making it more convenient that those tiny holes in other boats. It has been a few weeks now and we haven\'t had to reinflate it. I like that pad thing in the middle of the boat. Not sure of it\'s purpose, but we use it to sit on while rowing.We like to use kayak oars but that is what we are used to. I have inflatable pillows from our old boat that we use to prop ourselves up on to get a better angle for rowing, but you can sit on that middle thing and it works great! My next door neighbor bought the same boat for her twin 5 year olds to row up and down the canal too! I like totie a rope on and attach to our dock so they can\'t go too far away. Absolutely recommend!\";}i:3;a:5:{s:5:\"title\";s:29:\"A lot smaller than I expected\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"December 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A299605A8E38LI\";s:4:\"name\";s:9:\"Talkeetna\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:135:\"Even though the dimensions were provided, the boat seemed awfully small. 3-person? ahhh, have to be awfully small people. But it\'s fun.\";}i:4;a:5:{s:5:\"title\";s:32:\"Sevylor Colossus Inflatible Boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A11H5PJC2XNTLB\";s:4:\"name\";s:18:\"Paul Brinkman, Jr.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:271:\"The product is great and I am enjoying it. I just ordered a motor mount and trolling motor from Amazon. I agreed to the credit card and hopefullyI will receive the $30.00 credit as promised. I want the slow free shipping.<br />Thank you once again.<br />Paul Brinkman,Jr.\";}i:5;a:5:{s:5:\"title\";s:4:\"fun!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2L8Y8S9BBNUMY\";s:4:\"name\";s:17:\"runlikeanantelope\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:233:\"I\'ve only taken this out once so far so i can\'t tell you about its longevity. took it on a nice flatwater lake and boy was it fun! my friend and i even kept up with our other friends who rented canoes. look forward to many more uses.\";}i:6;a:5:{s:5:\"title\";s:12:\"Poor Quality\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:17:\"September 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1KG3BLFCXN3ZL\";s:4:\"name\";s:1:\"O\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:190:\"The raft was noticeably larger on one side; enough so that the blue colored area didn\'t even cover the side of the raft like it covered the other side. Very poor quality. Very disappointing.\";}}");
INSERT INTO `wp_postmeta` VALUES("3673", "512", "asg_last_refresh_attempt", "1371238636");
INSERT INTO `wp_postmeta` VALUES("3674", "512", "asg_update_timestamp", "1371238636");
INSERT INTO `wp_postmeta` VALUES("3675", "450", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3676", "450", "_edit_lock", "1371239010:1");
INSERT INTO `wp_postmeta` VALUES("3677", "451", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3678", "451", "_edit_lock", "1371239087:1");
INSERT INTO `wp_postmeta` VALUES("3679", "449", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3680", "449", "_edit_lock", "1371239096:1");
INSERT INTO `wp_postmeta` VALUES("3681", "448", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3682", "448", "_edit_lock", "1371239104:1");
INSERT INTO `wp_postmeta` VALUES("3683", "447", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3684", "447", "_edit_lock", "1371239113:1");
INSERT INTO `wp_postmeta` VALUES("3685", "446", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3686", "446", "_edit_lock", "1371239126:1");
INSERT INTO `wp_postmeta` VALUES("3687", "445", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3688", "445", "_edit_lock", "1371239132:1");
INSERT INTO `wp_postmeta` VALUES("2303", "371", "asg_last_refresh_attempt", "1371235590");
INSERT INTO `wp_postmeta` VALUES("2304", "371", "asg_update_timestamp", "1371235590");
INSERT INTO `wp_postmeta` VALUES("2305", "372", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2306", "372", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2307", "372", "asg_item_id", "B004E4AWDS");
INSERT INTO `wp_postmeta` VALUES("2308", "372", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004E4AWDS\";s:13:\"DetailPageURL\";s:217:\"http://www.amazon.com/Sevylor-QuickPak-Coverless-Sit-On-Top-Kayak/dp/B004E4AWDS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004E4AWDS\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:227:\"http://www.amazon.com/Sevylor-QuickPak-Coverless-Sit-On-Top-Kayak/dp/tech-data/B004E4AWDS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4AWDS\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004E4AWDS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4AWDS\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004E4AWDS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4AWDS\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004E4AWDS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4AWDS\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004E4AWDS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4AWDS\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004E4AWDS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4AWDS\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004E4AWDS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4AWDS\";}}}s:9:\"SalesRank\";s:4:\"4652\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL._SL75_.jpg\";s:6:\"Height\";s:2:\"37\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL._SL160_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL.jpg\";s:6:\"Height\";s:3:\"249\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL._SL30_.jpg\";s:6:\"Height\";s:2:\"15\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL._SL75_.jpg\";s:6:\"Height\";s:2:\"37\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL._SL75_.jpg\";s:6:\"Height\";s:2:\"37\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL._SL110_.jpg\";s:6:\"Height\";s:2:\"55\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL._SL160_.jpg\";s:6:\"Height\";s:2:\"80\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41xkg6oSfXL.jpg\";s:6:\"Height\";s:3:\"249\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/517Ud%2Bpgh%2BL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/517Ud%2Bpgh%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:64:\"http://ecx.images-amazon.com/images/I/517Ud%2Bpgh%2BL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/517Ud%2Bpgh%2BL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:65:\"http://ecx.images-amazon.com/images/I/517Ud%2Bpgh%2BL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:57:\"http://ecx.images-amazon.com/images/I/517Ud%2Bpgh%2BL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:30:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:10:\"2000006974\";i:1;s:14:\"768-2000006974\";}}s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0076501066142\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501066142\";}s:7:\"Feature\";a:5:{i:0;s:64:\"Cover-less sit on top inflatable kayak with seating for 1 person\";i:1;s:49:\"Grab and go design packs into integrated backpack\";i:2;s:51:\"21-Gauge PVC construction is guaranteed not to leak\";i:3;s:61:\"Inflatable, adjustable backrest, secure cargo net for storage\";i:4;s:47:\"400-Pound capacity, measures 8-feet 8-Inch long\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"16.5\";s:6:\"Weight\";s:3:\"400\";s:5:\"Width\";s:3:\"8.5\";}s:5:\"Label\";s:7:\"Sevylor\";s:15:\"LegalDisclaimer\";s:358:\"In no event, regardless of cause, shall BargainsandBuyouts be liable for any indirect, special, incidental, punitive or consequential damages of any kind, whether arising under breach of contract, tort (including negligence), strict liability or otherwise, and whether based on this agreement or otherwise, even if advised of the possibility of such damages.\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"13599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$135.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:36:\"ManufacturerPartsWarrantyDescription\";s:5:\"Parts\";s:5:\"Model\";s:10:\"2000006974\";s:3:\"MPN\";s:10:\"2000006974\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"960\";s:6:\"Length\";s:4:\"3060\";s:6:\"Weight\";s:4:\"2180\";s:5:\"Width\";s:4:\"1700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000006974\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:11:\"ReleaseDate\";s:10:\"2011-02-15\";s:3:\"SKU\";s:14:\"768-2000006974\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:43:\"Sevylor QuickPak Coverless Sit-On-Top Kayak\";s:3:\"UPC\";s:12:\"076501066142\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501066142\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"11083\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$110.83\";}s:8:\"TotalNew\";s:2:\"20\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004E4AWDS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004E4AWDS\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"BGvhUJtRQ8ceOOL8W8R28G07PM6VOFF0MvOOC9xkBGps%2BjKKshLkH3qj%2BfFphIZ9qjB%2BwaNgpWAhjpK6YjvQWj9PlXwfWdheZYn1WJ9PkW4IOBLwNtBOoQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11245\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$112.45\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"2354\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$23.54\";}s:15:\"PercentageSaved\";s:2:\"17\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004E4AWDS&atag=freetos-20&exp=2013-06-15T18%3A46%3A30Z&v=2&sig=9VtjoW%2FddqGAzSa1Lo8SMZmVJVbFf7eEVZPYs9QEYbQ%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:833:\"The Sevylor QuickPak is the grab-and-go kayak. Portable and lightweight with an integrated backpack storage system, the QuickPak easily folds up into a backpack. Just unpack and inflate, and you\'re ready to go. The 1-Person Coverless Sit-On-Top QuickPak holds up to 400 pounds and measures 8\'8\" long by 3\' wide. It\'s durably constructed of 21-gauge PVC. Recessed compartments with a secure cargo net provide storage for your gear. Tracking fins make for easier steering. For comfort and convenience, the kayak features an inflatable backrest and even a cupholder. A paddle is included, as well as a dual-action hand pump for inflation. Guaranteed not to leak, thanks to Sevylor\'s exclusive Airtight System, the boat\'s Double-Lock and Mini Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:3080:\"Cruise the local waterways in comfort without hauling along a full-size kayak with the Sevylor QuikPak K1 coverless sit-on-top inflatable kayak. <table align=right width=250 cellpadding=10> <tr><td><img src=\"http://images.amazon.com/images/G/01/stores/sport-goods/B004E4ERVQ-1.jpg\" border=0 align=top><br><br><small><i><b>The QuikPak K1 sit-on-top kayak includes a dual-action hand pump for easy inflation.</b></i></small></td></tr></table> Sevylor\'s inflatable kayaks and canoes contribute to people\'s wanderlust by slicing through lakes or whitewaters, letting boaters hunt for the day\'s catch or hidden waterways. The K1 kayak is one of Sevylor\'s grab-and-go kayaks, with an inflatable design that folds and stores in an integrated backpack storage system. When you arrive at the river, just unpack and inflate the kayak and you\'re ready to go. Despite the inflatable build, the K1 is extremely tough, with a 21-gauge PVC construction that\'s guaranteed not to leak thanks to Sevylor\'s exclusive AirTight system. Just as importantly, the boat is extremely comfortable, with an inflatable, adjustable backrest. The kayak even includes a compartment with a secure cargo net for gear storage. <p> Other details include a dual-action hand pump for inflation, a built-in cupholder, tracking fins for easier steering, and an aluminum paddle. Equipped with Double Lock/Mini Double Lock valves that lock in air two ways, the K1 kayak is certified by the National Marine Manufacturers Association (NMMA). <p> <b>Specifications:</b><br> <ul> <li>Seating: 1 person <li>Capacity: 400 pounds <li>Dimensions: 8 feet 8 inches by 3 feet </ul> <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2291", "370", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:32:\"24 x 17 x 6.5 inches ; 41 pounds\";s:15:\"Shipping Weight\";s:11:\"59.6 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:13:\" Made in USA\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000SL0A56\";s:17:\"Item model number\";s:8:\"SE330DLX\";}");
INSERT INTO `wp_postmeta` VALUES("2292", "370", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("2293", "370", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:23:\"Stands the test of time\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 4, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A3CYYZN1MDUY1\";s:4:\"name\";s:12:\"Evan Gilbert\";s:7:\"address\";s:16:\"Indianapolis, IN\";}s:4:\"text\";s:1347:\"I cannot say enough good things about this kayak. I have owned mine since 2000 when I purchased it while living in Atlanta, GA. Inflation is simple, the bag properly stores everything you need, and the fit and finish of the boat are superb. In its time I have taken my Sea Eagle on calm lakes and rivers in the south numerous times without incident, but I have also tested it a fair amount. We have run it on Section III of the Chattooga in SC including Bull Sluice and also on the Nantahala including the Falls. While this is not the most demanding whitewater out there it is class II and III and I want to back up the mfr. claims that this boat can handle this water. We have also had it in the Atlantic Ocean numerous times and it\'s a ton of fun to ride waves and crash if you\'re not careful. We now live in Indianapolis and take it on the White River during the warm months and it is holding up just fine. I can recommend that if you are interested in this boat to look into alternative paddles, as my personal kayak paddle does a much better job for me than the included paddles. We also installed the skeg on the underside of the boat and have found that this improves the yaw of the boat considerably, although it is not a make or break addition. I hope this review helps anyone considering investing in one of these boats. Enjoy the water!\";}i:1;a:4:{s:5:\"title\";s:19:\"sea eagle 330 delux\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 25, 2009\";s:4:\"text\";s:1289:\"I tried out the 330 deluxe for the first time today and was impressed. I went to a local lake and set up on the beach. No one had a clue as I walked up with this bag what I was up to, as they were swimming. 7 or 8 minutes later, a kayak magically appears! That was fun in itself. It was easy to set up with the foot pump. It took 35 to 40 pumps to fill each of the 3 chambers, and no air escapes from the one way valves AT ALL. Then it\'s just a couple of pumps each for the spray shields, and 4 to 5 pumps for each of the 2 seat chambers, also with one way valves, and your ready to fish. I test drove in the shallows for 3 or 4 minutes to get a feel for the kayak, which was the first time for me in any kayak, and I was off to the nearest patch of lilly pads, and within 10 minutes caught my first pickerel, and then bass out of my new sea eagle. Sure beats car topping a canoe. Then after 2 hrs., back to the beach, unscrew the valves, roll it up like a sleeping bag, put it in the duffle, and back in the pick-up. The deluxe seats are extremely confortable, very firm and support your back better than most office chairs, let alone canoe seats.<br /> This is a great way to fish any where you please,just on a whim. With no planning. Thats the only way to fish.<br /> Sincerely, Mark S\";}i:2;a:5:{s:5:\"title\";s:32:\"Good maneuverability, poor seats\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:18:\"September 16, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AN7WCOPQNEH3Y\";s:4:\"name\";s:26:\"Winston T \"The honest guy\"\";s:7:\"address\";s:12:\"San Jose, CA\";}s:4:\"text\";s:623:\"Got one of these and tried it down Stanislaus River (Calif) with my son. The raft actually did pretty well in a Class 1-2 river. The built-in skegs (2 of them) helps to stabilize the boat. I have 2 complaints about the supplied inflatable seats. First of all, they have the pool toy inflation valves (not one way Boston valves) so it\'s a real struggle to inflate them . Secondly, the seats can hardly provide any back support. Another thing about this kayak is that it can barely fit 2 people--in my case, me (5\'7\") and my 10 year old son and we already feel pretty crammed.There is no way to fit 2 adults weighing 500 lbs.\";}i:3;a:5:{s:5:\"title\";s:28:\"Sea Eagle 330 Deluxe Package\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 22, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A20EKGQMDNFTJ7\";s:4:\"name\";s:19:\"Aunty Mo \"Aunty Mo\"\";s:7:\"address\";s:20:\"Huntington Beach, CA\";}s:4:\"text\";s:2179:\"This is our first inflatable kayak. It is quick to inflate, takes less than 10 minutes, & quicker to pack up. Seats & spray guards are a little tricky because of the valves though, you have to pinch it at the base & plug it quickly, but otherwise it\'s a cinch! We fit fine going tandem, my husband\'s 6\' & I\'m 5\'5\", he likes it better without the rear seat. We\'ve taken the kayak out 8 x so far, mostly to Huntington Harbor & Anaheim Bay. We\'ve gotten good at our synchronicity & can go pretty fast when we want to! We\'re in Southern California so no rivers nearby but are looking forward to catching some waves in the summer. Feels very durable, but make sure you screw the Boston valves on tightly. The 2nd time we took it out, we didn\'t realize it right away but the right side was deflating, we were about a 1/2 mile out when paddling & keeping it straight had seemed to get harder & harder, I thought we were in a current or something until I noticed the fold on the right side. We turned around to head back but it was very hard to paddle fighting with the strong pull to the right, but we made it & we\'re alive to laugh about it now! My fault, I didn\'t tighten it well enough. Lesson learned. Have fun!<br />6/4/10 Update, took my 50 lb Aussie Shepherd, unclipped claws & all, on a 2 hour tour in the harbor. Just laid a towel on a board, which she didn\'t stay on. She was all over the place, she\'s pretty excitable & not a water dog. Not a single mark or scratch on the kayak though!<br />10/01/10 Got another SE 330, they changed the pinch valves to Boston valves. Excellent improvement!<br />8/11 Took these to Kern River for whitewater, extreme thrills! Up to class 3 rapids from upper Powerhouse to Lake Isabella. Wear good life jackets & tie down your seats. Ocean kayaking is great, relaxing once you get past the waves. You can get pretty close to dolphins. Catching waves is fun but I always seem to end up sideways. I still take my dog kayaking in the harbor, she absolutely loves it & can\'t wait to hop in! I don\'t bother putting anything on the floor anymore. Overall I\'ve probably had over 100 uses by now & had 2 small repairs, definitely got my monies worth!\";}i:4;a:5:{s:5:\"title\";s:42:\"10 lbs Heavier than advertised; Solid boat\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"June 6, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1WORU7UAFAOYS\";s:4:\"name\";s:15:\"Alexander Wyatt\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1257:\"1. The boat is much heavier than advertised. Amazon says 29 lbs shipping weight. Sea Eagle officially says 26 lbs. I put it on a scale with all parts (boat, paddles, pump) inside the duffle bag and it\'s 38 lbs. This makes it very difficult to backpack or hike in to locations not accessible via car (which was my purpose in purchasing).<br /><br />2. The boat is perfect for certain purposes: floating in calm lakes, streams, etc. Our test run was on the choppy Chesapeake bay in 1 ft waves and 20 mph winds. It handled adequately. In such conditions, the boat is difficult to point, but it\'s really not meant for this.<br /><br />2. It fits 2 people and gear for an outing comfortably.<br /><br />3. The seats require full inflation and good posture. The seat backs are fairly useless.<br /><br />4. Inflation and deflation is very easy. It takes appx. 10 minutes to put together and take apart.<br /><br />5. The material is quite strong. You don\'t really have to worry about rips and tears unless you\'re running serious rapids -- which you shouldn\'t be doing anyways in this boat.<br /><br />6. Comes with a patch kit.<br /><br />Overall, a solid little boat for relaxed, fun purposes. If you want to do any serious whitewater, you should look elsewhere.\";}i:5;a:5:{s:5:\"title\";s:25:\"Great Kayak for the price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 27, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AP9BO5CZTV5B5\";s:4:\"name\";s:5:\"Julie\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:717:\"This kayak is great for the price. It inflates quickly and easily with sturdy easy to use valves. The seat is a little more difficult and needs to be blown up by mouth... but it doesn\'t take too much effort. I have taken it down river several times and had a great time. It steers well and is easy to control. I\'ve only had the chance to do a portion of the river with class 1 rapids, but have plans to try more difficult maneuvers soon. I also took it down with my daughter a few nights ago. There was plenty of room for both of us. It might get a little tight with taller people. I am 5\'7 and she is 5\'6. Deflating it and putting it away is a breeze as well. Open the valves and the air shoots out. I love my kayak!\";}i:6;a:5:{s:5:\"title\";s:42:\"Stable Kayak, easy to handle on whitewater\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"September 7, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26FFC36N12W60\";s:4:\"name\";s:17:\"Irakli Kordzakhia\";s:7:\"address\";s:16:\"Tbilisi, Georgia\";}s:4:\"text\";s:460:\"I and my friend tried Eagle 330 Kayak on grade 2 whitewater. It is quite stable, we did not managed to over turn it so far. Material is stronger than it is seems to be at a first glance. Front seat shall be fixed from both sides by the rope, otehrwise one travel with it within the boat and is difficult to attache force during the paddling. I regret not to choose the upgrade package with more comfortable seats. Otherwise it is great kayak worth money spent.\";}i:7;a:5:{s:5:\"title\";s:53:\"Great buy, durable, and yes it does do class 3 rapids\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1DT72MQUBRBHM\";s:4:\"name\";s:5:\"chris\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3055:\"I bought this kayak mid summer(2011) and have used it 9 times. Everytime on whitewater class 2 and 3\'s on the Lehigh River(PA). Let me start off by saying there is plenty of room. I\'m 6\'3 220lbs and have tandemed with my mom(5\'9 also 220 = pushing the limit according to the specs), brother in law(5\'10 180 lbs), wife (5\'2 110 lbs) and son who is only 8 years old.<br /><br />During the summer the water was pretty low(even with the dam release) and we scraped the bottom a lot especially when it was me and mom, which we did manage to punture the bottom chamber slightly but made it the entire trip (10 miles) without even noticing. The patch kit worked well, just make sure the surface is cleaned with some kind of alcohol based substance. Always balance the weight to the middle. Depending on the weight of the person your paddling with adjust the seat position accordingly. With my small 8 year old I was more towards the middle and he was all the way up front.<br /><br />Never wear shoes inside this kayak, this way whoever is up front can jam their feet all the way foreward and it makes for a snug fit and gives more room overall. I wedge my sandals between the side chambers and the top as it makes for easy access for when you wanna get in and out.<br /><br />I only flipped this kayak once out of the nine times, and that was due to a rock I saw at the last second right before approaching a big class 3 rapid. I turned to avoid the rock which put us sideways down the rapid and we dumped. This applies for ALL inflatable kayaks even the expensive ones like the aire tomcat ($750 If you go down a rapid sideways you WILL always dump, always keep straight.<br /><br />My last trip was 2 weeks ago and the water was RAGING as the levels were almost at flood level. If you keep the boat straight it will stay a float and be a blast/huge adrenaline rush. A funny thing happened on this last trip... After we got dropped off at the put in and I inflated the kayak I realized one of the sidechambers was puntured significantly. It had to have happened after the previous trip because I woulda noticed it. Think I mighta slammed my car trunk on it. I also did not bring the patch kit with me. We hooked up the pump and the hose was long enough to reach the front passenger, so I paddled while she pumped lol. It sounds miserable but it was really fun. During calm spots I would take over pumping. We didn\'t have to pump constantly, and the steering was not really affected, surprisingly. So therefore nothing can really stop this kayak. A definite great buy!!<br /><br />Oh and one last thing, for those of you who are opting to kayak for the added benefit of exercise, it is what you make of it. You can float down a stream with relaxation and minimal effort or you can haul tail and get a great workout. Be sure to use all parts of your body not just shoulders. Focusing on your back muscles primarily(like a \"seated row\" repetition, and even pivoting your hips a bit and flexing your abs with each stroke. The options are limitless! Happy paddling.\";}i:8;a:5:{s:5:\"title\";s:24:\"Not meant for two adults\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"January 25, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AF9YETPKZ04AH\";s:4:\"name\";s:9:\"G. Kinsey\";s:7:\"address\";s:27:\"Elk Grove, CA United States\";}s:4:\"text\";s:1206:\"Led by price, I reviewed the specs that indicated this would hold two people and/or 500 pounds. I\'m 6 feet tall, 200 pounds and my friend is 5\'9\", 150 pounds. We inflated the kayak in our living room and climbed in. More like \"wedged ourselves in\", as it\'s very narrow plus there wasn\'t enough room for our legs to fit. Then we immediately started thinking that there is absolutely no back support in the included inflatable seats. So we returned it, as I could not imagine sitting in this device for more than a few minutes without getting a really sore, tired, aching back.<br /><br />We\'d seen some other Seaeagle kayak models, whose price is 4 or 5 times as much as this Model 330 is, and those kayaks look very good. But I\'d call this one a \"toy\", one that would be fun for some kids at the beach. It looks like it is well made, of sturdy material, and I believe this product has its place in the world (again, think kids/teenagers in calm water). In a pinch, it might work for a single adult (with good back muscles); at a minimum, I\'d suggest finding a model whose seats have straps to hold the back upright and give the paddler something to lean against). Just don\'t try putting two adults into it.\";}i:9;a:5:{s:5:\"title\";s:27:\"Great Product, Great Fun!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 1, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJTKZ6S2TREJS\";s:4:\"name\";s:11:\"M. Carlisle\";s:7:\"address\";s:23:\"MegaAgentRealEstate.com\";}s:4:\"text\";s:1456:\"The Sea Eagle is the first kayak of any sort that I have owned, so I am a novice. I do love the outdoors and live close to a river, so I\'ve wanted a canoe or kayak for some time. The problem is that there is nowhere to store a full sized canoe or kayak at my home, and I don\'t have a good vehicle to tote it around. This inflatable kayak solves both of those problems! I have had a blast on 5 outings so far with the Sea Eagle. Maiden voyage with my 6 year old on a small lake, 3 river outings, and another lake outing. The size is a bit small for 2 adults, so far, I have stuck with only me paddling in the back even if I have a passenger. I\'ve given rides to my 65-yr old mother in a small lake, my 6-yr old son (lake and calm river), and two 6-yr olds on the river! It takes me about 10-15 minutes to get it ready from car to fully inflated using the included foot pump. It is also a little heavy to carry everything in the bag for any distance (especially up some steep hills), but it is still sooo much easier than a regular canoe or kayak. It fits easily into the trunk or back seat of my car. The material seems to be pretty sturdy. I\'ve brushed over a few rocks and limbs with no issue. I have lost some air on a couple of my trips, but I\'m not sure if I just didn\'t have the air valves screwed on tight enough or what. Overall, I\'m very excited about this product and would consider getting another one once my son is old enough to paddle his own!\";}}");
INSERT INTO `wp_postmeta` VALUES("2285", "369", "asg_last_refresh_attempt", "1371235585");
INSERT INTO `wp_postmeta` VALUES("2286", "369", "asg_update_timestamp", "1371235585");
INSERT INTO `wp_postmeta` VALUES("2287", "370", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2288", "370", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2289", "370", "asg_item_id", "B000SL0A56");
INSERT INTO `wp_postmeta` VALUES("2290", "370", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000SL0A56\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Sea-Eagle-Inflatable-Deluxe-Package/dp/B000SL0A56%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000SL0A56\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Sea-Eagle-Inflatable-Deluxe-Package/dp/tech-data/B000SL0A56%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A56\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000SL0A56%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A56\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000SL0A56%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A56\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000SL0A56%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A56\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000SL0A56%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A56\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000SL0A56%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A56\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000SL0A56%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A56\";}}}s:9:\"SalesRank\";s:4:\"8951\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL._SL160_.jpg\";s:6:\"Height\";s:2:\"90\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL.jpg\";s:6:\"Height\";s:3:\"280\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL._SL110_.jpg\";s:6:\"Height\";s:2:\"62\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL._SL160_.jpg\";s:6:\"Height\";s:2:\"90\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/415x8jcWkSL.jpg\";s:6:\"Height\";s:3:\"280\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"Sea Eagle\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"SE330DLX\";}s:5:\"Color\";s:4:\"Grey\";s:10:\"Department\";s:7:\"Bedroom\";s:3:\"EAN\";s:13:\"0023634080026\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0023634080026\";i:1;s:13:\"0023634081580\";}}s:7:\"Feature\";a:5:{i:0;s:82:\"Two-person inflatable kayak weighs just 26 pounds, but has 500-pound load capacity\";i:1;s:76:\"Constructed of puncture-resistant, extra-thick K-80 polykrylar hull material\";i:2;s:103:\"Nine-inch tubes, I-beam construction, and high-frequency welded seams; rated up to Class III whitewater\";i:3;s:115:\"Comes with inflatable spray skirts, inflatable front and rear seats, two oars, reliable foot pump, and carrying bag\";i:4;s:51:\"Includes limited three-year manufacturer\'s warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"650\";s:6:\"Length\";s:4:\"2400\";s:6:\"Weight\";s:4:\"4100\";s:5:\"Width\";s:4:\"1700\";}s:5:\"Label\";s:9:\"Sea Eagle\";s:15:\"LegalDisclaimer\";s:95:\"Brand new in unopened box - Please note this package only comes with the paddles and foot pump.\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"51200\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$512.00\";}s:12:\"Manufacturer\";s:9:\"Sea Eagle\";s:5:\"Model\";s:8:\"SE330DLX\";s:3:\"MPN\";s:9:\"SE330-DLX\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1130\";s:6:\"Length\";s:4:\"3480\";s:6:\"Weight\";s:4:\"5960\";s:5:\"Width\";s:4:\"2200\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:9:\"SE330-DLX\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Sea Eagle\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:10:\"B000SL0A56\";s:6:\"Studio\";s:9:\"Sea Eagle\";s:5:\"Title\";s:50:\"Sea Eagle 330 Inflatable Kayak with Deluxe Package\";s:3:\"UPC\";s:12:\"023634080026\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"023634080026\";i:1;s:12:\"023634081580\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:1:{s:14:\"FormattedPrice\";s:18:\"Too low to display\";}s:8:\"TotalNew\";s:2:\"20\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000SL0A56%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000SL0A56\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:118:\"F%2F6UwYs%2BBXKIUEQEk1W8VuVDDLoZPo%2BidMgWizbaQ%2B6B5Vx6dP65XGdHBsVMj3e52oTmifGMp2shYlOflTV6fOfFLpe49snqAAxTEJhNhNk%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"24898\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$248.98\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:5:\"26302\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$263.02\";}s:15:\"PercentageSaved\";s:2:\"51\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000SL0A56&atag=freetos-20&exp=2013-06-15T18%3A46%3A25Z&v=2&sig=FfGTMtRgwxpO7c%2BhUJkOelJmeYEExsG5Qg44RJju%2BpY%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1957:\"\"The ULTIMATE Weekend Getaway Boat!\" At 26 lbs you can take it anywhere! Imagine yourself blasting down a white water river spray flying everywhere and your heart beating like a drum. Or imagine yourself on a mirror-smooth lake at dawn slicing the silence with smooth paddle strokes. Can one boat do all this? Yes when it\'s the Sea Eagle 330. It will hold 500 pounds but only weighs 26 lbs. itself. It will carry two adults and gear but only needs one adult to carry it to the water. The SE-330 inflatable canoe packs down to fit in a storage bag but has cargo space for camping supplies for several days. An inflatable canoe can be used for fishing yacht tending or skin diving. For river runners the Sea Eagle 330 can handle up to class three whitewater. In many ways this is the easiest to use the most versatile and the most fun inflatable canoe that we sell. The Sea Eagle 330 inflatable canoe features an extra thick 33 mil Polykrylar hull and a I-beam construction floor for extra rigidity inflatable spray skirts removable inflatable front and rear seat front and rear rope handles and a self-bailing drain valve (a handy feature on white water rivers or in ocean surf). Two skegs for tracking and speed Tracking is very important in a kayak. Inflatable kayaks need skegs to track smoothly across the water - otherwise your paddling effort is wasted. Cheaper petitive boats without rear skegs just weave and wander across the water wasting your paddling effort. The Sea Eagle 330 features two molded skegs - just like a surf board - so you go faster and further with less paddling effort. High Frequency Welded Seams The Sea Eagle 330 has seams that are welded with 10000 volts of power fusing the material into one solid structure. This gives us the confidence to cover the SE-330 with a 3 year warranty. Sea Eagle warranty: Our Sea Eagle boats are covered for a full three years against manufacturer\'s defects ... from bow to stern. Standard Featu\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2084:\"<table align=\"right\" cellpadding=\"10\" width=\"300\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"200\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/B000SL0A56.jpg\" width=\"300\" /><br /><br /><small><em><strong>The entire package fits into the included 26-by-48-inch (W x D) carry bag, constructed of heavy-duty 440-denier nylon.</strong></em></small></td> </tr> </tbody></table> The two-person Sea Eagle 330 is designed to be easy--easy to carry, inflate, paddle, deflate, and afford. Constructed of puncture-resistant, extra-thick K-80 polykrylar hull material, the craft weighs only 26 pounds, yet is sturdy enough to carry up to a 500-pound load. The kayak measures 34 inches wide by 11 feet, two inches long, with a roomy interior measuring 13 inches wide by nine feet, six inches long. The boat has nine-inch tubes, I-beam construction, and high-frequency welded seams, and is rated up to Class III whitewater. <p> With this deluxe package, your purchase additionally includes inflatable spray skirts, inflatable front and rear seats, two oars, a reliable foot pump, and a rugged carrying bag to keep it all together. <p> <b>Features</b><br> <ul> <li>NMMA certified <li>Self-bailing drain valve <li>Three deluxe one-way valves <li>Lashed down inflatable spray skirts <li>I-beam construction floor <li>Two skegs on the bottom for better tracking and speed <li>Pressure gauge and repair kit <li>Bow and stern grab line </ul> <p> <b>Specifications</b><br> <ul> <li>Interior measures 13 inches wide by nine feet, six inches long <li>Exterior measures 34 inches wide by 11 feet, two inches long <li>Nine-inch tubes <li>Two-adult, 500-pound total weight capacity <li>26-pound weight <li>Three inflated chambers in port, starboard, and floor <li>33 mil polykrylar hull material <li>High frequency welded seams <li>Inflated I-beam floor construction <li>Assembles and inflated in approximately six minutes </ul> <p> <b>Warranty</b><br> Sea Eagle products include a limited three-year manufacturer\'s warranty against defects in materials and workmanship.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2282", "369", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:32:\"21 x 10 x 8 inches ; 16.3 pounds\";s:15:\"Shipping Weight\";s:9:\"17 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004O990KO\";s:17:\"Item model number\";s:8:\"MPG114MD\";}");
INSERT INTO `wp_postmeta` VALUES("2283", "369", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2284", "369", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:28:\"Much better than competition\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 26, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AMTC1K1LANKU6\";s:4:\"name\";s:12:\"K. MacDonald\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3061:\"I\'ve had more than 10 years experience with kayak racks, and over the years have had 3 Thule styles of \"J\" rack, and 1 Yakima. The Malone racks beat them all, hands down. Seem to be heavier than the others, and more solidly built than the other folding styles I\'ve used. The protective nylon sleeve on the bar padding is nice, and will presumably keep the padding intact; some of the other styles I\'ve had just had \"raw\" foam pads, and would start to rip up in about a year.<br /><br />Attachment of these racks to the bar is really nice. It\'s a single HEAVY steel strap, contoured to hold round, square, or elongated factory bars. I have Yakima bars, and they attach with no problem. Other brands attachment systems have been junk plastic and have broken (Thule), or junk plastic and HAVEN\'T broken (Yak). The last Thule rack I had did have a somewhat sturdier attachment than the old junk plastic ones that kept breaking. Anyway, the Malone attachments seem to be the sturdiest of the bunch, and easiest to install.<br /><br />Where the Malone REALLY shines is one the rack themselves; the little \"ramp\" with the hole in it. This is multi-purpose. First, when running kayak straps, you can feed the end of the strap through the hole, under the load bar, and back up through the hole before connecting to the buckle. This is surprisingly easy and quick to do, and really keeps everything solidly connected and neat. Second, the ramp helps slip your boat up into the cradle. I\'ve caught my kayak on the ends of the other brands of rack enough to know this is a small, but nice, touch. And finally......<br /><br />This is so cool it deserves a paragraph of its own. Got a tandem kayak, or a heavy kayak, or getting a little older (me!), or you are just short? The Y & T guys make these load-assist racks, right? Monster contraptions with hydraulics in them, and cost about 450 bucks PER KAYAK, since they are mounted \"permanently\" to the load bars. The Malone \"Telos\" system makes all of that obsolete, including the cost. These are two detachable ramps, that instantly clip to those two cute little holes on the Malone racks where the straps go. Once attached, each ramp has a ratchet so that you can push up one end of the boat, then the other, until the boat is lifted from waist height up to the carrying rack. And you can lower the boat with them in just the opposite fashion. Toss \'em in the trunk when done. Best part is that you can use the ramps on both sides if you need to, or even with multiple cars, so instead of putting two of the Thule monsters on your car at a cost of 900 bucks, you can use a single Malone Telos system for about 215 (current price here). If you\'re in the market for a kayak loader, you NEED to go to the Malone website (maloneautoracks dot com) and see the Telos video. Warning, this video is a real tear jerker if you\'ve already coughed up 900 beans for the Thule system!<br /><br />One last note - all of the Malone stuff is American made up in Maine. Nice when the best and cheapest stuff on the market is made in the USA.\";}i:1;a:5:{s:5:\"title\";s:31:\"Malone Downloader works for me.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 6, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1ZE3XTARXTI4O\";s:4:\"name\";s:3:\"D W\";s:7:\"address\";s:18:\"The Sunshine State\";}s:4:\"text\";s:2030:\"I needed to carry two kayaks on my VW Jetta\'s OEM roof rack so I ordered two pair of this item. The Malone system is designed to fit various shapes of bars (ie: round, oval, square, rectangular). The VW rack is an irregular shape which excludes the option of Thule or Yakima. I ordered two Malone Downloaders as I needed to carry two boats, and I wanted to fold the carrier when no kayaks were on the roof.<br /><br />With each pair of carriers, Malone includes two sets (different lengths) of Metric bolts for each carrier that recess into the carrier, toggle nuts, bolt covers that fit into the carrier, two straps, bow and stern lines and an instruction book. The instructions are very complete, well written and give step by step descriptions and graphics on how to install and use the carrier. I took a run to a hardware store to purchase longer bolts to fit my car rack. To their credit, Malone offers longer bolt options on their company website for less than my local hardware store. The bolts Malone provides are coated to help reduce corrosion. The carriers did not fit flush with the top of my OEM VW rack bars, so I removed a quarter inch of polycarbonate from each carrier. This was a minor adjustment to the product, and easy for to perform with a Dremmel tool.<br /><br />The carriers are solidly built, provide padding on the arms and the base where the side of the hull fits. The straps are 12\' long, which I find to be quite adequate for any of the boats I carry. I have carried three different kayaks on the racks: Current Designs Pachena, QCC Q600 and QCC Q500. Those who have short wide boats may need to purchase longer straps.<br /><br />I\'m pleased with the quality, fit and function of this carrier. A buyer who already owns a Thule or Yakima rack may want to purchase the carrier that is made by the same manufacturer as their rack system.<br /><br />Considering the quality of the product, the ease of installation, and the stability of the carriers on my car rack, I give the Malone Downloader 5 stars.\";}i:2;a:5:{s:5:\"title\";s:39:\"Malone Downloader a Boon to this Senior\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2H5V2PALS20AM\";s:4:\"name\";s:6:\"PapJim\";s:7:\"address\";s:2:\"CT\";}s:4:\"text\";s:1258:\"When we upgraded to a later model SUV, we found that it was 4 or 5 inches higher than our old one. Being altitude challenged at 5\' and 5\'7\", and youth challenged at 72 and 73 respectively, my wife and I had already had a time of it with our original Thule J-racks (which otherwise served us well). The built-in loading ramp on the Malone rack attracted us, and the downloader model has the fold-down feature. We bought sets for two kayaks. Additionally, we decided to try to make life even easier by getting a pair of Malone Telos Load Assist modules. Happily, the system is even better than we had hoped. In a pinch (my wife has a pinched nerve in her back) I can load the kayaks by myself. And with the folddown feature, the racks can stay on the vehicle all season and we can still use our garage.<br /><br />We found that the mounting brackets, while adequate, were not optimal for our Nissan Pathfinder OE crossbars. Malone provided us with brackets that were not even in their accessories catalog and were perfect for our application. They only asked that we return the original brackets at our convenience at the end of the season. Malones\'s customer service has been so outstanding that I felt obliged, privileged, and delighted to write this review.\";}i:3;a:5:{s:5:\"title\";s:30:\"Great product & Great Company!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"March 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A23QWIZL68A8XG\";s:4:\"name\";s:27:\"Karen M. Foti \"kayaknovice\"\";s:7:\"address\";s:11:\"New Orleans\";}s:4:\"text\";s:657:\"I had a question about this product, emailed and called the malone company and one of the Malone\'s himself answered me!! Within 2 hours! This product IS fully compatible with the Malone Telos kayak loader even though it is not the Autoloader itself (I have an autoloader rack as well for my first kayak but I needed another rack for the second kayak but you have to mount and dismount the autoloader where this one folds down and stays on the roof). I wouldn\'t hesitate to buy a Malone product at all- less expensive than the thule/yakima ones and very sturdy and operable especially for me and my 10 year old. So questioned answered. now for some kayaking!\";}i:4;a:5:{s:5:\"title\";s:17:\"Malone Downloader\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 28, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5OEZ8CJWL1ZG\";s:4:\"name\";s:22:\"Ronald S Bednarek, Jr.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:257:\"A very solid rack that makes loading a sea kayak easier than other J-style racks. The little \'ramp\' area on the face does a great job at helping you direct your kayak into the \'pocket\' if you aren\'t able to lift the boat all the way up into the rack itself.\";}i:5;a:5:{s:5:\"title\";s:13:\"Great Racks !\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5UPDH6U4LOUT\";s:4:\"name\";s:8:\"Whatsgnu\";s:7:\"address\";s:7:\"Vermont\";}s:4:\"text\";s:378:\"Bought these racks sight unseen based on several reviews I read on line. I am so glad I purchased these over the other racks I was considering. The materials and construction is far superior to the others I looked at and the fit on my Thule crossbars is perfect. Folded down there is no wind noise. If your thinking about racks for your kayak, look at these, you can\'t go wrong.\";}i:6;a:5:{s:5:\"title\";s:21:\"Awesome Kayak Carrier\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 29, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1N5RWEZ7BIS7F\";s:4:\"name\";s:7:\"Patriot\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:498:\"I highly recommend the Malone folding J racks. They fit our 2012 Subaru outback perfectly. I purchased 2 sets so we could carry both kayaks. We have a 14ft Old Town Loon and 13ft Perception Tribute. The best thing about the racks are how easy it is to load the boats. They slide into place and strap down tight. We do not even use the front and rear tie downs for shorter trips because the Malone racks hold the boats so tight. When not in use they fold down and look great. Definitely a great buy.\";}i:7;a:5:{s:5:\"title\";s:25:\"For my 05 Nissan Frontier\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"February 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1WHHWUA022FA9\";s:4:\"name\";s:14:\"disposablehero\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1965:\"I\'d say they stretched the truth a little when they state they are Universal fit. There\'s really nothing that makes them Universal other than the bolts are long enough to adapt to the thickness of your crossbars. They have a rounded section that clamps onto your bars. If you have round crossbars they\'re going to fit. If you have square or in my case for my frontier very wide crossbars that are almost flat. I had to get creative with the dremel to carve out the plastic bottom and make them fit. With that said they are now a perfect fit custom formed to my crossbars.<br /><br />The instructions made me chuckle a little bit because they state to \"gently\" pull on the tabs that lock the crossbars down. (there\'s two pull tabs that lock them in the up position and down position so they don\'t change position) Anyhow, it took everything I had to \"gently\" pull the tabs.<br /><br />Onward to actually using them. My first time out I put them to the test. I probably couldn\'t have picked worse conditions. The wind gust were over 35+ mph and I had to transport a sit in 14\' kayak about 50 miles. It sounded like a train coming through a tunnel, I would guess that is from the wind ripping into the cockpit of the kayak at 60mph down the road. Long story short not only did I get it home in one piece but while unhooking it I realized my dad who helped me strap it down had put the tie down strap on the back carrier through a little wire bracket that is only there to keep the tie downs out of the way while loading it and unbelievably it didn\'t break off. (the tie downs are supposed to go around the actual bar on the rack, it will make sense when you see it in person).<br /><br />To spite the mounting issues which only took me about an hour to remedy with a dremel, I have no reason not to give this the full 5 stars. And with the convenience of never having to remove them sense they fold down there a definitely worth the extra $50 over the stationary ones.\";}i:8;a:5:{s:5:\"title\";s:24:\"Not entirely compatible.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 18, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/A1YV4U8304IQ\";s:4:\"name\";s:7:\"Crystal\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:213:\"Works well and is very easy with the Loaders. However, it was stated that this would work with my stock rails, but it does not fit snugly as it should and it ends up rocking until the weight of the kayak is added.\";}i:9;a:5:{s:5:\"title\";s:31:\"Malone\'s System Works Very Well\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 19, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2A2MVEERR3Y3D\";s:4:\"name\";s:10:\"On the Run\";s:7:\"address\";s:16:\"Waterloo, WI USA\";}s:4:\"text\";s:1433:\"My wife and I recently installed two pairs/sets of the Malone \"Downloader\" Kayak (Folding J-Style) Racks onto a Malone \"50-inch crossbar\" set. We purchased both at the same time. All are for use on a 2012 Subaru Forester with factory installed roof rails. We\'re transporting a 12-foot touring kayak (48 lbs.), and a 14-foot touring kayak (53 lbs.).<br /><br />It took approximately 25-30 minutes to install both the Malone \"crossbar system,\" and the folding J-style \"Downloaders.\" Installation was extremely easy and straight-forward. The deciding factor(s) was not only price, but also the fact that Malone\'s J-Style cradles seemed rugged and can be folded into the \"down\" position when not in use. These do a very nice job of transporting our kayaks securely. And we\'re considering the purchase of the \"Malone Telos Kayak Lift-Assist,\" which another reviewer did a terrific job of describing (see the spot-on, entertaining review/thread by \"Em Jay\"). After all, we\'re not getting any younger and want to kayak well into our senior years.<br /><br />We\'ve used our system several times and it\'s absolutely rock-solid. The only additional purchase that we intend to make, to compliment our Malone kayak rack system, is \"secure tie-down\" straps that lock (with a key) and have braided stainless steel cables making them very difficult to cut through the webbing with a blade or knife. Otherwise, I\'m confident that we\'re good-to-go :)\";}}");
INSERT INTO `wp_postmeta` VALUES("3639", "509", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:36:\"25.6 x 15.2 x 9.5 inches ; 23 pounds\";s:15:\"Shipping Weight\";s:9:\"23 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00352KR4E\";s:17:\"Item model number\";s:10:\"2000003410\";}");
INSERT INTO `wp_postmeta` VALUES("3640", "509", "asg_star_rating", "3.8");
INSERT INTO `wp_postmeta` VALUES("3641", "509", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:37:\"4.5 stars, it\'s exactly as advertised\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ALWIHW0S7FL3B\";s:4:\"name\";s:26:\"S. D. Herren \"TxClubOwner\"\";s:7:\"address\";s:11:\"Houston, TX\";}s:4:\"text\";s:5139:\"Tried this raft yesterday for the first time. Overall it\'s awesome! for $83 I don\'t know how to beat it. And I put it through some hard, rough use, let me tell you. I used the coleman rechargable inflator/deflator, and the raft was inflated in 5 minutes. There are numbers by the air valves on the raft so you know which order to inflate them. There are 4 separate air chambers, though 2 of them seem quite small, and I\'m not sure how much use those 2 would be if the other 2 lost air. I supposed they would at least give you a float to hang onto. However, the material is pretty tough for plastic. I know it\'s 24 gauge PVC, but it feels just a little tougher than a pool toy. The bottom of the raft seems to have an extra coating of something though, and overall I wasn\'t too worried about it holding up.<br /><br />I took this thing down a slowing moving river off of Lake Houston. There are tons of sticks, submerged logs, and tangled debris from the last flood. I scraped across rebar sticking out of the lake (maybe from someone\'s abandoned dock or pier), and I can\'t count how many logs or sticks I hit with the raft. I got stuck on a few and had to shift my weight to try to distribute the load so the raft could float off of something it was stuck on. Motive power was supplied by two oars, and this thing is the not the easier thing in the world to paddle. There\'s no keel, of course, and it\'s not much longer than it is wide.. so you\'re kind of sitting in an elongated inner tube with a floor. Ever try paddling an inner tube? It just goes in circles. Now the Seylor raft does come with oarlocks which worked pretty well. After a bit I was able to keep the raft heading where I wanted for the most part. I took 2 big rottweilers with me, and my kid\'s little yappy dog dug his way out of the fence and came and joined us too. The little yappy dog has really sharp toenails and I was very worried about him poking holes in my new toy. Nope! That dog ran all around the \"rim\" of the boat on the yellow part. He barked at every passing turtle or snake. The smaller of my two Rottweilers even got in on the act and balanced himself up on the \"rim\" of the boat too. I was afraid to over inflate any of the chambers because I had read some reviews about seams popping from overinflation. So when my 60 pound dog got on the rim, his feet were sinking into the rim a bit. But the boat held up, and he was able to balance there and look around. The 120 pound dog, just sat in the bottom like I was hoping they all would. The real test came when we pulled over to a shore to do a little exploring. The big dog jumped completely out of the boat clearing the rim to get to the shore. To do this he really had to dig his feet into the inflated bottom floor of the boat. No problems. no holes, no leaks. We made our way over a couple of miles of tangled weeds, sticks, and along a shallow river. Scraped plenty of rocks and paddled through some deep water too. Never had any issues.<br /><br />When we returned to our starting spot, the boat was equally quick and easy to deflate. I stuffed it back into my backpack, and started the hike back to the house.<br /><br />All in all, a great experience. I put this boat through a serious test with myself 5\'10 and 255 pounds, and 2 Rottweilers, and a little yappy dog with needles for toenails. The boat withstood the test! If it stands up to another couple of trips I\'ll upgrade my review to 5 stars!<br /><br />Here\'s a few nit picky observations though:<br />1. there are two air chambers (for lateral stability) on the bottom of the raft, and you must inflate them from the bottom. which means flipping the boat over a couple of times. The valves for those chambers stick out, and when I returned to shore they were coated with mud (from scraping the bottom), and with weeds (because they stick out and catch water plants). This doesn\'t seem like the best design. they didn\'t pop open or anything, but it seems like a weak spot.<br />2. While the material seems a good bit tougher than a pool toy I wish the oarlock area had been reinforced much more than it is. When I really started putting some muscle into the oaring the oarlock mounts would pivot 90 degrees, the top of the oarlock almost touch the top of the raft. I kept thinking that this was going to cause a rip. It didn\'t. Maybe next time I\'ll try to inflate that chamber a bit more and see if that helps.<br />3. I\'m not sure how to inflate the chambers all the way, even if I wanted to. Seylor has two chambers on the raft which use a double-lock valve. You pull the valved out then uncap it, then fill it, then while you are still filling it, you push it down (that\'s the first lock), then you cap it off (that\'s the second lock). However, in real life air still escapes through this valve even after you have pushed it down. Just enough to make keeping the chamber inflated to full tautness next to impossible. Maybe I just need to learn the trick or get much fast at snapping the cap down. Like I said earlier, I didn\'t really try very hard because I had read a review or two that mentioned the seams ripped when fully inflated.\";}i:1;a:5:{s:5:\"title\";s:53:\"Very Durable Little Boat (Missing Oar Holders Though)\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:18:\"September 19, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A237RAXBSQG7E4\";s:4:\"name\";s:10:\"lortalorta\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:452:\"My boat was missing the 2 oar holders it was supposed to come with and I\'m not sure how to contact the seller and don\'t want to return it so that was a bummer. Easily held two people and would definitely hold three, but when it comes to fishing you pobably wouldn\'t have much room to fish with 3 full sized men in it. Works pretty good with a motor and the fishing pole holder lacks a little strength but will get the job done. Good boat for the price.\";}i:2;a:5:{s:5:\"title\";s:11:\"Great boat!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"January 27, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1VB4526KJ9FGB\";s:4:\"name\";s:4:\"Phil\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:215:\"I was thinking to buy a kyack to paddle around in local lakes, but this raft is much less expensive, safer, lighter, and easier to transport. I have been careful not to puncture it, and have had no problems with it.\";}i:3;a:5:{s:5:\"title\";s:15:\"Could be better\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 28, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A8MINSI0YJ6C9\";s:4:\"name\";s:5:\"Raven\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:921:\"A very nice inflatable boat for the money that came with an inflatable seat and battery holder. It stated as a 3-person inflatable boat, but when I got into it, 6\' 2\'\' and 210lb, there wasn\'t much room left, but just for one more person. It have various inflatable sections to prevent rapid submerging if it got punctured, however, it have two air holes at the bottom of the boat. I tried it out in a canal by my back yard and some sea grass caught and opened one of the air holes. I had to reach in the water and under the boat to push the lid back to prevent more air from escaping. My solution for that is to duct tape both of them before putting the boat in the water. I purchased the oars separately and it was a bit hard rowing with just one oar, but was good, with practice, with two. It would have been perfect if two of the air holes were placed somewhere else instead at the bottom. Overall, I can work with it.\";}i:4;a:5:{s:5:\"title\";s:33:\"DO NOT DO BUSINESS W/ LEISURE PRO\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"June 11, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9GBPV6GMZL1E\";s:4:\"name\";s:7:\"Richard\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:805:\"Don&#8217;t do business with Leisure Pro. I ordered 2 SBM-18 motors for my Inflatable 3-Person Boat one of which arrived with no propeller. After weeks now emailing, and by phone trying to get a propeller. I have yet to receive any satisfaction. They finally sent me to Coleman company, and after trying that avenue still nothing. I would love to evaluate the motor, but they don&#8217;t run very well with no propeller.<br />I have also looked on the web to see if I could find a prop that I could buy and found out that I am not the only one looking and most reports are saying the company doesn&#8217;t even make spares.<br />I am ready to send all items back to the company and try plan B ( whatever that will be ).<br />So be advised when dealing with this company. They do not support their products\";}i:5;a:5:{s:5:\"title\";s:14:\"excellent.....\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A244CXV7CVOH9L\";s:4:\"name\";s:6:\"Luiggi\";s:7:\"address\";s:5:\"MIAMI\";}s:4:\"text\";s:163:\"This boat is exactly what I was looking for///excellent and the order was following all my espectations I enjoy it rowing at the lake.. with this weather//THANKS//\";}i:6;a:5:{s:5:\"title\";s:9:\"kids raft\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"April 16, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1YJ1P8XWZMNCP\";s:4:\"name\";s:14:\"pharmacist1952\";s:7:\"address\";s:10:\"Miami, Fl.\";}s:4:\"text\";s:292:\"This raft is good for 3 small kids or two small adults. Valves are not easy to inflate. One valve is located on bottom of raft, making ir easy to open if raft runs aground. Quality is good, you do need a foot pump to inflate. Would not feel comfortable with fish hooks inside this vinyl raft.\";}i:7;a:5:{s:5:\"title\";s:5:\"Holes\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"August 3, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3PZ9T63QYVEPN\";s:4:\"name\";s:14:\"Robert S. Gaza\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:391:\"so i bought this boat about 6 months ago and since then ive had about 15 holes in it. none of the holes are from hitting rocks or hooks or trees and stuff like that. but simply from over inflating. i cant go in the water if the boat is half deflated so i simply pump it up so it gets firm then it pops ON THE SEAM i like the boat besides that i fish alot in it and its great for just myself.\";}i:8;a:5:{s:5:\"title\";s:42:\"Perfect small boat to get the dog to shore\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 17, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A5ULGJ7UUOD7F\";s:4:\"name\";s:15:\"Nancy Alexander\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:177:\"This is the perfect size boat to use as a dinghy to get our puppy to shore from our larger boat when staying overnight. We bought the motor so we don\'t have to row all the time.\";}}");
INSERT INTO `wp_postmeta` VALUES("2273", "368", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:31:\"29 x 14 x 7 inches ; 9.3 pounds\";s:15:\"Shipping Weight\";s:10:\"9.8 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004GYYY1W\";s:17:\"Item model number\";s:6:\"MPG502\";}");
INSERT INTO `wp_postmeta` VALUES("2274", "368", "asg_star_rating", "4.5");
INSERT INTO `wp_postmeta` VALUES("2275", "368", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:22:\"Fabulous kayak cart!!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 23, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1K181BN27LO4W\";s:4:\"name\";s:6:\"SusanM\";s:7:\"address\";s:12:\"Cambridge MA\";}s:4:\"text\";s:1124:\"I\'m giving the Malone Clipper Deluxe Universal Kayak Cart 5 stars, but I\'d give it 10 stars if I could!! This is the second kayak cart I\'ve bought in the past month, because the first cart wasn\'t up to the job (too small/unbalanced/a strain to pull). I recently purchased a 10\' kayak with the idea that my kids and I would be able to pop it onto a kayak cart and pull it the 1/2 mile from our house to the Charles River. My goals were independence, simplicity, and ease of use. The Malone cart is well designed, sturdy, and very easy to load and use (even solo). With the cart centered between bow and stern, the kayak\'s weight is perfectly balanced so that rolling it along is effortless-- I can literally pull the kayak with one finger!! At the launch site the cart stowed away in seconds: pull pins on the axel allowed me to stow its wheels in the drywell and the metal cart frame folded down and I bungeed it to the bow. I know that my family and I will be using and enjoying the new kayak a great deal more because the Malone cart made it so simple and easy to get the yak to the water. Great product. Worth the money!!\";}i:1;a:5:{s:5:\"title\";s:19:\"economical and good\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3151DF09XT82D\";s:4:\"name\";s:3:\"sev\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:991:\"The Malone Clipper Deluxe Kayak Cart is my third cart. I have looked at and researched many styles of carts. This is the best cart under $100 that I have seen. It arrives in a solid box and takes one minute to put the tires on ... ready to go. The wheels are wider apart than many carts so it is more stable on uneven ground. The design is simple and the manufacturing is well done. The wheels are inflatable, but they feel like they will work even if punctured ... the tire material is very stiff. The tires are thick enough to go over rocks and gravel and are not the best, but are usable, in sand. Malone is a good company and this is a good, well priced, product.<br /><br />By the way, if you regularly have to walk over 100 feet with your kayak, wheeled carts are the way to go. I walk mine a 1000 yards every outing. The Malone cart makes the \"to and from\" walks safe and easy.<br /><br />I give this 5 stars for the quality at this price. Did I mention the Malone lifetime guarantee?\";}i:2;a:5:{s:5:\"title\";s:11:\"Very sturdy\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"October 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AX9N30V9EA5NO\";s:4:\"name\";s:9:\"B. Barner\";s:7:\"address\";s:7:\"AL, USA\";}s:4:\"text\";s:1197:\"I received this as a gift. It seems very sturdy (holds up to 200lbs). I tried it out over some ruff terrain the first day and it does well. We even stacked our two 14\' kayaks on it and pulled it down to the water like that (the straps are long enough to fit over both). It was a bit tippy, but made moving them both a lot easier.<br />Be prepaired to have a pair of needle nose pliers to inflate the tires when you get it. The air valve is a little hard to reach and inflate at the same time, the pliers makes it a bit easier. There is also a very strong smell that comes with it. My house still has the smell a few weeks later, so if you are sensitive, put it outside for a while to air out.<br />My only reason for a 4 star review is the size. I was hoping it would fit inside the hatch of my kayak. It is very wide and while the wheels come off it does not make it small enough to fit inside my large rear hatch. I can solve the problem my using a bungee cord and straping it to the back of my kayak while paddling, but it just doesn\'t look as nice. On the other hand the large size makes it more stable on rocky footing.<br />Over all a nice product that I expect to last for a very long time.\";}i:3;a:5:{s:5:\"title\";s:21:\"great for Canoes too!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 26, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/ANPLA6KNMWFL\";s:4:\"name\";s:12:\"Ray Maramara\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:482:\"I used to be able to hump my canoe on my back from the car rack to the beach, but that was 10 years ago. It\'s a Kevlar 40 pounder but now that I\'m older, I can\'t be Mr.Muscleman anymore. This product to the rescue! I bought it, assembled rather easily, and dry-tested it on my canoe. Perfect! I will spray all painted and bare parts with clear paint and lube the wheels heavily, so that if I dunk these in salt water, it won\'t rust away after a few uses. Season\'s up so here I come!\";}i:4;a:5:{s:5:\"title\";s:23:\"inflatable tire problem\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1B5A3GB6UYACW\";s:4:\"name\";s:15:\"James E. Pearce\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:220:\"For those of you that are concerned about the inflatable tire problem, evidently Monroe has gone to solid tires, which makes a lot of sense. I just ordered the Monroe delux and it arrived with non-inflatable solid tires.\";}i:5;a:5:{s:5:\"title\";s:11:\"back saver!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 20, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ALNVGHI4C5KSG\";s:4:\"name\";s:5:\"Renie\";s:7:\"address\";s:11:\"Bennett, NC\";}s:4:\"text\";s:981:\"Bought this after reviewing kayak carts, this was highly rated, and has proven to be easy to use, and sure makes it easier on my shoulders (even with help from another person, carrying a kayak is bad ergonomically, and hard for this 5\'1 gal; to use it, you simply lift the kayak onto the cart, strap it on (near the middle), and there is no weight to carry, you just guide it like any other type of cart. From the description, I wasn\'t sure if it had pneumatic or solid tires, so I called Malone customer service prior to ordering from amazon - they said it should come with the solid tires (they were putting them on the later models) - but if not, to call them, and they would send out the solid ones, no charge. Nice! The one I received from Amazon did have the hard tires by the way (preferred; I had read about problems with having soft tires go flat). The large tires allow the cart to go easily through sand and rough stuff, tho I haven\'t tried it over really rough terrain.\";}i:6;a:5:{s:5:\"title\";s:23:\"Quality and easy to use\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ANU8UWDDMN4GQ\";s:4:\"name\";s:12:\"Mary B Carey\";s:7:\"address\";s:17:\"HENDERSON, NV, US\";}s:4:\"text\";s:661:\"Thank You Malone! I live 3 miles fro Lake Mead but I had to drive 20 mile to put in the water because the lake has gone down. In the last year lake has gone up about 30 feet. The lake is up and the old boat ramp near my house is about 40 yards from the water through some rough ground. Used the Malone Clipper Deluxe for the first time today and it was easy to assemble and strap the Kayak. Once the Kayak was on it was smooth sailing. Although the tires did not fit in my storage compartment (mine is small) they were easy to strap on the front tie downs and the body folded easy to strap on the back tie downs. I give 5 stars based on ease of use and quality.\";}i:7;a:5:{s:5:\"title\";s:13:\"Great Product\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 31, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1C5JC0VWM4E40\";s:4:\"name\";s:5:\"Jamie\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:660:\"I use this cart for my 17.5\' canoe. At first I, like others who reviewed the product, had issues with the strap staying in place while I was pulling the cart under canoe. I soon discovered that it really matters which way you tighten the tie strap. Once I figured out that by routing the strap through the buckle the other way, it held tight, after which, I had no issues with the strap loosening up. This cart allows me to maneuver my canoe to the lake by myself, a freedom that I did not have before. I did quite a bit of research before purchasing the cart and I really recommend it, however, this is my first cart, and I have nothing else to compare it to.\";}i:8;a:5:{s:5:\"title\";s:20:\"Universal Kayak Rack\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 19, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2QTPAN8HHDRUK\";s:4:\"name\";s:3:\"Joe\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:129:\"Works great. I use with bunge cords which seems to work better than the strap provided. Good design. I use it on a 14 foot canue.\";}i:9;a:5:{s:5:\"title\";s:10:\"kayak cart\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2B8IIU3JHGZ5Z\";s:4:\"name\";s:6:\"Eileen\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:113:\"I am very satified with this kayak cart, it is very easy to assemble and dismantle for easy storage inside kayak.\";}}");
INSERT INTO `wp_postmeta` VALUES("2264", "367", "asg_product_details", "a:5:{s:15:\"Shipping Weight\";s:8:\"1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:8:\" Canada\";s:4:\"ASIN\";s:10:\"B007PKBAH0\";s:17:\"Item model number\";s:7:\"SL56140\";}");
INSERT INTO `wp_postmeta` VALUES("2265", "367", "asg_star_rating", "5");
INSERT INTO `wp_postmeta` VALUES("2266", "367", "asg_customer_reviews", "a:2:{i:0;a:5:{s:5:\"title\";s:33:\"Light weight items for flat water\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 10, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1CUB195YB9XKO\";s:4:\"name\";s:17:\"Clifford Haggerty\";s:7:\"address\";s:14:\"Santa Cruz, CA\";}s:4:\"text\";s:108:\"If you are in the Ocean you are going to want something way more heavy duty than these. Awesome for the Bay.\";}i:1;a:5:{s:5:\"title\";s:5:\"leash\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 26, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9VX814RAPEII\";s:4:\"name\";s:23:\"Sally P. Pagano \"sally\"\";s:7:\"address\";s:3:\"usa\";}s:4:\"text\";s:124:\"i bought this for my boss on her b-day. she is in the market for a kayak and this is perfect for towing someone who capsizes\";}}");
INSERT INTO `wp_postmeta` VALUES("2267", "367", "asg_last_refresh_attempt", "1371235579");
INSERT INTO `wp_postmeta` VALUES("2268", "367", "asg_update_timestamp", "1371235579");
INSERT INTO `wp_postmeta` VALUES("2269", "368", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2270", "368", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2271", "368", "asg_item_id", "B004GYYY1W");
INSERT INTO `wp_postmeta` VALUES("2272", "368", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004GYYY1W\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Malone-Clipper-Deluxe-Universal-Kayak/dp/B004GYYY1W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004GYYY1W\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Malone-Clipper-Deluxe-Universal-Kayak/dp/tech-data/B004GYYY1W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004GYYY1W\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004GYYY1W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004GYYY1W\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004GYYY1W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004GYYY1W\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004GYYY1W%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004GYYY1W\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004GYYY1W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004GYYY1W\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004GYYY1W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004GYYY1W\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004GYYY1W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004GYYY1W\";}}}s:9:\"SalesRank\";s:4:\"5444\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL160_.jpg\";s:6:\"Height\";s:3:\"121\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML.jpg\";s:6:\"Height\";s:3:\"378\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:6:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL110_.jpg\";s:6:\"Height\";s:2:\"83\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL160_.jpg\";s:6:\"Height\";s:3:\"121\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML.jpg\";s:6:\"Height\";s:3:\"378\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL30_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL75_.jpg\";s:6:\"Height\";s:2:\"57\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL110_.jpg\";s:6:\"Height\";s:2:\"83\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML._SL160_.jpg\";s:6:\"Height\";s:3:\"121\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41MEDqmr1ML.jpg\";s:6:\"Height\";s:3:\"378\";s:5:\"Width\";s:3:\"500\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/514Up1emVML._SL30_.jpg\";s:6:\"Height\";s:2:\"26\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/514Up1emVML._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/514Up1emVML._SL75_.jpg\";s:6:\"Height\";s:2:\"65\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/514Up1emVML._SL110_.jpg\";s:6:\"Height\";s:2:\"96\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/514Up1emVML._SL160_.jpg\";s:6:\"Height\";s:3:\"139\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/514Up1emVML.jpg\";s:6:\"Height\";s:3:\"435\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51L0DlgifbL._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51L0DlgifbL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51L0DlgifbL._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51L0DlgifbL._SL110_.jpg\";s:6:\"Height\";s:2:\"90\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51L0DlgifbL._SL160_.jpg\";s:6:\"Height\";s:3:\"131\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51L0DlgifbL.jpg\";s:6:\"Height\";s:3:\"409\";s:5:\"Width\";s:3:\"500\";}}i:4;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51smhE8KGfL._SL30_.jpg\";s:6:\"Height\";s:2:\"18\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51smhE8KGfL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51smhE8KGfL._SL75_.jpg\";s:6:\"Height\";s:2:\"46\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51smhE8KGfL._SL110_.jpg\";s:6:\"Height\";s:2:\"68\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51smhE8KGfL._SL160_.jpg\";s:6:\"Height\";s:2:\"99\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51smhE8KGfL.jpg\";s:6:\"Height\";s:3:\"308\";s:5:\"Width\";s:3:\"500\";}}i:5;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MsMVCluDL._SL30_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MsMVCluDL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41MsMVCluDL._SL75_.jpg\";s:6:\"Height\";s:2:\"41\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MsMVCluDL._SL110_.jpg\";s:6:\"Height\";s:2:\"60\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41MsMVCluDL._SL160_.jpg\";s:6:\"Height\";s:2:\"88\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41MsMVCluDL.jpg\";s:6:\"Height\";s:3:\"275\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:30:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"Malone Auto Racks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"MPG502\";}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:11:\"Kayak Carts\";s:3:\"EAN\";s:13:\"0859557001769\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0859557001769\";}s:7:\"Feature\";a:5:{i:0;s:39:\"Universal frame supports canoe or kayak\";i:1;s:53:\"Includes airless \"Never-Go-Flat\" removable 10?  tires\";i:2;s:79:\"Oversized padded frame protects boat and includes stabilizing locking kickstand\";i:3;s:24:\"Includes tie down straps\";i:4;s:26:\"200 pound loading capacity\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"700\";s:6:\"Length\";s:4:\"2900\";s:6:\"Weight\";s:3:\"930\";s:5:\"Width\";s:4:\"1400\";}s:5:\"Label\";s:17:\"Malone Auto Racks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"9995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$99.95\";}s:12:\"Manufacturer\";s:17:\"Malone Auto Racks\";s:5:\"Model\";s:6:\"MPG502\";s:3:\"MPN\";s:6:\"MPG502\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"650\";s:6:\"Length\";s:4:\"2850\";s:6:\"Weight\";s:3:\"985\";s:5:\"Width\";s:4:\"1390\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"MPG502\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Malone Auto Racks\";s:11:\"ReleaseDate\";s:10:\"2010-12-22\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:10:\"AZCW-40936\";s:6:\"Studio\";s:17:\"Malone Auto Racks\";s:5:\"Title\";s:42:\"Malone Clipper Deluxe Universal Kayak Cart\";s:3:\"UPC\";s:12:\"859557001769\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"859557001769\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"8193\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$81.93\";}s:8:\"TotalNew\";s:1:\"5\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004GYYY1W%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004GYYY1W\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"WceK3riCm5hpOVWhYgdxQAovTWSXO5AuQZiSIzJHTZVbANQ%2FatXdW8OKRVxh9bFkW7B0jXncf6wJ9byF9GdIDPW9WsM8wOnEZeLpgz5aqsGoW5HyOxETOA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.95\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.00\";}s:15:\"PercentageSaved\";s:2:\"10\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004GYYY1W&atag=freetos-20&exp=2013-06-15T18%3A46%3A19Z&v=2&sig=k2pwtMk7EMt%2BY4y9c1qCk0NVr2rhoY8mEVQwICanX0M%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:507:\"The Malone Clipper™ Deluxe Universal Cart is designed for canoe and kayak ground transportation. The folding anodized aluminum frame resists corrosion and disassembles to fit into your kayak. The rugged 10” airless \"Never Go Flat\" tires are built for all ground surfaces and quickly pop off the frame for easy storage. When loading, the oversized padding on the frame protects the boat, while the locking kick stand keeps the cart steady. This cart has a 200 pound capacity and includes tie down straps.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2246", "365", "asg_product_details", "a:2:{s:20:\"Shipping Information\";s:32:\"View shipping rates and policies\";s:4:\"ASIN\";s:10:\"B00CSUH9K4\";}");
INSERT INTO `wp_postmeta` VALUES("2247", "365", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("2248", "365", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:42:\"Serves the purpose - once you get the skeg\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 11, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A6K4B0U3XOPB7\";s:4:\"name\";s:8:\"Jian Gao\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1782:\"We bought this kayak for a recent trip to Cape Cod. Used is in a bay with mild current and wind for about a week. Here are the things I like about this product:<br /><br />- Easy to carry, set up and store. - This is the most important part about an inflatable kayak.<br />- The materials appears to be sturdy and the appearance is great.<br />- The paddle can be separated into three pieces and very easy to fit into any spaces in the car.<br />- The storage bag that comes with it is large enough that things fit in pretty easily.<br /><br />Here comes my major issue: to get the kayak to go straight, a skeg is a MUST! The manufacture should announce that black and white in large font. You can still paddle it but it takes a lot effort. If there are two people in the kayak, the body weight helps to sink the kayak deeper and paddling straight becomes a little easier. That being said, the skeg should definitely help based on other reviewers\' feedback.<br /><br />There are a couple other things to bring up. More of user experience than concerns:<br /><br />- The storage bag has holes to fit in a string/rope to pull/close the openning; you might want to add the rope to make carrying easier.<br />- There are two types of inflation holes. The smaller ones are tricky to handle. You need to pull the hole nose out before you can inflate them. Once inflated, the hole noses need to be pressed down while the pump is still running to void air leaking. Once the hole is pressed down, then you can pull out the pump and put in the cap - more as a safty measure.<br />- Recommend use an electronic pump with the right connectors for both inflating and deflating.<br /><br />Overall, this is a good product for leisure usage. Buy it together with the skeg and you\'ll be good to go!\";}i:1;a:5:{s:5:\"title\";s:14:\"Fabulous Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3PHLBQKX80SKJ\";s:4:\"name\";s:16:\"Leslie M Johnson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:201:\"This kayak was easy to blow up and very sturdy. My husband and my father (both 250+) paddled it, as well as myself and mother at the same time. WONDERFUL for the price. I would definitely recommend it!\";}i:2;a:5:{s:5:\"title\";s:38:\"Don\'t waste your time with this thing!\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:12:\"July 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1A24RWLVJ5RSV\";s:4:\"name\";s:6:\"Zinner\";s:7:\"address\";s:29:\"St. Helena, Ca. United States\";}s:4:\"text\";s:1043:\"We bought this on a whim for a recent camping trip, hoping to be able to explore the lake in something that would fit in the trunk of the car. Not a good idea, although Amazon\'s delivery was superb (ordered at 2pm, arrived next day at 10:45am- and we live in the sticks!)<br />Pros: Cheap, packs small, probably fine for kids fooling around in warm water or a pool.<br />Cons: Impossible to steer- although apparently the \"Sevylor Skeg\" will fix that for an extra $25. They should have said that before trying to paddle to anywhere except in a circle! Or better yet --charge a little more and include it! Seat backs give zero support so it is very hard to paddle effectively. We had to use an air compressor to pump it up effectively- our battery powered mattress pump didn\'t have enough puff for safe use. The valves for the main air compartments are well designed, but the floor and seat ones are impossible- the compartments don\'t hold a lot of air anyway and it is very diificult to get the stopper in without losing most of the air first.\";}i:3;a:5:{s:5:\"title\";s:20:\"Great starter kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 27, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A98BU9YTDFRLZ\";s:4:\"name\";s:7:\"No MSG!\";s:7:\"address\";s:5:\"Texas\";}s:4:\"text\";s:1377:\"If you are expecting a $700 kayak for a little over $100, you will be disappointed. If you have reasonable expectations and buy the skeg if you are planning on paddling alone in this, you will most likely be pleased. I am giving it a 5 based on price, durability, and customer service as discussed below. I bought this kayak to see if I would actually use it on the two rivers that I live very close to. I didn\'t want to spend a lot of money to have a kayak adorning my garage. If you don\'t have two people, it is very reactionary to your paddling without the skeg. The skeg helps keep it straight. I bought my skeg on ebay from Leisure Pro because they were backordered on Amazon. I will most likely be upgrading to something else next spring, but I have had a lot of fun paddling around in this. It will make a good second kayak for when my husband and daughter want to go or when we have company in town. I have found the kayak to be quite stable and have been through the tube chutes in New Braunfels with no problem. I was told I would surely flip but I did just fine navigating them. I am most impressed with Sevylor\'s customer service. I lost my seat after I had this a couple of weeks and they sent me one by priority mail free of charge. They had not put the replacement seats on their website and hadn\'t priced them, so they just sent me one. I received it in 2 days.\";}i:4;a:5:{s:5:\"title\";s:11:\"Good but...\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"August 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3F7B8SMY7TW5H\";s:4:\"name\";s:9:\"superblob\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:396:\"It got a hole the first day! Was having fun then it sprung a leak. Whether it was from the dock or not the material is flimsy. and thought the bottom would be harder or something. Its like riding in a plastic bag. The whole thing contours to your body and it\'s hard to fit 2 ppl in. Better bring someone from opposite sex with you or it could get weird. But that\'s what u get for a hundred bucks!\";}i:5;a:5:{s:5:\"title\";s:33:\"OK... for the price -- GET SKEG!!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"August 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2IYCVYH319OEN\";s:4:\"name\";s:9:\"snowblaze\";s:7:\"address\";s:15:\"Houston, TX USA\";}s:4:\"text\";s:430:\"I thought this would solve a storage problem for me. That is does. However, it is more like a raft than kayak. That\'s not to say it\'s not fun. However, I ended up buying two Advanced Elements Firefly kayaks... and that was a much better situation. (I feel, a bit, like I wasted $ on this kayak... but will still use when there is company visiting.) DO GET THE SKEG! ...that helps make it less of a raft in windy/choppy conditions.\";}i:6;a:5:{s:5:\"title\";s:22:\"Not the best I\'ve used\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"July 30, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A31BMUKDWS4PDG\";s:4:\"name\";s:7:\"MyPyro3\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1010:\"I have used Sevylor Kayaks in the past, and they worked perfectly. However, after I bought this item I was a little disappointed because of a couple little problems.<br /><br />1) After I inflated the kayak, it was pretty obvious that one of the sides (the right tube) was larger than the other side. So when they were inflated to the same amount of pressure (according to the reader on the side) the right side was much bigger and it made me feel like I was tipping over the entire trip.<br /><br />2) I did not notice any massive leaks, nor could I find any holes, but throughout my 10 mile river ride, I had to re-inflate my kayak 2 different times to keep it at the right levels for a comfortable ride.<br /><br />Other than that, I thoroughly enjoyed the product. I took it over a few decent sized rapids with ease, even though I am just a beginner. I know this is a good brand and have used them before, so I\'m pretty certain that I was just sent a faulty product and will continue buying their products.\";}i:7;a:5:{s:5:\"title\";s:19:\"Just what we wanted\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2Q84GN5NEBGJO\";s:4:\"name\";s:2:\"KB\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:508:\"We love this inflatable kayak!It Now granted, we only take it on a small lake to float around on, but it really gets the job done. It is just what we wanted. I am a small woman and I am able to handle loading this in and out of my car and in and out of the lake on my own. I prefer to make the seats face each other and I just have a great time floating around with my friends.<br /> This does not come with a pump, so I recommend buying one if you do not already own one. This kayak is very easy to inflate.\";}i:8;a:5:{s:5:\"title\";s:5:\"kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 16, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ACKV194RAM4LD\";s:4:\"name\";s:9:\"samtheman\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:126:\"fThis kayak was easy to blow up is great for lakes and mild rivers. Its worth it and easy to pa.ddle and the tracking is great\";}i:9;a:5:{s:5:\"title\";s:24:\"Portable and easy to use\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"December 10, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3CV5VINMHX91Y\";s:4:\"name\";s:8:\"BlueGirl\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:403:\"This kayak is good for the price. It only comes with one paddle, so I bought another one from somewhere else for under $20. It is easy to carry in the car and to and from the water; no roof rack required! It was difficult to fully inflate using an electric pump, but I got the hang of it after a few tries. If not fully inflated, you will have a wet ride. Handled well in the Bay, pretty close to shore.\";}}");
INSERT INTO `wp_postmeta` VALUES("2249", "365", "asg_last_refresh_attempt", "1371235574");
INSERT INTO `wp_postmeta` VALUES("2250", "365", "asg_update_timestamp", "1371235574");
INSERT INTO `wp_postmeta` VALUES("2251", "366", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2252", "366", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2253", "366", "asg_item_id", "B004XACRRC");
INSERT INTO `wp_postmeta` VALUES("2254", "366", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B004XACRRC\";s:10:\"ParentASIN\";s:10:\"B004XACRRC\";s:13:\"DetailPageURL\";s:206:\"http://www.amazon.com/Seasense-X-Treme-Ii-Kayak-Paddle/dp/B004XACRRC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004XACRRC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:216:\"http://www.amazon.com/Seasense-X-Treme-Ii-Kayak-Paddle/dp/tech-data/B004XACRRC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACRRC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004XACRRC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACRRC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004XACRRC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACRRC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004XACRRC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACRRC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004XACRRC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACRRC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004XACRRC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACRRC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004XACRRC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004XACRRC\";}}}s:9:\"SalesRank\";s:4:\"2943\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:15:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:9:\"8681-Kaya\";}s:7:\"Feature\";a:5:{i:0;s:22:\"Feathered Blade Design\";i:1;s:39:\"Two Piece Construction For Easy Storage\";i:2;s:22:\"Adjustable Drip Guards\";i:3;s:32:\"Support Ridge For Added Strength\";i:4;s:23:\"Three Locking Positions\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$46.99\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:9:\"8681-Kaya\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1500\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:3:\"100\";s:5:\"Width\";s:4:\"1500\";}s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:32:\"Seasense X-Treme Ii Kayak Paddle\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"2634\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$26.34\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:4:\"3544\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.44\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"2\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:4:\"Size\";}s:4:\"Item\";a:2:{i:0;a:9:{s:4:\"ASIN\";s:10:\"B001J17VY2\";s:10:\"ParentASIN\";s:10:\"B004XACRRC\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008681\";}s:5:\"Color\";s:5:\"black\";s:3:\"EAN\";s:13:\"0737765777815\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777815\";}s:7:\"Feature\";a:5:{i:0;s:22:\"Feathered Blade Design\";i:1;s:39:\"Two Piece Construction For Easy Storage\";i:2;s:22:\"Adjustable Drip Guards\";i:3;s:32:\"Support Ridge For Added Strength\";i:4;s:23:\"Three Locking Positions\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"4463\";s:6:\"Length\";s:3:\"225\";s:5:\"Width\";s:3:\"700\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3829\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$38.29\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008681\";s:3:\"MPN\";s:7:\"3670118\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"220\";s:6:\"Length\";s:4:\"4600\";s:6:\"Weight\";s:3:\"245\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"3670118\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:7:\"84-Inch\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:42:\"Seasense X-Treme Ii Kayak Paddle (84-Inch)\";s:3:\"UPC\";s:12:\"737765777815\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777815\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"84-Inch\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"8I26yxo9heXngOueQBTzUnvyJXPyMfxEAc0IuOO4Z1ksXxMgv2xuG9%2Bmg2HpgV%2Bl4sd0maLUraeZPcWvwYT%2FBCgSl1y0xPqqm8m%2BKMYDUjAtYS0u0bFz1Q%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3515\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.15\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"314\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$3.14\";}s:15:\"PercentageSaved\";s:1:\"8\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}i:1;a:9:{s:4:\"ASIN\";s:10:\"B003CUTB1Y\";s:10:\"ParentASIN\";s:10:\"B004XACRRC\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21fKc6bfIdL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008682\";}s:5:\"Color\";s:5:\"black\";s:3:\"EAN\";s:13:\"0737765777822\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737765777822\";}s:7:\"Feature\";a:5:{i:0;s:22:\"Feathered Blade Design\";i:1;s:39:\"Two Piece Construction For Easy Storage\";i:2;s:22:\"Adjustable Drip Guards\";i:3;s:32:\"Support Ridge For Added Strength\";i:4;s:23:\"Three Locking Positions\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"5025\";s:6:\"Length\";s:3:\"250\";s:6:\"Weight\";s:4:\"32.3\";s:5:\"Width\";s:3:\"700\";}s:5:\"Label\";s:8:\"Seasense\";s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008682\";s:3:\"MPN\";s:7:\"3670119\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:2:\"60\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"260\";s:5:\"Width\";s:3:\"700\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"3670119\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:4:\"Size\";s:7:\"96-Inch\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:42:\"Seasense X-Treme Ii Kayak Paddle (96-Inch)\";s:3:\"UPC\";s:12:\"737765777822\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737765777822\";}s:8:\"Warranty\";s:17:\"One Year Warranty\";}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:4:\"Size\";s:5:\"Value\";s:7:\"96-Inch\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:126:\"ujuRJjQukcmZlhfNSlmLlq%2BSZygATrWiRQtqNhBecnyT2w45iq4Mc5SlTA42656qTam9wLzUpzvNPeHHl4K4dPeEiecIV1tQ944fv72OPqCEjl27p9v98Q%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3544\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$35.44\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004XACRRC&atag=freetos-20&exp=2013-06-15T18%3A46%3A14Z&v=2&sig=x3WPkX4%2BPz0VDzpIjCEqVCyPE8lvDXAnjuIeOzvgFQE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:35:\"X-Treme II Kayak Paddle 84\" - Black\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2237", "364", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:32:\"16 x 6 x 24 inches ; 23.8 pounds\";s:15:\"Shipping Weight\";s:11:\"25.2 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003652EQY\";s:17:\"Item model number\";s:10:\"2000003413\";}");
INSERT INTO `wp_postmeta` VALUES("2238", "364", "asg_star_rating", "4.1");
INSERT INTO `wp_postmeta` VALUES("2239", "364", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:14:\"Not Bad at All\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"June 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3OF1S2WBC1WJQ\";s:4:\"name\";s:5:\"Satch\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:2016:\"I was thinking of buying a kayak just to get out on the water, and maybe for fishing. I live in an apartment in the city, however, and have no place to keep a hardside boat unless I consider it furniture. When I read about inflatable kayaks I was interested, but skeptical. I checked around, and narrowed my choice to this Sevylor and the Sea Eagle. I went with the Sevylor at $105 plus shipping, and I\'m pretty happy so far.<br /><br />I went to a small (45 acre) lake to give the thing trial run. I had to hike about 1/2 mile down a trail to get to the lake. I was alone, and able to carry the deflated boat, all my fishing gear, and a few other things this distance without too much trouble. I inflated the boat in about ten minutes with a hand pump, and was on the water. I paddled the entire length of the lake, heading into a stiff wind (about 15mph) without breaking a sweat. I have the skeg, and didn\'t have any problems with tracking. At the far end of the lake, I used a 5 lb. anchor while fishing several small coves. It worked perfectly. I caught a couple of bass and some panfish, and found the boat to be stable in the water the entire time and surprisingly comfortable. After a couple of hours I had fished my way back to the landing, deflated and packed everything back to the car.<br /><br />If you\'re a serious, hardcore kayaker... go buy a kayak. If you want to be able to explore a lake and go fishing on a whim for less than $200 (boat, paddle, pump, etc.)with a boat that you can fit in the trunk of a hatchback, I\'d get this thing.<br /><br />=====<br />Update: 8/7/11<br />=====<br /><br />I have used this boat several times over the last couple of months. I can report that it is holding up well, and I\'m still very happy with the purchase.<br /><br />I eventually did take it out with a passenger, and found that it feels just as stable while carrying two people as it does with one.<br /><br />This is a nice, convenient item for the price.<br /><br />=====<br />Update: 8/7/11<br />=====\";}i:1;a:5:{s:5:\"title\";s:11:\"a Great buy\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1NLBZ10LK2J05\";s:4:\"name\";s:15:\"M Edge \"Martin\"\";s:7:\"address\";s:11:\"Phoenix, az\";}s:4:\"text\";s:517:\"We needed a cheap way to get into kayaking and found this kayak on Amazon. If cheap and easy is what you are after this is the way ahead. We got it to the lake and had it inflated in minutes with a coleman quick pump(which is not that good). I also purchased a skeg and some ali paddles.<br /><br />Minutes later we were paddling around the lake figuring out turns and direction techniques. We have also been down flat water rivers and have had great fun. The boat is super stable and even take our 7 month old in it.\";}i:2;a:5:{s:5:\"title\";s:37:\"Durable Boat easily inflates/deflates\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 26, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1BF48JXLQO12N\";s:4:\"name\";s:6:\"Rick B\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:502:\"When I was looking for an inflatable boat I was looking for ease of inflating and deflating while I was camping. It is very easy to inflate and deflate. I would recommend buying an electric pump that also deflates as well. Fishing can be a bit challenging at first because of the light weight which causes drift especially when fighting the fish, but after hours of practice you will learn the dynamics of the boat and it will become second nature. This boat is great for double kayaking with a friend.\";}i:3;a:5:{s:5:\"title\";s:9:\"Fun Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 19, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OYVNTZW91MXH\";s:4:\"name\";s:31:\"Rafael F. Ramos \"The Brazilian\"\";s:7:\"address\";s:10:\"Texas, USA\";}s:4:\"text\";s:3206:\"This kayak is a lot of fun. Wife and I take it out to Grapevine Lake, in Grapevine, Tx. It is a big lake, with lots of boats. Keep reading for details on that. We take it out to the middle of the lake and just relax there.<br /><br />--Durability<br />Pretty sturdy, I was a bit scared the first time we took it out, but after the first time I became very comfortable with it. The lake where we go is pretty deep so I\'m not concerned with branches or big rocks sticking out. As soon as we leave the shore, I\'m worry free, though I bring the patch with me just in case (and my PFD). We thought about going to Trinity River in Arlington, the water there was great, but there were too many branches sticking out of the water, so I\'d rather take a hard shelled kayak there. Other than that, the valves are great, excellent quality PVC.<br /><br />--Heading<br />After reading all the reviews, we bought the directional skeg with the kayak, so I never tried it w/o the skeg. The skeg keeps you straight, but of course it is not perfect. If 2 of you are on the kayak, you will have to coordinate your paddles, and both have to try to keep it straight. Sometimes we have problems on windy days, the wind & current can make you go around in circles, but that is expected given the size of the thing. I\'d say winds under 20mph should be OK for fun kayaking. If you stay close to the shore, it should help as well. And for beginner kayakers, keep the paddling smooth and uniform. Another tip for keeping it straight, but again, sometimes the wind will turn you no matter what and you\'ll have to correct your direction very often. Wakes created by boats and jet-skis don\'t seem to affect it that much (actually they make the paddling more fun).<br /><br />--Size & Seating<br />I\'ve heard some comments about the size and fitting 2 people. I am 5\'11\", the wife is 5\'4\". We both fit just fine. We even bought a dry bag to carry our belongings (wallet, cell phone) and we put that under the canopy in the back. One problem we had in the beginning was the front seat. The backseat almost feels like a recliner, and it\'s very comfortable, but the front seat kept moving a lot, since it doesn\'t have anything to lean on (except for the legs of the person behind you). The way we solved that was by undoing part of the string tying down the front canopy, and using that to tie the seat (there\'s a hole in the middle, we just tie it there). That seems to hold the seat up pretty well, doesn\'t slide at all, so it\'s more comfortable for the kayaker in front. Also, the seats can be a pain to inflate, but they don\'t take much air. I\'m still researching a replacement seat option.<br /><br />--Portability & related items<br />Fits in the trunk of our small sedan just fine. We bought these items as well:<br />Coleman 12-Volt DC QuickPump - Good pump, we\'re in the water in 5-10 mins.<br />Kwik Tek Deluxe Kayak Paddle 2 sect Alum 84\" Curved Blade - 2 sections, so they fit in your trunk even if you have a small car.<br />Ascend(tm) Heavy-Duty Round-Bottom Dry Bags -keeps your valuables dry.<br />O\'rageous® Men\'s PFD Neoprene Life Vest - fit pretty well, comfy, though I tend to unbuckle it sometimes for easier paddling.\";}i:4;a:5:{s:5:\"title\";s:7:\"awesome\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"July 8, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3P6AEQNG243I2\";s:4:\"name\";s:13:\"Ilona Mercure\";s:7:\"address\";s:25:\"Greenwood Village, CO, US\";}s:4:\"text\";s:483:\"I have a small car and this works perfect for when I am wanting to float about the lakes while camping. I can blow it up and I am on my way. It is very sturdy. I have purchased two boat cushions that I sit on when rowing to bring my body up, it is easier. I also bought the SKEG, this is a must, keeps you from spinning in the lake. I haven\'t quite figured out the sides which have indicators on them, sure I will figure out the right amount of air with use. Overall an awesome ride!\";}i:5;a:5:{s:5:\"title\";s:15:\"Love this Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 20, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2K7TRLYJHXY7X\";s:4:\"name\";s:11:\"H. Clermont\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1085:\"We just moved to Key West, Florida and have a canal leading to an ocean bay in the back of our house. I was looking for a kayak to take out on the water and use to get some exercise. I take my 6 yr. old son with me everywhere, so I needed to make sure I bought a boat he would be comfortable in because he is not too keen of the water. This boat is great. I am six and a half months pregnant and can carry it easily, get in and out of the water with ease and paddle it easily as well. The boat stays inflated. Other reviewers said the seats were uncomfortable. I find the seats very comfortable, and I find that they provide the right amount of support. I purchased the kwik-tek kayak paddle to go with the boat as well as a skeg. I\'ve never had any problems kayaking on the canal. Once I got into the open bay, if it is a little windy, the wind pushes the kayak in circles. I guess that is to be expected though (I\'m a novice kayaker). I would also assume that if I had another adult on board that helped the paddling that it wouldn\'t be a problem. I am very happy with this purchase.\";}i:6;a:5:{s:5:\"title\";s:20:\"1st time inflatable!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 10, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3TGMDUY3R8EXY\";s:4:\"name\";s:8:\"Phillo87\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:897:\"Hello, I bought this kayak on a whim. I\'ve been in and out of hard shell kayak\'s all my life. But this is my very first inflatable. I bought it because I was tired of fishing from shore. It\'s great to start off with. We have an ozark trail electric pump, which had it inflated in about 10 minutes including the time to figure out what goes where. I\'m seeing a lot of reviews mentioning a Skeg. This i feel is a must. It was windy out today, and we were twirling like a feather in the wind. Even so we were able to navigate somewhat. We used one of the oars as a rudder which seemed to give us much better forward control. My girlfriend is a bigger girl and the two of us definetley went over the weight limit, but you wouldn\'t know it.<br /><br />Still a little scared with my hooks around it. I think I may upgrade to the Sevylor Colorado soon, only because this first inflatable was so much fun!\";}i:7;a:5:{s:5:\"title\";s:8:\"Perfect!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 19, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2TB740FHY3EXQ\";s:4:\"name\";s:6:\"Sarita\";s:7:\"address\";s:12:\"Berkeley, CA\";}s:4:\"text\";s:2362:\"I bought this kayak last year and I\'m still enjoying it a year later. I had already been an avid kayaker prior to my purchase but I needed an inflatable because I drive a Miata. At a moment\'s notice, I can pack the kayak, 2 seats, 2 paddles, the pump, and pfd in the trunk of my convertible - see attached pic. This for me was worth its weight in gold and considering I paid $115, excluding add-ons, scored a screaming deal!<br /><br />A few add-ons/upgrades are necessary for a richer experience: 1)get a high quality paddle. This thing is a beast on windy days, specially going upstream. The only reason I went with a 2-piece paddle is because I can\'t fit the full length with the top up. You\'re definitely exerting more effort given that you sit lower and the two air chambers force you to paddle wider, like a canoe - think of it as a good workout rather than an easy paddle. That said, I\'ve taken a front passenger for ride and paddled the yak on my own, no problem. 2)I got a double action hand pump so the yak and seats are ready to go in 15min. You\'ll need at least 2 different sized pump connectors for the double lock valves. 3)Definitely get the skeg for a noticeable difference paddling around large lakes. It\'s not a fast ride but it\'s super comfy. 4)Get the high-backrest seats. I sit cross-legged and get pretty good back support for about 4hours.<br /><br />There\'s plenty of room for a dry bag, or two, but the floor will get wet, even if you close the bow self-bailing cover. I wish there was a way to attach the paddle to side. Speaking of attachments, the ties for the bow and stern covers are helpful when attaching a rope, anchor, or bag. Knocking on every piece of wood I can find, so far no punctures. I try to be careful around rocks, asphalt and grassy areas and carry duck tape...just in case. I also attached a strap on the bow & stern so that I can pick it up instead of dragging it - see pic attached. Oh, and as far as air pressure goes, there\'s a gauge on each of the air chambers that basically don\'t work. My pump has a gauge too but that broke shortly after I got it. So my advice is to try not to over-inflate and hope for the best.<br /><br />There are better inflatables out there for sure, but for <$150, the Tahiti goes in the smallest of trunks and rides confidently in large bodies of water.<br /><br />Happy paddling m/\";}i:8;a:5:{s:5:\"title\";s:9:\"satisfied\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 17, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A28C1QTPGU9X8W\";s:4:\"name\";s:13:\"shade gullion\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:106:\"great price easy to inflate..and weighs half as much as my regular fishing kayak..great for ponds or lakes\";}i:9;a:5:{s:5:\"title\";s:5:\"kayak\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"December 29, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A236MNF6HLQ30N\";s:4:\"name\";s:9:\"xiaoweiba\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:388:\"Works well, and the only problem is that it keeps turning around in water! Then I bought a skeg and it\'s kind of better, but when there is wind, it still turns around. Probably we are too light, ~280lbs for two? Even we are relatively small size, there is not much space for fishing.<br />Anyway, nice kayak for fun, but if you really want to go fishing, I would recommend something else.\";}}");
INSERT INTO `wp_postmeta` VALUES("2240", "364", "asg_last_refresh_attempt", "1371235572");
INSERT INTO `wp_postmeta` VALUES("2241", "364", "asg_update_timestamp", "1371235572");
INSERT INTO `wp_postmeta` VALUES("2242", "365", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2243", "365", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2244", "365", "asg_item_id", "B00CSUH9K4");
INSERT INTO `wp_postmeta` VALUES("2245", "365", "asg_amazon_data", "a:16:{s:4:\"ASIN\";s:10:\"B00CSUH9K4\";s:10:\"ParentASIN\";s:10:\"B00CSUH9K4\";s:13:\"DetailPageURL\";s:204:\"http://www.amazon.com/Sevylor-Fiji-Travel-Pack-Kayak/dp/B00CSUH9K4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00CSUH9K4\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:214:\"http://www.amazon.com/Sevylor-Fiji-Travel-Pack-Kayak/dp/tech-data/B00CSUH9K4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH9K4\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00CSUH9K4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH9K4\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00CSUH9K4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH9K4\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00CSUH9K4%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH9K4\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00CSUH9K4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH9K4\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00CSUH9K4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH9K4\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00CSUH9K4%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00CSUH9K4\";}}}s:9:\"SalesRank\";s:4:\"3423\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"70\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"102\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"148\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31ixxR7kx0L.jpg\";s:6:\"Height\";s:3:\"264\";s:5:\"Width\";s:3:\"245\";}}}s:14:\"ItemAttributes\";a:12:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:7:\"Sevylor\";s:7:\"Feature\";a:5:{i:0;s:57:\"22 Guage heavy-duty PVC with Coleman® Airtight™ System\";i:1;s:48:\"2 main chambers and special tubular I-beam floor\";i:2;s:55:\"2 specially designed inflatable seats with back support\";i:3;s:45:\"Spray covers at each end help keep splash out\";i:4;s:76:\"Air chambers with Coleman® Double Lock™ Valves and Mini Double Lock Valve\";}s:5:\"Label\";s:7:\"Sevylor\";s:12:\"Manufacturer\";s:7:\"Sevylor\";s:3:\"MPN\";s:10:\"2000004050\";s:10:\"PartNumber\";s:10:\"2000004050\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:30:\"Sevylor Fiji Travel Pack Kayak\";}s:12:\"OfferSummary\";a:4:{s:8:\"TotalNew\";s:1:\"0\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:3:{s:11:\"TotalOffers\";s:1:\"0\";s:15:\"TotalOfferPages\";s:1:\"0\";s:13:\"MoreOffersUrl\";s:1:\"0\";}s:16:\"VariationSummary\";a:2:{s:11:\"LowestPrice\";a:3:{s:6:\"Amount\";s:4:\"9094\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$90.94\";}s:12:\"HighestPrice\";a:3:{s:6:\"Amount\";s:5:\"20000\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$200.00\";}}s:10:\"Variations\";a:4:{s:15:\"TotalVariations\";s:1:\"1\";s:19:\"TotalVariationPages\";s:1:\"1\";s:19:\"VariationDimensions\";a:1:{s:18:\"VariationDimension\";s:5:\"Color\";}s:4:\"Item\";a:9:{s:4:\"ASIN\";s:10:\"B004G7LUNO\";s:10:\"ParentASIN\";s:10:\"B00CSUH9K4\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL160_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L.jpg\";s:6:\"Height\";s:3:\"277\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL110_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL160_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L.jpg\";s:6:\"Height\";s:3:\"277\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL30_.jpg\";s:6:\"Height\";s:2:\"17\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL75_.jpg\";s:6:\"Height\";s:2:\"42\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL110_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L._SL160_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41hVEWrfI8L.jpg\";s:6:\"Height\";s:3:\"277\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000004050\";}s:5:\"Color\";s:4:\"Blue\";s:10:\"Department\";s:14:\"Sporting Goods\";s:3:\"EAN\";s:13:\"0076501045437\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501045437\";}s:7:\"Feature\";a:5:{i:0;s:10:\"Two person\";i:1;s:20:\"Max capacity 400 lbs\";i:2;s:14:\"10? 4? x 2? 9?\";i:3;s:54:\"Includes 5-piece touring paddle and special travel bag\";i:4;s:50:\"Three chamber design and a Semi-rigid I-beam floor\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:1:\"0\";s:6:\"Length\";s:4:\"3300\";s:6:\"Weight\";s:4:\"2325\";s:5:\"Width\";s:5:\"12400\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"14499\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$144.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000004050\";s:3:\"MPN\";s:10:\"2000004050\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"710\";s:6:\"Length\";s:4:\"2450\";s:6:\"Weight\";s:4:\"2335\";s:5:\"Width\";s:4:\"1650\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000004050\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:11:\"ReleaseDate\";s:10:\"2012-03-12\";s:4:\"Size\";s:8:\"2-Person\";s:3:\"SKU\";s:7:\"VYL1016\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:46:\"Sevylor Fiji Travel Pack Kayak (Blue,2-Person)\";s:3:\"UPC\";s:12:\"076501045437\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501045437\";}}s:19:\"VariationAttributes\";a:1:{s:18:\"VariationAttribute\";a:2:{s:4:\"Name\";s:5:\"Color\";s:5:\"Value\";s:4:\"Blue\";}}s:6:\"Offers\";a:1:{s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:132:\"CQJ8YLPIz3F24qi4gcX8lTV0tooP6NoAmZFIBRv3jdxo4Qi%2FQqOX7%2FEdArZm1fjfeUHolD%2B8ZxajV8ZVkB2Dgs%2BT0hrWuQv3kkqw2OgiK3aQm6ile0tsMg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"9094\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$90.94\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"5405\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$54.05\";}s:15:\"PercentageSaved\";s:2:\"37\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00CSUH9K4&atag=freetos-20&exp=2013-06-15T18%3A46%3A12Z&v=2&sig=bZsgi07XOWBu%2FhMwlQLH2RxRkYWZ%2F4DgIV57hXzsSbs%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:630:\"The Fiji travel pack kayak can easily accompany you on your next water adventure. Great for calm rivers and lakes, this one or two-person inflatable kayak comes equipped with 2 seats, a 5-piece, compact kayak paddle and a travel bag to carry it all. The Double Lock and Mini Double Lock valves are easy to inflate or deflate and create an airtight system. A semi-rigid I beam floor in this travel kayak provides stability and structure and the 22 guage PVC material will provide durability and abrasion resistance.Equipped with Sevytest Pressure Indicator.Includes one aluminum kayak paddle.Coast Guard compliant & NMMA Certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2228", "363", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:30:\"51 x 10 x 5 inches ; 50 pounds\";s:15:\"Shipping Weight\";s:9:\"55 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001ASRVDK\";s:17:\"Item model number\";s:8:\"SE370K_P\";}");
INSERT INTO `wp_postmeta` VALUES("2229", "363", "asg_star_rating", "4.3");
INSERT INTO `wp_postmeta` VALUES("2230", "363", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:36:\"Does What It Says, Says What It Does\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 31, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ATIZ1TQJR6NHK\";s:4:\"name\";s:3:\"BSB\";s:7:\"address\";s:29:\"North Carolina, United States\";}s:4:\"text\";s:5978:\"I must admit that I have wanted a Sea Eagle inflatable since I was a kid (30 yrs ago). I actually ordered (1) 370 and (1) 330 but they sent me (2) 370 models. I guess it was my lucky day. The boats arrived about 5 days after I placed the order in good condition. Do not use a knife to open the shipping boxes or you run the risk of cutting the boat. I ordered (1) Pro Package and (1) Deluxe Package because my teenage son is using one boat and we just use one Pro seat in each boat for solo trips. The deluxe seats are horrible for back support in the middle of the boat, but work well at the rear because the spray skirt helps with back support. The hardest part of assembly is getting the valve cap keepers on the valve openings. They require some stretching to get them on and some of them won\'t stay on well. This doesn\'t affect the seal of the valve caps but it does keep them from getting lost or misplaced. Pumping the three main chambers requires about 100 pumps for each with the included foot pump and two to three for each spray skirt. The seats require about three pumps for the two seperate chambers.I see an electric air pump in my future! I pumped both boats up and pressure tested them for two days and all of the valves held pressure. I did read on another website that it is a good idea to go back and give each valve another twist to prevent any slow leaks while operating the boat. The 370 models have thicker material than the 330\'s (38mil vs 33mil, so in theory they should be more puncture resistant. The paddles are of a four piece collapsible design. They look to be of reasonable quality and since I will be paddling solo most of the time I have a spare paddle in case something does break (each boat comes with two paddles). The boat also ships with an inflation gauge to ensure proper air pressure and a patch kit.<br /> The maiden voyage of these boats was made on a local lake in a protected cove with winds about 5 MPH. As with any canoe or kayak, getting into it for the first time causes a little anxiety. The initial stability of these boats is not as good as some rented kayaks I have used but the secondary stability is very good. I was expecting bad yaw characteristics which is usually a trademark of inflatable boats but I was pleasantly suprised. The key is to start out with slow and light paddle strokes until up to speed and then the boat can be paddled with more power. When paddling solo the boat performs best if the paddler is seated around the middle. The pro seats are comfortable but they do slide around a little toward the back when entering the boat and getting seated. I will probably get some small caribiners and run some rope to the seats from the spray skirts to keep them from moving back. The wind did affect the boat some and corrective paddle strokes were needed to stay on the intended heading, but that is the case with most other inflatables. I was concerned about the sun heating up the boat and over pressurizing the chambers but the material is a light gray color and the boat stayed relatively cool on this 95 degree day.<br /> This is what I would call a fun boat. It doesn\'t have foot rests or thigh braces which help transfer power to your paddle, so you aren\'t going to win any races in it. It will require more energy to move it around. For what it is, it gets the job done. The boats are rated for Class 3 whitewater but I can\'t see using them for anything but lakes and slow moving and relatively deep rivers. You may be able to use them for deep Class 1 through 3 rivers but most of the whitewater rivers in North Carolina are two feet or less in depth and have a lot of craggy rocks. Dedicated inflatable whitewater boats have a thick rubber coating or heavy fabric outerlayer to prevent cuts and abrasions. The Sea Eagle Sport kayaks are just very thick PVC material which is durable but not enough for my comfort in these conditions. Who wants to have a flat 10 miles upstream in the middle of nowhere? If you are that adventurous, make sure you have your patch kit and foot pump with you.<br /> I wasn\'t in the financial position to get two hard shell kayaks, paddles, and a roof top carrier. I would have spent $1000.00 minimum to get entry level boats. In my case it was buy the Sea Eagles with paddles and air pumps for less than $500.00 or sit on the shore and watch others have fun.<br /> Being able to pack away a 12 foot long boat with all of the accessories in a duffle bag is very convenient but it is not without some disadvantages. You have to make sure the boat is completely dry before you put it away to prevent mold and mildew. This means either leaving the boat inflated until dry or wiping it down with a towel at the end of the day. The spray skirts are attached with ropes so the boat is going to have to air dry for some amount of time before packing it away to allow the ropes to dry out. Drying the boat is a minor annoyance but just be aware that you aren\'t going to be able to just pull it out of the water, deflate it, and stuff it in a bag. I had to practice a couple of times folding up the boat so it fits in the bag. I found the best way is to roll it up like a sleeping bag instead of folding it in sections. With the boat and accessories in the bag the whole package is very heavy. The bag only has one shoulder strap so all of the weight is on one side of your body during transport. Two straps would make it a lot easier. I can\'t see anyone carrying these bags more than 50 yards before taking a break or switching shoulders. It is much easier to carry the inflated boat and paddle if possible.<br /> Overall Sea Eagle makes a good product that peforms well if you recognize its limitations. These boats are are leap up from inflatable pool toys and should hold up well under normal circumstances. The material is probably three times thicker than the cheap boats. I can\'t think of a better or less expensive way to get out on the water and just have a little fun.\";}i:1;a:5:{s:5:\"title\";s:22:\"Amazing for the money.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 4, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A23PGJOHG1L1I2\";s:4:\"name\";s:3:\"Nic\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3096:\"I recently got into kayaking by way of some friends. They had two boats so the three of us would rotate so we could all have some fun. It was fun, but when you\'d like everyone out on the water at the same time, you will obviously need a third boat. Being an apartment dweller I couldn\'t really keep a hard shell kayak anywhere. Nor did I want to haul one up and down three flight of stairs every time I felt like hitting the water.<br /><br />After a lot of research I decided on the Sea Eagle SE370. And I\'m pretty dang happy.<br /><br />1. Storage, set up, moving: It easy to set up. The first couple of times might take you a bit longer than advertised, but after that, it\'s a smooth process. Moving it to the water has one real issue: The carry bag should have two straps instead of one. The single strap will dig into your shoulder on longer walks to the water. I\'ve since started inflating it right out of the car instead of hauling the bag to the launch site. Still, while that eliminates the pain of the single shoulder strap it is awkward to carry for a quarter mile. Storage is pretty easy. The boat in its bag will easily fit in a closet while it patiently waits for its next use. Major drawback, you cannot fit the paddles in the carry bag with the SE370. It might be possible with the smaller SE330, but it just won\'t happen with the 370. The boat, seats, and pump take up all of the space. If you\'re really determined, maybe you can cram the paddles in, but not wanting to break anything I haven\'t tried to force it. Outside of the single shoulder strap on the carry bag, this thing is great.<br /><br />2. On the water: Talk about stable. Between my efforts to tip it, and my friends more extreme attempts, I feel safe saying it will not tip. It\'s more likely to toss you out before it tips over. Since I\'m not a strong swimmer that makes me feel very comfortable in it. Performance, you\'re not getting anywhere very fast. You won\'t get anywhere in a terribly straight line either. Sitting slightly aft of the middle of the boat as the directions suggest works, but you will be zig-zagging across the water. And probably fighting against a current that\'s out to make you spin in place. Alternate approach if you\'re going out solo on flat water, sit all the way in the back. It helps quite a bit with keeping a straight line, but wind will be a bigger issue. You can handle wind a little better if you\'re towards the middle of the boat, but currents are less of an issue in the back. It can\'t be called a major drawback though because it seems to be the nature of all inflatable kayaks from what I\'ve learned. Maybe the more expensive ones are better at that, but for the price this little thing is pretty good as long as speed isn\'t a concern.<br /><br />3. Construction: Solid. Seriously. It\'s been put through a fair bit since I bought it and it doesn\'t even have a scratch on it. There are a couple mud stains, but nothing else. No complaints here at all.<br /><br />In short, I\'m glad I bought this thing and am looking forward to spending as much of the summer on it as I can.\";}i:2;a:5:{s:5:\"title\";s:11:\"Great kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 21, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A401P21IH6VU8\";s:4:\"name\";s:10:\"classic vw\";s:7:\"address\";s:10:\"california\";}s:4:\"text\";s:574:\"I bought SE370 Pro Inflatable Kayak that has the upgraded seat from a competitor. Took it to the local lake during a camping trip. Easy to put together. Kids loved it as well as me! I solo\'d it to do some fishing. Kids teamed up to paddle around the lake. OF course, we all used life jackets at all times! It tracked beautifully and was easy to maneuver. It was easy , as well, to deflate. Be sure to wipe it dry before storing it away. The included storage bag held everything, pump, kayak and paddles. It is quite sturdy and has a nice carrying strap. Buy it and enjoy !!!\";}i:3;a:5:{s:5:\"title\";s:14:\"Great handling\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 5, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A22VFI9LZN6ZP4\";s:4:\"name\";s:12:\"David Benner\";s:7:\"address\";s:14:\"La Quinta, Ca.\";}s:4:\"text\";s:1120:\"I\'m 70, my wife is 65, we\'re been river rafting for 30 years in upstate NY (Rackette River, Saranac Lake, etc.). We purchased the Sea Eagle SE370 Kayak last month. We also have a Jensen racing fiberglass canoe and a REI Backpacker 2-person raft.<br /><br />We have just spent two weeks with the Sea Eagle on rivers in the California High Sierra. I was frankly surprised at the sea worthyness of this boat. It\'s well built, easy to inflate, easier to deflate and it even fits after use in the canvas bag it was delivered in. . . seats and foot pump included. We bought the Pro model with the better seats, and all in all I am perfectly happy with it. It stayed dry inside, it tracked well even in class 3/4 white water, it took bumping on rocks, stones, concrete, asphault without any damage whatsoever. I can\'t think of any negatives other than it\'s weight (31 lbs.) which can be expected of a boat of this nature. Well worth the dollars. Incidently, I bought a good electric air pump thinking that the foot pedal use would not inflate it fast enough. I regret the money I spent on the electric pump. You don\'t need one!\";}i:4;a:5:{s:5:\"title\";s:12:\"Great Kayak!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 1, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A284UADIEKDJ96\";s:4:\"name\";s:4:\"Ryan\";s:7:\"address\";s:13:\"El Dorado, CA\";}s:4:\"text\";s:977:\"This Kayak has worked exactly as advertised. I have had it for about a month now. I have not taken it down any rivers/rapids yet, but have taken it to a number of lakes in my area and it has been exceptional. The material is surprisingly resilient as it has scraped against rocks and sticks. Like some of the other reviews stated it can be susceptible to wind, however if you don\'t inflate the bottom chamber all the way you sit a little lower in the water which seems to help. It is also very light so it is easier to maneuver in the water than a traditional kayak. It is also much easier to carry to and from the water than a traditional kayak and only takes about 15 minutes to inflate. If your debating between the Deluxe and Pro package I would recommend getting the Pro package because the seats offer much more back support and the paddles are more efficient in the water. Overall this is a great kayak that I would recommend to anyone, especially those new to kayaking.\";}i:5;a:5:{s:5:\"title\";s:11:\"Super Great\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"July 4, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AI5212BA68WK3\";s:4:\"name\";s:21:\"Daniel Druker \"- Dan\"\";s:7:\"address\";s:27:\"Palo Alto, CA United States\";}s:4:\"text\";s:1455:\"To address a few of the other comments:<br /><br />I\'m an Amazon Prime customer. I received the kayak the day after I ordered it - I was surprised to see $3.99 one day shipping given how large and heavy it is. But it did show up the next day.<br /><br />Also, it is the pro model with the fancier seats. Perhaps the other person received something else by mistake.<br /><br />I took it out on Monterey Bay the next day with my 4th grade twins and like the others can confirm this is a very nice, stable Kayak, particularly for the money. It\'s important to fully inflate it - in 50 degree ocean water I found I needed to pull over after a while and put some more air in after the water cooled the air down.<br /><br />We even had a couple of folks in hard shell kayaks comment that we had a cool boat. We got within about 5 feet of sea otters and sea lions, and I will admit that I thought about what would happen if one of them decided to gnaw on one of our tubes a little bit - probably the only disadvantage of an inflatable.<br /><br />Had no problem packing it up and putting into the storage bag, agree with the previous poster I would not tried to jam the paddles in there too. Instead I put our 3 life jackets in the storage bag - plenty of room for them.<br /><br />My only complaint so far is I managed to bend one of the paddles when speeding us up to catch a wave into the beach. I\'ll be calling the manufacturer to see if they will replace it.\";}i:6;a:5:{s:5:\"title\";s:8:\"Love it!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 30, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2Q66GH85ZZMBM\";s:4:\"name\";s:8:\"Islander\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:457:\"We live on a canal and wanted something fun and easy to handle. We\'ve had 1, 2 & 3 people in it at different times and it was perfect on the water each time. We had two teens trying to tip it over and couldn\'t do it. I\'m a petite woman and can handle loading it on and off the deck by myself. I definitely recommend this to anyone who wants to have an inexpensive, manageable, and sturdy kayak. NOTE: If you don\'t have it fully inflated it will be unsteady.\";}i:7;a:5:{s:5:\"title\";s:50:\"Great Kayak for convenience, stability and comfort\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3RQTC5XIWEUPY\";s:4:\"name\";s:5:\"Frank\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:310:\"My wife and I recently purchased the Sea Eagle 370 pro package kayak. We used it 4 times so far on a large lake in NC. It peformed quite well and we are delighted with it. This is a great value for two 70 year olds. I do however, strongly recommend the Pro seats over the regular seats. Thank you Amazon. Frank\";}i:8;a:5:{s:5:\"title\";s:36:\"Sea Eagle stands behind its products\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 8, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UNVA44KDANOR\";s:4:\"name\";s:12:\"Hugo Eckener\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1830:\"I ordered the 370 in 2010. After two years of trouble-free performance, it developed a leak along an inside seam - right where a patch would not hold adequately. However, it came with a three-year warranty for manufacturer\'s defects. After emailing a photo to the company, they promptly sent a replacement hull. All they asked was that I cut out the old hull ID patch (thus destroying the already worthless original boat) and mail it back to them. This tells me two things: 1) This company really does stand behind their products, and 2) such a failure can\'t be common (otherwise they\'d surely go broke replacing boats).<br /><br />For as little as I paid, this is really a great deal. And to answer some common questions about inflatables: I\'ve hit snags and sharp rocks with no damage (the boat simply bounces off). The hull has three air chambers for safety - even after I noticed the leaky seam developed, the boat still floated well enough to get home without even stopping to patch or re-inflate. It tracks rather well in the water thanks to the skegs, even into the wind, though you do have to adjust your paddling in a strong crosswind to keep it from weathervaning. It is stable in rough water; I\'ve only had it on lakes and backwater creeks, but felt safe even in white-capped water. The foot pump lasted only a year before it gave out, but since then I\'ve used a ten-dollar air mattress hand pump that is actually faster; the boat is stamped with an inflation gauge to keep you from over-inflating. It takes me about 20 minutes from car trunk to launching from the dock.<br /><br />Taken all together, I give the 370 five stars based on the price and the company\'s integrity. Of course there are better kayaks out there (and Sea Eagle makes higher-end inflatables), but for the money I know of nothing that equals this.\";}i:9;a:5:{s:5:\"title\";s:15:\"very good kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2RFIEX824CHJD\";s:4:\"name\";s:17:\"Eric Chu \"driver\"\";s:7:\"address\";s:16:\"garden grove, ca\";}s:4:\"text\";s:427:\"i used to have hobie odyssey, but i needed a partner to ride it, but with inflatabel kayak i can do it myself or with my wife. sea eagle 370 is long enough for 3 people and very stable, in the first trip, i learn that you might want to have handy airpump for occation, maybe i did not thight the valve enough, my seat got flat. but came home and repumped and sit on it for hours while reading a book, it was ok. i love my kayak\";}}");
INSERT INTO `wp_postmeta` VALUES("2214", "361", "asg_last_refresh_attempt", "1371235565");
INSERT INTO `wp_postmeta` VALUES("2215", "361", "asg_update_timestamp", "1371235565");
INSERT INTO `wp_postmeta` VALUES("2216", "362", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2217", "362", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2218", "362", "asg_item_id", "B00177FIJ8");
INSERT INTO `wp_postmeta` VALUES("2219", "362", "asg_amazon_data", "a:10:{s:4:\"ASIN\";s:10:\"B00177FIJ8\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Intex-68306EP-Challenger-K2-Kayak/dp/B00177FIJ8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00177FIJ8\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Intex-68306EP-Challenger-K2-Kayak/dp/tech-data/B00177FIJ8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177FIJ8\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00177FIJ8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177FIJ8\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00177FIJ8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177FIJ8\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00177FIJ8%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177FIJ8\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00177FIJ8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177FIJ8\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00177FIJ8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177FIJ8\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177FIJ8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177FIJ8\";}}}s:9:\"SalesRank\";s:4:\"6426\";s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41Nd%2BxialHL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41Nd%2BxialHL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41Nd%2BxialHL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41Nd%2BxialHL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41Nd%2BxialHL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41Nd%2BxialHL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/516TGTfsobL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/516TGTfsobL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"74\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/516TGTfsobL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"74\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/516TGTfsobL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"109\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/516TGTfsobL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"159\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/516TGTfsobL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"496\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:13:\"0078257683062\";i:1;s:7:\"68306EP\";}}s:5:\"Color\";s:9:\"Grey/Blue\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257683062\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257683062\";i:1;s:13:\"0078257314928\";}}s:7:\"Feature\";a:5:{i:0;s:106:\"Kayak offers two people a sleek, easy-paddling, and highly portable craft to explore lakes and easy rivers\";i:1;s:109:\"Made of company\'s rugged, Super-Tough vinyl that\'s puncture- and UV damage-resistant for long term durability\";i:2;s:106:\"High visibility graphics allow others to see you easily on the water, and craft is US Coast Guard approved\";i:3;s:167:\"Measures 30 by 15 by 138 inches (W x H x D) inflated, with 350-pound maximum weight limit; includes two 84-inch aluminum oars, high-capacity pump, and repair patch kit\";i:4;s:47:\"Includes limited 30-day manufacturer\'s warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1496\";s:6:\"Length\";s:4:\"7598\";s:6:\"Weight\";s:4:\"3404\";s:5:\"Width\";s:4:\"4252\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"16999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$169.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"68306EP\";s:3:\"MPN\";s:5:\"68306\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1130\";s:6:\"Length\";s:4:\"2450\";s:6:\"Weight\";s:4:\"3880\";s:5:\"Width\";s:4:\"1760\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"68306\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:3:\"SKU\";s:8:\"GS-59970\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:25:\"Intex Challenger K2 Kayak\";s:3:\"UPC\";s:12:\"078257683062\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257683062\";i:1;s:12:\"078257314928\";}}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"6491\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$64.91\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"8868\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$88.68\";}s:8:\"TotalNew\";s:2:\"39\";s:9:\"TotalUsed\";s:1:\"2\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177FIJ8%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177FIJ8\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:118:\"YinVoyilsCAub1d96hTc5aq900lH%2FMH%2FH9OtInHRwQYNJNS8wsDXLALj7zURwA2OQCYXHBuQjC5Y0cnJNP9U7CwPySHv3%2FkQEW2t%2BY97bxI%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"9736\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$97.36\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"7263\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$72.63\";}s:15:\"PercentageSaved\";s:2:\"43\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00177FIJ8&atag=freetos-20&exp=2013-06-15T18%3A46%3A05Z&v=2&sig=pFTn7mkx2r%2BaoCFQiUpQclm%2FWEHliTMBGQ4HOCZDdSM%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:262:\"Challenger K2 Kayak 2 person kayak is made of rugged SUPER-TOUGH vinyl made stronger for durability. High visibility graphics allow others to see you easily. The cockpit is designed for comfort and space and has an inflatable seat and backrest. US Coat Guard ID.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1879:\"The Intex Challenger K2 kayak offers two people a sleek, easy-paddling, and highly portable craft to explore lakes and easy rivers. It\'s made of the company\'s rugged, Super-Tough vinyl that\'s puncture- and UV damage-resistant for long term durability, and the cockpit is designed to optimize comfort and space. High visibility graphics allow others to see you easily on the water, and the craft is US Coast Guard approved.  <p> <b>Features</b><br> <ul> <li>Two-person inflatable water craft for lakes and mild rivers <li>Comfortable and spacious cockpit includes two inflatable seats and backrests <li>Inflatable floor for both comfort and rigidity <li>High visibility graphics give a sporty flair and maximize safety on the water <li>Cargo net to keep essentials handy <li>Grab line on both ends of kayak for easy carrying <li>Measures 30 by 15 by 138 inches (W x H x D) inflated <li>350-pound maximum weight limit <li>Includes two 84-inch aluminum oars, high-capacity pump, and repair patch kit </ul> <p> <b>Warranty</b><br> Intex products include a limited 30-day manufacturer\'s warranty against defects in materials and workmanship. <p> <b>About Intex Recreation</b><br> Intex Recreation makes above ground swimming pools, air beds, inflatable toys, pool and lake boats, and the proprietary Intex Saltwater Pool System. The company has been in business for over 40 years, and is a global leader in designing and producing innovative products for indoor and outdoor recreation. <p> Intex products meet the most stringent safety standards, undergoing intensive testing to ensure years of safety and satisfaction. During the manufacturing process, trained Intex employees continuously monitor a wide range of factors, including quality of raw materials, calibration of the machines, manufacture and assembly of each product, product testing, and careful packaging of every item.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2203", "360", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("2204", "360", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:33:\"Sturdy and easy to use. 5 Stars!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"April 1, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3T24RSN7D0TQG\";s:4:\"name\";s:22:\"Michael Barad \"mbarad\"\";s:7:\"address\";s:7:\"HI, USA\";}s:4:\"text\";s:1443:\"I searched and read the reviews of almost all of the kayak dolly and carts. Narrowed it down to the aluminum tube types with the large wheels since 100% of my yak fishing trips are saltwater and launching from a beach. The construction of the carts were similar enough that price became the deciding factor at the end.<br /><br />This little cart was easy to put together. The wheels went on with no problems and stay on with pins on each wheel. The included straps went around my Hobie Revolution with plenty of slack available. The Hobie is about 70lbs nekkid and with all of my rigging added on it comes to about 100lbs or so. The cart easily handled asphalt to gravel then grass and finally over sand.<br /><br />Other reviews mentioned the petroleum smell coming from the tires. Yes it is strong, it also tells you that it is a newly manufactured tire. I just washed the tires with some Dawn dishwashing liquid in the driveway and that pretty much took care of the strong smell. ***on a side note - the next time you are at one of the big box stores, go to the bike section and that faint petrol smell is what these tires smell like. Except the smell off of these tires are much stronger. Just noted this so you\'ll have an idea of the smell the reviews are talking about. ***<br /><br />I feel like I got the best deal on this cart. No regrets on my purchase. And if I get a second yak, I would get another one of these carts in a second.\";}i:1;a:5:{s:5:\"title\";s:12:\"Does the job\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 10, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2PEPQ2EHU34HS\";s:4:\"name\";s:17:\"Patrick R. Krezel\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:119:\"As good as the 110 dollar ones. Wheels come off easily, light and fits into hatch. Works on both my canoes and kayaks..\";}i:2;a:5:{s:5:\"title\";s:30:\"Great item with a great price.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"December 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1DX152SK65Q2E\";s:4:\"name\";s:16:\"James Zimmermann\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:174:\"I have been wanting to buy a Kayak cart like this for a long time. Usually I would make one but when I saw the price of this cart I jumped on it. Well priced and works great.\";}i:3;a:5:{s:5:\"title\";s:25:\"pretty good for the money\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"March 23, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJJFR9ZAIUX2Q\";s:4:\"name\";s:12:\"KYLE HOPKINS\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:264:\"Could be a little higher quality, wheels could roll a little smother. But at less then half the price of all the others you really can\'t complain.<br /> A real life saver if you don\'t have one I don\'t know how you can even want to take your kayak out of the truck.\";}i:4;a:5:{s:5:\"title\";s:28:\"This product works perfectly\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 17, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A6FQCZP7UJKKA\";s:4:\"name\";s:5:\"David\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:638:\"I have a 13 ft Gheenoe made by Gheen Manufacturing 13\' in length 3\' 8\" at the beam approximately 120 lbs (feel free to look this up on line so you can see what I am carrying on the carrier). I am not mechanically inclined! I was a little worried given the first feedback on this carrier. Anyway, I wanted the larger wheels as I live in Florida which can be very sandy so I ordered it.<br /><br />I put the strap through the frame and around the Gheenoe, clipped the clips together and tightened the strap. That was all that was involved. Then I pulled the Gheenoe around. I had no problems with the carrier. It works perfectly. I like it.\";}i:5;a:5:{s:5:\"title\";s:27:\"Fits perfect to carry a SUP\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 22, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2QU3KPRG8XMKG\";s:4:\"name\";s:2:\"Ed\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:436:\"In my case I am using the carrier to transport my stand up paddle board. SUP carriers are away more expensive, and this one do the same job, spending a lot less money.<br /><br />The product is pretty light (I close the carrier and it fits over the board when I am in the water) and well built. I just don\'t give 5 starts because the product has a very strong small (go figure) and the rope that comes with the carrier is not that good.\";}i:6;a:5:{s:5:\"title\";s:24:\"Good value for the money\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 28, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1UBWXFMSU7SJY\";s:4:\"name\";s:15:\"Elliot S. Hibbs\";s:7:\"address\";s:16:\"Anderson, SC, US\";}s:4:\"text\";s:107:\"Study enough for the job. Could have a better way to secure kayak to cart but over all it works well enough\";}i:7;a:5:{s:5:\"title\";s:34:\"Great price and good quality item.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 14, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A3N2VTXOL44Z7\";s:4:\"name\";s:14:\"James G Weston\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:137:\"We bought this as a second dolly for a second kayak. It is nearly identical to the more expensive one we already had. Works like a charm.\";}i:8;a:5:{s:5:\"title\";s:20:\"Great item for price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"June 8, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1UDUG2V3LPMFJ\";s:4:\"name\";s:32:\"Jacob C. Fletcher \"SFC Fletcher\"\";s:7:\"address\";s:13:\"Baltimore, MD\";}s:4:\"text\";s:112:\"Shipped quick and exactly as described, I use it to move my sun dolphin bass boat around and works great so far.\";}i:9;a:5:{s:5:\"title\";s:27:\"Does what it is supposed to\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 29, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1OX8G8HNCH8L7\";s:4:\"name\";s:7:\"OLD-GUY\";s:7:\"address\";s:6:\"SC USA\";}s:4:\"text\";s:615:\"These have been around for decades. There are only 2 designs that I have ever seen. This is the most compact. 30 years ago we could not afford a cart- so all our portages were done the old fashioned way- 2 men and a boat(canoe) in each hand by our side.<br />Cart smells a bit like a drive through Dayton, but works well. Leave the thing outside for a few weeks and most of the odor dissipates.<br />I am very satisfied, but wish I could have afforded it years ago when I was on the river multiple days a week!<br /><br />It is only $50.00 in any event. Just get one and use it with your canoe- you won\'t regret it.\";}}");
INSERT INTO `wp_postmeta` VALUES("2205", "360", "asg_last_refresh_attempt", "1371235563");
INSERT INTO `wp_postmeta` VALUES("2206", "360", "asg_update_timestamp", "1371235563");
INSERT INTO `wp_postmeta` VALUES("2207", "361", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2208", "361", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2209", "361", "asg_item_id", "B001445ETI");
INSERT INTO `wp_postmeta` VALUES("2210", "361", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B001445ETI\";s:13:\"DetailPageURL\";s:214:\"http://www.amazon.com/Seasense-X-Treme-Aluminum-Paddle-84-Inch/dp/B001445ETI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001445ETI\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:224:\"http://www.amazon.com/Seasense-X-Treme-Aluminum-Paddle-84-Inch/dp/tech-data/B001445ETI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001445ETI\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001445ETI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001445ETI\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001445ETI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001445ETI\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001445ETI%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001445ETI\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001445ETI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001445ETI\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001445ETI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001445ETI\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001445ETI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001445ETI\";}}}s:9:\"SalesRank\";s:4:\"3107\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/21tUIWNxi6L.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"SeaSense\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:6:\"008680\";}s:5:\"Color\";s:5:\"black\";s:10:\"Department\";s:28:\"Paddles, Oars, & Accessories\";s:3:\"EAN\";s:13:\"0737765777808\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0737765777808\";i:1;s:13:\"0632085071318\";}}s:7:\"Feature\";a:3:{i:0;s:31:\"Two Piece Aluminum Construction\";i:1;s:40:\"Lightweight, Black Molded Plastic Blades\";i:2;s:40:\"Adjustable Drip Guards/Foam Rubber Grips\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"4400\";s:6:\"Length\";s:3:\"175\";s:6:\"Weight\";s:4:\"2.26\";s:5:\"Width\";s:3:\"675\";}s:5:\"Label\";s:8:\"Seasense\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"2839\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$28.39\";}s:12:\"Manufacturer\";s:8:\"Seasense\";s:5:\"Model\";s:6:\"008680\";s:3:\"MPN\";s:6:\"008680\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"250\";s:6:\"Length\";s:4:\"4440\";s:6:\"Weight\";s:3:\"220\";s:5:\"Width\";s:3:\"650\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"008680\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Seasense\";s:11:\"ReleaseDate\";s:10:\"2011-04-19\";s:6:\"Studio\";s:8:\"Seasense\";s:5:\"Title\";s:48:\"Seasense X-Treme Aluminum Kayak Paddle (84-Inch)\";s:3:\"UPC\";s:12:\"737765777808\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"737765777808\";i:1;s:12:\"632085071318\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1890\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$18.90\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B001445ETI%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001445ETI\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:136:\"Mt3HOg4hBPMWvRBLorfa8qhiq9AUUDD0d3ogcbIzBSZ%2BrtVRIsSVCb2d%2BTk9NK%2B9f5UlH8y%2BZ56i0RiCOlTNAI67v3sS602PvKWpMXz%2Bt1%2Fgt1qkh7t3lQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2497\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$24.97\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"342\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$3.42\";}s:15:\"PercentageSaved\";s:2:\"12\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001445ETI&atag=freetos-20&exp=2013-06-15T18%3A46%3A03Z&v=2&sig=EO4NBgpHsWpDobfkkJ3p5TPp1DZVji%2Fhcb26Nz8kkzE%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:9:\"Kayak 84\"\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2211", "361", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:21:\"1.8 x 6.8 x 44 inches\";s:15:\"Shipping Weight\";s:10:\"2.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001445ETI\";s:17:\"Item model number\";s:6:\"008680\";}");
INSERT INTO `wp_postmeta` VALUES("2212", "361", "asg_star_rating", "4.1");
INSERT INTO `wp_postmeta` VALUES("2213", "361", "asg_customer_reviews", "a:7:{i:0;a:5:{s:5:\"title\";s:26:\"Great paddle for the money\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 3, 2005\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A9IZOEIVNJRWQ\";s:4:\"name\";s:14:\"David M. Dalby\";s:7:\"address\";s:12:\"Portland, OR\";}s:4:\"text\";s:249:\"This is easily the best bargain I have found in a kayak paddle. It is quite strong, reasonably light, and the blades are of an efficient design.<br /><br />The grip area is very comfortable even after hours of use.<br /><br />I intend to buy 2 more.\";}i:1;a:5:{s:5:\"title\";s:28:\"Inexpensive and fast deliver\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 12, 2006\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1R8QVG6F2DQWK\";s:4:\"name\";s:18:\"Jay B. \"LifeForce\"\";s:7:\"address\";s:8:\"Napa, CA\";}s:4:\"text\";s:188:\"This product was inexpensive and the delivery was fast. The price reflects the quality of the paddle. It will adequately serve the needs as an extra/back-up paddle for a beginning kayaker.\";}i:2;a:5:{s:5:\"title\";s:40:\"Cheap yet light, functional kayak paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 28, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A261KKKOOBZGLS\";s:4:\"name\";s:17:\"Rogue_5 \"Rogue_5\"\";s:7:\"address\";s:11:\"Chicago, IL\";}s:4:\"text\";s:811:\"While there are certainly better paddles out there, this one is excellent for the money. It\'s relatively light (probably the lightest decent quality paddle you could get for the price), has very nice grips and includes drip guards that are as functional as any (read: not incredibly, but reasonably). This is a short paddle for those who prefer power strokes at steep angles of entry into the water. For those looking for touring paddles that you put into the water at a less steep angle (for an easier stroke that doesn\'t generate quite as much speed), you might consider going longer (90\"+ range; kayak paddles shouldn\'t be based on your height so much as your paddling style). Overall, I recommend this paddle as a decent, cheap beginner\'s paddle; it would work well as a spare if you ever decide to upgrade.\";}i:3;a:5:{s:5:\"title\";s:21:\"Seasense Kayak paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 22, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2EYE6NZ8NKYHX\";s:4:\"name\";s:19:\"B. Jones \"DarkStar\"\";s:7:\"address\";s:12:\"Richland, WA\";}s:4:\"text\";s:291:\"This is a fantastic paddle, I have a 96\" as well. I did not pay attention to the length and this one seems rather short, but I was able to mix pieces of both and make 2 perfect length paddles. They are built wonderfully and the fact that they are in 2 pieces makes it great for transporting.\";}i:4;a:5:{s:5:\"title\";s:26:\"Great paddle for the Price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 20, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3RRHK0GN468E8\";s:4:\"name\";s:18:\"Adam Palmer \"Adam\"\";s:7:\"address\";s:28:\"Hutchinson, KS United States\";}s:4:\"text\";s:319:\"For a beginning kayaker this paddle fits the bill. Three positions to choose from for paddle end placement. Foam hand grips, these can stick when you want to move them or slide when you wish they wouldn\'t, but that was seldom. For casual trips down the Arkansas river this paddle did the trick and didn\'t cost a bundle.\";}i:5;a:5:{s:5:\"title\";s:35:\"nice blade shape solid construction\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 12, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3L3PI7ZDN94U5\";s:4:\"name\";s:12:\"Joshua Withe\";s:7:\"address\";s:22:\"vacationland maine USA\";}s:4:\"text\";s:623:\"I got this paddle mostly for the price, took it for a day of playing/paddling recently and found I really like the shape of the blade, it is curved in a different way than any other paddle I have seen before and seems very efficient. the shaft is solid and the connection is easy and positive when locked. the only issue for me is my home made kayak, a mouseboat, is too wide and too tall for this length (my bad not theirs), my daughter will be the one to enjoy the paddle as her micromouse (which I also built) is narrower and has shorter sides, I seriously doubt she can hurt this paddle, which is a big plus in my book!\";}i:6;a:5:{s:5:\"title\";s:34:\"Seasense Paddle Not Made for Ocean\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"July 17, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A8XZP7LW1PINF\";s:4:\"name\";s:12:\"Mark Johnson\";s:7:\"address\";s:9:\"Kailua HI\";}s:4:\"text\";s:534:\"I bought the product because it was the least expensive option. These are not meant for hard paddling, like trying to ride waves in the ocean. They\'re made by Seasense, but not made for the sea. The shape of the paddle is flat as opposed to rounded, making it harder to paddle. The grips, which I thought would be nice, slip while you are paddling. Also the paint scratches off easily after one or two uses. Altogether, I got what I paid for, but I would advise you to spend the extra money if you want to get something for the ocean.\";}}");
INSERT INTO `wp_postmeta` VALUES("2184", "358", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:38:\"137.8 x 29.9 x 15 inches ; 24.6 pounds\";s:15:\"Shipping Weight\";s:11:\"25.4 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00177J4JS\";s:17:\"Item model number\";s:7:\"68305EP\";}");
INSERT INTO `wp_postmeta` VALUES("2185", "358", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("2186", "358", "asg_customer_reviews", "a:4:{i:0;a:5:{s:5:\"title\";s:25:\"Perfect Inexpensive Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 29, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2UT2GYFMVP5XW\";s:4:\"name\";s:13:\"Stephen Aiken\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1588:\"I\'m a student who has barely any money for fun things, so I decided to buy a kayak so I could have a lot of fun with just a one time \"fee\". It\'s perfect for being only around $80.00. I have no complaints since it\'s my first kayak and I have nothing to compare it to. I do highly recommend buying a different paddle, the one included isn\'t too comfortable and efficient since it\'s on the short end. People who complain about it\'s \"tracking\"(going straignt while paddling) need to understand this is not a touring kayak made of carbon fiber. It\'s an $80 inflatable kayak. I\'ve taken it out on lakes around 20 times so far in the last two months and have had only one leak. The leak was from me being dumb and taking it to the ocean where a shell made a nice little tear. This was easily fixed with the included repair kit. All 20 trips have been for at least one hour. Two of those were \"long\" trips(6 miles round trip). It holds up fine in strong winds and mild waves. On my second long trip the winds were 20mph with 30mph gusts and about 2ft waves. It\'s pretty fun and you definitely get splashed, here in Florida that feels good though. There\'s a good bit of space behind the seat to store items as well as in the front where your feet go in. It does include an inflatable \"foot rest\". I\'m not exactly sure what it\'s called but it helps with maintaining proper posture. It deflates in 5 minutes and fits into a small 2x2 bag which fits perfectly in any trunk. I highly recommend this if you need a way to get out on some water but don\'t have the money or space for a \"higher-end\" model.\";}i:1;a:5:{s:5:\"title\";s:10:\"Incredible\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 2, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A29NTDGFG4OWW7\";s:4:\"name\";s:29:\"Marshall Henrie \"papayasalsa\"\";s:7:\"address\";s:29:\"Albuquerque, NM United States\";}s:4:\"text\";s:3514:\"This kayak is a winner: excellent price and very good performance. I bought two of the one-man kayaks (one for me, one for friends and relatives). So far we have traveled 31 miles total spread across four separate river trips down the Rio Grande River (calm waters) here in New Mexico. I am 6\'0\" and weigh 190 lbs, and the kayak fit me fine. Others I have taken with me have ranged from my 6\'2\" son-in-law (length was OK for him) and a friend (205 lbs., weight was not a concern). The kayaks handled very well, and both trips were a real joy. Here are some observations:<br /><br />- Inflation is very fast with the included high efficiency hand/foot pump. There are four air chambers, and the kayak has never taken more than about 4 minutes to inflate. I throw the pump into the kayak behind my seat when we take off, just in case I need to top up later (which I never have had to do).<br /><br />- Storage and transport are a breeze. The kayak stores in a small, cloth travel case about twice the size of a briefcase. At 25 pounds, it is relatively light weight. Once I had to carry the kayak about 0.5 miles to get to the river, and hauling that weight was not a big deal. I have carried the inflated kayak a few blocks hanging it on my shoulder, and it was easy to carry.<br /><br />- The bungee cord storage area in the front is great for carrying a fanny pack, water bottle, sandals, spare paddle, etc. Also, there was more storage space behind the seat.<br /><br />- Maneuvering is very easy, great for river use. There are two small plastic skegs (about the size of your open palm) under the boat to add a little directional stability. The skegs are at the center of the boat, which allows you to rotate easily while still maintaining a fairly consistent non-zig-zag rowing pattern. If this kayak were strictly for lake use, I think rear skegs would work better, but they would also restrict quick turning.<br /><br />- Buoyancy is very good. The kayaks tend to bottom out on sand bars when there is less than 6\" of water. Primarily, it is the skegs that hit since they are located directly below where you sit. But, hey, 6\" of water clearance is not bad.<br /><br />- The included paddles are good quality, but seemed a little short (they are 86\"). After my first trip, I went to a local sporting goods store and bought 96\" paddles, which worked much better.<br /><br />- The vinyl construction seems good. However, one of my kayaks developed a leak (and later a rip due to my stupidity in not following repair instructions). I have since fixed the rip using VINYL cement (available at any awning supply store). The vinyl repair kit included with the kayak should be adequate for any small leaks you put in the kayak. I feel confident the kayak will last a long time (especially now that I know how easy it is to repair even a major issue like a rip which I helped cause). However, I am not sure I would take the kayaks into serious white water.<br /><br />- You will get a little wet with any kayak, so wear a swim suit or nylon shorts. In calm water, most of the water gets in if you aren\'t careful when you launch or disembark. Carrying a small hand towel is a good idea, both for keeping your hands and sitting area dry, as well as wiping down the kayak after the trip to clean off any dirt or water prior to storage.<br /><br />In summary, I was extremely pleased with this kayak. It appears durable and has taken me on a few river trips with excellent results. Hope to use it for many trips to come.\";}i:2;a:5:{s:5:\"title\";s:18:\"Best Purchase Ever\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"April 18, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1LTI7UX1VL29R\";s:4:\"name\";s:24:\"Keli Reagan \"Vegan Keli\"\";s:7:\"address\";s:11:\"Newport, DE\";}s:4:\"text\";s:609:\"My husband I enjoy kayaking and once we saw the prices of fiberglass kayaks, we hesitated to buy. I saw this inflatable kayak on Amazon and showed my husband who told me not to get it because they would puncture easily and blow away or fill up with water quickly- he could not have been any more wrong. After purchasing two, we took them on their maiden voyage today and both of us were very surprised; they were easy and quick to inflate and navigated perfectly in the water. The material of the kayak is very thick and durable and I am in the process of having all of our friends purchase this item as well.\";}i:3;a:5:{s:5:\"title\";s:36:\"Good bargain, but some design flaws.\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"April 21, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1BCF99L190E6V\";s:4:\"name\";s:7:\"Rachael\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1589:\"The Intex Challenger Kayak is easy to inflate, affordable, and comes in a convenient carrying case. Unfortunately, there were some major use details overlooked in the production of this craft.<br /><br />The edges of the plastic seam on the rim around the seat have not been sealed flush, so the seams create a sharp edge that rubs against your torso and makes the ride uncomfortable. The paddle is not adjustable for height and has the joints precisely where you would want your hands to go. They are coated in rubber rings, seemingly to allow for a more comfortable grip, but I am a woman with small hands my hands are too wide to fit comfortably on the grip. The carrying case is a thin parachute-like material, with wide stitched seams that don\'t hold up to the strength of carrying the boat. There is only one valve for both sides, which routes through the nose of the boat. Deflating it is not as easy as it should be. The case is wide enough to comfortably get the thing back in, though. (Yay!)<br /><br />The pump works well, and putting the marker gauge on the side to judge psi was a brilliant move. My previous kayak had them integrated so that you didn\'t have to hold on to them while inflating, though. The boat maneuvers well, and overall is a good little ducky, but I am not sure how they overlooked these very simple but important factors in design.<br /><br />The shipping on this item was incredible. I ordered and received it in less than 24 hours. There are things I don\'t like about the kayak, but overall I would probably make the same purchase knowing what I do now.\";}}");
INSERT INTO `wp_postmeta` VALUES("2175", "357", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:31:\"49 x 10 x 3 inches ; 4.1 pounds\";s:15:\"Shipping Weight\";s:10:\"4.1 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B000FE7J5A\";s:17:\"Item model number\";s:7:\"AHTK-P2\";}");
INSERT INTO `wp_postmeta` VALUES("2176", "357", "asg_star_rating", "4.1");
INSERT INTO `wp_postmeta` VALUES("2177", "357", "asg_customer_reviews", "a:9:{i:0;a:5:{s:5:\"title\";s:36:\"Unsuitable for right handed paddlers\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:17:\"September 8, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1L1U4IJK8ZXCF\";s:4:\"name\";s:17:\"James Earl Carter\";s:7:\"address\";s:14:\"Plains, GA USA\";}s:4:\"text\";s:1809:\"I\'m completely surprised to report that this paddle is totally unusable by a proficient right handed person. The paddle is drilled for 3 twist angles between the paddles.<br /><br /> -60 degrees (which is what left handed paddlers use<br /><br />0 degrees which is for novices and children<br /><br />+120 degrees which is not usable by any human<br /><br />What is missing is +60 which is what proficient right handed paddlers would use.<br /><br />I\'m wondering if this is defective or if they just don\'t know what they are doing. Novices or children will be satisfied with a 0 degree twist angle (the blades are in the same plane). Howver given the foam wrappers on the handle the diameter might be large for a child\'s grip.<br /><br />the blades are symmetric (not assymetrically curved) and heavily constructured, but for the price this is fine. It\'s an excellent value if you are left handed. the construction appears to be durable.<br /><br />UPDATE 1:<br /><br />The company checked their inventory and discovered that all of their paddles were defective. apologized and pulled this off amazon.com for a while.<br /><br />UPDATE 2:<br />A year went by and I ordered another one. Amazingly this one is also drilled wrong. It\'s not quite as bad as the first one but the holes for the left and right sides are asymmetric about the neutral position. the Right handed one is now too far >90 degrees, again making this unusable by a right hander.<br /><br />close inspection shows the right hand hole was drilled after the paddle was anodized since unlike the other two holes the cut hole is sloppy and edged with shiny metal.<br /><br />Bottom line: you could make this work but it would probably injure your wrists if you are a serious paddler. Apparently this company has a huge quality control problems.\";}i:1;a:5:{s:5:\"title\";s:25:\"good option for the price\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 19, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3UACABVOF2XF1\";s:4:\"name\";s:6:\"ebuyer\";s:7:\"address\";s:11:\"Chicago, IL\";}s:4:\"text\";s:409:\"I bought this to use with an inflatable kayak, and I think it\'s a good paddle. It\'s a little heavy, but I\'m not going long distances or trying to break any records, so for my use, it\'s fine. The length is ideal for the wider sides of an inflatable. It\'s got several click-in settings so you can pick the alignment of your blades. Nice comfy handles and drip guards. For the money, it\'s a great, sturdy paddle.\";}i:2;a:5:{s:5:\"title\";s:20:\"Airhead kayak paddle\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 19, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2MW1URYVAM4QO\";s:4:\"name\";s:23:\"J. T. Reed \"Skinz Reed\"\";s:7:\"address\";s:7:\"Vermont\";}s:4:\"text\";s:530:\"As an avid flatwater paddler for 20 years, I recently upgraded my kayak to a unit that tracks better and is more lightweight. The Airhead looked like a good paddle, and upon first use did not disappoint. The foam grip handles are easy on the hands, it\'s very light, and the curved blades make for more efficient paddling. The only downside I can note is that there is some minor flexing of the blades when pushing off--they could be more rigid. Overall, however, it\'s a great paddle and I\'d recommend it for recreational paddlers.\";}i:3;a:5:{s:5:\"title\";s:23:\"Good value for beginner\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 23, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2116TPMCKFPEQ\";s:4:\"name\";s:9:\"B. Schulz\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:347:\"As my experience with kayaking is limited to quiet, pleasurable \"lake\" tours, I\'ve no need to invest in an expensive paddle. The Kwik Tek is light, has different settings, hand grips and is comfortable to use. While I\'m certainly no expert, it gets me where I\'m going and the price was absolutely right! For me it was a great find and a great buy!\";}i:4;a:5:{s:5:\"title\";s:46:\"Wrong Size...Not 92 inches, it is 84 inches...\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"July 25, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1QT5DO3RY0TPB\";s:4:\"name\";s:25:\"Julie Moos \"jmoospoynter\"\";s:7:\"address\";s:35:\"St. Petersburg, Fla., United States\";}s:4:\"text\";s:216:\"Both the weight and blade are OK (for the price), but the name says 92\". The one I got was only 84\", probably fine for some shorter paddlers.<br /><br />For the record, this was written by Gary Moos, Julie\'s husband.\";}i:5;a:5:{s:5:\"title\";s:34:\"scoops lots of h2o but quite heaby\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"July 5, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A12P9A91O7VCSZ\";s:4:\"name\";s:5:\"maddy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:199:\"scoops lots of h2o but quite a heavy paddle. the packaging was ok, but maybe could have been bubble wrapped to protect in the truck. works well for rivers and kids. it can really turn kayak on a dime\";}i:6;a:5:{s:5:\"title\";s:24:\"You get what you pay for\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:12:\"May 16, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A28BFWA9NNCRDR\";s:4:\"name\";s:2:\"IF\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:472:\"This paddle is fine if your plan is go paddle around the lake (fresh water only, beyond that it feels cheap and handles cheaply. The connecting point on mine began to corrode after taking it out once into a salt water bay and rinsing it thoroughly with fresh water. I took it out again figuring I could sand and paint over the corrosion if it proved to be good in the surf. It soon failed me as it bent on a bailout without even getting stuck in the sand. Save your money.\";}i:7;a:5:{s:5:\"title\";s:36:\"Comfortable, lightweight, and Sturdy\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"October 2, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ASYVSKZROYOR7\";s:4:\"name\";s:4:\"John\";s:7:\"address\";s:13:\"Elk Grove, CA\";}s:4:\"text\";s:617:\"PROS:<br /><br />* Easy to assemble (snap the two paddles together)<br />* Shaft made well of metal<br />* Plastic paddlefins are thick plastic and light weight<br />* Curved fin helps push water a little better<br />* Good water blocking rings<br />* Cushioned hand grips<br />* Cheap price at $30 from amazon<br /><br />CONS:<br /><br />* Plastic may get brittle and broken if left in sun for months<br />* Length could be about a foot longer, but it\'s highly manageable and not noticable by most<br /><br />Overall, I highly recommend and would purchase this again. I have two for my two person kayak. Works great.\";}i:8;a:5:{s:5:\"title\";s:17:\"NOT AS ADVERTISED\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"July 26, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A26DK6CFZ3SBMF\";s:4:\"name\";s:19:\"Richard R. Luetters\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:185:\"I am the second reviewer to note that this paddle is NOT AS ADVERTISED. This paddle is 84 inches long, not 92 as advertised. DO NOT ORDER THIS PADDLE unless you want an 84\" (7\') paddle.\";}}");
INSERT INTO `wp_postmeta` VALUES("2178", "357", "asg_last_refresh_attempt", "1371235556");
INSERT INTO `wp_postmeta` VALUES("2179", "357", "asg_update_timestamp", "1371235556");
INSERT INTO `wp_postmeta` VALUES("2180", "358", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2181", "358", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2182", "358", "asg_item_id", "B00177J4JS");
INSERT INTO `wp_postmeta` VALUES("2183", "358", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00177J4JS\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Intex-68305EP-Challenger-K1-Kayak/dp/B00177J4JS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00177J4JS\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Intex-68305EP-Challenger-K1-Kayak/dp/tech-data/B00177J4JS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4JS\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00177J4JS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4JS\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00177J4JS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4JS\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00177J4JS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4JS\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00177J4JS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4JS\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00177J4JS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4JS\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177J4JS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4JS\";}}}s:9:\"SalesRank\";s:4:\"4137\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4147fYvLlXL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:28:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:13:\"0078257683055\";i:1;s:7:\"68305EP\";}}s:5:\"Color\";s:9:\"Grey/Blue\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257314911\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257314911\";i:1;s:13:\"0078257683055\";}}s:7:\"Feature\";a:5:{i:0;s:133:\"Nimble, durable kayak is made of durable welded material with eye-catching graphics for added safety on the lake or slow-moving river\";i:1;s:95:\"Cockpit is designed for comfort and maximized space, and inflatable I-beam floors add stability\";i:2;s:97:\"Cargo net to store extra gear, and grab line on both ends of kayak; inflatable seat with backrest\";i:3;s:72:\"Comes with 84-inch aluminum oar, high-output hand pump, and repair patch\";i:4;s:98:\"Measures 30-by-15-by-108 inches (W x H x D), with 27.2-pound weight and 220-pound maximum capacity\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1496\";s:6:\"Length\";s:5:\"13780\";s:6:\"Weight\";s:4:\"2457\";s:5:\"Width\";s:4:\"2992\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"14699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$146.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"68305EP\";s:3:\"MPN\";s:5:\"68305\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"720\";s:6:\"Length\";s:4:\"2360\";s:6:\"Weight\";s:4:\"2535\";s:5:\"Width\";s:4:\"1600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"68305\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:3:\"SKU\";s:8:\"DH68305E\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:25:\"Intex Challenger K1 Kayak\";s:3:\"UPC\";s:12:\"078257683055\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257683055\";i:1;s:12:\"078257314911\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"6429\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$64.29\";}s:8:\"TotalNew\";s:2:\"33\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177J4JS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4JS\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:114:\"1Arqmpxy0AuIlMuMlmvFgkfejMKaehY5c1sMVRLMZ5Yu0gbOrrSqVlRaGZx853kLsyHl7zZcai0n2rKNthASSUyUT40gIn%2Br%2F4s6neuRXLA%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"8981\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$89.81\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"5718\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$57.18\";}s:15:\"PercentageSaved\";s:2:\"39\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00177J4JS&atag=freetos-20&exp=2013-06-15T18%3A45%3A57Z&v=2&sig=5Etgc6wkpuRLtZFa8k9K5GbSZAKweIOwE0wdEByW9QI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:606:\"Challenger K1 Lake Kayak. Approx inflated size: 108\"x30\"x15\". 30 gauge PVC. 84\" aluminum oars and a high-output hand pump included. Hard plastic skegs on the underside of the kayak (similar to the underside of a surfboard) provide directional control so you can be sure you\'ll get where you want to go. The kayaks feature inflatable seats with backrests, inflatable I-beam floors, grab lines on both ends, and U.S. Coast Guard I.D. Sporty graphics for high visibility. Low-profile for lakes and mild rivers. Streamlined design for easy paddling. Rugged vinyl construction. Maximum weight capacity: 220 lbs.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1944:\"The nimble, durable Challenger K1 kayak is made of durable welded material with eye-catching graphics for added safety on the lake or slow-moving river. The streamlined craft slips easily through the water, and its cockpit is designed for comfort and maximized space. Inflatable I-beam floors add stability, and an 84-inch oar and high-output hand pump are also included. <table align=\"right\" cellpadding=\"10\" width=\"400\"> <tbody> <tr> <td><img align=\"top\" border=\"0\" height=\"268\" src=\"http://images.amazon.com/images/G/01/stores/sport-goods/detail-pages/B00177J4JS.jpg\" width=\"400\" /><br /><br /><small><em><strong>The nimble, streamlined K1 is ideal for a day of fun on the lake or slow-moving river.</strong></em></small></td> </tr> </tbody></table> <p> <b>Features</b><br> <ul> <li>One-person kayak with low profile design <li>Cargo net to store extra gear <li>Grab line on both ends of kayak <li>Inflatable floor for comfort and rigidity <li>Inflatable seat with backrest <li>Comes with 84-inch aluminum oar, high-output hand pump, and repair patch </ul> <p> <b>Specifications</b><br> <ul> <li>Measures 30-by-15-by-108 inches (W x H x D) <li>27.2-pound weight <li>220-pound maximum capacity </ul> <p> <b>About Intex Recreation</b><br> Intex Recreation makes above-ground swimming pools, air beds, inflatable toys, pool and lake boats, and the proprietary Intex Saltwater Pool System. The company has been in business for over 40 years, and is a global leader in designing and producing innovative products for indoor and outdoor recreation. <p> Intex products meet the most stringent safety standards, undergoing intensive testing to ensure years of safety and satisfaction. During the manufacturing process, trained Intex employees continuously monitor a wide range of factors, including quality of raw materials, calibration of the machines, manufacture and assembly of each product, product testing, and careful packaging of every item.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2166", "356", "asg_product_details", "a:3:{s:15:\"Shipping Weight\";s:8:\"3 pounds\";s:4:\"ASIN\";s:10:\"B000TQB7VG\";s:17:\"Item model number\";s:5:\"Black\";}");
INSERT INTO `wp_postmeta` VALUES("2167", "356", "asg_star_rating", "3.9");
INSERT INTO `wp_postmeta` VALUES("2168", "356", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:31:\"Finally, A Place For My Paddle!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"October 28, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2ZJN5OYS3XEJJ\";s:4:\"name\";s:8:\"Fastball\";s:7:\"address\";s:7:\"Florida\";}s:4:\"text\";s:641:\"I paddle a 10\' Perception river runner, and always need to find somewhere to put my paddle so I can do some task. And...I really despise having to drill holes in a vessel that needs to be water tight, so when I saw this little gem, I knew I had to give it a try. What an awesome gadget! Clips on quickly, even with the spray skirt on, so I can take photos or get something out of my dry bag. (Usually a snack.)<br /><br />I thought the price was very reasonable considering the convenience this baby adds. It\'s pretty darn sturdy too, for plastic. If you kayak very much, you have to get one of these Yak Clips. They are too cool for school!\";}i:1;a:5:{s:5:\"title\";s:45:\"Quick paddle clip for your kayak, no drilling\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"January 7, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ADW2TOCOUH22T\";s:4:\"name\";s:15:\"Dianne \"Dianne\"\";s:7:\"address\";s:8:\"Oklahoma\";}s:4:\"text\";s:536:\"This Yak Clip is a handy way to instantly add a paddle holder onto any kayak...even a rental. This is very handy for kayak photography, where you need to quickly set down your paddle and pick up your camera.<br /><br />Since it doesn\'t use rivets or glue... you can snap it on or off of a kayak instantly and carry it home in your pocket. A very cheap, simple and handy item for any kayaker.<br /><br />Also, I spoke to the vendor on an issue with another product. These folks provide excellent, personal and effective customer service!\";}i:2;a:5:{s:5:\"title\";s:31:\"Good idea...need two per paddle\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:16:\"October 13, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3RPC9E2AZX31N\";s:4:\"name\";s:19:\"R. Bryson \"kayaker\"\";s:7:\"address\";s:6:\"MI USA\";}s:4:\"text\";s:470:\"Good solution for kayaks not having side mount paddle holders. I bought two holders, one of each of my kayaks, but found that I really need two per kayak.<br />One holder would suffice for holding a paddle out of the way while you are in it, but two are needed to hold securely while you are getting in or out of the cockpit.<br />I like the fact that they can be moved around the lip to get it out of the way of paddling, but feel more secure if it is removed entirely.\";}i:3;a:5:{s:5:\"title\";s:22:\"Great kayak accessory!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 14, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1X3ESYZ79H59E\";s:4:\"name\";s:5:\"chaos\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:699:\"I purchased 2 of these for my kayaks. It fit better on my \"Perception Avatar\" than the \"Perception Shadow Sealion\". It would not sit upright on the \"Shadow\" because the rim of the cockpit was a different configuration. It faced forwards. This did not prevent it from working, but the paddle did sit forwards instead of on top.<br /><br />Another thing to keep in mind is that you cannot use these clips if you use a spray skirt. You have to choose one or the other.<br /><br />Having said all that, it\'s still a good accessory to have while kayaking. It does what it claims. Its easy to install. It only takes an instant to attach the paddle, so that both hands can be freed up to do something else.\";}i:4;a:5:{s:5:\"title\";s:32:\"Yakkety-Yak, It\'s a Paddle Rack!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 26, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1SYLII0808HD6\";s:4:\"name\";s:18:\"M. Allen Greenbaum\";s:7:\"address\";s:10:\"California\";}s:4:\"text\";s:2182:\"This is an effective paddle holder for those who use sit-in kayaks. It\'s not only the best product for the money, but it\'s better than paddle ropes costing 3-4 times as much.<br /><br />It\'s ingenious in its simplicity: Simply spread the two ends of the circular YakClip around the edge of they kayak cockpit (i.e., the oval-shaped opening in which you sit) and it forms a clamp around the cockpit lip. Once in place, you can push your paddle--without much effort--into the slightly protruding C - shaped holder. (It also has extra (smaller) clamps for things like fishing poles.)<br /><br />There\'s enough pressure to keep the paddle in place (unless you knock it off accidentally with a direct hit from your elbow or something). For this reason, and especially because you\'ll hurt your arm if you brush against the product while paddling, I recommend setting the YakClip either forward or in back of where your arms move while paddling. (Unfortunately, I found out the hard way that ou don\'t want to scrape your arm against the top! I suppose the device could be covered in rubber or something, but that would add to the cost, and the solution is very simple.)<br /><br />Other products often involve a rope tied around the paddle and then to the kayak. A common complaint is that despite the hook and loop attachment (also known as \"Velcro\"), the rope eventually moves and gets in the way of paddling. If you\'re an inventor type, you might want to find a way to attach something buoyant around your paddle.<br /><br />You might need to park your paddle while pausing to snap a picture, getting water, a snack, or anything else from a dry sack or other container, when you want to just lay back and enjoy a calm lake, or--ack!--in the event you need to pump water and want to make sure your paddle is secure.<br /><br />As I don\'t do sea-kayaking in rough water, I regretfully cannot tell you how well the YakClip holds under these conditions. (Perhaps that information is in one of the other reviews.) However, it should function well in typical lake, protected bay, estuary, slough, and other protected waterways. Delivery was relatively quick and the YakClip was well-packaged.\";}i:5;a:5:{s:5:\"title\";s:10:\"Won\'t Last\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"August 7, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AE9GL67TZ66JT\";s:4:\"name\";s:4:\"Jank\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:772:\"I bought one of these and used it the first trip out. My thoughts at the time were its OK but should have spent the extra couple bucks to get a permanent mount. The paddle kept coming lose and falling out. I added a different type to my kayak and gave this one to my brother since it was his first time out on a new kayak and he didn\'t have anything else. It broke within two hours so this had a total of about 8 hours use before it broke. Not only that it was mediocre at best before it broke. Don\'t be afraid to drill holes in your kayak to put on products that are worth your time and effort. I guess if you are using someone elses kayak and/or don\'t want ot put a hole in your yak for the other mounts you may not have alot of choices otherwise don\'t waste your money.\";}i:6;a:5:{s:5:\"title\";s:25:\"Happy Customer in Madison\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 18, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A12E8TJ9KC9GID\";s:4:\"name\";s:16:\"Dale E. Thompson\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:277:\"I recently purchased some yakclips from Yakpads. The clips were well made and well designed. They clips go on easy, fast and solid. The delivery was very quick and dealing with the Yakpads company was excellent; they are very customer oriented. A great shopping experiece. Dale\";}i:7;a:5:{s:5:\"title\";s:18:\"Not for fast water\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"July 23, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AQ257JT6B9KTR\";s:4:\"name\";s:4:\"C.H.\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:375:\"The clip itself stays very secure to the kayak. But the paddle does not stay all that secure to the clip. This product is good for entering the kayak or sitting back in calm water. If there is any kind of kayak tilt at all, the paddle leans and the weight makes it come out of the clip. I found this out when exiting. A solution might be to buy 2 and secure them on the side.\";}i:8;a:5:{s:5:\"title\";s:34:\"Didn\'t work well and broke in half\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"April 9, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1CXBAFBVW8FPT\";s:4:\"name\";s:9:\"VegasAR15\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:274:\"It didn\'t clip on well to my kayak. When it was clipped on it only did a marginal job of holding my paddle. The paddle clipped in but it would wobble around and sag into the water. It snapped in half on my second trip. The Scotty Paddle Clip looks like a much better option.\";}i:9;a:5:{s:5:\"title\";s:15:\"do not purchase\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 22, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A377EOQM5WHF4W\";s:4:\"name\";s:5:\"captk\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:129:\"This item is useless. It does not work. The clip does not stay either on the kayak or to the paddle.<br />Don\'t waste your money!\";}}");
INSERT INTO `wp_postmeta` VALUES("2169", "356", "asg_last_refresh_attempt", "1371235555");
INSERT INTO `wp_postmeta` VALUES("2170", "356", "asg_update_timestamp", "1371235555");
INSERT INTO `wp_postmeta` VALUES("2171", "357", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2172", "357", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2173", "357", "asg_item_id", "B000FE7J5A");
INSERT INTO `wp_postmeta` VALUES("2174", "357", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000FE7J5A\";s:13:\"DetailPageURL\";s:210:\"http://www.amazon.com/AIRHEAD-AHTK-P2-Deluxe-Paddle-Curved/dp/B000FE7J5A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000FE7J5A\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:220:\"http://www.amazon.com/AIRHEAD-AHTK-P2-Deluxe-Paddle-Curved/dp/tech-data/B000FE7J5A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J5A\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000FE7J5A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J5A\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000FE7J5A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J5A\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000FE7J5A%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J5A\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000FE7J5A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J5A\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000FE7J5A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J5A\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000FE7J5A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J5A\";}}}s:9:\"SalesRank\";s:4:\"5153\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31wuLfe6WCL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Airhead\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"AHTK-P2\";}s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0737826021185\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0737826021185\";}s:7:\"Feature\";a:5:{i:0;s:49:\"7-foot, 2-section kayak paddle with curved blades\";i:1;s:51:\"Breaks into 2 pieces for easy storage and transport\";i:2;s:55:\"Adjustable blade angle for standard and offset paddling\";i:3;s:57:\"Curved blade surfaces promote greater paddling efficiency\";i:4;s:59:\"Lightweight aluminum shaft, drip rings, and foam hand grips\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"4900\";s:6:\"Weight\";s:3:\"410\";s:5:\"Width\";s:4:\"1000\";}s:5:\"Label\";s:8:\"Kwik Tek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3998\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.98\";}s:12:\"Manufacturer\";s:8:\"Kwik Tek\";s:36:\"ManufacturerPartsWarrantyDescription\";s:5:\"Parts\";s:5:\"Model\";s:7:\"AHTK-P2\";s:3:\"MPN\";s:7:\"AHTK-P2\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"260\";s:6:\"Length\";s:4:\"4320\";s:6:\"Weight\";s:3:\"285\";s:5:\"Width\";s:3:\"730\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"AHTK-P2\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Kwik Tek\";s:11:\"ReleaseDate\";s:10:\"2008-04-28\";s:3:\"SKU\";s:9:\"DSD464494\";s:6:\"Studio\";s:8:\"Kwik Tek\";s:5:\"Title\";s:64:\"AIRHEAD AHTK-P2 Deluxe Kayak Paddle 2 sect Alum 84\" Curved Blade\";s:3:\"UPC\";s:12:\"737826021185\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"737826021185\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2598\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$25.98\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"2777\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.77\";}s:8:\"TotalNew\";s:2:\"48\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000FE7J5A%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000FE7J5A\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:114:\"y5kehxGX8CHWBopNiDlZ1r6M0kSC%2BiTDLXk85UG0iIAUaB1D%2BmWQ7vstsjv8ykyxrN4m9bgje7tVqhQfRU7V8qhLA3tigUrff6oDkq9UXZw%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3049\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$30.49\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"949\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.49\";}s:15:\"PercentageSaved\";s:2:\"24\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:200:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000FE7J5A&atag=freetos-20&exp=2013-06-15T18%3A45%3A55Z&v=2&sig=%2Fhg%2F8O%2B35ugMYlDw2gaKVKmEJNapGuVU%2BazG6GZivk8%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:387:\"PERFORMANCE KAYAK PADDLE - This 7 foot long kayak paddle breaks down into 2 sections for convenient stowing. You can easily adjust the blade angle for standard or offset paddling. The lightweight and durable aluminum shaft has drip rings and foam hand grips for comfort and to ensure that the paddle will float if dropped. The large ABS blades are curved for greater paddling efficiency.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:694:\"Need a good kayak paddle but don\'t have a ton of storage space? Turn to the 7-foot KwikTek AHTK-P2 paddle, which breaks into two sections for easy transport and storage. The paddle offers an adjustable blade angle to accommodate both standard and offset paddling, along with large ABS blades with curved surfaces to promote greater paddling efficiency. And should you run into rough rapids and accidentally drop the paddle, the lightweight, durable aluminum shaft, drip rings, and foam hand grips will keep the paddle afloat until you can retrieve it. Each paddle section measures 49.5 inches long, with an 8.5-inch-wide paddle and a 2-inch diameter. The paddle sections weigh 3 pounds each.<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2157", "355", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:22:\"6.5 x 6.2 x 1.8 inches\";s:15:\"Shipping Weight\";s:10:\"1.6 ounces\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:6:\"Origin\";s:7:\" China\";s:4:\"ASIN\";s:10:\"B007BHIUDO\";s:17:\"Item model number\";s:5:\"90362\";}");
INSERT INTO `wp_postmeta` VALUES("2158", "355", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2159", "355", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:19:\"Not what I expected\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:17:\"February 26, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2EBRCBRSHAGAO\";s:4:\"name\";s:6:\"Camper\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:437:\"For a Coleman product I was disappointed with this. The coils are very small and it does not stretch out easily. I was expecting something a little larger. Obviously the picture in the add was a close up because this leash can fit in my hand. I am new to kayaking so I do not know if it serves its purpose. I also think the $11.00 price was too much considering what was delivered. I would go to a store to buy something like this again.\";}i:1;a:5:{s:5:\"title\";s:31:\"Coleman brand not Emotion brand\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"June 29, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AINJG1JSRMXJ5\";s:4:\"name\";s:8:\"Lego Fan\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:218:\"Arrived today and they match the picture. However they were Coleman brand not Emotion. They seem OK for the price, but the Velcro for wrapping around the paddle is on the short side. There are no swivels on either end.\";}i:2;a:5:{s:5:\"title\";s:11:\"Works Great\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 12, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A29QW2PDLHZAKA\";s:4:\"name\";s:23:\"Blackshirt1 \"bookmaven\"\";s:7:\"address\";s:11:\"Lincoln, NE\";}s:4:\"text\";s:201:\"This works exactly how I expected. It stretches out quite far so when you are paddling you dont notice it at all. and when it\'s not being stretched it is very short. I think it\'s an ideal Paddle Leash.\";}i:3;a:5:{s:5:\"title\";s:12:\"Connection!!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 2, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1S7IZRYMIY6QG\";s:4:\"name\";s:15:\"Agente Especial\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:127:\"Well built, strong and appears to be perfect. Can\'t beat the price and quality. Highly suggest getting a couple for the kayaks.\";}i:4;a:5:{s:5:\"title\";s:12:\"paddle leash\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 1, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2FXDUJMIR5B0N\";s:4:\"name\";s:14:\"Bruce McDowell\";s:7:\"address\";s:27:\"Camarillo, CA United States\";}s:4:\"text\";s:119:\"Neat little accessory that does not get in the way but could save a lot of trouble if you drop the paddle in a bad spot\";}i:5;a:5:{s:5:\"title\";s:13:\"As advertised\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 29, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AXFI6VAOXZBHM\";s:4:\"name\";s:17:\"Catherine Calhoun\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:133:\"It\'s not as bulky as my previous one which at first made it feel cheap, but it works great. Now I like the lighter weight feel to it.\";}i:6;a:5:{s:5:\"title\";s:12:\"Good quality\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 29, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1IFEQKSNETYEZ\";s:4:\"name\";s:6:\"Al8995\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:117:\"works great and can be used for pretty much anything. The elastic works well and allows you some room to move around.\";}i:7;a:5:{s:5:\"title\";s:5:\"Kayak\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 19, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ASG8F62N5HYCD\";s:4:\"name\";s:5:\"Wayne\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:111:\"If you ever drop a paddle overboard, you would buy one are two for other stuff you value like your fishing pole\";}i:8;a:5:{s:5:\"title\";s:24:\"No more floating paddles\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 16, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/AU3MVNMVFSIM\";s:4:\"name\";s:10:\"Choglidite\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:202:\"Great little straps. They Velcro to the paddle and snap to what ever you want. Being coiled they are out of the way and yet allow plenty of room to move. Great item, we\'ve put them on all 4 paddles now.\";}i:9;a:5:{s:5:\"title\";s:20:\"Coleman paddle leash\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:12:\"May 16, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2B1VPZSCRMJIZ\";s:4:\"name\";s:7:\"Michael\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:320:\"I just received this item today. The leash material seems like it will hold up for a bit, but the clip was cheap plastic. I went to attach it to my kayak and with just a little pressure the clip cracked in half. Not a huge deal as I can replace it with a more reliable metal D-ring but a bit annoying it broke so easily.\";}}");
INSERT INTO `wp_postmeta` VALUES("2160", "355", "asg_last_refresh_attempt", "1371235552");
INSERT INTO `wp_postmeta` VALUES("2161", "355", "asg_update_timestamp", "1371235552");
INSERT INTO `wp_postmeta` VALUES("2162", "356", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2163", "356", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2164", "356", "asg_item_id", "B000TQB7VG");
INSERT INTO `wp_postmeta` VALUES("2165", "356", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B000TQB7VG\";s:13:\"DetailPageURL\";s:209:\"http://www.amazon.com/Cascade-Creek-YAKCLIP-Paddle-Holder/dp/B000TQB7VG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000TQB7VG\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:219:\"http://www.amazon.com/Cascade-Creek-YAKCLIP-Paddle-Holder/dp/tech-data/B000TQB7VG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000TQB7VG\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB000TQB7VG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000TQB7VG\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB000TQB7VG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000TQB7VG\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB000TQB7VG%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000TQB7VG\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B000TQB7VG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000TQB7VG\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B000TQB7VG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000TQB7VG\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B000TQB7VG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000TQB7VG\";}}}s:9:\"SalesRank\";s:4:\"1580\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"39\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"83\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"260\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"16\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"39\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"39\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"57\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"83\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/419JAfsmBWL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"260\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41W%2BqXuekqL._SL30_.jpg\";s:6:\"Height\";s:2:\"21\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41W%2BqXuekqL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41W%2BqXuekqL._SL75_.jpg\";s:6:\"Height\";s:2:\"54\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41W%2BqXuekqL._SL110_.jpg\";s:6:\"Height\";s:2:\"79\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41W%2BqXuekqL._SL160_.jpg\";s:6:\"Height\";s:3:\"114\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41W%2BqXuekqL.jpg\";s:6:\"Height\";s:3:\"262\";s:5:\"Width\";s:3:\"367\";}}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:5:\"Misc.\";s:5:\"Brand\";s:13:\"Cascade Creek\";s:5:\"Color\";s:5:\"Black\";s:3:\"EAN\";s:13:\"0852401001076\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0852401001076\";i:1;s:13:\"8520401001076\";}}s:7:\"Feature\";a:3:{i:0;s:46:\"Manufactured to the Highest Quality Available.\";i:1;s:21:\"Satisfaction Ensured.\";i:2;s:16:\"Great Gift Idea.\";}s:5:\"Label\";s:13:\"Cascade Creek\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:3:\"899\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.99\";}s:12:\"Manufacturer\";s:13:\"Cascade Creek\";s:5:\"Model\";s:5:\"Black\";s:3:\"MPN\";s:6:\"351510\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"150\";s:6:\"Length\";s:3:\"440\";s:6:\"Weight\";s:1:\"5\";s:5:\"Width\";s:3:\"370\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"351510\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:13:\"Cascade Creek\";s:4:\"Size\";s:18:\"One size fits most\";s:3:\"SKU\";s:8:\"351510~C\";s:6:\"Studio\";s:13:\"Cascade Creek\";s:5:\"Title\";s:41:\"Cascade Creek YAKCLIP Kayak Paddle Holder\";s:3:\"UPC\";s:12:\"852401001076\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"852401001076\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:3:\"799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.99\";}s:8:\"TotalNew\";s:2:\"17\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B000TQB7VG%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB000TQB7VG\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:19:\"Huron Paddle Sports\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:174:\"4tDAbEDWRdFVDC0J6HDk%2F0nUYbZSre4pWmnL4%2B81odDLlfQYbpsIFu1lz8d81C%2FvxE%2FbMfEnY7FX0Ju6h7faX%2FIGr%2BwJ%2BT1B3F3PG1zrIZmebwoNPop3GlHy4deVr4rbBubvbKChyAw8fbpi6rvv77RvYylTE6Qv\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:3:\"850\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$8.50\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:2:\"49\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$0.49\";}s:15:\"PercentageSaved\";s:1:\"5\";s:12:\"Availability\";s:34:\"Usually ships in 1-2 business days\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"48\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B000TQB7VG&atag=freetos-20&exp=2013-06-15T18%3A45%3A53Z&v=2&sig=88J8aEr%2BVADQKjRR5LSlNiDq3QQ%2BUZM7Z3o3pJvKfyI%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:273:\"These Yakclips allow boaters to clip-on paddles to boats, and with no holes to drill, they only take two seconds to install! The Yakclips are adjustable and removable without any tools and come with two accessory clips built in for holding fishing poles, dry bags and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2151", "354", "asg_last_refresh_attempt", "1371235550");
INSERT INTO `wp_postmeta` VALUES("2152", "354", "asg_update_timestamp", "1371235550");
INSERT INTO `wp_postmeta` VALUES("2153", "355", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2154", "355", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2155", "355", "asg_item_id", "B007BHIUDO");
INSERT INTO `wp_postmeta` VALUES("2156", "355", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B007BHIUDO\";s:13:\"DetailPageURL\";s:211:\"http://www.amazon.com/Coleman-Universal-Paddle-Leash-Meters/dp/B007BHIUDO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB007BHIUDO\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:221:\"http://www.amazon.com/Coleman-Universal-Paddle-Leash-Meters/dp/tech-data/B007BHIUDO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007BHIUDO\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB007BHIUDO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007BHIUDO\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB007BHIUDO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007BHIUDO\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB007BHIUDO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007BHIUDO\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B007BHIUDO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007BHIUDO\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B007BHIUDO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007BHIUDO\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B007BHIUDO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007BHIUDO\";}}}s:9:\"SalesRank\";s:3:\"675\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL160_.jpg\";s:6:\"Height\";s:3:\"108\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41lktQyzANL.jpg\";s:6:\"Height\";s:3:\"338\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL110_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL160_.jpg\";s:6:\"Height\";s:3:\"108\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41lktQyzANL.jpg\";s:6:\"Height\";s:3:\"338\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL75_.jpg\";s:6:\"Height\";s:2:\"51\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL110_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41lktQyzANL._SL160_.jpg\";s:6:\"Height\";s:3:\"108\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41lktQyzANL.jpg\";s:6:\"Height\";s:3:\"338\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:14:\"Emotion Kayaks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"90362\";}s:10:\"Department\";s:6:\"Sports\";s:3:\"EAN\";s:13:\"0081483013626\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0081483013626\";}s:7:\"Feature\";a:5:{i:0;s:33:\"Convenient Clip and Velcro System\";i:1;s:41:\"Constructed of Flexible Stretch Materials\";i:2;s:58:\"Allows you to Fish, Eat or do other Activities, Hands-Free\";i:3;s:28:\"Essential for River Paddling\";i:4;s:44:\"Avoid Ending Up a Creek, Without your Paddle\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:3:\"175\";s:6:\"Length\";s:3:\"650\";s:5:\"Width\";s:3:\"625\";}s:5:\"Label\";s:32:\"Lifetime Products Sporting Goods\";s:12:\"Manufacturer\";s:32:\"Lifetime Products Sporting Goods\";s:5:\"Model\";s:5:\"90362\";s:3:\"MPN\";s:5:\"90362\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"150\";s:6:\"Length\";s:3:\"360\";s:6:\"Weight\";s:2:\"10\";s:5:\"Width\";s:3:\"350\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"90362\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:32:\"Lifetime Products Sporting Goods\";s:6:\"Studio\";s:32:\"Lifetime Products Sporting Goods\";s:5:\"Title\";s:41:\"Coleman Universal Paddle Leash (2 Meters)\";s:3:\"UPC\";s:12:\"081483013626\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"081483013626\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"1023\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.23\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B007BHIUDO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB007BHIUDO\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:132:\"a5A%2BRoKW25Pg%2BS9lRqFFxGWQGY65t9GkAVZaUcquTjbD3NA2VHCdiPVBWZmETk969WkMnaDIRy4GagGTNBQcrxzK06mPUVM%2BcQV8z%2FCZX5f95CPxtNkfzQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"1023\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$10.23\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B007BHIUDO&atag=freetos-20&exp=2013-06-15T18%3A45%3A51Z&v=2&sig=91B8Pj6TdXcMSRkDOm1dPWQ9OmyJuB2j5zydMf412Rg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:358:\"Our 2.0M paddle leash is perfect for those times when you need hands free kayaking! This Leash is perfect for fishing or taking photos while on the go. The stretch material allows the paddle to float out of your way but not disappear. The convenient clip system lets you attach one end to your kayak while the Velcro clasp hooks cleanly to your paddle shaft.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3628", "508", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:34:\"13.8 x 6.5 x 18 inches ; 17 pounds\";s:15:\"Shipping Weight\";s:9:\"17 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003659NI6\";s:17:\"Item model number\";s:10:\"2000003404\";}");
INSERT INTO `wp_postmeta` VALUES("3629", "508", "asg_star_rating", "4.2");
INSERT INTO `wp_postmeta` VALUES("3630", "508", "asg_customer_reviews", "a:5:{i:0;a:5:{s:5:\"title\";s:14:\"Excellent Buy!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:49:\"http://www.amazon.com/gp/pdp/profile/ALSW199N50X7\";s:4:\"name\";s:8:\"Andrew S\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:3527:\"If you are looking for a professional fishing vessel, keep searching, but if you want a super-fun, ultra-glorified inflatable good-time making machine, look no further. I purchased this item a year ago before a lake trip with the expectation that maybe it would be good for a laugh or two, and be forgotten about. It has turned out to be a staple of all water-related trips I have taken. Here\'s the rundown:<br /><br />4 Person Occupancy: The boat can withstand a large amount of weight, that is, it will not sink. However the bottom will sag a good bit and you and your three \"close\" friends will be riding very snug. Three people will be touching, but comfortable. Two people can really man the oars, get the boat moving and have room to spread out or bring along extras (coolers, fishing rods, treasure chests, etc.). One person can fully extend, lie down and enjoy a brief nap on the open water if one so desires.<br /><br />Oar Eyelets, and other hooks, loops, and handles: I\'ve taken the boat to some fairly rough waters and tied the boat off fine with no fear of tearing. The oars eyelets, however, are not rigid enough to provide an effective holder. They will twist and turn with the oars, and depending on the length of the oar, may not allow for good contact with the water. I have found that for rowing in anything but perfectly calm water, it is better to treat the boat like a kayak and just hold on to the oar.<br /><br />Seaworthiness: I have taken this boat out on the ocean on several occasions, with mixed results. My first attempt was a solo voyage for a relaxing wave ride. The amount of rowing required to get past the breaking waves will take away any leisurely thoughts you were having, and if the waves are big enough, will be too much to ever get the boat out to a good floatable spot. However, if you have any children, nieces, nephews, etc., this makes an excellent play toy. I held on to the front handle and let me 2 nieces and 2 nephews ride in the boat and crash into waves. We did this for about 4-5 hours until we were all so exhausted we just had to call it quits.<br /><br />Lakeworthiness: This is where the boat really shines. If you have access to anything from a giant lake to a small pond this boat can provide you with some great times. Early morning excursions with a friend and some oars can be very relaxing. It is an incredibly comfortable boat for fishing (just be careful with those hooks). If you can find a good buoy, pole, tree, etc. to tie off to, you can even catch a good nap out on the water, and as I mentioned before, super comfortable since it is all inflated.<br /><br />Riverworthiness: I have not taken this boat out on a rive, though I intend to, and will update my review if/when I do. I expect it to be a blast.<br /><br />Durability: The boat can stand up to some pretty serious dilapidated wood, with only minor scuffs, but no punctures. I have also laid down in the boat on beaches and lakes sides and it has stood up to small rocks and shells. It is a good idea to avoid as much sharpness as you can, as my friend\'s boat snagged a nail on a dock and was out of commission for the weekend. It was patchable though.<br /><br />Overall: For the relatively low price of this boat, it is an excellent purchase. It will keep you pretty dry, and provide you with countless hours of fun if you take care of it. Over Memorial day weekend we spent 17 hours and 45 minutes out on the boat, and it never got boring at all. If you enjoy water and fun get this boat... Now!\";}i:1;a:5:{s:5:\"title\";s:20:\"Perfect little boat!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"October 5, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1IF4SASG1TYRV\";s:4:\"name\";s:4:\"rhop\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:515:\"It rolls up into a compact bundle that I can strap down on my bike carrier rack, and it\'s not too heavy. The boat inflates fast and easily, plus the tubes are high (even slightly higher then my 5 person boat) providing awesome back support, comfort and good stability. I use these inflatables for photography on lakes, floating around and general swimming. The only complaint I have is it does not have oar holders on the sides, but you can mount a small motor on it. I look forward to more fun with it next summer!\";}i:2;a:5:{s:5:\"title\";s:70:\"Sure. You can fit 4 people. Sorta. Spinning. And the oar lock mystery.\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A343OGYCJL2O4L\";s:4:\"name\";s:30:\"T. Schneider \"Tammy Schneider\"\";s:7:\"address\";s:15:\"Lincoln, RI USA\";}s:4:\"text\";s:1508:\"I bought this boat at Benny\'s. I would like to say that I actually think it is a great little boat. It cost less than $60, is easy to store, easy to inflate and easy to transport. It doesn\'t tip, and it really did hold two adults and two children.<br /><br />But we were *****very, very snug*****. I would suggest no more than two adults if you want to do anything other than be in a boat eating rice cakes. Is there some sort of unwritten rule about boats where the maximum number of people is really one or two more than it should be? One of my daughters complained the entire time, but don\'t worry, she does that all the time anyway. She starts kindergarten in the fall. I pity her teacher. I will miss her though. She is my favorite little complainer.<br /><br />The oars we bought ***didn\'t fit the oar locks****. That was pretty silly. I seriously couldn\'t even shove them through. If I did, I couldn\'t have actually rowed anyway. They are really close to the center which is also a really weird place for them to be, especially with children who you will hit in the face every time you row. So we had to use them like kayak paddles.<br /><br />We did a whole lot of ***** spinning in circles******. I thought it was because I wasn\'t as strong as my husband, but it seems that many experienced boaters have given that same review.<br /><br />I can\'t wait to take the boat out again, actually. And I usually hate boats. This time I will go out minus one adult and one child. That will be better. I hope.\";}i:3;a:5:{s:5:\"title\";s:10:\"Good Raft!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 5, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1WK0RVLAJ1L8G\";s:4:\"name\";s:9:\"ws2falcon\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1302:\"We received a Sevylor Caravelle-4 Raft that had been in storage for a long time, as a gift. The first time we tried it, I honestly thought that it wasn\'t too effective. It didn\'t handle well at a local lake. But it wasn\'t because of the raft itself. Rather, the gear did not work for us. We realized that some adjustments and/or changes to the originally issued gear were needed. The single paddles that came with the raft were basically useless. They came apart easily. So we bought a set of two Intex kayak paddles, and a pair of inflatable seat cushions designed to fit the Caravelle Raft. We also got a repair kit, just in case. With all that, we went back to the lake, and went for it. Soon it was very clear that the adjustments to the originally issued gear tremendously improved our handling of the raft. My wife and I were more comfortable because the cushions allowed us to be higher in relation to the water. Our coordination and rowing control were much better with the kayak paddles. The Caravelle-4 responded brilliantly as we rowed in a straight line, and made turns. The Caravelle-4 proved to be a good, solid raft. We\'ll be going on a road trip to Big Bear Lake during our vacation. And we are looking forward to rowing our Sevylor Caravelle-4 at the lake\'s North Shore. We can\'t wait!\";}i:4;a:5:{s:5:\"title\";s:19:\"Not what I Expected\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:15:\"August 21, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2CQ7P83Z8K7Q5\";s:4:\"name\";s:5:\"Rosie\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:616:\"I have owned a Sevylor Caravelle boat in the past and I loved it. After 20 years it no longer held air, so I wanted to replace it. I expected this boat to be like my old one. Took it on a camping trip to a lake to enjoy the float. Blew it up and was ready to launch it when I realized that my old oars would not fit the oar locks. It was useless. Sevylor seems to have changed the insert holes to an oval shape which does not work with round oars. The oars that may fit the boat don\'t appear to be collapsable, which is important for storage. My campout was disappointing and now I am stuck with a boat I cannot use.\";}}");
INSERT INTO `wp_postmeta` VALUES("3625", "508", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3626", "508", "asg_item_id", "B003659NI6");
INSERT INTO `wp_postmeta` VALUES("3627", "508", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003659NI6\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Sevylor-Caravelle-4-Person-Inflatable-Boat/dp/B003659NI6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003659NI6\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Sevylor-Caravelle-4-Person-Inflatable-Boat/dp/tech-data/B003659NI6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NI6\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003659NI6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NI6\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003659NI6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NI6\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003659NI6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NI6\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003659NI6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NI6\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003659NI6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NI6\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659NI6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NI6\";}}}s:9:\"SalesRank\";s:6:\"154875\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41H2EB2STNL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003404\";}s:3:\"EAN\";s:13:\"0076501039696\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501039696\";}s:7:\"Feature\";a:5:{i:0;s:73:\"All-around inflatable recreational boat for family fun; fits four persons\";i:1;s:50:\"DIN safety chamber; made of heavy gauge virgin PVC\";i:2;s:73:\"Accepts optional Sevylor\'s SBM 12V electric motor or gas motor up to 3 HP\";i:3;s:66:\"Tunnel chambers on the bottom of the boat for support and tracking\";i:4;s:35:\"Maximum weight capacity: 700 pounds\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1800\";s:6:\"Length\";s:4:\"1375\";s:6:\"Weight\";s:4:\"1705\";s:5:\"Width\";s:3:\"650\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"7399\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$73.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003404\";s:3:\"MPN\";s:10:\"2000003404\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"650\";s:6:\"Length\";s:4:\"1820\";s:6:\"Weight\";s:4:\"1705\";s:5:\"Width\";s:4:\"1360\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003404\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:14:\"883-2000005123\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:42:\"Sevylor Caravelle 4-Person Inflatable Boat\";s:3:\"UPC\";s:12:\"076501039696\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501039696\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"7205\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$72.05\";}s:8:\"TotalNew\";s:1:\"6\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659NI6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NI6\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:136:\"ny5RvloBHLNrjW0ssegEwvLIm%2FdYf2%2Bt%2BrgK2%2FUaoSj2HjuE6rNcGvReXeWWRRXBZDfTaQnbv3CnhDZYUNnL2yD%2FbSzMPUIz3G4rfNJ6nlJERd90bn%2Frpg%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7399\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$73.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003659NI6&atag=freetos-20&exp=2013-06-15T19%3A37%3A05Z&v=2&sig=2taNpm8fNAkHx5xn2mxGPwMjc32iYqLNXEO0VJVgNlU%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:837:\"The Sevylor Caravelle 4-Person Inflatable Boat is a great choice for recreational outings. Measuring 9 Feet long by 5 Feet wide, the 4-Person Caravelle holds up to 700 pounds. The Caravelle is durably constructed of 19-gauge PVC, and features the innovative DIN safety chamber which inflates inside the main outer chamber, to keep you afloat even if the outer chamber gets punctured. The Caravelle Feets inflatable floor offers extra comfort, while the sturdy oarlocks double as handles, with an all-around grabline for convenience and built-in carry handle. The Caravelle includes fittings for a motor mount and SBM 12V electric motor. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:1386:\"<p>A classic all-around inflatable boat, this affordable, four-person Sevylor Caravelle inflatable boat is a great choice for recreational outings with the family. It can accept Sevylor\'s optional SBM 12V electric motor, as well as a gas-powered outboard motor up to 3 horsepower (with optional motor mount). In production for over 37 years, the Caravelle was the first Sevylor boat to feature the DIN safety chamber, which inflates inside the main outer chamber and will help keep you afloat if the outer chamber suffers a major hole. </p> <p>Other features include an inflated floor, oarlocks that double as handles, all-around grabline, carry handle, Boston valves, and 19 gauge PVC construction. It\'s guaranteed not to leak thanks to Sevylor\'s exclusive Airtight System, and this inflatable\'s Double-Lock Fast Valve prevents accidental air loss and ensures quick, easy inflation and deflation. Backed by a 30-day warranty. Made in China. </p> <p> <b>Specifications:</b><br> <ul> <li>Length overall (LOA): 9 feet, 2 inches <li>Beam: 5 feet <li>Weight: 16 pounds <li>Maximum engine power: 3 HP (or Sevylor 12-volt SBM) <li>Capacity: 4 persons <li>Weight capacity: 700 pounds </ul> <p> <br> <b>Tech Talk</b><br> <i>Boston Valve</i>: A large, screw-on valve that can\'t accidentally be unplugged and provides quick deflation (by just opening up the valve and allowing air to escape). <p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3624", "508", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3595", "505", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:8:\"8 pounds\";s:4:\"ASIN\";s:10:\"B004R9BE82\";}");
INSERT INTO `wp_postmeta` VALUES("3596", "505", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3597", "505", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:34:\"Disappointed in the color received\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"May 22, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A38QJ45IFZV1FK\";s:4:\"name\";s:14:\"Judy Schroeder\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:210:\"I ordered this boat for my grandson, he really wanted a blue boat, when the boat arrived it was yellow. I called the company they said the picture was from another retailer. The boat appears to be good quality.\";}}");
INSERT INTO `wp_postmeta` VALUES("3598", "505", "asg_last_refresh_attempt", "1371238620");
INSERT INTO `wp_postmeta` VALUES("3599", "505", "asg_update_timestamp", "1371238620");
INSERT INTO `wp_postmeta` VALUES("3600", "506", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3601", "506", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3602", "506", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3603", "506", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3604", "506", "asg_item_id", "B0032GM1QA");
INSERT INTO `wp_postmeta` VALUES("3605", "506", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B0032GM1QA\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Sevylor-Fish-Hunter-Inflatable-4-Person/dp/B0032GM1QA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0032GM1QA\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Sevylor-Fish-Hunter-Inflatable-4-Person/dp/tech-data/B0032GM1QA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GM1QA\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB0032GM1QA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GM1QA\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB0032GM1QA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GM1QA\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB0032GM1QA%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GM1QA\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B0032GM1QA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GM1QA\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B0032GM1QA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GM1QA\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GM1QA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GM1QA\";}}}s:9:\"SalesRank\";s:5:\"43257\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31gH9UURYcL.jpg\";s:6:\"Height\";s:3:\"300\";s:5:\"Width\";s:3:\"300\";}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:14:\"768-2000003409\";i:1;s:10:\"2000003409\";}}s:10:\"Department\";s:24:\"Small Craft & Inflatable\";s:3:\"EAN\";s:13:\"0066510863740\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0066510863740\";i:1;s:13:\"0076501039788\";}}s:7:\"Feature\";a:5:{i:0;s:53:\"Inflatable 4-person fishing boat made of 30-gauge PVC\";i:1;s:52:\"2 tunnel chambers add lateral stability on the water\";i:2;s:69:\"2 inflatable seats, 2 fishing rod holders, chafing pads, and gear bag\";i:3;s:58:\"4 swivel oarlocks; works with outboard motors up to 2.5 hp\";i:4;s:64:\"Holds up to 700 pounds; measures 9\' 1\" by 4\' 8\"; 90-day warranty\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1810\";s:6:\"Length\";s:4:\"2260\";s:6:\"Weight\";s:4:\"3200\";s:5:\"Width\";s:3:\"970\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"16699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$166.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:36:\"ManufacturerPartsWarrantyDescription\";s:5:\"Parts\";s:5:\"Model\";s:10:\"2000003409\";s:3:\"MPN\";s:10:\"2000003409\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"930\";s:6:\"Length\";s:4:\"2470\";s:6:\"Weight\";s:4:\"3395\";s:5:\"Width\";s:4:\"1930\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003409\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:11:\"marine-6427\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:44:\"Sevylor Fish Hunter Inflatable 4-Person Boat\";s:3:\"UPC\";s:12:\"076501039788\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"076501039788\";i:1;s:12:\"066510863740\";}}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"11984\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$119.84\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:5:\"10322\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$103.22\";}s:8:\"TotalNew\";s:2:\"19\";s:9:\"TotalUsed\";s:1:\"3\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B0032GM1QA%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB0032GM1QA\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:140:\"ByR736ZuRfj%2F%2BBl%2FIYn53u5%2FfqhYHLF0JhPN3fslS%2B9cI%2BxOSkEO1vQYulo6nCvd0NZaf%2Fn8ROYxf3%2FrKaJSpv0fHkSDF1ZdZGpoU5UngPs0dzwCiMBeuA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"11984\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$119.84\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"4715\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$47.15\";}s:15:\"PercentageSaved\";s:2:\"28\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:202:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B0032GM1QA&atag=freetos-20&exp=2013-06-15T19%3A37%3A01Z&v=2&sig=0%2BfPuXazfaNh%2FcZH0tDLKpOto5%2ByKSR%2FbeOC%2BL8SnFg%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:972:\"The Sevylor Fish Hunter Inflatable Boat is packed with features for performance and convenience, so you can focus on fishing. Measuring 9 Feet1 Inch long by 4 Feet8 Inch wide, the 4-Person Fish hunter holds up to 700 pounds and is durably constructed of heavy-duty 30-gauge PVC. The Fish Hunter is built with two tunnel chambers for lateral stability on the water. For comfort, the Fish Hunter features two inflatable seats, two fishing-rod holders, four swivel oarlocks, and chafing pads. Drain plugs make it easy to empty out water, while an all-around grabline and built-in carry handles offer convenience. The Fish Hunter includes bow and stern fittings for an electric motor, with optional fittings for a 2.5HP motor. A handy gear bag and battery pouch are included. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2815:\"Hit the fishing hole with three of your closest friends with the Sevylor Fish Hunter inflatable four-person boat. The Fish Hunter is constructed of 30-gauge PVC, with two tunnel chambers adding lateral stability on the water. As a result, the boat can handle uneven loads, provided it doesn\'t take on more than 700 pounds. The boat also includes a number of fishing-specific features, including two inflatable seats to keep you comfortable and stable while casting, two fishing rod holders, chafing pads, and a gear bag. The Fish Hunter\'s drain plugs help you keep water from building up, while the four swivel oarlocks make it easy to turn without losing control. And folks on longer fishing trips can add a motor mount and an outboard motor. The boat works with motors up to 2.5 horsepower, and also includes bow and stern fittings and a battery pouch for an electric motor. <p> Finally, the Fish Hunter is guaranteed not to leak thanks to Sevylor\'s exclusive Airtight system and Double-Lock valves, which prevent accidental air loss while encouraging quicker inflation and deflation. Other details include an all-around grab line, two oar holders, and a pair of built-in carrying handles. Certified by the National Marine Manufacturers Association (NMMA), the four-person Fish Hunter measures 9 feet 1 inch by 4 feet 8 inches and carries a 90-day warranty. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3606", "506", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:36:\"22.6 x 9.7 x 18.1 inches ; 32 pounds\";s:15:\"Shipping Weight\";s:9:\"34 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B0032GM1QA\";s:17:\"Item model number\";s:10:\"2000003409\";}");
INSERT INTO `wp_postmeta` VALUES("3607", "506", "asg_star_rating", "2.6");
INSERT INTO `wp_postmeta` VALUES("3608", "506", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:38:\"Great Boat for a Fisherman on a Budget\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"June 2, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A11Q2PRM51NVR6\";s:4:\"name\";s:21:\"Mark Okke \"relay2005\"\";s:7:\"address\";s:19:\"Minneapolis, MN USA\";}s:4:\"text\";s:552:\"I don\'t know what the person that rated this thing a 1 star was thinking but I\'ve had this boat now for 2 years and never had an issue. Here is what I do. I bought the hardwood floor for it which work great. I bought myself a deep cycle marine battery with a large plastic box and an extension cable so that I can put the battery to the front of the boat while I sit near the motor. I love this thing. Fits in my trunk of my car just fine. The HF360 is very rugged and works great with a 30 lb thrust trolling motor as long as you have the motor mount.\";}i:1;a:5:{s:5:\"title\";s:24:\"No longer a quality boat\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:13:\"July 11, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJLB7T0J4ME1G\";s:4:\"name\";s:11:\"Paul Rainey\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:946:\"I have been a loyal Sevylor customer for over 15 years. During that time I have purchased three or four Fish Hunter inflatable boats and have recommended them to countless others. I live in the Sierra Nevada foothills and it has been ideal for the smaller lakes and rivers of this region.<br /><br />I recently purchased a new Fish Hunter to replace one that had been damaged by rodents. I found that the new contruction and design of this boat, from a durability and safety aspect, are unacceptable. The boat now lacks the rigidity to adequately support sporting activities. While I was trying to boat a fish in fast flowing water, the cap on the valve of the main air chamber (now a push on type rather than a screw on type) came off and allowed air to escape at full flow.<br /><br />I will no longer be purchasing Sevylor products and I will do my best to inform others of the lack of quality that I have found in them.<br /><br />Paul Rainey\";}i:2;a:5:{s:5:\"title\";s:11:\"boat review\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 14, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2M3PK4XQ3PM20\";s:4:\"name\";s:13:\"D L Llewellyn\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:364:\"This actually a 2-person boat, exactly as I expected. Four people would have to be Lilliputians. It\'s easy to inflate, rugged and well equipped. I have owned several inflatables including a Tahiti kayak and love Sevylor quality. My intended use is as a solo fishing craft. It is ideal. Caution: sharp objects are deadly, even a sharp tongue is not allowed on mine.\";}i:3;a:5:{s:5:\"title\";s:28:\"boater/fisherman/grandmother\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"August 6, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1QLOV416EEJLZ\";s:4:\"name\";s:4:\"asti\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:537:\"This is a nice sturdy raft for two larger people. No paddles and it\'s hard to find paddles that fit. You need adjustable, telescoping with locked oars. Can\'t find at local stores. Have to find on internet, recommend buying them with boat. Seats are blow up cushions that just get placed in boat. Rod holder was too small for my rod, ok for another rod. It weighs about 35lbs so it\'s kind of heavy and it\'s 9 feet long blown up so it\'s a large boat. Nice for a small lake but you do get blown around by the wind, so 4 oars would be ideal.\";}i:4;a:5:{s:5:\"title\";s:18:\"Great Starter Boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"February 8, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ATSPVH1ZLG1XN\";s:4:\"name\";s:25:\"Brian Burzynski \"Bruiser\"\";s:7:\"address\";s:14:\"Easton, PA USA\";}s:4:\"text\";s:1951:\"You can\'t beat the price, tax-free, and free shipping of Amazon. It was delivered in about a week.<br /><br />I bought the 12\' boat (not the 9\') and motor mount and put a 28lbs. thrust trolling motor on it. It works well. I had 3 full sized adults in this boat, two lounged across the front and myself running the motor, plus a cooler. The 12\' would is comfortable for 2 adults plus tackle and safety equipment. The 9\' would be cramped and best for solo missions. I took it in a Jersey bay around Atlantic City. The small motor took the boat against the current, slow and steady, but successfully. I threw down an anchor and used it as a dock to hang crab traps off of. It takes about 25 minutes to fully inflate and mount the motor using a Coleman 12-volt inflator. The material is thick, tough, and well constructed. I bought a 45 gallon tote at Walmart for $15 and it works as a good container to store and travel with in the back of my car. It\'s hard to stand up in, but the floor accessory should help with that. If you don\'t mind feeling like Pee Wee Herman while you are passed by \"real\" boats, then this is the boat for you!<br /><br />Update: I got 2 summers out of this boat so far and it still holds air. The Sevylor motor mount is a little shoddy because the plastic sleeves that hold the extendable arms in place broke from tightening the screws. I modified them by drilling holes all the way through and dropping bolts in them instead of tightening. I also bought the wooden floor which is a nice addition. I found that putting a bungie cord or duck tape around the side bars to keep them in place while getting around helped a lot. The seat cushions are not made of the same material as the boat and lose air quickly. I found that a medium size cooler fits nicely on the ends of the boat, keeps you sitting up higher than the cushion, and has dual purpose. It is a very fun boat of the novice and has provided hours of enjoyment so far.\";}i:5;a:5:{s:5:\"title\";s:14:\"Waste of time!\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:16:\"December 1, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A24PA11GFRI96Y\";s:4:\"name\";s:2:\"Ed\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:501:\"I bought one of these and it was the biggest waste of time I\'ve ever spent fishing. Extremely uncomfortable to sit in for any length of time because your feet go right to sleep and having a trolling motor on it is pointless. You can\'t turn around enough to steer without feeling like your going to flip over! Oh, this product advertises its rated for 4 people? Yeah Right. Even if I didn\'t weigh 250lbs, there is no way 4 people plus gear would fit in this thing! Don\'t waste your time or the $140.00.\";}i:6;a:5:{s:5:\"title\";s:21:\"Not really for adults\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:18:\"September 12, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AKSSNO62GGOFO\";s:4:\"name\";s:29:\"Jerome L. Devince \"Incedev71\"\";s:7:\"address\";s:14:\"Panama city,fl\";}s:4:\"text\";s:453:\"If you are just wanting something to play in fine. My plans were to use it for duck hunting<br />the sloughs here in fl. I tried it out no equipt, decoys guns or dog . I only had on<br />shorts and tennis shoes. Not a good experience. Hard to get in and out; I thought of<br />how it would have been with full gear on and wadders. I brought it home and gave it to<br />my neighbors son/ It okay for play but don.t think about serious fishing or hunting.\";}i:7;a:5:{s:5:\"title\";s:11:\"Think Twice\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:12:\"June 1, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ATCCE770JMPQH\";s:4:\"name\";s:9:\"M. Peters\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:777:\"I bought the large 6-person boat with all the accessories, motor, motor mount, battery, etc. Once I assembled it, put it in the water, I quickly noticed that this was not going to work. The battery had to be pulled right next to the rear seat so the power cable could be attached. The \"battery holder\" is a joke and the battery kept flopping over. I could not sit in the seat and run the motor. I had to sit on the side of the boat and this is not safe. I am 6\'3 and had my 10 year old with me, and the boat was so cramped, we could not fish. If you are less than 5\'7\", just want a rubber raft with oars, this might work for you, but there is no way you can put more than two people in this thing. We pulled it out of the water after five minutes, boxed it up, and returned it.\";}i:8;a:5:{s:5:\"title\";s:27:\"Went flat with in 3 minutes\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:12:\"May 13, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A16H4HG9772MAL\";s:4:\"name\";s:12:\"Rick Grieser\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:541:\"We were in the water about 2 1/2 hours when all of a sudden the raft went flat in about 3 min. Got my son to shore but lost poles and tackle box. we didnt hit anything and it is in the bottom of lake with no WAY to retun IT for refund or replacement. Wear your life vests and be careful.<br /><br />p.s. No way 4 people are going to fit. I am 6 2 and weigh 198lbs by son is 4 5 and weighs 60lbs and with 1 tackle box and 2 poles we were packed. This is in no way a 4 person boat!!!!!!!!!! Amazon you need to look at this boat and try it out.\";}i:9;a:5:{s:5:\"title\";s:17:\"Exactly as I need\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 16, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3438021D8NDDW\";s:4:\"name\";s:9:\"bob_happy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:162:\"Good boat for river and lake fishing. Easy inflatable and deflatable. Perfectly fits to trank. Air valve is too stiff but perhaps it is just the first impression.\";}}");
INSERT INTO `wp_postmeta` VALUES("3609", "506", "asg_last_refresh_attempt", "1371238623");
INSERT INTO `wp_postmeta` VALUES("3610", "506", "asg_update_timestamp", "1371238623");
INSERT INTO `wp_postmeta` VALUES("3611", "507", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3612", "507", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3613", "507", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3614", "507", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3615", "507", "asg_item_id", "B004LSOYZE");
INSERT INTO `wp_postmeta` VALUES("3616", "507", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004LSOYZE\";s:13:\"DetailPageURL\";s:210:\"http://www.amazon.com/Solstice-30600-Voyager-5-Person-Boat/dp/B004LSOYZE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004LSOYZE\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:220:\"http://www.amazon.com/Solstice-30600-Voyager-5-Person-Boat/dp/tech-data/B004LSOYZE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004LSOYZE\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004LSOYZE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004LSOYZE\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004LSOYZE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004LSOYZE\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004LSOYZE%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004LSOYZE\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004LSOYZE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004LSOYZE\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004LSOYZE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004LSOYZE\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004LSOYZE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004LSOYZE\";}}}s:9:\"SalesRank\";s:6:\"158334\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51tVYq1GxoL.jpg\";s:6:\"Height\";s:3:\"450\";s:5:\"Width\";s:3:\"450\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:8:\"Solstice\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:5:\"30600\";}s:3:\"EAN\";s:13:\"0723815306005\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0723815306005\";}s:7:\"Feature\";a:5:{i:0;s:74:\"Five person, inflatable boat suitable for pools, lakes, ponds, and tending\";i:1;s:27:\"Heavy-duty PVC construction\";i:2;s:42:\"Four chamber, double hull with DIN chamber\";i:3;s:68:\"Inflatable seats; swivel oar locks; Boston valve; fishing rod holder\";i:4;s:57:\"Accepts up to two-horse power electric or gas motor mount\";}s:5:\"Label\";s:8:\"Solstice\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"12490\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$124.90\";}s:12:\"Manufacturer\";s:8:\"Solstice\";s:5:\"Model\";s:5:\"30600\";s:3:\"MPN\";s:5:\"30600\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"800\";s:6:\"Length\";s:4:\"2000\";s:6:\"Weight\";s:4:\"2430\";s:5:\"Width\";s:4:\"1450\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"30600\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:8:\"Solstice\";s:11:\"ReleaseDate\";s:10:\"2011-02-01\";s:4:\"Size\";s:10:\"125\" x 60\"\";s:3:\"SKU\";s:8:\"30600PSA\";s:6:\"Studio\";s:8:\"Solstice\";s:5:\"Title\";s:30:\"Solstice Voyager 5-Person Boat\";s:3:\"UPC\";s:12:\"723815306005\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"723815306005\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"8319\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$83.19\";}s:8:\"TotalNew\";s:2:\"11\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004LSOYZE%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004LSOYZE\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:130:\"pjW2DqLyHjauGvL5ovMe%2F3ADBhQcwiOPYQ2HQHaQtsytJvb4UPRRg07u69S0KiQY7AoFCs%2BmkvfUtasSq7qXBqSP3mpA%2FmdCrvgeSTGOupGeZfPCzy3m7Q%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"9299\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$92.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"3191\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$31.91\";}s:15:\"PercentageSaved\";s:2:\"26\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004LSOYZE&atag=freetos-20&exp=2013-06-15T19%3A37%3A03Z&v=2&sig=h5XmpgaRR%2B5eLZsBYUDkA8q923Mq2NlYBwuxM90eoNs%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:15:\"Inflatable boat\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:453:\"Designed for fun on small bodies of water, the Voyager Inflatable Boat from Solstice offers five-person capacity with heavy-duty PVC construction. The Voyager has a four-chamber, double hull with DIN chamber construction for reliability. The boat is equipped with inflatable seats for rider comfort, swivel oar locks, a Boston valve, and a fishing rod holder. The Voyager accepts up to a two-horse power electric or gas motor mount (sold separately).<p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3617", "507", "asg_product_details", "a:6:{s:15:\"Shipping Weight\";s:11:\"24.3 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:7:\" China\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004LSOYZE\";s:17:\"Item model number\";s:5:\"30600\";}");
INSERT INTO `wp_postmeta` VALUES("3618", "507", "asg_star_rating", "1");
INSERT INTO `wp_postmeta` VALUES("3619", "507", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:38:\"No oars nor pump included in the price\";s:4:\"star\";s:3:\"1.0\";s:4:\"date\";s:15:\"August 19, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2IBJ4WV4IJNPO\";s:4:\"name\";s:13:\"Unhappy buyer\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:126:\"Contrary to Intex brand and others, the boat came with no oars nor pump. Had I known, I would not have bought it from day one.\";}}");
INSERT INTO `wp_postmeta` VALUES("3620", "507", "asg_last_refresh_attempt", "1371238625");
INSERT INTO `wp_postmeta` VALUES("3621", "507", "asg_update_timestamp", "1371238625");
INSERT INTO `wp_postmeta` VALUES("3622", "508", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3623", "508", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("2142", "353", "asg_last_refresh_attempt", "1371235548");
INSERT INTO `wp_postmeta` VALUES("2143", "353", "asg_update_timestamp", "1371235548");
INSERT INTO `wp_postmeta` VALUES("2146", "354", "asg_item_id", "B001OPH8NC");
INSERT INTO `wp_postmeta` VALUES("2147", "354", "asg_amazon_data", "a:12:{s:4:\"ASIN\";s:10:\"B001OPH8NC\";s:13:\"DetailPageURL\";s:207:\"http://www.amazon.com/Seattle-Sports-Kayak-Wall-Cradles/dp/B001OPH8NC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001OPH8NC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:217:\"http://www.amazon.com/Seattle-Sports-Kayak-Wall-Cradles/dp/tech-data/B001OPH8NC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001OPH8NC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001OPH8NC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001OPH8NC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001OPH8NC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001OPH8NC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001OPH8NC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001OPH8NC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001OPH8NC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001OPH8NC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001OPH8NC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001OPH8NC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001OPH8NC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001OPH8NC\";}}}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"71\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"151\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"471\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"28\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"71\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"71\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"104\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"151\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/31dK%2BnL7HxL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"471\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51IMLhYFbAL._SL30_.jpg\";s:6:\"Height\";s:2:\"29\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51IMLhYFbAL._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/51IMLhYFbAL._SL75_.jpg\";s:6:\"Height\";s:2:\"72\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51IMLhYFbAL._SL110_.jpg\";s:6:\"Height\";s:3:\"105\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/51IMLhYFbAL._SL160_.jpg\";s:6:\"Height\";s:3:\"153\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/51IMLhYFbAL.jpg\";s:6:\"Height\";s:3:\"479\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:29:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:14:\"Seattle Sports\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:10:\"Blk-055800\";i:1;s:6:\"055800\";}}s:5:\"Color\";s:5:\"Black\";s:10:\"Department\";s:24:\"Storage & Transportation\";s:3:\"EAN\";s:13:\"0780292558006\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0780292558006\";}s:7:\"Feature\";a:5:{i:0;s:23:\"24 by 14 inches (H x W)\";i:1;s:18:\"Easy kayak storage\";i:2;s:24:\"Strong lightweight steel\";i:3;s:27:\"Mounting lag bolts included\";i:4;s:13:\"Easy to mount\";}s:13:\"IsAutographed\";s:1:\"0\";s:13:\"IsMemorabilia\";s:1:\"0\";s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"425\";s:6:\"Length\";s:4:\"2600\";s:6:\"Weight\";s:3:\"515\";s:5:\"Width\";s:4:\"1550\";}s:5:\"Label\";s:14:\"Seattle Sports\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$39.95\";}s:12:\"Manufacturer\";s:14:\"Seattle Sports\";s:5:\"Model\";s:6:\"055800\";s:3:\"MPN\";s:6:\"148032\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"450\";s:6:\"Length\";s:4:\"2590\";s:6:\"Weight\";s:3:\"520\";s:5:\"Width\";s:4:\"1540\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"148032\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:14:\"Seattle Sports\";s:4:\"Size\";s:10:\"BLK-055800\";s:3:\"SKU\";s:8:\"148032~B\";s:6:\"Studio\";s:14:\"Seattle Sports\";s:5:\"Title\";s:33:\"Seattle Sports Kayak Wall Cradles\";s:3:\"UPC\";s:12:\"780292558006\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"780292558006\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:1:{s:14:\"FormattedPrice\";s:18:\"Too low to display\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"2731\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.31\";}s:8:\"TotalNew\";s:2:\"38\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B001OPH8NC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001OPH8NC\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"qeB%2FOW1WazCS43XmIZmxiPWKdaBSaDebnXP6ZjMsZcpajCWo6OWY2dtSjCHhNwhEblsiq3NLaBccZR7Hu6QMZhzYXezZTu70l67BmxvYdqMJBqDVSxfs6Q%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.99\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"996\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$9.96\";}s:15:\"PercentageSaved\";s:2:\"25\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001OPH8NC&atag=freetos-20&exp=2013-06-15T18%3A45%3A48Z&v=2&sig=SbS6CFE4LYvwilaacDMPWHc9AAJ4xb6ep0hE%2FsyIKyU%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:195:\"Store your kayak quickly and easily with our easy-mount wall cradles. Built with strong yet lightweight powder-coated steel, the cradles come with mounting lag bolts for quick, easy installation.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:651:\"Space is limited in the garage--make the most of it by storing your kayak up and out of the way where it\'s protected from scuffs and abrasions with Kayak Wall Cradles from Seattle Sports. These easy-mount kayak wall cradles offer quick and easy kayak storage. Built with strong and lightweight powder-coated steel, the cradles come with mounting lag bolts for quick and easy installation. <p> <b>Specifications:</b> <ul> <li>Quick and easy kayak storage wall cradles <li>Made of strong, yet lightweight, powder-coated steel <li>Comes with mounting lag bolts for quick and easy installation <li>24 by 14 inches (H x W). <li>Weight: 4.5 pounds </ul> <p>\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2148", "354", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:35:\"26 x 15.5 x 4.2 inches ; 5.2 pounds\";s:15:\"Shipping Weight\";s:10:\"5.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B001OPH8NC\";s:17:\"Item model number\";s:6:\"055800\";}");
INSERT INTO `wp_postmeta` VALUES("2149", "354", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2150", "354", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:15:\"Good Product...\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"November 8, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A20EZ7E8WUH2GZ\";s:4:\"name\";s:17:\"Shastastan \"Stan\"\";s:7:\"address\";s:15:\"Superior Calif.\";}s:4:\"text\";s:760:\"I had previously bought a set of hoists, but they didn\'t raise the kayaks high enough in my metal shed. The wall cradles solved the problem. I had to buy new self-tapping screws since they are mounted to hollow metal studs. I should point out that these Cradles are not designed for attachment to metal studs. They are designed for wood studs. However, you might want to check the length of the screws provided to see if they are long enough if you have sheet rock. Also you might want to check to see if your studs are wide enough for the holes in the bottom plates. You could angle the screws inward though. That\'s why I\'m giving this a 4 star rating. In conclusion, these Kayak Wall Cradles work just file and seem to be pretty substantial. I bought 2 sets.\";}i:1;a:5:{s:5:\"title\";s:46:\"got half the product, missing lag bolts in box\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:14:\"March 22, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1EQ0TLLJ5UT0E\";s:4:\"name\";s:26:\"pumpkin \"pierced graphics\"\";s:7:\"address\";s:7:\"WI, USA\";}s:4:\"text\";s:612:\"everything was great, it came on time, the price was right. Until I opened the box and found that it came with no lag bolts at all, nothing. I just got the J-shaped cradles and directions, which say \"using the lag bolts provided\".... luckily i have bolts at work to do this otherwise I would have to run to the hardware store. Thought of the option of writing to the company about sending some bolts, but it would just be a waste of time.... plus make sure you have a decent stud finder and level :) In the end, I still like the cradle mounts just wished I didnt have to run somewhere to get the rest of it done.\";}i:2;a:5:{s:5:\"title\";s:10:\"Hooked up.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"December 20, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3OJ4C5HTK9Q9Y\";s:4:\"name\";s:10:\"J. Simpson\";s:7:\"address\";s:14:\"North Carolina\";}s:4:\"text\";s:399:\"I finally got my kayak up off the ground with these hooks. They do a great job, foam coverings not only prevent scratching to your kayak but also prevent it from slipping around. It comes with several screws to mount to a wall stud, plenty long enough to get through the sheet rock in my garage and hold my Necky. Be sure you have the right tools, just a screwdriver and stud finder is all I needed.\";}i:3;a:5:{s:5:\"title\";s:12:\"Does the job\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:16:\"October 26, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A156D37VBCU6SS\";s:4:\"name\";s:4:\"Clay\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:181:\"This rack is worth the price and does the job. One problem, the 8 screws included are absolute junk and will strip-out easily. Go buy 8 #12 screws and save yourself the aggravation.\";}i:4;a:5:{s:5:\"title\";s:11:\"Space saver\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"September 5, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2Y491KRZWQU7K\";s:4:\"name\";s:14:\"George Guilmet\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:163:\"Very pleased with these cradles for the price. Had no problem installing, all supplied screws were fine, and wide enough to hold our rather deep sit on top kayaks.\";}i:5;a:5:{s:5:\"title\";s:19:\"I Agree With Others\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:15:\"August 31, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AFRAKGQQNJYON\";s:4:\"name\";s:10:\"ham_n_bill\";s:7:\"address\";s:14:\"Mehoopany, Pa.\";}s:4:\"text\";s:459:\"Nice solid, well made product. However as others have said, the hardware is crap. If you\'re only mounting to wall studs then only 2 screws per hook are required (4 per set). Take one of the supplied screws to your local hardware and replace the junk with something you can drive (with pilot hole) into the studs without snapping them off. You\'ll be thankful. I mounted 3 sets to the garage walls and I\'m very pleased. If not for the hardware they\'d be 5 star.\";}i:6;a:5:{s:5:\"title\";s:20:\"Great storage system\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"June 14, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AZHIS7WXYE23A\";s:4:\"name\";s:7:\"Kayaker\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:258:\"Great product and easy to install. I have a narrow garage and this system allows me to not only store my kayak, but also get my car in the garage. I gave it four stars because I think it needs better quality hardware. Which I replaced at that hardware store.\";}i:7;a:5:{s:5:\"title\";s:32:\"Kayak Wall Cradle, Kayak Storage\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:13:\"July 12, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A31QQPKAC0WFCZ\";s:4:\"name\";s:18:\"Mountain Bike Mike\";s:7:\"address\";s:3:\"USA\";}s:4:\"text\";s:766:\"The hangers are ok, they will do the job.<br /><br />The mounting haredware however is a different story. The mounting screws that are included in my opinion are too short especially if you are going through drywall. Most importantly is the quality of those screws. There is no doubt in my mind that the mounting screws are the most inferior, low grade metal from Asia or China that money can buy.<br /><br />Using the correct size driver bit each screw rounded out as the metal was so incredibly soft. The brackets appear to be ok but it appears they tried to save money on the mounting hardware. Save yourself some time, throw away the included mounting hardware and use good old fashioned 3\" deck screws, they worked for me.I have included photos.<br /><br />Mike\";}i:8;a:5:{s:5:\"title\";s:30:\"Good Hangers, Useless Hardware\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"February 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A28QOJWB4AON0Y\";s:4:\"name\";s:6:\"ExE122\";s:7:\"address\";s:13:\"Baltimore, MD\";}s:4:\"text\";s:571:\"Overall, the cradle bars themselves are very nice. They are sturdy and well padded, so they won\'t scuff up your kayak. Once mounted, everything looks great.<br /><br />However, I will echo what a lot of other reviewers said: the included hardware is awful. To call them \"lag bolts\" is a bit of a stretch. They really are just a set of cheap screws that strip VERY easily.<br /><br />If you do plan on using these, I would definitely recommend pre-drilling and using a #3 phillips head bit. Otherwise it\'s worth a trip to a hardware store to get something a little better.\";}i:9;a:5:{s:5:\"title\";s:35:\"Probably OK, but NOT for big kayaks\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:13:\"April 3, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AMEZFR0V0FTFX\";s:4:\"name\";s:9:\"R. Cudney\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1430:\"I ordered this to hang a Malibu Two XL, which is a fairly big sit-on ocean yak; 13+ ft long, 34&#34; across the beam. The listing for these hangars has them at 14&#34; wide, but the box says 13&#34; and they could be even narrower than that. Result, a big, deep kayak like the XL won\'t fit. These are probably intended for small solo kayaks. Since I have them, I might try spreading the opening a lot; worst that can happen is that they\'ll be useless, which they already are, to me.<br /><br />Another thing; many reviewers have commented on the crappy quality of the hardware. i think they are being too kind. They appear to be made of hardened cream cheese. The crosshead screws (I don\'t think they\'re a US Phillips; Japanese or Chinese crosshead, maybe, which is different) stripped the head drive openings instantly. This is not a fatal defect, any hardware store has decent screws for a couple of bucks, but I\'d hope by now the vendor would have caught on that the hardware is useless. I guess they don\'t read these reviews.<br /><br />I\'m going with two stars instead of one or none because the description is correct, even \'though it omits a vital detail, the fact that they won\'t work with a big yak, and the hardware might work OK if the cream cheese has enough time to set. My fault for hoping to score a good hangar for cheap.<br /><br />Short story, possibly OK for a small kayak. Not at all suitable for a big tandem.\";}}");
INSERT INTO `wp_postmeta` VALUES("3584", "504", "asg_product_details", "a:7:{s:18:\"Product Dimensions\";s:38:\"116.9 x 50 x 18.1 inches ; 41.6 pounds\";s:15:\"Shipping Weight\";s:9:\"44 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:6:\"Origin\";s:18:\" Imported (China)\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B00177J4XO\";s:17:\"Item model number\";s:7:\"68377EP\";}");
INSERT INTO `wp_postmeta` VALUES("3585", "504", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("3586", "504", "asg_customer_reviews", "a:6:{i:0;a:5:{s:5:\"title\";s:56:\"Great little boat -- rugged and portable and easy to row\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 29, 2010\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A118CIMAJUPX7T\";s:4:\"name\";s:32:\"Matthew W. Gudenius \"Media Guru\"\";s:7:\"address\";s:17:\"Ellicott City, MD\";}s:4:\"text\";s:2694:\"I debated long and hard between getting the Excursion 5 and the Seahawk II. I wanted a boat that I could immediately take out and go rowing, but one that is durable (sometimes there are branches sticking up in the shallow river here) and comfortable. I also wanted to get a boat that I could eventually mount a motor on in the future.<br /><br />After reading tons of reviews -- and going to the Intex website and other forums -- I bought the Excursion 5 because some forums said the Seahawk II doesn\'t have motor mount points (this is not true -- it would be nice if Amazon\'s site would specify this) and some people on here commented that the Excursion 5 is made out of the same \"Super-Tough\" material as the Seahawk II (this is also not true, but it\'s very confusing and even the Intex website doesn\'t make it clear. The Seahawk II is more rigid, can be inflated to higher pressure, and is more puncture-resistant because it is actually a 3-ply system including Super-Tough PVC OVER a nylon fabric layer -- neither Amazon nor Intex website make this clear. I found out through the Cabela\'s website)<br /><br />As soon as the Excursion 5 arrived, I realized I had bought the wrong boat for rowing my girlfriend and I around. The boat is too wide and oars too short to really reach into the water well, and the oar locks are fixed in place -- not rotational like the Seahawk II. These two factors make the boat nearly impossible to row.<br /><br />I immediately ordered the Seahawk II and have taken it out and it is great to row around in (comfy for 2 people, I don\'t see how you could fit 3.) I thought about what to do with the Excursion 5, and I\'ve decided to keep it because it is a bigger boat and seems like it could be fun to take a larger group (up to 4) people out on it, once I get a motor and mount.<br /><br />So I want to set the record straight if you are debating between these boats like I was:<br />1) The Seahawk II is more rigid and durable than any other Intex boats except the Mariner. The Excursion 5 vinyl is nice and thick, but it\'s still soft and I am still concerned it could rupture if I hit a branch or rock the wrong way.<br />2) Many of the Intex boats have motor mount setup, including the Seahawk II -- the Excursion 5 can only support up to 1.5 hp because it is not as rigid (the Seahawk II is rated up to 2 hp and Mariner up to 3 hp)<br />3) The Excursion 5 is a bit bigger, so if you need to fit 3 or more people, it might be the boat for you.<br />4) Don\'t expect to go rowing in the Excursion 5. Get a narrower boat, preferably with rotational/swivel oar locks. Maybe if you had 4 people paddling (with an extra set of oars) the Excursion might work okay.\";}i:1;a:5:{s:5:\"title\";s:39:\"Awesome boat to go rafting down a river\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"September 2, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3J979TOP4933X\";s:4:\"name\";s:24:\"Alberto Cajigas Jr. \"Al\"\";s:7:\"address\";s:25:\"Modesto, CA United States\";}s:4:\"text\";s:1396:\"A couple of months ago we wanted to go rafting down the Truckee river in Lake Tahoe, but they wanted to charge us $35 per person and it was already late too. So we decided to come back some other time with our own boat and gear. About a month ago, I bought a Seahwak II inflatable boat from Amazon and some life saver vests for my boys. I had no previous experience rafting down a river, so I wanted to be cautious. The weather forecast was more windy and colder than the day before. However, after 3 and a half hours of rafting we made it! There were times when I thought the boat was just gonna break from the rocks and tree branches hanging on the river. Other times when the river became more aggressive we just hold to the boat really hard and the boat did pretty good. I was really impressed that at the end of the trip after hitting rocks, branches and bridges columns the boat looked like new. We saw other boats almost full of water and just about to die, but our boat looked just fine. I would highly recommend this awesome boat.<br /><br />Update: 7/30/2012<br />It\'s been 4 years and our boat is still kicking. Now my kids are bigger, but we all 4, wife and kids, still fit in the boat. Our last adventure was yesterday at the Pincecrest Lake in California. The kids love to jump from the boat into the river and push the boat as they swim. This boat brings so much fun to our family.\";}i:2;a:5:{s:5:\"title\";s:16:\"Oars are fragile\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"September 2, 2008\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A7K7Z8JBERUR1\";s:4:\"name\";s:13:\"Brian McManus\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:930:\"The raft performed well on river trip with a few Class I (borderline Class II) rapids. There is one major problem. The oars that came with the raft both broke, or rather, the cheap plastic couplings that held them together broke. These oars are not designed for rigorous rowing; not fun when it snaps while trying to line up for a run through the rapids. Fortunately, one of my group had a spare set of oars. If you buy this raft, be prepared to purchase a decent set of oars, but realize that they will have to fit through relatively small oar locks. The hand pump worked well. About 10-15 minutes of steady pumping to fill up the raft. The included duffle bag is also too small. The raft, oars, and pump barely fit shipped from the factory. Good luck trying to get the raft rolled tight enough to get it back in the bag after use. The bag is still useful to hold the pump and the remaining fragments of your broken oars, though.\";}i:3;a:5:{s:5:\"title\";s:18:\"Some helpful tips.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 18, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3J7ACUHV8YNAY\";s:4:\"name\";s:5:\"Jay R\";s:7:\"address\";s:17:\"Windsor, England.\";}s:4:\"text\";s:1590:\"I thought I\'d post some helpful tips rather than a review of this great boat as there are so many reviews already.<br /><br /> If you get some cheap umbrellas with soft, round foam handles, these fit into the fishing pole holders and make great sunshades if you are just lazing about on the water.<br /><br /> The seats are too big unless you are sitting upright fishing. Get some of the cheap, rectangular, inflatable pillows from the travel shop and use them. A fraction the weight, a few breaths to blow up by mouth and just the right size for sitting on.<br /><br /> You can\'t row this boat hard with the supplied oars as the middle coupling joining the two parts of the oars is fairly cheap plastic. Make sure the poles are pushed fully into the coupling as this helps. Leisurely rowing only as, even if you upgrade the oars, the rowlocks will snap if you pull really hard.<br /><br /> You can blow this boat up to a much higher pressure than a normal vinyl one so don\'t be scared. There is a loose vinyl gauge that you hold against two lines printed on the boat too see how hard to blow it up. This is really easy to lose but if you glue one end to the correct place on the boat you won\'t lose it. As it\'s only glued at one end, it won\'t stretch with the boat so still works as it should.<br /><br />If you pull it out onto the bank for lunch, don\'t forget to let a little bit of air out. On the river the water keeps the air inside cold, when you pull it out of the water into the sun, you lose this cooling and the pressure raises quite a lot.<br /><br />Hope these tips are of use.\";}i:4;a:5:{s:5:\"title\";s:10:\"Best boat.\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 26, 2009\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AJMY77NAPOLQ1\";s:4:\"name\";s:7:\"AL \"NA\"\";s:7:\"address\";s:2:\"CA\";}s:4:\"text\";s:460:\"This is the best inflatable boat. Very stable, i have a minn kota 55lb trolling motor and they are great together (you will need the motor mount, you can make it or buy it). None other boat under 400 can out perform this one, except the Intex Mariner perhap. But that one is too heavy and expensive. However, like an inflatable, rowing is a challenge. If you want this infltables to last, DON\'T OVER-INFLATE, DON\'T LEAVE IT UNDER THE SUN MORE THAN YOU HAVE TO.\";}i:5;a:5:{s:5:\"title\";s:26:\"Best value inflatable boat\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/A2PDZ6P3PE4Q7\";s:4:\"name\";s:8:\"e28rusty\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1922:\"I got this boat for a 2 day 20 mile float trip I did last week with some friends. Me and my wife fit comfortably in this raft with all of our camping gear. My friends used a sevylor willamette (similiar to the caravelle) and a sevylor fishhunter 360, 2 people in each. It was a great opportunity to check out the other boats I had considered in action.<br /><br /> Looking at the boats side by side, the willamette looks like a joke, it is advertised for 4 people and it barely fit 2, they ended up dragging another little raft with their gear on it. Also the willamette folded in half whenever weight was placed on the outer tubes allowing water in. It was also half the price of the seahawk.<br /><br /> The fishhunter was more comparable in size and sturdiness but the pvc is much thicker/stiffer in the seahawk. The outer tube of the fishhunter ended up shredding on a rocky sandbar we got caught on, and we just cut it off, they made the rest of the trip relying on the inner tube. It worked out fine, but I was amazed how easy it was to rip the pvc on the most pricy boat.<br /><br /> Shortly after starting on our second day, the river widened out and slowed way down so we had to start paddling more, the chintzy paddles they were using on the willamette broke and I ended up dragging them and the gear boat in a train the last 5 miles of the trip against a headwind. The oars and oarlocks on the seahawk made some creaking sounds, but they held up.<br /><br /> In summary, The seahawk had better rubber (it feels much more like a zodiak or hypalon whitewater raft), better oars and oarlocks, firmer floor, and lower price than the fishhunter. The willamette doesn\'t even compare, the lower price gets you a raft that is only good enough if you have no gear and someone else to tow you if you need to go anywhere. I plan on taking the seahawk on a class 2/3 river and will update this review if my opinion changes.\";}}");
INSERT INTO `wp_postmeta` VALUES("3587", "504", "asg_last_refresh_attempt", "1371238618");
INSERT INTO `wp_postmeta` VALUES("3588", "504", "asg_update_timestamp", "1371238618");
INSERT INTO `wp_postmeta` VALUES("3589", "505", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3590", "505", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3591", "505", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3592", "505", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3593", "505", "asg_item_id", "B004R9BE82");
INSERT INTO `wp_postmeta` VALUES("3594", "505", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004R9BE82\";s:13:\"DetailPageURL\";s:205:\"http://www.amazon.com/INTEX-Club-Inflatable-Raft-Boat/dp/B004R9BE82%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004R9BE82\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:215:\"http://www.amazon.com/INTEX-Club-Inflatable-Raft-Boat/dp/tech-data/B004R9BE82%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004R9BE82\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004R9BE82%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004R9BE82\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004R9BE82%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004R9BE82\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004R9BE82%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004R9BE82\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004R9BE82%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004R9BE82\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004R9BE82%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004R9BE82\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004R9BE82%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004R9BE82\";}}}s:9:\"SalesRank\";s:6:\"551128\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML.jpg\";s:6:\"Height\";s:3:\"335\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML._SL110_.jpg\";s:6:\"Height\";s:2:\"74\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qmzO9VPML.jpg\";s:6:\"Height\";s:3:\"335\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:5:{s:7:\"Feature\";a:4:{i:0;s:62:\"2-person inflatable boat set designed for pools or calm waters\";i:1;s:49:\"2 air chambers for safety; grab handle on the bow\";i:2;s:59:\"Inflatable floor for comfort and rigidity; welded oar locks\";i:3;s:48:\"Includes 2 oars, mini air pump, and repair patch\";}s:12:\"ProductGroup\";s:4:\"Home\";s:15:\"ProductTypeName\";s:24:\"HOME_FURNITURE_AND_DECOR\";s:3:\"SKU\";s:12:\"AZDH-58317EP\";s:5:\"Title\";s:54:\"INTEX Club 200 Inflatable Raft Boat w/ Oars & Air Pump\";}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.99\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004R9BE82%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004R9BE82\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:13:\"VMInnovations\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:168:\"D5HdtKokfpLOjK3bSUdmBje3gDMggrV7%2B1B7ZEf2Qdg0VBiecX2sOW8L4zGuIyOYWu0yv071cubVTl4gMKcLVzgdRt7DQQIb%2FHkiIrBjs05S4UC6n5F3axB7Awp23QIjic07Om6FIebsLEh%2BnTHmp44468B%2BWCGr\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"2799\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004R9BE82&atag=freetos-20&exp=2013-06-15T19%3A36%3A58Z&v=2&sig=BUzQr9GXf%2Bw%2FGzutFXkrUsbzLAQVfyqa9qKPEgoEtos%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:662:\"Participate in a boat race or leisurely cruise around the pool on lazy summer days with the Intex Club 200 inflatable boat set. Made of 14-gauge PVC plastic, the two-person Club 200 offers such features as two air chambers for safety, an all-around grab line, a grab handle on the bow, an inflatable floor for comfort and rigidity, welded oar locks, and a U.S. Coast Guard ID. Plus, the boat\'s contemporary colors and graphics help the Club 200 stand out in a crowd. This version of the Club 200--which measures 73 by 16 by 37 inches (W x H x D) and offers a weight capacity of 210 pounds--comes with two 48-inch French oars, a mini air pump, and a repair patch.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2139", "353", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:28:\"52 x 8 x 3 inches ; 2 pounds\";s:15:\"Shipping Weight\";s:10:\"2.2 pounds\";s:8:\"Shipping\";s:51:\"Currently, item can be shipped only within the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B004D34EQ6\";s:17:\"Item model number\";s:7:\"SL52247\";}");
INSERT INTO `wp_postmeta` VALUES("2140", "353", "asg_star_rating", "4.6");
INSERT INTO `wp_postmeta` VALUES("2141", "353", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:32:\"Buying a Second, it\'s That Good!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A217UJR2L21M4A\";s:4:\"name\";s:8:\"R. Black\";s:7:\"address\";s:4:\"Ohio\";}s:4:\"text\";s:1373:\"My wife and I recently bought 2 Challenger K1 inflatable kayaks from here on Amazon. We were just starting out in kayaking and didn\'t want to spend a lot of money until we were for sure that we would like kayaking and stick with it. The Challenger comes with a paddle but it is flat and kind of short in length. After reading several reviewers say that they were much happier with their kayaks after buying new paddles, we decided to go ahead and pick up one of these 96\" Shoreline paddles and try it out. I really couldn\'t believe it but it made a huge difference! I didn\'t hate or despise my old paddle, but after using this one, I hated going back to my old paddle! This paddle made it easier to go straight, easier to build and maintain speed, and was much more comfortable (thanks to its light weight and padded hand holds). After one day out on the lake of using this paddle and having to switch off with my wife between this paddle and my old paddle, I\'m here on Amazon ordering another! In summary, this paddle is comfortable, easy to use, easy to store since it comes apart into 2 even sections, and makes going straighter and going faster easier compared to the flat style paddles that come with many inflatable kayaks. I looked at local retailers and they all wanted upwards of $60 for a paddle similar to this Shoreline. So for $35, this paddle is a great deal!\";}i:1;a:5:{s:5:\"title\";s:43:\"Great Price and Quality for Weekend Warrior\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 20, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AKYVPQDBJK1JP\";s:4:\"name\";s:5:\"HoPpE\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:705:\"I love this paddle. The curved paddle sections are stout, foam handles are comfy and the quality feel is great for the price. It is fairly light (I purchased another brand 89\" paddle from Amazon too for a little less $ as a backup for my tandum and it weighs a ton and isn\'t as nice...wish I bought two of these instead!)<br /><br />I AM NO EXPERT, but it feels good for my tandum kayak, good length for me at 5\'10\" and feels like quality. Shipped free and I am pleased. If you are an avid kayaker, then you probably know more than me and will spend more than me, but if you paddle around a few times a month in a tandum or wider variety kayak to fish, explore or whatever, than this might be your paddle.\";}i:2;a:5:{s:5:\"title\";s:16:\"Worth the price!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 13, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3NAYC12ZYZLP6\";s:4:\"name\";s:9:\"Kim Stone\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:525:\"First do not believe the photo, if you haven\'t noticed the one blade of the paddle is upside down. They do not come this way. They are correct when you get them. The paddle is pretty light still, the padding is nice. The contour of the blade is nice, cheaper plastic but should do the trick. You can adjust your degrees. There are drip rings, which is nice but they slide up and down. Overall, I paid only $35 bucks for a longer paddle which is a great deal. It is close to 240 for those who need to know in real paddle size.\";}i:3;a:5:{s:5:\"title\";s:15:\"Works for meee!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"June 15, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1Z7L40JBRU0K6\";s:4:\"name\";s:5:\"Randi\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:256:\"This long paddle works perfectly with my Emotion Glide kayak. I can now \'yak in a straight line; that\'s major. It\'s light weight and padded - doesn\'t hurt my wussy, girl hands - and comparable to (if not better than) recreational paddles double it\'s price.\";}i:4;a:5:{s:5:\"title\";s:24:\"Is cheap and feels cheap\";s:4:\"star\";s:3:\"2.0\";s:4:\"date\";s:14:\"August 4, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AD58X7O5MMU9E\";s:4:\"name\";s:9:\"C. Seiler\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:686:\"I was disappointed by this paddle as soon as I got it. I believe the other reviewers here must never have handled other paddles. This paddle is extremely flexible you can easily wiggle the blade with one finger. The shaft is much thinner than normal paddles, except for the regions were it is thickly padded. The region were the two half join is tapered and not inserted as with more sturdier paddles, this together with the thin shaft creates additional flex. Everything just feels very cheap. The only advantage is the weight (1000gr, 2.2lbs) but in this case this is due to a cheap construction. I prefer the blackjack paddle I got the same time and which is close to the same price.\";}i:5;a:5:{s:5:\"title\";s:13:\"Great paddle!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 28, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2O5BBGQ22N46Q\";s:4:\"name\";s:6:\"Papa52\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:599:\"I\'ve been paddling for over 10 years and I own a number of good paddles. I bought this because I wanted a longer paddle for the open water, but after using it for the first time, it became my favorite. I have paddles that cost over $250 and I like this one better. It\'s sturdy enough to stand up to the rough treatment I demand and it\'s light enough that my arms don\'t get tired late in the day. It\'s also long and gives me more power and reach. It\'s not super rugged, but it\'s also not fragile. The best part is the price. I don\'t think you can get a better quality paddle for the price. I love it.\";}i:6;a:5:{s:5:\"title\";s:18:\"Good, cheap paddle\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 19, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1MZMB273VMLV0\";s:4:\"name\";s:12:\"P. Desnoyers\";s:7:\"address\";s:11:\"Amherst, MA\";}s:4:\"text\";s:553:\"It\'s not as good as a decent paddle costing 4-5x as much, and I wouldn\'t feel comfortable using it somewhere where a broken paddle could be life-threatening, but from the short solo canoe trips I\'ve taken with it so far (none more than 3 miles or so) it seems entirely adequate, for the price of a toy. Certainly it seems like a good spare, or for occasional tall users of a short person\'s boat. As others have mentioned, it makes up for a very skinny shaft by thicker-than-usual foam padding, so I would wonder how durable it would be under hard usage.\";}i:7;a:5:{s:5:\"title\";s:13:\"Great Paddle!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"March 3, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3T0IB3SQ7TPQG\";s:4:\"name\";s:16:\"Charles Williams\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:296:\"I am using it in a canoe and it is so good! My wife and I have been using a short single paddle until this weekend, and we each used the longer Kayak Paddle to our great delight! Push a button and it becomes 2 peices and ready to store, or push the same button and adjust it to your stroke. NICE!\";}i:8;a:5:{s:5:\"title\";s:25:\"good paddle for the money\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"July 4, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/AGIK91OZWKCJW\";s:4:\"name\";s:10:\"Casysdavid\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:805:\"I\'ve now used this paddle for about three 1-hour lake trips and overall, I like it. I was skeptical about the click-together joining of the two sections, but it seems to hold well and there\'s no perceivable movement between the 2 sections. The pull feels solid and makes it easy to track and for a low-priced paddle, it gives a solid feel with good water entry and exit. I don\'t like the drip rings, so they\'ve now been cut off. On my 2nd outing, the foam pad on one side came loose and would slide up and down on the shaft - not a good thing when pulling hard! While annoying at the time, the fix of squirting a little Gorilla Glue between the pad and the shaft on each end seems to have fixed it. In all, this is a great buy for what appears to be a high quality, well designed product at a great price.\";}i:9;a:5:{s:5:\"title\";s:30:\"Light paddle for a great price\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"February 28, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2D303SA1PAY70\";s:4:\"name\";s:9:\"Josh Hall\";s:7:\"address\";s:11:\"Atlanta, ga\";}s:4:\"text\";s:170:\"Very light paddle that breaks down into 2 pieces. Also it can be adjusted into 3 settings depending on your rowing style. Does not adjust in length just counter rotation.\";}}");
INSERT INTO `wp_postmeta` VALUES("3573", "503", "asg_product_details", "a:6:{s:18:\"Product Dimensions\";s:38:\"18.3 x 13.4 x 7.5 inches ; 22.8 pounds\";s:15:\"Shipping Weight\";s:11:\"22.8 pounds\";s:8:\"Shipping\";s:77:\"This item is also available for shipping to select countries outside the U.S.\";s:18:\"Shipping Advisory:\";s:112:\"This item must be shipped separately from other items in your order. Additional shipping charges will not apply.\";s:4:\"ASIN\";s:10:\"B003659NBS\";s:17:\"Item model number\";s:10:\"2000003403\";}");
INSERT INTO `wp_postmeta` VALUES("3574", "503", "asg_star_rating", "3.7");
INSERT INTO `wp_postmeta` VALUES("3575", "503", "asg_customer_reviews", "a:3:{i:0;a:5:{s:5:\"title\";s:21:\"Well worth the price!\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:13:\"July 25, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1XY9GH9SAR2KZ\";s:4:\"name\";s:48:\"the notorious e \"lover of waxx, stacks, and s...\";s:7:\"address\";s:20:\"The City of Salt, UT\";}s:4:\"text\";s:455:\"This is a great little boat, better suited for 3 full gown adults not 5, but still well worth the price. I took this with me car camping and enjoyed 2 days of floating around a local reservoir. It filled quickly with a hand pump and was easy to deflate and pack up at the end of the trip. It\'s prefect for an occasional outdoors-person who wants a boat for leisure and fishing, but also has no storage. Dry and packed it fits in my coat closet no problem.\";}i:1;a:5:{s:5:\"title\";s:39:\"Recreational craft for the pool or lake\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:14:\"April 30, 2013\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3E477NFEJLJ54\";s:4:\"name\";s:11:\"Ned Maguire\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:277:\"I purchased this craft as a replacement for a similar one I got from the same manufacturer 3 years ago. The original Boat was very durable and took a lot of abuse. My grandchildren enjoyed it very much so I purchased the same model as a replacement when they broke the old one.\";}i:2;a:5:{s:5:\"title\";s:22:\"Not quite as described\";s:4:\"star\";s:3:\"3.0\";s:4:\"date\";s:17:\"September 9, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3VAVXCK1OIYAI\";s:4:\"name\";s:17:\"Stephen L. Galvin\";s:7:\"address\";s:28:\"Littleton, Co. United States\";}s:4:\"text\";s:219:\"The Amazon discription and the load rateing on the box says it will hold 900 Lbs certified. On the boat the safety placard says 800 Lbs. Where is the other 100 Lbs go? Sevylor should put the right boat in the right box.\";}}");
INSERT INTO `wp_postmeta` VALUES("3576", "503", "asg_last_refresh_attempt", "1371238616");
INSERT INTO `wp_postmeta` VALUES("3577", "503", "asg_update_timestamp", "1371238616");
INSERT INTO `wp_postmeta` VALUES("3578", "504", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3579", "504", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3580", "504", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3581", "504", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3582", "504", "asg_item_id", "B00177J4XO");
INSERT INTO `wp_postmeta` VALUES("3583", "504", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B00177J4XO\";s:13:\"DetailPageURL\";s:199:\"http://www.amazon.com/Intex-Seahawk-II-Boat-Set/dp/B00177J4XO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB00177J4XO\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:209:\"http://www.amazon.com/Intex-Seahawk-II-Boat-Set/dp/tech-data/B00177J4XO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4XO\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB00177J4XO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4XO\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB00177J4XO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4XO\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB00177J4XO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4XO\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B00177J4XO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4XO\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B00177J4XO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4XO\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177J4XO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4XO\";}}}s:9:\"SalesRank\";s:5:\"10380\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL._SL30_.jpg\";s:6:\"Height\";s:2:\"20\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL._SL75_.jpg\";s:6:\"Height\";s:2:\"50\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL._SL110_.jpg\";s:6:\"Height\";s:2:\"73\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL._SL160_.jpg\";s:6:\"Height\";s:3:\"107\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41M-YzGRwOL.jpg\";s:6:\"Height\";s:3:\"333\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41bxv4ND25L._SL30_.jpg\";s:6:\"Height\";s:2:\"12\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41bxv4ND25L._SL75_.jpg\";s:6:\"Height\";s:2:\"31\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41bxv4ND25L._SL75_.jpg\";s:6:\"Height\";s:2:\"31\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41bxv4ND25L._SL110_.jpg\";s:6:\"Height\";s:2:\"45\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41bxv4ND25L._SL160_.jpg\";s:6:\"Height\";s:2:\"66\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41bxv4ND25L.jpg\";s:6:\"Height\";s:3:\"205\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:5:\"Intex\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:13:\"0078257683772\";i:1;s:7:\"68377EP\";}}s:5:\"Color\";s:4:\"Grey\";s:10:\"Department\";s:12:\"unisex-adult\";s:3:\"EAN\";s:13:\"0078257683772\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0078257683772\";i:1;s:13:\"0078257315031\";}}s:7:\"Feature\";a:5:{i:0;s:25:\"Grab handle on both sides\";i:1;s:63:\"Boston valve on main hull chamber for quick-fill & fast-deflate\";i:2;s:20:\"All around grab line\";i:3;s:48:\"Inflatable I-Beam floor for comfort and rigidity\";i:4;s:45:\"Has welded rotationary oar locks on each side\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1811\";s:6:\"Length\";s:5:\"11693\";s:6:\"Weight\";s:4:\"4160\";s:5:\"Width\";s:4:\"5000\";}s:5:\"Label\";s:5:\"Intex\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:5:\"15999\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$159.99\";}s:12:\"Manufacturer\";s:5:\"Intex\";s:5:\"Model\";s:7:\"68377EP\";s:3:\"MPN\";s:5:\"68377\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"1250\";s:6:\"Length\";s:4:\"2800\";s:6:\"Weight\";s:4:\"4400\";s:5:\"Width\";s:4:\"1550\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:5:\"68377\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:5:\"Intex\";s:3:\"SKU\";s:7:\"GS48390\";s:6:\"Studio\";s:5:\"Intex\";s:5:\"Title\";s:25:\"Intex Seahawk II Boat Set\";s:3:\"UPC\";s:12:\"078257683772\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"078257683772\";i:1;s:12:\"078257315031\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:5:\"17500\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$175.00\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B00177J4XO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB00177J4XO\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:12:\"My Quick Buy\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:166:\"peR5lx0PBR8jGPF07jJHD%2Blx%2BL49mYCFivupiy7F6W%2FsEgU1ZP2y2LJ0l4ygZgujDubzzb8GqO2a8Md2pfhB6H5wAmJbXvd%2B3iQgUwbpjuXsj20UHo%2F3ypQKrTfrtz3useEhUQJnHrYvFYRVhFMnng%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:5:\"19699\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$196.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:2:\"24\";s:12:\"MaximumHours\";s:2:\"24\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"0\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B00177J4XO&atag=freetos-20&exp=2013-06-15T19%3A36%3A56Z&v=2&sig=taFLqZRv0m8M5rmXzWyYQ3eBoJjVcX4E8RD%2Fksc6qOo%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:992:\"The Intex Seahawk II seats three people and comes with oars an inflation pump gear pouch and battery pouch. It features two air chambers for safety all-around grab rope grab handles on both ends two fishing rod holders inflatable floor for comfort and rigidity welded rotational oar locks and U.S. Coast Guard I.D.The Seahawk II has two Boston valves on the main hull chamber for quick-fill and fast deflation. The SUPER-TOUGH construction is triple strong made with 3 separate layers of material for extra strength and durability- two outer layers of heavy-gauge PVC laminated to an inner layer of polyester mesh for extra reinforcement.Features grab line around the entire boat, inflatable floor for comfort. Two fishing rod holders, 2 inflatable seat cushions, 1 gear pouch and 1 battery pouch. Grab handle on both ends, welded-on rotationary oar locks. Oar holders 54-Inch aluminum oars, high output pump 3 person, 660-Pounds capacity- U.S. Coast Guard I.D. Dimensions 117 x 50 x 18-Inch.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:547:\"Seahawk II Boat Set for up to 3 people includes pump and 54\" aluminum oars. Made from SUPER-TOUGH vinyl for durability. Rock guard trim around outer edge. Has two fishing pole holders. US Coast Guard approved.<p>Need a Boat Certificate of Origin? Write down the HIN (Hull Identification Number) and go to www.intexcorp.com. On the first screen that pops up, select your location. Click on the \"Need a Boat Certificate of Origin?\" option under Consumer Information. Choose your boat model. Enter the required information and print your certificate.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3562", "502", "asg_product_details", "a:5:{s:18:\"Product Dimensions\";s:29:\"8 x 15 x 8 inches ; 13 pounds\";s:15:\"Shipping Weight\";s:9:\"14 pounds\";s:6:\"Origin\";s:8:\" Canada\";s:4:\"ASIN\";s:10:\"B003171GDY\";s:17:\"Item model number\";s:29:\"Seamax Electronic Pump / 80DB\";}");
INSERT INTO `wp_postmeta` VALUES("3563", "502", "asg_star_rating", "4");
INSERT INTO `wp_postmeta` VALUES("3564", "502", "asg_customer_reviews", "a:1:{i:0;a:5:{s:5:\"title\";s:28:\"inflatable boat 2 stage pump\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:17:\"February 13, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2T4VIFSPZUEAU\";s:4:\"name\";s:12:\"jeff mullins\";s:7:\"address\";s:21:\"sutherlin, oregon, US\";}s:4:\"text\";s:753:\"This seems to be a great pump. I really like the high volume/low pressure first stage that automatically switches to a high pressure/low volume second stage with automatic pressure cut-off. These features make it very easy to inflate your zodiac type boat quickly and to the recommended pressure without having to stop pumping, pull out your gauge, continue pumping, etc. I have checked the digital gauge with my needle type gauge and it appears to be accurate. I also like that everything is self-contained in one neat package, including the battery and optional dc clips if the attached battery runs out. It will pump up my 13 ft zodiac with battery to spare. My only bad point is that the gauge reads only in kpa and not psi [not that big a problem].\";}}");
INSERT INTO `wp_postmeta` VALUES("3565", "502", "asg_last_refresh_attempt", "1371238614");
INSERT INTO `wp_postmeta` VALUES("3566", "502", "asg_update_timestamp", "1371238614");
INSERT INTO `wp_postmeta` VALUES("3567", "503", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3568", "503", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("3569", "503", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3570", "503", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3571", "503", "asg_item_id", "B003659NBS");
INSERT INTO `wp_postmeta` VALUES("3572", "503", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003659NBS\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Sevylor-Caravelle-5-Person-Inflatable-Boat/dp/B003659NBS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003659NBS\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Sevylor-Caravelle-5-Person-Inflatable-Boat/dp/tech-data/B003659NBS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NBS\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003659NBS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NBS\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003659NBS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NBS\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003659NBS%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NBS\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003659NBS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NBS\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003659NBS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NBS\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659NBS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NBS\";}}}s:9:\"SalesRank\";s:5:\"48464\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41XWFXa47BL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:24:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003403\";}s:3:\"EAN\";s:13:\"0076501039702\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501039702\";}s:7:\"Feature\";a:5:{i:0;s:52:\"5-person inflatable boat constructed of 23-gauge PVC\";i:1;s:62:\"Patented DIN safety chamber keeps you afloat despite punctures\";i:2;s:64:\"Inflatable floor for daylong comfort; oarlocks double as handles\";i:3;s:65:\"Includes fittings for optional Sevylor SBM 12-volt electric motor\";i:4;s:65:\"Holds up to 900 pounds; measures 9\' 10\" by 5\' 5\"; 90-day warranty\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"750\";s:6:\"Length\";s:4:\"1830\";s:6:\"Weight\";s:4:\"2280\";s:5:\"Width\";s:4:\"1340\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"8399\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$83.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003403\";s:3:\"MPN\";s:10:\"2000003403\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"750\";s:6:\"Length\";s:4:\"1830\";s:6:\"Weight\";s:4:\"2280\";s:5:\"Width\";s:4:\"1340\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003403\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:3:\"SKU\";s:14:\"COL-2000003403\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:42:\"Sevylor Caravelle 5-Person Inflatable Boat\";s:3:\"UPC\";s:12:\"076501039702\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501039702\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"7630\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$76.30\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003659NBS%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003659NBS\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:126:\"nB9DBkql5lJfMCNOe9obAbyBCrevh8oXBRDIAhhuzX2HsQJLSZs5TRyoUXR4e04WlyZQx9wqbX3MspN3gIMj3fVdDjKrXghcuXycQqCuT5gRTUusuM%2FuPQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"7630\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$76.30\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"769\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$7.69\";}s:15:\"PercentageSaved\";s:1:\"9\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003659NBS&atag=freetos-20&exp=2013-06-15T19%3A36%3A54Z&v=2&sig=pak1CKLDao%2B6NpuEITWtU3fm4v5ViJqnHJyLPxMbbRY%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:2:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:850:\"The Sevylor Caravelle 5-Person Inflatable Boat is a great choice for recreational outings. Measuring 9 Feet10 Inch long by 5 Feet5 Inch wide, the 5-Person Caravelle holds up to 900 pounds. The Caravelle is durably constructed of 23-gauge PVC, and features the innovative DIN safety chamber which inflates inside the main outer chamber, to keep you afloat even if the outer chamber gets punctured. The Caravelle Feets inflatable floor offers extra comfort, while the sturdy oarlocks double as handles, with an all-around grabline for convenience and built-in carry handle. The Caravelle includes fittings for a motor mount and SBM 12V electric motor. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}i:1;a:3:{s:6:\"Source\";s:10:\"Amazon.com\";s:7:\"Content\";s:2509:\"Take a recreational ride with four of your favorite friends with the Sevylor Caravelle five-person inflatable boat. Ideally suited for calm rivers and lakes, the Caravelle is durably constructed of 23-gauge PVC that\'s guaranteed not to leak. Sevylor also added its patented oval \"boat-within-a-boat\" DIN safety chamber, which inflates inside the main outer chamber to keep you afloat even if the chamber gets punctured. With the DIN chamber, you can float down the river secure in the knowledge that you won\'t sink. <p> The boat features an inflatable floor for daylong comfort, along with sturdy oarlocks that double as handles for easy transport. And when paddling gets old, the Caravelle includes fittings for an optional Sevylor SBM 12-volt electric motor. Other details include Double Lock/Mini Double Lock valves for fast inflation and deflation, a convenient all-around grabline, and a carrying handle. NMMA-certified, the Caravelle five-person boat measures 9 feet 10 inches by 5 feet 5 inches, holds up to 900 pounds, and carries a 90-day warranty. <p> <b>About Sevylor</b><br> The road from Sevylor\'s founding in 1948 to its current role as the dominant supplier of a wide range of inflatables--such as kayaks, boats, and towables--is a long one, with plenty of original inventions and innovations along the way. Established in a city suburb of Vitry, France, by electronics engineer Berco Grimbert, Sevylor originally built electrical accessories, with a sideline business dedicated to using its high-frequency welding machines to manufacture PVC consumer goods. The first inflatable to receive rave notice was a small bathtub called the Dou. Perfect for postwar France, the inflatable tub was portable, convenient, practical, easy to clean, durable, and, best of all, affordable. <p> After moving to the picturesque Alsatian village of Buhl, the company expanded into developing valves, pumps, boats, inflatable pools, and a variety of water toys. In the ensuing years, Sevylor first developed a PVC that had \"memory\"--meaning it could return to its original shape regardless of temperature--and then made history by releasing an inflatable pool mattress with a headrest and circular pockets. In 1986, the company invented the Ski Bob, a real turning point in the evolution of the towables business. Today, Sevylor\'s innovative designs include tenders, hunting and fishing boats, specialty boats and kayaks, towables, snow tubes, air beds, pool floats, river tubes, swim and sport rings, and more.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2202", "360", "asg_product_details", "a:2:{s:15:\"Shipping Weight\";s:10:\"9.1 pounds\";s:4:\"ASIN\";s:10:\"B00852QTIC\";}");
INSERT INTO `wp_postmeta` VALUES("2145", "354", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2144", "354", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2135", "353", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2136", "353", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2137", "353", "asg_item_id", "B004D34EQ6");
INSERT INTO `wp_postmeta` VALUES("2138", "353", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B004D34EQ6\";s:13:\"DetailPageURL\";s:213:\"http://www.amazon.com/Shoreline-Marine-Paddle-Rounded-96-Inch/dp/B004D34EQ6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB004D34EQ6\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:223:\"http://www.amazon.com/Shoreline-Marine-Paddle-Rounded-96-Inch/dp/tech-data/B004D34EQ6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D34EQ6\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB004D34EQ6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D34EQ6\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB004D34EQ6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D34EQ6\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB004D34EQ6%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D34EQ6\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B004D34EQ6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D34EQ6\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B004D34EQ6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D34EQ6\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B004D34EQ6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D34EQ6\";}}}s:9:\"SalesRank\";s:3:\"342\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214l8szLdcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"10\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214l8szLdcL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"22\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/214l8szLdcL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"68\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214l8szLdcL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:1:\"4\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214l8szLdcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"10\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/214l8szLdcL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"10\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214l8szLdcL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"15\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/214l8szLdcL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:2:\"22\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/214l8szLdcL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:2:\"68\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:9:\"Shoreline\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"SL52247\";}s:3:\"EAN\";s:13:\"0013893522474\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0013893522474\";}s:7:\"Feature\";a:5:{i:0;s:32:\"Drip guards to help keep you dry\";i:1;s:75:\"Three position system allows you to customize the paddle to fit your style.\";i:2;s:59:\"Disasemble into two pieces to make transportation a breeze.\";i:3;s:22:\"Foam grips for comfort\";i:4;s:63:\"The contour of the blade propels you threw the water with ease.\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:3:\"300\";s:6:\"Length\";s:4:\"5200\";s:6:\"Weight\";s:3:\"200\";s:5:\"Width\";s:3:\"800\";}s:5:\"Label\";s:9:\"Shoreline\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"4599\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$45.99\";}s:12:\"Manufacturer\";s:9:\"Shoreline\";s:5:\"Model\";s:7:\"SL52247\";s:3:\"MPN\";s:6:\"052247\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"190\";s:6:\"Length\";s:4:\"4800\";s:6:\"Weight\";s:3:\"220\";s:5:\"Width\";s:3:\"800\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"052247\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:9:\"Shoreline\";s:11:\"ReleaseDate\";s:10:\"2010-11-03\";s:4:\"Size\";s:7:\"96-Inch\";s:3:\"SKU\";s:8:\"052247~M\";s:6:\"Studio\";s:9:\"Shoreline\";s:5:\"Title\";s:52:\"Shoreline Marine Kayak Paddle Rounded Blade, 96-Inch\";s:3:\"UPC\";s:12:\"013893522474\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"013893522474\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"3210\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$32.10\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"2765\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$27.65\";}s:8:\"TotalNew\";s:1:\"3\";s:9:\"TotalUsed\";s:1:\"3\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B004D34EQ6%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB004D34EQ6\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:142:\"h30%2B0zqzA2TC5P%2BkuX%2FThFwe4vmF5gse%2Fz35pz%2Fz8mRcX7pbadE%2FCTqa420GPR6Ia8478yUpQkGm2bK%2FAVvxaJ5Jz9%2FZKV2fc3ASGbXuHvC2%2BwuOZw5IAQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3210\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$32.10\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:4:\"1389\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$13.89\";}s:15:\"PercentageSaved\";s:2:\"30\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B004D34EQ6&atag=freetos-20&exp=2013-06-15T18%3A45%3A46Z&v=2&sig=3xfMGvXCQWVfZavOVDx4sdqpHlJ5zX8q903u6zJ4iXA%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:258:\"Shoreline Marine 96\" Kayak Paddle Rounded Blade is made with corrosion resistant aluminum shaft boat paddle. The paddle has high impact handles and molded blades for easy use. Lightweight design allows the user to travel a greater distance with less fatigue.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2727", "419", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2728", "419", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2729", "419", "asg_item_id", "B008OO82WC");
INSERT INTO `wp_postmeta` VALUES("2730", "419", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B008OO82WC\";s:13:\"DetailPageURL\";s:203:\"http://www.amazon.com/Suspenz-12-9903-EZ-Kayak-Rack/dp/B008OO82WC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB008OO82WC\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:213:\"http://www.amazon.com/Suspenz-12-9903-EZ-Kayak-Rack/dp/tech-data/B008OO82WC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO82WC\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB008OO82WC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO82WC\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB008OO82WC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO82WC\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB008OO82WC%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO82WC\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B008OO82WC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO82WC\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B008OO82WC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO82WC\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B008OO82WC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO82WC\";}}}s:9:\"SalesRank\";s:5:\"20586\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"64\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"137\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"429\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:2:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"26\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"64\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"64\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"94\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"137\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"429\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:6:\"swatch\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"26\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"64\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"64\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"94\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"137\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/4112ddKMSZL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"429\";}}}}s:14:\"ItemAttributes\";a:23:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Suspenz\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:7:\"12-9903\";}s:3:\"EAN\";s:13:\"0670541930939\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0670541930939\";}s:7:\"Feature\";a:5:{i:0;s:60:\"Boats rest on Nylon Covered Foam Padding for hull protection\";i:1;s:46:\"Powder Coated Steel for Indoor and Outdoor use\";i:2;s:58:\"Reinforced safety straps securely hold your boats in place\";i:3;s:34:\"Extends only 21-Inch from the wall\";i:4;s:22:\"Holds up to 100 Pounds\";}s:5:\"Label\";s:7:\"Suspenz\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.95\";}s:12:\"Manufacturer\";s:7:\"Suspenz\";s:5:\"Model\";s:7:\"12-9903\";s:3:\"MPN\";s:7:\"12-9903\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"640\";s:6:\"Length\";s:4:\"2710\";s:6:\"Weight\";s:3:\"775\";s:5:\"Width\";s:4:\"1270\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:7:\"12-9903\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Suspenz\";s:11:\"ReleaseDate\";s:10:\"2012-06-16\";s:6:\"Studio\";s:7:\"Suspenz\";s:5:\"Title\";s:21:\"Suspenz EZ Kayak Rack\";s:3:\"UPC\";s:12:\"670541930939\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"670541930939\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"5995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.95\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"5163\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$51.63\";}s:8:\"TotalNew\";s:1:\"1\";s:9:\"TotalUsed\";s:1:\"3\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B008OO82WC%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB008OO82WC\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:126:\"X1aQaPp98H5KIyZPevLplHQlSxChpgF7xViaJirGbk4K1MlAiG2f5iWW0o%2FAdGJwF35ueZ6K0d1G2TCE2ZEpTZUQ5nN6BRQVjkqXEkFeABG6ZUZUdJWYwA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.95\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B008OO82WC&atag=freetos-20&exp=2013-06-15T18%3A48%3A18Z&v=2&sig=rmKK8zlzuZ200fyQzH1vyy9LY3SwBKzCyr%2FOBI4XWCM%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:134:\"The EZ Rack is a great way to store your boat. This rack can work on our Free-Standing Storage Systems with optional mounting bracket.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2867", "435", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("2868", "435", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("2869", "435", "asg_item_id", "B001O1N1LO");
INSERT INTO `wp_postmeta` VALUES("2870", "435", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B001O1N1LO\";s:13:\"DetailPageURL\";s:212:\"http://www.amazon.com/Malone-Auto-Racks-MicroSport-Transport/dp/B001O1N1LO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB001O1N1LO\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:222:\"http://www.amazon.com/Malone-Auto-Racks-MicroSport-Transport/dp/tech-data/B001O1N1LO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001O1N1LO\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB001O1N1LO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001O1N1LO\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB001O1N1LO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001O1N1LO\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB001O1N1LO%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001O1N1LO\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B001O1N1LO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001O1N1LO\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B001O1N1LO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001O1N1LO\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B001O1N1LO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001O1N1LO\";}}}s:9:\"SalesRank\";s:6:\"137483\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:62:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:63:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:55:\"http://ecx.images-amazon.com/images/I/41LA%2BpgPbxL.jpg\";s:6:\"Height\";s:3:\"400\";s:5:\"Width\";s:3:\"400\";}}}s:14:\"ItemAttributes\";a:26:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:17:\"Malone Auto Racks\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:8:\"MPG462G2\";}s:3:\"EAN\";s:13:\"0859557001479\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";a:2:{i:0;s:13:\"0859557001479\";i:1;s:13:\"0859557001462\";}}s:7:\"Feature\";a:5:{i:0;s:79:\"Easily transports 4 kayaks without having to lift them onto your vehicle\'s roof\";i:1;s:61:\"Marine grade pre-galvanized steel frame, 78\" wide x 164\" long\";i:2;s:59:\"Includes 4 Malone J-Pro2 Kayak Carriers, Five-year warranty\";i:3;s:62:\"78\" coated steel cross rails (fits most attachments), 2\" hitch\";i:4;s:88:\"197 lbs. (base trailer), 350 lb. capacity, Assembles in 2-3 hours, complete instructions\";}s:14:\"ItemDimensions\";a:3:{s:6:\"Height\";s:4:\"4850\";s:6:\"Length\";s:5:\"15900\";s:5:\"Width\";s:4:\"6500\";}s:5:\"Label\";s:17:\"Malone Auto Racks\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:6:\"184900\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:9:\"$1,849.00\";}s:12:\"Manufacturer\";s:17:\"Malone Auto Racks\";s:5:\"Model\";s:8:\"MPG462G2\";s:3:\"MPN\";s:8:\"MPG462G2\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:4:\"2550\";s:6:\"Length\";s:4:\"9500\";s:6:\"Weight\";s:5:\"30000\";s:5:\"Width\";s:4:\"3600\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:8:\"MPG462G2\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:17:\"Malone Auto Racks\";s:11:\"ReleaseDate\";s:10:\"2011-10-01\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:12:\"99-O97T-OELU\";s:6:\"Studio\";s:17:\"Malone Auto Racks\";s:5:\"Title\";s:96:\"Malone Auto Racks MicroSport Trailer Kayak Transport Package with 4 Malone J-Pro2 Kayak Carriers\";s:3:\"UPC\";s:12:\"859557001479\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";a:2:{i:0;s:12:\"859557001479\";i:1;s:12:\"859557001462\";}}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:6:\"166410\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:9:\"$1,664.10\";}s:8:\"TotalNew\";s:1:\"2\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B001O1N1LO%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB001O1N1LO\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:136:\"icZkSbOv%2Fd3Ov986jNfK%2F8sfWZvOVb6uhYvdrc9Co19RkBbIO%2B7C7Nsnb02KrwCt71lCpv4qID5aMgkyekPmjf3%2Bq0YRvmc1NosEV%2F5W2UNrcCCV1%2FfoDQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:6:\"168408\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:9:\"$1,684.08\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:5:\"16492\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:7:\"$164.92\";}s:15:\"PercentageSaved\";s:1:\"9\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:194:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B001O1N1LO&atag=freetos-20&exp=2013-06-15T18%3A48%3A53Z&v=2&sig=U1htpo%2FZemMu1ghlR7dqsRoEYSXEfc2BZlofERf7Faw%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:1207:\"This Malone MicroSport Trailer Package is the perfect combination of affordability, quality, and design reliability.  This premium built kayak trailer is designed specifically for kayaks, canoes, cargo boxes and bikes. The steel frame can support over 350 lbs. and resists rust for years thanks to it’s galvanized finish.  The crossbars are equipped with four pairs of Malone J-Pro2 J-style kayak saddles so you can easily transport four kayaks.  The load bars are a standard rectangular shape and are thus compatible with rack accessories form most other brands. The extended heavy-duty tongue allows you to haul boats up to 19\' in length.  Galvanized wheels will have you rolling in style, and a galvanized spare wheel with tire offers peace of mind.  Easy to assemble and use, each trailer kit comes with complete detailed award-winning instructions, as well as pre-fitted electrical, mechanical, and hub assemblies. Eliminate the headaches of loading boats, bikes and luggage onto your vehicle\'s roof, and save on gas by having your gear ride in your slipstream. This reliable MicroSport Trailer Package is perfect for transporting four kayaks and save you almost $79 over buying the items separately.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("2979", "447", "asg_star_rating", "4.4");
INSERT INTO `wp_postmeta` VALUES("2980", "447", "asg_customer_reviews", "a:10:{i:0;a:5:{s:5:\"title\";s:14:\"GREAT KAYAK !!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:17:\"November 27, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A107WWKLJDF6QM\";s:4:\"name\";s:18:\"Missylovesthebeach\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:792:\"We purchased this for my mom who is in her 60\'s because she lives on a canal in the Bay in her area. She has NO issues getting it in and out of the water. She pumped it up and I think in 6 months time it\'s lost a smidge of air. But the pump works great! The seats come in and out easily; it\'s literally a one man show...even tho it\'s a two seater. When the grandkids come down for the summer they have no problems getting in, rowing or manuvering. It\'s SUPER steady [for plastic] and durable as well. I was uncertain because it was inflatable but I am so pleased that my uncertainty was dismissed immediately. Awesome price too. Can\'t beat it. I would tell anyone to grab this now because you will get many years out of it!! Oars are durable and easily grippable. Enjoy this purchase..We are!\";}i:1;a:5:{s:5:\"title\";s:21:\"Checked it as luggage\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"March 21, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1TGN4ZDWRM39K\";s:4:\"name\";s:4:\"Mike\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:905:\"I\'m a sailor; cruised south pacific etc so know a bit about inflatables and this is a good one; especially for the money. It won\'t perform like a hard inflatable which should be expected. The oars are solid, the boat inflates quickly and with careful folding fit into a large but airline checkable suitcase (the oars had to fit into another large checkable luggage). Nit picking I could complain about the backrest not being well fixed and getting a wet butt but it\'s not a yacht. We used it twice around puerto rico to paddle to an island and another nite trip in bio bay. Both times about the same; it\'s skates around a bit - a little difficult to keep on a straightl line, especially in any wind over 10 mph but carried 3 people no problem. I\'d guess it could carry 4 people or 3 big people pretty well. I didn\'t try to surf it but imagine it would yaw around pretty quick without some strong paddlers.\";}i:2;a:5:{s:5:\"title\";s:14:\"Happy Customer\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 17, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3ASPW3EE73I0P\";s:4:\"name\";s:5:\"MarkP\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:525:\"This kayak was great. We bought it for the family to be able to go out and my young son to be able to just ride along. The kayak tracks well and was low effort to paddle. It is comfortable. The seats need to be inflated very stiffly but overall it was comfy. I was happy with the stability of the product, and the short hour trip we went on the other day was fun and passed without any incident. I would definitely recommend this product to someone interested in a low cost solution to a tandem. Very happy with the purchase.\";}i:3;a:5:{s:5:\"title\";s:13:\"Sea eagle 370\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:18:\"September 21, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ACB5VCVQ3M6CV\";s:4:\"name\";s:5:\"Chris\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:616:\"Bought this kayak to escape NYC in an apocalypse....it\'s heavier than I imagined....I can fit it in a internal frame back pack and it\'s easier to carry than the supplied bag. Me and my girlfriend tried it out twice on a river. Inflated great....the kayak once inflated is light...very easy to carry and move to the water with 2 people. The deluxe seats are very comfortable. We noticed that it is hard to paddle straight....but we expected that with an inflatable. Overall it functions as advertised and we love it...no roof racks, no overhead lifting. Fits in the back of our Kia sportage with extra room left over!\";}i:4;a:5:{s:5:\"title\";s:13:\"1st sea ealge\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:13:\"July 21, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A3B47YSCMKIG4Z\";s:4:\"name\";s:11:\"Gone yaking\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:318:\"Bought this a couple weeks ago (not on Amazon)and I absolutely love it! Easy set up and a lot of fun.Get the upgraded seats , you will not regret it.I bought a 12 volt air pump to go with it and made a kayak dolly out of pvc material to lug the kayak and other gear to the water.Don\'t hesitate this is a great product.\";}i:5;a:5:{s:5:\"title\";s:32:\"Safe, comfortable but a bit slow\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:12:\"May 20, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:50:\"http://www.amazon.com/gp/pdp/profile/ACUE5OSY33N3R\";s:4:\"name\";s:14:\"Kevin Campbell\";s:7:\"address\";s:16:\"Seattle, WA, USA\";}s:4:\"text\";s:2198:\"I\'ve kayaked since my teens but my wife had never tried it - she\'s a bit uncomfortable in small boats.<br /><br />Our first outing was on a perfect day, almost calm, bright, and on a long, narrow lake.<br /><br />Setup:<br />Inflation is quick and easy if you use an electric pump to get you 85% of the way there, then switch to the bellows to get full pressure. The seams appear well manufactured and straight, the valves install easily, and the simple pressure gauge is elegantly easy to use. The seats are nothing fancy but do the job just fine, likewise for the paddles. It really only takes about 10 minutes to be ready to go.<br /><br />Under way:<br />Stability is good and there was no anxiety about a capsize while getting in. I\'m 6\'3\" and my wife is 5\'8\"; we both had plenty of space. As we paddled away from shore I heard \"this is easy!\", which was a great relief. You\'ll get pretty wet as water drips from the paddles, but it doesn\'t amount to much even after a reasonable length trip.<br /><br />Directional stability is good, with little wandering from side to side. We went from one end of the lake to the other and returned, about 2.5 miles in total. No problems with seating comfort the whole time.<br /><br />All that stability comes with a price - this is not an especially efficient hull. When you both stop paddling you\'ll come to a halt quite quickly, and as a result it takes a fair amount of effort to keep moving - not enough to be a problem, but if you\'re used to sleeker hulls you\'ll feel like you\'re pushing through rather than gliding over the water.<br /><br />Packing up:<br />We left the hull in the sun to dry after draining the small amount of water we\'d collected from paddle drips. Remove the valves, roll the sides in, and fold ends to the middle - that\'s all we bothered doing. We stowed the deflated hull on top of camping gear across the back seat of the car, and I can easily carry it myself.<br /><br />Summary:<br />A great success for us. It\'s an easy to carry, easy to use, confidence inspiring way of having safe fun on the water. Experienced kayakers might find it a bit slow, but for most people just wanting to have some fun it\'s the perfect ticket!\";}i:6;a:5:{s:5:\"title\";s:31:\"Functional, Durable, Convenient\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:16:\"January 18, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A17543YPP9IPBC\";s:4:\"name\";s:5:\"Rowdy\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:951:\"Born In Rocky Mountain Montana. Back Country fishing and hunting trips involved Mules and Inflatbale Boats. Sea Eagle was there as early as the 1970\'s. I travel as a Professional Mariner. Own a Sea Eagle 330 I trust and use on ocean, Rivers, Lakes and Ponds. JUST purchased a 370, as my GEAR and passanger loads have increased. It is a thicker material, a bit heavier and the feature is appreciated.<br /><br />BEST feature is the spontaneous availabilty to traverse, navigate water, without a rigid craft on a roof rack....I carry a Sea Eagle in the back of my Subaru Forester everywhere I go....Three hour traffic Jams melt away when I take my 330 out, inflate it and paddle away the wait, while traffic gets cleared...I return to the CAR MESS to shouts of \"You Rock\"...\"You Suck\".....often with fish for supper....<br /><br />BUY a Sea Eagle...you will be GLAD<br /><br />Captain Lance Pratt<br />Master Mariner<br />NAUI/PADI SCUBA Master Emeritus\";}i:7;a:5:{s:5:\"title\";s:11:\"Lots of fun\";s:4:\"star\";s:3:\"4.0\";s:4:\"date\";s:12:\"July 2, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A1QCZ82KEFK9WW\";s:4:\"name\";s:8:\"prob2010\";s:7:\"address\";s:0:\"\";}s:4:\"text\";s:1077:\"Got this about a week ago and love it. Quick and easy to set up and get out on the water. Had it loaded up with three people and gear last weekend in 100+ degree temperatures and it did great. Although, if you put three people in this thing they better be pretty comfortable with each other because you\'re going to be pretty cramped. Great for two-people plus gear, and great for one person. I\'ve had it on flatwater river and a couple lakes, have yet to take it on any rapids but plan to very soon!<br /><br />The bag is nice and over-sized which makes packing it a lot easier, but it is kind of large and cumbersome. The specs say the boat weighs 36 lbs (the specs on this page are incorrect and are for the 330 model), but it is a big awkward 36 lbs. You don\'t want to carry this thing very far in the bag. But that\'s a small price to pay for a boat that I can hide in the closet of my city apartment. We carry a towel for cleaning off the boat as we are rolling it up and putting it away, if you wash out the boat before you take it out of the water cleanup isn\'t that bad.\";}i:8;a:5:{s:5:\"title\";s:12:\"What a Hoot!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:15:\"August 23, 2012\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A21LI4ED3606OE\";s:4:\"name\";s:11:\"D. Bradshaw\";s:7:\"address\";s:12:\"Pennsylvania\";}s:4:\"text\";s:4013:\"We just got this yesterday and of course, we pumped it up in the living room to test it. It was a little tedious to figure out what went where because we didn\'t know what we were doing but we just kept looking at the directions.It was much bigger and more comfortable than we expected. In the house it looked positively skinny where you have to put your butt, but when you sit it in it kind of comforms to your shape. I am not \"little\".. I am about 5\'1\" and 170 pounds and I was fine. I also put my 2 kids in with me... one weighs 105 the other 67 pounds. There is a little overlapping of feet, but not too cramped. I was very impressed with the thickness of the material it is made of and the workmanship. It was much bigger and nicer than I expected. So today we took it to the lake for a test. Now that we knew what to do my 9 year old basically set it up and pumped it up in about 8 minutes by herself. My husband (5\'10\" 170 pounds) and the above mentioned 2 kids (342 pound total) took it out. What a hoot! I honestly kind of expected it to tip or sink and then have to pack it up and send it back to Amazon, but WOW!... it was amazing. It tracked straight and went pretty fast... although the lake was very calm when we were there. We have only been kayaking twice (and that was only for an hour each time), so we are not experts but my husband said it felt no different than the hardsided kayak he had used before. If there were a wind I guess it would have been harder, but he was amazed at the performance. I think the double skegs on the bottom really help, because other brands that don\'t have the skegs seem to have alot of poor performance reviews, but that is just my opinion. Then my husband let my kids do it alone (just the 2 of them) and they did great! They didn\'t go far, but they were able to handle it and maneuver it well.<br /> It was a little bit of a pain to try to dry it off enough (we went late in the day so we couldn\'t let it air dry), and you have to get into the nooks and crannies.. but we did what we could and when we got home we pumped it up in the basement near the dehumidifier so hopefully it will finish drying it off.<br /> Once you know what you are doing, it only takes a few minutes to pump it up.<br /> I did alot of research before I made this purchase, and it seemed that this was the best for the money... and I am very happy. I actually was thinking of the Sea Eagle 330 and was about to buy it when I checked the prices and the 370 was actually $25 less than the 330 that day (and $75-125 less than the 370 had been a few days before). Now I see the price has gone up again, but keep checking as the price seems to fluctuate. (I actually paid $224 for the 370 about a week ago)<br /> So if the convenience of not having to cart it, store it, carry it, like a hard sided one (not to mention paying more) appeals to you... give it a try... I was more than pleasantly surprised.<br />And thank you to all the other reviewers that helped me make this decision!<br /><br />9/2/12 We took it out again to the same lake and had even more fun with it. My husband and the 2 kids decided to try to get to the other side of the lake. It had taken about 25 minutes in the hard sided kayak, so I waited about 5 or 6 minutes before I got in the car and went to meet them on the other side of the lake. I couldn\'t see them so I prepared to sit and wait in the car. Next thing I knew my kids were knocking on the window of the car... THEY HAD MADE IT BEFORE ME! My husband said it seemed to move quicker than the hard sided one he had used before. Also we had people watching us pump it up. One person came to talk to us about it and said he was going to get one based on what he saw with ours and the fact that even the kids could handle it. Still really happy with the purchase. BUT, although the bag is big, it is heavy and the kayak and pump, etc do add up to more weight than I want to handle... so I am getting a tub with wheels on it so I can drag it to the water easier.\";}i:9;a:5:{s:5:\"title\";s:4:\"Fun!\";s:4:\"star\";s:3:\"5.0\";s:4:\"date\";s:14:\"August 3, 2011\";s:6:\"author\";a:3:{s:3:\"url\";s:51:\"http://www.amazon.com/gp/pdp/profile/A2435O9SBQLYDC\";s:4:\"name\";s:11:\"J. Johnston\";s:7:\"address\";s:12:\"BEND, OR, US\";}s:4:\"text\";s:157:\"Really enjoyed the boat so far! I also like how they provide a big enough bag to store the boat in without it being a pain to fit it back in, like a tent is.\";}}");
INSERT INTO `wp_postmeta` VALUES("3305", "479", "_pingme", "1");
INSERT INTO `wp_postmeta` VALUES("3063", "456", "asg_version", "04.01.00");
INSERT INTO `wp_postmeta` VALUES("3064", "456", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3065", "456", "asg_item_id", "B002YCH640");
INSERT INTO `wp_postmeta` VALUES("3066", "456", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B002YCH640\";s:13:\"DetailPageURL\";s:205:\"http://www.amazon.com/Boone-Blue-Canoe-Paddles-Hanger/dp/B002YCH640%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB002YCH640\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:215:\"http://www.amazon.com/Boone-Blue-Canoe-Paddles-Hanger/dp/tech-data/B002YCH640%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002YCH640\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB002YCH640%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002YCH640\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB002YCH640%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002YCH640\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB002YCH640%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002YCH640\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B002YCH640%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002YCH640\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B002YCH640%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002YCH640\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B002YCH640%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002YCH640\";}}}s:9:\"SalesRank\";s:5:\"29961\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UIN2idyML._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41UIN2idyML._SL160_.jpg\";s:6:\"Height\";s:3:\"134\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41UIN2idyML.jpg\";s:6:\"Height\";s:3:\"419\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:4:{i:0;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UIN2idyML._SL30_.jpg\";s:6:\"Height\";s:2:\"25\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UIN2idyML._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41UIN2idyML._SL75_.jpg\";s:6:\"Height\";s:2:\"63\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41UIN2idyML._SL110_.jpg\";s:6:\"Height\";s:2:\"92\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41UIN2idyML._SL160_.jpg\";s:6:\"Height\";s:3:\"134\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41UIN2idyML.jpg\";s:6:\"Height\";s:3:\"419\";s:5:\"Width\";s:3:\"500\";}}i:1;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/318xZGrq5SL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"24\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/318xZGrq5SL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"61\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/318xZGrq5SL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"61\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/318xZGrq5SL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:2:\"89\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/318xZGrq5SL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"130\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/318xZGrq5SL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"406\";}}i:2;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41G05qhGR2L._SL30_.jpg\";s:6:\"Height\";s:2:\"24\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41G05qhGR2L._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41G05qhGR2L._SL75_.jpg\";s:6:\"Height\";s:2:\"61\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41G05qhGR2L._SL110_.jpg\";s:6:\"Height\";s:2:\"89\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41G05qhGR2L._SL160_.jpg\";s:6:\"Height\";s:3:\"130\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41G05qhGR2L.jpg\";s:6:\"Height\";s:3:\"405\";s:5:\"Width\";s:3:\"500\";}}i:3;a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"variant\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Ndhdte5mL._SL30_.jpg\";s:6:\"Height\";s:1:\"6\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Ndhdte5mL._SL75_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/31Ndhdte5mL._SL75_.jpg\";s:6:\"Height\";s:2:\"16\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Ndhdte5mL._SL110_.jpg\";s:6:\"Height\";s:2:\"23\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/31Ndhdte5mL._SL160_.jpg\";s:6:\"Height\";s:2:\"34\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/31Ndhdte5mL.jpg\";s:6:\"Height\";s:3:\"105\";s:5:\"Width\";s:3:\"500\";}}}}s:14:\"ItemAttributes\";a:22:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:10:\"Boone Blue\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";a:2:{i:0;s:10:\"BOO_BCK169\";i:1;s:6:\"BCK169\";}}s:3:\"EAN\";s:13:\"0858476001560\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0858476001560\";}s:7:\"Feature\";a:5:{i:0;s:55:\"Stylish design is at home in the cabin, lodge or garage\";i:1;s:66:\"Lined with HEAVY DUTY plated steel tubes that will hold 130 Pounds\";i:2;s:92:\"18 Inches Deep, 27 Inches Tall, Fits all Canoes, Old Town, Wenonah & Mad River to name a few\";i:3;s:84:\"All fasteners included and hidden to protect your Canoe or Deep kayak from scratches\";i:4;s:78:\"Built to Fit any canoe and if doesn\'t fit yours we will make you one that does\";}s:5:\"Label\";s:10:\"Boone Blue\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"5995\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$59.95\";}s:12:\"Manufacturer\";s:10:\"Boone Blue\";s:5:\"Model\";s:6:\"BCK169\";s:3:\"MPN\";s:6:\"BCK169\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"380\";s:6:\"Length\";s:4:\"2250\";s:6:\"Weight\";s:3:\"575\";s:5:\"Width\";s:4:\"2100\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:6:\"BCK169\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:10:\"Boone Blue\";s:11:\"ReleaseDate\";s:10:\"2009-10-12\";s:6:\"Studio\";s:10:\"Boone Blue\";s:5:\"Title\";s:38:\"Boone Blue Canoe Crib 2 Paddles Hanger\";s:3:\"UPC\";s:12:\"858476001560\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"858476001560\";}}s:12:\"OfferSummary\";a:5:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"4885\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$48.85\";}s:8:\"TotalNew\";s:1:\"4\";s:9:\"TotalUsed\";s:1:\"0\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B002YCH640%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB002YCH640\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:7:{s:14:\"OfferListingId\";s:128:\"NLvEiBNnbqeBzvwdfxh1Duxd0iM9nKxoj1kMdBgPZMloWXXG1a0g6BTPiKEWMi2ZXZ%2BJo3KWj9rvUqzGnN5%2Fdl4cxSzLBL8pvdfbTnMEvJxmfUwrkBKxFQ%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"5489\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$54.89\";}s:11:\"AmountSaved\";a:3:{s:6:\"Amount\";s:3:\"506\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:5:\"$5.06\";}s:15:\"PercentageSaved\";s:1:\"8\";s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:196:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B002YCH640&atag=freetos-20&exp=2013-06-15T19%3A31%3A25Z&v=2&sig=NdWcWDSjV0o%2FHByEsa5EJao3Rn6P03QtfMw%2FZ0gKrGo%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:344:\"Design patented the Canoe Crib protects your Canoe with worry free storage. The bent paddle designed rack is easy to install and the fasteners are included. At 18 inches deep this hanger will hold virtually all Canoes. Provides a secure fit, so no straps are needed and it loads in seconds. A beautiful way to display your Canoe. Good paddlin..\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");
INSERT INTO `wp_postmeta` VALUES("3461", "493", "asg_amazon_market", "US");
INSERT INTO `wp_postmeta` VALUES("3462", "493", "asg_item_id", "B003652B6C");
INSERT INTO `wp_postmeta` VALUES("3463", "493", "asg_amazon_data", "a:13:{s:4:\"ASIN\";s:10:\"B003652B6C\";s:13:\"DetailPageURL\";s:216:\"http://www.amazon.com/Sevylor-Caravelle-2-Person-Inflatable-Boat/dp/B003652B6C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB003652B6C\";s:9:\"ItemLinks\";a:1:{s:8:\"ItemLink\";a:7:{i:0;a:2:{s:11:\"Description\";s:17:\"Technical Details\";s:3:\"URL\";s:226:\"http://www.amazon.com/Sevylor-Caravelle-2-Person-Inflatable-Boat/dp/tech-data/B003652B6C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652B6C\";}i:1;a:2:{s:11:\"Description\";s:20:\"Add To Baby Registry\";s:3:\"URL\";s:212:\"http://www.amazon.com/gp/registry/baby/add-item.html%3Fasin.0%3DB003652B6C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652B6C\";}i:2;a:2:{s:11:\"Description\";s:23:\"Add To Wedding Registry\";s:3:\"URL\";s:215:\"http://www.amazon.com/gp/registry/wedding/add-item.html%3Fasin.0%3DB003652B6C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652B6C\";}i:3;a:2:{s:11:\"Description\";s:15:\"Add To Wishlist\";s:3:\"URL\";s:216:\"http://www.amazon.com/gp/registry/wishlist/add-item.html%3Fasin.0%3DB003652B6C%26SubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652B6C\";}i:4;a:2:{s:11:\"Description\";s:13:\"Tell A Friend\";s:3:\"URL\";s:181:\"http://www.amazon.com/gp/pdp/taf/B003652B6C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652B6C\";}i:5;a:2:{s:11:\"Description\";s:20:\"All Customer Reviews\";s:3:\"URL\";s:185:\"http://www.amazon.com/review/product/B003652B6C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652B6C\";}i:6;a:2:{s:11:\"Description\";s:10:\"All Offers\";s:3:\"URL\";s:187:\"http://www.amazon.com/gp/offer-listing/B003652B6C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652B6C\";}}}s:9:\"SalesRank\";s:5:\"14819\";s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}s:9:\"ImageSets\";a:1:{s:8:\"ImageSet\";a:7:{s:11:\"@attributes\";a:1:{s:8:\"Category\";s:7:\"primary\";}s:11:\"SwatchImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL._SL30_.jpg\";s:6:\"Height\";s:2:\"30\";s:5:\"Width\";s:2:\"30\";}s:10:\"SmallImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:14:\"ThumbnailImage\";a:3:{s:3:\"URL\";s:60:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL._SL75_.jpg\";s:6:\"Height\";s:2:\"75\";s:5:\"Width\";s:2:\"75\";}s:9:\"TinyImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL._SL110_.jpg\";s:6:\"Height\";s:3:\"110\";s:5:\"Width\";s:3:\"110\";}s:11:\"MediumImage\";a:3:{s:3:\"URL\";s:61:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL._SL160_.jpg\";s:6:\"Height\";s:3:\"160\";s:5:\"Width\";s:3:\"160\";}s:10:\"LargeImage\";a:3:{s:3:\"URL\";s:53:\"http://ecx.images-amazon.com/images/I/41qRuBDphXL.jpg\";s:6:\"Height\";s:3:\"500\";s:5:\"Width\";s:3:\"500\";}}}s:14:\"ItemAttributes\";a:25:{s:7:\"Binding\";s:6:\"Sports\";s:5:\"Brand\";s:7:\"Sevylor\";s:17:\"CatalogNumberList\";a:1:{s:24:\"CatalogNumberListElement\";s:10:\"2000003382\";}s:3:\"EAN\";s:13:\"0076501039658\";s:7:\"EANList\";a:1:{s:14:\"EANListElement\";s:13:\"0076501039658\";}s:7:\"Feature\";a:5:{i:0;s:22:\"6 Feet 4 Inch x 4 Feet\";i:1;s:25:\"Holds 2 people (360 lbs.)\";i:2;s:35:\"Fittings for SBM 12V electric motor\";i:3;s:26:\"Oarlocks double as handles\";i:4;s:43:\"Air Tight Guarantee: guaranteed not to leak\";}s:14:\"ItemDimensions\";a:4:{s:6:\"Height\";s:4:\"1200\";s:6:\"Length\";s:4:\"1200\";s:6:\"Weight\";s:3:\"735\";s:5:\"Width\";s:3:\"400\";}s:5:\"Label\";s:7:\"Sevylor\";s:9:\"ListPrice\";a:3:{s:6:\"Amount\";s:4:\"3199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$31.99\";}s:12:\"Manufacturer\";s:7:\"Sevylor\";s:5:\"Model\";s:10:\"2000003382\";s:3:\"MPN\";s:10:\"2000003382\";s:13:\"NumberOfItems\";s:1:\"1\";s:17:\"PackageDimensions\";a:4:{s:6:\"Height\";s:3:\"430\";s:6:\"Length\";s:4:\"1250\";s:6:\"Weight\";s:3:\"745\";s:5:\"Width\";s:4:\"1170\";}s:15:\"PackageQuantity\";s:1:\"1\";s:10:\"PartNumber\";s:10:\"2000003382\";s:12:\"ProductGroup\";s:6:\"Sports\";s:15:\"ProductTypeName\";s:14:\"SPORTING_GOODS\";s:9:\"Publisher\";s:7:\"Sevylor\";s:4:\"Size\";s:8:\"One Size\";s:3:\"SKU\";s:13:\"144936-534180\";s:6:\"Studio\";s:7:\"Sevylor\";s:5:\"Title\";s:42:\"Sevylor Caravelle 2-Person Inflatable Boat\";s:3:\"UPC\";s:12:\"076501039658\";s:7:\"UPCList\";a:1:{s:14:\"UPCListElement\";s:12:\"076501039658\";}}s:12:\"OfferSummary\";a:6:{s:14:\"LowestNewPrice\";a:3:{s:6:\"Amount\";s:4:\"2576\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$25.76\";}s:15:\"LowestUsedPrice\";a:3:{s:6:\"Amount\";s:4:\"2914\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$29.14\";}s:8:\"TotalNew\";s:1:\"7\";s:9:\"TotalUsed\";s:1:\"1\";s:16:\"TotalCollectible\";s:1:\"0\";s:16:\"TotalRefurbished\";s:1:\"0\";}s:6:\"Offers\";a:4:{s:11:\"TotalOffers\";s:1:\"1\";s:15:\"TotalOfferPages\";s:1:\"1\";s:13:\"MoreOffersUrl\";s:187:\"http://www.amazon.com/gp/offer-listing/B003652B6C%3FSubscriptionId%3DAKIAJULJCU4YH7LDDYQA%26tag%3Dfreetos-20%26linkCode%3Dxm2%26camp%3D2025%26creative%3D386001%26creativeASIN%3DB003652B6C\";s:5:\"Offer\";a:3:{s:8:\"Merchant\";a:1:{s:4:\"Name\";s:10:\"Amazon.com\";}s:15:\"OfferAttributes\";a:1:{s:9:\"Condition\";s:3:\"New\";}s:12:\"OfferListing\";a:5:{s:14:\"OfferListingId\";s:128:\"5pVWVZK5ATj5mLyrZRQ8qAW5NUxxf8kskAdd0MBz8vjBcNHnOQ9Fo1U7owb3%2F1VSA3MAQMwn8W7StP9I69otCZIeQZ5o2UNZJHbdAldjXxmLm%2BZc7T7qvA%3D%3D\";s:5:\"Price\";a:3:{s:6:\"Amount\";s:4:\"3199\";s:12:\"CurrencyCode\";s:3:\"USD\";s:14:\"FormattedPrice\";s:6:\"$31.99\";}s:12:\"Availability\";s:25:\"Usually ships in 24 hours\";s:22:\"AvailabilityAttributes\";a:3:{s:16:\"AvailabilityType\";s:3:\"now\";s:12:\"MinimumHours\";s:1:\"0\";s:12:\"MaximumHours\";s:1:\"0\";}s:31:\"IsEligibleForSuperSaverShipping\";s:1:\"1\";}}}s:15:\"CustomerReviews\";a:2:{s:9:\"IFrameURL\";s:192:\"http://www.amazon.com/reviews/iframe?akid=AKIAJULJCU4YH7LDDYQA&alinkCode=xm2&asin=B003652B6C&atag=freetos-20&exp=2013-06-15T19%3A36%3A33Z&v=2&sig=XNhYmuegJXnbNjA6bakwcnudbm93t9Y6q42Zt9QEyI8%3D\";s:10:\"HasReviews\";s:4:\"true\";}s:16:\"EditorialReviews\";a:1:{s:15:\"EditorialReview\";a:1:{i:0;a:3:{s:6:\"Source\";s:19:\"Product Description\";s:7:\"Content\";s:801:\"The Sevylor Caravelle 2-Person Inflatable Boat is a great choice for recreational outings. Measuring 6 Feet4 Inch long by 4 Feet wide, the 2-Person Caravelle holds up to 360 pounds. The Caravelle is durably constructed of 14-gauge PVC, and features the innovative DIN safety chamber which inflates inside the main outer chamber, to keep you afloat even if the outer chamber gets punctured. The Caravelle Feets inflatable floor offers extra comfort, while the sturdy oarlocks double as handles, with an all-around grabline for convenience. The Caravelle includes fittings for a SBM 12V electric motor. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.\";s:16:\"IsLinkSuppressed\";s:1:\"0\";}}}}");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("508", "1", "2013-06-14 19:37:07", "2013-06-14 19:37:07", "The Sevylor Caravelle 4-Person Inflatable Boat is a great choice for recreational outings. Measuring 9 Feet long by 5 Feet wide, the 4-Person Caravelle holds up to 700 pounds. The Caravelle is durably constructed of 19-gauge PVC, and features the innovative DIN safety chamber which inflates inside the main outer chamber, to keep you afloat even if the outer chamber gets punctured. The Caravelle Feets inflatable floor offers extra comfort, while the sturdy oarlocks double as handles, with an all-around grabline for convenience and built-in carry handle. The Caravelle includes fittings for a motor mount and SBM 12V electric motor. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Caravelle 4-Person Inflatable Boat", "Sevylor Caravelle 4-Person Inflatable Boat : : Sports & Outdoors", "publish", "open", "open", "", "sevylor-caravelle-4-person-inflatable-boat", "", "", "2013-06-14 19:37:07", "2013-06-14 19:37:07", "", "0", "http://blogsforsales.com/kayak/sevylor-caravelle-4-person-inflatable-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2013-04-30 14:02:05", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2013-04-30 14:02:05", "0000-00-00 00:00:00", "", "0", "http://blogsforsales.com/kayak/?p=3", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2013-04-30 19:04:05", "2013-04-30 19:04:05", "", "Disclosure Policy", "", "publish", "open", "open", "", "disclosure-policy", "", "", "2013-04-30 19:04:05", "2013-04-30 19:04:05", "", "0", "http://blogsforsales.com/kayak/?page_id=5", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("513", "1", "2013-07-07 14:12:52", "2013-07-07 14:12:52", "A sit-on-top you can stand up and paddle! The Ocean Kayak Nalu paddle board is a stable platform for any beginning to intermediate paddler or paddle boarder. Perfect in flat water or moderate surf, the Nalu delivers a different kind of fun on the water.\n\nFEATURES: Hybrid molded-in seating area, Storage bungee, Two carrying handles, Comfortable foot wells, Molded-in integral fins\n<!--more-->\nSEATING: Seats one\n\nSPECIFICATIONS: LENGTH 11&#039; / 3.3 m, WIDTH 31-Inch / 78.7 cm, WEIGHT 40 lbs / 18.1 kg, MAX CAPACITY 225-275 lbs / 102.1 - 124.7 kg", "Ocean Kayak 11-Feet Nalu Hybrid Stand-Up-Sit-On-Top Paddleboard", "Ocean Kayak Nalu Hybrid Stand-Up-Paddleboard Sit-On-Top Kayak (11-Feet / Sunrise) : : Sports & Outdoors", "inherit", "open", "open", "", "450-revision", "", "", "2013-07-07 14:12:52", "2013-07-07 14:12:52", "", "450", "http://blogsforsales.com/kayak/450-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("514", "1", "2013-07-07 16:28:46", "2013-07-07 16:28:46", "The Malone Saddle Up Pro universal car rack kayak carrier is the perfect option when considering transport for one kayak. The loading saddles allow the boat to nestle into the flexible profile of the cradles. This carrier is ideal for larger sit on top recreational and fishing kayaks.", "Malone Saddle Up Pro Universal Car Rack Kayak Carrier (Set of 4) with Bow and Stern Lines", "Malone Saddle Up Pro Universal Car Rack Kayak Carrier (Set of 4) with Bow and Stern Lines : : Sports & Outdoors", "inherit", "open", "open", "", "451-revision", "", "", "2013-07-07 16:28:46", "2013-07-07 16:28:46", "", "451", "http://blogsforsales.com/kayak/451-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("515", "1", "2013-06-14 19:43:30", "2013-06-14 19:43:30", "A sit-on-top you can stand up and paddle! The Ocean Kayak Nalu paddle board is a stable platform for any beginning to intermediate paddler or paddle boarder. Perfect in flat water or moderate surf, the Nalu delivers a different kind of fun on the water.\n\nFEATURES: Hybrid molded-in seating area, Storage bungee, Two carrying handles, Comfortable foot wells, Molded-in integral fins\n<!--more-->\nSEATING: Seats one\n\nSPECIFICATIONS: LENGTH 11&#039; / 3.3 m, WIDTH 31-Inch / 78.7 cm, WEIGHT 40 lbs / 18.1 kg, MAX CAPACITY 225-275 lbs / 102.1 - 124.7 kg", "Ocean Kayak 11-Feet Nalu Hybrid Stand-Up-Sit-On-Top Paddleboard", "Ocean Kayak Nalu Hybrid Stand-Up-Paddleboard Sit-On-Top Kayak (11-Feet / Sunrise) : : Sports & Outdoors", "inherit", "open", "open", "", "450-revision-2", "", "", "2013-06-14 19:43:30", "2013-06-14 19:43:30", "", "450", "http://blogsforsales.com/kayak/450-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("516", "1", "2013-07-07 11:21:01", "2013-07-07 11:21:01", "This pair of rubber drip rings will slip on to most paddle shafts. Drip rings divert the water from running down the shaft on to the kayaker directly, so whether replacing worn out rings or adding to inexpensive paddle. Drip rings are a must have item for any kayaker.", "Shoreline Marine Kayak Paddle Drip Rings", "Shoreline Marine Kayak Paddle Drip Rings: Sports & Outdoors", "inherit", "open", "open", "", "449-revision", "", "", "2013-07-07 11:21:01", "2013-07-07 11:21:01", "", "449", "http://blogsforsales.com/kayak/449-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("517", "1", "2013-07-06 17:05:41", "2013-07-06 17:05:41", "Premier Kayak Gripper Sport paddle leash offers all of the great features of our deluxe paddle leash at an affordable price. Our Sport leash comes with a 1&quot; stretch strap with our famous gripper insert and 4mm bungee cord. We use the same nylon outdoor grade hardware as our deluxe leash which eliminates locked up and corroded fasteners. Can be used as a recreational paddle or accessory leash to keep your paddle and accessories safe. Makes a great Fishing Rod Leash. For recreational kayaking only, not to be used as a safety device. Made in USA.", "Premier Kayak Sport Paddle Leash", "Premier Kayak Sport Paddle Leash : : Sports & Outdoors", "inherit", "open", "open", "", "448-revision", "", "", "2013-07-06 17:05:41", "2013-07-06 17:05:41", "", "448", "http://blogsforsales.com/kayak/448-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("518", "1", "2013-07-06 15:40:23", "2013-07-06 15:40:23", "At 32 pounds, you can take this 2-person inflatable kayak just about anywhere--down the river, on the lake, or even out to sea. It will hold up to 500 pounds and carry two adults and gear, but only requires one person to carry it to and from the water. You can even take your dog out with you--the rugged Polykrylar hull is tough enough to withstand dog paws and claws. The SE370 packs down to fit in a storage bag, but has cargo space to hold camping supplies for several days. An inflatable canoe can be used for fishing, yacht tending or skin diving. For river runners, this kayak can handle up to class III whitewater.\n The SE370 features an extra thick 33 millimeter Polykrylar hull, I-beam construction floor for extra rigidity, inflatable spray skirts, removable inflatable front and rear seat, front and rear rope handles, and a self-bailing drain valve (a handy feature on white water rivers or in ocean surf). Two molded skegs provide great tracking and speed and allows your kayak to track smoothly across the water to maximize your paddling effort. High-frequency welded seams are welded with 10,000 volts of power that ensure the fusion of the material into one solid piece to ensure this boat lives a long life. Remarkably stable, durable, and portable, this lightweight kayak is a convenient choice for any paddler.\n\nThe package includes kayak, two canoe seats, foot pump, oar set, carry bag, repair kit, and instructions. What&#039;s in the Box? 2-person inflatable kayak, oar set, foot pump, two canoe seats, carry bag, repair kit, and instructions. Features: 2-person inflatable kayak NMMA Certified Self bailing drain valve Three deluxe one-way valves Lashed down inflatable spray skirts I-beam construction floor 2 skegs on the bottom for better tracking &amp; speed Pressure gauge and repair kit Bow &amp; stern grab line\n Specifications: Interior: 10 feet, 8 inches by 1 foot, 1 inch Exterior: 12 feet, 6 inches by 2 feet, 10 inches Deflated: 31 by 19 by 8 inches Tube Diameter: 9 inches Capacity: 3 persons or 650 pounds Weight: 32 pounds Chambers: 3 (port, starboard and floor) Material: 38 mil PolyKrylor (K80 PVC) Seam: High-frequency welded Floor: Inflatable I-beam construction Air Valves: 5 deluxe 1-way Inflation &amp; Assembly time: 8 minutes", "Sea Eagle SE370 Inflatable Kayak with Deluxe Package", "Sea Eagle SE370 Inflatable Kayak with Deluxe Package : : Sports & Outdoors", "inherit", "open", "open", "", "447-revision", "", "", "2013-07-06 15:40:23", "2013-07-06 15:40:23", "", "447", "http://blogsforsales.com/kayak/447-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("519", "1", "2013-07-06 14:17:52", "2013-07-06 14:17:52", "10 Piece Nylon Pad Eye Set, Hole Spacing is 13/8&quot; Inch For use with Lanyards / Ropes Up To 3/8&quot; Inch Thick Holes Sized for #10 Screw Also Available in White Screws / Fastener&#039;s Not Included", "Nylon Deck Loop, Pad Eye, Tie Down, Kayak Deck Loops, Black, 10 Pieces", "Nylon Deck Loop, Pad Eye, Tie Down, Kayak Deck Loops, Black, 10 Pieces: Everything Else", "inherit", "open", "open", "", "446-revision", "", "", "2013-07-06 14:17:52", "2013-07-06 14:17:52", "", "446", "http://blogsforsales.com/kayak/446-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("520", "1", "2013-07-06 12:04:59", "2013-07-06 12:04:59", "Komplete Konvenience, Kleverly Krafted. The Kayak Konsole offers ease of use and functionality all in one. The inspired hinged hatch with built-in cam levers for dry seal offers easy and unhindered access to contents, while the universal cupholders accommodate everything from travel mugs to 32 oz bottles. Additionally, recessed mounting surfaces for rod holder mounts and a mesh pocket conclude the generous list of features. This console will fit most recreational kayak cockpits and secures via bungee cord under the rim coaming.", "Harmony Kayak Konsole with Dry Hatch", "Harmony Kayak Konsole with Dry Hatch: Sports & Outdoors", "inherit", "open", "open", "", "445-revision", "", "", "2013-07-06 12:04:59", "2013-07-06 12:04:59", "", "445", "http://blogsforsales.com/kayak/445-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("521", "1", "2013-07-06 10:43:33", "2013-07-06 10:43:33", "Premier Kayak bungee paddle leash with new cinch lock strap is a great addition to your kayak gear. Generous 4 feet of 5 mm shock cord is great for all paddling styles. USA made fasteners and bungee are made for outdoor use and won&#039;t fade, corrode or lock up. Awesome solution for fishing rod leashes, electronics, sports cameras, hd cameras, etc. Easily attaches and removes for ease of use. For recreational use only. Not a safety device. Made in USA.", "Premier Kayak Bungee Paddle Leash / Accessory leash", "Premier Kayak Bungee Paddle Leash / Accessory leash : : Sports & Outdoors", "inherit", "open", "open", "", "444-revision", "", "", "2013-07-06 10:43:33", "2013-07-06 10:43:33", "", "444", "http://blogsforsales.com/kayak/444-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("522", "1", "2013-07-05 17:22:24", "2013-07-05 17:22:24", "The Lasso Kayak Security Cable is the strongest anti-theft device available for your kayak! Made from 1/4 in. vinyl coated galvanized steel aircraft cable, this security device also features an integrated tamper proof lock. Resetable 4 number combination lock. The Tandem Kayak Cable has bigger loops than the original and is made specifically for Tandem, Sit-on-Tops Kayaks as well as Recreational Boats. The Kong features a cable that is twice as thick as the original, a bigger lock and can be opened with either a key or combination for added versatility.", "Lasso Kayak Security Cable", "Harmony Lasso Security Cable for Touring Kayaks: Sports & Outdoors", "inherit", "open", "open", "", "443-revision", "", "", "2013-07-05 17:22:24", "2013-07-05 17:22:24", "", "443", "http://blogsforsales.com/kayak/443-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("523", "1", "2013-07-05 15:29:12", "2013-07-05 15:29:12", "Pelican&#039;s 6-foot Solo is a highly functional sit-on-top kayak that is simply scaled down in size to suit smaller paddlers. Superior stability means more confidence for kids; open cockpit means less worry for parents.", "Pelican Solo Kayak, Yellow", "Pelican Solo Kayak, Yellow : : Sports & Outdoors", "inherit", "open", "open", "", "442-revision", "", "", "2013-07-05 15:29:12", "2013-07-05 15:29:12", "", "442", "http://blogsforsales.com/kayak/442-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("524", "1", "2013-07-05 14:06:51", "2013-07-05 14:06:51", "DECENT FEATURES of the Advanced Elements Lagoon 1 Kayak Bungee Deck Lacing Durable Fabric Cover Mesh Pocket Paddle Loops Inflatable Coaming Inner Tube Cover Folding Seat Spring Valve Rubber Molded Handles The SPECS Person: 1 Length: 8&#039; 4&quot; Width: 34&quot; Weight: 23 lbs / 10 kg Maximum Weight: 250 lbs / 113 kg Chambers: 6 Folded Size: 29 x 18 x 5&quot;", "Advanced Elements Lagoon 1 Kayak", "Advanced Elements Lagoon 1 Person Inflatable Kayak: Sports & Outdoors", "inherit", "open", "open", "", "441-revision", "", "", "2013-07-05 14:06:51", "2013-07-05 14:06:51", "", "441", "http://blogsforsales.com/kayak/441-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("525", "1", "2013-07-05 12:09:45", "2013-07-05 12:09:45", "Kayak Paddle Basic Blade 84&quot;", "Shoreline Marine Kayak Paddle Basic Blade, 84-Inch", "Shoreline Marine Kayak Paddle Basic Blade, 84-Inch : : Sports & Outdoors", "inherit", "open", "open", "", "440-revision", "", "", "2013-07-05 12:09:45", "2013-07-05 12:09:45", "", "440", "http://blogsforsales.com/kayak/440-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("526", "1", "2013-07-05 10:38:44", "2013-07-05 10:38:44", "The Dirigo 106 offers stability, speed, and comfort in a short manueverable kayak. The Old Town Stabil-Form hull is ideally suited for beginner and intermediate paddlers for use in a wide range of paddling situations. The Dirigo 106 offers comfortable seating, a fully appointed dashboard, deck bungee, and Old Town&#039;s revolutionary Click Seal hatch. Sized perfectly for small to mid-sized paddlers, the Dirigo 106 will accommdate up to 250-300 lbs. FEATURES: * OT Cushioned Seat * Click Seal hatch with bulkhead * Glove box hatch for keys, wallet * Thigh pads * Adjustable foot braces * Retractable carry handles * Paddle keeper * Cup holder * Deck bungee * Safety perimeter line * Stabil-form™ hull design * Durable three layer construction SPECIFICATIONS: * Length: 10&#039; 6&quot; / 3.2 m * Width: 27.75&quot; / 70.5 cm * Cockpit: 18.5&quot; x 38&quot; / 46.9 x 96.5 cm * Deck Height: 14&quot; / 35.6 cm * Weight 44 lbs / 20 kg * Max Load Range 250 - 300 lbs / 113.4 - 136 kg", "Old Town 10-Feet 6-Inch Dirigo 106 Recreational Kayak", "Old Town 10-Feet 6-Inch Dirigo 106 Recreational Kayak (Sunrise) : : Sports & Outdoors", "inherit", "open", "open", "", "439-revision", "", "", "2013-07-05 10:38:44", "2013-07-05 10:38:44", "", "439", "http://blogsforsales.com/kayak/439-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("527", "1", "2013-07-04 16:30:34", "2013-07-04 16:30:34", "Premier Kayak 2 in 1 paddle gear combo set. Save BIG money on this combo set. Includes our popular Paddle Splash Guard (1 pair) and one Gripper Paddle leash. Paddle Splash Guard: Our exclusive design greatly decreases the amount of splash from your paddle. Have a blast on the water all day long and stay dry. No more soaked lap, wet shirt, or spotty sunglasses. These splash guards are made of a very grippy neoprene rubber that keeps them firmly attached to your paddle. Great for single piece paddles where it is nearly impossible to put standard drip rings on. These splash guards wrap around the shaft of your paddle and fasten shut with hook and loop fastener. Its Patent Pending Cone shape holds water on the upstroke and drops it right back on the down stroke. An incredible improvement to any size or shape paddle. Sold in pairs. Made in the USA Patent Pending. Gripper Paddle Leash: We have stripped the paddle leash to its bare essentials. No more heavy coils or soaked tubular webbing. We created the lightest and most comfortable paddle leash. It is constructed of stretchy hook and loop that is lined with a special paddle shaft-gripping material. Once you attach the strap to your paddle, it stays exactly where you put it. We use nylon fasteners and shock cord specifically designed for outdoor use. Made in the USA.", "Kayak paddle 2 in 1 accessory set. Great gift!", "Kayak paddle 2 in 1 accessory set. Great gift! : : Sports & Outdoors", "inherit", "open", "open", "", "438-revision", "", "", "2013-07-04 16:30:34", "2013-07-04 16:30:34", "", "438", "http://blogsforsales.com/kayak/438-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("528", "1", "2013-07-04 14:33:30", "2013-07-04 14:33:30", "A great choice for serious kayaking, the Sevylor Whitewater Kayak Paddle measures 90.5 Inch long with 7 Inch-wide blades. The anodized aluminum shaft is lightweight and super-strong, featuring a cold-weather grip with blade indicator and 2 drip rings. This 4-section breakdown paddle is great for traveling and easy to store. The blades are spoon-shaped, fiberglass-charged polypropylene.", "Sevylor Whitewater Kayak Paddle", "Sevylor Whitewater Kayak Paddle: Sports & Outdoors", "inherit", "open", "open", "", "437-revision", "", "", "2013-07-04 14:33:30", "2013-07-04 14:33:30", "", "437", "http://blogsforsales.com/kayak/437-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("529", "1", "2013-07-04 13:29:29", "2013-07-04 13:29:29", "The EZ Kayak Seat by Seattle Sports offers added comfort to your kayak so you can sit and paddle comfortably longer. The silver seat area reflects light and doesn&#039;t trap heat from sun exposure so it stays cooler than other seats. With brass-plated snap hooks, the adjustable straps easily hook in to boat eyelets for quick and easy fastening.\n Features and Specifications: Silver seat doesn&#039;t trap heat and stays cool in the sun Brass-plated snap hooks Adjustable straps hook in to boat eyelets for quick and easy fastening Seat Dimensions: 12 by 14 inches (H x W) Back Dimensions: 16 by 23 inches Depth .5 inches Weight: 1 pound", "Seattle Sports EZ Kayak Seat", "Seattle Sports EZ Kayak Seat: Sports & Outdoors", "inherit", "open", "open", "", "436-revision", "", "", "2013-07-04 13:29:29", "2013-07-04 13:29:29", "", "436", "http://blogsforsales.com/kayak/436-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("530", "1", "2013-07-04 10:34:10", "2013-07-04 10:34:10", "This Malone MicroSport Trailer Package is the perfect combination of affordability, quality, and design reliability. This premium built kayak trailer is designed specifically for kayaks, canoes, cargo boxes and bikes. The steel frame can support over 350 lbs. and resists rust for years thanks to it’s galvanized finish. The crossbars are equipped with four pairs of Malone J-Pro2 J-style kayak saddles so you can easily transport four kayaks. The load bars are a standard rectangular shape and are thus compatible with rack accessories form most other brands. The extended heavy-duty tongue allows you to haul boats up to 19&#039; in length. Galvanized wheels will have you rolling in style, and a galvanized spare wheel with tire offers peace of mind. Easy to assemble and use, each trailer kit comes with complete detailed award-winning instructions, as well as pre-fitted electrical, mechanical, and hub assemblies. Eliminate the headaches of loading boats, bikes and luggage onto your vehicle&#039;s roof, and save on gas by having your gear ride in your slipstream. This reliable MicroSport Trailer Package is perfect for transporting four kayaks and save you almost $79 over buying the items separately.", "Malone Auto Racks MicroSport Trailer Kayak Transport Package with 4 Malone J-Pro2 Kayak Carriers", "Malone Auto Racks MicroSport Trailer Kayak Transport Package with 4 Malone J-Pro2 Kayak Carriers : : Sports & Outdoors", "inherit", "open", "open", "", "435-revision", "", "", "2013-07-04 10:34:10", "2013-07-04 10:34:10", "", "435", "http://blogsforsales.com/kayak/435-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("531", "1", "2013-07-03 17:25:38", "2013-07-03 17:25:38", "Stackable and easy to lock up through the molded-in front handle, the Escape 9 is the boat of choice for the chalet or to complement your rental fleet. Its arched hull design with drain holes make it a convenient, durable and agile kayak, fast for its length and is a blast to take in the surf too! Features sit-on-top high back outfitting, 5-inch day hatch, drainplug, three rubber handles and one molded-in anti-theft handle, molded-in footrests, rear deck shock cord storage, and cup holder. The kayak measures 9 feet by 29 inches and weighs 37 pounds; dry hatch: 5-inch diameter.", "Riot Kayaks Escape 9 Sit-On-Top Flatwater Recreational Kayak (White/Blue, 9-Feet)", "Riot Kayaks Escape 9 Sit-On-Top Flatwater Recreational Kayak (White/Blue, 9-Feet) : : Sports & Outdoors", "inherit", "open", "open", "", "434-revision", "", "", "2013-07-03 17:25:38", "2013-07-03 17:25:38", "", "434", "http://blogsforsales.com/kayak/434-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("532", "1", "2013-07-03 15:50:34", "2013-07-03 15:50:34", "Take your Ocean Kayaks sit-on-top kayak out for the day and stay comfortable with the Comfort Pro Backrest. The thermo-molded foam supports your back so you can stay out longer. Ocean Kayaks gave the Comfort Pro Backrest a padded seat, too, so you not only stay comfortable, you stay drier.\n\nProduct FeaturesMaterial: foamClaimed Weight: Recommended Use: Manufacturer Warranty: 1 year", "Ocean Kayak Comfort Pro Backrest", "Ocean Kayak Comfort Pro Backrest (Grey) : : Sports & Outdoors", "inherit", "open", "open", "", "433-revision", "", "", "2013-07-03 15:50:34", "2013-07-03 15:50:34", "", "433", "http://blogsforsales.com/kayak/433-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("533", "1", "2013-07-03 14:27:21", "2013-07-03 14:27:21", "A fantastic solution to store your kayaks, paddleboard, SUP, surfboard, or any of your bulky items.", "Sparehand Systems Black Kayak Rack", "Sparehand Systems Black Kayak Rack: Sports & Outdoors", "inherit", "open", "open", "", "432-revision", "", "", "2013-07-03 14:27:21", "2013-07-03 14:27:21", "", "432", "http://blogsforsales.com/kayak/432-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("534", "1", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "The Malone Saddle Up Pro universal car rack kayak carrier is the perfect option when considering transport for one kayak. The loading saddles allow the boat to nestle into the flexible profile of the cradles. This carrier is ideal for larger sit on top recreational and fishing kayaks.", "Malone Saddle Up Pro Universal Car Rack Kayak Carrier (Set of 4) with Bow and Stern Lines", "Malone Saddle Up Pro Universal Car Rack Kayak Carrier (Set of 4) with Bow and Stern Lines : : Sports & Outdoors", "inherit", "open", "open", "", "451-revision-2", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "451", "http://blogsforsales.com/kayak/451-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("535", "1", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "This pair of rubber drip rings will slip on to most paddle shafts. Drip rings divert the water from running down the shaft on to the kayaker directly, so whether replacing worn out rings or adding to inexpensive paddle. Drip rings are a must have item for any kayaker.", "Shoreline Marine Kayak Paddle Drip Rings", "Shoreline Marine Kayak Paddle Drip Rings: Sports & Outdoors", "inherit", "open", "open", "", "449-revision-2", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "449", "http://blogsforsales.com/kayak/449-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("536", "1", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "Premier Kayak Gripper Sport paddle leash offers all of the great features of our deluxe paddle leash at an affordable price. Our Sport leash comes with a 1&quot; stretch strap with our famous gripper insert and 4mm bungee cord. We use the same nylon outdoor grade hardware as our deluxe leash which eliminates locked up and corroded fasteners. Can be used as a recreational paddle or accessory leash to keep your paddle and accessories safe. Makes a great Fishing Rod Leash. For recreational kayaking only, not to be used as a safety device. Made in USA.", "Premier Kayak Sport Paddle Leash", "Premier Kayak Sport Paddle Leash : : Sports & Outdoors", "inherit", "open", "open", "", "448-revision-2", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "448", "http://blogsforsales.com/kayak/448-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("537", "1", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "At 32 pounds, you can take this 2-person inflatable kayak just about anywhere--down the river, on the lake, or even out to sea. It will hold up to 500 pounds and carry two adults and gear, but only requires one person to carry it to and from the water. You can even take your dog out with you--the rugged Polykrylar hull is tough enough to withstand dog paws and claws. The SE370 packs down to fit in a storage bag, but has cargo space to hold camping supplies for several days. An inflatable canoe can be used for fishing, yacht tending or skin diving. For river runners, this kayak can handle up to class III whitewater.\n The SE370 features an extra thick 33 millimeter Polykrylar hull, I-beam construction floor for extra rigidity, inflatable spray skirts, removable inflatable front and rear seat, front and rear rope handles, and a self-bailing drain valve (a handy feature on white water rivers or in ocean surf). Two molded skegs provide great tracking and speed and allows your kayak to track smoothly across the water to maximize your paddling effort. High-frequency welded seams are welded with 10,000 volts of power that ensure the fusion of the material into one solid piece to ensure this boat lives a long life. Remarkably stable, durable, and portable, this lightweight kayak is a convenient choice for any paddler.\n\nThe package includes kayak, two canoe seats, foot pump, oar set, carry bag, repair kit, and instructions. What&#039;s in the Box? 2-person inflatable kayak, oar set, foot pump, two canoe seats, carry bag, repair kit, and instructions. Features: 2-person inflatable kayak NMMA Certified Self bailing drain valve Three deluxe one-way valves Lashed down inflatable spray skirts I-beam construction floor 2 skegs on the bottom for better tracking &amp; speed Pressure gauge and repair kit Bow &amp; stern grab line\n Specifications: Interior: 10 feet, 8 inches by 1 foot, 1 inch Exterior: 12 feet, 6 inches by 2 feet, 10 inches Deflated: 31 by 19 by 8 inches Tube Diameter: 9 inches Capacity: 3 persons or 650 pounds Weight: 32 pounds Chambers: 3 (port, starboard and floor) Material: 38 mil PolyKrylor (K80 PVC) Seam: High-frequency welded Floor: Inflatable I-beam construction Air Valves: 5 deluxe 1-way Inflation &amp; Assembly time: 8 minutes", "Sea Eagle SE370 Inflatable Kayak with Deluxe Package", "Sea Eagle SE370 Inflatable Kayak with Deluxe Package : : Sports & Outdoors", "inherit", "open", "open", "", "447-revision-2", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "447", "http://blogsforsales.com/kayak/447-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("538", "1", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "10 Piece Nylon Pad Eye Set, Hole Spacing is 13/8&quot; Inch For use with Lanyards / Ropes Up To 3/8&quot; Inch Thick Holes Sized for #10 Screw Also Available in White Screws / Fastener&#039;s Not Included", "Nylon Deck Loop, Pad Eye, Tie Down, Kayak Deck Loops, Black, 10 Pieces", "Nylon Deck Loop, Pad Eye, Tie Down, Kayak Deck Loops, Black, 10 Pieces: Everything Else", "inherit", "open", "open", "", "446-revision-2", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "446", "http://blogsforsales.com/kayak/446-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("539", "1", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "Komplete Konvenience, Kleverly Krafted. The Kayak Konsole offers ease of use and functionality all in one. The inspired hinged hatch with built-in cam levers for dry seal offers easy and unhindered access to contents, while the universal cupholders accommodate everything from travel mugs to 32 oz bottles. Additionally, recessed mounting surfaces for rod holder mounts and a mesh pocket conclude the generous list of features. This console will fit most recreational kayak cockpits and secures via bungee cord under the rim coaming.", "Harmony Kayak Konsole with Dry Hatch", "Harmony Kayak Konsole with Dry Hatch: Sports & Outdoors", "inherit", "open", "open", "", "445-revision-2", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "445", "http://blogsforsales.com/kayak/445-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("512", "1", "2013-06-14 19:37:16", "2013-06-14 19:37:16", "Whether you Feetre maneuvering rapids, meandering down a stream, or bringing guests out to your yacht, the Sevylor Colossus Inflatable Boat is ready, durable and certified by the National Marine Manufacturers Association. The Colossus 3-Person Boat is durably constructed of 20-gauge PVC, with four separate air chambers for security and puncture-resistance. The 3-Person Colossus measures 8 Feet5 Inch long by 3 Feet10 Inch wide, and holds up to 680 pounds. The Colossus comes with two oars and features dual oar locks and an all-around grabline. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation.", "Sevylor Colossus 3-Person Inflatable Boat", "Sevylor Colossus 3-Person Inflatable Boat : : Sports & Outdoors", "publish", "open", "open", "", "sevylor-colossus-3-person-inflatable-boat", "", "", "2013-06-14 19:37:16", "2013-06-14 19:37:16", "", "0", "http://blogsforsales.com/kayak/sevylor-colossus-3-person-inflatable-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("511", "1", "2013-06-14 19:37:13", "2013-06-14 19:37:13", "Perfect for the Beach, Pool or Dorm Room! It comes with built in grommets for wall hanging and displaying your favorite team. Sturdy I-beam construction features .25mm Poly Vinyl and built in angled pillow with separate air valve. Approximately 66 x 27 x 5 inches.", "Oklahoma Inflatable Raft", "Oklahoma Inflatable Raft: Sports & Outdoors", "publish", "open", "open", "", "oklahoma-inflatable-raft", "", "", "2013-06-14 19:37:13", "2013-06-14 19:37:13", "", "0", "http://blogsforsales.com/kayak/oklahoma-inflatable-raft/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("510", "1", "2013-06-14 19:37:11", "2013-06-14 19:37:11", "The all new Water foul Stansport 6 man river boat is here. This boat is the only thing missing from you having the camping trip of a life time. This inflatable boat holds up to six people with a combined weight of 1200lb. This boat is 11Ft 4In, so it is comfortable for you and your family or guest. It comes with a foot pump so it inflates in minutes. This boat works in so many ways. First off, it is NMMA &amp; CE certified so you can use it for white water rafting, but this boat is also great for small fishing trips or a day out on the lake. Furthermore, the Kenal comes with two inflatable seats to make it even more comfortable. Dont miss out of the most comfortable, affordable, and exciting river boat ever made!", "11Ft 6 Man Row Boat Fishing Boat Inflatable Raft Camping Dinghy", "11Ft 6 Man Row Boat Fishing Boat Inflatable Raft Camping Dinghy: Everything Else", "publish", "open", "open", "", "11ft-6-man-row-boat-fishing-boat-inflatable-raft-camping-dinghy", "", "", "2013-06-14 19:37:11", "2013-06-14 19:37:11", "", "0", "http://blogsforsales.com/kayak/11ft-6-man-row-boat-fishing-boat-inflatable-raft-camping-dinghy/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("509", "1", "2013-06-14 19:37:09", "2013-06-14 19:37:09", "The Sevylor Fish Hunter Inflatable Boat is packed with features for performance and convenience, so you can focus on fishing. Measuring 8 Feet long by 4 Feet6 Inch wide, the 3-Person Fish hunter holds up to 600 pounds and is durably constructed of 24-gauge PVC. The Fish Hunter is built with two tunnel chambers for lateral stability on the water. For comfort, the Fish Hunter features an inflatable seat, a fishing-rod holder, two swivel oarlocks, and chafing pads. Drain plugs make it easy to empty out water, while an all-around grabline and built-in carry handles offer convenience. The Fish Hunter accepts motor mount and outboard motors up to 2 HP, as well as 12V electric motors. A handy gear bag is included. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Fish Hunter Inflatable 3-Person Boat", "Sevylor Fish Hunter Inflatable 3-Person Boat : : Sports & Outdoors", "publish", "open", "open", "", "sevylor-fish-hunter-inflatable-3-person-boat", "", "", "2013-06-14 19:37:09", "2013-06-14 19:37:09", "", "0", "http://blogsforsales.com/kayak/sevylor-fish-hunter-inflatable-3-person-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("353", "1", "2013-06-14 18:45:48", "2013-06-14 18:45:48", "Shoreline Marine 96&quot; Kayak Paddle Rounded Blade is made with corrosion resistant aluminum shaft boat paddle. The paddle has high impact handles and molded blades for easy use. Lightweight design allows the user to travel a greater distance with less fatigue.", "Shoreline Marine Kayak Paddle Rounded Blade, 96-Inch", "Shoreline Marine Kayak Paddle Rounded Blade, 96-Inch : : Sports & Outdoors", "publish", "open", "open", "", "shoreline-marine-kayak-paddle-rounded-blade-96-inch", "", "", "2013-06-14 18:45:48", "2013-06-14 18:45:48", "", "0", "http://blogsforsales.com/kayak/shoreline-marine-kayak-paddle-rounded-blade-96-inch/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("354", "1", "2013-06-15 10:59:49", "2013-06-15 10:59:49", "Space is limited in the garage--make the most of it by storing your kayak up and out of the way where it&#039;s protected from scuffs and abrasions with Kayak Wall Cradles from Seattle Sports. These easy-mount kayak wall cradles offer quick and easy kayak storage. Built with strong and lightweight powder-coated steel, the cradles come with mounting lag bolts for quick and easy installation.\n Specifications: Quick and easy kayak storage wall cradles Made of strong, yet lightweight, powder-coated steel Comes with mounting lag bolts for quick and easy installation 24 by 14 inches (H x W). Weight: 4.5 pounds", "Seattle Sports Kayak Wall Cradles", "Seattle Sports Kayak Wall Cradles : : Sports & Outdoors", "future", "open", "open", "", "seattle-sports-kayak-wall-cradles", "", "", "2013-06-15 10:59:49", "2013-06-15 10:59:49", "", "0", "http://blogsforsales.com/kayak/seattle-sports-kayak-wall-cradles/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("355", "1", "2013-06-15 13:05:38", "2013-06-15 13:05:38", "Our 2.0M paddle leash is perfect for those times when you need hands free kayaking! This Leash is perfect for fishing or taking photos while on the go. The stretch material allows the paddle to float out of your way but not disappear. The convenient clip system lets you attach one end to your kayak while the Velcro clasp hooks cleanly to your paddle shaft.", "Coleman Universal Paddle Leash (2 Meters)", "Coleman Universal Paddle Leash (2 Meters): Sports & Outdoors", "future", "open", "open", "", "coleman-universal-paddle-leash-2-meters", "", "", "2013-06-15 13:05:38", "2013-06-15 13:05:38", "", "0", "http://blogsforsales.com/kayak/coleman-universal-paddle-leash-2-meters/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("356", "1", "2013-06-15 14:30:14", "2013-06-15 14:30:14", "These Yakclips allow boaters to clip-on paddles to boats, and with no holes to drill, they only take two seconds to install! The Yakclips are adjustable and removable without any tools and come with two accessory clips built in for holding fishing poles, dry bags and more.", "Cascade Creek YAKCLIP Kayak Paddle Holder", "Cascade Creek YAKCLIP Kayak Paddle Holder : : Sports & Outdoors", "future", "open", "open", "", "cascade-creek-yakclip-kayak-paddle-holder", "", "", "2013-06-15 14:30:14", "2013-06-15 14:30:14", "", "0", "http://blogsforsales.com/kayak/cascade-creek-yakclip-kayak-paddle-holder/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("357", "1", "2013-06-15 17:10:22", "2013-06-15 17:10:22", "Need a good kayak paddle but don&#039;t have a ton of storage space? Turn to the 7-foot KwikTek AHTK-P2 paddle, which breaks into two sections for easy transport and storage. The paddle offers an adjustable blade angle to accommodate both standard and offset paddling, along with large ABS blades with curved surfaces to promote greater paddling efficiency. And should you run into rough rapids and accidentally drop the paddle, the lightweight, durable aluminum shaft, drip rings, and foam hand grips will keep the paddle afloat until you can retrieve it. Each paddle section measures 49.5 inches long, with an 8.5-inch-wide paddle and a 2-inch diameter. The paddle sections weigh 3 pounds each.", "AIRHEAD AHTK-P2 Deluxe Kayak Paddle 2 sect Alum 84\" Curved Blade", "AIRHEAD AHTK-P2 Deluxe Kayak Paddle 2 sect Alum 84\" Curved Blade: Sports & Outdoors", "future", "open", "open", "", "airhead-ahtk-p2-deluxe-kayak-paddle-2-sect-alum-84-curved-blade", "", "", "2013-06-15 17:10:22", "2013-06-15 17:10:22", "", "0", "http://blogsforsales.com/kayak/airhead-ahtk-p2-deluxe-kayak-paddle-2-sect-alum-84-curved-blade/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("358", "1", "2013-06-16 11:00:24", "2013-06-16 11:00:24", "Challenger K1 Lake Kayak. Approx inflated size: 108&quot;x30&quot;x15&quot;. 30 gauge PVC. 84&quot; aluminum oars and a high-output hand pump included. Hard plastic skegs on the underside of the kayak (similar to the underside of a surfboard) provide directional control so you can be sure you&#039;ll get where you want to go. The kayaks feature inflatable seats with backrests, inflatable I-beam floors, grab lines on both ends, and U.S. Coast Guard I.D. Sporty graphics for high visibility. Low-profile for lakes and mild rivers. Streamlined design for easy paddling. Rugged vinyl construction. Maximum weight capacity: 220 lbs.", "Intex Challenger K1 Kayak", "Intex Challenger K1 Kayak: Sports & Outdoors", "future", "open", "open", "", "intex-challenger-k1-kayak", "", "", "2013-06-16 11:00:24", "2013-06-16 11:00:24", "", "0", "http://blogsforsales.com/kayak/intex-challenger-k1-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("359", "1", "2013-06-16 13:05:59", "2013-06-16 13:05:59", "Combination 98” paddle converts to two 48” boat oars. Lightweight, yet strong aluminum shaft. Oar retainer/drip rings and ribbed blades for added strength.", "Intex Kayak Paddle / Boat Oars", "Intex Kayak Paddle / Boat Oars : : Sports & Outdoors", "future", "open", "open", "", "intex-kayak-paddle-boat-oars", "", "", "2013-06-16 13:05:59", "2013-06-16 13:05:59", "", "0", "http://blogsforsales.com/kayak/intex-kayak-paddle-boat-oars/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("360", "1", "2013-06-16 15:26:45", "2013-06-16 15:26:45", "This can make getting your kayak or canoe from the car to the water as effortless as possible. Designed to hold a canoe or kayak by the hull in a V-shaped cradle; with 3.5&quot;(L) foam bumpers on each arm. It features a 9.25&quot;(H) spring-loaded stand for quick loading out of water, large 10&quot; diameter inflatable tires and a solid metal frame for long lasting use. It&#039;s also foldable and easy to store. FEATURES: 12ft straps; Solid Aluminum construction; Foam bumpers on each arm for protection; Double-leg kickstand for easy loading; 10&quot; pneumatic tires (for sand and gravel); Stainless steel fasteners; chrome cotter pins; No assembly required; 150lb weight capacity", "Boat Kayak Canoe Carrier Dolly Trailer Tote Trolley Transport Cart Wheel New", "Boat Kayak Canoe Carrier Dolly Trailer Tote Trolley Transport Cart Wheel New : : Sports & Outdoors", "future", "open", "open", "", "boat-kayak-canoe-carrier-dolly-trailer-tote-trolley-transport-cart-wheel-new", "", "", "2013-06-16 15:26:45", "2013-06-16 15:26:45", "", "0", "http://blogsforsales.com/kayak/boat-kayak-canoe-carrier-dolly-trailer-tote-trolley-transport-cart-wheel-new/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("361", "1", "2013-06-16 17:22:55", "2013-06-16 17:22:55", "Kayak 84&quot;", "Seasense X-Treme Aluminum Kayak Paddle (84-Inch)", "Seasense X-Treme Aluminum Kayak Paddle (84-Inch) : : Sports & Outdoors", "future", "open", "open", "", "seasense-x-treme-aluminum-kayak-paddle-84-inch", "", "", "2013-06-16 17:22:55", "2013-06-16 17:22:55", "", "0", "http://blogsforsales.com/kayak/seasense-x-treme-aluminum-kayak-paddle-84-inch/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("362", "1", "2013-06-17 11:09:02", "2013-06-17 11:09:02", "The Intex Challenger K2 kayak offers two people a sleek, easy-paddling, and highly portable craft to explore lakes and easy rivers. It&#039;s made of the company&#039;s rugged, Super-Tough vinyl that&#039;s puncture- and UV damage-resistant for long term durability, and the cockpit is designed to optimize comfort and space. High visibility graphics allow others to see you easily on the water, and the craft is US Coast Guard approved.\n Features\n Two-person inflatable water craft for lakes and mild rivers Comfortable and spacious cockpit includes two inflatable seats and backrests Inflatable floor for both comfort and rigidity High visibility graphics give a sporty flair and maximize safety on the water Cargo net to keep essentials handy Grab line on both ends of kayak for easy carrying Measures 30 by 15 by 138 inches (W x H x D) inflated 350-pound maximum weight limit Includes two 84-inch aluminum oars, high-capacity pump, and repair patch kit\n Warranty\nIntex products include a limited 30-day manufacturer&#039;s warranty against defects in materials and workmanship.\n About Intex Recreation\nIntex Recreation makes above ground swimming pools, air beds, inflatable toys, pool and lake boats, and the proprietary Intex Saltwater Pool System. The company has been in business for over 40 years, and is a global leader in designing and producing innovative products for indoor and outdoor recreation.\n Intex products meet the most stringent safety standards, undergoing intensive testing to ensure years of safety and satisfaction. During the manufacturing process, trained Intex employees continuously monitor a wide range of factors, including quality of raw materials, calibration of the machines, manufacture and assembly of each product, product testing, and careful packaging of every item.", "Intex Challenger K2 Kayak", "Intex Challenger K2 Kayak: Sports & Outdoors", "future", "open", "open", "", "intex-challenger-k2-kayak", "", "", "2013-06-17 11:09:02", "2013-06-17 11:09:02", "", "0", "http://blogsforsales.com/kayak/intex-challenger-k2-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("363", "1", "2013-06-17 12:47:50", "2013-06-17 12:47:50", "Race down the river or cruise a mirror-smooth lake at dawn in the Sea Eagle Sport kayak. It holds up to 500 pounds, but weighs only 26. Easily portable, it carries two adults and gear, but can be transported and used by one adult alone. You can even bring your dog out on the water--the rugged PolyKrylar hull is tough enough to withstand dog paws and claws. The SE370 packs down to fit in a storage bag, but has cargo space for camping gear and other supplies. It can be used for paddling, fishing, yacht tending, or skin diving. You can even take it on the river as it can handle whitewater up to class III.\n The Sea Eagle features an extra thick 33-millimeter Polykrylar hull, an I-beam construction floor for extra rigidity, inflatable spray skirts, removable inflatable front and rear seat, front and rear rope handles, and a self-bailing drain valve (a handy feature on whitewater rivers or in ocean surf). It also features two molded kegs for tracking and speed to track smoothly across the water, and high-freqency welded seams that fuse the material into one solid piece.\nThe PolyKrylar hull is strong enough to withstand dog paws and claws.\n Features: Lightweight and portable inflatable sport kayak NMMA Certified Self-bailing drain valve 3 deluxe one-way valves Lashed-down inflatable spray skirts I-beam construction floor 2 skegs on the bottom for better tracking and speed Pressure gauge and repair kit Bow &amp; stern grab line Rugged PolyKrylar hull is tough enough to withstand dog paws\n Specifications: Interior: 10 feet, 8 inches by 1 foot, 1 inch Exterior: 12 feet, 6 inches by 2 feet, 10inches Deflated: 31 by 19 by 8 inches Tube Diameter: 9 inches Capacity: 3 Persons or 650 pounds Weight: 32 pounds Chambers: 3 (port, starboard,floor) Material: 38 mil PolyKrylar (K80 PVC) Seam: High-frequency welded Floor: Inflatable I-beam construction Air Valves: 5 deluxe one-way Inflation &amp; Assembly time: 8 minutes", "Sea Eagle SE370 Inflatable Kayak with Pro Package", "Sea Eagle SE370 Inflatable Kayak with Pro Package : : Sports & Outdoors", "future", "open", "open", "", "sea-eagle-se370-inflatable-kayak-with-pro-package", "", "", "2013-06-17 12:47:50", "2013-06-17 12:47:50", "", "0", "http://blogsforsales.com/kayak/sea-eagle-se370-inflatable-kayak-with-pro-package/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("364", "1", "2013-06-17 13:37:28", "2013-06-17 13:37:28", "The Tahiti Fishing/Hunting Inflatable Kayak is durable, reliable, comfortable and portable. Measuring 10 Feet9 Inch long by 2 Feet4 Inch wide, the Tahiti holds two people (up to 400 pounds total) in built-in inflatable seats. The Kayak is durably constructed of heavy-duty 26-gauge PVC, with two air chambers for security and a tubular I-beam floor for stability. The Kayak is camo-colored for low visibility while hunting. It includes two spray covers for protection, and has an optional directional skeg for maximum control. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the kayak Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Tahiti Fishing/Hunting Inflatable Kayak", "Sevylor Tahiti Fishing/Hunting Inflatable Kayak: Sports & Outdoors", "future", "open", "open", "", "sevylor-tahiti-fishinghunting-inflatable-kayak", "", "", "2013-06-17 13:37:28", "2013-06-17 13:37:28", "", "0", "http://blogsforsales.com/kayak/sevylor-tahiti-fishinghunting-inflatable-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("365", "1", "2013-06-17 15:40:40", "2013-06-17 15:40:40", "The Fiji travel pack kayak can easily accompany you on your next water adventure. Great for calm rivers and lakes, this one or two-person inflatable kayak comes equipped with 2 seats, a 5-piece, compact kayak paddle and a travel bag to carry it all. The Double Lock and Mini Double Lock valves are easy to inflate or deflate and create an airtight system. A semi-rigid I beam floor in this travel kayak provides stability and structure and the 22 guage PVC material will provide durability and abrasion resistance.Equipped with Sevytest Pressure Indicator.Includes one aluminum kayak paddle.Coast Guard compliant &amp; NMMA Certified.", "Sevylor Fiji Travel Pack Kayak", "Sevylor Fiji Travel Pack Kayak (Blue, 2-Person) : : Sports & Outdoors", "future", "open", "open", "", "sevylor-fiji-travel-pack-kayak", "", "", "2013-06-17 15:40:40", "2013-06-17 15:40:40", "", "0", "http://blogsforsales.com/kayak/sevylor-fiji-travel-pack-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("366", "1", "2013-06-17 17:34:31", "2013-06-17 17:34:31", "X-Treme II Kayak Paddle 84&quot; - Black", "Seasense X-Treme Ii Kayak Paddle", "Seasense X-Treme Ii Kayak Paddle : : Sports & Outdoors", "future", "open", "open", "", "seasense-x-treme-ii-kayak-paddle", "", "", "2013-06-17 17:34:31", "2013-06-17 17:34:31", "", "0", "http://blogsforsales.com/kayak/seasense-x-treme-ii-kayak-paddle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("367", "1", "2013-06-18 11:21:27", "2013-06-18 11:21:27", "Bungee Paddle Leash easily secures your paddle to your kayak. Helps prevent paddle loss and does not inhibit paddling. Attaches to any eye strap using snap. Built in quick release buckle.", "Shoreline Marine Kayak Paddle Leash", "Shoreline Marine Kayak Paddle Leash : : Sports & Outdoors", "future", "open", "open", "", "shoreline-marine-kayak-paddle-leash", "", "", "2013-06-18 11:21:27", "2013-06-18 11:21:27", "", "0", "http://blogsforsales.com/kayak/shoreline-marine-kayak-paddle-leash/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("368", "1", "2013-06-18 15:32:36", "2013-06-18 15:32:36", "The Malone Clipper™ Deluxe Universal Cart is designed for canoe and kayak ground transportation. The folding anodized aluminum frame resists corrosion and disassembles to fit into your kayak. The rugged 10” airless &quot;Never Go Flat&quot; tires are built for all ground surfaces and quickly pop off the frame for easy storage. When loading, the oversized padding on the frame protects the boat, while the locking kick stand keeps the cart steady. This cart has a 200 pound capacity and includes tie down straps.", "Malone Clipper Deluxe Universal Kayak Cart", "Malone Clipper Deluxe Universal Kayak Cart : : Sports & Outdoors", "future", "open", "open", "", "malone-clipper-deluxe-universal-kayak-cart", "", "", "2013-06-18 15:32:36", "2013-06-18 15:32:36", "", "0", "http://blogsforsales.com/kayak/malone-clipper-deluxe-universal-kayak-cart/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("369", "1", "2013-06-19 10:42:47", "2013-06-19 10:42:47", "The J-DownLoader with Bow and Stern includes everything you need to carry one kayak vertically on your roof top. When not in use, the carrier folds down to create more overhead clearance. The built in loading ramps help load and unload the kayak while oversized padding helps protect the boat once strapped down. The Malone universal JAWZ mounting hardware fits round, square and factory oval cross rails.", "Malone Downloader Folding J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines", "Malone Downloader Folding J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines : : Sports & Outdoors", "future", "open", "open", "", "malone-downloader-folding-j-style-universal-car-rack-kayak-carrier-with-bow-and-stern-lines", "", "", "2013-06-19 10:42:47", "2013-06-19 10:42:47", "", "0", "http://blogsforsales.com/kayak/malone-downloader-folding-j-style-universal-car-rack-kayak-carrier-with-bow-and-stern-lines/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("370", "1", "2013-06-19 12:10:36", "2013-06-19 12:10:36", "&quot;The ULTIMATE Weekend Getaway Boat!&quot; At 26 lbs you can take it anywhere! Imagine yourself blasting down a white water river spray flying everywhere and your heart beating like a drum. Or imagine yourself on a mirror-smooth lake at dawn slicing the silence with smooth paddle strokes. Can one boat do all this? Yes when it&#039;s the Sea Eagle 330. It will hold 500 pounds but only weighs 26 lbs. itself. It will carry two adults and gear but only needs one adult to carry it to the water. The SE-330 inflatable canoe packs down to fit in a storage bag but has cargo space for camping supplies for several days. An inflatable canoe can be used for fishing yacht tending or skin diving. For river runners the Sea Eagle 330 can handle up to class three whitewater. In many ways this is the easiest to use the most versatile and the most fun inflatable canoe that we sell. The Sea Eagle 330 inflatable canoe features an extra thick 33 mil Polykrylar hull and a I-beam construction floor for extra rigidity inflatable spray skirts removable inflatable front and rear seat front and rear rope handles and a self-bailing drain valve (a handy feature on white water rivers or in ocean surf). Two skegs for tracking and speed Tracking is very important in a kayak. Inflatable kayaks need skegs to track smoothly across the water - otherwise your paddling effort is wasted. Cheaper petitive boats without rear skegs just weave and wander across the water wasting your paddling effort. The Sea Eagle 330 features two molded skegs - just like a surf board - so you go faster and further with less paddling effort. High Frequency Welded Seams The Sea Eagle 330 has seams that are welded with 10000 volts of power fusing the material into one solid structure. This gives us the confidence to cover the SE-330 with a 3 year warranty. Sea Eagle warranty: Our Sea Eagle boats are covered for a full three years against manufacturer&#039;s defects ... from bow to stern. Standard Featu", "Sea Eagle 330 Inflatable Kayak with Deluxe Package", "Sea Eagle 330 Inflatable Kayak with Deluxe Package : : Sports & Outdoors", "future", "open", "open", "", "sea-eagle-330-inflatable-kayak-with-deluxe-package", "", "", "2013-06-19 12:10:36", "2013-06-19 12:10:36", "", "0", "http://blogsforsales.com/kayak/sea-eagle-330-inflatable-kayak-with-deluxe-package/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("371", "1", "2013-06-19 13:02:44", "2013-06-19 13:02:44", "Thule Hull-A-Port PRO 2013 - The Hull A Port Pro designed by Thule is the most popular carrier for transporting a kayak in the world, Thule has made transporting easier, safer and quicker for you to install. The on and off hardware ensures fast installation and removal so you can actually spend your time kayaking and enjoying nature and the outdoors. The included two ratchets tie downs, two straps and the buckle protectors make sure that your kayak or canoe is safely secure, stable and safe. Everything that will make you feel comfortable knowing that Thule has thought of everything to make transporting a great and easy experience for you. Features: Includes two ratcheting tie downs, two straps and buckle protectors.. Model Year: 2013, Product ID: 119185, Shipping Restriction: This item is not available for shipment outside of the United States.", "Thule Hull-A-Port Pro", "Thule 835PRO Hullaport Pro Rooftop Kayak Carrier: Sports & Outdoors", "future", "open", "open", "", "thule-hull-a-port-pro", "", "", "2013-06-19 13:02:44", "2013-06-19 13:02:44", "", "0", "http://blogsforsales.com/kayak/thule-hull-a-port-pro/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("372", "1", "2013-06-19 14:40:50", "2013-06-19 14:40:50", "The Sevylor QuickPak is the grab-and-go kayak. Portable and lightweight with an integrated backpack storage system, the QuickPak easily folds up into a backpack. Just unpack and inflate, and you&#039;re ready to go. The 1-Person Coverless Sit-On-Top QuickPak holds up to 400 pounds and measures 8&#039;8&quot; long by 3&#039; wide. It&#039;s durably constructed of 21-gauge PVC. Recessed compartments with a secure cargo net provide storage for your gear. Tracking fins make for easier steering. For comfort and convenience, the kayak features an inflatable backrest and even a cupholder. A paddle is included, as well as a dual-action hand pump for inflation. Guaranteed not to leak, thanks to Sevylor&#039;s exclusive Airtight System, the boat&#039;s Double-Lock and Mini Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation.", "Sevylor QuickPak Coverless Sit-On-Top Kayak", "Sevylor QuickPak Coverless Sit-On-Top Kayak : : Sports & Outdoors", "future", "open", "open", "", "sevylor-quickpak-coverless-sit-on-top-kayak", "", "", "2013-06-19 14:40:50", "2013-06-19 14:40:50", "", "0", "http://blogsforsales.com/kayak/sevylor-quickpak-coverless-sit-on-top-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("373", "1", "2013-06-19 16:14:54", "2013-06-19 16:14:54", "A durable aluminum shaft makes the Carlisle Magic Mystic Kayak Paddle a reliable introductory paddle. Fiberglass reinforced polypropylene blades are efficiently designed and offer impressive power when on the water. The blades are created using a gas assist injection method that helps to eliminate excess material and weight without sacrificing either strength or durability. The black anodized tempered aluminum shaft has push button indexing for 60 degree right-hand control offset and in-line paddling. Colors available: Sunrise and Cloud. Lengths available: 220cm, 230cm, and 240cm.", "Carlisle Magic Mystic Poly Kayak Paddle - Polypro Blades/Aluminum Shaft", "Carlisle Magic Mystic Poly Kayak Paddle - Polypro Blades/Aluminum Shaft: Sports & Outdoors", "future", "open", "open", "", "carlisle-magic-mystic-poly-kayak-paddle-polypro-bladesaluminum-shaft", "", "", "2013-06-19 16:14:54", "2013-06-19 16:14:54", "", "0", "http://blogsforsales.com/kayak/carlisle-magic-mystic-poly-kayak-paddle-polypro-bladesaluminum-shaft/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("374", "1", "2013-06-19 17:19:05", "2013-06-19 17:19:05", "With polypropylene blades and a high strength aluminum shaft the Carlisle Day Tripper is the right choice for an inexpensive quality kayak paddle. The push-button two-piece design allows blades to be feathered at 60-degress for right or left hand control or used in-line. It also allows for easy storage as a spare paddle.", "Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece", "Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece: Sports & Outdoors", "future", "open", "open", "", "carlisle-day-tripper-aluminum-kayak-paddle-2-piece", "", "", "2013-06-19 17:19:05", "2013-06-19 17:19:05", "", "0", "http://blogsforsales.com/kayak/carlisle-day-tripper-aluminum-kayak-paddle-2-piece/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("375", "1", "2013-06-20 10:36:47", "2013-06-20 10:36:47", "Designed to set up to three people, the 10 foot Manta Kayak is the perfect multi-purpose recreational kayak. It provides comfortable, balanced seating for solo, tandem or family fun. With a 500 Lb. weight capacity and the tunnel hull design, the Manta provides ultimate stability making it almost impossible to tip over. So paddle, fish, surf or sail, the Manta kayak is designed to provide plenty of fun for the whole family. &quot;High and dry&quot; seating keeps riders off the floor of the kayak. Multiple footrest positions for different size riders. Scupper holes drain the cockpit area with molded front and rear carry handles.", "Lifetime Manta Tandem Kayak with Paddles and Backrests (Yellow, 10-Feet)", "Lifetime Manta Tandem Kayak with Paddles and Backrests (Yellow, 10-Feet): Sports & Outdoors", "future", "open", "open", "", "lifetime-manta-tandem-kayak-with-paddles-and-backrests-yellow-10-feet", "", "", "2013-06-20 10:36:47", "2013-06-20 10:36:47", "", "0", "http://blogsforsales.com/kayak/lifetime-manta-tandem-kayak-with-paddles-and-backrests-yellow-10-feet/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("376", "1", "2013-06-20 12:05:52", "2013-06-20 12:05:52", "These patented paddle grips are the ultimate in comfort for paddling. Prevents rubs and blisters. More efficient paddling and better hand placement.", "Yakgrips", "Cascade Creek Yakgrips - Black: Sports & Outdoors", "future", "open", "open", "", "yakgrips", "", "", "2013-06-20 12:05:52", "2013-06-20 12:05:52", "", "0", "http://blogsforsales.com/kayak/yakgrips/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("377", "1", "2013-06-20 14:16:37", "2013-06-20 14:16:37", "This is the paddle leash stripped to its bare essentials. No more heavy coils or soaked tubular webbing. We created the most comfortable paddle leash. It is constructed with Super Stretch paddle strap material and is lined with a shaft-gripping material that will keep your leash firmly in place. Once you attach the strap to your paddle, it stays exactly where you put it. We use nylon fasteners and shock cord specifically designed for outdoor use. (No more locked up and corroded brass fasteners to maintain!) Our super strong 5mm shock cord is twice as thick as most other bungee paddle leashes. Keep all of your expensive gear safe and secure. Can be used for paddles, fishing poles, electronics, safety equipment, etc. Made in the USA. For flat water, touring, or recreational kayaking. Not to be used as a safety device.", "Premier Kayak Gripper Paddle Leash.", "Premier Kayak Gripper Paddle Leash. : : Sports & Outdoors", "future", "open", "open", "", "premier-kayak-gripper-paddle-leash", "", "", "2013-06-20 14:16:37", "2013-06-20 14:16:37", "", "0", "http://blogsforsales.com/kayak/premier-kayak-gripper-paddle-leash/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("378", "1", "2013-06-20 15:36:30", "2013-06-20 15:36:30", "Our exclusive design greatly decreases the amount of splash from your paddle. Have a blast on the water all day long and stay dry. No more soaked lap, wet shirt, or spotty sunglasses. Weve tried these little wonders for countless hours and absolutely love them. These splash guards are made of a very grippy neoprene rubber that keeps them firmly attached to your paddle. Great for single piece paddles where it is nearly impossible to put standard drip rings on. These splash guards wrap around the shaft of your paddle and fasten shut with Velcro fastener. Its Patent Pending Cone shape holds water on the upstroke and drops it right back on the down stroke. An incredible improvement to any size or shape paddle. Sold in pairs. Made in the USA Patent Pending.", "Premier Kayak Paddle Splash Guards. No More Drip. Sold in Pairs.", "Premier Kayak Paddle Splash Guards. No More Drip. Sold in Pairs. : : Sports & Outdoors", "future", "open", "open", "", "premier-kayak-paddle-splash-guards-no-more-drip-sold-in-pairs", "", "", "2013-06-20 15:36:30", "2013-06-20 15:36:30", "", "0", "http://blogsforsales.com/kayak/premier-kayak-paddle-splash-guards-no-more-drip-sold-in-pairs/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("379", "1", "2013-06-20 17:24:40", "2013-06-20 17:24:40", "Portable, comfortable, stable, and durable -- the Sevylor Sit-On-Top Inflatable Kayak is a great choice for navigating your favorite waters and exploring new ones. The 2-Person Kayak measures 13 Feet1 Inch long by 3 Feet1 Inch wide, and holds up to 595 pounds. It Feets constructed of heavy-duty 25-gauge PVC, with dual-tracking fins for easier steering. For storage, the Kayak features a recessed compartment with a secure cargo net. An 86 Inch aluminum paddle is included. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the kayak Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Inflatable Sit-On-Top Kayak, 2-Person", "Sevylor Inflatable Sit-On-Top Kayak, 2-Person: Sports & Outdoors", "future", "open", "open", "", "sevylor-inflatable-sit-on-top-kayak-2-person", "", "", "2013-06-20 17:24:40", "2013-06-20 17:24:40", "", "0", "http://blogsforsales.com/kayak/sevylor-inflatable-sit-on-top-kayak-2-person/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("380", "1", "2013-06-21 11:08:19", "2013-06-21 11:08:19", "The Carlisle Magic Plus&#039; fiberglass-filled polypropylene blades in bright colors are lightweight and durable. The asymmetrical, slightly spooned blade shape combined with a lightweight, flexible fiberglass shaft produces smooth yet powerful strokes. The wound fiberglass shaft provides a sweet compromise between the stiffness needed for a strong paddle stroke and the flex needed to reduce stress on your joins. The fiberglass-filled polypropylene blades offer an unbeatable balance of lightweight versus durability. This is a paddle that can take all of the punishment you dish out and give you a great day on the water. Colors available: Sunrise and Cloud. Lengths available: 220cm, 230cm, and 240cm.", "Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft", "Carlisle Magic Plus Kayak Paddle - Polypro Blades/Fiberglass Shaft: Sports & Outdoors", "future", "open", "open", "", "carlisle-magic-plus-kayak-paddle-polypro-bladesfiberglass-shaft", "", "", "2013-06-21 11:08:19", "2013-06-21 11:08:19", "", "0", "http://blogsforsales.com/kayak/carlisle-magic-plus-kayak-paddle-polypro-bladesfiberglass-shaft/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("381", "1", "2013-06-21 12:38:50", "2013-06-21 12:38:50", "Premier Kayak ergonomic sit on top kayak handles can be used for new installations or to replace broken existing handles. Made of outdoor materials proven to last in the harshest of elements, our handles add great versatility for portaging your kayak, canoe or other watercraft. Handles are contoured for comfort and have a generous 5&quot; grip surface (measures 11&quot; from end-tab to end-tab). Rubberized plastic end tabs create a solid connection to your kayak. Included are two (2) kayak handles. Installation required. Hardware not included.", "Premier Kayak Sit on top kayak handles", "Premier Kayak Sit on top kayak handles: Sports & Outdoors", "future", "open", "open", "", "premier-kayak-sit-on-top-kayak-handles", "", "", "2013-06-21 12:38:50", "2013-06-21 12:38:50", "", "0", "http://blogsforsales.com/kayak/premier-kayak-sit-on-top-kayak-handles/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("382", "1", "2013-06-21 15:08:27", "2013-06-21 15:08:27", "Advanced Elements Rapid Up Kayak Sail Kit - The Advanced Elements Rapid Up kayak sail kit allows you to harness the wind and provides a safe, and very easy-to-use sail for downwind sailing. It is self-launching, self-standing, and stows either on-deck or below. With its ability to be quickly launched and taken down while out on the water you have a very lightweight and efficient sail for your kayak. You can use the Rapid Up sail on a variety of different boats making it one of the most versatile wind sails on the market. If you&#039;re looking for some fun in the wind, grab the Advanced Elements Rapid Up Kayak sail kit.", "Advanced Elements Rapid Up Kayak Sail Kit", "Advanced Elements Rapidup Kayak Sail : : Sports & Outdoors", "future", "open", "open", "", "advanced-elements-rapid-up-kayak-sail-kit", "", "", "2013-06-21 15:08:27", "2013-06-21 15:08:27", "", "0", "http://blogsforsales.com/kayak/advanced-elements-rapid-up-kayak-sail-kit/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("383", "1", "2013-06-21 16:30:42", "2013-06-21 16:30:42", "Apex 1 Deluxe Seat: The Apex 1 thermally-molded foam seat sits 19” tall and offers incredible support and comfort.", "Crack of Dawn Apex 1 Deluxe Kayak Seat", "Crack of Dawn Apex 1 Deluxe Kayak Seat : : Sports & Outdoors", "future", "open", "open", "", "crack-of-dawn-apex-1-deluxe-kayak-seat", "", "", "2013-06-21 16:30:42", "2013-06-21 16:30:42", "", "0", "http://blogsforsales.com/kayak/crack-of-dawn-apex-1-deluxe-kayak-seat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("384", "1", "2013-06-22 10:37:58", "2013-06-22 10:37:58", "Asymmetric blades of polypropylene feature a dihedral shape for smooth, efficient strokes. A lightweight anodized aluminum shaft is ovalized for easy gripping. This is the paddle of choice for beginners - or for use as a backup. A push-button takedown allows blades to be feathered at 60-degress or inline, for right- and left-hand control.", "Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece (Yellow/Black, 230 cm)", "Carlisle Day Tripper Aluminum Kayak Paddle - 2 Piece (Yellow/Black, 230 cm): Sports & Outdoors", "future", "open", "open", "", "carlisle-day-tripper-aluminum-kayak-paddle-2-piece-yellowblack-230-cm", "", "", "2013-06-22 10:37:58", "2013-06-22 10:37:58", "", "0", "http://blogsforsales.com/kayak/carlisle-day-tripper-aluminum-kayak-paddle-2-piece-yellowblack-230-cm/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("385", "1", "2013-06-22 12:46:30", "2013-06-22 12:46:30", "X-Treme II Kayak Paddle 84&quot; - Blue/White", "Seasense X-Treme Ii Mix Kayak Paddle", "Seasense X-Treme Ii Mix Kayak Paddle : : Sports & Outdoors", "future", "open", "open", "", "seasense-x-treme-ii-mix-kayak-paddle", "", "", "2013-06-22 12:46:30", "2013-06-22 12:46:30", "", "0", "http://blogsforsales.com/kayak/seasense-x-treme-ii-mix-kayak-paddle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("386", "1", "2013-06-22 14:11:06", "2013-06-22 14:11:06", "The Sport Fisher is the ultimate fishing kayak. The tunnel hull design makes it possible to stand up and fish, or to sit side-saddle without tipping over. It seats up to three people, providing comfortable, balanced seating for solo, tandem or family fun. Fits up to 3 riders with ergonomic seating that&#039;s &quot;high and dry&quot;, keeping riders off the floor of the kayak. Front and rear molded paddle cradle and paddle clips on both sides. Four fishing pole holders included for your sporting assistance. Will hold a maximum capacity of 500 pounds.", "Lifetime Sport Fisher Kayak with Paddles and Backrests (Olive Green, 10-Feet)", "Lifetime Sport Fisher Kayak with Paddles and Backrests (Olive Green, 10-Feet) : : Sports & Outdoors", "future", "open", "open", "", "lifetime-sport-fisher-kayak-with-paddles-and-backrests-olive-green-10-feet", "", "", "2013-06-22 14:11:06", "2013-06-22 14:11:06", "", "0", "http://blogsforsales.com/kayak/lifetime-sport-fisher-kayak-with-paddles-and-backrests-olive-green-10-feet/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("387", "1", "2013-06-22 15:50:58", "2013-06-22 15:50:58", "DECENT FEATURES of Harmony Paddle Clip Kit A simple, low-profile, and easily installed system to stow a spare paddle or park yourprimary paddle when you need hands free for other tasks Compatible with polyethylene or composite kayaks Easily installed Includes two clips, hardware &amp; instructions Not designed to hold paddle while cartopping", "Harmony Paddle Clip Kit", "Harmony Paddle Clip Kit : : Sports & Outdoors", "future", "open", "open", "", "harmony-paddle-clip-kit", "", "", "2013-06-22 15:50:58", "2013-06-22 15:50:58", "", "0", "http://blogsforsales.com/kayak/harmony-paddle-clip-kit/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("388", "1", "2013-06-22 17:28:22", "2013-06-22 17:28:22", "A great kayak paddle for kids! Short and sweet, the Carlisle Sabre paddle is lightweight, kid proportioned, and kid proof. With a down-sized shaft for easy gripping by kids, and durable polyethylene blades this paddle is a great option for small hands to grip and maneuver.", "Carlisle Kids Saber Touring Kayak Paddle", "Carlisle Kids Saber Touring Kayak Paddle, 190-cm, Sunrise : : Sports & Outdoors", "future", "open", "open", "", "carlisle-kids-saber-touring-kayak-paddle", "", "", "2013-06-22 17:28:22", "2013-06-22 17:28:22", "", "0", "http://blogsforsales.com/kayak/carlisle-kids-saber-touring-kayak-paddle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("389", "1", "2013-06-23 10:34:00", "2013-06-23 10:34:00", "Kayak 18&quot; Foot Braces - PairPart #: 11941-2Ligthtweight design fits both sit in and sit on top style kayaks. Trigger lock design allow for easy adjustment. Tracks use a universal mounting hole pattern that works in a variety of kayaks.Mounting hardware is not included.", "Attwood Kayak 18\" Foot Braces - Pair", "Attwood Kayak 18\" Foot Braces - Pair: Everything Else", "future", "open", "open", "", "attwood-kayak-18-foot-braces-pair", "", "", "2013-06-23 10:34:00", "2013-06-23 10:34:00", "", "0", "http://blogsforsales.com/kayak/attwood-kayak-18-foot-braces-pair/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("390", "1", "2013-06-23 12:03:45", "2013-06-23 12:03:45", "Sometimes you just need to transport a kayak a small distance--either home from the store or to a close-by river. Enter the Malone deluxe kayak kit, which includes everything you need to haul a kayak on occasional short trips.\nThe kit&#039;s pair of 18-inch EVA foam blocks support up to 70 pounds. The kayak kit comes with two universal-fit, 18-inch, non-skid laminate foam blocks to cushion the kayak in place while evenly distributing the weight of the kayak over the roof frame. This keeps the kayak from distributing excessive pressure on the roof. The blocks also feature universal V-shaped cutouts, ensuring a great fit for every kayak. To secure the kayak during transport, the kit includes two 9-foot block tie-down straps and bow and stern S-hook tie-downs. Best of all, the kit fits virtually any vehicle, including cars with round, square, or factory oval cross rails.\n The deluxe kayak carrier kit--which supports up to 70 pounds--includes a carrying case for easy storage.\n About Malone Auto Racks\nMalone is the fastest-growing rack accessory company in North America, with a track record of more than 10 years of industry leadership and innovation. The company&#039;s products are sold in more than 1,500 outdoor online and retail stores throughout the U.S., Canada, Australia, and Europe. Malone operates from the coast of Maine, helping the company stay true to its mission and values. Everything Malone sells must be &quot;simple to sell, simple to install, and simple to use.&quot; The company is built to enhance its customers&#039; enjoyment of rivers, lakes, and oceans while minimizing their carbon footprint through aerodynamic transport design and complete material recycling.", "Malone Deluxe Foam Block Universal Car Top Large Kayak Carrier Kit", "Malone Deluxe Foam Block Universal Car Top Large Kayak Carrier Kit: Sports & Outdoors", "future", "open", "open", "", "malone-deluxe-foam-block-universal-car-top-large-kayak-carrier-kit", "", "", "2013-06-23 12:03:45", "2013-06-23 12:03:45", "", "0", "http://blogsforsales.com/kayak/malone-deluxe-foam-block-universal-car-top-large-kayak-carrier-kit/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("391", "1", "2013-06-23 14:22:15", "2013-06-23 14:22:15", "Ideal for family adventures on the water, the FireFly Inflatable Kayak from Advanced Elements is designed to be a compact, recreational kayak. The kayak offers several unique features to improve the performance and durability. Its bow and stern have fixed rigid forms that help cut through the waves and keep you on course while a unique out cover provides added durability. The kayak also offers molded rubber-grip handles, bungee deck lacing, a mesh accessory pocket and tracking skeg. The bow and stern rigid forms are built in to the cover, which gives the kayak increased performance on the water. Easy to set up, the Firefly offers Twistlok valves and a high flow Spring valve.\n\n Specifications: Length: 7’10&quot; Width: 35&quot; Weight: 16 pounds (7 kg) Maximum Weight: 250 pounds (113 kg) Color: Yellow/Blue\n Key Features: New advanced inflation valves Mesh pocket Rigid form bow cuts through the water Landing plate 600 D polyester cover Bungee deck lacing Splash diverter Welded perimeter seam Skeg tracking fin Rubber molded handles Heavy-duty PVC main chamber\n What&#039;s in the Box?\nFirefly kayak, carrying duffel bag, repair kit, owner’s manual", "Advanced Elements FireFly Inflatable Kayak", "Advanced Elements FireFly Inflatable Kayak : : Sports & Outdoors", "future", "open", "open", "", "advanced-elements-firefly-inflatable-kayak", "", "", "2013-06-23 14:22:15", "2013-06-23 14:22:15", "", "0", "http://blogsforsales.com/kayak/advanced-elements-firefly-inflatable-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("392", "1", "2013-06-23 15:14:36", "2013-06-23 15:14:36", "The Gear Up Hang-1 kayak storage strap system is a simple and easy way to store your kayak up off the ground and out of the way. The storage straps are adjustable and also include quick-release buckles as well for easy loading and unloading. Use indoors or outdoors. Stainless steel heavy-duty eye bolts are included for you to mount into the ceiling or wall. 50lb weight capacity.", "Gear Up Hang-1 Deluxe Kayak Storage Strap, Black", "Gear Up Hang-1 Deluxe Kayak Storage Strap, Black : : Sports & Outdoors", "future", "open", "open", "", "gear-up-hang-1-deluxe-kayak-storage-strap-black", "", "", "2013-06-23 15:14:36", "2013-06-23 15:14:36", "", "0", "http://blogsforsales.com/kayak/gear-up-hang-1-deluxe-kayak-storage-strap-black/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("393", "1", "2013-06-23 17:16:15", "2013-06-23 17:16:15", "Use this Seattle Sports cradle lock to secure your boat to our wall cradles or car-top carriers. With a sheathed 6 mm (appx 1/4 in.) cable and an easy-to-use lock, our kayak cradle lock will give you peace of mind, wherever you store your boat. Fits boats up to 18 ft.", "Seattle Sports Kayak Cradle Lock", "Seattle Sports Kayak Cradle Lock : : Sports & Outdoors", "future", "open", "open", "", "seattle-sports-kayak-cradle-lock", "", "", "2013-06-23 17:16:15", "2013-06-23 17:16:15", "", "0", "http://blogsforsales.com/kayak/seattle-sports-kayak-cradle-lock/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("394", "1", "2013-06-24 11:38:11", "2013-06-24 11:38:11", "12-8601 Features: -Wall mount racks.-Material: Steel.-Powder coated steel for indoor and outdoor use.-Kayak rests on rubber padding.-Holds paddles and PFD&#039;s under boat.-Stores kayaks on their side to save space.-Pivots on wall to fold it away.-Extends only 15&#039;&#039; from wall.-Holds up to 100 lbs..", "Suspenz Folding Wall Mount Kayak Rack", "Suspenz Folding Wall Mount Kayak Rack : : Sports & Outdoors", "future", "open", "open", "", "suspenz-folding-wall-mount-kayak-rack", "", "", "2013-06-24 11:38:11", "2013-06-24 11:38:11", "", "0", "http://blogsforsales.com/kayak/suspenz-folding-wall-mount-kayak-rack/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("395", "1", "2013-06-24 14:15:26", "2013-06-24 14:15:26", "Rave Sea Rebel Inflatable Kayak - Enjoy the lake, river or streams with the Sea Rebel Kayak by Rave Sports. This new inflatable kayak is comfortable, easy to inflate and perfect whether you&#039;re angling, relaxing or traversing on the water. The lightweight and easy-to-carry Sea Rebel Inflatable Kayak inflates in minutes and comes equipped with a water resistant dry bag and water bottle holder. Features: Carrying Bag, Limited One Year Warranty, 3 Bottom Fins. Type: Inflatable, Hull Design: Inflatable, Number of Paddlers: 1, Bulk Heads: None, Hatches: None, Adjustable Seat: Yes, Model Year: 2011, Product ID: 243997, Product Note: Coupons or other discounts cannot be applied to this item. This item may not qualify for Price Matching., Shipping Exclusion: This item is only available for shipment by UPS to the lower 48 United States. APO, FPO, PO BOX, Hawaii, and Alaska shipments may not be possible for this item. (Please call prior to purchase.), Special Order: This is a Special Order item, will be shipped from the manufacturer, and is not stocked in our warehouse. This item does not qualify for our Price Matching Policy. Order processing time may vary.", "Rave Sea Rebel Inflatable Kayak 2011", "RAVE Sports Sea Rebel Kayak: Sports & Outdoors", "future", "open", "open", "", "rave-sea-rebel-inflatable-kayak-2011", "", "", "2013-06-24 14:15:26", "2013-06-24 14:15:26", "", "0", "http://blogsforsales.com/kayak/rave-sea-rebel-inflatable-kayak-2011/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("396", "1", "2013-06-24 16:58:53", "2013-06-24 16:58:53", "AIRHEAD P3 KAYAK PADDLE", "AIRHEAD AHTK-P3 Asymetrical Blade Kayak Paddle (4 Section)", "AIRHEAD AHTK-P3 Asymetrical Blade Kayak Paddle (4 Section) : : Sports & Outdoors", "future", "open", "open", "", "airhead-ahtk-p3-asymetrical-blade-kayak-paddle-4-section", "", "", "2013-06-24 16:58:53", "2013-06-24 16:58:53", "", "0", "http://blogsforsales.com/kayak/airhead-ahtk-p3-asymetrical-blade-kayak-paddle-4-section/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("397", "1", "2013-06-25 11:09:27", "2013-06-25 11:09:27", "HullyRollers have rollers (as you may have already surmised) that make it easy as pie to slide your boat onto your vehicle&#039;s roof. Combine them with any top of car water product and securing your boat in place is a piece of cake. So with this stellar combination, you&#039;ve got sweet boat transportation and baked dessert items pretty well covered. * Combines with the Mako Aero Saddles, Mako Saddles, and LandShark Saddles for the ultimate ease of loading. * U-shaped rollers fit many hull shapes * Dynaflex rollers pivot for convenient loading angles * Boats roll on and off effortlessly * Heavy Duty Straps with padded buckles included * Includes Bow/Stern Tie-Down Straps to complete kayak stability * Stainless steel and brass hardware fights corrosion * Fits round and square crossbars * Compatible with factory crossbars (just add Universal MightyMounts or Mighty Mounts (SOLD SEPARATELY)HullyRollers have rollers (as you may have already surmised) that make it easy as pie to slide your boat onto your vehicle&#039;s roof. Combine them with any top of car water product and securing your boat in place is a piece of cake. So with this stellar combination, you&#039;ve got sweet boat transportation and baked dessert items pretty well covered. Q: What keeps a boat from rolling off when being carried? A: The Rollers lock in place and do not roll when locked.Q: How many pairs of HullyRollers do I need? A: Two pairs of HullyRollers, or a pair combined with a pair of Mako Saddles, will carry one boat.Q: When should I use a bow/stern tiedown? A: Every time! It is essential to tie a boat&#039;s ends to the ends of the vehicle to stabilize a boat against the hurricane-force winds created by traveling at highway speed. While any non-elastic tie down that is strong enough can be used, a Bow/Stern Tiedown makes the job easy and takes good care of the car.Q: What type of boat will the HullyRollers carry? A: HullyRollers are intended for any kayak with a rigid hull.Q: What type of material will the HullyRoll", "Yakima Hully Rollers", "Yakima HullyRoller Rooftop Kayak Carrier with Straps with Strap : : Sports & Outdoors", "future", "open", "open", "", "yakima-hully-rollers", "", "", "2013-06-25 11:09:27", "2013-06-25 11:09:27", "", "0", "http://blogsforsales.com/kayak/yakima-hully-rollers/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("398", "1", "2013-06-25 14:16:22", "2013-06-25 14:16:22", "IT?S UNFORTUNATE YOU DON?T HAVE A SECOND SET OF ARMS. BECAUSE THEN YOU?D BE ABLE TO LOAD KAYAKS TWICE AS EASY. BUT SINCE YOU DON?T, THE BOATLOADER?LL GIVE YOU A HELPING HAND. (Does not apply to arachnids, as they may have up to four sets of arms, so if you?re an arachnid, simply disregard this section.) - Makes loading boats onto tall vehicles as easy as if you had your own personal Bigfoot helping you - Extendable arm retracts when you?re not hoisting boats - Keeps boats from dinging your car or falling on your toes - Corrosion-resistant construction and hardware Q: Can I carry loads on it? A: The BoatLoader is to be used only for loading and unloading. Do not attach accessories or attempt to transport loads with it. Q: What is it made of? A: The main bar is an aluminum sleeve over a solid steel core. Bolts are stainless steel and the nuts are brass. Q: What size wrench is used to install it? A: A 3/16? hex wrench, and it comes with the kit.", "Yakima BoatLoader Crossbar", "Yakima BoatLoader Canoe and Kayak Side Loading System : : Sports & Outdoors", "future", "open", "open", "", "yakima-boatloader-crossbar", "", "", "2013-06-25 14:16:22", "2013-06-25 14:16:22", "", "0", "http://blogsforsales.com/kayak/yakima-boatloader-crossbar/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("399", "1", "2013-06-25 17:19:03", "2013-06-25 17:19:03", "Malone&#039;s broad line of kayak carriers provides a solution for specific transport needs regardless of what type of boats you&#039;re transporting, how often you travel to the water, or how long it takes you to get there. The company invented the JAWZ universal fit mounting system, allowing its carriers to fit on virtually any factory-installed or after market cross bar system.\n E-coated, corrosion-resistant steel construction holds up to years of abuse, while oversized padding helps protect the boat once strapped down. Universal JAWZ mounting hardware fits round, square, and factory oval cross rails.\n The set includes bow and stern safety tie-downs, two 12-foot cam buckle straps, and both 60mm and 70mm pre-coated mounting bolts, and is easy to assemble or transfer to another vehicle in minutes with no tools required\n Lifetime Warranty\nMalone kayak and canoe carriers include a limited lifetime manufacturer&#039;s warranty against defects in materials and workmanship.\n About Malone Auto Racks\nMalone Auto Racks is the fastest growing rack accessory company in North America, with more than 10 years of industry leadership and innovation. The company&#039;s products are sold in the United States, Canada, Australia, and Europe.\n Headquartered in Maine, Malone creates products built to enhance enjoyment of rivers, lakes, and oceans, while minimizing carbon footprints through aerodynamic transport design and complete material recycling. The company can be credited with a number of innovative industry firsts, including:\n First J-style kayak carrier First unique &quot;boarding ramp&quot; on a J-style carrier First universal fit system allowing consumer to mount Malone products on any type of cross rail First corrosion-free injection molded composite carrier that will &quot;flex to fit&quot; your watercraft, providing added protection and security", "Malone J-Pro 2 J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines", "Malone J-Pro 2 J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines : : Sports & Outdoors", "future", "open", "open", "", "malone-j-pro-2-j-style-universal-car-rack-kayak-carrier-with-bow-and-stern-lines", "", "", "2013-06-25 17:19:03", "2013-06-25 17:19:03", "", "0", "http://blogsforsales.com/kayak/malone-j-pro-2-j-style-universal-car-rack-kayak-carrier-with-bow-and-stern-lines/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("400", "1", "2013-06-26 10:48:17", "2013-06-26 10:48:17", "The BigStack&#039;s narrow profile takes up the least amount of rooftop space and carries up to four boats on their sides. It&#039;s padded to protect your boat and vehicle, and the steel-reinforced arms fold down when not in use. Last but certainly not least, the word stack makes you think of delicious pancakes. What more could you possibly need?", "Yakima Bigstack", "Yakima BigStack Rooftop Canoe, Kayak, or Surfboard Rack with Tie Down: Sports & Outdoors", "future", "open", "open", "", "yakima-bigstack", "", "", "2013-06-26 10:48:17", "2013-06-26 10:48:17", "", "0", "http://blogsforsales.com/kayak/yakima-bigstack/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("401", "1", "2013-06-26 12:14:53", "2013-06-26 12:14:53", "Scupper Stoppers can be used to plug the scupper holes in the cockpit of your Ocean Kayak. This will help you stay dry while you are paddling. Sold in pairs. Available in x-small, small, medium and large. Click to view a Scupper Stopper Size and Quantity Chart to find out what you need for your Ocean Kayak.", "Ocean Kayak Scupper Stoppers - Pack of 2, (Small, Yellow)", "Ocean Kayak Scupper Stoppers - Pack of 2, (Small, Yellow) : : Sports & Outdoors", "future", "open", "open", "", "ocean-kayak-scupper-stoppers-pack-of-2-small-yellow", "", "", "2013-06-26 12:14:53", "2013-06-26 12:14:53", "", "0", "http://blogsforsales.com/kayak/ocean-kayak-scupper-stoppers-pack-of-2-small-yellow/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("402", "1", "2013-06-26 13:47:42", "2013-06-26 13:47:42", "Premier Kayak&#039;s new detachable paddle and gear leashes work great for keeping your paddle at your side and your fishing poles safe. Easily detach leash from clip strap for easy angling. Clip Straps and double snap leashes also sold seperately. Gives you the flexibility to create your own rigging system.", "Premier Kayak Detachable Fishing Rod Leash/ Paddle Leash", "Premier Kayak Detachable Fishing Rod Leash/ Paddle Leash: Sports & Outdoors", "future", "open", "open", "", "premier-kayak-detachable-fishing-rod-leash-paddle-leash", "", "", "2013-06-26 13:47:42", "2013-06-26 13:47:42", "", "0", "http://blogsforsales.com/kayak/premier-kayak-detachable-fishing-rod-leash-paddle-leash/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("403", "1", "2013-06-26 15:27:10", "2013-06-26 15:27:10", "Featuring a roomy cockpit, a stable, efficient hull, anchor trolley and more. The Vapor 10 Angler will help you access hard to reach places and navigate quietly through the water so you can sneak up on your catch. FEATURES: * Adjustable Comfort Flex seat * Molded-in cockpit dash board * Cup holder * Thigh pads * Stern day well * Deck bungee * Adjustable foot braces * Molded-in paddle rest * Built in carry handles * Two flush mounted rod holders * Anchor trolley system * Drain Plug SPECIFICATIONS: * Length: 10&#039; / 3 m * Width: 28.5&quot; / 72.4 cm * Cockpit: 19.5&quot; x 48&quot; / 49.5 x 121.9 cm * Deck Height: 16.75&quot; / 42.6 cm * Weight 44 lbs / 20 kg * Max Load Range 375 - 325 lbs / 124.7 - 147.4 kg", "Old Town 10-Feet Vapor 10 Angler Recreational Fishing Kayak", "Old Town 10-Feet Vapor 10 Angler Recreational Fishing Kayak (Camo) : : Sports & Outdoors", "future", "open", "open", "", "old-town-10-feet-vapor-10-angler-recreational-fishing-kayak", "", "", "2013-06-26 15:27:10", "2013-06-26 15:27:10", "", "0", "http://blogsforsales.com/kayak/old-town-10-feet-vapor-10-angler-recreational-fishing-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("404", "1", "2013-06-26 17:08:17", "2013-06-26 17:08:17", "DECENT FEATURES of the Advanced Elements AdvancedFrame Kayak Bungee Deck Lacing D-Ring Tie Down Inflatable Coaming Neoprene Paddle Guard Folding Seat Welded Seams Spring Valve Tracking Fin The SPECS Person: 1 Length: 10&#039; 5&quot; Width: 32&quot; Weight: 36 lbs / 16 kg Maximum Weight: 300 lbs / 136 kg Chambers: 7 Folded Size: 30 x 17 x 13&quot;", "Advanced Elements AdvancedFrame Kayak", "Advanced Elements AdvancedFrame Inflatable Kayak : : Sports & Outdoors", "future", "open", "open", "", "advanced-elements-advancedframe-kayak", "", "", "2013-06-26 17:08:17", "2013-06-26 17:08:17", "", "0", "http://blogsforsales.com/kayak/advanced-elements-advancedframe-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("405", "1", "2013-06-27 10:23:59", "2013-06-27 10:23:59", "If you?re like an overprotective parent and your kayak is your baby, you?ll want our safest and most secure boat transportation system. Top-of the line HullGuard padding uses EVA foam for superior boat protection. Plus, the rack folds down when it?s not in use, for better aerodynamics and easier access to your garage. J-Cradle design for carrying a single touring, recreational or whitewater kayak, New SteelCore construction utilizes a steel, substrate encased in durable foam padding, Folds down flat when not in use for the ultimate in rooftop clearance, integrated ramp system assists in loading your boat Hullguard pads protect and keep your boat looking brand new, Locks to crossbar with SKS locking system, Includes 1 pair of Heavy Duty Straps, with padded buckles, Includes Bow-Stern Tie down Straps to complete kayak stability, Integrated bottle opener, Fits round, square and most factory crossbars out of the box.", "Yakima Bowdown Kayak Rack", "Yakima BowDown Rooftop Kayak Rack with Tie Down : : Sports & Outdoors", "future", "open", "open", "", "yakima-bowdown-kayak-rack", "", "", "2013-06-27 10:23:59", "2013-06-27 10:23:59", "", "0", "http://blogsforsales.com/kayak/yakima-bowdown-kayak-rack/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("406", "1", "2013-06-27 11:42:53", "2013-06-27 11:42:53", "Need extra roof space for cargo or a second kayak yet concerned about gas mileage? Turn to the low-profile SeaWing kayak/cargo carrier, which is truly in a class by itself.\nThe carrier&#039;s mid-point mounting leaves enough room to transport a second kayak (requires another carrier). The SeaWing combines a single saddle design with mid-point mounting, making it easy to set up while providing extra roof space. Boaters can use this roof space to add a second kayak--the only bottom-down carrier in the market that encourages such versatility. The SeaWing&#039;s low profile, meanwhile, flexes gently to cradle your boat while you drive, keeping air resistance at a minimum. And the SeaWing works with most vehicles thanks to the universal-fit Jawz mounting hardware, which fits round, square, and most factory oval cross rails. The carrier even transfers to another vehicle in minutes--no tools required.\n Construction features include corrosion-free polycarbon for the frame, ribbed synthetic rubber for the padding, cam-style load straps with buckle protectors, and 50mm and 60mm pre-coated mounting bolts (larger bolts are available for purchase if necessary). Compatible with the Malone Stinger load assist module, the SeaWing measures 27 by 5 by 6 inches (W x H x D) and supports up to 70 pounds.\n About Malone Auto Racks\nMalone is the fastest-growing rack accessory company in North America, with a track record of more than 10 years of industry leadership and innovation. The company&#039;s products are sold in more than 1,500 outdoor online and retail stores throughout the U.S., Canada, Australia, and Europe. Malone operates from the coast of Maine, helping the company stay true to its mission and values. Everything Malone sells must be &quot;simple to sell, simple to install, and simple to use.&quot; The company is built to enhance its customers&#039; enjoyment of rivers, lakes, and oceans while minimizing their carbon footprint through aerodynamic transport design and complete material recycling.", "Malone SeaWing Saddle Style Universal Car Rack Kayak Carrier with Bow and Stern Lines", "Malone SeaWing Saddle Style Universal Car Rack Kayak Carrier with Bow and Stern Lines: Sports & Outdoors", "future", "open", "open", "", "malone-seawing-saddle-style-universal-car-rack-kayak-carrier-with-bow-and-stern-lines", "", "", "2013-06-27 11:42:53", "2013-06-27 11:42:53", "", "0", "http://blogsforsales.com/kayak/malone-seawing-saddle-style-universal-car-rack-kayak-carrier-with-bow-and-stern-lines/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("407", "1", "2013-06-27 13:16:40", "2013-06-27 13:16:40", "The Advanced Elements AdvancedFrame™ covertible kayak is a 15-ft kayak that can be paddled solo or tandem. It features 2, adjustable padded back supports for comfortable seating durable, double-coated fabric. A dry storage compartment and bungee deck lacing allow you to take along important gear.", "Advanced Elements Advancedframe Convertible Kayak", "Advanced Elements AdvancedFrame Convertible Inflatable Kayak : : Sports & Outdoors", "future", "open", "open", "", "advanced-elements-advancedframe-convertible-kayak", "", "", "2013-06-27 13:16:40", "2013-06-27 13:16:40", "", "0", "http://blogsforsales.com/kayak/advanced-elements-advancedframe-convertible-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("408", "1", "2013-06-27 14:55:44", "2013-06-27 14:55:44", "Imagine blasting down a white water river--with spray flying everywhere and your heart beating like a drum--or silently paddling down a mirror-smooth lake at dawn. A pleasant dream? Definitely, but also a slice of attainable reality with the Sea Eagle 330 inflatable kayak. Designed to hold up to 500 pounds but weighing only 26 pounds itself, the 330 can up to two adults and gear, but only needs one adult to carry it to the water. It&#039;s even tough enough to withstand dog claws thanks to the 33 mm polykrylar hull, I-beam construction, and high-frequency welded seams. Your four-legged friend can therefore stand tall while you do all the work.\n The Sea Eagle 330 canoe packs down to fit in a storage bag, yet has enough cargo space for several days worth of camping supplies. And it&#039;s versatile enough for plenty of uses, from fishing to yacht tending to skin-diving. It can even handle up to Class III whitewater. Other details include inflatable spray skirts, front and rear rope handles, and a self-bailing drain valve (a handy feature on whitewater rivers or ocean surf). This pro version of the Sea Eagle 330 also comes with two 8-foot AB30 paddles, two kayak seats, a foot pump, and a storage bag. The kayak measures 134 inches long and 34 inches wide and carries a three-year warranty.\n\n Specifications: Exterior: 11&#039; 2&quot; x 2&#039; 10&quot; Interior: 9&#039; 6&quot; x 1&#039; 1&quot; Deflated: 24&quot; x 16&quot; x 7&quot; Tube Diameter: 9&quot; Capacity: 2 Adults or 500 pounds Weight: 26 pounds Chambers: Three (port, starboard &amp; floor) Material: 33 mil Polykrylar Seam: High Frequency Welded Floor: Inflatable I-beam construction Air Valves: Three, deluxe one-way Inflation and Assembly Time: 6 minutes", "Sea Eagle 330 Inflatable Kayak with Pro Package", "Sea Eagle 330 Inflatable Kayak with Pro Package: Sports & Outdoors", "future", "open", "open", "", "sea-eagle-330-inflatable-kayak-with-pro-package", "", "", "2013-06-27 14:55:44", "2013-06-27 14:55:44", "", "0", "http://blogsforsales.com/kayak/sea-eagle-330-inflatable-kayak-with-pro-package/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("409", "1", "2013-06-27 16:13:00", "2013-06-27 16:13:00", "The Boone Blue Kayak Crib 2 Paddles are a safe, convenient way to store your kayaks. The patented paddles are easy to install onto any wall in a cabin, house, or garage. Made of reinforced, steel-plated tubes, the paddles are 15 inches deep and provide a secure fit for almost all kayaks. No messy, unsightly straps of any kind are needed and you can load the kayak in a matter of seconds. All fasteners for installation are included with the paddles.", "Boone Blue Kayak Crib 2 Paddles", "Boone Blue Kayak Crib 2 Paddles : : Sports & Outdoors", "future", "open", "open", "", "boone-blue-kayak-crib-2-paddles", "", "", "2013-06-27 16:13:00", "2013-06-27 16:13:00", "", "0", "http://blogsforsales.com/kayak/boone-blue-kayak-crib-2-paddles/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("410", "1", "2013-06-27 17:17:39", "2013-06-27 17:17:39", "Scupper. ItAAAs hard to say it without smiling, or even chuckling a little to yourself. ItAAAs just one of those fun words. But more to the point, scuppers help block the holes in the cockpit of your sit-on-top kayak so your paddling shorts stay a bit dryer in the spring and fall. Grab the Ocean Kayak Scupper Stoppers and extend your season a bit. Check what size your kayak needs, and keep in mind that sometimes your kayak will need more than one size.\n\nProduct FeaturesMaterial: Weight: Recommended Use: kayakingManufacturer Warranty:", "Ocean Kayak Scupper Stoppers - 2 Pack", "Ocean Kayak Scupper Stoppers - 2 Pack: Sports & Outdoors", "future", "open", "open", "", "ocean-kayak-scupper-stoppers-2-pack", "", "", "2013-06-27 17:17:39", "2013-06-27 17:17:39", "", "0", "http://blogsforsales.com/kayak/ocean-kayak-scupper-stoppers-2-pack/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("411", "1", "2013-06-28 11:02:43", "2013-06-28 11:02:43", "Keep your sunglasses safe with our new sunglass retainer strap. 1&quot; width provides maximum comfort around the neck and ultra stretch design keeps your sunglasses securely attached. 19&quot; length insures maximum comfort. Longer strap than most other brands! Made in USA! INSTRUCTIONS: The holes on the ends of the eyewear retainer are designed to stretch over the arms on your sunglasses. This material stretches in 8 different directions so although the hole may seem small, it is designed to stretch over your sunglasses with a very tight fit. Simply hold the tip of the strap between your thumb and index finger with the hole facing away from you and push the end of your sunglass arms directly in to the opening. The fit should be snug and secure.", "Neoprene sunglasses and eyewear retainer. By Premier Kayak", "Neoprene sunglasses and eyewear retainer. By Premier Kayak : : Sports & Outdoors", "future", "open", "open", "", "neoprene-sunglasses-and-eyewear-retainer-by-premier-kayak", "", "", "2013-06-28 11:02:43", "2013-06-28 11:02:43", "", "0", "http://blogsforsales.com/kayak/neoprene-sunglasses-and-eyewear-retainer-by-premier-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("412", "1", "2013-06-28 14:03:42", "2013-06-28 14:03:42", "Our exclusive design greatly decreases the amount of splash from your paddle. Have a blast on the water all day long and stay dry. No more soaked lap, wet shirt, or spotty sunglasses. We&#039;ve tried these little wonders for countless hours and absolutely love them. These splash guards are made of a very grippy neoprene rubber that keeps them firmly attached to your paddle. Great for single piece paddles where it is nearly impossible to put standard drip rings on. These splash guards wrap around the shaft of your paddle and fasten shut with Velcro fastener. Its Patent Pending Cone shape holds water on the upstroke and drops it right back on the down stroke. An incredible improvement to any size or shape paddle. Sold in pairs. Made in the USA Patent Pending.", "Premier Kayak Paddle Splash Guards. 4 PACK. No more paddle drip. Two pairs for two paddles.", "Premier Kayak Paddle Splash Guards. 4 PACK. No more paddle drip. Two pairs for two paddles.: Sports & Outdoors", "future", "open", "open", "", "premier-kayak-paddle-splash-guards-4-pack-no-more-paddle-drip-two-pairs-for-two-paddles", "", "", "2013-06-28 14:03:42", "2013-06-28 14:03:42", "", "0", "http://blogsforsales.com/kayak/premier-kayak-paddle-splash-guards-4-pack-no-more-paddle-drip-two-pairs-for-two-paddles/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("413", "1", "2013-06-28 16:51:35", "2013-06-28 16:51:35", "Developed on the coast of Maine to withstand brutal crosswinds and crippling saltwater corrosion, the Malone AutoLoader J-style car rack kayak carrier sets the standard for kayak transport.\nThe AutoLoader&#039;s J-style cradles hold kayaks up to 70 pounds. The AutoLoader is equipped with a pair of J-style cradles, which combine to securely hold kayaks as heavy as 70 pounds. The AutoLoader is also the only carrier on the market with a built-in boarding ramp for easy loading and unloading. You can make loading even easier by adding a Telos load-assist module (sold separately), which lets a single paddler load a kayak without help. Once the boat is in place, you can use the pair of 12-foot cam buckle straps to secure the kayak to the cradles and the bow and stern lines to keep it stable. Throughout your drive, the cradles will flex to fit the boat for better contact and security.\n The AutoLoader installs on vehicles with round, square, and most factory oval cross rails using the universal-fit Jawz mounting hardware. Plus, you can easily transfer the AutoLoader to another vehicle in minutes--no tools required. Corrosion-free and UV-resistant, the J-style cradles measure 14 by 16 by 6 inches (W x H x D) each.\n About Malone Auto Racks\nMalone is the fastest-growing rack accessory company in North America, with a track record of more than 10 years of industry leadership and innovation. The company&#039;s products are sold in more than 1,500 outdoor online and retail stores throughout the U.S., Canada, Australia, and Europe. Malone operates from the coast of Maine, helping the company stay true to its mission and values. Everything Malone sells must be &quot;simple to sell, simple to install, and simple to use.&quot; The company is built to enhance its customers&#039; enjoyment of rivers, lakes, and oceans while minimizing their carbon footprint through aerodynamic transport design and complete material recycling.", "Malone AutoLoader XV J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines", "Malone AutoLoader XV J-Style Universal Car Rack Kayak Carrier with Bow and Stern Lines : : Sports & Outdoors", "future", "open", "open", "", "malone-autoloader-xv-j-style-universal-car-rack-kayak-carrier-with-bow-and-stern-lines", "", "", "2013-06-28 16:51:35", "2013-06-28 16:51:35", "", "0", "http://blogsforsales.com/kayak/malone-autoloader-xv-j-style-universal-car-rack-kayak-carrier-with-bow-and-stern-lines/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("414", "1", "2013-06-29 10:43:09", "2013-06-29 10:43:09", "Kayak Paddle - A good portable kayak paddle at a great price. The 3-section aluminum and plastic paddle is 86 inches long. Break it down for compact storage (stows in a 6” x 22” x 3” space).", "AIRHEAD AHTK-P1 Kayak Paddle 3 Section Aluminum", "AIRHEAD AHTK-P1 Kayak Paddle 3 Section Aluminum: Sports & Outdoors", "future", "open", "open", "", "airhead-ahtk-p1-kayak-paddle-3-section-aluminum", "", "", "2013-06-29 10:43:09", "2013-06-29 10:43:09", "", "0", "http://blogsforsales.com/kayak/airhead-ahtk-p1-kayak-paddle-3-section-aluminum/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("415", "1", "2013-06-29 13:21:30", "2013-06-29 13:21:30", "The Sevylor QuickPak is the grab-and-go kayak. Portable and lightweight with an integrated backpack storage system, the QuickPak easily folds up into a backpack. Just unpack and inflate, and you&#039;re ready to go. The 1-Person QuickPak holds up to 250 pounds and measures 10&#039; long by 3&#039; wide. It&#039;s durably constructed of 900D polyester on top, and 1000D x 1000D polyester laminated with 24-gauge PVC on bottom. There&#039;s room for your gear, with a storage area, multiple D-rings, and bungee lacing. A spray skirt provides protection, while tracking fins make for easier steering. A paddle is included, as well as a dual-action hand pump for inflation. Guaranteed not to leak, thanks to Sevylor&#039;s exclusive Airtight System, the boat&#039;s Double-Lock and Mini Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation.", "Sevylor QuikPak K5 Inflatable Kayak", "Sevylor QuikPak K5 Inflatable Kayak: Sports & Outdoors", "future", "open", "open", "", "sevylor-quikpak-k5-inflatable-kayak", "", "", "2013-06-29 13:21:30", "2013-06-29 13:21:30", "", "0", "http://blogsforsales.com/kayak/sevylor-quikpak-k5-inflatable-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("416", "1", "2013-06-29 16:51:50", "2013-06-29 16:51:50", "The Lifetime® 6&#039; Wave™ kayak is specifically designed to be safe and durable for kids ages 5 and up, or up to 130 lbs. Featuring great stability, a swim-up step, scupper holes, and much more, the Wave is perfect for recreational kayaking.", "Lifetime Wave Kayak 6\'", "Lifetime Wave Kayak 6\' : : Sports & Outdoors", "future", "open", "open", "", "lifetime-wave-kayak-6", "", "", "2013-06-29 16:51:50", "2013-06-29 16:51:50", "", "0", "http://blogsforsales.com/kayak/lifetime-wave-kayak-6/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("417", "1", "2013-06-30 11:02:40", "2013-06-30 11:02:40", "box has shelf ware and paper pulls, product is very beautiful. Brand New 2013 Intex Challenger K1Kayak Set! Take on the water with ease with the Intex Challenger K1 Inflatable Kayak! Built with a strong and durable material impervious to the elements and resistant to damage and sunlight, the Intex Challenger Kayak is perfect for a day on the lake or a calm paddle down the river. The complete kit - 84&quot; aluminum dual-bladed paddle, patch repair kit and high-output hand pump are included! Features The Intex Challenger Kayak set includes kayak, set of 84&quot; aluminum double bladed paddle, repair kit and hand pump Streamlied design is great for easy paddling, and low-profile is ideal for lake and leisurely river paddling Roomy, spacious cockpit for one paddler includes an inflatable seat with backrest Inflatable I-beam floor provides a rigid surface and additional comfort Hard plastic skegs on the underside help provide directional control Grab line on both ends for an easy pull in and out of the water Front cargo net for extra storage of essential on the go gear Sporty color and graphics for a great look and additional safety U.S Coast Guard ID and certified by the National Marine Manufacturer&#039;s Association (NMMA) Weight capacity: 220 LBS Dimensions: 108&quot; x 30&quot; x 13&quot; Warranty: 30 Day Intex Warranty Against Manufacturing Defects Includes 2013 Challenger K1 Kayak Set Carrying Bag 84&quot; Double Bladed Paddle High Volume Inflation Pump", "Intex One Person Challenger K1 Inflatable Kayak Kit with Paddle & Pump l 68305EP", "Intex One Person Challenger K1 Inflatable Kayak Kit with Paddle & Pump l 68305EP : : Sports & Outdoors", "future", "open", "open", "", "intex-one-person-challenger-k1-inflatable-kayak-kit-with-paddle-pump-l-68305ep", "", "", "2013-06-30 11:02:40", "2013-06-30 11:02:40", "", "0", "http://blogsforsales.com/kayak/intex-one-person-challenger-k1-inflatable-kayak-kit-with-paddle-pump-l-68305ep/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("418", "1", "2013-06-30 13:46:48", "2013-06-30 13:46:48", "Inflatable kayaks are perfect for camping, vacationing, exploring remote areas, and cruising yachts. They&#039;re also great for paddling enthusiasts that don&#039;t want to drive around with a kayak on their rooftop! This 12-foot travel kayaks fits easily into the trunk of your car, duffel bag or suitcase. When you feel the itch to paddle, your boat is with you. Tubular I-beam floor supports the boat for superior comfort, buoyancy, and tracking and is made of high-visibility orange PVC for extra safety on the water.\n\nThe Travel Kayak seats 2 comfortably for on-water fun. Features: 12-foot, 2-man inflatable kayak individuals; more spacious than 10-foot model Designed for lakes and moderate white water Lightweight, compact, portable Highly visible orange for safety Semi-rigid heavy gauge PVC construction Tubular I-beam floor for superior comfort, buoyancy and tracking Spray covers fore and aft Movable and removable inflatable seats provide great back support 2 Boston valves for quick inflating &amp; deflating Threaded drain hole with plug Designed for lakes and moderate white water Lightweight, compact and portable Semi-rigid, heavy-gauge PVC construction Front and back spray covers Low drag and superior tracking with 4 bottom fins All 3 air chambers are completely enclosed by rugged 840-denier nylon with UV and water-resistant coatings Durable tri-laminate reinforcements on the bottom Neoprene elbow guards for comfort Easy to inflate and deflate Stainless steel and nylon hardware will not corrode 6 D-rings at bow and stern for securing gear, stretch net in bow Low drag, superior tracking Grab handles for easy put-ins and take-outs\n Specifications: Capacity: 2 Length: 12 feet Weighs: 36.3 pounds Weight Capacity: 500 pounds", "AIRHEAD AHTK-2 Montana Performance 2 Person Kayak", "AIRHEAD AHTK-2 Montana Performance 2 Person Kayak: Sports & Outdoors", "future", "open", "open", "", "airhead-ahtk-2-montana-performance-2-person-kayak", "", "", "2013-06-30 13:46:48", "2013-06-30 13:46:48", "", "0", "http://blogsforsales.com/kayak/airhead-ahtk-2-montana-performance-2-person-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("419", "1", "2013-06-30 16:05:37", "2013-06-30 16:05:37", "The EZ Rack is a great way to store your boat. This rack can work on our Free-Standing Storage Systems with optional mounting bracket.", "Suspenz EZ Kayak Rack", "Suspenz EZ Kayak Rack: Sports & Outdoors", "future", "open", "open", "", "suspenz-ez-kayak-rack", "", "", "2013-06-30 16:05:37", "2013-06-30 16:05:37", "", "0", "http://blogsforsales.com/kayak/suspenz-ez-kayak-rack/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("420", "1", "2013-07-01 10:42:23", "2013-07-01 10:42:23", "Think Rain has been designing and producing gifts for kayak and canoe paddlers since 1998. We pride ourselves on quality products, reasonable prices and quick shipping. Whether you decide on a decal, shirt, hat or license plate we are certain you will be pleased.", "Great Kayak Goodluck Charm", "Great Kayak Goodluck Charm : : Sports & Outdoors", "future", "open", "open", "", "great-kayak-goodluck-charm", "", "", "2013-07-01 10:42:23", "2013-07-01 10:42:23", "", "0", "http://blogsforsales.com/kayak/great-kayak-goodluck-charm/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("421", "1", "2013-07-01 12:19:33", "2013-07-01 12:19:33", "The Vapor 10 is one of Old Town’s newest get-in-and-go kayaks. This sporty kayak offers a stable efficient, and comfortable ride and is designed to cover a wide variety of paddling activities. Ideal for lakes, estuaries and protected waters, The Vapor 10 goes way beyond the basics with features. With the adjustable Comfort Flex seat with a padded seat, adjustable foot braces, and thigh pads, you get a secure and comfortable paddling position. The molded-in paddle rest gives you a place for your paddle while you’re eating of shooting photographs of your friends. The cockpit dash offers a cup holder and storage for small items. Built in sturdy grab handles make loading and unloading a breeze. Like other Vapor series models, the truly revolutionary design feature of the Vapor 10 is the stern Day Well. The outer edges of the Day Well are higher than the cockpit rim and well above the water; your lunch and other items stay dry above the waves and out of the dripped-in and tracked-in mud and water in the bilge of the kayak. Also available are the Old Town Vapor 10XT and 12XTS models which include a cover on the Day Well to keep your belongings out of the sun and rain, a bungee to hold your paddle in the paddle-park, additional seat and seat-back padding, and a bungees iPad storage area for your portable elctronics. For a longer stiffer tracking model of the Vapor, check out the Vapor 12, Vapor 12S or Vapor 12XTS. Made in USA.\n\n Specifications: Length 10&#039; / 3 m, Width 28.5&quot; / 72.4 cm, Cockpit 19.5&quot; x 48&quot; / 49.5 x 121.9 cm, Depth 16.75&quot; / 42.6 cm, Weight 48 lbs / 21.8 kg, Max Load Range 275 - 325 lbs / 124.7 - 147.4 kg", "Old Town Canoes and Kayaks 10 Vapor Recreational Kayak", "Old Town Canoes and Kayaks 10 Vapor Recreational Kayak, Sunrise: Sports & Outdoors", "future", "open", "open", "", "old-town-canoes-and-kayaks-10-vapor-recreational-kayak", "", "", "2013-07-01 12:19:33", "2013-07-01 12:19:33", "", "0", "http://blogsforsales.com/kayak/old-town-canoes-and-kayaks-10-vapor-recreational-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("422", "1", "2013-07-01 13:59:22", "2013-07-01 13:59:22", "A fun, beginner-friendly boat with a nice collection of comfort features. Ideal for kids or smaller paddlers.", "Pelican Pursuit 80X Kayak, Fade Blue/Yellow", "Pelican Pursuit 80X Kayak, Fade Blue/Yellow : : Sports & Outdoors", "future", "open", "open", "", "pelican-pursuit-80x-kayak-fade-blueyellow", "", "", "2013-07-01 13:59:22", "2013-07-01 13:59:22", "", "0", "http://blogsforsales.com/kayak/pelican-pursuit-80x-kayak-fade-blueyellow/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("423", "1", "2013-07-01 15:25:15", "2013-07-01 15:25:15", "KAYAK PADDLE X-II ~ 84&quot; BL/WT", "Shoreline Marine X-II Kayak Paddle", "Shoreline Marine X-II Kayak Paddle : : Sports & Outdoors", "future", "open", "open", "", "shoreline-marine-x-ii-kayak-paddle", "", "", "2013-07-01 15:25:15", "2013-07-01 15:25:15", "", "0", "http://blogsforsales.com/kayak/shoreline-marine-x-ii-kayak-paddle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("424", "1", "2013-07-01 16:59:09", "2013-07-01 16:59:09", "Shoreline Marine Kayak Pull Handle is made of high impact plastic, and has a comfortable contoured grip handle with braided cord.", "Shoreline Marine Kayak Pull Handle", "Shoreline Marine Kayak Pull Handle: Sports & Outdoors", "future", "open", "open", "", "shoreline-marine-kayak-pull-handle", "", "", "2013-07-01 16:59:09", "2013-07-01 16:59:09", "", "0", "http://blogsforsales.com/kayak/shoreline-marine-kayak-pull-handle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("425", "1", "2013-07-02 11:25:41", "2013-07-02 11:25:41", "The Intex Challenger Kayaks two person unit is designed for twice as much fun. They come with 84&quot; aluminum oars and a high-output hand pump. Hard plastic skegs on the underside of the kayak (similar to the underside of a surfboard) provide directional control so you can be sure you&#039;ll get where you want to go. The kayaks feature inflatable seats with backrests, inflatable I-beam floors, grab lines on both ends, and U.S. Coast Guard I.D. Includes gear net. Features: - Two quick-fill, fast-deflate Boston valves on main hull chamber - Inflatable I-beam floor for comfort and rigidity - Rugged SUPER-TOUGH vinyl construction - Two adjustable seats with backrests - US Coast Guard I.D. - TUV approved - Weight Capacity: 350 lbs", "NEW INTEX 2 Person Challenger K2 Inflatable Kayak+Pump", "NEW INTEX 2 Person Challenger K2 Inflatable Kayak+Pump: Everything Else", "future", "open", "open", "", "new-intex-2-person-challenger-k2-inflatable-kayakpump", "", "", "2013-07-02 11:25:41", "2013-07-02 11:25:41", "", "0", "http://blogsforsales.com/kayak/new-intex-2-person-challenger-k2-inflatable-kayakpump/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("426", "1", "2013-07-02 13:03:37", "2013-07-02 13:03:37", "Pelican&#039;s Apex 130T was designed for those who enjoy sharing their on-water experience with family and friends. This self-bailing sit-on-top tandem kayak is stable and maneuverable and has plenty of storage and space for two. Adjustable padded backrests make your time on the water more comfortable. Pelican uses Twin Sheet Thermoforming to produce the industry&#039;s stiffest, strongest and most durable polyethylene kayaks.", "Pelican Apex 130T Kayak, Orange", "Pelican Apex 130T Kayak, Orange: Sports & Outdoors", "future", "open", "open", "", "pelican-apex-130t-kayak-orange", "", "", "2013-07-02 13:03:37", "2013-07-02 13:03:37", "", "0", "http://blogsforsales.com/kayak/pelican-apex-130t-kayak-orange/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("427", "1", "2013-07-02 15:16:43", "2013-07-02 15:16:43", "The SoftTrek deluxe kayak seat will provide welcome relief and support to your back and butt. Built with a thermo-molded EVA foam seat and ergonomic contours, your posterior will thank you. Your back will appreciate the firm support and comfort. Paddle longer, paddle better.", "Seattle Sports Softtrek Deluxe Kayak Seat", "Seattle Sports Softtrek Deluxe Kayak Seat: Sports & Outdoors", "future", "open", "open", "", "seattle-sports-softtrek-deluxe-kayak-seat", "", "", "2013-07-02 15:16:43", "2013-07-02 15:16:43", "", "0", "http://blogsforsales.com/kayak/seattle-sports-softtrek-deluxe-kayak-seat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("428", "1", "2013-07-02 17:04:22", "2013-07-02 17:04:22", "Exact replacement for broken or lost Ocean Kayak bow or stern carry handle. Minimal easy snap-together assembly required.", "Ocean Kayak Replacement Toggle Handle Kit", "Ocean Kayak Replacement Toggle Handle Kit: Sports & Outdoors", "future", "open", "open", "", "ocean-kayak-replacement-toggle-handle-kit", "", "", "2013-07-02 17:04:22", "2013-07-02 17:04:22", "", "0", "http://blogsforsales.com/kayak/ocean-kayak-replacement-toggle-handle-kit/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("429", "1", "2013-07-03 10:40:16", "2013-07-03 10:40:16", "Designed for touring, this compact Sevylor kayak paddle features a 5-piece, telescoping design for easy porting and packing. It combines a strong, corrosion-free anodized aluminum shaft with spoon-shaped blades for excellent maneuverability. The shaft measures 89 inches long and features two drip rings. The 7.75-inch wide nylon blades give you control even in the roughest waters. Made in China.", "Sevylor Aluminum-Shaft Kayak Paddle", "Sevylor Aluminum-Shaft Kayak Paddle: Sports & Outdoors", "future", "open", "open", "", "sevylor-aluminum-shaft-kayak-paddle", "", "", "2013-07-03 10:40:16", "2013-07-03 10:40:16", "", "0", "http://blogsforsales.com/kayak/sevylor-aluminum-shaft-kayak-paddle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("430", "1", "2013-07-03 12:04:37", "2013-07-03 12:04:37", "Hate the cold water running down your paddle shaft and onto your hands and arms? Easily mounted drip rings fit over take-apart paddles and catch those irritating drips.", "Harmony Drain Plug Kit", "Harmony Drain Plug Kit : : Sports & Outdoors", "future", "open", "open", "", "harmony-drain-plug-kit", "", "", "2013-07-03 12:04:37", "2013-07-03 12:04:37", "", "0", "http://blogsforsales.com/kayak/harmony-drain-plug-kit/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("431", "1", "2013-07-03 13:07:27", "2013-07-03 13:07:27", "Inflatable kayaks are perfect for camping, vacationing, exploring remote areas, and cruising yachts. They&#039;re also great for paddling enthusiasts that don&#039;t want to drive around with a kayak on their rooftop. This 9-foot travel kayaks fits easily into the trunk of your car, duffel bag, or suitcase. When you feel the itch to paddle, your boat is with you. Tubular I-beam floor supports the boat for superior comfort, buoyancy, and tracking and is made of high-visibility orange PVC for extra safety on the water.\n\nThe Travel Kayak seats 1 comfortably for on-water fun. Features: 9-foot, 1-man inflatable kayak Designed for lakes and moderate white water Lightweight / compact / portable Highly visible orange for safety Semi-rigid heavy gauge PVC construction Tubular I-beam floor for superior comfort, buoyancy and tracking Spray covers fore and aft Movable and removable inflatable seats provide great back support 2 Boston valves for quick inflating &amp; deflating Threaded drain hole with plug Designed for lakes and moderate white water Lightweight, compact and portable Semi-rigid, heavy-gauge PVC construction Front and back spray covers Low drag and superior tracking with 4 bottom fins All 3 air chambers are completely enclosed by rugged 840-denier nylon with UV and water-resistant coatings Durable tri-laminate reinforcements on the bottom Neoprene elbow guards for comfort Easy to inflate and deflate Stainless steel and nylon hardware will not corrode 6 D-rings at bow and stern for securing gear, stretch net in bow Low drag, superior tracking Grab handles for easy put-ins and take-outs\n Specifications: Capacity: 1 Length: 9 feet, 9 inches Weighs: 27.7 pounds Weight Capacity: 300 pounds", "AIRHEAD AHTK-1 Montana Performance 1 Person Kayak", "AIRHEAD AHTK-1 Montana Performance 1 Person Kayak: Sports & Outdoors", "future", "open", "open", "", "airhead-ahtk-1-montana-performance-1-person-kayak", "", "", "2013-07-03 13:07:27", "2013-07-03 13:07:27", "", "0", "http://blogsforsales.com/kayak/airhead-ahtk-1-montana-performance-1-person-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("432", "1", "2013-07-03 14:27:21", "2013-07-03 14:27:21", "A fantastic solution to store your kayaks, paddleboard, SUP, surfboard, or any of your bulky items.", "Sparehand Systems Black Kayak Rack", "Sparehand Systems Black Kayak Rack: Sports & Outdoors", "future", "open", "open", "", "sparehand-systems-black-kayak-rack", "", "", "2013-06-14 19:43:47", "2013-06-14 19:43:47", "", "0", "http://blogsforsales.com/kayak/sparehand-systems-black-kayak-rack/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("433", "1", "2013-07-03 15:50:34", "2013-07-03 15:50:34", "Take your Ocean Kayaks sit-on-top kayak out for the day and stay comfortable with the Comfort Pro Backrest. The thermo-molded foam supports your back so you can stay out longer. Ocean Kayaks gave the Comfort Pro Backrest a padded seat, too, so you not only stay comfortable, you stay drier.\n\nProduct FeaturesMaterial: foamClaimed Weight: Recommended Use: Manufacturer Warranty: 1 year", "Ocean Kayak Comfort Pro Backrest", "Ocean Kayak Comfort Pro Backrest (Grey) : : Sports & Outdoors", "future", "open", "open", "", "ocean-kayak-comfort-pro-backrest", "", "", "2013-06-14 19:43:47", "2013-06-14 19:43:47", "", "0", "http://blogsforsales.com/kayak/ocean-kayak-comfort-pro-backrest/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("434", "1", "2013-07-03 17:25:38", "2013-07-03 17:25:38", "Stackable and easy to lock up through the molded-in front handle, the Escape 9 is the boat of choice for the chalet or to complement your rental fleet. Its arched hull design with drain holes make it a convenient, durable and agile kayak, fast for its length and is a blast to take in the surf too! Features sit-on-top high back outfitting, 5-inch day hatch, drainplug, three rubber handles and one molded-in anti-theft handle, molded-in footrests, rear deck shock cord storage, and cup holder. The kayak measures 9 feet by 29 inches and weighs 37 pounds; dry hatch: 5-inch diameter.", "Riot Kayaks Escape 9 Sit-On-Top Flatwater Recreational Kayak (White/Blue, 9-Feet)", "Riot Kayaks Escape 9 Sit-On-Top Flatwater Recreational Kayak (White/Blue, 9-Feet) : : Sports & Outdoors", "future", "open", "open", "", "riot-kayaks-escape-9-sit-on-top-flatwater-recreational-kayak-whiteblue-9-feet", "", "", "2013-06-14 19:43:47", "2013-06-14 19:43:47", "", "0", "http://blogsforsales.com/kayak/riot-kayaks-escape-9-sit-on-top-flatwater-recreational-kayak-whiteblue-9-feet/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("435", "1", "2013-07-04 10:34:10", "2013-07-04 10:34:10", "This Malone MicroSport Trailer Package is the perfect combination of affordability, quality, and design reliability. This premium built kayak trailer is designed specifically for kayaks, canoes, cargo boxes and bikes. The steel frame can support over 350 lbs. and resists rust for years thanks to it’s galvanized finish. The crossbars are equipped with four pairs of Malone J-Pro2 J-style kayak saddles so you can easily transport four kayaks. The load bars are a standard rectangular shape and are thus compatible with rack accessories form most other brands. The extended heavy-duty tongue allows you to haul boats up to 19&#039; in length. Galvanized wheels will have you rolling in style, and a galvanized spare wheel with tire offers peace of mind. Easy to assemble and use, each trailer kit comes with complete detailed award-winning instructions, as well as pre-fitted electrical, mechanical, and hub assemblies. Eliminate the headaches of loading boats, bikes and luggage onto your vehicle&#039;s roof, and save on gas by having your gear ride in your slipstream. This reliable MicroSport Trailer Package is perfect for transporting four kayaks and save you almost $79 over buying the items separately.", "Malone Auto Racks MicroSport Trailer Kayak Transport Package with 4 Malone J-Pro2 Kayak Carriers", "Malone Auto Racks MicroSport Trailer Kayak Transport Package with 4 Malone J-Pro2 Kayak Carriers : : Sports & Outdoors", "future", "open", "open", "", "malone-auto-racks-microsport-trailer-kayak-transport-package-with-4-malone-j-pro2-kayak-carriers", "", "", "2013-06-14 19:43:47", "2013-06-14 19:43:47", "", "0", "http://blogsforsales.com/kayak/malone-auto-racks-microsport-trailer-kayak-transport-package-with-4-malone-j-pro2-kayak-carriers/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("436", "1", "2013-07-04 13:29:29", "2013-07-04 13:29:29", "The EZ Kayak Seat by Seattle Sports offers added comfort to your kayak so you can sit and paddle comfortably longer. The silver seat area reflects light and doesn&#039;t trap heat from sun exposure so it stays cooler than other seats. With brass-plated snap hooks, the adjustable straps easily hook in to boat eyelets for quick and easy fastening.\n Features and Specifications: Silver seat doesn&#039;t trap heat and stays cool in the sun Brass-plated snap hooks Adjustable straps hook in to boat eyelets for quick and easy fastening Seat Dimensions: 12 by 14 inches (H x W) Back Dimensions: 16 by 23 inches Depth .5 inches Weight: 1 pound", "Seattle Sports EZ Kayak Seat", "Seattle Sports EZ Kayak Seat: Sports & Outdoors", "future", "open", "open", "", "seattle-sports-ez-kayak-seat", "", "", "2013-06-14 19:43:47", "2013-06-14 19:43:47", "", "0", "http://blogsforsales.com/kayak/seattle-sports-ez-kayak-seat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("437", "1", "2013-07-04 14:33:30", "2013-07-04 14:33:30", "A great choice for serious kayaking, the Sevylor Whitewater Kayak Paddle measures 90.5 Inch long with 7 Inch-wide blades. The anodized aluminum shaft is lightweight and super-strong, featuring a cold-weather grip with blade indicator and 2 drip rings. This 4-section breakdown paddle is great for traveling and easy to store. The blades are spoon-shaped, fiberglass-charged polypropylene.", "Sevylor Whitewater Kayak Paddle", "Sevylor Whitewater Kayak Paddle: Sports & Outdoors", "future", "open", "open", "", "sevylor-whitewater-kayak-paddle", "", "", "2013-06-14 19:43:47", "2013-06-14 19:43:47", "", "0", "http://blogsforsales.com/kayak/sevylor-whitewater-kayak-paddle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("438", "1", "2013-07-04 16:30:34", "2013-07-04 16:30:34", "Premier Kayak 2 in 1 paddle gear combo set. Save BIG money on this combo set. Includes our popular Paddle Splash Guard (1 pair) and one Gripper Paddle leash. Paddle Splash Guard: Our exclusive design greatly decreases the amount of splash from your paddle. Have a blast on the water all day long and stay dry. No more soaked lap, wet shirt, or spotty sunglasses. These splash guards are made of a very grippy neoprene rubber that keeps them firmly attached to your paddle. Great for single piece paddles where it is nearly impossible to put standard drip rings on. These splash guards wrap around the shaft of your paddle and fasten shut with hook and loop fastener. Its Patent Pending Cone shape holds water on the upstroke and drops it right back on the down stroke. An incredible improvement to any size or shape paddle. Sold in pairs. Made in the USA Patent Pending. Gripper Paddle Leash: We have stripped the paddle leash to its bare essentials. No more heavy coils or soaked tubular webbing. We created the lightest and most comfortable paddle leash. It is constructed of stretchy hook and loop that is lined with a special paddle shaft-gripping material. Once you attach the strap to your paddle, it stays exactly where you put it. We use nylon fasteners and shock cord specifically designed for outdoor use. Made in the USA.", "Kayak paddle 2 in 1 accessory set. Great gift!", "Kayak paddle 2 in 1 accessory set. Great gift! : : Sports & Outdoors", "future", "open", "open", "", "kayak-paddle-2-in-1-accessory-set-great-gift", "", "", "2013-06-14 19:43:47", "2013-06-14 19:43:47", "", "0", "http://blogsforsales.com/kayak/kayak-paddle-2-in-1-accessory-set-great-gift/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("439", "1", "2013-07-05 10:38:44", "2013-07-05 10:38:44", "The Dirigo 106 offers stability, speed, and comfort in a short manueverable kayak. The Old Town Stabil-Form hull is ideally suited for beginner and intermediate paddlers for use in a wide range of paddling situations. The Dirigo 106 offers comfortable seating, a fully appointed dashboard, deck bungee, and Old Town&#039;s revolutionary Click Seal hatch. Sized perfectly for small to mid-sized paddlers, the Dirigo 106 will accommdate up to 250-300 lbs. FEATURES: * OT Cushioned Seat * Click Seal hatch with bulkhead * Glove box hatch for keys, wallet * Thigh pads * Adjustable foot braces * Retractable carry handles * Paddle keeper * Cup holder * Deck bungee * Safety perimeter line * Stabil-form™ hull design * Durable three layer construction SPECIFICATIONS: * Length: 10&#039; 6&quot; / 3.2 m * Width: 27.75&quot; / 70.5 cm * Cockpit: 18.5&quot; x 38&quot; / 46.9 x 96.5 cm * Deck Height: 14&quot; / 35.6 cm * Weight 44 lbs / 20 kg * Max Load Range 250 - 300 lbs / 113.4 - 136 kg", "Old Town 10-Feet 6-Inch Dirigo 106 Recreational Kayak", "Old Town 10-Feet 6-Inch Dirigo 106 Recreational Kayak (Sunrise) : : Sports & Outdoors", "future", "open", "open", "", "old-town-10-feet-6-inch-dirigo-106-recreational-kayak", "", "", "2013-06-14 19:43:47", "2013-06-14 19:43:47", "", "0", "http://blogsforsales.com/kayak/old-town-10-feet-6-inch-dirigo-106-recreational-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("440", "1", "2013-07-05 12:09:45", "2013-07-05 12:09:45", "Kayak Paddle Basic Blade 84&quot;", "Shoreline Marine Kayak Paddle Basic Blade, 84-Inch", "Shoreline Marine Kayak Paddle Basic Blade, 84-Inch : : Sports & Outdoors", "future", "open", "open", "", "shoreline-marine-kayak-paddle-basic-blade-84-inch", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "0", "http://blogsforsales.com/kayak/shoreline-marine-kayak-paddle-basic-blade-84-inch/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("441", "1", "2013-07-05 14:06:51", "2013-07-05 14:06:51", "DECENT FEATURES of the Advanced Elements Lagoon 1 Kayak Bungee Deck Lacing Durable Fabric Cover Mesh Pocket Paddle Loops Inflatable Coaming Inner Tube Cover Folding Seat Spring Valve Rubber Molded Handles The SPECS Person: 1 Length: 8&#039; 4&quot; Width: 34&quot; Weight: 23 lbs / 10 kg Maximum Weight: 250 lbs / 113 kg Chambers: 6 Folded Size: 29 x 18 x 5&quot;", "Advanced Elements Lagoon 1 Kayak", "Advanced Elements Lagoon 1 Person Inflatable Kayak: Sports & Outdoors", "future", "open", "open", "", "advanced-elements-lagoon-1-kayak", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "0", "http://blogsforsales.com/kayak/advanced-elements-lagoon-1-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("442", "1", "2013-07-05 15:29:12", "2013-07-05 15:29:12", "Pelican&#039;s 6-foot Solo is a highly functional sit-on-top kayak that is simply scaled down in size to suit smaller paddlers. Superior stability means more confidence for kids; open cockpit means less worry for parents.", "Pelican Solo Kayak, Yellow", "Pelican Solo Kayak, Yellow : : Sports & Outdoors", "future", "open", "open", "", "pelican-solo-kayak-yellow", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "0", "http://blogsforsales.com/kayak/pelican-solo-kayak-yellow/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("443", "1", "2013-07-05 17:22:24", "2013-07-05 17:22:24", "The Lasso Kayak Security Cable is the strongest anti-theft device available for your kayak! Made from 1/4 in. vinyl coated galvanized steel aircraft cable, this security device also features an integrated tamper proof lock. Resetable 4 number combination lock. The Tandem Kayak Cable has bigger loops than the original and is made specifically for Tandem, Sit-on-Tops Kayaks as well as Recreational Boats. The Kong features a cable that is twice as thick as the original, a bigger lock and can be opened with either a key or combination for added versatility.", "Lasso Kayak Security Cable", "Harmony Lasso Security Cable for Touring Kayaks: Sports & Outdoors", "future", "open", "open", "", "lasso-kayak-security-cable", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "0", "http://blogsforsales.com/kayak/lasso-kayak-security-cable/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("444", "1", "2013-07-06 10:43:33", "2013-07-06 10:43:33", "Premier Kayak bungee paddle leash with new cinch lock strap is a great addition to your kayak gear. Generous 4 feet of 5 mm shock cord is great for all paddling styles. USA made fasteners and bungee are made for outdoor use and won&#039;t fade, corrode or lock up. Awesome solution for fishing rod leashes, electronics, sports cameras, hd cameras, etc. Easily attaches and removes for ease of use. For recreational use only. Not a safety device. Made in USA.", "Premier Kayak Bungee Paddle Leash / Accessory leash", "Premier Kayak Bungee Paddle Leash / Accessory leash : : Sports & Outdoors", "future", "open", "open", "", "premier-kayak-bungee-paddle-leash-accessory-leash", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "0", "http://blogsforsales.com/kayak/premier-kayak-bungee-paddle-leash-accessory-leash/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("445", "1", "2013-07-06 12:04:59", "2013-07-06 12:04:59", "Komplete Konvenience, Kleverly Krafted. The Kayak Konsole offers ease of use and functionality all in one. The inspired hinged hatch with built-in cam levers for dry seal offers easy and unhindered access to contents, while the universal cupholders accommodate everything from travel mugs to 32 oz bottles. Additionally, recessed mounting surfaces for rod holder mounts and a mesh pocket conclude the generous list of features. This console will fit most recreational kayak cockpits and secures via bungee cord under the rim coaming.", "Harmony Kayak Konsole with Dry Hatch", "Harmony Kayak Konsole with Dry Hatch: Sports & Outdoors", "future", "open", "open", "", "harmony-kayak-konsole-with-dry-hatch", "", "", "2013-06-14 19:45:32", "2013-06-14 19:45:32", "", "0", "http://blogsforsales.com/kayak/harmony-kayak-konsole-with-dry-hatch/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("446", "1", "2013-07-06 14:17:52", "2013-07-06 14:17:52", "10 Piece Nylon Pad Eye Set, Hole Spacing is 13/8&quot; Inch For use with Lanyards / Ropes Up To 3/8&quot; Inch Thick Holes Sized for #10 Screw Also Available in White Screws / Fastener&#039;s Not Included", "Nylon Deck Loop, Pad Eye, Tie Down, Kayak Deck Loops, Black, 10 Pieces", "Nylon Deck Loop, Pad Eye, Tie Down, Kayak Deck Loops, Black, 10 Pieces: Everything Else", "future", "open", "open", "", "nylon-deck-loop-pad-eye-tie-down-kayak-deck-loops-black-10-pieces", "", "", "2013-06-14 19:45:25", "2013-06-14 19:45:25", "", "0", "http://blogsforsales.com/kayak/nylon-deck-loop-pad-eye-tie-down-kayak-deck-loops-black-10-pieces/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("447", "1", "2013-07-06 15:40:23", "2013-07-06 15:40:23", "At 32 pounds, you can take this 2-person inflatable kayak just about anywhere--down the river, on the lake, or even out to sea. It will hold up to 500 pounds and carry two adults and gear, but only requires one person to carry it to and from the water. You can even take your dog out with you--the rugged Polykrylar hull is tough enough to withstand dog paws and claws. The SE370 packs down to fit in a storage bag, but has cargo space to hold camping supplies for several days. An inflatable canoe can be used for fishing, yacht tending or skin diving. For river runners, this kayak can handle up to class III whitewater.\n The SE370 features an extra thick 33 millimeter Polykrylar hull, I-beam construction floor for extra rigidity, inflatable spray skirts, removable inflatable front and rear seat, front and rear rope handles, and a self-bailing drain valve (a handy feature on white water rivers or in ocean surf). Two molded skegs provide great tracking and speed and allows your kayak to track smoothly across the water to maximize your paddling effort. High-frequency welded seams are welded with 10,000 volts of power that ensure the fusion of the material into one solid piece to ensure this boat lives a long life. Remarkably stable, durable, and portable, this lightweight kayak is a convenient choice for any paddler.\n\nThe package includes kayak, two canoe seats, foot pump, oar set, carry bag, repair kit, and instructions. What&#039;s in the Box? 2-person inflatable kayak, oar set, foot pump, two canoe seats, carry bag, repair kit, and instructions. Features: 2-person inflatable kayak NMMA Certified Self bailing drain valve Three deluxe one-way valves Lashed down inflatable spray skirts I-beam construction floor 2 skegs on the bottom for better tracking &amp; speed Pressure gauge and repair kit Bow &amp; stern grab line\n Specifications: Interior: 10 feet, 8 inches by 1 foot, 1 inch Exterior: 12 feet, 6 inches by 2 feet, 10 inches Deflated: 31 by 19 by 8 inches Tube Diameter: 9 inches Capacity: 3 persons or 650 pounds Weight: 32 pounds Chambers: 3 (port, starboard and floor) Material: 38 mil PolyKrylor (K80 PVC) Seam: High-frequency welded Floor: Inflatable I-beam construction Air Valves: 5 deluxe 1-way Inflation &amp; Assembly time: 8 minutes", "Sea Eagle SE370 Inflatable Kayak with Deluxe Package", "Sea Eagle SE370 Inflatable Kayak with Deluxe Package : : Sports & Outdoors", "future", "open", "open", "", "sea-eagle-se370-inflatable-kayak-with-deluxe-package", "", "", "2013-06-14 19:45:13", "2013-06-14 19:45:13", "", "0", "http://blogsforsales.com/kayak/sea-eagle-se370-inflatable-kayak-with-deluxe-package/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("448", "1", "2013-07-06 17:05:41", "2013-07-06 17:05:41", "Premier Kayak Gripper Sport paddle leash offers all of the great features of our deluxe paddle leash at an affordable price. Our Sport leash comes with a 1&quot; stretch strap with our famous gripper insert and 4mm bungee cord. We use the same nylon outdoor grade hardware as our deluxe leash which eliminates locked up and corroded fasteners. Can be used as a recreational paddle or accessory leash to keep your paddle and accessories safe. Makes a great Fishing Rod Leash. For recreational kayaking only, not to be used as a safety device. Made in USA.", "Premier Kayak Sport Paddle Leash", "Premier Kayak Sport Paddle Leash : : Sports & Outdoors", "future", "open", "open", "", "premier-kayak-sport-paddle-leash", "", "", "2013-06-14 19:45:04", "2013-06-14 19:45:04", "", "0", "http://blogsforsales.com/kayak/premier-kayak-sport-paddle-leash/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("449", "1", "2013-07-07 11:21:01", "2013-07-07 11:21:01", "This pair of rubber drip rings will slip on to most paddle shafts. Drip rings divert the water from running down the shaft on to the kayaker directly, so whether replacing worn out rings or adding to inexpensive paddle. Drip rings are a must have item for any kayaker.", "Shoreline Marine Kayak Paddle Drip Rings", "Shoreline Marine Kayak Paddle Drip Rings: Sports & Outdoors", "future", "open", "open", "", "shoreline-marine-kayak-paddle-drip-rings", "", "", "2013-06-14 19:44:56", "2013-06-14 19:44:56", "", "0", "http://blogsforsales.com/kayak/shoreline-marine-kayak-paddle-drip-rings/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("450", "1", "2013-07-07 14:12:52", "2013-07-07 14:12:52", "A sit-on-top you can stand up and paddle! The Ocean Kayak Nalu paddle board is a stable platform for any beginning to intermediate paddler or paddle boarder. Perfect in flat water or moderate surf, the Nalu delivers a different kind of fun on the water.\n\nFEATURES: Hybrid molded-in seating area, Storage bungee, Two carrying handles, Comfortable foot wells, Molded-in integral fins\n<!--more-->\nSEATING: Seats one\n\nSPECIFICATIONS: LENGTH 11&#039; / 3.3 m, WIDTH 31-Inch / 78.7 cm, WEIGHT 40 lbs / 18.1 kg, MAX CAPACITY 225-275 lbs / 102.1 - 124.7 kg", "Ocean Kayak 11-Feet Nalu Hybrid Stand-Up-Sit-On-Top Paddleboard", "Ocean Kayak Nalu Hybrid Stand-Up-Paddleboard Sit-On-Top Kayak (11-Feet / Sunrise) : : Sports & Outdoors", "future", "open", "open", "", "ocean-kayak-11-feet-nalu-hybrid-stand-up-sit-on-top-paddleboard", "", "", "2013-06-14 19:43:46", "2013-06-14 19:43:46", "", "0", "http://blogsforsales.com/kayak/ocean-kayak-11-feet-nalu-hybrid-stand-up-sit-on-top-paddleboard/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("451", "1", "2013-07-07 16:28:46", "2013-07-07 16:28:46", "The Malone Saddle Up Pro universal car rack kayak carrier is the perfect option when considering transport for one kayak. The loading saddles allow the boat to nestle into the flexible profile of the cradles. This carrier is ideal for larger sit on top recreational and fishing kayaks.", "Malone Saddle Up Pro Universal Car Rack Kayak Carrier (Set of 4) with Bow and Stern Lines", "Malone Saddle Up Pro Universal Car Rack Kayak Carrier (Set of 4) with Bow and Stern Lines : : Sports & Outdoors", "future", "open", "open", "", "malone-saddle-up-pro-universal-car-rack-kayak-carrier-set-of-4-with-bow-and-stern-lines", "", "", "2013-06-14 19:44:47", "2013-06-14 19:44:47", "", "0", "http://blogsforsales.com/kayak/malone-saddle-up-pro-universal-car-rack-kayak-carrier-set-of-4-with-bow-and-stern-lines/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("452", "1", "2013-06-14 19:31:18", "2013-06-14 19:31:18", "An ideal budget option for canoeists, the Malone standard canoe kit includes everything you need to haul a single canoe on short trips. The canoe kit comes with four 6-inch non-skid universal foam blocks to hold the canoe in place, along with two 15-foot tie-down cords, a 15-foot heavy-duty strap, a set of bow and stern safety tie-downs, and four S-hooks. The blocks are made of high-quality EVA closed-cell foam, ensuring a soft ride for your canoe. The tie-downs, meanwhile, fit to the front, rear, and sides of your vehicle for maximum safety. (The kit also fits round, square, or factory oval cross rails.) Finally, the kit comes with a re-usable storage container and carrying case.\n About Malone Auto Racks\nMalone is the fastest-growing rack accessory company in North America, with a track record of more than 10 years of industry leadership and innovation. The company&#039;s products are sold in more than 1,500 outdoor online and retail stores throughout the U.S., Canada, Australia, and Europe. Malone operates from the coast of Maine, helping the company stay true to its mission and values. Everything Malone sells must be &quot;simple to sell, simple to install, and simple to use.&quot; The company is built to enhance its customers&#039; enjoyment of rivers, lakes, and oceans while minimizing their carbon footprint through aerodynamic transport design and complete material recycling.", "Malone Standard Foam Block Universal Car Top Canoe Carrier Kit", "Malone Standard Foam Block Universal Car Top Canoe Carrier Kit : : Sports & Outdoors", "publish", "open", "open", "", "malone-standard-foam-block-universal-car-top-canoe-carrier-kit", "", "", "2013-06-14 19:31:18", "2013-06-14 19:31:18", "", "0", "http://blogsforsales.com/kayak/malone-standard-foam-block-universal-car-top-canoe-carrier-kit/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("453", "1", "2013-06-14 19:31:20", "2013-06-14 19:31:20", "Mount a trolling motor to virtually any boat! Great for Jon boats, pontoons, deck boats, dinghies and most other transom-mount boats. Universal Trolling Motor Bracket adjusts into four positions and removes easily when not in use. Features a quick-release pull-knob and 3.5&#039;&#039; x 4&#039;&#039; mounting footprint. Includes mounting hardware.", "Shoreline Marine Canoe/Kayak Trolling Motor Mount", "Shoreline Marine Canoe/Kayak Trolling Motor Mount: Sports & Outdoors", "publish", "open", "open", "", "shoreline-marine-canoekayak-trolling-motor-mount", "", "", "2013-06-14 19:31:20", "2013-06-14 19:31:20", "", "0", "http://blogsforsales.com/kayak/shoreline-marine-canoekayak-trolling-motor-mount/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("454", "1", "2013-06-14 19:31:23", "2013-06-14 19:31:23", "The Sevylor Colorado Inflatable Canoe combines the stability, maneuverability and sea-worthiness of a kayak with the comfort, styling and familiarity of the traditional North American canoe. Measuring 10&#039;9&quot; long by 3&#039;1&quot; wide, the Colorado&#039;s raised bow and stern and double-hull construction make it extra-rugged and rigid, so it&#039;s ideal for rough waters, lakes, ocean, fishing and diving. This two-person canoe holds up to 500 pounds; it&#039;s made of durable 18-gauge PVC with a 420D nylon cover and a rugged, fabric-reinforced bottom. It features directional strakes for maximum steering control, and built-in oar holders. The elevated bucket seats have storage compartments in back, while the canoe also features removable stern storage. D-rings and tie-downs provide a handy place to attach extra gear. A convenient nylon carry bag is included. Guaranteed not to leak, thanks to Sevylor&#039;s exclusive Airtight System, the kayak&#039;s Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Inflatable Colorado Hunting and Fishing Canoe, 2-Person", "Sevylor Inflatable Colorado Hunting and Fishing Canoe, 2-Person: Sports & Outdoors", "publish", "open", "open", "", "sevylor-inflatable-colorado-hunting-and-fishing-canoe-2-person", "", "", "2013-06-14 19:31:23", "2013-06-14 19:31:23", "", "0", "http://blogsforsales.com/kayak/sevylor-inflatable-colorado-hunting-and-fishing-canoe-2-person/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("455", "1", "2013-06-14 19:31:25", "2013-06-14 19:31:25", "The Carlisle Outfitter Raft Paddle is built to take the abuses of the river. The Carlisle Raft Paddle is favored by commercial outfitters for its high strength-to-weight ratio, this 7.5&quot; x 21.5&quot; reinforced blade is fitted with a 1-1/8&quot; aluminum shaft. The shaft is covered with high-density polyethylene to provide a grip that resists nicks, dents and oxidation, and gives a warmer feel than bare aluminum.", "Carlisle Outfitter Poly Clad Aluminum Canoe or Rafting Paddle with T-Grip (Yellow/Blue, 66-Inch)", "Carlisle Outfitter Poly Clad Aluminum Canoe or Rafting Paddle with T-Grip (Yellow/Blue, 66-Inch) : : Sports & Outdoors", "publish", "open", "open", "", "carlisle-outfitter-poly-clad-aluminum-canoe-or-rafting-paddle-with-t-grip-yellowblue-66-inch", "", "", "2013-06-14 19:31:25", "2013-06-14 19:31:25", "", "0", "http://blogsforsales.com/kayak/carlisle-outfitter-poly-clad-aluminum-canoe-or-rafting-paddle-with-t-grip-yellowblue-66-inch/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("456", "1", "2013-06-14 19:31:27", "2013-06-14 19:31:27", "Design patented the Canoe Crib protects your Canoe with worry free storage. The bent paddle designed rack is easy to install and the fasteners are included. At 18 inches deep this hanger will hold virtually all Canoes. Provides a secure fit, so no straps are needed and it loads in seconds. A beautiful way to display your Canoe. Good paddlin..", "Boone Blue Canoe Crib 2 Paddles Hanger", "Boone Blue Canoe Crib 2 Paddles Hanger : : Sports & Outdoors", "publish", "open", "open", "", "boone-blue-canoe-crib-2-paddles-hanger", "", "", "2013-06-14 19:31:27", "2013-06-14 19:31:27", "", "0", "http://blogsforsales.com/kayak/boone-blue-canoe-crib-2-paddles-hanger/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("457", "1", "2013-06-14 19:31:29", "2013-06-14 19:31:29", "The Nemo Extremo is a tough, heavy-duty boat cart that is designed to carry your canoe , kayak and gear to and from the water with ease. Designed to be used under the center of the boat, this cart is constructed of 25mm anodized aluminum frame which withstands rugged terrain and heavy loads. No need to worry about tires going flat since the Nemo Extremo features air-free tires. Folds flat and wheels easily come off for compact storage. Included cinch straps keep boat secure while bumping over uneven terrain.", "Seattle Sports Nemo Extremo Boat Cart", "Seattle Sports Nemo Extremo Canoe and Kayak Cart: Sports & Outdoors", "publish", "open", "open", "", "seattle-sports-nemo-extremo-boat-cart", "", "", "2013-06-14 19:31:29", "2013-06-14 19:31:29", "", "0", "http://blogsforsales.com/kayak/seattle-sports-nemo-extremo-boat-cart/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("458", "1", "2013-06-14 19:31:31", "2013-06-14 19:31:31", "The TurboMite cart is a feisty little powerful vehicle that can carry your kayak and then some across pavement, down trails and across packed sand beaches. Built of 25mm gauge aluminum, its frame is designed to carry up to 150 lbs. of boat and gear! The TurboMite kayak cart frame collapses and wheels easily remove to be stored behind the seat in most rec kayaks or in a hatch of a touring boat. A lot of cart in a small package.", "Seattle Sports TurboMite Kayak Cart", "Seattle Sports Turbomite Canoe and Kayak Carrier : : Sports & Outdoors", "publish", "open", "open", "", "seattle-sports-turbomite-kayak-cart", "", "", "2013-06-14 19:31:31", "2013-06-14 19:31:31", "", "0", "http://blogsforsales.com/kayak/seattle-sports-turbomite-kayak-cart/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("459", "1", "2013-06-14 19:31:33", "2013-06-14 19:31:33", "The mount allows you to affix a gas or electric motor to any Old Town canoe. The Old Town Standard Motor Mount allows you to affix a gas or electric motor to any Old Town canoe for added power and versatility. A heavy-duty aluminum bracket can hold engines up to three horsepower, and the mount attaches without wrenches�simply hand-tighten to the gunwales of your canoe for a sure, sturdy grip.\n About Old Town\nOld Town has a long tradition of innovative technology, dating back to 1898, when the company built its first wood-and-canvas canoe, based on a Native American birch bark design. In 1940, the company rendered the traditional seal-skin kayak design in more durable wood-and-canvas, and later introduced lightweight fiberglass models in the &#039;50s.\n Today, Old Town continually strives to advance the art of paddling through design improvements and lighter, more durable materials, such as three-layer polyethylene and Superlinear technologies.", "Old Town Canoe Motor Mount", "Old Town Canoe Motor Mount : : Sports & Outdoors", "publish", "open", "open", "", "old-town-canoe-motor-mount", "", "", "2013-06-14 19:31:33", "2013-06-14 19:31:33", "", "0", "http://blogsforsales.com/kayak/old-town-canoe-motor-mount/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("460", "1", "2013-06-14 19:31:35", "2013-06-14 19:31:35", "The mount allows you to affix a gas or electric motor to any Old Town canoe for left- or right-handed operation. The Old Town Standard Motor Mount allows you to affix a gas or electric motor to any Old Town canoe for added power and versatility. This mount moves the motor away from the side of the canoe, making it more comfortable to operate while looking forward. A heavy-duty, rust-free aluminum bracket can hold engines up to three horsepower.\n Installation and removal are quick and easy, and the hardwood block provides a sure mounting surface for electric motors. The mount can be adjusted for left- or right-handed operation. Note it will not fit wood-trimmed canoes.\n About Old Town\nOld Town has a long tradition of innovative technology, dating back to 1898, when the company built its first wood-and-canvas canoe, based on a Native American birch bark design. In 1940, the company rendered the traditional seal-skin kayak design in more durable wood-and-canvas, and later introduced lightweight fiberglass models in the &#039;50s.\n Today, Old Town continually strives to advance the art of paddling through design improvements and lighter, more durable materials, such as three-layer polyethylene and Superlinear technologies.", "Old Town Side Saddle Canoe Motor Mount", "Old Town Side Saddle Canoe Motor Mount : : Sports & Outdoors", "publish", "open", "open", "", "old-town-side-saddle-canoe-motor-mount", "", "", "2013-06-14 19:31:35", "2013-06-14 19:31:35", "", "0", "http://blogsforsales.com/kayak/old-town-side-saddle-canoe-motor-mount/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("461", "1", "2013-06-14 19:31:37", "2013-06-14 19:31:37", "The Malone HandiKart is the latest in canoe and kayak ground transport innovation. Built with a stainless steel folding frame and a high grip rubber surface, this cart can disassemble and fit into the cock pit of most kayaks. The 10” all terrain Camba wheel technology allows easy maneuverability through dirt and sand. A built-in load strap and buckle makes securing the canoe or kayak a quick and simple process.", "Malone  Handicart Kayak / Canoe Cart", "Malone Handicart Kayak / Canoe Cart : : Sports & Outdoors", "publish", "open", "open", "", "malone-handicart-kayak-canoe-cart", "", "", "2013-06-14 19:31:37", "2013-06-14 19:31:37", "", "0", "http://blogsforsales.com/kayak/malone-handicart-kayak-canoe-cart/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("462", "1", "2013-06-14 19:31:39", "2013-06-14 19:31:39", "AE2027 Features: -Inflatable boat repair kit.-Material: PVC repair. Includes: -Includes tube of adhesive, instructions and materials to repair Advanced Elements products.", "Advanced Elements Boat Repair Kit", "Advanced Elements Boat Repair Kit: Sports & Outdoors", "publish", "open", "open", "", "advanced-elements-boat-repair-kit", "", "", "2013-06-14 19:31:39", "2013-06-14 19:31:39", "", "0", "http://blogsforsales.com/kayak/advanced-elements-boat-repair-kit/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("463", "1", "2013-06-14 19:31:41", "2013-06-14 19:31:41", "The FLAT Rack is a great way to store just about anything including your boat. This rack can work on our Free-Standing Storage Systems with optional mounting bracket.", "Suspenz Flat Canoe Rack", "Suspenz Flat Canoe Rack: Sports & Outdoors", "publish", "open", "open", "", "suspenz-flat-canoe-rack", "", "", "2013-06-14 19:31:41", "2013-06-14 19:31:41", "", "0", "http://blogsforsales.com/kayak/suspenz-flat-canoe-rack/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("464", "1", "2013-06-14 19:31:44", "2013-06-14 19:31:44", "This complete anchor system from Kwik-Tek is in a class by itself. The 3-1/3 pound, 4-fluke folding anchor will hold in mud, sand, gravel, and rock. Designed for boats, sailboats, personal watercraft, inflatable boats, canoes, and float tubes, the anchor is coated to protect finishes. Its durable nylon storage case is padded for added protection and to dampen noise while the anchor is stowed. This system Fits under most boat seats, in PWC storage compartments, or in PWC storage canisters. The 25-foot long marine-grade rope with an in-line buoy is spliced to the anchor and a heavy-duty stainless steel snap hook.", "KWIK TEK A-2 Complete Folding Anchor System", "KWIK TEK A-2 Complete Folding Anchor System : : Sports & Outdoors", "publish", "open", "open", "", "kwik-tek-a-2-complete-folding-anchor-system", "", "", "2013-06-14 19:31:44", "2013-06-14 19:31:44", "", "0", "http://blogsforsales.com/kayak/kwik-tek-a-2-complete-folding-anchor-system/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("465", "1", "2013-06-14 19:31:46", "2013-06-14 19:31:46", "Canoe in comfort. The Super Seat gives back support and cushioning for more comfort and less fatigue. Straps firmly to the seat and adjusts for angle. The bench-style Super Seat is also great used as a camp chair for sitting around the fire. Fits most web or cane canoe seats.", "Wenonah Super Seat For Canoe Bench Seats", "Wenonah Super Seat For Canoe Bench Seats: Sports & Outdoors", "publish", "open", "open", "", "wenonah-super-seat-for-canoe-bench-seats", "", "", "2013-06-14 19:31:46", "2013-06-14 19:31:46", "", "0", "http://blogsforsales.com/kayak/wenonah-super-seat-for-canoe-bench-seats/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("466", "1", "2013-06-14 19:31:49", "2013-06-14 19:31:49", "Danuu Deluxe Kayak Storage Cover - Developed for kayakers by kayakers, here is an easy to use, lightweight drop-on cover that will protect your kayak. These kayak covers are 100% UV-resistant polyester with a water-resistant coating. The cover drops into place over your kayak, and is fully adjustable for a custom fit. Simply tighten the four side straps, pull the drawstring snug around the hull, and you are ready for either storage or transport. If needed, V-loops along the side give you additional tiedown points. Further adding the functionality, the attached Flag Bag means no more hunting for a red flag for your boat while cartopping! When the kayak cover is off, a few folds store the cover directly into the bag. There are no metal parts to rust and all seams are double stitched and reinforced throughout the kayak cover. Add years to the life of your boat by protecting it from the sun and elements with a Danuu Deluxe Kayak Storage Cover.", "Danuu Deluxe Kayak Storage Cover", "Shop Danuu at The Amazon Shoe and Handbag Store. Free Super Saver Shipping + Free Returns on Qualified Orders.", "publish", "open", "open", "", "danuu-deluxe-kayak-storage-cover", "", "", "2013-06-14 19:31:49", "2013-06-14 19:31:49", "", "0", "http://blogsforsales.com/kayak/danuu-deluxe-kayak-storage-cover/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("467", "1", "2013-06-14 19:31:51", "2013-06-14 19:31:51", "If youAAAve ever had to call off a day on the water because you strained you back getting your kayak from the car to the water, or find that you spend an inordinate amount of time and effort shuttling the boat and all your gear back and forth, youAAAll appreciate the beauty of the Harmony Boat Cart. Simply pull this folding aluminum carrier from the car, set up the kickstand for easy loading, and strap your boat on to the padded frame (straps included). Then youAAAre on your way over sand, mud, or rough trails, easily pulling your boatAAAand your gear for the dayAAAbehind you. Got that picture in mind? Now imagine your usual drill. Case closed.\n\nProduct FeaturesMaterial: Lengths: Claimed Weight: Recommended Use: Manufacturer Warranty:", "Harmony Kayak/Canoe Cart", "Harmony Kayak/Canoe Cart One Color, All Terrain Wheels: Sports & Outdoors", "publish", "open", "open", "", "harmony-kayakcanoe-cart", "", "", "2013-06-14 19:31:51", "2013-06-14 19:31:51", "", "0", "http://blogsforsales.com/kayak/harmony-kayakcanoe-cart/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("468", "1", "2013-06-14 19:31:54", "2013-06-14 19:31:54", "The Sevylor Rio Inflatable Canoe combines the stability, maneuverability and sea-worthiness of a kayak with the comfort, styling and familiarity of the traditional North American canoe. Measuring 9&#039;10&quot; long by 3&#039;1&quot; wide, the Rio&#039;s raised bow and stern and double-hull construction make it extra-rugged and rigid, so it&#039;s ideal for rough waters, lakes, ocean, fishing and diving. This one-person canoe holds up to 350 pounds; it&#039;s made of durable 18-gauge PVC with a 420D nylon cover and a rugged, fabric-reinforced bottom. It features directional strakes for maximum steering control, and built-in oar holders. The elevated bucket seat has storage compartments in back, while the canoe also features removable stern storage. D-rings and tie-downs provide a handy place to attach extra gear. A convenient nylon carry bag is included. Guaranteed not to leak, thanks to Sevylor&#039;s exclusive Airtight System, the kayak&#039;s Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Inflatable Rio Hunting and Fishing Canoe, 1-Person", "Sevylor Inflatable Rio Hunting and Fishing Canoe, 1-Person : : Sports & Outdoors", "publish", "open", "open", "", "sevylor-inflatable-rio-hunting-and-fishing-canoe-1-person", "", "", "2013-06-14 19:31:54", "2013-06-14 19:31:54", "", "0", "http://blogsforsales.com/kayak/sevylor-inflatable-rio-hunting-and-fishing-canoe-1-person/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("469", "1", "2013-06-14 19:31:56", "2013-06-14 19:31:56", "10 Piece Lashing Hook for your Kayak, Canoe, Raft, Paddle Board Black Nylon Material, Hook is 5/8&quot; Width Opening, 15/16&quot; long, 7/16&quot; wide", "Lashing Hook for Kayak, Canoe, Paddle Board, Black Nylon, 10 Piece", "Lashing Hook for Kayak, Canoe, Paddle Board, Black Nylon, 10 Piece: Everything Else", "publish", "open", "open", "", "lashing-hook-for-kayak-canoe-paddle-board-black-nylon-10-piece", "", "", "2013-06-14 19:31:56", "2013-06-14 19:31:56", "", "0", "http://blogsforsales.com/kayak/lashing-hook-for-kayak-canoe-paddle-board-black-nylon-10-piece/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("470", "1", "2013-06-14 19:31:58", "2013-06-14 19:31:58", "The Vapor 12s is one of Old Town’s newest get-in-and-go kayaks. This sporty kayak offers a stable efficient, and comfortable ride and is designed to cover a wide variety of paddling activities. Ideal for lakes, estuaries and protected waters, The Vapor 12s goes way beyond the basics with features. With the adjustable Comfort Flex seat with a padded seat, adjustable foot braces, and thigh pads, you get a secure and comfortable paddling position. The molded-in paddle rest gives you a place for your paddle while you’re eating of shooting photographs of your friends. The cockpit dash offers a cup holder and storage for small items. Built in sturdy grab handles make loading and unloading a breeze. Like other Vapor series models, the truly revolutionary design feature of the Vapor 12s is the stern Day Well. The outer edges of the Day Well are higher than the cockpit rim and well above the water; your lunch and other items stay dry above the waves and out of the dripped-in and tracked-in mud and water in the bilge of the kayak. Also available are the Old Town Vapor 10XT and 12XTS models which include a cover on the Day Well to keep your belongings out of the sun and rain, a bungee to hold your paddle in the paddle-park, additional seat and seat-back padding, and a bungees iPad storage area for your portable elctronics. Made in USA.\n\n Specifications: Length 12&#039; / 3.7 m, Width 27.5&quot; / 69.9 cm, Cockpit 19.5&quot; x 47&quot; / 49.5 x 119.4 cm, Depth 16.25&quot; / 41.3 cm, Weight 54 lbs / 24.5 kg, Max Load Range 275 - 325 lbs / 124.7 - 147.4 kg", "Old Town Canoes and Kayaks 12S Vapor Recreational Kayak", "Old Town Canoes and Kayaks 12S Vapor Recreational Kayak, Sunrise: Sports & Outdoors", "publish", "open", "open", "", "old-town-canoes-and-kayaks-12s-vapor-recreational-kayak", "", "", "2013-06-14 19:31:58", "2013-06-14 19:31:58", "", "0", "http://blogsforsales.com/kayak/old-town-canoes-and-kayaks-12s-vapor-recreational-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("471", "1", "2013-06-14 19:32:01", "2013-06-14 19:32:01", "The Intex Mariner 3 is our flagship 3-person Professional Series watercraft. Featuring Super-Tough construction, made with 3 separate layers of material for extra strength and durability; two outer layers of heavy gauge PVC laminated to an inner layer of polyester mesh for extra reinforcement. Designed for rowing or an optional outboard battery-powered trolling motor.", "Intex Mariner 3 Boat Set, Grey", "Intex Mariner 3 Boat Set, Grey : : Sports & Outdoors", "publish", "open", "open", "", "intex-mariner-3-boat-set-grey", "", "", "2013-06-14 19:32:01", "2013-06-14 19:32:01", "", "0", "http://blogsforsales.com/kayak/intex-mariner-3-boat-set-grey/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("472", "1", "2013-06-14 19:32:03", "2013-06-14 19:32:03", "The Old Town Heron Jr Kayak is an award-winning boat just for your kids. Nimble, maneuverable, and easy for any kid to paddle, this boat glides fast and boasts rock-solid stability. Padded seating keeps your child comfortable on the lake or the pond and, when his or her arms get tired, the Tag Along system makes it easy to tow this kayak behind your own.\n\nProduct FeaturesHull Material: single-layer polyethyleneLength: 7 ft 5 inWidth: 2 ft 1 inMaximum Load: 115 lbBow Hatch Dimensions: Cockpit Dimensions: 16.25 x 35 inDay Hatch Dimensions: Stern Hatch Dimensions: Hatch Cover: Rudder: noSkeg: Paddler Skill: beginnerWeight: 29 lbRecommended Use: recreational, lakeManufacturer Warranty: 1 year", "Old Town Heron Jr Kayak", "Old Town Canoes & Kayaks Heron Junior Kayak, Sunrise : : Sports & Outdoors", "publish", "open", "open", "", "old-town-heron-jr-kayak", "", "", "2013-06-14 19:32:03", "2013-06-14 19:32:03", "", "0", "http://blogsforsales.com/kayak/old-town-heron-jr-kayak/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("473", "1", "2013-06-14 19:32:05", "2013-06-14 19:32:05", "We take the hassle out of getting your boat to the water. Theis lightweight, rugged, anodized aluminum-framed cart carries up to 176 lbs on its 3-Inch wide pneumatic tires. Collapsible for easy in-boat stowage.", "Carlisle Canoe and Kayak Portage Cart", "Carlisle Canoe and Kayak Portage Cart : : Sports & Outdoors", "publish", "open", "open", "", "carlisle-canoe-and-kayak-portage-cart", "", "", "2013-06-14 19:32:05", "2013-06-14 19:32:05", "", "0", "http://blogsforsales.com/kayak/carlisle-canoe-and-kayak-portage-cart/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("474", "1", "2013-06-14 19:32:08", "2013-06-14 19:32:08", "3.5 Foot Wood Paddle", "Seasense Wood Paddle", "Seasense Wood Paddle : : Sports & Outdoors", "publish", "open", "open", "", "seasense-wood-paddle", "", "", "2013-06-14 19:32:08", "2013-06-14 19:32:08", "", "0", "http://blogsforsales.com/kayak/seasense-wood-paddle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("475", "1", "2013-06-14 19:32:11", "2013-06-14 19:32:11", "Use the Carlisle Taboo Stand Up Kayak Paddle on a paddleboard or in a kayak thanks to the easy button-locking system that allows you to quickly change the length and add or remove a second blade. This two-in-one paddle is lightweight so you wonAAAt feel worn down before you get a chance to enjoy the water. Durable high-impact plastic blades and aluminum shaft mean that, in a pinch, the Taboo can take some bumps and bruises against the rocks.\n\nProduct FeaturesShaft Material: aluminumBlade Material: polypropyleneOverall Length: [stand up] 75 in; [kayak] 91 inBlade Length: Blade Width: Blade Area: Shaft Shape: straightFeather Angle: Two-Piece: yesPaddling Style: low angle &amp; high angleWeight: [75in] 39 oz; [82in,91in] 42 ozRecommended Use: kayaking, canoeingManufacturer Warranty: 1 year", "Carlisle Taboo Stand Up 2-Piece Adjustable Kayak Paddle", "Carlisle Taboo Convertable Stand-Up Kayak Paddle : : Sports & Outdoors", "publish", "open", "open", "", "carlisle-taboo-stand-up-2-piece-adjustable-kayak-paddle", "", "", "2013-06-14 19:32:11", "2013-06-14 19:32:11", "", "0", "http://blogsforsales.com/kayak/carlisle-taboo-stand-up-2-piece-adjustable-kayak-paddle/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("476", "1", "2013-06-14 19:32:13", "2013-06-14 19:32:13", "With large 16&quot; bike tire wheels, the ATC is great for going over rutted paths that cause difficulty for smaller wheeled carts, and it&#039;s faster over paved, flat surfaces. For many users, the large wheels will also offer a more natural height for pulling or pushing. The ATC is perfect for heavy-loaded canoe portages, john-boats and other larger craft, including dinghies and Lasers. It easily transports all kayaks. The heavy-duty powder-coated steel frame breaks down nicely for low-profile storage. A spring-loaded, super stable kickstand, adjustable top pad bars, and included cinch straps complete this super heavy-duty cart. 300 pound capacity.", "Paddleboy ATC All Terrain Center Boat Cart", "Seattle Sports ATC Cart: Sports & Outdoors", "publish", "open", "open", "", "paddleboy-atc-all-terrain-center-boat-cart", "", "", "2013-06-14 19:32:13", "2013-06-14 19:32:13", "", "0", "http://blogsforsales.com/kayak/paddleboy-atc-all-terrain-center-boat-cart/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("477", "1", "2013-06-14 19:36:00", "2013-06-14 19:36:00", "Made of 13-gauge PVC plastic, the two-person Explorer 200 offers such features as two air chambers for safety, a grab rope on the bow, an inflatable floor for comfort and rigidity, welded oar locks, and a U.S. Coast Guard ID. Plus, the boat&#039;s contemporary colors and graphics help the Explorer 200 stand out in a crowd. This version of the Explorer 200--which measures 73 by 16 by 37 inches (W x H x D) and offers a weight capacity of 210 pounds--comes with two 48-inch French oars, a mini air pump, and a repair patch.\n\n About Intex\nHelping people have fun for more than 40 years, Intex is the world leader in designing and producing high-quality, innovative products for indoor and outdoor recreation. Every Intex product--which includes such items as above-ground pools, pool accessories, pool toys, airbeds, and boats--undergoes an intensive quality control process before it&#039;s released to the public. During the manufacturing process, highly trained Intex employees continuously monitor a wide range of factors, from the quality of the raw materials and the calibration of the machines to the making and assembly of each product. The goal is to produce the best possible product at the best possible price. Intex offices are located in such cities as Long Beach, California; WanChai, Hong Kong; Roosendaal, Netherlands; Beaufort, France; and Praha, Czech Republic.", "Intex Explorer 200 Boat Set", "Intex Explorer 200 Boat Set : : Sports & Outdoors", "publish", "open", "open", "", "intex-explorer-200-boat-set", "", "", "2013-06-14 19:36:00", "2013-06-14 19:36:00", "", "0", "http://blogsforsales.com/kayak/intex-explorer-200-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("478", "1", "2013-06-14 19:36:02", "2013-06-14 19:36:02", "Ideal for recreational boating and lazy days on the lake, the Intex Challenger 2 boat set comes with everything you need to hit the water immediately. The inflatable boat, which fits one adult and one child, is made of super-tough 20-gauge PVC vinyl that resists damage from abrasion, impacts, and sunlight, letting you boat with confidence even near rocks or logs. The PVC is also unaffected by gasoline, oil, or saltwater, so you needn&#039;t take special precautions around a motor or near a saltwater inlet. Construction-wise, the boat includes two air chambers for safety, an all-around grab line, an inflatable floor for comfort and rigidity, welded oarlocks, oar holders, a U.S. Coast Guard ID, and a grab handle on the bow. The Challenger 2--which comes with two oars and an inflation pump--measures 86 by 13 by 45 inches (W x H x D) and holds up to 253 pounds.\n About Intex\nHelping people have fun for more than 40 years, Intex is the world leader in designing and producing high-quality, innovative products for indoor and outdoor recreation. Every Intex product--which includes such items as above-ground pools, pool accessories, pool toys, airbeds, and boats--undergoes an intensive quality control process before it&#039;s released to the public. During the manufacturing process, highly trained Intex employees continuously monitor a wide range of factors, from the quality of the raw materials and the calibration of the machines to the making and assembly of each product. The goal is to produce the best possible product at the best possible price. Intex offices are located in such cities as Long Beach, California; WanChai, Hong Kong; Roosendaal, Netherlands; Beaufort, France; and Praha, Czech Republic.", "Intex Challenger 2 Boat Set", "Intex Challenger 2 Boat Set: Sports & Outdoors", "publish", "open", "open", "", "intex-challenger-2-boat-set", "", "", "2013-06-14 19:36:02", "2013-06-14 19:36:02", "", "0", "http://blogsforsales.com/kayak/intex-challenger-2-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("479", "1", "2013-06-14 19:36:05", "2013-06-14 19:36:05", "Ideal for recreational boating or fishing on lakes and calm rivers, the Intex SeaHawk 4 boat set comes with everything you need to hit the water immediately. The inflatable boat--which fits up to four people--is made of super-tough 30-gauge PVC vinyl that resists damage from abrasion, impacts, and sunlight, letting you boat with confidence even near rocks or logs. The PVC is also unaffected by gasoline, oil, or saltwater, so you needn&#039;t take special precautions around a motor or near a saltwater inlet. Construction-wise, the boat includes two air chambers for safety, an inner hull chamber, an inflatable floor that&#039;s comfortable yet rigid, welded oarlocks, inflatable cushions, and an all-around grab line. The boat even sports two fishing rod holders at the rear--one on each side--so you can enjoy an afternoon angling with friends. Other features include a grab handle on the bow, oar holders, a gear pouch, and a U.S. Coast Guard ID. The SeaHawk 4 - which comes with oars and an inflation pump--measures 133 by 19.5 by 50 inches (W x H x D) and holds up to 814 pounds.\n\n About Intex\nHelping people have fun for more than 40 years, Intex is the world leader in designing and producing high-quality, innovative products for indoor and outdoor recreation. Every Intex product--which includes such items as above-ground pools, pool accessories, pool toys, airbeds, and boats--undergoes an intensive quality control process before it&#039;s released to the public. During the manufacturing process, highly trained Intex employees continuously monitor a wide range of factors, from the quality of the raw materials and the calibration of the machines to the making and assembly of each product. The goal is to produce the best possible product at the best possible price. Intex offices are located in such cities as Long Beach, California; WanChai, Hong Kong; Roosendaal, Netherlands; Beaufort, France; and Praha, Czech Republic.", "Intex Sehawk 4 Boat Set", "Intex Sehawk 4 Boat Set : : Sports & Outdoors", "publish", "open", "open", "", "intex-sehawk-4-boat-set", "", "", "2013-06-14 19:36:05", "2013-06-14 19:36:05", "", "0", "http://blogsforsales.com/kayak/intex-sehawk-4-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("480", "1", "2013-06-14 19:36:07", "2013-06-14 19:36:07", "Participate in a boat race or leisurely cruise around the pool on lazy summer days with the Intex Explorer 100 inflatable boat. Designed with fun and security in mind, the one-person\nThe Explorer 100 1-person boat is ideal for pools or calm waters.Explorer 100 offers such features as two air chambers for safety, a grab rope on the bow, an inflatable floor for comfort and rigidity, welded oar locks, and a U.S. Coast Guard ID. Plus, the boat&#039;s contemporary colors and graphics help the Explorer 100 stand out in a crowd. The Explorer 100 measures 58 by 14 by 33 inches (W x H x D) and offers a weight capacity of 120 pounds.\n About Intex\nHelping people have fun for more than 40 years, Intex is the world leader in designing and producing high-quality, innovative products for indoor and outdoor recreation. Every Intex product--which includes such items as above-ground pools, pool accessories, pool toys, airbeds, and boats--undergoes an intensive quality control process before it&#039;s released to the public. During the manufacturing process, highly trained Intex employees continuously monitor a wide range of factors, from the quality of the raw materials and the calibration of the machines to the making and assembly of each product. The goal is to produce the best possible product at the best possible price. Intex offices are located in such cities as Long Beach, California; WanChai, Hong Kong; Roosendaal, Netherlands; Beaufort, France; and Praha, Czech Republic.", "Intex Explorer 100 Boat", "Intex Explorer 100 Boat: Toys & Games", "publish", "open", "open", "", "intex-explorer-100-boat", "", "", "2013-06-14 19:36:07", "2013-06-14 19:36:07", "", "0", "http://blogsforsales.com/kayak/intex-explorer-100-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("481", "1", "2013-06-14 19:36:10", "2013-06-14 19:36:10", "Get ready for your next great adventure in the Seahawk series of boats. If you looking for a day at the lake with the family or fishing with friends the Seahawk series has something to fit your needs. Upgraded features and rugged vinyl construction make this a great boat for anyone. Set includes 48&quot; Oars and high output pump.\n\nNeed a Boat Certificate of Origin? Write down the HIN (Hull Identification Number) and go to www.intexcorp.com. On the first screen that pops up, select your location. Click on the &quot;Need a Boat Certificate of Origin?&quot; option under Consumer Information. Choose your boat model. Enter the required information and print your certificate.", "Intex Seahawk 2 Boat Set", "Intex Seahawk 2 Boat Set : : Sports & Outdoors", "publish", "open", "open", "", "intex-seahawk-2-boat-set", "", "", "2013-06-14 19:36:10", "2013-06-14 19:36:10", "", "0", "http://blogsforsales.com/kayak/intex-seahawk-2-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("482", "1", "2013-06-14 19:36:12", "2013-06-14 19:36:12", "The two-person Intex Explorer 200 inflatable boat is great for floating in lakes, rivers, and pools. Constructed from durable 13 gauge PVC plastic, the Explorer 200 can hold a maximum weight of 210 pounds. The boat features two air chambers with double valves for safety, an inflatable floor for comfort and rigidity, a grab rope on bow, and welded oar locks. It measures 78 x 46 inches when inflated.", "Intex Explorer 200 Boat", "Intex Explorer 200 Boat : : Sports & Outdoors", "publish", "open", "open", "", "intex-explorer-200-boat", "", "", "2013-06-14 19:36:12", "2013-06-14 19:36:12", "", "0", "http://blogsforsales.com/kayak/intex-explorer-200-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("483", "1", "2013-06-14 19:36:14", "2013-06-14 19:36:14", "This is the most popular fishing boat Intex makes. This inflatable boat features a hard ridged floor that allows you to stand up while casting, plus there are 2 rod holders on the back end of the boat. For family safety, this boat is made with five separate air chambers, four in the hull and one in the keel to ensure that even if one chamber deflates that the other four will remain inflated and get you back to the shore safely.", "INTEX Mariner 4 Inflatable Raft River/Lake Dinghy Boat Set", "INTEX Mariner 4 Inflatable Raft River/Lake Dinghy Boat Set: Toys & Games", "publish", "open", "open", "", "intex-mariner-4-inflatable-raft-riverlake-dinghy-boat-set", "", "", "2013-06-14 19:36:14", "2013-06-14 19:36:14", "", "0", "http://blogsforsales.com/kayak/intex-mariner-4-inflatable-raft-riverlake-dinghy-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("484", "1", "2013-06-14 19:36:16", "2013-06-14 19:36:16", "Inflatable Pong Raft by Splash Cup Pong. Our inflatable pong raft is the perfect game to play in the pool, at the beach, and can even be used away from the water as an inflatable table to go. The pong raft measures just over 6 feet long and 2 feet wide, and inflates in just a few minutes with or without a pump. We use thick, scratch resistant material to protect against breaks or leaks and offer a 90 day warranty on all rafts against tears and leaks.\n\nFeatures List:\n<!--more-->\nOver 6 Feet Long\n2 Feet Wide\nPortable &amp; Inflatable\nScratch and Tear Resistant with Warranty\nHigh Quality Printed Logo\nManufactured by Splash Cup Pong®", "Inflatable Pool Pong Raft 6ft - Portable Pong Surface by Splash Cup Pong", "Inflatable Pool Pong Raft 6ft - Portable Pong Surface by Splash Cup Pong: Sports & Outdoors", "publish", "open", "open", "", "inflatable-pool-pong-raft-6ft-portable-pong-surface-by-splash-cup-pong", "", "", "2013-06-14 19:36:16", "2013-06-14 19:36:16", "", "0", "http://blogsforsales.com/kayak/inflatable-pool-pong-raft-6ft-portable-pong-surface-by-splash-cup-pong/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("485", "1", "2013-06-14 19:36:18", "2013-06-14 19:36:18", "Kick back and relax while cruising down the river on an Intex inflatable boat with this motor mount kit. The kit lets you attach up to a 3.5-horsepower motor to the rear of your Intex boat, so you can rest your paddling arms and float in comfort. The mount--which is made of marine plywood with aluminum support arms--attaches and detaches easily, so you don&#039;t have to spend a half hour fussing with the components each time you want to use the motor. Plus, the mount disassembles quickly when you return back home for easy storage in your garage or closet.\n The motor mount kit is compatible with the following Intex inflatable boats: Challenger 2, 3 &amp; 4 Seahawk 2, 3 &amp; 4 Excursion 2, 3, 4 &amp; 5 Mariner 400 Seahawk II", "Intex Motor Mount Kit", "Intex Motor Mount Kit : : Sports & Outdoors", "publish", "open", "open", "", "intex-motor-mount-kit", "", "", "2013-06-14 19:36:18", "2013-06-14 19:36:18", "", "0", "http://blogsforsales.com/kayak/intex-motor-mount-kit/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("486", "1", "2013-06-14 19:36:20", "2013-06-14 19:36:20", "Excursion 4 Set Lake Boat with 54&quot; Aluminum Oars. All models come with oars and inflation pump. The Excursion features three air chambers for extra buoyancy, all-around grab line, inflatable I-beam floor, two fishing rod holders, two inflatable seat cushions with backrest, gear pouch, grab handle, weilded oar locks, oar holders, and U.S. Coast Guard I.D.", "Intex Excursion 4 Boat Set - 2013 Model", "Intex Excursion 4 Boat Set - 2013 Model: Sports & Outdoors", "publish", "open", "open", "", "intex-excursion-4-boat-set-2013-model", "", "", "2013-06-14 19:36:20", "2013-06-14 19:36:20", "", "0", "http://blogsforsales.com/kayak/intex-excursion-4-boat-set-2013-model/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("487", "1", "2013-06-14 19:36:22", "2013-06-14 19:36:22", "Ideal for a day spent fishing, camping, or simply just cruising around on the lake, this five-person raft assembles and inflates in just minutes, getting you from the car to the water that much faster. Made of rugged, welded vinyl for longterm durability, the boat has an inflatable I-beam floor for comfort and rigidity, and is US Coast Guard-approved.\n54-inch aluminum oars and a high-output hand pump are also included.\n Features\n Inflatable floor for comfort and rigidity Includes two inflatable seats with backrests Four fishing rod holders Oar locks and holders Motor mount fitting Grab handle and 360-degree grab line Gear pouch and repair patch Quick-fill, fast-deflate Boston valves Comes with 54-inch aluminum oars and high-output hand pump\n Specifications\n Five-person raft Measures 66-by-17-by-144 inches (W x H x D) 57.6-pound weight 1,000-pound maximum weight limit\n About Intex Recreation\nIntex Recreation makes above-ground swimming pools, air beds, inflatable toys, pool and lake boats, and the proprietary Intex Saltwater Pool System. The company has been in business for over 40 years, and is a global leader in designing and producing innovative products for indoor and outdoor recreation.\n Intex products meet the most stringent safety standards, undergoing intensive testing to ensure years of safety and satisfaction. During the manufacturing process, trained Intex employees continuously monitor a wide range of factors, including quality of raw materials, calibration of the machines, manufacture and assembly of each product, product testing, and careful packaging of every item.", "Intex Excursion 5 Boat Set", "Intex Excursion 5 Boat Set : : Sports & Outdoors", "publish", "open", "open", "", "intex-excursion-5-boat-set", "", "", "2013-06-14 19:36:22", "2013-06-14 19:36:22", "", "0", "http://blogsforsales.com/kayak/intex-excursion-5-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("488", "1", "2013-06-14 19:36:25", "2013-06-14 19:36:25", "The Stansport Sea Cloud 2-person Vinyl Boat is designed for recreational cruising. It features 3 separate air chambers and an inflatable floor, a safety rope and 2 oarlocks. Constructed of durable heavy weight vinyl with self locking safety valves. Includes repair kit and PVC carry bag. Measures 46&quot; x 78&quot; and has a maximum weight capacity of 340 lbs. Attractive yellow and blue two-tone combination. Oars and pump sold separately.", "Stansport Sea Cloud Inflatable Vinyl Boat with 2 Seats", "Stansport Sea Cloud Inflatable Vinyl Boat with 2 Seats: Sports & Outdoors", "publish", "open", "open", "", "stansport-sea-cloud-inflatable-vinyl-boat-with-2-seats", "", "", "2013-06-14 19:36:25", "2013-06-14 19:36:25", "", "0", "http://blogsforsales.com/kayak/stansport-sea-cloud-inflatable-vinyl-boat-with-2-seats/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("489", "1", "2013-06-14 19:36:26", "2013-06-14 19:36:26", "Two oars and inflation pump are included Inflated Dimensions: 124&quot;x65&quot;x17&quot; Three air chambers including an auxiliary air chamber in hull for extra buoyancy Boston valve on two main hull chambers for quick-fill, fast-deflate Rugged 30 gauge (0.75mm) vinyl construction All-around grab line Inflatable I-beam floor for comfort and rigidity Two fishing rod holders Two inflatable seat cushions with backrest Gear pouch Grab handles Welded oar locks Oar holders U.S. Coast Guard I.D. TUV Approved Repair kit included Item # 68324", "NEW INTEX Excursion 4 Inflatable River/Lake Raft Set", "NEW INTEX Excursion 4 Inflatable River/Lake Raft Set : : Sports & Outdoors", "publish", "open", "open", "", "new-intex-excursion-4-inflatable-riverlake-raft-set", "", "", "2013-06-14 19:36:26", "2013-06-14 19:36:26", "", "0", "http://blogsforsales.com/kayak/new-intex-excursion-4-inflatable-riverlake-raft-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("490", "1", "2013-06-14 19:36:29", "2013-06-14 19:36:29", "", "Intex Excursion 5 Boat Set - 2013 Model", "Intex Excursion 5 Boat Set - 2013 Model : : Sports & Outdoors", "publish", "open", "open", "", "intex-excursion-5-boat-set-2013-model", "", "", "2013-06-14 19:36:29", "2013-06-14 19:36:29", "", "0", "http://blogsforsales.com/kayak/intex-excursion-5-boat-set-2013-model/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("491", "1", "2013-06-14 19:36:31", "2013-06-14 19:36:31", "The Sevylor Caravelle 3-Person Inflatable Boat is a great choice for recreational outings. Measuring 7 Feet6 Inch long by 4 Feet6 Inch wide, the 3-Person Caravelle holds up to 600 pounds. The Caravelle is durably constructed of 16-gauge PVC, and features the innovative DIN safety chamber which inflates inside the main outer chamber, to keep you afloat even if the outer chamber gets punctured. The Caravelle Feets inflatable floor offers extra comfort, while the sturdy oarlocks double as handles, with an all-around grabline for convenience. The Caravelle includes fittings for a SBM 12V electric motor. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Caravelle 3-Person Inflatable Boat", "Sevylor Caravelle 3-Person Inflatable Boat : : Sports & Outdoors", "publish", "open", "open", "", "sevylor-caravelle-3-person-inflatable-boat", "", "", "2013-06-14 19:36:31", "2013-06-14 19:36:31", "", "0", "http://blogsforsales.com/kayak/sevylor-caravelle-3-person-inflatable-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("492", "1", "2013-06-14 19:36:33", "2013-06-14 19:36:33", "Intex Excursion 4 Boat Set\nIntex Excursion 4 Boat Set is a four-person capacity, inflatable boat designed for recreational use on calm water. Perfect for fishing, camping, or just cruising, the Excursion 4 is lightweight, compact, and easy to assemble any time. The boat features two fishing rod holders, two inflatable seats with back rests, a grab line, and a gear pouch. The set comes complete with deluxe aluminum oars, a high-output manual hand pump, and a repair patch.\nFeatures and Specifications: Two fishing rod holders Two inflatable seats with backrests Inflatable floor for both comfort and rigidity Oar locks and oar holders All-around grab line Grab handle on bow for easy carrying Quick-fill, fast-deflate Boston valves Motor mount fitting Gear pouch Maximum weight limit: 880 pounds Includes repair patch, deluxe aluminum oars, hi-output manual hand pump", "Intex Excursion 4 Boat Set", "Intex Excursion 4 Boat Set: Sports & Outdoors", "publish", "open", "open", "", "intex-excursion-4-boat-set", "", "", "2013-06-14 19:36:33", "2013-06-14 19:36:33", "", "0", "http://blogsforsales.com/kayak/intex-excursion-4-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("493", "1", "2013-06-14 19:36:35", "2013-06-14 19:36:35", "The Sevylor Caravelle 2-Person Inflatable Boat is a great choice for recreational outings. Measuring 6 Feet4 Inch long by 4 Feet wide, the 2-Person Caravelle holds up to 360 pounds. The Caravelle is durably constructed of 14-gauge PVC, and features the innovative DIN safety chamber which inflates inside the main outer chamber, to keep you afloat even if the outer chamber gets punctured. The Caravelle Feets inflatable floor offers extra comfort, while the sturdy oarlocks double as handles, with an all-around grabline for convenience. The Caravelle includes fittings for a SBM 12V electric motor. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Caravelle 2-Person Inflatable Boat", "Sevylor Caravelle 2-Person Inflatable Boat: Sports & Outdoors", "publish", "open", "open", "", "sevylor-caravelle-2-person-inflatable-boat", "", "", "2013-06-14 19:36:35", "2013-06-14 19:36:35", "", "0", "http://blogsforsales.com/kayak/sevylor-caravelle-2-person-inflatable-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("494", "1", "2013-06-14 19:36:37", "2013-06-14 19:36:37", "Comfort, Size, Ease of use and Durability make this the perfect boat for anyone. Use your Explorer Boat 300 with 2 air chambers with double valves and Inflatable floor for comfort and rigidity in your favorite lake or small river for comfortable ride.Includes two 48&quot; French oars and Includes (1) high output manual pump", "Intex  Explorer 300 Set Boat", "Intex Explorer 300 Set Boat : : Sports & Outdoors", "publish", "open", "open", "", "intex-explorer-300-set-boat", "", "", "2013-06-14 19:36:37", "2013-06-14 19:36:37", "", "0", "http://blogsforsales.com/kayak/intex-explorer-300-set-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("495", "1", "2013-06-14 19:36:39", "2013-06-14 19:36:39", "Inflatable boat", "Solstice Voyager 4-Person Boat", "Solstice Voyager 4-Person Boat : : Sports & Outdoors", "publish", "open", "open", "", "solstice-voyager-4-person-boat", "", "", "2013-06-14 19:36:39", "2013-06-14 19:36:39", "", "0", "http://blogsforsales.com/kayak/solstice-voyager-4-person-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("496", "1", "2013-06-14 19:36:41", "2013-06-14 19:36:41", "The Sevylor Fish Hunter Inflatable Boat is packed with features for performance and convenience, so you can focus on fishing. Measuring 11 Feet9 Inch long by 5 Feet7 Inch wide, the 6-Person Fish hunter holds up to 1,200 pounds and is durably constructed of heavy-duty 32-gauge PVC. The Fish Hunter is built with two tunnel chambers for lateral stability on the water. For comfort, the Fish Hunter features two inflatable seats, two fishing-rod holders, four swivel oarlocks, and chafing pads. Drain plugs make it easy to empty out water, while an all-around grabline and built-in carry handles offer convenience. The Fish Hunter includes bow and stern fittings for an electric motor, with optional fittings for a 2.5HP motor. A handy gear bag and battery pouch are included. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Fish Hunter Inflatable 6-Person Boat", "Sevylor Fish Hunter Inflatable 6-Person Boat: Sports & Outdoors", "publish", "open", "open", "", "sevylor-fish-hunter-inflatable-6-person-boat", "", "", "2013-06-14 19:36:41", "2013-06-14 19:36:41", "", "0", "http://blogsforsales.com/kayak/sevylor-fish-hunter-inflatable-6-person-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("497", "1", "2013-06-14 19:36:43", "2013-06-14 19:36:43", "", "Intex 4 Person Mariner Inflatable Boat Set", "Intex 4 Person Mariner Inflatable Boat Set: Sports & Outdoors", "publish", "open", "open", "", "intex-4-person-mariner-inflatable-boat-set", "", "", "2013-06-14 19:36:43", "2013-06-14 19:36:43", "", "0", "http://blogsforsales.com/kayak/intex-4-person-mariner-inflatable-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("498", "1", "2013-06-14 19:36:45", "2013-06-14 19:36:45", "The Stansport Sea Cloud 2-Person Vinyl Boat Kit is designed for recreational cruising. It features 3 separate air chambers and an inflatable floor, a safety rope and 2 oarlocks. Constructed of durable heavy weight vinyl with self locking safety valves. 2 plastic 45&quot; oars and a plastic foot pump are included along with a repair kit and PVC carry bag. Measures 46&quot; x 78&quot; and has a maximum weight capacity of 340lbs. Attractive yellow and blue two-tone combination.", "Stansport Sea Cloud Inflatable Vinyl Boat with Oars and Pump,2 Seat", "Stansport Sea Cloud Inflatable Vinyl Boat with Oars and Pump, 2 Seat : : Sports & Outdoors", "publish", "open", "open", "", "stansport-sea-cloud-inflatable-vinyl-boat-with-oars-and-pump2-seat", "", "", "2013-06-14 19:36:45", "2013-06-14 19:36:45", "", "0", "http://blogsforsales.com/kayak/stansport-sea-cloud-inflatable-vinyl-boat-with-oars-and-pump2-seat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("499", "1", "2013-06-14 19:36:47", "2013-06-14 19:36:47", "48-inch Deluxe Aluminum Oars from Intex\nThe 48-inch Deluxe Aluminum Oars from Intex are perfect for small inflatable boats and other small craft. These recreational oars come equipped with retainer rings that fit into the boat&#039;s oar locks for confident rowing. The oars are easy to assemble out of the box and offer lightweight durability at a great price.", "Intex Recreation Corp French Oars", "Intex Recreation Corp French Oars: Sports & Outdoors", "publish", "open", "open", "", "intex-recreation-corp-french-oars", "", "", "2013-06-14 19:36:47", "2013-06-14 19:36:47", "", "0", "http://blogsforsales.com/kayak/intex-recreation-corp-french-oars/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("500", "1", "2013-06-14 19:36:50", "2013-06-14 19:36:50", "Inflatable Pong Raft with Freezable Ice Racks by Splash Cup Pong. Our inflatable pong raft is the perfect game to play in the pool, at the beach, and can even be used away from the water as an inflatable table to go. The pong raft measures just over 6 feet long and 2 feet wide, and inflates in just a few minutes with or without a pump. We use thick, scratch resistant material to protect against breaks or leaks and offer a 90 day warranty on all rafts against tears and leaks.\n\nThe raft includes 2 cup racks. The cup racking designs allows the cups to be held perfectly straight and stable while remaining cool. The height allows you to play in pools and in the ocean beyond with the waves, and the rack keeps the cups high enough to avoid splashes into the cups.\n<!--more-->\nFeatures List:\n\nOver 6 Feet Long\n2 Feet Wide\nPortable &amp; Inflatable\n2 Cup Racks Includes\nScratch and Tear Resistant with Warranty\nHigh Quality Printed Logo\nPremium Cup Alignment System\nManufactured by Splash Cup Pong®", "Inflatable Pool Pong Raft with Freezable Ice Cup Racks - 6.5 Feet Long - Portable Pong Surface by Splash Cup Pong", "Inflatable Pool Pong Raft with Freezable Ice Cup Racks - 6.5 Feet Long - Portable Pong Surface by Splash Cup Pong : : Sports & Outdoors", "publish", "open", "open", "", "inflatable-pool-pong-raft-with-freezable-ice-cup-racks-6-5-feet-long-portable-pong-surface-by-splash-cup-pong", "", "", "2013-06-14 19:36:50", "2013-06-14 19:36:50", "", "0", "http://blogsforsales.com/kayak/inflatable-pool-pong-raft-with-freezable-ice-cup-racks-6-5-feet-long-portable-pong-surface-by-splash-cup-pong/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("501", "1", "2013-06-14 19:36:52", "2013-06-14 19:36:52", "", "Stansport Inflatable 9 Boat", "Stansport Fisherman River Boat: Sports & Outdoors", "publish", "open", "open", "", "stansport-inflatable-9-boat", "", "", "2013-06-14 19:36:52", "2013-06-14 19:36:52", "", "0", "http://blogsforsales.com/kayak/stansport-inflatable-9-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("502", "1", "2013-06-14 19:36:54", "2013-06-14 19:36:54", "Three Buttons Inflation Operating Instuctions\n\n 1. Choose the proper fitting for the air valve of your inflatable product. Put the valve at the inflation position. Attach the correct valve adaptor to the inflation hose that comes with your pump. Attach the other end to the pump (smooth round outlet on the pump)\n<!--more-->\n 2. Connect the 80D pump&#039;s terminals to the battery paying close attention to the polarity &amp; properly connected. If you have the model with the built-in battery (80DB / 80DB-Li), please make sure the battery has been charged. Fully charged battery should last 30 minutes or more with regular use.\n 3. Turn on the POWER switch and enter the maximum desired pressure by using the two set pressure (UP / DOWN) buttons, the set pressure will be shown on the right hand side of LCD screen. The pump only provides Mode KPa as its pressure display. Factory default working pressure is set as 25KPa (3.6 PSI).This pressure is suitable for all chambers of most inflatable boats (10KPa = 100mbr = 1.45 PSI)\n\n 4. Press the POWER button to start. During inflation, the left hand side of LCD screen should show the pressure that the inflator has reached. As soon as the entered pressure has been reached, the inflator turns off automatically. And the inflator can be turned off at any time by pressing the POWER button again. Take off the air hose from the chamber once the pump stops pumping. It is possible to stop the inflator at any time by pressing the (OFF) switch.\n\n 5. The inflator operates in two stages which can be identified by the noise of the turbine at the beginning followed by the piston. The inflator switches from turbine to piston automatically. If the chamber pressure is over 7KPa / 1 PSI, the pump will start the 2nd stage only. If the set pressure is lower than the chamber&#039;s pressure, the pump won&#039;t turn on.\n\n Visit Seamax website for Electric Pump Full Instructions.", "Portable 12V Electric Air Pump Built in 7AH Rechargeable Battery for Inflatable Boat, Digital Control Double Stage: High Volume Fan & High Pressure Cylinder, Achilles Zodiac Mercury Compatible, Free HR Valve Adaptor & Carry Bag", "Portable 12V Electric Air Pump Built in 7AH Rechargeable Battery for Inflatable Boat, Digital Control Double Stage: High Volume Fan & High Pressure Cylinder, Achilles Zodiac Mercury Compatible, Free HR Valve Adaptor & Carry Bag : : Sports & Outdoors", "publish", "open", "open", "", "portable-12v-electric-air-pump-built-in-7ah-rechargeable-battery-for-inflatable-boat-digital-control-double-stage-high-volume-fan-high-pressure-cylinder-achilles-zodiac-mercury-compatible-free-h", "", "", "2013-06-14 19:36:54", "2013-06-14 19:36:54", "", "0", "http://blogsforsales.com/kayak/portable-12v-electric-air-pump-built-in-7ah-rechargeable-battery-for-inflatable-boat-digital-control-double-stage-high-volume-fan-high-pressure-cylinder-achilles-zodiac-mercury-compatible-free-h/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("503", "1", "2013-06-14 19:36:56", "2013-06-14 19:36:56", "The Sevylor Caravelle 5-Person Inflatable Boat is a great choice for recreational outings. Measuring 9 Feet10 Inch long by 5 Feet5 Inch wide, the 5-Person Caravelle holds up to 900 pounds. The Caravelle is durably constructed of 23-gauge PVC, and features the innovative DIN safety chamber which inflates inside the main outer chamber, to keep you afloat even if the outer chamber gets punctured. The Caravelle Feets inflatable floor offers extra comfort, while the sturdy oarlocks double as handles, with an all-around grabline for convenience and built-in carry handle. The Caravelle includes fittings for a motor mount and SBM 12V electric motor. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Caravelle 5-Person Inflatable Boat", "Sevylor Caravelle 5-Person Inflatable Boat : : Sports & Outdoors", "publish", "open", "open", "", "sevylor-caravelle-5-person-inflatable-boat", "", "", "2013-06-14 19:36:56", "2013-06-14 19:36:56", "", "0", "http://blogsforsales.com/kayak/sevylor-caravelle-5-person-inflatable-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("504", "1", "2013-06-14 19:36:58", "2013-06-14 19:36:58", "The Intex Seahawk II seats three people and comes with oars an inflation pump gear pouch and battery pouch. It features two air chambers for safety all-around grab rope grab handles on both ends two fishing rod holders inflatable floor for comfort and rigidity welded rotational oar locks and U.S. Coast Guard I.D.The Seahawk II has two Boston valves on the main hull chamber for quick-fill and fast deflation. The SUPER-TOUGH construction is triple strong made with 3 separate layers of material for extra strength and durability- two outer layers of heavy-gauge PVC laminated to an inner layer of polyester mesh for extra reinforcement.Features grab line around the entire boat, inflatable floor for comfort. Two fishing rod holders, 2 inflatable seat cushions, 1 gear pouch and 1 battery pouch. Grab handle on both ends, welded-on rotationary oar locks. Oar holders 54-Inch aluminum oars, high output pump 3 person, 660-Pounds capacity- U.S. Coast Guard I.D. Dimensions 117 x 50 x 18-Inch.", "Intex Seahawk II Boat Set", "Intex Seahawk II Boat Set : : Sports & Outdoors", "publish", "open", "open", "", "intex-seahawk-ii-boat-set", "", "", "2013-06-14 19:36:58", "2013-06-14 19:36:58", "", "0", "http://blogsforsales.com/kayak/intex-seahawk-ii-boat-set/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("505", "1", "2013-06-14 19:37:00", "2013-06-14 19:37:00", "Participate in a boat race or leisurely cruise around the pool on lazy summer days with the Intex Club 200 inflatable boat set. Made of 14-gauge PVC plastic, the two-person Club 200 offers such features as two air chambers for safety, an all-around grab line, a grab handle on the bow, an inflatable floor for comfort and rigidity, welded oar locks, and a U.S. Coast Guard ID. Plus, the boat&#039;s contemporary colors and graphics help the Club 200 stand out in a crowd. This version of the Club 200--which measures 73 by 16 by 37 inches (W x H x D) and offers a weight capacity of 210 pounds--comes with two 48-inch French oars, a mini air pump, and a repair patch.", "INTEX Club 200 Inflatable Raft Boat w/ Oars & Air Pump", "Find the biggest selection of products from with the lowest prices. Shop online for bedding, furniture, vacuums, decor, storage and more at", "publish", "open", "open", "", "intex-club-200-inflatable-raft-boat-w-oars-air-pump", "", "", "2013-06-14 19:37:00", "2013-06-14 19:37:00", "", "0", "http://blogsforsales.com/kayak/intex-club-200-inflatable-raft-boat-w-oars-air-pump/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("506", "1", "2013-06-14 19:37:03", "2013-06-14 19:37:03", "The Sevylor Fish Hunter Inflatable Boat is packed with features for performance and convenience, so you can focus on fishing. Measuring 9 Feet1 Inch long by 4 Feet8 Inch wide, the 4-Person Fish hunter holds up to 700 pounds and is durably constructed of heavy-duty 30-gauge PVC. The Fish Hunter is built with two tunnel chambers for lateral stability on the water. For comfort, the Fish Hunter features two inflatable seats, two fishing-rod holders, four swivel oarlocks, and chafing pads. Drain plugs make it easy to empty out water, while an all-around grabline and built-in carry handles offer convenience. The Fish Hunter includes bow and stern fittings for an electric motor, with optional fittings for a 2.5HP motor. A handy gear bag and battery pouch are included. Guaranteed not to leak, thanks to Sevylor Feets exclusive Airtight System, the boat Feets Double-Lock Valves prevent accidental air loss and ensure quick, easy inflation and deflation. NMMA certified.", "Sevylor Fish Hunter Inflatable 4-Person Boat", "Sevylor Fish Hunter Inflatable 4-Person Boat: Sports & Outdoors", "publish", "open", "open", "", "sevylor-fish-hunter-inflatable-4-person-boat", "", "", "2013-06-14 19:37:03", "2013-06-14 19:37:03", "", "0", "http://blogsforsales.com/kayak/sevylor-fish-hunter-inflatable-4-person-boat/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("507", "1", "2013-06-14 19:37:05", "2013-06-14 19:37:05", "Designed for fun on small bodies of water, the Voyager Inflatable Boat from Solstice offers five-person capacity with heavy-duty PVC construction. The Voyager has a four-chamber, double hull with DIN chamber construction for reliability. The boat is equipped with inflatable seats for rider comfort, swivel oar locks, a Boston valve, and a fishing rod holder. The Voyager accepts up to a two-horse power electric or gas motor mount (sold separately).", "Solstice Voyager 5-Person Boat", "Solstice Voyager 5-Person Boat : : Sports & Outdoors", "publish", "open", "open", "", "solstice-voyager-5-person-boat", "", "", "2013-06-14 19:37:05", "2013-06-14 19:37:05", "", "0", "http://blogsforsales.com/kayak/solstice-voyager-5-person-boat/", "0", "post", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("368", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("1", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("2", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("3", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("4", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("5", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("6", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("7", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("437", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("438", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("439", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("440", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("441", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("505", "791", "0");
INSERT INTO `wp_term_relationships` VALUES("505", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("504", "790", "0");
INSERT INTO `wp_term_relationships` VALUES("504", "789", "0");
INSERT INTO `wp_term_relationships` VALUES("504", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("504", "788", "0");
INSERT INTO `wp_term_relationships` VALUES("504", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("503", "787", "0");
INSERT INTO `wp_term_relationships` VALUES("503", "786", "0");
INSERT INTO `wp_term_relationships` VALUES("498", "772", "0");
INSERT INTO `wp_term_relationships` VALUES("498", "771", "0");
INSERT INTO `wp_term_relationships` VALUES("498", "746", "0");
INSERT INTO `wp_term_relationships` VALUES("498", "770", "0");
INSERT INTO `wp_term_relationships` VALUES("498", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("497", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("497", "769", "0");
INSERT INTO `wp_term_relationships` VALUES("496", "768", "0");
INSERT INTO `wp_term_relationships` VALUES("497", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("496", "767", "0");
INSERT INTO `wp_term_relationships` VALUES("493", "758", "0");
INSERT INTO `wp_term_relationships` VALUES("493", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("493", "757", "0");
INSERT INTO `wp_term_relationships` VALUES("493", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("488", "747", "0");
INSERT INTO `wp_term_relationships` VALUES("488", "746", "0");
INSERT INTO `wp_term_relationships` VALUES("488", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("487", "745", "0");
INSERT INTO `wp_term_relationships` VALUES("485", "738", "0");
INSERT INTO `wp_term_relationships` VALUES("485", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("484", "737", "0");
INSERT INTO `wp_term_relationships` VALUES("484", "736", "0");
INSERT INTO `wp_term_relationships` VALUES("484", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("480", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("480", "726", "0");
INSERT INTO `wp_term_relationships` VALUES("480", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("476", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("475", "712", "0");
INSERT INTO `wp_term_relationships` VALUES("475", "711", "0");
INSERT INTO `wp_term_relationships` VALUES("475", "488", "0");
INSERT INTO `wp_term_relationships` VALUES("474", "708", "0");
INSERT INTO `wp_term_relationships` VALUES("475", "710", "0");
INSERT INTO `wp_term_relationships` VALUES("475", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("474", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("474", "709", "0");
INSERT INTO `wp_term_relationships` VALUES("474", "421", "0");
INSERT INTO `wp_term_relationships` VALUES("472", "579", "0");
INSERT INTO `wp_term_relationships` VALUES("472", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("471", "702", "0");
INSERT INTO `wp_term_relationships` VALUES("471", "701", "0");
INSERT INTO `wp_term_relationships` VALUES("472", "500", "0");
INSERT INTO `wp_term_relationships` VALUES("471", "700", "0");
INSERT INTO `wp_term_relationships` VALUES("471", "699", "0");
INSERT INTO `wp_term_relationships` VALUES("472", "703", "0");
INSERT INTO `wp_term_relationships` VALUES("471", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("469", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("468", "692", "0");
INSERT INTO `wp_term_relationships` VALUES("468", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("467", "687", "0");
INSERT INTO `wp_term_relationships` VALUES("466", "685", "0");
INSERT INTO `wp_term_relationships` VALUES("467", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("466", "686", "0");
INSERT INTO `wp_term_relationships` VALUES("465", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("464", "682", "0");
INSERT INTO `wp_term_relationships` VALUES("464", "409", "0");
INSERT INTO `wp_term_relationships` VALUES("464", "681", "0");
INSERT INTO `wp_term_relationships` VALUES("464", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("463", "680", "0");
INSERT INTO `wp_term_relationships` VALUES("463", "520", "0");
INSERT INTO `wp_term_relationships` VALUES("463", "679", "0");
INSERT INTO `wp_term_relationships` VALUES("463", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("461", "674", "0");
INSERT INTO `wp_term_relationships` VALUES("461", "673", "0");
INSERT INTO `wp_term_relationships` VALUES("461", "445", "0");
INSERT INTO `wp_term_relationships` VALUES("461", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("460", "672", "0");
INSERT INTO `wp_term_relationships` VALUES("459", "669", "0");
INSERT INTO `wp_term_relationships` VALUES("458", "400", "0");
INSERT INTO `wp_term_relationships` VALUES("458", "667", "0");
INSERT INTO `wp_term_relationships` VALUES("458", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("459", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("458", "668", "0");
INSERT INTO `wp_term_relationships` VALUES("456", "559", "0");
INSERT INTO `wp_term_relationships` VALUES("456", "663", "0");
INSERT INTO `wp_term_relationships` VALUES("456", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("455", "662", "0");
INSERT INTO `wp_term_relationships` VALUES("455", "661", "0");
INSERT INTO `wp_term_relationships` VALUES("450", "650", "0");
INSERT INTO `wp_term_relationships` VALUES("446", "642", "0");
INSERT INTO `wp_term_relationships` VALUES("446", "641", "0");
INSERT INTO `wp_term_relationships` VALUES("446", "640", "0");
INSERT INTO `wp_term_relationships` VALUES("445", "639", "0");
INSERT INTO `wp_term_relationships` VALUES("445", "496", "0");
INSERT INTO `wp_term_relationships` VALUES("443", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("442", "633", "0");
INSERT INTO `wp_term_relationships` VALUES("442", "634", "0");
INSERT INTO `wp_term_relationships` VALUES("442", "583", "0");
INSERT INTO `wp_term_relationships` VALUES("442", "542", "0");
INSERT INTO `wp_term_relationships` VALUES("440", "626", "0");
INSERT INTO `wp_term_relationships` VALUES("440", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("439", "625", "0");
INSERT INTO `wp_term_relationships` VALUES("437", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("437", "620", "0");
INSERT INTO `wp_term_relationships` VALUES("437", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("436", "619", "0");
INSERT INTO `wp_term_relationships` VALUES("436", "618", "0");
INSERT INTO `wp_term_relationships` VALUES("436", "400", "0");
INSERT INTO `wp_term_relationships` VALUES("433", "543", "0");
INSERT INTO `wp_term_relationships` VALUES("433", "610", "0");
INSERT INTO `wp_term_relationships` VALUES("429", "601", "0");
INSERT INTO `wp_term_relationships` VALUES("429", "600", "0");
INSERT INTO `wp_term_relationships` VALUES("429", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("429", "599", "0");
INSERT INTO `wp_term_relationships` VALUES("425", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("424", "587", "0");
INSERT INTO `wp_term_relationships` VALUES("424", "588", "0");
INSERT INTO `wp_term_relationships` VALUES("424", "441", "0");
INSERT INTO `wp_term_relationships` VALUES("424", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("421", "500", "0");
INSERT INTO `wp_term_relationships` VALUES("421", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("420", "578", "0");
INSERT INTO `wp_term_relationships` VALUES("420", "577", "0");
INSERT INTO `wp_term_relationships` VALUES("420", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("416", "570", "0");
INSERT INTO `wp_term_relationships` VALUES("416", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("412", "562", "0");
INSERT INTO `wp_term_relationships` VALUES("412", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("412", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("405", "528", "0");
INSERT INTO `wp_term_relationships` VALUES("405", "550", "0");
INSERT INTO `wp_term_relationships` VALUES("405", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("404", "549", "0");
INSERT INTO `wp_term_relationships` VALUES("404", "548", "0");
INSERT INTO `wp_term_relationships` VALUES("400", "535", "0");
INSERT INTO `wp_term_relationships` VALUES("400", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("399", "534", "0");
INSERT INTO `wp_term_relationships` VALUES("398", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("397", "530", "0");
INSERT INTO `wp_term_relationships` VALUES("397", "529", "0");
INSERT INTO `wp_term_relationships` VALUES("396", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("395", "525", "0");
INSERT INTO `wp_term_relationships` VALUES("395", "524", "0");
INSERT INTO `wp_term_relationships` VALUES("395", "523", "0");
INSERT INTO `wp_term_relationships` VALUES("392", "516", "0");
INSERT INTO `wp_term_relationships` VALUES("392", "515", "0");
INSERT INTO `wp_term_relationships` VALUES("392", "514", "0");
INSERT INTO `wp_term_relationships` VALUES("392", "179", "0");
INSERT INTO `wp_term_relationships` VALUES("392", "513", "0");
INSERT INTO `wp_term_relationships` VALUES("390", "509", "0");
INSERT INTO `wp_term_relationships` VALUES("390", "508", "0");
INSERT INTO `wp_term_relationships` VALUES("390", "507", "0");
INSERT INTO `wp_term_relationships` VALUES("389", "505", "0");
INSERT INTO `wp_term_relationships` VALUES("389", "504", "0");
INSERT INTO `wp_term_relationships` VALUES("389", "503", "0");
INSERT INTO `wp_term_relationships` VALUES("386", "464", "0");
INSERT INTO `wp_term_relationships` VALUES("386", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("385", "492", "0");
INSERT INTO `wp_term_relationships` VALUES("385", "421", "0");
INSERT INTO `wp_term_relationships` VALUES("383", "485", "0");
INSERT INTO `wp_term_relationships` VALUES("383", "484", "0");
INSERT INTO `wp_term_relationships` VALUES("371", "456", "0");
INSERT INTO `wp_term_relationships` VALUES("371", "455", "0");
INSERT INTO `wp_term_relationships` VALUES("370", "451", "0");
INSERT INTO `wp_term_relationships` VALUES("370", "450", "0");
INSERT INTO `wp_term_relationships` VALUES("370", "427", "0");
INSERT INTO `wp_term_relationships` VALUES("370", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("369", "449", "0");
INSERT INTO `wp_term_relationships` VALUES("369", "448", "0");
INSERT INTO `wp_term_relationships` VALUES("369", "445", "0");
INSERT INTO `wp_term_relationships` VALUES("367", "443", "0");
INSERT INTO `wp_term_relationships` VALUES("367", "441", "0");
INSERT INTO `wp_term_relationships` VALUES("367", "442", "0");
INSERT INTO `wp_term_relationships` VALUES("367", "440", "0");
INSERT INTO `wp_term_relationships` VALUES("367", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("364", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("363", "429", "0");
INSERT INTO `wp_term_relationships` VALUES("362", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("362", "423", "0");
INSERT INTO `wp_term_relationships` VALUES("362", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("361", "422", "0");
INSERT INTO `wp_term_relationships` VALUES("361", "420", "0");
INSERT INTO `wp_term_relationships` VALUES("361", "421", "0");
INSERT INTO `wp_term_relationships` VALUES("442", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("443", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("444", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("445", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("446", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("447", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("448", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("449", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("450", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("512", "810", "0");
INSERT INTO `wp_term_relationships` VALUES("512", "809", "0");
INSERT INTO `wp_term_relationships` VALUES("512", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("512", "808", "0");
INSERT INTO `wp_term_relationships` VALUES("512", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("511", "807", "0");
INSERT INTO `wp_term_relationships` VALUES("511", "806", "0");
INSERT INTO `wp_term_relationships` VALUES("511", "805", "0");
INSERT INTO `wp_term_relationships` VALUES("511", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("510", "804", "0");
INSERT INTO `wp_term_relationships` VALUES("510", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("509", "803", "0");
INSERT INTO `wp_term_relationships` VALUES("509", "802", "0");
INSERT INTO `wp_term_relationships` VALUES("509", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("509", "801", "0");
INSERT INTO `wp_term_relationships` VALUES("509", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("503", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("503", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("503", "785", "0");
INSERT INTO `wp_term_relationships` VALUES("502", "784", "0");
INSERT INTO `wp_term_relationships` VALUES("500", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("499", "775", "0");
INSERT INTO `wp_term_relationships` VALUES("499", "774", "0");
INSERT INTO `wp_term_relationships` VALUES("495", "763", "0");
INSERT INTO `wp_term_relationships` VALUES("495", "762", "0");
INSERT INTO `wp_term_relationships` VALUES("491", "753", "0");
INSERT INTO `wp_term_relationships` VALUES("491", "752", "0");
INSERT INTO `wp_term_relationships` VALUES("491", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("491", "751", "0");
INSERT INTO `wp_term_relationships` VALUES("491", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("487", "744", "0");
INSERT INTO `wp_term_relationships` VALUES("487", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("487", "743", "0");
INSERT INTO `wp_term_relationships` VALUES("487", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("482", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("481", "730", "0");
INSERT INTO `wp_term_relationships` VALUES("481", "731", "0");
INSERT INTO `wp_term_relationships` VALUES("481", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("481", "729", "0");
INSERT INTO `wp_term_relationships` VALUES("481", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("480", "728", "0");
INSERT INTO `wp_term_relationships` VALUES("480", "727", "0");
INSERT INTO `wp_term_relationships` VALUES("478", "721", "0");
INSERT INTO `wp_term_relationships` VALUES("478", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("478", "720", "0");
INSERT INTO `wp_term_relationships` VALUES("478", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("476", "714", "0");
INSERT INTO `wp_term_relationships` VALUES("476", "400", "0");
INSERT INTO `wp_term_relationships` VALUES("476", "713", "0");
INSERT INTO `wp_term_relationships` VALUES("469", "695", "0");
INSERT INTO `wp_term_relationships` VALUES("469", "694", "0");
INSERT INTO `wp_term_relationships` VALUES("469", "693", "0");
INSERT INTO `wp_term_relationships` VALUES("466", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("465", "684", "0");
INSERT INTO `wp_term_relationships` VALUES("465", "683", "0");
INSERT INTO `wp_term_relationships` VALUES("460", "545", "0");
INSERT INTO `wp_term_relationships` VALUES("460", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("460", "671", "0");
INSERT INTO `wp_term_relationships` VALUES("459", "670", "0");
INSERT INTO `wp_term_relationships` VALUES("459", "545", "0");
INSERT INTO `wp_term_relationships` VALUES("457", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("456", "664", "0");
INSERT INTO `wp_term_relationships` VALUES("453", "657", "0");
INSERT INTO `wp_term_relationships` VALUES("453", "441", "0");
INSERT INTO `wp_term_relationships` VALUES("453", "656", "0");
INSERT INTO `wp_term_relationships` VALUES("450", "543", "0");
INSERT INTO `wp_term_relationships` VALUES("451", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("449", "649", "0");
INSERT INTO `wp_term_relationships` VALUES("449", "441", "0");
INSERT INTO `wp_term_relationships` VALUES("449", "648", "0");
INSERT INTO `wp_term_relationships` VALUES("446", "644", "0");
INSERT INTO `wp_term_relationships` VALUES("446", "179", "0");
INSERT INTO `wp_term_relationships` VALUES("446", "643", "0");
INSERT INTO `wp_term_relationships` VALUES("445", "638", "0");
INSERT INTO `wp_term_relationships` VALUES("442", "632", "0");
INSERT INTO `wp_term_relationships` VALUES("442", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("441", "631", "0");
INSERT INTO `wp_term_relationships` VALUES("439", "545", "0");
INSERT INTO `wp_term_relationships` VALUES("439", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("434", "613", "0");
INSERT INTO `wp_term_relationships` VALUES("434", "612", "0");
INSERT INTO `wp_term_relationships` VALUES("434", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("433", "611", "0");
INSERT INTO `wp_term_relationships` VALUES("431", "605", "0");
INSERT INTO `wp_term_relationships` VALUES("431", "409", "0");
INSERT INTO `wp_term_relationships` VALUES("431", "604", "0");
INSERT INTO `wp_term_relationships` VALUES("431", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("430", "603", "0");
INSERT INTO `wp_term_relationships` VALUES("430", "496", "0");
INSERT INTO `wp_term_relationships` VALUES("430", "602", "0");
INSERT INTO `wp_term_relationships` VALUES("430", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("427", "400", "0");
INSERT INTO `wp_term_relationships` VALUES("427", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("427", "594", "0");
INSERT INTO `wp_term_relationships` VALUES("426", "593", "0");
INSERT INTO `wp_term_relationships` VALUES("426", "592", "0");
INSERT INTO `wp_term_relationships` VALUES("423", "586", "0");
INSERT INTO `wp_term_relationships` VALUES("423", "441", "0");
INSERT INTO `wp_term_relationships` VALUES("423", "585", "0");
INSERT INTO `wp_term_relationships` VALUES("423", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("419", "576", "0");
INSERT INTO `wp_term_relationships` VALUES("419", "520", "0");
INSERT INTO `wp_term_relationships` VALUES("418", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("417", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("417", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("416", "571", "0");
INSERT INTO `wp_term_relationships` VALUES("413", "563", "0");
INSERT INTO `wp_term_relationships` VALUES("413", "507", "0");
INSERT INTO `wp_term_relationships` VALUES("413", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("409", "560", "0");
INSERT INTO `wp_term_relationships` VALUES("409", "559", "0");
INSERT INTO `wp_term_relationships` VALUES("409", "558", "0");
INSERT INTO `wp_term_relationships` VALUES("409", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("402", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("402", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("401", "544", "0");
INSERT INTO `wp_term_relationships` VALUES("401", "543", "0");
INSERT INTO `wp_term_relationships` VALUES("400", "538", "0");
INSERT INTO `wp_term_relationships` VALUES("400", "528", "0");
INSERT INTO `wp_term_relationships` VALUES("400", "537", "0");
INSERT INTO `wp_term_relationships` VALUES("400", "536", "0");
INSERT INTO `wp_term_relationships` VALUES("397", "528", "0");
INSERT INTO `wp_term_relationships` VALUES("397", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("396", "527", "0");
INSERT INTO `wp_term_relationships` VALUES("396", "526", "0");
INSERT INTO `wp_term_relationships` VALUES("396", "409", "0");
INSERT INTO `wp_term_relationships` VALUES("393", "518", "0");
INSERT INTO `wp_term_relationships` VALUES("393", "517", "0");
INSERT INTO `wp_term_relationships` VALUES("393", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("393", "400", "0");
INSERT INTO `wp_term_relationships` VALUES("390", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("389", "506", "0");
INSERT INTO `wp_term_relationships` VALUES("388", "498", "0");
INSERT INTO `wp_term_relationships` VALUES("388", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("385", "491", "0");
INSERT INTO `wp_term_relationships` VALUES("385", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("384", "490", "0");
INSERT INTO `wp_term_relationships` VALUES("381", "478", "0");
INSERT INTO `wp_term_relationships` VALUES("381", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("381", "477", "0");
INSERT INTO `wp_term_relationships` VALUES("380", "476", "0");
INSERT INTO `wp_term_relationships` VALUES("380", "475", "0");
INSERT INTO `wp_term_relationships` VALUES("380", "460", "0");
INSERT INTO `wp_term_relationships` VALUES("380", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("381", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("379", "474", "0");
INSERT INTO `wp_term_relationships` VALUES("377", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("376", "468", "0");
INSERT INTO `wp_term_relationships` VALUES("377", "470", "0");
INSERT INTO `wp_term_relationships` VALUES("377", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("376", "407", "0");
INSERT INTO `wp_term_relationships` VALUES("376", "469", "0");
INSERT INTO `wp_term_relationships` VALUES("508", "800", "0");
INSERT INTO `wp_term_relationships` VALUES("508", "799", "0");
INSERT INTO `wp_term_relationships` VALUES("508", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("508", "798", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "794", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "793", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "792", "0");
INSERT INTO `wp_term_relationships` VALUES("502", "783", "0");
INSERT INTO `wp_term_relationships` VALUES("502", "781", "0");
INSERT INTO `wp_term_relationships` VALUES("502", "782", "0");
INSERT INTO `wp_term_relationships` VALUES("502", "780", "0");
INSERT INTO `wp_term_relationships` VALUES("502", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("501", "779", "0");
INSERT INTO `wp_term_relationships` VALUES("499", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("499", "773", "0");
INSERT INTO `wp_term_relationships` VALUES("499", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("496", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("496", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("496", "766", "0");
INSERT INTO `wp_term_relationships` VALUES("495", "765", "0");
INSERT INTO `wp_term_relationships` VALUES("495", "764", "0");
INSERT INTO `wp_term_relationships` VALUES("492", "756", "0");
INSERT INTO `wp_term_relationships` VALUES("492", "755", "0");
INSERT INTO `wp_term_relationships` VALUES("492", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("492", "754", "0");
INSERT INTO `wp_term_relationships` VALUES("492", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("490", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("490", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("490", "750", "0");
INSERT INTO `wp_term_relationships` VALUES("489", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("489", "749", "0");
INSERT INTO `wp_term_relationships` VALUES("488", "748", "0");
INSERT INTO `wp_term_relationships` VALUES("508", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("507", "796", "0");
INSERT INTO `wp_term_relationships` VALUES("507", "763", "0");
INSERT INTO `wp_term_relationships` VALUES("507", "795", "0");
INSERT INTO `wp_term_relationships` VALUES("507", "797", "0");
INSERT INTO `wp_term_relationships` VALUES("507", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("501", "778", "0");
INSERT INTO `wp_term_relationships` VALUES("500", "776", "0");
INSERT INTO `wp_term_relationships` VALUES("501", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("501", "777", "0");
INSERT INTO `wp_term_relationships` VALUES("501", "746", "0");
INSERT INTO `wp_term_relationships` VALUES("500", "736", "0");
INSERT INTO `wp_term_relationships` VALUES("495", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("494", "760", "0");
INSERT INTO `wp_term_relationships` VALUES("494", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("494", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("494", "761", "0");
INSERT INTO `wp_term_relationships` VALUES("493", "759", "0");
INSERT INTO `wp_term_relationships` VALUES("486", "742", "0");
INSERT INTO `wp_term_relationships` VALUES("486", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("486", "741", "0");
INSERT INTO `wp_term_relationships` VALUES("485", "740", "0");
INSERT INTO `wp_term_relationships` VALUES("486", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("485", "739", "0");
INSERT INTO `wp_term_relationships` VALUES("485", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("483", "735", "0");
INSERT INTO `wp_term_relationships` VALUES("482", "734", "0");
INSERT INTO `wp_term_relationships` VALUES("483", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("482", "733", "0");
INSERT INTO `wp_term_relationships` VALUES("483", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("482", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("482", "732", "0");
INSERT INTO `wp_term_relationships` VALUES("479", "725", "0");
INSERT INTO `wp_term_relationships` VALUES("479", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("479", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("479", "723", "0");
INSERT INTO `wp_term_relationships` VALUES("479", "724", "0");
INSERT INTO `wp_term_relationships` VALUES("478", "722", "0");
INSERT INTO `wp_term_relationships` VALUES("477", "719", "0");
INSERT INTO `wp_term_relationships` VALUES("477", "717", "0");
INSERT INTO `wp_term_relationships` VALUES("477", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("477", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("477", "718", "0");
INSERT INTO `wp_term_relationships` VALUES("476", "715", "0");
INSERT INTO `wp_term_relationships` VALUES("473", "707", "0");
INSERT INTO `wp_term_relationships` VALUES("473", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("473", "488", "0");
INSERT INTO `wp_term_relationships` VALUES("473", "705", "0");
INSERT INTO `wp_term_relationships` VALUES("473", "706", "0");
INSERT INTO `wp_term_relationships` VALUES("472", "704", "0");
INSERT INTO `wp_term_relationships` VALUES("470", "698", "0");
INSERT INTO `wp_term_relationships` VALUES("469", "697", "0");
INSERT INTO `wp_term_relationships` VALUES("470", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("470", "500", "0");
INSERT INTO `wp_term_relationships` VALUES("470", "579", "0");
INSERT INTO `wp_term_relationships` VALUES("469", "696", "0");
INSERT INTO `wp_term_relationships` VALUES("468", "691", "0");
INSERT INTO `wp_term_relationships` VALUES("467", "689", "0");
INSERT INTO `wp_term_relationships` VALUES("468", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("467", "496", "0");
INSERT INTO `wp_term_relationships` VALUES("468", "690", "0");
INSERT INTO `wp_term_relationships` VALUES("467", "688", "0");
INSERT INTO `wp_term_relationships` VALUES("462", "678", "0");
INSERT INTO `wp_term_relationships` VALUES("462", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("462", "480", "0");
INSERT INTO `wp_term_relationships` VALUES("462", "676", "0");
INSERT INTO `wp_term_relationships` VALUES("462", "677", "0");
INSERT INTO `wp_term_relationships` VALUES("461", "675", "0");
INSERT INTO `wp_term_relationships` VALUES("457", "666", "0");
INSERT INTO `wp_term_relationships` VALUES("457", "400", "0");
INSERT INTO `wp_term_relationships` VALUES("457", "665", "0");
INSERT INTO `wp_term_relationships` VALUES("455", "488", "0");
INSERT INTO `wp_term_relationships` VALUES("455", "660", "0");
INSERT INTO `wp_term_relationships` VALUES("455", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("454", "659", "0");
INSERT INTO `wp_term_relationships` VALUES("454", "658", "0");
INSERT INTO `wp_term_relationships` VALUES("454", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("454", "435", "0");
INSERT INTO `wp_term_relationships` VALUES("454", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("453", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("451", "652", "0");
INSERT INTO `wp_term_relationships` VALUES("452", "655", "0");
INSERT INTO `wp_term_relationships` VALUES("452", "654", "0");
INSERT INTO `wp_term_relationships` VALUES("451", "651", "0");
INSERT INTO `wp_term_relationships` VALUES("452", "507", "0");
INSERT INTO `wp_term_relationships` VALUES("452", "653", "0");
INSERT INTO `wp_term_relationships` VALUES("451", "507", "0");
INSERT INTO `wp_term_relationships` VALUES("448", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("448", "647", "0");
INSERT INTO `wp_term_relationships` VALUES("447", "427", "0");
INSERT INTO `wp_term_relationships` VALUES("447", "646", "0");
INSERT INTO `wp_term_relationships` VALUES("447", "645", "0");
INSERT INTO `wp_term_relationships` VALUES("444", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("443", "496", "0");
INSERT INTO `wp_term_relationships` VALUES("443", "637", "0");
INSERT INTO `wp_term_relationships` VALUES("443", "636", "0");
INSERT INTO `wp_term_relationships` VALUES("444", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("443", "635", "0");
INSERT INTO `wp_term_relationships` VALUES("441", "480", "0");
INSERT INTO `wp_term_relationships` VALUES("440", "628", "0");
INSERT INTO `wp_term_relationships` VALUES("441", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("440", "629", "0");
INSERT INTO `wp_term_relationships` VALUES("441", "630", "0");
INSERT INTO `wp_term_relationships` VALUES("440", "441", "0");
INSERT INTO `wp_term_relationships` VALUES("440", "627", "0");
INSERT INTO `wp_term_relationships` VALUES("438", "624", "0");
INSERT INTO `wp_term_relationships` VALUES("437", "622", "0");
INSERT INTO `wp_term_relationships` VALUES("438", "623", "0");
INSERT INTO `wp_term_relationships` VALUES("438", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("438", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("437", "621", "0");
INSERT INTO `wp_term_relationships` VALUES("436", "617", "0");
INSERT INTO `wp_term_relationships` VALUES("435", "615", "0");
INSERT INTO `wp_term_relationships` VALUES("435", "616", "0");
INSERT INTO `wp_term_relationships` VALUES("435", "445", "0");
INSERT INTO `wp_term_relationships` VALUES("436", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("435", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("434", "614", "0");
INSERT INTO `wp_term_relationships` VALUES("433", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("432", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("432", "607", "0");
INSERT INTO `wp_term_relationships` VALUES("432", "608", "0");
INSERT INTO `wp_term_relationships` VALUES("432", "609", "0");
INSERT INTO `wp_term_relationships` VALUES("431", "606", "0");
INSERT INTO `wp_term_relationships` VALUES("429", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("428", "597", "0");
INSERT INTO `wp_term_relationships` VALUES("428", "543", "0");
INSERT INTO `wp_term_relationships` VALUES("428", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("428", "598", "0");
INSERT INTO `wp_term_relationships` VALUES("427", "596", "0");
INSERT INTO `wp_term_relationships` VALUES("427", "595", "0");
INSERT INTO `wp_term_relationships` VALUES("426", "583", "0");
INSERT INTO `wp_term_relationships` VALUES("425", "589", "0");
INSERT INTO `wp_term_relationships` VALUES("426", "590", "0");
INSERT INTO `wp_term_relationships` VALUES("426", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("426", "591", "0");
INSERT INTO `wp_term_relationships` VALUES("425", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("422", "584", "0");
INSERT INTO `wp_term_relationships` VALUES("421", "580", "0");
INSERT INTO `wp_term_relationships` VALUES("422", "581", "0");
INSERT INTO `wp_term_relationships` VALUES("422", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("422", "582", "0");
INSERT INTO `wp_term_relationships` VALUES("422", "583", "0");
INSERT INTO `wp_term_relationships` VALUES("421", "579", "0");
INSERT INTO `wp_term_relationships` VALUES("419", "575", "0");
INSERT INTO `wp_term_relationships` VALUES("418", "409", "0");
INSERT INTO `wp_term_relationships` VALUES("418", "574", "0");
INSERT INTO `wp_term_relationships` VALUES("418", "573", "0");
INSERT INTO `wp_term_relationships` VALUES("419", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("418", "572", "0");
INSERT INTO `wp_term_relationships` VALUES("415", "569", "0");
INSERT INTO `wp_term_relationships` VALUES("415", "568", "0");
INSERT INTO `wp_term_relationships` VALUES("415", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("415", "567", "0");
INSERT INTO `wp_term_relationships` VALUES("415", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("414", "565", "0");
INSERT INTO `wp_term_relationships` VALUES("414", "526", "0");
INSERT INTO `wp_term_relationships` VALUES("414", "409", "0");
INSERT INTO `wp_term_relationships` VALUES("414", "566", "0");
INSERT INTO `wp_term_relationships` VALUES("414", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("413", "564", "0");
INSERT INTO `wp_term_relationships` VALUES("411", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("410", "543", "0");
INSERT INTO `wp_term_relationships` VALUES("411", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("410", "561", "0");
INSERT INTO `wp_term_relationships` VALUES("410", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("408", "557", "0");
INSERT INTO `wp_term_relationships` VALUES("408", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("408", "427", "0");
INSERT INTO `wp_term_relationships` VALUES("408", "555", "0");
INSERT INTO `wp_term_relationships` VALUES("408", "556", "0");
INSERT INTO `wp_term_relationships` VALUES("407", "554", "0");
INSERT INTO `wp_term_relationships` VALUES("407", "553", "0");
INSERT INTO `wp_term_relationships` VALUES("407", "480", "0");
INSERT INTO `wp_term_relationships` VALUES("406", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("406", "552", "0");
INSERT INTO `wp_term_relationships` VALUES("406", "507", "0");
INSERT INTO `wp_term_relationships` VALUES("407", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("405", "551", "0");
INSERT INTO `wp_term_relationships` VALUES("404", "480", "0");
INSERT INTO `wp_term_relationships` VALUES("403", "546", "0");
INSERT INTO `wp_term_relationships` VALUES("403", "545", "0");
INSERT INTO `wp_term_relationships` VALUES("404", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("404", "547", "0");
INSERT INTO `wp_term_relationships` VALUES("403", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("401", "542", "0");
INSERT INTO `wp_term_relationships` VALUES("401", "540", "0");
INSERT INTO `wp_term_relationships` VALUES("401", "541", "0");
INSERT INTO `wp_term_relationships` VALUES("401", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("400", "539", "0");
INSERT INTO `wp_term_relationships` VALUES("399", "533", "0");
INSERT INTO `wp_term_relationships` VALUES("398", "531", "0");
INSERT INTO `wp_term_relationships` VALUES("398", "532", "0");
INSERT INTO `wp_term_relationships` VALUES("399", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("399", "445", "0");
INSERT INTO `wp_term_relationships` VALUES("398", "528", "0");
INSERT INTO `wp_term_relationships` VALUES("395", "522", "0");
INSERT INTO `wp_term_relationships` VALUES("394", "519", "0");
INSERT INTO `wp_term_relationships` VALUES("394", "520", "0");
INSERT INTO `wp_term_relationships` VALUES("394", "521", "0");
INSERT INTO `wp_term_relationships` VALUES("395", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("394", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("392", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("391", "480", "0");
INSERT INTO `wp_term_relationships` VALUES("391", "510", "0");
INSERT INTO `wp_term_relationships` VALUES("391", "511", "0");
INSERT INTO `wp_term_relationships` VALUES("391", "512", "0");
INSERT INTO `wp_term_relationships` VALUES("391", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("389", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("388", "500", "0");
INSERT INTO `wp_term_relationships` VALUES("388", "488", "0");
INSERT INTO `wp_term_relationships` VALUES("388", "501", "0");
INSERT INTO `wp_term_relationships` VALUES("388", "502", "0");
INSERT INTO `wp_term_relationships` VALUES("388", "499", "0");
INSERT INTO `wp_term_relationships` VALUES("387", "497", "0");
INSERT INTO `wp_term_relationships` VALUES("386", "494", "0");
INSERT INTO `wp_term_relationships` VALUES("387", "495", "0");
INSERT INTO `wp_term_relationships` VALUES("387", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("387", "496", "0");
INSERT INTO `wp_term_relationships` VALUES("386", "493", "0");
INSERT INTO `wp_term_relationships` VALUES("386", "465", "0");
INSERT INTO `wp_term_relationships` VALUES("384", "489", "0");
INSERT INTO `wp_term_relationships` VALUES("384", "488", "0");
INSERT INTO `wp_term_relationships` VALUES("384", "487", "0");
INSERT INTO `wp_term_relationships` VALUES("384", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("383", "486", "0");
INSERT INTO `wp_term_relationships` VALUES("383", "483", "0");
INSERT INTO `wp_term_relationships` VALUES("382", "480", "0");
INSERT INTO `wp_term_relationships` VALUES("382", "482", "0");
INSERT INTO `wp_term_relationships` VALUES("382", "481", "0");
INSERT INTO `wp_term_relationships` VALUES("383", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("382", "479", "0");
INSERT INTO `wp_term_relationships` VALUES("382", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("379", "473", "0");
INSERT INTO `wp_term_relationships` VALUES("379", "472", "0");
INSERT INTO `wp_term_relationships` VALUES("379", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("379", "435", "0");
INSERT INTO `wp_term_relationships` VALUES("379", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("378", "471", "0");
INSERT INTO `wp_term_relationships` VALUES("378", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("376", "467", "0");
INSERT INTO `wp_term_relationships` VALUES("375", "466", "0");
INSERT INTO `wp_term_relationships` VALUES("376", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("375", "465", "0");
INSERT INTO `wp_term_relationships` VALUES("375", "464", "0");
INSERT INTO `wp_term_relationships` VALUES("374", "460", "0");
INSERT INTO `wp_term_relationships` VALUES("374", "463", "0");
INSERT INTO `wp_term_relationships` VALUES("374", "462", "0");
INSERT INTO `wp_term_relationships` VALUES("375", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("374", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("373", "461", "0");
INSERT INTO `wp_term_relationships` VALUES("373", "460", "0");
INSERT INTO `wp_term_relationships` VALUES("372", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("372", "458", "0");
INSERT INTO `wp_term_relationships` VALUES("372", "459", "0");
INSERT INTO `wp_term_relationships` VALUES("373", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("372", "457", "0");
INSERT INTO `wp_term_relationships` VALUES("372", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("371", "454", "0");
INSERT INTO `wp_term_relationships` VALUES("371", "453", "0");
INSERT INTO `wp_term_relationships` VALUES("371", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("370", "452", "0");
INSERT INTO `wp_term_relationships` VALUES("369", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("368", "446", "0");
INSERT INTO `wp_term_relationships` VALUES("368", "447", "0");
INSERT INTO `wp_term_relationships` VALUES("368", "445", "0");
INSERT INTO `wp_term_relationships` VALUES("368", "444", "0");
INSERT INTO `wp_term_relationships` VALUES("366", "439", "0");
INSERT INTO `wp_term_relationships` VALUES("365", "437", "0");
INSERT INTO `wp_term_relationships` VALUES("365", "436", "0");
INSERT INTO `wp_term_relationships` VALUES("366", "421", "0");
INSERT INTO `wp_term_relationships` VALUES("366", "438", "0");
INSERT INTO `wp_term_relationships` VALUES("366", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("365", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("365", "435", "0");
INSERT INTO `wp_term_relationships` VALUES("365", "434", "0");
INSERT INTO `wp_term_relationships` VALUES("364", "431", "0");
INSERT INTO `wp_term_relationships` VALUES("364", "432", "0");
INSERT INTO `wp_term_relationships` VALUES("364", "433", "0");
INSERT INTO `wp_term_relationships` VALUES("365", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("364", "430", "0");
INSERT INTO `wp_term_relationships` VALUES("363", "428", "0");
INSERT INTO `wp_term_relationships` VALUES("362", "425", "0");
INSERT INTO `wp_term_relationships` VALUES("363", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("363", "426", "0");
INSERT INTO `wp_term_relationships` VALUES("363", "427", "0");
INSERT INTO `wp_term_relationships` VALUES("362", "424", "0");
INSERT INTO `wp_term_relationships` VALUES("361", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("359", "418", "0");
INSERT INTO `wp_term_relationships` VALUES("359", "417", "0");
INSERT INTO `wp_term_relationships` VALUES("360", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("360", "419", "0");
INSERT INTO `wp_term_relationships` VALUES("359", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("359", "416", "0");
INSERT INTO `wp_term_relationships` VALUES("358", "413", "0");
INSERT INTO `wp_term_relationships` VALUES("358", "414", "0");
INSERT INTO `wp_term_relationships` VALUES("358", "415", "0");
INSERT INTO `wp_term_relationships` VALUES("359", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("358", "412", "0");
INSERT INTO `wp_term_relationships` VALUES("358", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("357", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("357", "409", "0");
INSERT INTO `wp_term_relationships` VALUES("357", "410", "0");
INSERT INTO `wp_term_relationships` VALUES("357", "411", "0");
INSERT INTO `wp_term_relationships` VALUES("356", "408", "0");
INSERT INTO `wp_term_relationships` VALUES("356", "179", "0");
INSERT INTO `wp_term_relationships` VALUES("355", "405", "0");
INSERT INTO `wp_term_relationships` VALUES("356", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("356", "406", "0");
INSERT INTO `wp_term_relationships` VALUES("356", "407", "0");
INSERT INTO `wp_term_relationships` VALUES("355", "404", "0");
INSERT INTO `wp_term_relationships` VALUES("355", "403", "0");
INSERT INTO `wp_term_relationships` VALUES("354", "400", "0");
INSERT INTO `wp_term_relationships` VALUES("354", "401", "0");
INSERT INTO `wp_term_relationships` VALUES("354", "402", "0");
INSERT INTO `wp_term_relationships` VALUES("355", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("354", "399", "0");
INSERT INTO `wp_term_relationships` VALUES("354", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("353", "398", "0");
INSERT INTO `wp_term_relationships` VALUES("353", "397", "0");
INSERT INTO `wp_term_relationships` VALUES("353", "396", "0");
INSERT INTO `wp_term_relationships` VALUES("353", "395", "0");
INSERT INTO `wp_term_relationships` VALUES("353", "394", "0");
INSERT INTO `wp_term_relationships` VALUES("353", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("435", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("434", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("433", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("432", "716", "0");
INSERT INTO `wp_term_relationships` VALUES("436", "716", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "link_category", "", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("13", "13", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("15", "15", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("18", "18", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("19", "19", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("20", "20", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("21", "21", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("22", "22", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("23", "23", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("24", "24", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("25", "25", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("26", "26", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("27", "27", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("28", "28", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("29", "29", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("30", "30", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("31", "31", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("32", "32", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("33", "33", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("34", "34", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("35", "35", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("36", "36", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("37", "37", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("38", "38", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("39", "39", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("40", "40", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("41", "41", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("42", "42", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("43", "43", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("44", "44", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("45", "45", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("46", "46", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("47", "47", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("48", "48", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("49", "49", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("50", "50", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("51", "51", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("52", "52", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("53", "53", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("54", "54", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("55", "55", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("56", "56", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("57", "57", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("58", "58", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("59", "59", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("60", "60", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("61", "61", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("62", "62", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("63", "63", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("64", "64", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("65", "65", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("66", "66", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("67", "67", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("68", "68", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("69", "69", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("70", "70", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("71", "71", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("72", "72", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("73", "73", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("74", "74", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("75", "75", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("76", "76", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("77", "77", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("78", "78", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("79", "79", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("80", "80", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("81", "81", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("82", "82", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("83", "83", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("84", "84", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("85", "85", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("86", "86", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("87", "87", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("88", "88", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("89", "89", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("90", "90", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("91", "91", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("92", "92", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("93", "93", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("94", "94", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("95", "95", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("96", "96", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("97", "97", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("98", "98", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("99", "99", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("100", "100", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("101", "101", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("102", "102", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("103", "103", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("104", "104", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("105", "105", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("106", "106", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("107", "107", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("108", "108", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("109", "109", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("110", "110", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("111", "111", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("112", "112", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("113", "113", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("114", "114", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("115", "115", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("116", "116", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("117", "117", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("118", "118", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("119", "119", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("120", "120", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("121", "121", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("122", "122", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("123", "123", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("124", "124", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("125", "125", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("126", "126", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("127", "127", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("128", "128", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("129", "129", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("130", "130", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("131", "131", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("132", "132", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("133", "133", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("134", "134", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("135", "135", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("136", "136", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("394", "394", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("138", "138", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("139", "139", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("140", "140", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("141", "141", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("142", "142", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("143", "143", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("144", "144", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("145", "145", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("146", "146", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("147", "147", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("148", "148", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("149", "149", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("150", "150", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("151", "151", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("152", "152", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("153", "153", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("154", "154", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("155", "155", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("156", "156", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("157", "157", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("158", "158", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("159", "159", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("160", "160", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("161", "161", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("162", "162", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("163", "163", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("164", "164", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("165", "165", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("166", "166", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("167", "167", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("168", "168", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("169", "169", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("170", "170", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("171", "171", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("172", "172", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("173", "173", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("174", "174", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("175", "175", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("176", "176", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("177", "177", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("178", "178", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("179", "179", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("180", "180", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("181", "181", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("182", "182", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("183", "183", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("184", "184", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("185", "185", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("186", "186", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("187", "187", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("188", "188", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("189", "189", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("190", "190", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("191", "191", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("192", "192", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("193", "193", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("194", "194", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("195", "195", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("196", "196", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("197", "197", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("198", "198", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("199", "199", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("200", "200", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("201", "201", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("202", "202", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("203", "203", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("204", "204", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("205", "205", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("206", "206", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("207", "207", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("208", "208", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("209", "209", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("210", "210", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("211", "211", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("212", "212", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("213", "213", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("214", "214", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("215", "215", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("216", "216", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("217", "217", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("218", "218", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("219", "219", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("220", "220", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("221", "221", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("222", "222", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("223", "223", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("224", "224", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("225", "225", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("226", "226", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("227", "227", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("228", "228", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("229", "229", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("230", "230", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("231", "231", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("232", "232", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("395", "395", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("234", "234", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("235", "235", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("236", "236", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("237", "237", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("238", "238", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("239", "239", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("240", "240", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("241", "241", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("242", "242", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("243", "243", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("244", "244", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("245", "245", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("246", "246", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("247", "247", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("248", "248", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("249", "249", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("250", "250", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("251", "251", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("252", "252", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("253", "253", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("254", "254", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("255", "255", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("256", "256", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("257", "257", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("258", "258", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("259", "259", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("260", "260", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("261", "261", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("262", "262", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("263", "263", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("264", "264", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("265", "265", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("266", "266", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("267", "267", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("268", "268", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("269", "269", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("270", "270", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("271", "271", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("272", "272", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("273", "273", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("274", "274", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("275", "275", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("276", "276", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("277", "277", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("278", "278", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("279", "279", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("280", "280", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("281", "281", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("282", "282", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("283", "283", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("284", "284", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("285", "285", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("286", "286", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("287", "287", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("288", "288", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("289", "289", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("290", "290", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("291", "291", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("292", "292", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("293", "293", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("294", "294", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("295", "295", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("296", "296", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("297", "297", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("298", "298", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("299", "299", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("300", "300", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("301", "301", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("302", "302", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("303", "303", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("304", "304", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("305", "305", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("306", "306", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("307", "307", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("308", "308", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("309", "309", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("310", "310", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("311", "311", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("312", "312", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("313", "313", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("314", "314", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("315", "315", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("316", "316", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("317", "317", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("318", "318", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("319", "319", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("320", "320", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("321", "321", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("322", "322", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("323", "323", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("324", "324", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("325", "325", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("326", "326", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("327", "327", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("328", "328", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("329", "329", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("330", "330", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("331", "331", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("332", "332", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("333", "333", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("334", "334", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("335", "335", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("336", "336", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("337", "337", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("338", "338", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("339", "339", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("340", "340", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("341", "341", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("342", "342", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("343", "343", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("344", "344", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("345", "345", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("346", "346", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("347", "347", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("348", "348", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("349", "349", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("350", "350", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("351", "351", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("352", "352", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("353", "353", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("354", "354", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("355", "355", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("356", "356", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("357", "357", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("358", "358", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("359", "359", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("360", "360", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("361", "361", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("362", "362", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("363", "363", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("364", "364", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("365", "365", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("366", "366", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("367", "367", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("368", "368", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("369", "369", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("370", "370", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("371", "371", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("372", "372", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("373", "373", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("374", "374", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("375", "375", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("376", "376", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("377", "377", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("378", "378", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("379", "379", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("380", "380", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("381", "381", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("382", "382", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("383", "383", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("384", "384", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("385", "385", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("386", "386", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("387", "387", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("388", "388", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("389", "389", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("390", "390", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("391", "391", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("392", "392", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("397", "397", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("396", "396", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("399", "399", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("398", "398", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("400", "400", "post_tag", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("402", "402", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("401", "401", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("404", "404", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("403", "403", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("405", "405", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("406", "406", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("408", "408", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("407", "407", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("409", "409", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("410", "410", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("411", "411", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("412", "412", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("414", "414", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("413", "413", "post_tag", "", "0", "16");
INSERT INTO `wp_term_taxonomy` VALUES("415", "415", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("416", "416", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("418", "418", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("417", "417", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("419", "419", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("420", "420", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("421", "421", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("423", "423", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("422", "422", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("424", "424", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("425", "425", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("427", "427", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("426", "426", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("428", "428", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("429", "429", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("430", "430", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("431", "431", "post_tag", "", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("432", "432", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("435", "435", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("434", "434", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("433", "433", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("437", "437", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("436", "436", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("439", "439", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("438", "438", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("441", "441", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("440", "440", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("443", "443", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("442", "442", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("445", "445", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("444", "444", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("446", "446", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("447", "447", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("448", "448", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("449", "449", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("451", "451", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("450", "450", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("452", "452", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("453", "453", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("454", "454", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("456", "456", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("455", "455", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("458", "458", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("457", "457", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("459", "459", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("460", "460", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("461", "461", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("462", "462", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("464", "464", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("463", "463", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("465", "465", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("466", "466", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("468", "468", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("467", "467", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("470", "470", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("469", "469", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("471", "471", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("472", "472", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("474", "474", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("473", "473", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("476", "476", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("475", "475", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("477", "477", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("479", "479", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("478", "478", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("480", "480", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("482", "482", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("481", "481", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("483", "483", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("484", "484", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("485", "485", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("487", "487", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("486", "486", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("488", "488", "post_tag", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("489", "489", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("491", "491", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("490", "490", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("492", "492", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("494", "494", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("493", "493", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("496", "496", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("495", "495", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("497", "497", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("498", "498", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("499", "499", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("501", "501", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("500", "500", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("393", "393", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("502", "502", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("503", "503", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("504", "504", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("506", "506", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("505", "505", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("507", "507", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("508", "508", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("509", "509", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("510", "510", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("511", "511", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("512", "512", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("513", "513", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("514", "514", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("515", "515", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("516", "516", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("517", "517", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("518", "518", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("519", "519", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("520", "520", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("521", "521", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("522", "522", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("523", "523", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("524", "524", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("525", "525", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("526", "526", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("527", "527", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("528", "528", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("529", "529", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("530", "530", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("531", "531", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("532", "532", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("533", "533", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("534", "534", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("535", "535", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("536", "536", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("537", "537", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("538", "538", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("539", "539", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("540", "540", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("541", "541", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("542", "542", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("543", "543", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("544", "544", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("545", "545", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("546", "546", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("547", "547", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("548", "548", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("549", "549", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("550", "550", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("551", "551", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("552", "552", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("553", "553", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("554", "554", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("555", "555", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("556", "556", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("557", "557", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("558", "558", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("559", "559", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("560", "560", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("561", "561", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("562", "562", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("563", "563", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("564", "564", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("565", "565", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("566", "566", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("567", "567", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("568", "568", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("569", "569", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("570", "570", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("571", "571", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("572", "572", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("573", "573", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("574", "574", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("575", "575", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("576", "576", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("577", "577", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("578", "578", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("579", "579", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("580", "580", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("581", "581", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("582", "582", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("583", "583", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("584", "584", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("585", "585", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("586", "586", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("587", "587", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("588", "588", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("589", "589", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("590", "590", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("591", "591", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("592", "592", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("593", "593", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("594", "594", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("595", "595", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("596", "596", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("597", "597", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("598", "598", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("599", "599", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("600", "600", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("601", "601", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("602", "602", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("603", "603", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("604", "604", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("605", "605", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("606", "606", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("607", "607", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("608", "608", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("609", "609", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("610", "610", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("611", "611", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("612", "612", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("613", "613", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("614", "614", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("615", "615", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("616", "616", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("617", "617", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("618", "618", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("619", "619", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("620", "620", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("621", "621", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("622", "622", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("623", "623", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("624", "624", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("625", "625", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("626", "626", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("627", "627", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("628", "628", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("629", "629", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("630", "630", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("631", "631", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("632", "632", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("633", "633", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("634", "634", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("635", "635", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("636", "636", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("637", "637", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("638", "638", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("639", "639", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("640", "640", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("641", "641", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("642", "642", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("643", "643", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("644", "644", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("645", "645", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("646", "646", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("647", "647", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("648", "648", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("649", "649", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("650", "650", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("651", "651", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("652", "652", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("653", "653", "category", "", "0", "61");
INSERT INTO `wp_term_taxonomy` VALUES("654", "654", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("655", "655", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("656", "656", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("657", "657", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("658", "658", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("659", "659", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("660", "660", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("661", "661", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("662", "662", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("663", "663", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("664", "664", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("665", "665", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("666", "666", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("667", "667", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("668", "668", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("669", "669", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("670", "670", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("671", "671", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("672", "672", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("673", "673", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("674", "674", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("675", "675", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("676", "676", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("677", "677", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("678", "678", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("679", "679", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("680", "680", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("681", "681", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("682", "682", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("683", "683", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("684", "684", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("685", "685", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("686", "686", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("687", "687", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("688", "688", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("689", "689", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("690", "690", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("691", "691", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("692", "692", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("693", "693", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("694", "694", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("695", "695", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("696", "696", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("697", "697", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("698", "698", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("699", "699", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("700", "700", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("701", "701", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("702", "702", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("703", "703", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("704", "704", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("705", "705", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("706", "706", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("707", "707", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("708", "708", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("709", "709", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("710", "710", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("711", "711", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("712", "712", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("713", "713", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("714", "714", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("715", "715", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("716", "716", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("717", "717", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("718", "718", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("719", "719", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("720", "720", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("721", "721", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("722", "722", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("723", "723", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("724", "724", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("725", "725", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("726", "726", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("727", "727", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("728", "728", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("729", "729", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("730", "730", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("731", "731", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("732", "732", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("733", "733", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("734", "734", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("735", "735", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("736", "736", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("737", "737", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("738", "738", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("739", "739", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("740", "740", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("741", "741", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("742", "742", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("743", "743", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("744", "744", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("745", "745", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("746", "746", "post_tag", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("747", "747", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("748", "748", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("749", "749", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("750", "750", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("751", "751", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("752", "752", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("753", "753", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("754", "754", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("755", "755", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("756", "756", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("757", "757", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("758", "758", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("759", "759", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("760", "760", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("761", "761", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("762", "762", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("763", "763", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("764", "764", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("765", "765", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("766", "766", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("767", "767", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("768", "768", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("769", "769", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("770", "770", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("771", "771", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("772", "772", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("773", "773", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("774", "774", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("775", "775", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("776", "776", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("777", "777", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("778", "778", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("779", "779", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("780", "780", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("781", "781", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("782", "782", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("783", "783", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("784", "784", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("785", "785", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("786", "786", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("787", "787", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("788", "788", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("789", "789", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("790", "790", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("791", "791", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("792", "792", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("793", "793", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("794", "794", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("795", "795", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("796", "796", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("797", "797", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("798", "798", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("799", "799", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("800", "800", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("801", "801", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("802", "802", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("803", "803", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("804", "804", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("805", "805", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("806", "806", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("807", "807", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("808", "808", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("809", "809", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("810", "810", "post_tag", "", "0", "1");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "Kayaks", "kayaks", "0");
INSERT INTO `wp_terms` VALUES("2", "Blogroll", "blogroll", "0");
INSERT INTO `wp_terms` VALUES("3", "Griffin iPad Wall Mount (GC16045)", "griffin-ipad-wall-mount-gc16045", "0");
INSERT INTO `wp_terms` VALUES("4", "Griffin Technology", "griffin-technology", "0");
INSERT INTO `wp_terms` VALUES("5", "GC16045", "gc16045", "0");
INSERT INTO `wp_terms` VALUES("6", "16170", "16170", "0");
INSERT INTO `wp_terms` VALUES("7", "2", "2", "0");
INSERT INTO `wp_terms` VALUES("8", "3", "3", "0");
INSERT INTO `wp_terms` VALUES("9", "4 &amp; New iPad mini", "4-new-ipad-mini", "0");
INSERT INTO `wp_terms` VALUES("10", "Motorola Xoom", "motorola-xoom", "0");
INSERT INTO `wp_terms` VALUES("11", "Samsung Galaxy Tab", "samsung-galaxy-tab", "0");
INSERT INTO `wp_terms` VALUES("12", "Google Nexus 7/10", "google-nexus-710", "0");
INSERT INTO `wp_terms` VALUES("13", "ASUS Transformer Prime/Infinity (chrome version)", "asus-transformer-primeinfinity-chrome-version", "0");
INSERT INTO `wp_terms` VALUES("14", "Dockem", "dockem", "0");
INSERT INTO `wp_terms` VALUES("15", "20006-CH", "20006-ch", "0");
INSERT INTO `wp_terms` VALUES("16", "Pad Bracket: Wall Mount for the Apple iPad", "pad-bracket-wall-mount-for-the-apple-ipad", "0");
INSERT INTO `wp_terms` VALUES("17", "ClayWare", "clayware", "0");
INSERT INTO `wp_terms` VALUES("18", "LLC", "llc", "0");
INSERT INTO `wp_terms` VALUES("19", "ASUS Transformer Prime/Infinity (black version)", "asus-transformer-primeinfinity-black-version", "0");
INSERT INTO `wp_terms` VALUES("20", "20006-BL", "20006-bl", "0");
INSERT INTO `wp_terms` VALUES("21", "The Joy Factory", "the-joy-factory", "0");
INSERT INTO `wp_terms` VALUES("22", "MZA101", "mza101", "0");
INSERT INTO `wp_terms` VALUES("23", "1011050343", "1011050343", "0");
INSERT INTO `wp_terms` VALUES("24", "PadTab iPad and Tablet Wall Mounting System", "padtab-ipad-and-tablet-wall-mounting-system", "0");
INSERT INTO `wp_terms` VALUES("25", "PadTab", "padtab", "0");
INSERT INTO `wp_terms` VALUES("26", "PTK1", "ptk1", "0");
INSERT INTO `wp_terms` VALUES("27", "iPad Wall Mount System", "ipad-wall-mount-system", "0");
INSERT INTO `wp_terms` VALUES("28", "Premier Mounts", "premier-mounts", "0");
INSERT INTO `wp_terms` VALUES("29", "IPM-500", "ipm-500", "0");
INSERT INTO `wp_terms` VALUES("30", "810099", "810099", "0");
INSERT INTO `wp_terms` VALUES("31", "GRIFFIN GC16045 IPAD WALL MOUNT [GC16045] -", "griffin-gc16045-ipad-wall-mount-gc16045", "0");
INSERT INTO `wp_terms` VALUES("32", "GRIFFIN", "griffin", "0");
INSERT INTO `wp_terms` VALUES("33", "Microsoft Surface", "microsoft-surface", "0");
INSERT INTO `wp_terms` VALUES("34", "ASUS Transformer Prime/Infinity", "asus-transformer-primeinfinity", "0");
INSERT INTO `wp_terms` VALUES("35", "iPad", "ipad", "0");
INSERT INTO `wp_terms` VALUES("36", "Android Smartphones", "android-smartphones", "0");
INSERT INTO `wp_terms` VALUES("37", "10\" or 7\" Android Tablets", "10-or-7-android-tablets", "0");
INSERT INTO `wp_terms` VALUES("38", "ASUS Google Nexus 7 or 10", "asus-google-nexus-7-or-10", "0");
INSERT INTO `wp_terms` VALUES("39", "Samsung Galaxy S2 SII SIII S3 S4 SIV) (Chrome)", "samsung-galaxy-s2-sii-siii-s3-s4-siv-chrome", "0");
INSERT INTO `wp_terms` VALUES("40", "20003-CH", "20003-ch", "0");
INSERT INTO `wp_terms` VALUES("41", "KM IPAD WALL MOUNT", "km-ipad-wall-mount", "0");
INSERT INTO `wp_terms` VALUES("42", "K&amp;M", "km", "0");
INSERT INTO `wp_terms` VALUES("43", "Pad Bracket: Wall Mount for the Apple iPad (White)", "pad-bracket-wall-mount-for-the-apple-ipad-white", "0");
INSERT INTO `wp_terms` VALUES("44", "Apple", "apple", "0");
INSERT INTO `wp_terms` VALUES("45", "iPad 1&amp;2", "ipad-12", "0");
INSERT INTO `wp_terms` VALUES("46", "SpinClik Mount", "spinclik-mount", "0");
INSERT INTO `wp_terms` VALUES("47", "basic", "basic", "0");
INSERT INTO `wp_terms` VALUES("48", "for AMPS Plate or InDash mounting", "for-amps-plate-or-indash-mounting", "0");
INSERT INTO `wp_terms` VALUES("49", "SCD-000", "scd-000", "0");
INSERT INTO `wp_terms` VALUES("50", "C3GM", "c3gm", "0");
INSERT INTO `wp_terms` VALUES("51", "99-Z39D-O0JU", "99-z39d-o0ju", "0");
INSERT INTO `wp_terms` VALUES("52", "iPad SpinClik Mount w/ 6\" Post Mount", "ipad-spinclik-mount-w-6-post-mount", "0");
INSERT INTO `wp_terms` VALUES("53", "SCD-015", "scd-015", "0");
INSERT INTO `wp_terms` VALUES("54", "SDC-015", "sdc-015", "0");
INSERT INTO `wp_terms` VALUES("55", "Note", "note", "0");
INSERT INTO `wp_terms` VALUES("56", "Transformer Infinity/Prime", "transformer-infinityprime", "0");
INSERT INTO `wp_terms` VALUES("57", "Microsoft Surface RT)", "microsoft-surface-rt", "0");
INSERT INTO `wp_terms` VALUES("58", "Wallee Mount - Black", "wallee-mount-black", "0");
INSERT INTO `wp_terms` VALUES("59", "Wallee", "wallee", "0");
INSERT INTO `wp_terms` VALUES("60", "Mount-Black", "mount-black", "0");
INSERT INTO `wp_terms` VALUES("61", "229178", "229178", "0");
INSERT INTO `wp_terms` VALUES("62", "Abesco &amp; Co.", "abesco-co", "0");
INSERT INTO `wp_terms` VALUES("63", "Pad Bracket: Wall Mount for the Apple iPad (Clear)", "pad-bracket-wall-mount-for-the-apple-ipad-clear", "0");
INSERT INTO `wp_terms` VALUES("64", "The Joy Factory Klick Ipad 2 Wall Mount (mza101) -", "the-joy-factory-klick-ipad-2-wall-mount-mza101", "0");
INSERT INTO `wp_terms` VALUES("65", "8.60E+11", "8-60e11", "0");
INSERT INTO `wp_terms` VALUES("66", "DNH-DHMZA101", "dnh-dhmza101", "0");
INSERT INTO `wp_terms` VALUES("67", "TheiMount.com", "theimount-com", "0");
INSERT INTO `wp_terms` VALUES("68", "IPA-31-1", "ipa-31-1", "0");
INSERT INTO `wp_terms` VALUES("69", "Wallee Vesa for iPad", "wallee-vesa-for-ipad", "0");
INSERT INTO `wp_terms` VALUES("70", "Vesa", "vesa", "0");
INSERT INTO `wp_terms` VALUES("71", "229170", "229170", "0");
INSERT INTO `wp_terms` VALUES("72", "IPA-17-2", "ipa-17-2", "0");
INSERT INTO `wp_terms` VALUES("73", "Case In Point", "case-in-point", "0");
INSERT INTO `wp_terms` VALUES("74", "CC202", "cc202", "0");
INSERT INTO `wp_terms` VALUES("75", "The Wallee", "the-wallee", "0");
INSERT INTO `wp_terms` VALUES("76", "Just Mobile", "just-mobile", "0");
INSERT INTO `wp_terms` VALUES("77", "WM-818", "wm-818", "0");
INSERT INTO `wp_terms` VALUES("78", "TBT-JSMWM818", "tbt-jsmwm818", "0");
INSERT INTO `wp_terms` VALUES("79", "GRIFFIN GC16045 IPAD WALL MOUNT", "griffin-gc16045-ipad-wall-mount", "0");
INSERT INTO `wp_terms` VALUES("80", "GFN16045", "gfn16045", "0");
INSERT INTO `wp_terms` VALUES("81", "modulR Slim Wall Mount for iPad", "modulr-slim-wall-mount-for-ipad", "0");
INSERT INTO `wp_terms` VALUES("82", "modulR", "modulr", "0");
INSERT INTO `wp_terms` VALUES("83", "A22-50-A", "a22-50-a", "0");
INSERT INTO `wp_terms` VALUES("84", "II-TYZ3-V91N", "ii-tyz3-v91n", "0");
INSERT INTO `wp_terms` VALUES("85", "IPA-17-1", "ipa-17-1", "0");
INSERT INTO `wp_terms` VALUES("86", "Clear", "clear", "0");
INSERT INTO `wp_terms` VALUES("87", "Intelemail Pty Ltd", "intelemail-pty-ltd", "0");
INSERT INTO `wp_terms` VALUES("88", "Wallee1-clear", "wallee1-clear", "0");
INSERT INTO `wp_terms` VALUES("89", "TTWSC1CLR", "ttwsc1clr", "0");
INSERT INTO `wp_terms` VALUES("90", "IPA-31-2", "ipa-31-2", "0");
INSERT INTO `wp_terms` VALUES("91", "IPA-31-3", "ipa-31-3", "0");
INSERT INTO `wp_terms` VALUES("92", "Wall Mount for the Original Kitchen iPad Rack", "wall-mount-for-the-original-kitchen-ipad-rack", "0");
INSERT INTO `wp_terms` VALUES("93", "Kitchen Acrylics", "kitchen-acrylics", "0");
INSERT INTO `wp_terms` VALUES("94", "KA-TOKIR-WALL", "ka-tokir-wall", "0");
INSERT INTO `wp_terms` VALUES("95", "A22-00-A", "a22-00-a", "0");
INSERT INTO `wp_terms` VALUES("96", "J0-VAA7-LAQ9", "j0-vaa7-laq9", "0");
INSERT INTO `wp_terms` VALUES("97", "CC203", "cc203", "0");
INSERT INTO `wp_terms` VALUES("98", "MZA102", "mza102", "0");
INSERT INTO `wp_terms` VALUES("99", "JOYMZA102", "joymza102", "0");
INSERT INTO `wp_terms` VALUES("100", "NOBLE SECURITY", "noble-security", "0");
INSERT INTO `wp_terms` VALUES("101", "iPad2/3 ENS BRS", "ipad23-ens-brs", "0");
INSERT INTO `wp_terms` VALUES("102", "Tether Tools", "tether-tools", "0");
INSERT INTO `wp_terms` VALUES("103", "Wallee1-white", "wallee1-white", "0");
INSERT INTO `wp_terms` VALUES("104", "A22-60-A", "a22-60-a", "0");
INSERT INTO `wp_terms` VALUES("105", "LK-PWXS-R52W", "lk-pwxs-r52w", "0");
INSERT INTO `wp_terms` VALUES("106", "HHI", "hhi", "0");
INSERT INTO `wp_terms` VALUES("107", "CCC303", "ccc303", "0");
INSERT INTO `wp_terms` VALUES("108", "iPad 2/3 Enclosure and Wall Mount- Silver", "ipad-23-enclosure-and-wall-mount-silver", "0");
INSERT INTO `wp_terms` VALUES("109", "iPad2/3 ENS", "ipad23-ens", "0");
INSERT INTO `wp_terms` VALUES("110", "Revena", "revena", "0");
INSERT INTO `wp_terms` VALUES("111", "RMNT-FLT01", "rmnt-flt01", "0");
INSERT INTO `wp_terms` VALUES("112", "Blue", "blue", "0");
INSERT INTO `wp_terms` VALUES("113", "Wallee1-blue", "wallee1-blue", "0");
INSERT INTO `wp_terms` VALUES("114", "90862BL", "90862bl", "0");
INSERT INTO `wp_terms` VALUES("115", "Testrite", "testrite", "0");
INSERT INTO `wp_terms` VALUES("116", "Figure 8 iPad Wall/Table Mount", "figure-8-ipad-walltable-mount", "0");
INSERT INTO `wp_terms` VALUES("117", "ArmorActive", "armoractive", "0");
INSERT INTO `wp_terms` VALUES("118", "Case Closed iPad Entertainment Kiosk Cabinet Only", "case-closed-ipad-entertainment-kiosk-cabinet-only", "0");
INSERT INTO `wp_terms` VALUES("119", "Tech Armor", "tech-armor", "0");
INSERT INTO `wp_terms` VALUES("120", "MID", "mid", "0");
INSERT INTO `wp_terms` VALUES("121", "MiniSuit", "minisuit", "0");
INSERT INTO `wp_terms` VALUES("122", "IPAD-060-2MX(3)-p", "ipad-060-2mx3-p", "0");
INSERT INTO `wp_terms` VALUES("123", "SPPH48X3-AK1", "spph48x3-ak1", "0");
INSERT INTO `wp_terms` VALUES("124", "3rd Generation) (3-Pack) NEWEST MODEL", "3rd-generation-3-pack-newest-model", "0");
INSERT INTO `wp_terms` VALUES("125", "Importer520", "importer520", "0");
INSERT INTO `wp_terms` VALUES("126", "TOOGOO", "toogoo", "0");
INSERT INTO `wp_terms` VALUES("127", "iPad 2", "ipad-2", "0");
INSERT INTO `wp_terms` VALUES("128", "iPad 3", "ipad-3", "0");
INSERT INTO `wp_terms` VALUES("129", "iPad 4", "ipad-4", "0");
INSERT INTO `wp_terms` VALUES("130", "iPad Mini", "ipad-mini", "0");
INSERT INTO `wp_terms` VALUES("131", "iPhone 4s", "iphone-4s", "0");
INSERT INTO `wp_terms` VALUES("132", "iPhone 5", "iphone-5", "0");
INSERT INTO `wp_terms` VALUES("133", "ipod", "ipod", "0");
INSERT INTO `wp_terms` VALUES("134", "Galaxy S 3", "galaxy-s-3", "0");
INSERT INTO `wp_terms` VALUES("135", "Nexus 7 [in Retail Packing]", "nexus-7-in-retail-packing", "0");
INSERT INTO `wp_terms` VALUES("136", "amCase", "amcase", "0");
INSERT INTO `wp_terms` VALUES("394", "Shoreline Marine Kayak Paddle Rounded Blade", "shoreline-marine-kayak-paddle-rounded-blade", "0");
INSERT INTO `wp_terms` VALUES("138", "IPAD_SP_1", "ipad_sp_1", "0");
INSERT INTO `wp_terms` VALUES("139", "Tech Armor Apple New iPad 4", "tech-armor-apple-new-ipad-4", "0");
INSERT INTO `wp_terms` VALUES("140", "ID", "id", "0");
INSERT INTO `wp_terms` VALUES("141", "eForCity", "eforcity", "0");
INSERT INTO `wp_terms` VALUES("142", "30000941@@2442", "300009412442", "0");
INSERT INTO `wp_terms` VALUES("143", "Mybat", "mybat", "0");
INSERT INTO `wp_terms` VALUES("144", "Wifi + 3G)", "wifi-3g", "0");
INSERT INTO `wp_terms` VALUES("145", "Apple Computer", "apple-computer", "0");
INSERT INTO `wp_terms` VALUES("146", "MC349LL/A", "mc349lla", "0");
INSERT INTO `wp_terms` VALUES("147", "363744", "363744", "0");
INSERT INTO `wp_terms` VALUES("148", "GSI", "gsi", "0");
INSERT INTO `wp_terms` VALUES("149", "GPAD413", "gpad413", "0");
INSERT INTO `wp_terms` VALUES("150", "FBA-GPAD413", "fba-gpad413", "0");
INSERT INTO `wp_terms` VALUES("151", "CPA-1630-15", "cpa-1630-15", "0");
INSERT INTO `wp_terms` VALUES("152", "VF-04-GEN-EARPH-MIC-N-BLK-2", "vf-04-gen-earph-mic-n-blk-2", "0");
INSERT INTO `wp_terms` VALUES("153", "32gb", "32gb", "0");
INSERT INTO `wp_terms` VALUES("154", "64gb", "64gb", "0");
INSERT INTO `wp_terms` VALUES("155", "5 Star", "5-star", "0");
INSERT INTO `wp_terms` VALUES("156", "VFB-12-APL-IPAD-2ACRY-24", "vfb-12-apl-ipad-2acry-24", "0");
INSERT INTO `wp_terms` VALUES("157", "eBigValue", "ebigvalue", "0");
INSERT INTO `wp_terms` VALUES("158", "IE_IPALEA021STP801SCR001_3", "ie_ipalea021stp801scr001_3", "0");
INSERT INTO `wp_terms` VALUES("159", "IPAD_SP_6PACK", "ipad_sp_6pack", "0");
INSERT INTO `wp_terms` VALUES("160", "Wifi)", "wifi", "0");
INSERT INTO `wp_terms` VALUES("161", "MB294LL/A", "mb294lla", "0");
INSERT INTO `wp_terms` VALUES("162", "GSB00000013417", "gsb00000013417", "0");
INSERT INTO `wp_terms` VALUES("163", "BuyBits Addons", "buybits-addons", "0");
INSERT INTO `wp_terms` VALUES("164", "10902", "10902", "0");
INSERT INTO `wp_terms` VALUES("165", "and Tuck Away Handles + Universal Earbuds!!", "and-tuck-away-handles-universal-earbuds", "0");
INSERT INTO `wp_terms` VALUES("166", "VG", "vg", "0");
INSERT INTO `wp_terms` VALUES("167", "PINDART1001", "pindart1001", "0");
INSERT INTO `wp_terms` VALUES("168", "GM_NBKLEA701HAN103_22", "gm_nbklea701han103_22", "0");
INSERT INTO `wp_terms` VALUES("169", "Arkon", "arkon", "0");
INSERT INTO `wp_terms` VALUES("170", "TAB086", "tab086", "0");
INSERT INTO `wp_terms` VALUES("171", "HAWAII TECKNOLOGY", "hawaii-tecknology", "0");
INSERT INTO `wp_terms` VALUES("172", "10-24-bdusa-3280", "10-24-bdusa-3280", "0");
INSERT INTO `wp_terms` VALUES("173", "kroo", "kroo", "0");
INSERT INTO `wp_terms` VALUES("174", "Apple iPad 1", "apple-ipad-1", "0");
INSERT INTO `wp_terms` VALUES("175", "iPad 4 (fits ALL generations of iPad", "ipad-4-fits-all-generations-of-ipad", "0");
INSERT INTO `wp_terms` VALUES("176", "Barb Palser", "barb-palser", "0");
INSERT INTO `wp_terms` VALUES("177", "University of Maryland", "university-of-maryland", "0");
INSERT INTO `wp_terms` VALUES("178", "B004XKSTXS", "b004xkstxs", "0");
INSERT INTO `wp_terms` VALUES("179", "Black", "black", "0");
INSERT INTO `wp_terms` VALUES("180", "CTCS", "ctcs", "0");
INSERT INTO `wp_terms` VALUES("181", "(Hot Pink)", "hot-pink", "0");
INSERT INTO `wp_terms` VALUES("182", "Amzer", "amzer", "0");
INSERT INTO `wp_terms` VALUES("183", "AMZ22270", "amz22270", "0");
INSERT INTO `wp_terms` VALUES("184", "RES-AMZ-iPad-JEL-HPink-87481", "res-amz-ipad-jel-hpink-87481", "0");
INSERT INTO `wp_terms` VALUES("185", "Just Mobile MP-168 Alupad Mouse Pad", "just-mobile-mp-168-alupad-mouse-pad", "0");
INSERT INTO `wp_terms` VALUES("186", "MP-168", "mp-168", "0");
INSERT INTO `wp_terms` VALUES("187", "DRBOTT-6743-ALPD", "drbott-6743-alpd", "0");
INSERT INTO `wp_terms` VALUES("188", "Brenthaven", "brenthaven", "0");
INSERT INTO `wp_terms` VALUES("189", "2163", "2163", "0");
INSERT INTO `wp_terms` VALUES("190", "DR4382-PRIS", "dr4382-pris", "0");
INSERT INTO `wp_terms` VALUES("191", "XG-0097-U", "xg-0097-u", "0");
INSERT INTO `wp_terms` VALUES("192", "Waterproof Case For Apple iPad", "waterproof-case-for-apple-ipad", "0");
INSERT INTO `wp_terms` VALUES("193", "Tablets", "tablets", "0");
INSERT INTO `wp_terms` VALUES("194", "cellphoneshop.net", "cellphoneshop-net", "0");
INSERT INTO `wp_terms` VALUES("195", "Dreamgear", "dreamgear", "0");
INSERT INTO `wp_terms` VALUES("196", "DQ2224-INGM|1", "dq2224-ingm1", "0");
INSERT INTO `wp_terms` VALUES("197", "64GB with dual zipper and front pocket", "64gb-with-dual-zipper-and-front-pocket", "0");
INSERT INTO `wp_terms` VALUES("198", "Mivizu", "mivizu", "0");
INSERT INTO `wp_terms` VALUES("199", "AMZ87489", "amz87489", "0");
INSERT INTO `wp_terms` VALUES("200", "BuyBits", "buybits", "0");
INSERT INTO `wp_terms` VALUES("201", "8630", "8630", "0");
INSERT INTO `wp_terms` VALUES("202", "5060263023586.1", "5060263023586-1", "0");
INSERT INTO `wp_terms` VALUES("203", "PINDART1005", "pindart1005", "0");
INSERT INTO `wp_terms` VALUES("204", "GM_NBKLEA705HAN105_933", "gm_nbklea705han105_933", "0");
INSERT INTO `wp_terms` VALUES("205", "64GB (fits 9.7\" display of the iPad®)", "64gb-fits-9-7-display-of-the-ipad", "0");
INSERT INTO `wp_terms` VALUES("206", "Design &amp; Motion", "design-motion", "0");
INSERT INTO `wp_terms` VALUES("207", "IPAD_CLEARCRY", "ipad_clearcry", "0");
INSERT INTO `wp_terms` VALUES("208", "ipad Tablet wifi", "ipad-tablet-wifi", "0");
INSERT INTO `wp_terms` VALUES("209", "ipad Tablet wifi + 3G", "ipad-tablet-wifi-3g", "0");
INSERT INTO `wp_terms` VALUES("210", "16gb", "16gb", "0");
INSERT INTO `wp_terms` VALUES("211", "32 gb", "32-gb", "0");
INSERT INTO `wp_terms` VALUES("212", "NBKLEA421STP801_1112", "nbklea421stp801_1112", "0");
INSERT INTO `wp_terms` VALUES("213", "Ctech", "ctech", "0");
INSERT INTO `wp_terms` VALUES("214", "BOSFOIP2RT35", "bosfoip2rt35", "0");
INSERT INTO `wp_terms` VALUES("215", "SR-Q52L-IXTD", "sr-q52l-ixtd", "0");
INSERT INTO `wp_terms` VALUES("216", "Logitech", "logitech", "0");
INSERT INTO `wp_terms` VALUES("217", "920-004013", "920-004013", "0");
INSERT INTO `wp_terms` VALUES("218", "1916187", "1916187", "0");
INSERT INTO `wp_terms` VALUES("219", "iPhone", "iphone", "0");
INSERT INTO `wp_terms` VALUES("220", "iPad 2 and the New iPad 3 [New Version]", "ipad-2-and-the-new-ipad-3-new-version", "0");
INSERT INTO `wp_terms` VALUES("221", "iXCC", "ixcc", "0");
INSERT INTO `wp_terms` VALUES("222", "i-cable-ipad-10ft-white-01", "i-cable-ipad-10ft-white-01", "0");
INSERT INTO `wp_terms` VALUES("223", "OtterBox", "otterbox", "0");
INSERT INTO `wp_terms` VALUES("224", "77-23834", "77-23834", "0");
INSERT INTO `wp_terms` VALUES("225", "iPad 2 and 3 - Black", "ipad-2-and-3-black", "0");
INSERT INTO `wp_terms` VALUES("226", "77-18640", "77-18640", "0");
INSERT INTO `wp_terms` VALUES("227", "432606", "432606", "0");
INSERT INTO `wp_terms` VALUES("228", "and iPad", "and-ipad", "0");
INSERT INTO `wp_terms` VALUES("229", "AmazonBasics", "amazonbasics", "0");
INSERT INTO `wp_terms` VALUES("230", "PRIRFQ303", "prirfq303", "0");
INSERT INTO `wp_terms` VALUES("231", "iPad 2 and the New iPad 3 (10 feet)", "ipad-2-and-the-new-ipad-3-10-feet", "0");
INSERT INTO `wp_terms` VALUES("232", "i-cable-ipad-10ft-white-02", "i-cable-ipad-10ft-white-02", "0");
INSERT INTO `wp_terms` VALUES("234", "Apple iPad Mini MD531LL/A (16GB", "apple-ipad-mini-md531lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("235", "Wi-Fi", "wi-fi", "0");
INSERT INTO `wp_terms` VALUES("236", "White)", "white", "0");
INSERT INTO `wp_terms` VALUES("237", "MD531LL/A", "md531lla", "0");
INSERT INTO `wp_terms` VALUES("238", "Apple iPad Mini MD528LL/A or MD528E/A (16GB", "apple-ipad-mini-md528lla-or-md528ea-16gb", "0");
INSERT INTO `wp_terms` VALUES("239", "MD528LL/A", "md528lla", "0");
INSERT INTO `wp_terms` VALUES("240", "Apple iPad with Retina Display MD510LL/A (16GB", "apple-ipad-with-retina-display-md510lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("241", "Black) NEWEST VERSION", "black-newest-version", "0");
INSERT INTO `wp_terms` VALUES("242", "MD510LL/A", "md510lla", "0");
INSERT INTO `wp_terms` VALUES("243", "Apple iPad 2 MC979LL/A Tablet (16GB", "apple-ipad-2-mc979lla-tablet-16gb", "0");
INSERT INTO `wp_terms` VALUES("244", "White) 2nd Generation", "white-2nd-generation", "0");
INSERT INTO `wp_terms` VALUES("245", "MC979LL/A", "mc979lla", "0");
INSERT INTO `wp_terms` VALUES("246", "118087@634532900684301250", "118087634532900684301250", "0");
INSERT INTO `wp_terms` VALUES("247", "Apple iPad 2 MC769LL/A Tablet (16GB", "apple-ipad-2-mc769lla-tablet-16gb", "0");
INSERT INTO `wp_terms` VALUES("248", "Black) 2nd Generation", "black-2nd-generation", "0");
INSERT INTO `wp_terms` VALUES("249", "PC769LL/A", "pc769lla", "0");
INSERT INTO `wp_terms` VALUES("250", "[AMC] Pad2(16-BK) 769", "amc-pad216-bk-769", "0");
INSERT INTO `wp_terms` VALUES("251", "Apple iPad with Retina Display MD511LL/A (32GB", "apple-ipad-with-retina-display-md511lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("252", "MD511LL/A", "md511lla", "0");
INSERT INTO `wp_terms` VALUES("253", "Apple iPad with Retina Display MD514LL/A (32GB", "apple-ipad-with-retina-display-md514lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("254", "White) NEWEST VERSION", "white-newest-version", "0");
INSERT INTO `wp_terms` VALUES("255", "MD514LL/A", "md514lla", "0");
INSERT INTO `wp_terms` VALUES("256", "Apple iPad with Retina Display MD513LL/A (16GB", "apple-ipad-with-retina-display-md513lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("257", "MD513LL/A", "md513lla", "0");
INSERT INTO `wp_terms` VALUES("258", "Apple iPad Mini MD529LL/A (32GB", "apple-ipad-mini-md529lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("259", "MD529LL/A", "md529lla", "0");
INSERT INTO `wp_terms` VALUES("260", "Apple iPad MC705LL/A (16GB", "apple-ipad-mc705lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("261", "Black) 3rd Generation", "black-3rd-generation", "0");
INSERT INTO `wp_terms` VALUES("262", "MC705LL/A", "mc705lla", "0");
INSERT INTO `wp_terms` VALUES("263", "Apple iPad with Retina Display MD512LL/A (64GB", "apple-ipad-with-retina-display-md512lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("264", "MD512LL/A", "md512lla", "0");
INSERT INTO `wp_terms` VALUES("265", "Zagg", "zagg", "0");
INSERT INTO `wp_terms` VALUES("266", "FOLPROBLKLIT101W", "folproblklit101w", "0");
INSERT INTO `wp_terms` VALUES("267", "Kindle Fire HD 8.9\"", "kindle-fire-hd-8-9", "0");
INSERT INTO `wp_terms` VALUES("268", "Dolby Audio", "dolby-audio", "0");
INSERT INTO `wp_terms` VALUES("269", "Dual-Band Wi-Fi", "dual-band-wi-fi", "0");
INSERT INTO `wp_terms` VALUES("270", "16 GB - Includes Special Offers", "16-gb-includes-special-offers", "0");
INSERT INTO `wp_terms` VALUES("271", "Amazon Digital Services", "amazon-digital-services", "0");
INSERT INTO `wp_terms` VALUES("272", "Inc", "inc", "0");
INSERT INTO `wp_terms` VALUES("273", "53-000472", "53-000472", "0");
INSERT INTO `wp_terms` VALUES("274", "Kindle Fire HD 7\"", "kindle-fire-hd-7", "0");
INSERT INTO `wp_terms` VALUES("275", "32 GB - Includes Special Offers", "32-gb-includes-special-offers", "0");
INSERT INTO `wp_terms` VALUES("276", "53-000540", "53-000540", "0");
INSERT INTO `wp_terms` VALUES("277", "53-000473", "53-000473", "0");
INSERT INTO `wp_terms` VALUES("278", "Apple iPad with Retina Display MD515LL/A (64GB", "apple-ipad-with-retina-display-md515lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("279", "MD515LL/A", "md515lla", "0");
INSERT INTO `wp_terms` VALUES("280", "Apple iPad MC707LL/A (64GB", "apple-ipad-mc707lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("281", "MC707LL/A", "mc707lla", "0");
INSERT INTO `wp_terms` VALUES("282", "BT-EPG0-U71P", "bt-epg0-u71p", "0");
INSERT INTO `wp_terms` VALUES("283", "Apple iPad Mini MD532LL/A (32GB", "apple-ipad-mini-md532lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("284", "MD532LL/A", "md532lla", "0");
INSERT INTO `wp_terms` VALUES("285", "Apple iPad MD329LL/A (32GB", "apple-ipad-md329lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("286", "White) 3rd Generation", "white-3rd-generation", "0");
INSERT INTO `wp_terms` VALUES("287", "MD329LL/A", "md329lla", "0");
INSERT INTO `wp_terms` VALUES("288", "APP IPAD 3 WIFI 32GB WHITE", "app-ipad-3-wifi-32gb-white", "0");
INSERT INTO `wp_terms` VALUES("289", "Apple iPad Mini MD530LL/A (64GB", "apple-ipad-mini-md530lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("290", "MD530LL/A", "md530lla", "0");
INSERT INTO `wp_terms` VALUES("291", "Apple iPad MC706LL/A (32GB", "apple-ipad-mc706lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("292", "Black)3rd Generation", "black3rd-generation", "0");
INSERT INTO `wp_terms` VALUES("293", "MC706LL/A", "mc706lla", "0");
INSERT INTO `wp_terms` VALUES("294", "XU-HPYT-Y3LX112", "xu-hpyt-y3lx112", "0");
INSERT INTO `wp_terms` VALUES("295", "Apple iPad Mini MD533LL/A (64GB", "apple-ipad-mini-md533lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("296", "MD533LL/A", "md533lla", "0");
INSERT INTO `wp_terms` VALUES("297", "Apple iPad 2 MC770LL/A Tablet (32GB", "apple-ipad-2-mc770lla-tablet-32gb", "0");
INSERT INTO `wp_terms` VALUES("298", "[AMC] Pad2(32-BK) 770", "amc-pad232-bk-770", "0");
INSERT INTO `wp_terms` VALUES("299", "Apple iPad with Retina Display ME392LL/A (128GB", "apple-ipad-with-retina-display-me392lla-128gb", "0");
INSERT INTO `wp_terms` VALUES("300", "ME392LL/A", "me392lla", "0");
INSERT INTO `wp_terms` VALUES("301", "920-003884", "920-003884", "0");
INSERT INTO `wp_terms` VALUES("302", "997055", "997055", "0");
INSERT INTO `wp_terms` VALUES("303", "Apple iPad MD328LL/A (16GB", "apple-ipad-md328lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("304", "MD328LL/A", "md328lla", "0");
INSERT INTO `wp_terms` VALUES("305", "NICKSIPAD6", "nicksipad6", "0");
INSERT INTO `wp_terms` VALUES("306", "MB292LL/A", "mb292lla", "0");
INSERT INTO `wp_terms` VALUES("307", "VS330837", "vs330837", "0");
INSERT INTO `wp_terms` VALUES("308", "Apple iPad 2 MC916LL/A Tablet (64GB", "apple-ipad-2-mc916lla-tablet-64gb", "0");
INSERT INTO `wp_terms` VALUES("309", "MC916LL/A", "mc916lla", "0");
INSERT INTO `wp_terms` VALUES("310", "69-NA-BLK", "69-na-blk", "0");
INSERT INTO `wp_terms` VALUES("311", "Apple iPad with Retina Display ME393LL/A (128GB", "apple-ipad-with-retina-display-me393lla-128gb", "0");
INSERT INTO `wp_terms` VALUES("312", "ME393LL/A", "me393lla", "0");
INSERT INTO `wp_terms` VALUES("313", "Apple iPad with Retina Display ME400LL/A (128GB", "apple-ipad-with-retina-display-me400lla-128gb", "0");
INSERT INTO `wp_terms` VALUES("314", "Wi-Fi + AT&amp;T", "wi-fi-att", "0");
INSERT INTO `wp_terms` VALUES("315", "ME400LL/A", "me400lla", "0");
INSERT INTO `wp_terms` VALUES("316", "MB293LL/A", "mb293lla", "0");
INSERT INTO `wp_terms` VALUES("317", "Ipad32GB_GrdB_Ref", "ipad32gb_grdb_ref", "0");
INSERT INTO `wp_terms` VALUES("318", "Apple iPad with Retina Display MD519LL/A (16GB", "apple-ipad-with-retina-display-md519lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("319", "MD519LL/A", "md519lla", "0");
INSERT INTO `wp_terms` VALUES("320", "Apple iPad with Retina Display MD517LL/A (32GB", "apple-ipad-with-retina-display-md517lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("321", "MD517LL/A", "md517lla", "0");
INSERT INTO `wp_terms` VALUES("322", "Apple iPad Mini MD535LL/A (32GB", "apple-ipad-mini-md535lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("323", "Wi-Fi + AT&amp;T 4G", "wi-fi-att-4g", "0");
INSERT INTO `wp_terms` VALUES("324", "MD535LL/A", "md535lla", "0");
INSERT INTO `wp_terms` VALUES("325", "Apple iPad Mini MD534LL/A (16GB", "apple-ipad-mini-md534lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("326", "MD534LL/A", "md534lla", "0");
INSERT INTO `wp_terms` VALUES("327", "Apple iPad MD330LL/A (64GB", "apple-ipad-md330lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("328", "MD330LL/A", "md330lla", "0");
INSERT INTO `wp_terms` VALUES("329", "APP MD330LL/A", "app-md330lla", "0");
INSERT INTO `wp_terms` VALUES("330", "MC497LL/A", "mc497lla", "0");
INSERT INTO `wp_terms` VALUES("331", "APPA1337PAD164G-T3BK-ATT", "appa1337pad164g-t3bk-att", "0");
INSERT INTO `wp_terms` VALUES("332", "Apple iPad 2 MC980LL/A Tablet (32GB", "apple-ipad-2-mc980lla-tablet-32gb", "0");
INSERT INTO `wp_terms` VALUES("333", "MC980LL/A", "mc980lla", "0");
INSERT INTO `wp_terms` VALUES("334", "aaAPL-IPAD2-32GWIFIWHTf", "aaapl-ipad2-32gwifiwhtf", "0");
INSERT INTO `wp_terms` VALUES("335", "Apple iPad MD367LL/A (32GB", "apple-ipad-md367lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("336", "MD367LL/A", "md367lla", "0");
INSERT INTO `wp_terms` VALUES("337", "XU-HPYT-Y3LX34", "xu-hpyt-y3lx34", "0");
INSERT INTO `wp_terms` VALUES("338", "Apple iPad 2 MC773LL/A Tablet (16GB", "apple-ipad-2-mc773lla-tablet-16gb", "0");
INSERT INTO `wp_terms` VALUES("339", "Wifi + AT&amp;T 3G", "wifi-att-3g", "0");
INSERT INTO `wp_terms` VALUES("340", "MC773LL/A", "mc773lla", "0");
INSERT INTO `wp_terms` VALUES("341", "1st-00000007", "1st-00000007", "0");
INSERT INTO `wp_terms` VALUES("342", "Apple iPad MD368LL/A (64GB", "apple-ipad-md368lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("343", "MD368LL/A", "md368lla", "0");
INSERT INTO `wp_terms` VALUES("344", "XU-HPYT-Y3LX33", "xu-hpyt-y3lx33", "0");
INSERT INTO `wp_terms` VALUES("345", "ZAGGkeys MINI 7 Case/Keyboard for iPad mini", "zaggkeys-mini-7-casekeyboard-for-ipad-mini", "0");
INSERT INTO `wp_terms` VALUES("346", "FOSBSLBLK103", "fosbslblk103", "0");
INSERT INTO `wp_terms` VALUES("347", "Apple iPad 2 MC981LL/A Tablet (64GB", "apple-ipad-2-mc981lla-tablet-64gb", "0");
INSERT INTO `wp_terms` VALUES("348", "MC981LL/A", "mc981lla", "0");
INSERT INTO `wp_terms` VALUES("349", "aaAPL-IPAD2-64GWIFIWHTf", "aaapl-ipad2-64gwifiwhtf", "0");
INSERT INTO `wp_terms` VALUES("350", "Apple iPad MD366LL/A (16GB", "apple-ipad-md366lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("351", "MD366LL/A", "md366lla", "0");
INSERT INTO `wp_terms` VALUES("352", "shopify_US_98419604", "shopify_us_98419604", "0");
INSERT INTO `wp_terms` VALUES("353", "Apple iPad MD371LL/A (64GB", "apple-ipad-md371lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("354", "MD371LL/A", "md371lla", "0");
INSERT INTO `wp_terms` VALUES("355", "GSB00000015497", "gsb00000015497", "0");
INSERT INTO `wp_terms` VALUES("356", "Apple iPad Mini MD537LL/A (16GB", "apple-ipad-mini-md537lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("357", "MD537LL/A", "md537lla", "0");
INSERT INTO `wp_terms` VALUES("358", "ZKPROALULIT101", "zkproalulit101", "0");
INSERT INTO `wp_terms` VALUES("359", "TBT-ZAGZKPROALULIT101", "tbt-zagzkproalulit101", "0");
INSERT INTO `wp_terms` VALUES("360", "Samsung Galaxy Tab 2 (10.1-Inch", "samsung-galaxy-tab-2-10-1-inch", "0");
INSERT INTO `wp_terms` VALUES("361", "????", "361", "0");
INSERT INTO `wp_terms` VALUES("362", "GT-P5113TSYXAR", "gt-p5113tsyxar", "0");
INSERT INTO `wp_terms` VALUES("363", "2766944", "2766944", "0");
INSERT INTO `wp_terms` VALUES("364", "Kindle Fire", "kindle-fire", "0");
INSERT INTO `wp_terms` VALUES("365", "Full Color 7\" Multi-touch Display", "full-color-7-multi-touch-display", "0");
INSERT INTO `wp_terms` VALUES("366", "D01400", "d01400", "0");
INSERT INTO `wp_terms` VALUES("367", "B0051VVOB2", "b0051vvob2", "0");
INSERT INTO `wp_terms` VALUES("368", "Apple iPad Mini MD538LL/A (32GB", "apple-ipad-mini-md538lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("369", "MD538LL/A", "md538lla", "0");
INSERT INTO `wp_terms` VALUES("370", "Apple iPad with Retina Display MD518LL/A (64GB", "apple-ipad-with-retina-display-md518lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("371", "MD518LL/A", "md518lla", "0");
INSERT INTO `wp_terms` VALUES("372", "Apple iPad Mini MD540LL/A (16GB", "apple-ipad-mini-md540lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("373", "Wi-Fi + Verizon 4G", "wi-fi-verizon-4g", "0");
INSERT INTO `wp_terms` VALUES("374", "MD540LL/A", "md540lla", "0");
INSERT INTO `wp_terms` VALUES("375", "Apple iPad with Retina Display MD521LL/A (64GB", "apple-ipad-with-retina-display-md521lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("376", "MD521LL/A", "md521lla", "0");
INSERT INTO `wp_terms` VALUES("377", "Apple iPad Mini MD536LL/A (64GB", "apple-ipad-mini-md536lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("378", "MD536LL/A", "md536lla", "0");
INSERT INTO `wp_terms` VALUES("379", "Apple iPad MD363LL/A (16GB", "apple-ipad-md363lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("380", "MD363LL/A", "md363lla", "0");
INSERT INTO `wp_terms` VALUES("381", "MC496LL/A", "mc496lla", "0");
INSERT INTO `wp_terms` VALUES("382", "60-ATT-BLK", "60-att-blk", "0");
INSERT INTO `wp_terms` VALUES("383", "Apple iPad MC756LL/A (64GB", "apple-ipad-mc756lla-64gb", "0");
INSERT INTO `wp_terms` VALUES("384", "MC756LL/A", "mc756lla", "0");
INSERT INTO `wp_terms` VALUES("385", "Apple iPad MD370LL/A (32GB", "apple-ipad-md370lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("386", "MD370LL/A", "md370lla", "0");
INSERT INTO `wp_terms` VALUES("387", "MD370HN/A", "md370hna", "0");
INSERT INTO `wp_terms` VALUES("388", "Apple iPad MD369LL/A (16GB", "apple-ipad-md369lla-16gb", "0");
INSERT INTO `wp_terms` VALUES("389", "MD369LL/A", "md369lla", "0");
INSERT INTO `wp_terms` VALUES("390", "572-ATT-WHT", "572-att-wht", "0");
INSERT INTO `wp_terms` VALUES("391", "Apple iPad with Retina Display MD520LL/A (32GB", "apple-ipad-with-retina-display-md520lla-32gb", "0");
INSERT INTO `wp_terms` VALUES("392", "MD520LL/A", "md520lla", "0");
INSERT INTO `wp_terms` VALUES("393", "????", "393", "0");
INSERT INTO `wp_terms` VALUES("395", "96-Inch", "96-inch", "0");
INSERT INTO `wp_terms` VALUES("396", "Shoreline", "shoreline", "0");
INSERT INTO `wp_terms` VALUES("397", "SL52247", "sl52247", "0");
INSERT INTO `wp_terms` VALUES("398", "052247~M", "052247m", "0");
INSERT INTO `wp_terms` VALUES("399", "Seattle Sports Kayak Wall Cradles", "seattle-sports-kayak-wall-cradles", "0");
INSERT INTO `wp_terms` VALUES("400", "Seattle Sports", "seattle-sports", "0");
INSERT INTO `wp_terms` VALUES("401", "055800", "055800", "0");
INSERT INTO `wp_terms` VALUES("402", "148032~B", "148032b", "0");
INSERT INTO `wp_terms` VALUES("403", "Coleman Universal Paddle Leash (2 Meters)", "coleman-universal-paddle-leash-2-meters", "0");
INSERT INTO `wp_terms` VALUES("404", "Lifetime Products Sporting Goods", "lifetime-products-sporting-goods", "0");
INSERT INTO `wp_terms` VALUES("405", "90362", "90362", "0");
INSERT INTO `wp_terms` VALUES("406", "Cascade Creek YAKCLIP Kayak Paddle Holder", "cascade-creek-yakclip-kayak-paddle-holder", "0");
INSERT INTO `wp_terms` VALUES("407", "Cascade Creek", "cascade-creek", "0");
INSERT INTO `wp_terms` VALUES("408", "351510~C", "351510c", "0");
INSERT INTO `wp_terms` VALUES("409", "Kwik Tek", "kwik-tek", "0");
INSERT INTO `wp_terms` VALUES("410", "AHTK-P2", "ahtk-p2", "0");
INSERT INTO `wp_terms` VALUES("411", "DSD464494", "dsd464494", "0");
INSERT INTO `wp_terms` VALUES("412", "Intex Challenger K1 Kayak", "intex-challenger-k1-kayak", "0");
INSERT INTO `wp_terms` VALUES("413", "Intex", "intex", "0");
INSERT INTO `wp_terms` VALUES("414", "68305EP", "68305ep", "0");
INSERT INTO `wp_terms` VALUES("415", "DH68305E", "dh68305e", "0");
INSERT INTO `wp_terms` VALUES("416", "Intex Kayak Paddle / Boat Oars", "intex-kayak-paddle-boat-oars", "0");
INSERT INTO `wp_terms` VALUES("417", "69627E", "69627e", "0");
INSERT INTO `wp_terms` VALUES("418", "INT-69627E", "int-69627e", "0");
INSERT INTO `wp_terms` VALUES("419", "Sky Enterprise USA", "sky-enterprise-usa", "0");
INSERT INTO `wp_terms` VALUES("420", "Seasense X-Treme Aluminum Kayak Paddle (84-Inch)", "seasense-x-treme-aluminum-kayak-paddle-84-inch", "0");
INSERT INTO `wp_terms` VALUES("421", "Seasense", "seasense", "0");
INSERT INTO `wp_terms` VALUES("422", "008680", "008680", "0");
INSERT INTO `wp_terms` VALUES("423", "Intex Challenger K2 Kayak", "intex-challenger-k2-kayak", "0");
INSERT INTO `wp_terms` VALUES("424", "68306EP", "68306ep", "0");
INSERT INTO `wp_terms` VALUES("425", "GS-59970", "gs-59970", "0");
INSERT INTO `wp_terms` VALUES("426", "Sea Eagle SE370 Inflatable Kayak with Pro Package", "sea-eagle-se370-inflatable-kayak-with-pro-package", "0");
INSERT INTO `wp_terms` VALUES("427", "Sea Eagle", "sea-eagle", "0");
INSERT INTO `wp_terms` VALUES("428", "SE370K_P", "se370k_p", "0");
INSERT INTO `wp_terms` VALUES("429", "DI_DSD480909", "di_dsd480909", "0");
INSERT INTO `wp_terms` VALUES("430", "Sevylor Tahiti Fishing/Hunting Inflatable Kayak", "sevylor-tahiti-fishinghunting-inflatable-kayak", "0");
INSERT INTO `wp_terms` VALUES("431", "Sevylor", "sevylor", "0");
INSERT INTO `wp_terms` VALUES("432", "2000003413", "2000003413", "0");
INSERT INTO `wp_terms` VALUES("433", "144900-563916", "144900-563916", "0");
INSERT INTO `wp_terms` VALUES("434", "Sevylor Fiji Travel Pack Kayak (Blue", "sevylor-fiji-travel-pack-kayak-blue", "0");
INSERT INTO `wp_terms` VALUES("435", "2-Person)", "2-person", "0");
INSERT INTO `wp_terms` VALUES("436", "2000004050", "2000004050", "0");
INSERT INTO `wp_terms` VALUES("437", "VYL1016", "vyl1016", "0");
INSERT INTO `wp_terms` VALUES("438", "Seasense X-Treme Ii Kayak Paddle", "seasense-x-treme-ii-kayak-paddle", "0");
INSERT INTO `wp_terms` VALUES("439", "8681-Kaya", "8681-kaya", "0");
INSERT INTO `wp_terms` VALUES("440", "Shoreline Marine Kayak Paddle Leash", "shoreline-marine-kayak-paddle-leash", "0");
INSERT INTO `wp_terms` VALUES("441", "Shoreline Marine", "shoreline-marine", "0");
INSERT INTO `wp_terms` VALUES("442", "SL56140", "sl56140", "0");
INSERT INTO `wp_terms` VALUES("443", "065522~M", "065522m", "0");
INSERT INTO `wp_terms` VALUES("444", "Malone Clipper Deluxe Universal Kayak Cart", "malone-clipper-deluxe-universal-kayak-cart", "0");
INSERT INTO `wp_terms` VALUES("445", "Malone Auto Racks", "malone-auto-racks", "0");
INSERT INTO `wp_terms` VALUES("446", "MPG502", "mpg502", "0");
INSERT INTO `wp_terms` VALUES("447", "AZCW-40936", "azcw-40936", "0");
INSERT INTO `wp_terms` VALUES("448", "MPG114MD", "mpg114md", "0");
INSERT INTO `wp_terms` VALUES("449", "AZCW-40942", "azcw-40942", "0");
INSERT INTO `wp_terms` VALUES("450", "Sea Eagle 330 Inflatable Kayak with Deluxe Package", "sea-eagle-330-inflatable-kayak-with-deluxe-package", "0");
INSERT INTO `wp_terms` VALUES("451", "SE330DLX", "se330dlx", "0");
INSERT INTO `wp_terms` VALUES("452", "B000SL0A56", "b000sl0a56", "0");
INSERT INTO `wp_terms` VALUES("453", "Thule 835PRO Hullaport Pro Rooftop Kayak Carrier", "thule-835pro-hullaport-pro-rooftop-kayak-carrier", "0");
INSERT INTO `wp_terms` VALUES("454", "Thule", "thule", "0");
INSERT INTO `wp_terms` VALUES("455", "835PRO", "835pro", "0");
INSERT INTO `wp_terms` VALUES("456", "THU0189-ONCO-ONSI", "thu0189-onco-onsi", "0");
INSERT INTO `wp_terms` VALUES("457", "Sevylor QuickPak Coverless Sit-On-Top Kayak", "sevylor-quickpak-coverless-sit-on-top-kayak", "0");
INSERT INTO `wp_terms` VALUES("458", "2000006974", "2000006974", "0");
INSERT INTO `wp_terms` VALUES("459", "768-2000006974", "768-2000006974", "0");
INSERT INTO `wp_terms` VALUES("460", "Carlisle Paddle Gear", "carlisle-paddle-gear", "0");
INSERT INTO `wp_terms` VALUES("461", "CPG-08", "cpg-08", "0");
INSERT INTO `wp_terms` VALUES("462", "CPG-012", "cpg-012", "0");
INSERT INTO `wp_terms` VALUES("463", "APP00426", "app00426", "0");
INSERT INTO `wp_terms` VALUES("464", "10-Feet)", "10-feet", "0");
INSERT INTO `wp_terms` VALUES("465", "Lifetime Products", "lifetime-products", "0");
INSERT INTO `wp_terms` VALUES("466", "90118", "90118", "0");
INSERT INTO `wp_terms` VALUES("467", "Cascade Creek Yakgrips - Black", "cascade-creek-yakgrips-black", "0");
INSERT INTO `wp_terms` VALUES("468", "LIB351500", "lib351500", "0");
INSERT INTO `wp_terms` VALUES("469", "CC-00101", "cc-00101", "0");
INSERT INTO `wp_terms` VALUES("470", "Premier Kayak Gripper Paddle Leash.", "premier-kayak-gripper-paddle-leash", "0");
INSERT INTO `wp_terms` VALUES("471", "Premier Kayak", "premier-kayak", "0");
INSERT INTO `wp_terms` VALUES("472", "Sevylor Inflatable Sit-On-Top Kayak", "sevylor-inflatable-sit-on-top-kayak", "0");
INSERT INTO `wp_terms` VALUES("473", "2000003406", "2000003406", "0");
INSERT INTO `wp_terms` VALUES("474", "L-344990", "l-344990", "0");
INSERT INTO `wp_terms` VALUES("475", "CPG-010", "cpg-010", "0");
INSERT INTO `wp_terms` VALUES("476", "WNT-0125093665", "wnt-0125093665", "0");
INSERT INTO `wp_terms` VALUES("477", "Premier Kayak Sit on top kayak handles", "premier-kayak-sit-on-top-kayak-handles", "0");
INSERT INTO `wp_terms` VALUES("478", "H1999", "h1999", "0");
INSERT INTO `wp_terms` VALUES("479", "Advanced Elements Rapidup Kayak Sail", "advanced-elements-rapidup-kayak-sail", "0");
INSERT INTO `wp_terms` VALUES("480", "Advanced Elements", "advanced-elements", "0");
INSERT INTO `wp_terms` VALUES("481", "AE2040", "ae2040", "0");
INSERT INTO `wp_terms` VALUES("482", "QLV1039", "qlv1039", "0");
INSERT INTO `wp_terms` VALUES("483", "Crack of Dawn Apex 1 Deluxe Kayak Seat", "crack-of-dawn-apex-1-deluxe-kayak-seat", "0");
INSERT INTO `wp_terms` VALUES("484", "Malibu Kayaks", "malibu-kayaks", "0");
INSERT INTO `wp_terms` VALUES("485", "103-6", "103-6", "0");
INSERT INTO `wp_terms` VALUES("486", "QLU1048", "qlu1048", "0");
INSERT INTO `wp_terms` VALUES("487", "230 cm)", "230-cm", "0");
INSERT INTO `wp_terms` VALUES("488", "Carlisle", "carlisle", "0");
INSERT INTO `wp_terms` VALUES("489", "01.1332.5780", "01-1332-5780", "0");
INSERT INTO `wp_terms` VALUES("490", "WT0113325780", "wt0113325780", "0");
INSERT INTO `wp_terms` VALUES("491", "Seasense X-Treme Ii Mix Kayak Paddle", "seasense-x-treme-ii-mix-kayak-paddle", "0");
INSERT INTO `wp_terms` VALUES("492", "8676-Xtre", "8676-xtre", "0");
INSERT INTO `wp_terms` VALUES("493", "90121", "90121", "0");
INSERT INTO `wp_terms` VALUES("494", "LXT1074", "lxt1074", "0");
INSERT INTO `wp_terms` VALUES("495", "Harmony Paddle Clip Kit", "harmony-paddle-clip-kit", "0");
INSERT INTO `wp_terms` VALUES("496", "Harmony", "harmony", "0");
INSERT INTO `wp_terms` VALUES("497", "8023042", "8023042", "0");
INSERT INTO `wp_terms` VALUES("498", "Carlisle Kids Saber Touring Kayak Paddle", "carlisle-kids-saber-touring-kayak-paddle", "0");
INSERT INTO `wp_terms` VALUES("499", "190-cm", "190-cm", "0");
INSERT INTO `wp_terms` VALUES("500", "Sunrise", "sunrise", "0");
INSERT INTO `wp_terms` VALUES("501", "01.2509.3755", "01-2509-3755", "0");
INSERT INTO `wp_terms` VALUES("502", "WN0125093755", "wn0125093755", "0");
INSERT INTO `wp_terms` VALUES("503", "Attwood Kayak 18\" Foot Braces - Pair", "attwood-kayak-18-foot-braces-pair", "0");
INSERT INTO `wp_terms` VALUES("504", "ATTWOOD MARINE", "attwood-marine", "0");
INSERT INTO `wp_terms` VALUES("505", "11941-2", "11941-2", "0");
INSERT INTO `wp_terms` VALUES("506", "C43898", "c43898", "0");
INSERT INTO `wp_terms` VALUES("507", "Malone", "malone", "0");
INSERT INTO `wp_terms` VALUES("508", "MPG152", "mpg152", "0");
INSERT INTO `wp_terms` VALUES("509", "MAL-MPG152", "mal-mpg152", "0");
INSERT INTO `wp_terms` VALUES("510", "Advanced Elements FireFly Inflatable Kayak", "advanced-elements-firefly-inflatable-kayak", "0");
INSERT INTO `wp_terms` VALUES("511", "AE1020-Y", "ae1020-y", "0");
INSERT INTO `wp_terms` VALUES("512", "WNAE1020Y", "wnae1020y", "0");
INSERT INTO `wp_terms` VALUES("513", "Gear Up Hang-1 Deluxe Kayak Storage Strap", "gear-up-hang-1-deluxe-kayak-storage-strap", "0");
INSERT INTO `wp_terms` VALUES("514", "Gear Up", "gear-up", "0");
INSERT INTO `wp_terms` VALUES("515", "44008", "44008", "0");
INSERT INTO `wp_terms` VALUES("516", "B005T2U9DM", "b005t2u9dm", "0");
INSERT INTO `wp_terms` VALUES("517", "Seattle Sports Kayak Cradle Lock", "seattle-sports-kayak-cradle-lock", "0");
INSERT INTO `wp_terms` VALUES("518", "058424", "058424", "0");
INSERT INTO `wp_terms` VALUES("519", "Suspenz Folding Wall Mount Kayak Rack", "suspenz-folding-wall-mount-kayak-rack", "0");
INSERT INTO `wp_terms` VALUES("520", "Suspenz", "suspenz", "0");
INSERT INTO `wp_terms` VALUES("521", "12-8601", "12-8601", "0");
INSERT INTO `wp_terms` VALUES("522", "RAVE Sports Sea Rebel Kayak", "rave-sports-sea-rebel-kayak", "0");
INSERT INTO `wp_terms` VALUES("523", "RAVE Sports", "rave-sports", "0");
INSERT INTO `wp_terms` VALUES("524", "02365", "02365", "0");
INSERT INTO `wp_terms` VALUES("525", "BOAZ*0208577000000", "boaz0208577000000", "0");
INSERT INTO `wp_terms` VALUES("526", "AHTK-P3", "ahtk-p3", "0");
INSERT INTO `wp_terms` VALUES("527", "2084132", "2084132", "0");
INSERT INTO `wp_terms` VALUES("528", "Yakima Products", "yakima-products", "0");
INSERT INTO `wp_terms` VALUES("529", "8004035", "8004035", "0");
INSERT INTO `wp_terms` VALUES("530", "581320", "581320", "0");
INSERT INTO `wp_terms` VALUES("531", "8004018", "8004018", "0");
INSERT INTO `wp_terms` VALUES("532", "L-581327", "l-581327", "0");
INSERT INTO `wp_terms` VALUES("533", "MPG117MD", "mpg117md", "0");
INSERT INTO `wp_terms` VALUES("534", "CW40943", "cw40943", "0");
INSERT INTO `wp_terms` VALUES("535", "Yakima BigStack Rooftop Canoe", "yakima-bigstack-rooftop-canoe", "0");
INSERT INTO `wp_terms` VALUES("536", "Kayak", "kayak", "0");
INSERT INTO `wp_terms` VALUES("537", "or Surfboard Rack with Tie Down", "or-surfboard-rack-with-tie-down", "0");
INSERT INTO `wp_terms` VALUES("538", "8004041", "8004041", "0");
INSERT INTO `wp_terms` VALUES("539", "736745040413", "736745040413", "0");
INSERT INTO `wp_terms` VALUES("540", "Ocean Kayak Scupper Stoppers - Pack of 2", "ocean-kayak-scupper-stoppers-pack-of-2", "0");
INSERT INTO `wp_terms` VALUES("541", "(Small", "small", "0");
INSERT INTO `wp_terms` VALUES("542", "Yellow)", "yellow", "0");
INSERT INTO `wp_terms` VALUES("543", "Ocean Kayak", "ocean-kayak", "0");
INSERT INTO `wp_terms` VALUES("544", "07.1960.0000", "07-1960-0000", "0");
INSERT INTO `wp_terms` VALUES("545", "Old Town", "old-town", "0");
INSERT INTO `wp_terms` VALUES("546", "01.6400.0025", "01-6400-0025", "0");
INSERT INTO `wp_terms` VALUES("547", "Advanced Elements AdvancedFrame Inflatable Kayak", "advanced-elements-advancedframe-inflatable-kayak", "0");
INSERT INTO `wp_terms` VALUES("548", "AE1012-R", "ae1012-r", "0");
INSERT INTO `wp_terms` VALUES("549", "AE-ADVFRM-KAY", "ae-advfrm-kay", "0");
INSERT INTO `wp_terms` VALUES("550", "Yakima BowDown Rooftop Kayak Rack with Tie Down", "yakima-bowdown-rooftop-kayak-rack-with-tie-down", "0");
INSERT INTO `wp_terms` VALUES("551", "8004042", "8004042", "0");
INSERT INTO `wp_terms` VALUES("552", "MPG107MD", "mpg107md", "0");
INSERT INTO `wp_terms` VALUES("553", "AE1007-R", "ae1007-r", "0");
INSERT INTO `wp_terms` VALUES("554", "AE-ADVFRM-CONV", "ae-advfrm-conv", "0");
INSERT INTO `wp_terms` VALUES("555", "Sea Eagle 330 Inflatable Kayak with Pro Package", "sea-eagle-330-inflatable-kayak-with-pro-package", "0");
INSERT INTO `wp_terms` VALUES("556", "SE330PRO", "se330pro", "0");
INSERT INTO `wp_terms` VALUES("557", "445364", "445364", "0");
INSERT INTO `wp_terms` VALUES("558", "Boone Blue Kayak Crib 2 Paddles", "boone-blue-kayak-crib-2-paddles", "0");
INSERT INTO `wp_terms` VALUES("559", "Boone Blue", "boone-blue", "0");
INSERT INTO `wp_terms` VALUES("560", "B9099", "b9099", "0");
INSERT INTO `wp_terms` VALUES("561", "Ocean Kayak Scupper Stoppers - 2 Pack", "ocean-kayak-scupper-stoppers-2-pack", "0");
INSERT INTO `wp_terms` VALUES("562", "PX23577", "px23577", "0");
INSERT INTO `wp_terms` VALUES("563", "MPG106MD", "mpg106md", "0");
INSERT INTO `wp_terms` VALUES("564", "7S-OC98-I9JS", "7s-oc98-i9js", "0");
INSERT INTO `wp_terms` VALUES("565", "AIRHEAD AHTK-P1 Kayak Paddle 3 Section Aluminum", "airhead-ahtk-p1-kayak-paddle-3-section-aluminum", "0");
INSERT INTO `wp_terms` VALUES("566", "RVLM-272864", "rvlm-272864", "0");
INSERT INTO `wp_terms` VALUES("567", "Sevylor QuikPak K5 Inflatable Kayak", "sevylor-quikpak-k5-inflatable-kayak", "0");
INSERT INTO `wp_terms` VALUES("568", "2000006972", "2000006972", "0");
INSERT INTO `wp_terms` VALUES("569", "DHA7K02UT", "dha7k02ut", "0");
INSERT INTO `wp_terms` VALUES("570", "Lifetime Wave Kayak 6\'", "lifetime-wave-kayak-6", "0");
INSERT INTO `wp_terms` VALUES("571", "Lifetime", "lifetime", "0");
INSERT INTO `wp_terms` VALUES("572", "AIRHEAD AHTK-2 Montana Performance 2 Person Kayak", "airhead-ahtk-2-montana-performance-2-person-kayak", "0");
INSERT INTO `wp_terms` VALUES("573", "AHTK-2", "ahtk-2", "0");
INSERT INTO `wp_terms` VALUES("574", "ZZX3*0199558000000", "zzx30199558000000", "0");
INSERT INTO `wp_terms` VALUES("575", "Suspenz EZ Kayak Rack", "suspenz-ez-kayak-rack", "0");
INSERT INTO `wp_terms` VALUES("576", "12-9903", "12-9903", "0");
INSERT INTO `wp_terms` VALUES("577", "Great Kayak Goodluck Charm", "great-kayak-goodluck-charm", "0");
INSERT INTO `wp_terms` VALUES("578", "Think Rain Designs", "think-rain-designs", "0");
INSERT INTO `wp_terms` VALUES("579", "Old Town Canoes &amp; Kayaks", "old-town-canoes-kayaks", "0");
INSERT INTO `wp_terms` VALUES("580", "01.6400.0003", "01-6400-0003", "0");
INSERT INTO `wp_terms` VALUES("581", "Pelican Pursuit 80X Kayak", "pelican-pursuit-80x-kayak", "0");
INSERT INTO `wp_terms` VALUES("582", "Fade Blue/Yellow", "fade-blueyellow", "0");
INSERT INTO `wp_terms` VALUES("583", "Pelican", "pelican", "0");
INSERT INTO `wp_terms` VALUES("584", "KIF08P209-00", "kif08p209-00", "0");
INSERT INTO `wp_terms` VALUES("585", "Shoreline Marine X-II Kayak Paddle", "shoreline-marine-x-ii-kayak-paddle", "0");
INSERT INTO `wp_terms` VALUES("586", "5241-Kayak", "5241-kayak", "0");
INSERT INTO `wp_terms` VALUES("587", "Shoreline Marine Kayak Pull Handle", "shoreline-marine-kayak-pull-handle", "0");
INSERT INTO `wp_terms` VALUES("588", "SL77132", "sl77132", "0");
INSERT INTO `wp_terms` VALUES("589", "68306E-SYSC", "68306e-sysc", "0");
INSERT INTO `wp_terms` VALUES("590", "Pelican Apex 130T Kayak", "pelican-apex-130t-kayak", "0");
INSERT INTO `wp_terms` VALUES("591", "Orange", "orange", "0");
INSERT INTO `wp_terms` VALUES("592", "KTA13P108-00", "kta13p108-00", "0");
INSERT INTO `wp_terms` VALUES("593", "BOAZ*0183756000000", "boaz0183756000000", "0");
INSERT INTO `wp_terms` VALUES("594", "Seattle Sports Softtrek Deluxe Kayak Seat", "seattle-sports-softtrek-deluxe-kayak-seat", "0");
INSERT INTO `wp_terms` VALUES("595", "037715", "037715", "0");
INSERT INTO `wp_terms` VALUES("596", "100381", "100381", "0");
INSERT INTO `wp_terms` VALUES("597", "Ocean Kayak Replacement Toggle Handle Kit", "ocean-kayak-replacement-toggle-handle-kit", "0");
INSERT INTO `wp_terms` VALUES("598", "07.3032.0000", "07-3032-0000", "0");
INSERT INTO `wp_terms` VALUES("599", "Sevylor Aluminum-Shaft Kayak Paddle", "sevylor-aluminum-shaft-kayak-paddle", "0");
INSERT INTO `wp_terms` VALUES("600", "2000004153", "2000004153", "0");
INSERT INTO `wp_terms` VALUES("601", "VYL1119", "vyl1119", "0");
INSERT INTO `wp_terms` VALUES("602", "Harmony Drain Plug Kit", "harmony-drain-plug-kit", "0");
INSERT INTO `wp_terms` VALUES("603", "8023044", "8023044", "0");
INSERT INTO `wp_terms` VALUES("604", "AIRHEAD AHTK-1 Montana Performance 1 Person Kayak", "airhead-ahtk-1-montana-performance-1-person-kayak", "0");
INSERT INTO `wp_terms` VALUES("605", "AHTK-1", "ahtk-1", "0");
INSERT INTO `wp_terms` VALUES("606", "357179", "357179", "0");
INSERT INTO `wp_terms` VALUES("607", "Sparehand Systems Black Kayak Rack", "sparehand-systems-black-kayak-rack", "0");
INSERT INTO `wp_terms` VALUES("608", "Sparehand Systems", "sparehand-systems", "0");
INSERT INTO `wp_terms` VALUES("609", "KC-103", "kc-103", "0");
INSERT INTO `wp_terms` VALUES("610", "Ocean Kayak Comfort Pro Backrest (Grey)", "ocean-kayak-comfort-pro-backrest-grey", "0");
INSERT INTO `wp_terms` VALUES("611", "07.1016.0000", "07-1016-0000", "0");
INSERT INTO `wp_terms` VALUES("612", "9-Feet)", "9-feet", "0");
INSERT INTO `wp_terms` VALUES("613", "Riot Kayaks", "riot-kayaks", "0");
INSERT INTO `wp_terms` VALUES("614", "Escape 9", "escape-9", "0");
INSERT INTO `wp_terms` VALUES("615", "MPG462G2", "mpg462g2", "0");
INSERT INTO `wp_terms` VALUES("616", "99-O97T-OELU", "99-o97t-oelu", "0");
INSERT INTO `wp_terms` VALUES("617", "Seattle Sports EZ Kayak Seat", "seattle-sports-ez-kayak-seat", "0");
INSERT INTO `wp_terms` VALUES("618", "038224", "038224", "0");
INSERT INTO `wp_terms` VALUES("619", "100384", "100384", "0");
INSERT INTO `wp_terms` VALUES("620", "Sevylor Whitewater Kayak Paddle", "sevylor-whitewater-kayak-paddle", "0");
INSERT INTO `wp_terms` VALUES("621", "2000004158", "2000004158", "0");
INSERT INTO `wp_terms` VALUES("622", "VYL1121", "vyl1121", "0");
INSERT INTO `wp_terms` VALUES("623", "Kayak paddle 2 in 1 accessory set. Great gift!", "kayak-paddle-2-in-1-accessory-set-great-gift", "0");
INSERT INTO `wp_terms` VALUES("624", "sppl 1335", "sppl-1335", "0");
INSERT INTO `wp_terms` VALUES("625", "01.6820.0304", "01-6820-0304", "0");
INSERT INTO `wp_terms` VALUES("626", "Shoreline Marine Kayak Paddle Basic Blade", "shoreline-marine-kayak-paddle-basic-blade", "0");
INSERT INTO `wp_terms` VALUES("627", "84-Inch", "84-inch", "0");
INSERT INTO `wp_terms` VALUES("628", "SL52245", "sl52245", "0");
INSERT INTO `wp_terms` VALUES("629", "maur52245", "maur52245", "0");
INSERT INTO `wp_terms` VALUES("630", "Advanced Elements Lagoon 1 Person Inflatable Kayak", "advanced-elements-lagoon-1-person-inflatable-kayak", "0");
INSERT INTO `wp_terms` VALUES("631", "AE1031-0", "ae1031-0", "0");
INSERT INTO `wp_terms` VALUES("632", "Pelican Solo Kayak", "pelican-solo-kayak", "0");
INSERT INTO `wp_terms` VALUES("633", "KOS06P302-00", "kos06p302-00", "0");
INSERT INTO `wp_terms` VALUES("634", "ZZX3*0220060000000", "zzx30220060000000", "0");
INSERT INTO `wp_terms` VALUES("635", "Harmony Lasso Security Cable for Touring Kayaks", "harmony-lasso-security-cable-for-touring-kayaks", "0");
INSERT INTO `wp_terms` VALUES("636", "8023288", "8023288", "0");
INSERT INTO `wp_terms` VALUES("637", "559000~B", "559000b", "0");
INSERT INTO `wp_terms` VALUES("638", "Harmony Kayak Konsole with Dry Hatch", "harmony-kayak-konsole-with-dry-hatch", "0");
INSERT INTO `wp_terms` VALUES("639", "8023016", "8023016", "0");
INSERT INTO `wp_terms` VALUES("640", "Nylon Deck Loop", "nylon-deck-loop", "0");
INSERT INTO `wp_terms` VALUES("641", "Pad Eye", "pad-eye", "0");
INSERT INTO `wp_terms` VALUES("642", "Tie Down", "tie-down", "0");
INSERT INTO `wp_terms` VALUES("643", "Kayak Deck Loops", "kayak-deck-loops", "0");
INSERT INTO `wp_terms` VALUES("644", "10 Pieces", "10-pieces", "0");
INSERT INTO `wp_terms` VALUES("645", "SE370K_D", "se370k_d", "0");
INSERT INTO `wp_terms` VALUES("646", "DI_DSD480908", "di_dsd480908", "0");
INSERT INTO `wp_terms` VALUES("647", "Premier Kayak Sport Paddle Leash", "premier-kayak-sport-paddle-leash", "0");
INSERT INTO `wp_terms` VALUES("648", "Shoreline Marine Kayak Paddle Drip Rings", "shoreline-marine-kayak-paddle-drip-rings", "0");
INSERT INTO `wp_terms` VALUES("649", "SL76674", "sl76674", "0");
INSERT INTO `wp_terms` VALUES("650", "07.6490.6011", "07-6490-6011", "0");
INSERT INTO `wp_terms` VALUES("651", "MPG110MD", "mpg110md", "0");
INSERT INTO `wp_terms` VALUES("652", "CW37449", "cw37449", "0");
INSERT INTO `wp_terms` VALUES("653", "Canoes", "canoes", "0");
INSERT INTO `wp_terms` VALUES("654", "MPG156", "mpg156", "0");
INSERT INTO `wp_terms` VALUES("655", "MAL-MPG156", "mal-mpg156", "0");
INSERT INTO `wp_terms` VALUES("656", "Shoreline Marine Canoe/Kayak Trolling Motor Mount", "shoreline-marine-canoekayak-trolling-motor-mount", "0");
INSERT INTO `wp_terms` VALUES("657", "SL91842", "sl91842", "0");
INSERT INTO `wp_terms` VALUES("658", "2000003631", "2000003631", "0");
INSERT INTO `wp_terms` VALUES("659", "L-559113", "l-559113", "0");
INSERT INTO `wp_terms` VALUES("660", "66-Inch)", "66-inch", "0");
INSERT INTO `wp_terms` VALUES("661", "01.1332.2909", "01-1332-2909", "0");
INSERT INTO `wp_terms` VALUES("662", "CAR0113322909", "car0113322909", "0");
INSERT INTO `wp_terms` VALUES("663", "Boone Blue Canoe Crib 2 Paddles Hanger", "boone-blue-canoe-crib-2-paddles-hanger", "0");
INSERT INTO `wp_terms` VALUES("664", "BCK169", "bck169", "0");
INSERT INTO `wp_terms` VALUES("665", "Seattle Sports Nemo Extremo Canoe and Kayak Cart", "seattle-sports-nemo-extremo-canoe-and-kayak-cart", "0");
INSERT INTO `wp_terms` VALUES("666", "060902", "060902", "0");
INSERT INTO `wp_terms` VALUES("667", "Seattle Sports Turbomite Canoe and Kayak Carrier", "seattle-sports-turbomite-canoe-and-kayak-carrier", "0");
INSERT INTO `wp_terms` VALUES("668", "053704", "053704", "0");
INSERT INTO `wp_terms` VALUES("669", "Old Town Canoe Motor Mount", "old-town-canoe-motor-mount", "0");
INSERT INTO `wp_terms` VALUES("670", "01.1331.1410", "01-1331-1410", "0");
INSERT INTO `wp_terms` VALUES("671", "Old Town Side Saddle Canoe Motor Mount", "old-town-side-saddle-canoe-motor-mount", "0");
INSERT INTO `wp_terms` VALUES("672", "01.1332.0624", "01-1332-0624", "0");
INSERT INTO `wp_terms` VALUES("673", "Malone Handicart Kayak / Canoe Cart", "malone-handicart-kayak-canoe-cart", "0");
INSERT INTO `wp_terms` VALUES("674", "MPG501", "mpg501", "0");
INSERT INTO `wp_terms` VALUES("675", "AZCW-40935", "azcw-40935", "0");
INSERT INTO `wp_terms` VALUES("676", "Advanced Elements Boat Repair Kit", "advanced-elements-boat-repair-kit", "0");
INSERT INTO `wp_terms` VALUES("677", "AE2027", "ae2027", "0");
INSERT INTO `wp_terms` VALUES("678", "QLV1036", "qlv1036", "0");
INSERT INTO `wp_terms` VALUES("679", "Suspenz Flat Canoe Rack", "suspenz-flat-canoe-rack", "0");
INSERT INTO `wp_terms` VALUES("680", "11-8801", "11-8801", "0");
INSERT INTO `wp_terms` VALUES("681", "KWIK TEK A-2 Complete Folding Anchor System", "kwik-tek-a-2-complete-folding-anchor-system", "0");
INSERT INTO `wp_terms` VALUES("682", "A-2", "a-2", "0");
INSERT INTO `wp_terms` VALUES("683", "Wenonah Super Seat For Canoe Bench Seats", "wenonah-super-seat-for-canoe-bench-seats", "0");
INSERT INTO `wp_terms` VALUES("684", "Campmor", "campmor", "0");
INSERT INTO `wp_terms` VALUES("685", "Danuu Deluxe Brat Kayak Storage Cover-White-S", "danuu-deluxe-brat-kayak-storage-cover-white-s", "0");
INSERT INTO `wp_terms` VALUES("686", "Danuu Kayak &amp; Canoe Covers", "danuu-kayak-canoe-covers", "0");
INSERT INTO `wp_terms` VALUES("687", "Harmony Kayak/Canoe Cart One Color", "harmony-kayakcanoe-cart-one-color", "0");
INSERT INTO `wp_terms` VALUES("688", "All Terrain Wheels", "all-terrain-wheels", "0");
INSERT INTO `wp_terms` VALUES("689", "8023502", "8023502", "0");
INSERT INTO `wp_terms` VALUES("690", "Sevylor Inflatable Rio Hunting and Fishing Canoe", "sevylor-inflatable-rio-hunting-and-fishing-canoe", "0");
INSERT INTO `wp_terms` VALUES("691", "1-Person", "1-person", "0");
INSERT INTO `wp_terms` VALUES("692", "2000003630", "2000003630", "0");
INSERT INTO `wp_terms` VALUES("693", "Lashing Hook for Kayak", "lashing-hook-for-kayak", "0");
INSERT INTO `wp_terms` VALUES("694", "Canoe", "canoe", "0");
INSERT INTO `wp_terms` VALUES("695", "Paddle Board", "paddle-board", "0");
INSERT INTO `wp_terms` VALUES("696", "Black Nylon", "black-nylon", "0");
INSERT INTO `wp_terms` VALUES("697", "10 Piece", "10-piece", "0");
INSERT INTO `wp_terms` VALUES("698", "01.6440.0003", "01-6440-0003", "0");
INSERT INTO `wp_terms` VALUES("699", "Intex Mariner 3 Boat Set", "intex-mariner-3-boat-set", "0");
INSERT INTO `wp_terms` VALUES("700", "Grey", "grey", "0");
INSERT INTO `wp_terms` VALUES("701", "Intex Recreation", "intex-recreation", "0");
INSERT INTO `wp_terms` VALUES("702", "68378EP", "68378ep", "0");
INSERT INTO `wp_terms` VALUES("703", "Old Town Canoes &amp; Kayaks Heron Junior Kayak", "old-town-canoes-kayaks-heron-junior-kayak", "0");
INSERT INTO `wp_terms` VALUES("704", "01.4048.0005", "01-4048-0005", "0");
INSERT INTO `wp_terms` VALUES("705", "Carlisle Canoe and Kayak Portage Cart", "carlisle-canoe-and-kayak-portage-cart", "0");
INSERT INTO `wp_terms` VALUES("706", "01.1332.2716", "01-1332-2716", "0");
INSERT INTO `wp_terms` VALUES("707", "WN0113322716", "wn0113322716", "0");
INSERT INTO `wp_terms` VALUES("708", "Seasense Wood Paddle", "seasense-wood-paddle", "0");
INSERT INTO `wp_terms` VALUES("709", "8335-Wood", "8335-wood", "0");
INSERT INTO `wp_terms` VALUES("710", "Carlisle Taboo Convertable Stand-Up Kayak Paddle", "carlisle-taboo-convertable-stand-up-kayak-paddle", "0");
INSERT INTO `wp_terms` VALUES("711", "01.1332.2640", "01-1332-2640", "0");
INSERT INTO `wp_terms` VALUES("712", "18202", "18202", "0");
INSERT INTO `wp_terms` VALUES("713", "Seattle Sports ATC Cart", "seattle-sports-atc-cart", "0");
INSERT INTO `wp_terms` VALUES("714", "061105", "061105", "0");
INSERT INTO `wp_terms` VALUES("715", "BIB-61105--", "bib-61105", "0");
INSERT INTO `wp_terms` VALUES("716", "Boats", "boats", "0");
INSERT INTO `wp_terms` VALUES("717", "Intex Explorer 200 Boat Set", "intex-explorer-200-boat-set", "0");
INSERT INTO `wp_terms` VALUES("718", "58331EP", "58331ep", "0");
INSERT INTO `wp_terms` VALUES("719", "10C386C2", "10c386c2", "0");
INSERT INTO `wp_terms` VALUES("720", "Intex Challenger 2 Boat Set", "intex-challenger-2-boat-set", "0");
INSERT INTO `wp_terms` VALUES("721", "68367EP", "68367ep", "0");
INSERT INTO `wp_terms` VALUES("722", "48388", "48388", "0");
INSERT INTO `wp_terms` VALUES("723", "Intex Sehawk 4 Boat Set", "intex-sehawk-4-boat-set", "0");
INSERT INTO `wp_terms` VALUES("724", "68351EP", "68351ep", "0");
INSERT INTO `wp_terms` VALUES("725", "GS91300", "gs91300", "0");
INSERT INTO `wp_terms` VALUES("726", "Intex Explorer 100 Boat", "intex-explorer-100-boat", "0");
INSERT INTO `wp_terms` VALUES("727", "58329EP", "58329ep", "0");
INSERT INTO `wp_terms` VALUES("728", "670623", "670623", "0");
INSERT INTO `wp_terms` VALUES("729", "Intex Seahawk 2 Boat Set", "intex-seahawk-2-boat-set", "0");
INSERT INTO `wp_terms` VALUES("730", "68347E", "68347e", "0");
INSERT INTO `wp_terms` VALUES("731", "DH68347E", "dh68347e", "0");
INSERT INTO `wp_terms` VALUES("732", "Intex Explorer 200 Boat", "intex-explorer-200-boat", "0");
INSERT INTO `wp_terms` VALUES("733", "58330EP", "58330ep", "0");
INSERT INTO `wp_terms` VALUES("734", "LD-DD6Y-NH2W", "ld-dd6y-nh2w", "0");
INSERT INTO `wp_terms` VALUES("735", "22452.0", "22452-0", "0");
INSERT INTO `wp_terms` VALUES("736", "Splash Cup Pong", "splash-cup-pong", "0");
INSERT INTO `wp_terms` VALUES("737", "RAFT-STANDARD", "raft-standard", "0");
INSERT INTO `wp_terms` VALUES("738", "Intex Motor Mount Kit", "intex-motor-mount-kit", "0");
INSERT INTO `wp_terms` VALUES("739", "68624E", "68624e", "0");
INSERT INTO `wp_terms` VALUES("740", "4280", "4280", "0");
INSERT INTO `wp_terms` VALUES("741", "Intex Excursion 4 Boat Set - 2013 Model", "intex-excursion-4-boat-set-2013-model", "0");
INSERT INTO `wp_terms` VALUES("742", "DH68324E", "dh68324e", "0");
INSERT INTO `wp_terms` VALUES("743", "Intex Excursion 5 Boat Set", "intex-excursion-5-boat-set", "0");
INSERT INTO `wp_terms` VALUES("744", "68325EP", "68325ep", "0");
INSERT INTO `wp_terms` VALUES("745", "8R-P9UR-XR2Y", "8r-p9ur-xr2y", "0");
INSERT INTO `wp_terms` VALUES("746", "Stansport", "stansport", "0");
INSERT INTO `wp_terms` VALUES("747", "416-2", "416-2", "0");
INSERT INTO `wp_terms` VALUES("748", "319415", "319415", "0");
INSERT INTO `wp_terms` VALUES("749", "AZDH-68324E-B004Y3B2AQ", "azdh-68324e-b004y3b2aq", "0");
INSERT INTO `wp_terms` VALUES("750", "Intex Excursion 5 Boat Set - 2013 Model", "intex-excursion-5-boat-set-2013-model", "0");
INSERT INTO `wp_terms` VALUES("751", "Sevylor Caravelle 3-Person Inflatable Boat", "sevylor-caravelle-3-person-inflatable-boat", "0");
INSERT INTO `wp_terms` VALUES("752", "2000003396", "2000003396", "0");
INSERT INTO `wp_terms` VALUES("753", "3693684", "3693684", "0");
INSERT INTO `wp_terms` VALUES("754", "Intex Excursion 4 Boat Set", "intex-excursion-4-boat-set", "0");
INSERT INTO `wp_terms` VALUES("755", "68324EP", "68324ep", "0");
INSERT INTO `wp_terms` VALUES("756", "15685643-DB-SP-4", "15685643-db-sp-4", "0");
INSERT INTO `wp_terms` VALUES("757", "Sevylor Caravelle 2-Person Inflatable Boat", "sevylor-caravelle-2-person-inflatable-boat", "0");
INSERT INTO `wp_terms` VALUES("758", "2000003382", "2000003382", "0");
INSERT INTO `wp_terms` VALUES("759", "144936-534180", "144936-534180", "0");
INSERT INTO `wp_terms` VALUES("760", "Intex Explorer 300 Set Boat", "intex-explorer-300-set-boat", "0");
INSERT INTO `wp_terms` VALUES("761", "58332EP", "58332ep", "0");
INSERT INTO `wp_terms` VALUES("762", "Solstice Voyager 4-Person Boat", "solstice-voyager-4-person-boat", "0");
INSERT INTO `wp_terms` VALUES("763", "Solstice", "solstice", "0");
INSERT INTO `wp_terms` VALUES("764", "30400", "30400", "0");
INSERT INTO `wp_terms` VALUES("765", "501", "501", "0");
INSERT INTO `wp_terms` VALUES("766", "Sevylor Fish Hunter Inflatable 6-Person Boat", "sevylor-fish-hunter-inflatable-6-person-boat", "0");
INSERT INTO `wp_terms` VALUES("767", "2000003408", "2000003408", "0");
INSERT INTO `wp_terms` VALUES("768", "40730", "40730", "0");
INSERT INTO `wp_terms` VALUES("769", "Intex 4 Person Mariner Inflatable Boat Set", "intex-4-person-mariner-inflatable-boat-set", "0");
INSERT INTO `wp_terms` VALUES("770", "2 Seat", "2-seat", "0");
INSERT INTO `wp_terms` VALUES("771", "416-2K", "416-2k", "0");
INSERT INTO `wp_terms` VALUES("772", "GS60489", "gs60489", "0");
INSERT INTO `wp_terms` VALUES("773", "Intex Recreation Corp French Oars", "intex-recreation-corp-french-oars", "0");
INSERT INTO `wp_terms` VALUES("774", "59623E", "59623e", "0");
INSERT INTO `wp_terms` VALUES("775", "TR-8566BEE2", "tr-8566bee2", "0");
INSERT INTO `wp_terms` VALUES("776", "RAFT-RACK-COMBO", "raft-rack-combo", "0");
INSERT INTO `wp_terms` VALUES("777", "Stansport Fisherman River Boat", "stansport-fisherman-river-boat", "0");
INSERT INTO `wp_terms` VALUES("778", "421-15", "421-15", "0");
INSERT INTO `wp_terms` VALUES("779", "DH2L5301UP", "dh2l5301up", "0");
INSERT INTO `wp_terms` VALUES("780", "Achilles Zodiac Mercury Compatible", "achilles-zodiac-mercury-compatible", "0");
INSERT INTO `wp_terms` VALUES("781", "Free HR Valve Adaptor &amp; Carry Bag", "free-hr-valve-adaptor-carry-bag", "0");
INSERT INTO `wp_terms` VALUES("782", "Seamax Marine &amp; Outdoor", "seamax-marine-outdoor", "0");
INSERT INTO `wp_terms` VALUES("783", "Seamax Electronic Pump / 80DB", "seamax-electronic-pump-80db", "0");
INSERT INTO `wp_terms` VALUES("784", "YLS2SM360G03", "yls2sm360g03", "0");
INSERT INTO `wp_terms` VALUES("785", "Sevylor Caravelle 5-Person Inflatable Boat", "sevylor-caravelle-5-person-inflatable-boat", "0");
INSERT INTO `wp_terms` VALUES("786", "2000003403", "2000003403", "0");
INSERT INTO `wp_terms` VALUES("787", "COL-2000003403", "col-2000003403", "0");
INSERT INTO `wp_terms` VALUES("788", "Intex Seahawk II Boat Set", "intex-seahawk-ii-boat-set", "0");
INSERT INTO `wp_terms` VALUES("789", "68377EP", "68377ep", "0");
INSERT INTO `wp_terms` VALUES("790", "GS48390", "gs48390", "0");
INSERT INTO `wp_terms` VALUES("791", "AZDH-58317EP", "azdh-58317ep", "0");
INSERT INTO `wp_terms` VALUES("792", "Sevylor Fish Hunter Inflatable 4-Person Boat", "sevylor-fish-hunter-inflatable-4-person-boat", "0");
INSERT INTO `wp_terms` VALUES("793", "2000003409", "2000003409", "0");
INSERT INTO `wp_terms` VALUES("794", "marine-6427", "marine-6427", "0");
INSERT INTO `wp_terms` VALUES("795", "Solstice Voyager 5-Person Boat", "solstice-voyager-5-person-boat", "0");
INSERT INTO `wp_terms` VALUES("796", "30600", "30600", "0");
INSERT INTO `wp_terms` VALUES("797", "30600PSA", "30600psa", "0");
INSERT INTO `wp_terms` VALUES("798", "Sevylor Caravelle 4-Person Inflatable Boat", "sevylor-caravelle-4-person-inflatable-boat", "0");
INSERT INTO `wp_terms` VALUES("799", "2000003404", "2000003404", "0");
INSERT INTO `wp_terms` VALUES("800", "883-2000005123", "883-2000005123", "0");
INSERT INTO `wp_terms` VALUES("801", "Sevylor Fish Hunter Inflatable 3-Person Boat", "sevylor-fish-hunter-inflatable-3-person-boat", "0");
INSERT INTO `wp_terms` VALUES("802", "2000003410", "2000003410", "0");
INSERT INTO `wp_terms` VALUES("803", "COL-2000003410", "col-2000003410", "0");
INSERT INTO `wp_terms` VALUES("804", "RVST-422-15", "rvst-422-15", "0");
INSERT INTO `wp_terms` VALUES("805", "Oklahoma Inflatable Raft", "oklahoma-inflatable-raft", "0");
INSERT INTO `wp_terms` VALUES("806", "Team Sports America", "team-sports-america", "0");
INSERT INTO `wp_terms` VALUES("807", "TSA229", "tsa229", "0");
INSERT INTO `wp_terms` VALUES("808", "Sevylor Colossus 3-Person Inflatable Boat", "sevylor-colossus-3-person-inflatable-boat", "0");
INSERT INTO `wp_terms` VALUES("809", "2000003390", "2000003390", "0");
INSERT INTO `wp_terms` VALUES("810", "CW14606", "cw14606", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("2", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "nickname", "admin");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("7", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("8", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("9", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("10", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";s:1:\"1\";}");
INSERT INTO `wp_usermeta` VALUES("11", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("13", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("14", "1", "wp_dashboard_quick_press_last_post_id", "3");
INSERT INTO `wp_usermeta` VALUES("15", "1", "wp_user-settings", "align=left&imgsize=thumbnail&editor=tinymce&galfile=1&ngg_upload_resize=1&uploader=1&mfold=o&libraryContent=browse&urlbutton=file&hidetb=1&wplink=1");
INSERT INTO `wp_usermeta` VALUES("16", "1", "wp_user-settings-time", "1367348545");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "admin", "$P$BdBWEXxPY2d2.HorOltFNv/7fg6p4A.", "admin", "support@herbalcuresandremedies.info", "", "2013-04-30 14:02:05", "", "0", "admin");

SET FOREIGN_KEY_CHECKS = 1;